Hilfe verwenden

Die Verwendung der Hilfe
         Next Topic

Der Aufbau dieser Hilfedatei richtet sich in erster Linie nach der Menüstruktur von UltraEdit. Auf der linken Seite sind folgende Hauptüberschriften zu sehen:

  • Erste Schritte
  • Die Menüs
  • Compiler-Konfiguration [nur in UEStudio]
  • CVS-Unterstützung [nur in UEStudio]
  • FAQ (Häufige Fragen)
  • Lizenzvertrag
  • Verkauf und Support

Erste Schritte

Dieser Abschnitt (mit diesem Text als erstes Dokument) enthält hilfreiche Informationen, die Sie schnell in die Lage versetzen sollen, Texte in UltraEdit zu bearbeiten.

Die Menüs

Dieser Abschnitt lässt sich durch einen Doppelklick aufklappen und enthält Angaben zu den einzelnen Befehlen in den Menüs von UltraEdit. Jede Menü-Überschrift (Das Menü 'Datei', Das Menü 'Bearbeiten', etc.) lässt sich ebenfalls durch einen Doppelklick aufklappen und jedes darunter befindliche Thema lässt such durch einfaches Anklicken des jeweiligen Titels öffnen. Durch erneutes Doppelklicken auf eine Menü-Überschrift können Sie den entsprechenden Abschnitt wieder zusammenklappen.

Compiler-Konfiguration

Dieser Abschnitt enthält weiterführende Informationen zur Konfiguration des Compilers, den Sie bei Programmierprojekten einsetzen.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

CVS-Unterstützung

Dieser Abschnitt beschäftigt sich mit den Möglichkeiten zur Nutzung eines CVS-Systems.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

FAQ (Häufige Fragen)

In diesem Abschnitt finden Sie Antworten auf einige der üblichen Fragen, die uns in Bezug auf die Funktionalität und Anwendung von UltraEdit gestellt werden.

Lizenzvertrag

In diesem Abschnitt finden Sie sowohl den Lizenzvertrag für eine registrierte als auch für eine nicht registrierte Version von UltraEidt-32.

Verkauf und Support

Dieser Abschnitt enthält Angaben zum technischen Support und zum Verkauf von UltraEdit-32.


Markieren von Text im Blockmodus

Das Markieren von Text im Blockmodus

Im Spaltenmodus wird die Art der Textauswahl im Editor geändert. Bei aktiviertem Spaltenmodus erstreckt sich die Textmarkierung von der Spaltenposition des ersten ausgewählten Zeichens bis zur Spaltenposition des letzten ausgewählten Zeichens. Der in diesem Modus ausgewählte Text umfasst also nicht automatisch den gesamten Text zwischen der Start- und der Endposition, sondern nur den Text in den Spalten zwischen dem ersten und dem letzten ausgewählten Zeichen. Diese Form der Bearbeitung im Spaltenmodus wird manchmal auch als 'Blockmodus' bezeichnet, da bei der Markierung des Textes ein Rechteck bzw. Block gebildet wird.

Es werden zwei verschiedene Textauswahlmethoden im Spaltenmodus von UltraEdit unterstützt. Beim Drücken der Schnellzugriffstasten ALT+C wird der Spaltenmodus aktiviert; Blocktext kann anschließend auf die oben beschriebene Art ausgewählt werden. Alternativ kann die STRG-Taste beim gleichzeitigen Ziehen mit der Maus den Spaltenmodus automatisch aktiviert werden, um einen Textbereich zu markieren.


ClassViewer

Der ClassViewer

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Den ClassViewer von UEStudio können Sie aufrufen, indem Sie entweder in der Symbolleiste 'IntelliTipp' auf die Schaltfläche Zum ClassViewer klicken:

oder im Projekt-Manager auf die Registerkarte 'Tags' klicken:

Als Ergebnis erhalten Sie eine geparste Darstellung des aktiven Projekts.

Ein Beispiel:

Symbole

Die auf der Registerkarte 'Tags' des Projekt-Managers aufgeführten Symbole ersetzen in UEStudio die aus UltraEdit bekannten CTags. Durch Doppelklick auf eines der Elemente wird die zugehörige Projektdatei geöffnet.

Symbol | Bedeutung
 | Struktur
 | Klasse
 | Ordner für globale Elemente
 | Ordner für verschiedene globale Elemente
 | Ordner für globale Funktionen
 | Ordner für globale Label
 | Ordner für globale Makros
 | Ordner für globale Variablen
 | Enum
 | Namensraum
 | Enum-Wert
 | Variable
 | Geschützte Variable
 | Private Variable
 | Globale Variable
 | Funktion
 | Geschützte Funktion
 | Private Funktion
 | Typendefinition
 | Makro

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Code-Faltung

Die mit UltraEdit-32 v11.00 und UEStudio eingeführte Code-Faltung arbeitet mit dem aus früheren Versionen bekannten Befehl Zeilen ausblenden/anzeigen zusammen.

Die Optionen auf der Registerkarte 'Allgemein'

Auf der Registerkarte 'Allgemein' der Optionen gibt es im Abschnitt 'Anzeige' folgende zwei Optionen, die festlegen, ob die Code-Faltung und das Ausblenden und Anzeigen von Zeilen durch UltraEdit unterstützt wird oder nicht: Ausblenden/Anzeigen von Zeilen bzw. Code-Faltung aktivieren und 'Zeilen ausblenden/anzeigen' für Dateien ohne Syntaxhervorhebung aktivieren.

Ausblenden/Anzeigen von Zeilen bzw. Code-Faltung aktivieren

Wenn diese Option aktiviert ist, lässt sich vom Menü 'Ansicht' aus der Befehl Zeilen ausblenden/anzeigen aufrufen. Auch die Code-Faltung lässt sich über dies Option aktivieren, wodurch zwischen den Zeilennummern und dem Bearbeitungsfenster zusätzlich eine schmale Spalte erscheint, in der die Symbole für die Code-Faltung ('[ + ]' und '[ - ]') angezeigt werden. Standardmäßig funktioniert die Code-Faltung mit jeder Zeichenkette (seien es nun Zeichen wie '{, }' oder Wörter wie 'if, endif'), die in der aktiven Wortlistendatei als /Indent String oder /Unindent String definiert wurde. Weitere Informationen zur Einzugsdefinition finden Sie im Thema Syntaxhervorhebung .

Wenn ein Plus- oder Minus-Symbol in der Faltungsspalte angezeigt wird, lässt sich der Faltungszustand durch das Anklicken des Symbols ändern. Zum Beispiel führt das Anklicken des Plus-Symbols in folgendem Code...

...dazu, dass der Code angezeigt/entfaltet wird. Wenn Sie nun das Minus-Symbol anklicken...

wird der Code wieder ausgeblendet/eingefaltet.

'Zeilen ausblenden/anzeigen' für Dateien ohne Syntaxhervorhebung aktivieren

Wenn diese Option aktiviert ist, lässt sich vom Menü 'Ansicht' aus der Befehl Zeilen ausblenden/anzeigen auch für Dateien aufrufen, für die keine Syntaxhervorhebung vorgesehen ist (z.B. normale Textdateien). Dies hat den Vorteil, dass Zeilen, die mit Hilfe des Befehls Zeilen ausblenden/anzeigen ausgeblendet wurden, durch ein Plus-Symbol in der Faltungsspalte gekennzeichnet werden. Wenn diese Option nicht aktiviert ist, lassen sich in Dateien ohne Syntaxhervorhebung keine Zeilen ausblenden und es wird keine Faltungsspalte angezeigt.

Die Menübefehle im Menü 'Ansicht'

Aus dem Menü 'Ansicht' heraus lassen sich folgende zwei Befehle zur Code-Faltung auswählen:

    • Alle anzeigen
    • Alle ausblenden

Alle anzeigen

Verwenden Sie diesen Befehl, um alle Blöcke der aktiven Datei einzublenden, die von Zeichenketten umgeben sind, die in der aktiven Wortlistendatei als /Indent String oder /Unindent String definiert wurden. Wenn Text markiert ist, bezieht sich der Befehl nur auf die Textauswahl. Wenn keine Markierung vorhanden ist, bezieht sich der Befehl auf die gesamte aktive Datei.

Anmerkung: Durch die Verwendung dieses Befehls werden sowohl Zeichenketten, die mit Hilfe des Befehls Zeilen ausblenden/anzeigen ausgeblendet wurden, als auch ausgeblendete Code-Abschnitte wieder eingeblendet.

Alle ausblenden

Verwenden Sie diesen Befehl, um alle Blöcke der aktiven Datei auszublenden, die von Zeichenketten umgeben sind, die in der aktiven Wortlistendatei als /Indent String oder /Unindent String definiert wurden. Wenn Text markiert ist, bezieht sich der Befehl nur auf die Textauswahl. Wenn keine Markierung vorhanden ist, bezieht sich der Befehl auf die gesamte aktive Datei.


Erste Schritte: Anlegen einer Anwendung

Mit UEStudio können Sie in acht einfachen Schritten eine Anwendung anlegen, erstellen und ausführen.

Schritt 1: Aufruf des Projekt-Managers

Klicken Sie zunächst auf das Menü Projekt und wählen Sie den Befehl Projekt-Manager aus:

Schritt 2: Anlegen eines neuen Projekts

Klicken Sie nun im Projekt-Manager auf die Schaltfläche Neu und wählen Sie aus dem Kontextmenü den Eintrag Vorlage verwenden aus:

Schritt 3: Basiseinstellungen des Projekts

Wählen Sie im Dialog 'Neues Projekt' im Bereich Compiler zunächst den zu verwendenden Compiler aus [1]. (Damit der Compiler von UEStudio aus aufgerufen werden kann, muss er natürlich zuvor auf Ihrem System installiert worden sein.) Wählen Sie dann im Bereich Vorlagen den gewünschten Typ von Anwendung aus [2], die Sie erstellen wollen. Geben Sie nun einen Projektnamen an [3], legen Sie den Speicherort für das Projekt fest [4] und betätigen Sie schließlich die Schaltfläche Erzeugen [5]:

Schritt 4: Einstellungen im Assistenten

Sobald Sie auf Erzeugen geklickt haben ruft UEStudio den Assistenten für Windows-Anwendungen auf, mit dem Sie den allgemeinen Framework für die zu erzeugende Anwendung bestimmen können.

Hinweis: Das nachfolgende Beispiel wurde mit dem Microsoft Visual C++-Compiler und der Vorlage 'Windows-Anwendung' erstellt. Die im Assistenten dargestellten Optionen hängen vom ausgewählten Compiler und der Vorlage ab.

Wählen Sie die gewünschten Optionen aus und betätigen Sie die Schaltfläche Erzeugen, um Ihr erstes Projekt und Ihre erste Anwendung zu anzulegen!

Schritt 5: Projekt erstellen

Nun ist der Zeitpunkt gekommen, die Anwendung zu erstellen. Dies können Sie einfach bewerkstelligen, indem Sie in der BUILD-Symbolleiste auf die Schaltfläche Erstellen klicken:

Schritt 6: Compiler-Optionen einstellen

UEStudio zeigt nun den Dialog 'Compiler-Optionen' an, in dem Sie die gewünschten Einstellungen vornehmen können.

Hinweis: Das nachfolgende Beispiel wurde mit dem Microsoft Visual C++-Compiler erstellt. Die im Dialog 'Compiler-Optionen' dargestellten Optionen hängen vom ausgewählten Compiler ab.

Schritt 7: Erstellen der Anwendung

Betätigen Sie die Schaltfläche OK, um Ihre erste Anwendung zu erstellen! UEStudio erstellt und parst nun Ihre neue Anwendung, wobei im Ausgabefenster angezeigt wird, wann der Erstellungsvorgang abgeschlossen ist und welche Fehler dabei aufgetreten sind:

Schritt 8: Ausführen der Anwendung

Jetzt, wo die Anwendung erstellt ist, brauchen Sie die Anwendung nur noch auszuführen! Dies können Sie bewerkstelligen, indem Sie in der BUILD-Symbolleiste auf die Schaltfläche Ausführen klicken:

Daraufhin ruft UEStudio Ihre neu angelegte und fertig erstellte Anwendung auf!

Hinweis: An dieser Stelle sind die Menüs und Symbolleisten (sofern in der angelegten und erstellten Anwendung vorhanden) noch nicht funktional. Es wurde lediglich das Grundgerüst erzeugt, die eigentliche Funktionalität muss immer noch programmiert werden. Doppelklicken Sie in den Projektdateien der Baumansicht auf die entsprechende Quelldatei, um die Quelldatei in UEStudio zu öffnen, damit Sie die weitere Funktionalität hinzufügen können.


Cursor-Tasten / Cursor-Steuerung

Die Cursor-Tasten Pfeil hoch, Pfeil runter, Pfeil links und Pfeil rechts bewegen den Cursor um ein Zeichen bzw. eine Zeile in die entsprechende Richtung.

Wenn Sie die Taste Pfeil links bzw. Pfeil rechts bei gedrückter Steuerungstaste (Strg) verwenden, wird der Cursor nach links bzw. rechts an den Anfang des vorherigen bzw. nächsten Wortes bewegt.

Wenn Sie die Taste Pfeil hoch bzw. Pfeil runter bei gedrückter Strg-Taste verwenden, wird nicht der Cursor, sondern der gesamte Text innerhalb des Editorfensters nach oben bzw. unten bewegt. Sobald der Text so weit bewegt wurde, dass der Cursor an den oberen oder unteren Rand des Fensters stößt, wird der Cursor ganz normal von einer Zeile in die nächste bewegt.

Wenn Sie die Taste Pfeil links bzw. Pfeil rechts bei gedrückter Alt-Taste verwenden, wird der Cursor an den Anfang des vorherigen bzw. nächsten Absatzes bewegt.


Debuggen von PHP-Skripten

Ab Version 4.3.0 unterstützt PHP eine neue SAPI-Schnittstelle (»Server Application Programming Interface«) namens CLI (Command Line Interface, oder Befehlszeilen-Schnittstelle). Wenn Sie die neueste Version von PHP schon installiert haben, können Sie PHP-Skripten entweder im Browser, zusammen mit dem Apache server und der PHP-Skriptfunktionalität, oder von der Befehlszeile aus ausführen (lediglich die PHP-Skriptfunktionalität wird dabei benötigt). Dank der Integration mit Xdebug können somit Anwenderinnen und Anwender von UEStudio sowohl browserbasierte PHP-Skripten als auch konsolenbasierte Skripten debuggen.

Um etwas debuggen zu können, müssen vorher das PHP-Skript-Engine und Xdebug heruntergeladen und installiert werden. Bitte hier klicken, um mehr über das Herunterladen, die Installation und Konfiguration der Komponenten, je nachdem ob Sie Browser- oder Befehlszeilenskripten debuggen möchten, zu erfahren. Nachdem PHP und Xdebug installiert und konfiguriert wurden, verbleiben nur wenige Schritte bis zum Debuggen der PHP-Skripten:

1. Erstellen Sie ein Standard-PHP-Debug-Projekt in UEStudio. Dieses Projekt dient lediglich der Aufnahme der Einstellungen für den PHP-Debugger. PHP-Skripten müssen nicht mit dem aktiven Projekt verbunden werden, um etwas zu debuggen!

a. Wählen Sie Neues Projekt/Workspace im Menü Projekt aus, dann wählen Sie Neues Projekt erstellen...

b. Geben Sie einen Namen für das neue Projekt ein, z.B. »PHPDebug«, und klicken Sie auf die Schaltfläche Speichern.

c. Klicken Sie auf den Reiter Debuggen und wählen Sie »Integriertes Xdebug« aus der Liste bei Debugger für Projekt wählen. Klicken Sie anschließend auf die Schaltfläche Schließen.

2. Im Menü Erstellen, wählen Sie Debugger starten, um eine Debug-Sitzung zu eröffnen. Beim Aufrufen des Debuggers erscheint ein Dialogfenster:

Nun kann man auf »OK« klicken und mit dem Dialog folgendermaßen fortfahren:

Browser-Basiertes PHP-Debuggen

1. Nach Klicken der Schaltfläche »OK« im Dialog Warten auf Verbindung... steht folgender Text in der Statusleiste:

Xdebug: Warten auf Verbindung...

Das zeigt an, dass Xdebug bereit ist und darauf wartet, ein laufendes Skript auf dem entsprechenden Port zu überwachen.

2. Stellen Sie sicher, dass der installierte WampServer auch läuft. Falls Sie nicht WampServer einsetzen, stellen Sie bitte sicher, dass der Apache-Server und PHP-Skriptfunktionalität gestartet bzw. aktiviert wurden. Das PHP-Skript muss dann gestartet werden, damit der Debugger es merkt und es zum Debuggen untersucht werden kann.

3. Zum Debuggen von Skripten im Browser sollte man die URL-Variable »XDEBUG_SESSION_START=<Name>« der Adresse hinzufügen, z.B.:

http://localhost/test.php?XDEBUG_SESSION_START=myPHPTest

Wenn es Ihnen lieber ist, nicht bei allen zu debuggenden Skripten ?XDEBUG_SESSION_START=myPHPTest der URL hinzuzufügen, können Sie auch den entsprechenden Schalter in der PHP.INI-Datei setzen. Nachher wird für jedes laufende PHP-Skript der Debugger automatisch eingeschaltet. Bei installiertem WampServer ist es am Einfachsten, wenn man auf die PHP.INI-Datei über das Menü von WampServer zugreift:

Wo Xdebug-Einstellungen während der Installation definiert wurden, steht bei remote_autostart entweder eine 1 oder eine 0:

xdebug.remote_autostart = 1

Falls hier eine 1 steht, wird Xdebug jedesmal gestartet, wenn nach Auswahl von »Erstellen -> Debugger starten« eine PHP-Datei ausgeführt wird. Beachten Sie bitte, dass das PHP-Skript im richtigen Verzeichnis für den Apache-Server gespeichert werden muss, um es von »http://localhost/« aus starten zu können. Bei einer Standardinstallation von WampServer wäre das:

C:\wamp\www\

Wenn die URL im Browser richtig eingegeben und der Debug-Schalter hinzugefügt wurde, zeigt die Statusleiste von UEStudio nachher an, dass Xdebug das Starten des Skripts gemerkt und mit dem Debuggen angefangen hat. UEStudio zeigt hier den folgenden Text in der Statusleiste an:

Xdebug: Sitzung wird initialisiert

Nachdem Xdebug das Skript abgearbeitet hat, ändert sich dieser Text in:

Xdebug: Einzelschritt

Die Ergebniszeilen des Debug-Vorgangs werden jetzt im Ausgabefenster von UEStudio angezeigt. Entweder erscheint eine Fehlermeldung, oder es wird der Text »Keine Debug-Ausgaben« angezeigt, wenn keine Fehler im Skript gefunden wurden. Falls die zu debuggende Datei nicht schon vorher in UEStudio geöffnet war, wird sie nun automatisch geladen. Wenn keine Fehler im Skript gefunden wurden, steht das Pfeilzeichen des Debuggers über der ersten Code-Zeile des Skripts:

Bei Fehlern wird das Pfeilzeichen zur Fehlerzeile bewegt, die mit der Fehlermeldung im Ausgabefenster zusammenhängt.

Debuggen eines PHP-Befehlszeilenskripts

Bevor man PHP-Befehlszeilenskripten debuggen kann, muss eine Umgebungsvariable definiert werden. Diese Umgebungsvariable heißt »XDEBUG_CONFIG«, und ihr Wert sollte im Format »idekey=<session_name>« sein; dabei kann <session_name> ein beliebiger Name sein, z.B. »idekey=phpdebug«.

1. Im Menü Erstellen, wählen Sie Debugger starten, um eine Debug-Sitzung zu eröffnen. Beim Aufrufen des Debuggers erscheint ein Dialogfenster:

Nun kann man auf »OK« klicken und mit dem Dialog folgendermaßen fortfahren:

2. Nach Klicken der Schaltfläche »OK« im Dialog Warten auf Verbindung... steht folgender Text in der Statusleiste:

Xdebug: Warten auf Verbindung...

Das zeigt an, dass Xdebug bereit ist und darauf wartet, ein laufendes Skript auf dem entsprechenden Port zu überwachen.

3. Öffnen Sie ein Konsolenfenster und führen Sie das Skript aus, das Sie debuggen möchten, z.B. durch Eingabe der Befehlszeile:

C:>php c:\php_modules\test.php

Im Gegensatz zu browserbasierten Skripten braucht man keinen besonderen Debug-Schalter, da diese Aufgabe von der vorher definierten Umgebungsvariable erledigt wird.

4. Bei Ausführung des Skripts ändert sich der Text der Statusleiste in UEStudio, wenn Xdebug das Starten des Skripts gemerkt und mit dem Debuggen angefangen hat. UEStudio zeigt dies folgendermassen an:

Xdebug: Sitzung wird initialisiert

Nachdem Xdebug das Skript abgearbeitet hat, ändert sich dieser Text in:

Xdebug: Einzelschritt

Die Ergebniszeilen des Debug-Vorgangs werden jetzt im Ausgabefenster von UEStudio angezeigt. Entweder erscheint eine Fehlermeldung, oder es wird der Text »Keine Debug-Ausgaben« angezeigt, wenn keine Fehler im Skript gefunden wurden. Falls die zu debuggende Datei nicht schon vorher in UEStudio geöffnet war, wird sie nun automatisch geladen. Wenn keine Fehler im Skript gefunden wurden, steht das Pfeilzeichen des Debuggers über der ersten Code-Zeile des Skripts:

Bei Fehlern wird das Pfeilzeichen zur Fehlerzeile bewegt, die mit der Fehlermeldung im Ausgabefenster zusammenhängt.


Drag&Drop zur Bearbeitung

Die Bearbeitung per Drag&Drop

UltraEdit unterstützt das Drag&Drop-Verfahren mit der Maus.

Beim Bearbeiten per Drag&Drop (Ziehen und Fallenlassen) können Sie ganz normal Text markieren und ihn dann durch das Ziehen mit der Maus an eine andere Stelle kopieren oder verschieben. Dafür sind keine Tastatureingaben erforderlich.

Zuerst wählen Sie auf gewohnte Weise Text aus. Sobald Text markiert ist, können Sie auf dem markierten Text die primäre Maustaste (normalerweise die linke) drücken, wodurch der Mauszeiger zu einem Zeiger mit einem kleinen gestrichelten rechteckigen Rahmen wird. Dieser Zeiger weist darauf hin, dass Sie sich im Drag&Drop-Modus befinden und den markierten Text an eine neue Stelle ziehen ('drag') können.

Bei gedrückter Maustaste kann der ausgewählte Text an eine neue Stelle verschoben werden. Wenn der Mauszeiger bewegt wird, folgt der Text-Cursor dem Mauszeiger und zeigt die neue Position für den Text an, falls Sie die Maustaste loslassen und damit den Text 'fallen lassen' ('drop').

Sie können den Text innerhalb von UltraEdit auch von einer Datei in eine andere ziehen. Wenn der Mauszeiger in UltraEdit über einer anderen Datei positioniert wird, wird diese Datei aktiv und der Text kann in diese Datei an der angezeigten Cursor-Position fallen gelassen werden.

Durch Drücken der Taste ESC können Sie den Modus jederzeit abbrechen.

Weiterhin kann der 'gezogene' Text auch an eine neue Position kopiert statt verschoben werden. Wenn irgendwann während des Drag&Drop-Vorgangs die Steuerungstaste Strg gedrückt gehalten wird erscheint im Mauszeiger zusätzlich ein Pluszeichen (+), das darauf hinweist, dass der Text an die neue vom Cursor angezeigte Position kopiert wird und dabei an der ursprünglichen Stelle erhalten bleibt.

Das Bearbeiten per Drag&Drop wird im Normalmodus, HEX-Modus und Spaltenmodus unterstützt.


Drag&Drop für Dateien

UltraEdit unterstützt die Übernahme von Dateien per Drag&Drop aus dem Explorer/Dateimanager in das laufende Programm. Es lassen sich Dateien (auch mehrere) im Explorer auswählen und per Maus über das UltraEdit-Fenster ziehen. Wenn die Maustaste mit dem Zeiger über dem UltraEdit-Fenster losgelassen wird, werden die ausgewählten Dateien automatisch zum Bearbeiten in UltraEdit geöffnet.


Baumansicht für Dateien

Die Baumansicht für Dateien

UltraEdit-32 v11.00 (und UEStudio) verfügen über eine verbesserte Baumansicht für Dateien. Aktivieren bzw. deaktivieren lässt sich die Baumansicht entweder über den Befehl Baumansicht im Menü 'Ansicht | Ansichten/Listen' oder über die Tastenkombination Strg+U.

Die Registerkarten der Anzeigemodi

Der Anzeigemodus kann zwischen den Anzeigearten »Projekt«, »Öffnen«, »Explorer« und »Liste« hin und her gewechselt werden.

Registerkarte 'Projekt'

Auf dieser Registerkarte werden alle Dateien und Verzeichnisse des aktiven Projekts angezeigt, wobei die Darstellung oben mit dem Projektnamen beginnt.

Wenn in dieser Baumansicht entweder kein Eintrag oder nur der Projektname markiert ist, stehen im Kontextmenü folgende Befehle zur Verfügung:

Explorer | Öffnet die Registerkarte 'Explorer' mit dem aktiven Projektverzeichnis.
Aktualisieren | Aktualisiert die Projektinformationen (Änderungen werden übernommen) und baut die Projektliste neu auf.
Ordner hinzufügen | Präsentiert Dialog Neuer Ordner
Neue Datei hinzufügen | öffnet einen Dialog, wo die neue Datei angegeben wird
Aktive Datei hinzufügen | Fügt die aktuell bearbeitete Datei zum aktiven Projekt hinzu.
Offene Dateien hinzufügen | Fügt die derzeit geöffneten Dateien zum aktiven Projekt hinzu.
Dateien hinzufügen | Ruft den 'Öffnen'-Dialog auf, um eine oder mehrere Datei(en) auszuwählen, die zum Projekt hinzugefügt werden sollen. Falls im entsprechenden Listenfeld keine Unterverzeichnisse ausgewählt werden, werden die Dateien zum Wurzelverzeichnis des Projekts hinzugefügt.
Datei in Projekt öffnen | Ruft den Dialog 'Datei(en) in Projekt öffnen' auf.
Compiler-Optionen [*] | Ruft den Dialog 'Compiler-Optionen' auf. [* nur in UEStudio]
Einstellungen | Ruft den Dialog 'Projekteinstellungen' auf.

Wenn in dieser Baumansicht ein Verzeichnis oder eine Datei markiert ist, stehen im Kontextmenü folgende Befehle zur Verfügung:

Öffnen | Öffnet die ausgewählte Datei bzw. das Verzeichnis des aktiven Projekts.
Explorer | Öffnet die Registerkarte 'Explorer' mit dem Verzeichnis der ausgewählten Datei bzw. des ausgewählten Verzeichnisses.
Aus Projekt entfernen | Entfernt die ausgewählte Datei bzw. das Verzeichnis aus dem aktiven Projekt.

Registerkarte 'offen'

Auf dieser Registerkarte werden alle derzeit geöffneten Dateien angezeigt.

In dieser Baumansicht stehen folgende Befehle zur Verfügung:

Schließen | Schließt die ausgewählte(n) Datei(en).
Speichern | Speichert die ausgewählte(n) Datei(en).
Drucken | Druckt die ausgewählte(n) Datei(en) aus.
Datei umbenennen | Benennt die ausgewählte Datei um.
Untereinander | Zeigt alle offenen Dateien untereinander an.
Nebeneinander | Zeigt alle offenen Dateien nebeneinander an.
Verzeichnis zum aktiven Dateipfad machen | Setzt den Pfad der aktiven Datei auf das Verzeichneis der ausgewählten Datei.
Nur Dateinamen anzeigen | Es wird nicht der vollständige Pfad, sondern nur der Dateiname angezeigt.
Nach Dateinamenerweiterungen sortieren | Die Dateien werden nach deren Erweiterungen sortiert angezeigt.

Registerkarte 'Explorer'

Auf dieser Registerkarte werden alle Laufwerke (lokal & Netzwerk) und Wechseldatenträger angezeigt.

Bei Auswahl einer Datei in der Explorer-Baumansicht öffnet sich nach Klicken mit der rechten Maustaste das folgende Kontextmenü:

System-Explorer-Menü | entsprechende Menü-Befehle aus dem Windows-Explorer-Menü werden angezeigt
Benennt die aktive Datei um | der Fokus wird auf den Namen der aktuellen Datei gesetzt, damit diese umbenannt werden kann
Datei öffnen | die ausgewählte Datei wird im Bearbeitungsfenster geöffnet
In Standardprogramm öffnen | öffnet die aktuelle Datei in der Anwendung, die in Windows für diesen Dateityp registriert wurde
Eigenschaften | zeigt den Windows-Eigenschaftendialog für die aktuelle Datei
Datei(en) löschen | löscht die ausgewählte(n) Datei(en)
Verzeichnis zum aktiven Dateipfad machen | das Verzeichnis der ausgewählten Datei wird zum aktiven Dateipfad
Windowsverzeichnis | setzt den Fokus auf das Windows-Verzeichnis
Systemverzeichnis | setzt den Fokus auf das Systemverzeichnis
Eigene Dateien | setzt den Fokus auf das »Eigene Dateien«-Verzeichnis des aktuellen Benutzers
Anwendungsdaten | setzt den Fokus auf das Verzeichnis der Anwendungsdaten
In Datei einfügen | öffnet ein Untermenü mit der Auswahl zwischen vollständigem Pfad, Pfad oder Name der ausgewählten Datei, der in das aktive Dokument eingefügt wird

Bei Auswahl eines Ordners in der Explorer-Baumansicht öffnet sich nach Klicken mit der rechten Maustaste das folgende Kontextmenü:

System-Explorer-Menü | entsprechende Menü-Befehle aus dem Windows-Explorer-Menü werden angezeigt
Aktualisieren | aktualisiert die Liste von allen Laufwerken und Wechseldatenträgern
Verzeichnis als Startverzeichnis einstellen | das ausgewählte Verzeichnis wird als Startverzeichnis gesetzt
Suchen in Dateien in diesem Verzeichnis | der Dialog »Suchen in Dateien« wird geöffnet, und das Verzeichnis wird mit dem ausgewählten Verzeichnis gesetzt
Ersetzen in Dateien in diesem Verzeichnis | der Dialog »Ersetzen in Dateien« wird geöffnet, und das Verzeichnis wird mit dem ausgewählten Verzeichnis gesetzt
Öffnen-Befehl-Eingabeaufforderung hier | öffnet ein Konsolenfenster mit diesem Pfad als Befehlseingabeaufforderung
Benennt die aktive Datei um | der Fokus wird auf den Namen des aktuellen Verzeichnisses gesetzt, damit diese umbenannt werden kann
Datei öffnen | die Liste unter dem ausgewählten Verzeichnis wird aufgeklappt, um dessen Inhalt anzuzeigen
Eigenschaften | zeigt den Windows-Eigenschaftendialog für das aktuelle Verzeichnis
Datei(en) löschen | löscht die ausgewählte(n) Datei(en)
Verzeichnis zum aktiven Dateipfad machen | das Verzeichnis der ausgewählten Datei wird zum aktiven Dateipfad
Windowsverzeichnis | setzt den Fokus auf das Windows-Verzeichnis
Systemverzeichnis | setzt den Fokus auf das Systemverzeichnis
Eigene Dateien | setzt den Fokus auf das »Eigene Dateien«-Verzeichnis des aktuellen Benutzers
Anwendungsdaten | setzt den Fokus auf das Verzeichnis der Anwendungsdaten
In Datei einfügen | öffnet ein Untermenü mit der Auswahl zwischen vollständigem Pfad, Pfad oder Name der ausgewählten Datei, der in das aktive Dokument eingefügt wird

Registerkarte 'Listenmodus'

Zeigt eine Baumansicht für Favoriten und für vom Benutzer angelegte Gruppen an.

Falls der Fokus auf dem Kombinationsfeld liegt, kann man eine neue Listenüberschrift (z.B. »Persönlich«) eingeben. Die Schaltfläche »+« bewirkt, dass dieser Text als eine neue Überschrift in die Liste eingefügt wird. Nach Auswahl der gewünschten Überschrift kann man mit der Schaltfläche »...« aus einem Kontextmenü zwischen den Optionen »Verzeichnis hinzufügen« und »Datei hinzufügen« wählen. Falls etwas in der Anzeige der Listen markiert wurde, kann man es mit der Schaltfläche »-« entfernen.

Die zusätzlichen Registerkarten in UEStudio

UEStudio besitzt für die Baumansicht drei zusätzliche Registerkarten am unteren Ende, die es in UltraEdit-32 nicht gibt:

Registerkarte 'Dateien'

Wenn diese Registerkarte aktiv ist, werden die drei standardmäßigen Registerkarten am oberen Ende der Baumansicht angezeigt. In UEStudio werden die Dateien/Module in den drei oben beschriebenen Anzeigemodi mit kleinen farbigen Quadraten angezeigt, die den Status der Dateien in Bezug auf den CVS-Bastand kennzeichnen:

Farbe | Bedeutung
Grün | Datei/Modul ist aktuell und unverändert.
Blau | Datei/Modul befindet sich derzeit nicht unter CVS-Kontrolle.
Gelb | Datei/Modul wurde verändert.
Rot | Datei/Modul führt zu einem Konflikt.

Registerkarte 'Res'

Auf dieser Registerkarte werden die Ressourcendateien für das aktive Projekt angezeigt. In dieser Baumansicht stehen folgende Befehle zur Verfügung:

Ressourcen speichern | Speichert die geänderten Ressourcen das aktiven Projekts.
Einfügen | Zeigt den Dialog 'Ressource einfügen' an, mit dem Sie eines der folgenden Elemente einfügen können: Zugriffstaste, Bitmap, Cursor, Dialog, Icon, Menü, Symbolleiste, Version, Schriftart, HTML.
Importieren | Zeigt den 'Öffnen'-Dialog an, mit dem Sie das zu importierende Element auswählen können.
Editoren festlegen | Zeigt den Dialog 'Ressourcen-Editoren festlegen' an, in dem Sie die Pfade für einen Bitmap-Editor, Icon-Editor und Cursor-Editor angeben können.

Falls eine Ressourcendatei markiert ist, erscheint beim Rechtsklick auf den Dateinamen ein Kontextmenü mit folgenden Befehlen:

Öffnen | Öffnet die ausgewählte Daten-, Dialog- oder Menü-Ressource zur Bearbeitung. Falls eine Ressource vom Typ Bitmap, Cursor, Icon oder Symbolleiste ausgewählt ist, wird der dem jeweiligen Typ zugeordnete Editor aufgerufen. Falls eine Ressource vom Typ Zugriffstaste oder Zeichenkettentabelle ausgewählt ist, wird der Dialog 'Zugriffstasten' bzw. 'Zeichenketten' aufgerufen, damit Sie die ausgewählte Ressource bearbeiten können.
Binäre Datei öffnen | Öffnet die ausgewählte Datei binär im HEX-Modus.
Ressource entfernen | Entfernt die ausgewählte Ressource aus dem aktiven Projekt.
Ressourcen speichern | Speichert die geänderten Ressourcen das aktiven Projekts.
Kopie einfügen | Fügt eine Kopie des ausgewählten Ressourcenverzeichnisses unterhalb des markierten Ressourcenverzeichnisses in das aktive Projekt ein.
Einfügen | Zeigt den Dialog 'Ressource einfügen' an, mit dem Sie eines der folgenden Elemente einfügen können: Zugriffstaste, Bitmap, Cursor, Dialog, Icon, Menü, Symbolleiste, Version, Schriftart, HTML.
Importieren | Zeigt den 'Öffnen'-Dialog an, mit dem Sie das zu importierende Element auswählen können.
Editoren festlegen | Zeigt den Dialog 'Ressourcen-Editoren festlegen' an, in dem Sie die Pfade für einen Bitmap-Editor, Icon-Editor und Cursor-Editor angeben können.

Registerkarte 'Tags'

Auf dieser Registerkarte werden die Klassen, Strukturen und sonstigen Symbole angezeigt, die innerhalb des Projekts definiert wurden. Wenn Sie einen Doppelklick auf einem Eintrag durchführen, wird die entsprechende Quelldatei geöffnet und die Zeile angezeigt, in der das Symbol definiert bzw. deklariert wird.

Diese Ansicht ersetzt in UEStudio den aus UltraEdit-32 bekannten CTags-Mechanismus.

Hinweis: Die zusätzlichen Registerkarten stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Tasten 'Pos1' & 'Ende' (Cursor-Steuerung)

Die Tasten 'Pos1' & 'Ende' (Cursor-Steuerung)

Die Taste 'Pos1'

Die Taste Pos1 bewegt den Cursor standardmäßig auf das erste Zeichen der Zeile, in der sich der Cursor befindet. Nochmaliges Drücken von Pos1 bewegt den Cursor an den Zeilenanfang. Dieses Verhalten kann auf der Registerkarte 'Optionen | Bearbeiten' durch Akltivieren der Option Pos1-Taste führt immer zu Spalte 1 geändert werden.

Wenn Sie die Taste Pos1 bei gedrückter Strg-Taste verwenden, wird der Cursor an den Anfang der Datei bewegt.

Die Taste 'Ende'

Die Taste Ende bewegt den Cursor an das Ende der Zeile, in der sich der Cursor befindet.

Wenn Sie die Taste Ende bei gedrückter Strg-Taste verwenden, wird der Cursor an das Ende der Datei bewegt.


Einfügemodus & Überschreibmodus

Der Einfügemodus und der Überschreibmodus

Die Textbearbeitung ist sowohl im Einfüge- als auch im Überschreibmodus möglich. Der aktuelle Betriebsmodus wird in der Statuszeile an der Fensterunterseite von UltraEdit angezeigt und lässt sich durch Drücken der Einfügetaste (Einfg) in den jeweils anderen Modus ändern.

Wenn der Einfügemodus aktiv ist, wird rechts in der Statusleiste der Text 'EINF' angezeigt, bei aktivem Überschreibmodus der Text 'ÜBR'.

Der Einfügemodus bewirkt, dass das eingegebene Zeichen an der Cursor-Position in der Datei eingefügt wird. Beim Überschreibmodus wird das Zeichen unmittelbar rechts neben der Cursor-Position durch das neu eingegebene Zeichen überschrieben.

Wenn sich das aktive Bearbeitungsfenster im HEX-Modus befindet, ist immer der Überschreibmodus aktiviert. Um Text im HEX-Modus einzufügen, muss der Befehl HEX einfügen/löschen verwendet werden.


Einfügen von Sonderzeichen

Das Einfügen von Sonderzeichen

Deutsche Umlaute

UltraEdit wurde um die Möglichkeit erweitert, folgende Sonderzeichen, die auf amerikanischen Tastaturen nicht vorhanden sind, einfach per Tastenkombination einzufügen:

Strg+Umschalt+a | Fügt das Zeichen 'ä' ein.
Strg+Umschalt+A | Fügt das Zeichen 'Ä' ein. (Bei aktiver Feststelltaste)
Strg+Umschalt+o | Fügt das Zeichen 'ö' ein.
Strg+Umschalt+O | Fügt das Zeichen 'Ö' ein. (Bei aktiver Feststelltaste)
Strg+Umschalt+u | Fügt das Zeichen 'ü' ein.
Strg+Umschalt+U | Fügt das Zeichen 'Ü' ein. (Bei aktiver Feststelltaste)
Strg+Umschalt+s | Fügt das Zeichen 'ß' ein.
Strg+Umschalt+S | Fügt das Zeichen 'ß' ein. (Bei aktiver Feststelltaste)

Andere Sonderzeichen

Außerdem ist es möglich, jedes in der ASCII-Tabelle aus dem Menü 'Ansicht' enthaltene Zeichen einzufügen, indem die Alt-Taste während der Eingabe des entsprechenden vierziffrigen Zeichencodes mit dem Nummernblock gedrückt gehalten wird.

Beispiele:

  • Zum Einfügen von '¿' halten Sie die Alt-Taste während der Eingabe von '0191' gedrückt.
  • Zum Einfügen von 'Æ' halten Sie die Alt-Taste während der Eingabe von '0198' gedrückt.


Tastaturbefehle

Die Tastaturbefehle

UltraEdit unterstützt folgende häufig verwendete Funktionen durch Tastaturbefehle:

Tastaturbefehl | Menüpunkt | Funktion
F1 | Hilfe | Zeigt die UltraEdit-Hilfe an.
Umschalt+F1 | Kontexthilfe | Aktiviert die Kontexthilfe mit dem entsprechenden Cursor.
Strg+N | Neu (Datei) | Erstellt eine neue Datei.
Strg+O | Öffnen (Datei) | Öffnet eine vorhandene Datei.
Strg+Q | Schnellöffnen (Datei) | Öffnet eine vorhandene Datei ohne den Dialog zum Öffnen von Dateien
Strg+F4 | Schließen (Datei) | Schließt eine offene Datei.
Strg+S | Speichern (Datei) | Speichert die aktive Datei.
F12 | Speichern unter (Datei) | Speichert die aktive Datei als neue Datei.
Strg+P | Drucken (Datei) | Gibt die aktive Datei auf einem Drucker aus.
Strg+X | Ausschneiden (Bearbeiten) | Schneidet den Text aus der Datei aus und kopiert ihn in die Zwischenablage.
Strg+C | Text kopieren | Kopiert den Text aus der Datei in die Zwischenablage.
Strg+V | Einfügen (Bearbeiten) | Fügt den Text aus der Zwischenablage in die aktive Datei ein.
Strg+0-9 | Zwischenablage auswählen (Bearbeiten) | Wählt die aktive Zwischenablage aus.
Strg+A | Alles markieren (Bearbeiten) | Markiert den gesamten Text in der aktiven Datei.
Strg+Z | Rückgängig (Bearbeiten) | Macht die letzte Handlung rückgängig (sofern möglich).
Strg+Y | Wiederherstellen (Bearbeiten) | Stellt den Zustand vor dem letzten Rückgängigmachen wieder her (sofern möglich).
Strg+J | Wort markieren (Bearbeiten) | Markiert das aktuelle Wort (entspricht Doppelklick )
Strg+E | Zeile löschen (Bearbeiten) | Löscht die Zeile, in der sich der Cursor befindet.
Strg+F11 | Bis Zeilenanfang löschen (Bearbeiten) | Löscht den Text zwischen der Cursor-Position und dem Zeilenanfang.
Strg+F12 | Bis Zeilenende löschen (Bearbeiten) | Löscht den Text zwischen der Cursor-Position und dem Zeilenende.
Strg+W | Zeilenumbruch ein/aus (Bearbeiten) | Schaltet den automatischen Zeilenumbruch ein/aus.
F7 | Datum/Uhrzeit (Bearbeiten) | Fügt Uhrzeit/Datum an der Cursor-Position ein.
Alt+F3 or Strg+F | Suchen (Suchen) | Sucht eine Textstelle.
Strg+F3 | Vorher Suchen (Suchen) | Wiederholt die letzte Suche in Richtung Dateianfang.
F3 | Weitersuchen (Suchen) | Wiederholt die letzte Suche in Richtung Dateiende.
Strg+B | Klammerpaare | Sucht passende Klammern (,[,{ oder },],).
Strg+R | Ersetzen (Suchen) | Sucht und ersetzt eine Zeichenkette.
Strg+G | Gehe zu Zeile/Seite (Suchen) | Geht zu der angegebenen Zeile/Seite (oder HEX-Adresse).
Strg+U | Baumansicht (Ansicht) | Blendet die Baumansicht für Dateien ein/aus.
Strg+F8 | Tag-Liste (Ansicht) | Blendet die Tag-Liste ein/aus.
Strg+T | Absatz neu formatieren (Format) | Formatiert den aktuellen Absatz oder ausgewählten Text neu.
Strg+F5 | Kleinbuchstaben (Format) | Wandelt markierten Text in Kleinbuchstaben um.
ALT+F5 | Großbuchstaben (Format) | Wandelt markierten Text in Großbuchstaben um.
F5 | Kapitale (Format) | Schreibt den ersten Buchstaben jedes Wortes im markierten Text als Kapital (großer Anfangsbuchstabe).
Umschalt+F5 | Groß-/Kleinschreibung vertauschen (Format) | Kehrt die Groß-/Kleinschreibung jedes Buchstabens im markierten Text um.
Strg+K | Rechtschreibprüfung (Bearbeiten) | Ruft die Rechtschreibprüfung auf.
ALT+C | Spaltenmodus (Spalte) | Schaltet Spalten/Blockmodus ein/aus.
Strg+Rücklöschtaste | Delete previous word | Löscht das vorhergehende Wort vor dem Cursor.
Strg+Entf | Delete next word | Löscht das nachfolgende Wort nach dem Cursor.
Strg+I | Literalzeichen einfügen | Fügt ein Literalzeichen an der Cursor-Position ein.
INS | Einfüge-/Überschreibmodus | Zwischen Einfüge- und Überschreibmodus umschalten.
Strg+H | HEX-Modus ein/aus (Bearbeiten) | Schaltet HEX-Modus ein/aus.
Strg+D | HEX einfügen/löschen (Bearbeiten) | Fügt Zeichen im HEX-Modus ein oder löscht sie.
Strg+F2 | Lesezeichen ein/aus (Suchen) | Schaltet Lesezeichen ein/aus.
F2 | Nächstes Lesezeichen (Suchen) | Geht zum nächsten Lesezeichen.
Alt+F2 | Vorheriges Lesezeichen (Suchen) | Geht zum vorherigen Lesezeichen.
Strg+M | Ausführen (Makro) | Spielt ein Makro ab.
Strg+L | Mehrfach ausführen (Makro) | Spielt ein Makro eine angegebene Anzahl von Malen ab.
Strg+F6 | Nächstes Fenster | Aktiviert das nächste Dateifenster.
Strg+Umschalt+F6 | Vorheriges Fenster | Aktiviert das vorherige Dateifenster.
Alt+F4 | UltraEdit beenden | Beendet UltraEdit.
Alt+0-9 or Umschalt+Alt+0 &endash; 9 | Textbaustein einfügen (Extras) | Fügt benutzerdefinierten Textbaustein ein.
F9 | DOS-Befehl (Extras) | DOS-Befehl unter Windows
Strg+F9 | Letzter DOS-Befehl (Extras) | Wiederholt den letzten DOS-Befehl unter Windows.
F10 | Windows-Programm starten (Extras) | Führt ein Windows-Programm aus.
Strg+Umschalt+A | Fügt 'ä' (bei aktivierter Feststelltaste 'Ä') ein | (In Abhängigkeit von der Schrift als ANSI oder ASCII.)
Strg+Umschalt+O | Fügt 'ö' (bei aktivierter Feststelltaste 'Ö') ein | (In Abhängigkeit von der Schrift als ANSI oder ASCII.)
Strg+Umschalt+U | Fügt 'ü' (bei aktivierter Feststelltaste 'Ü') ein | (In Abhängigkeit von der Schrift als ANSI oder ASCII.)
Strg+Umschalt+S | Fügt 'ß' ein | (In Abhängigkeit von der Schrift als ANSI oder ASCII.)
Strg+Pfeil-Hoch | Bildlauf nach oben | Führt einen einzeiligen Bildlauf nach oben durch, wobei der Cursor sichtbar bleibt.
Strg+Pfeil-Runter | Bildlauf nach unten | Führt einen einzeiligen Bildlauf nach unten durch, wobei der Cursor sichtbar bleibt.
F4 | Fokuswechsel | Wechselt den Fokus zwischen der aktiven Datei und der Baumansicht, sofern diese aktiviert ist.
F8 | Funktionsliste anzeigen (Ansicht) | Blendet die Funktionsliste ein.
Alt+Pfeil-Rechts | Nächster Absatz | Positioniert den Cursor auf das erste Nicht-Leerzeichen des nächsten Absatzes.
Alt+Pfeil-Links | Vorheriger Absatz | Positioniert den Cursor auf das erste Nicht-Leerzeichen des aktuellen Absatzes (falls mitten im Absatz
Alt+Bild-Hoch | Fensteranfang | Positioniert den Cursor an den Anfang der ersten angezeigten Zeile.
Alt+Bild-Runter | Fensterende | Positioniert den Cursor an den Anfang der letzten angezeigten Zeile.
Alt+NumMinus | Bildlauf zum Fensteranfang | Positioniert die Zeile mit dem Cursor an den oberen Bildrand. Hinweis: Die Taste NumMinus entspricht der Taste '-' auf dem Ziffernblock bei ausgeschalteter NumLock-Taste.
Alt+NumPlus | Bildlauf zum Fensterende | Positioniert die Zeile mit dem Cursor an den unteren Bildrand. Hinweis: Die Taste NumPlus entspricht der Taste '+' auf dem Ziffernblock bei ausgeschalteter NumLock-Taste
Alt+NumMal | Bildlauf zur Fenstermitte | Positioniert die Zeile mit dem Cursor in der Mitte des Bildschirms Hinweis: Die Taste NumMal entspricht der Taste '*' auf dem Ziffernblock bei ausgeschalteter NumLock-Taste.
Strg+Num1 | Ende des vorherigen Worts | Positioniert den Cursor am Ende des vorherigen Worts. Hinweis: Die Taste Num1 entspricht der Taste 1 auf dem Ziffernblock bei ausgeschalteter NumLock-Taste.
Strg+Num2 | Ende des nächsten Worts | Positioniert den Cursor am Ende des nächsten Worts. Hinweis: Die Taste Num2 entspricht der Taste 2 auf dem Ziffernblock bei ausgeschalteter NumLock-Taste.
STRG+Insert (Einfügen) | Telnet-Kopieren | Kopiert den merkierten Text in der Telnet-Konsole in die Zwischenablage.
GroßBuchst.+Insert (Einfügen) | Telnet-Einfügen | Schreibt den Inhalt der Zwischenablage in das Telnet-Konsolenfenster


Ausgabefenster

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Das Ausgabefenster in UEStudio unterstützt mehrere Ausgabebereiche, die sich über Registerkarten auswählen und getrennt voneinander für die Ausgabe nutzen und auch speichern lassen, ohne dadurch die Inhalte anderer bereits ausgeführter Funktionen zu überschreiben.

Diese Einrichtung hat den Vorteil, dass mehrere Funktionen ausgeführt und die dynamischen Ausgaben dieser Funktionen für die spätere Nutzung (während der aktuellen Arbeitssitzung) getrennt voneinander gespeichert werden können. Sämtliche Ausgaben erfolgen im jeweils aktiven Ausgabebereich.

Beispiel: Wenn Sie auf die Registerkarte 1 klicken und den Befehl Suchen in Datei(en) ausführen, landen die Ergebnisse des Suchbefehls im Ausgabefenster der Registerkarte 1. Wenn Sie die Registerkarte 3 anklicken und für das aktuelle Projekt den Befehl Erstellen aufrufen, erscheinen die STDOUT- und STDERR-Ausgaben (abhängig von den Compiler-Einstellungen ) im Ausgabefenster der Registerkarte 3.

Beim Klicken mit der rechten Maustaste im Ausgabefenster wird ein Kontextmenü mit den folgenden Optionen geboten:

Ausgaben löschen | der Inhalt des aktuellen Fensters wird gelöscht
In die Zwischenablage kopieren | der Inhalt des aktuellen Fensters wird in die Zwischenablage kopiert
Markierte Zeile in die Zwischenablage kopieren | die ausgewählte Zeile wird in die Zwischenablage kopiert
Nächste Nachricht | bewegt den Fokus zum nächsten Objekt im Ausgabefenster und öffnet die dazugehörende Datei bei der angegebenen Zeile
Vorherige Nachricht | bewegt den Fokus zum vorherigen Objekt im Ausgabefenster und öffnet die dazugehörende Datei bei der angegebenen Zeile
Vorgabewert für relative Pfade setzen... | zeigt einen Dialog an, wo nach einem Standardverzeichnis zum Auflösen von relativen Pfadangaben im Ausgabefenster durchsucht werden kann.
Gehe zu Fehler/Warnung | öffnet die betreffende Datei bei der angegebenen Zeile und Spalte
Ausgaben scrollen | der Fokus scrollt zur letzten Ausgabezeile, falls aktiviert, oder bleibt anderenfalls in der ersten Zeile
Andocken zulassen | erlaubt das Andocken des Ausgabefensters innerhalb der Bearbeitungsumgebung
Ausgabefenster ein/ausblenden | blendet das oder die aktive(n) Ausgabefenster ein oder aus
Leerzeichen anstatt Tabulatoren ausgeben | Ausgabezeilen werden mit Leerzeichen anstelle von Tabulatorzeichen formatiert
ToolTipp-Text anzeigen | bei überlangen Ausgabezeilen, die nicht innerhalb der Fensterbreite passen, werden ToolTipp-Texte angezeigt

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Tasten 'Bild hoch' & 'Bild runter' (Cursor-Steuerung)

Die Tasten 'Bild hoch' & 'Bild runter' (Cursor-Steuerung)

Die Taste 'Bild hoch'

Die Taste Bild hoch bewegt den Cursor um eine Seite nach oben.

Wenn Sie die Taste Bild hoch bei gedrückter Strg-Taste verwenden, wird die Anzeige im Bearbeitungsfenster um eine Seite nach oben bewegt.

Wenn Sie die Taste Bild hoch bei gedrückter Alt-Taste verwenden, wird der Cursor an den Anfang des Bearbeitungsfensters bewegt.

Die Taste 'Bild runter'

Die Taste Bild runter bewegt den Cursor um eine Seite nach oben.

Wenn Sie die Taste Bild runter bei gedrückter Strg-Taste verwenden, wird die Anzeige im Bearbeitungsfensters um eine Seite nach unten bewegt.

Wenn Sie die Taste Bild runter bei gedrückter Alt-Taste verwenden, wird der Cursor an das Ende des Bearbeitungsfensters bewegt.


Registering UltraEdit-32/UEStudio

Registrierung von UltraEdit-32/UEStudio

Der Benutzername und der Freischaltcode für UltraEdit-32/UEStudio unterscheiden zwischen Groß- und Kleinschreibung. Daher müssen sie exakt so eingegeben werden, wie Sie Ihnen von IDM Computer Solutions, Inc. per E-Mail mitgeteilt werden.

Aus E-Mail übernehmen

Anstatt Benutzernamen und Authorisierungscode separat einzugeben, kann der vollständige Text aus der Registrierungs-E-Mail in einem Zug kopiert und eingefügt werden. Der Dialog »Freischaltung« wird nach Auswahl der Menü-Option »UltraEdit/UEStudio Registrieren« aus dem Menü »Hilfe« angezeigt. Beim Drücken der Schaltfläche »Aus E-Mail übernehmen« wird daraufhin ein Dialog mit der Überschrift »Registrierungsdaten aus E-Mail übernehmen« geöffnet. Diese ist die EINFACHSTE und EMPFOHLENE Methode, um das Produkt zu registrieren.

Gemäß den unten abgebildeten Anweisungen im Dialog »Registrierungsdaten aus E-Mail übernehmen« sollte der gesamte Text aus der Registrierungsnachricht in die Zwischenablage kopiert und in das große Eingabefeld im Dialog eingefügt werden. UltraEdit-32 bzw. UEStudio übersetzt daraufhin automatisch den Text in die für die Registrierung notwendigen Daten.

Registrierung manuell

Alternativ kann man die Registrierung immer noch in der herkömmlichen Weise erledigen: Aus der E-Mail-Nachricht von IDM heraus kopiert man den Benutzernamen und den Authorisierungscode einzeln in die Zwischenablage (STRG+C) und fügt sie (mit STRG+V) in die entsprechenden Eingabefelder des Authorisierungsdialogs ein.

Achtung: Wenn Ihr Benutzername einen Hinweis auf die Anzahl der Benutzerlizenzen enthält, dann muß dieser Teil des Registrierungsnamens zusammen mit Ihrem eigentlichen Benutzernamen eingetragen werden. Beispielsweise müßte "XYZ GmbH~ 8 User License" genau in dieser Form eingetragen werden.

Wenn Sie Probleme bei der Registrierung/Freischaltung von UltraEdit-32 oder UEStudio haben sollten, schicken sie bitte eine E-Mail an support@idmcomp.com (nach Möglichkeit bitte auf englisch). Geben Sie in Ihrer E-Mail an, welche Version von UltraEdit-32 oder UEStudio Sie freizuschalten versuchen und welche Werte genau Sie für den Benutzernamen und den Freischaltcode eingeben. Wir werden so schnell wie möglich antworten, um Sie bei der Freischaltung Ihrer Lizenz zu unterstützen.


Ressourcen-Editor

Der Ressourcen-Editor

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

UEStudio bringt einen Ressourcen-Browser und -Editor mit, mit dem Sie nach Belieben Ressourcen hinzufügen, entfernen und durchsehen können. Dialoge, Zeichenkettentabellen, Menüs und andere Steuerelemente lassen sich einfach bearbeiten. Sie können UEStudio sogar so konfigurieren, dass auch die Bearbeitung von Bitmaps und Icons in Bildeditoren möglich wird, die Sie auf Ihrem Rechner installiert haben.

Auswahl einer Ressource

Sobald in UEStudio ein kompilierbares Projekt geladen wurde, ist die 'Ressourcen-Editor'-Symbolleiste aktiv. Wenn Sie im Projekt-Manager die Registerkarte 'Res' (Ressourcen) auswählen...

...können Sie den Quelltext zu einem Dialog in UEStudio öffnen, indem Sie im Projekt-Manager einen Doppelklick auf dem Symbol oder der ID für den Dialog durchführen.

Bearbeitung einer Ressource

Sobald der Quelltext für den zu bearbeitenden Dialog im Bearbeitungsfenster geöffnet ist, stehen Ihnen zwei Möglichkeiten für die Bearbeitung zur Verfügung:

1. Sie können direkt Änderungen am Quelltext vornehmen, und die Änderungen in die Projektressourcen zurückschreiben.

2. Sie können auf der 'Ressourcen-Editor'-Symbolleiste die Schaltfläche Test betätigen...

...um den Dialog im Vorschaumodus anzeigen zu lassen.

Nun können Sie einzelne Steuerelemente anklicken und innerhalb des Dialogs an neue Positionen verschieben, neue Steuerelemente hinzufügen oder bestehende Steuerelemente entfernen.

Führen Sie einen Rechtsklick auf der Dialogvorschau durch, um das Kontextmenü mit den Befehlen für den Ressourcen-Editor einzublenden:

Ihnen steht eine große Anzahl von Steuerelementen zur Verfügung, die Sie in den bearbeiteten Dialog einfügen können:

Auf diese Weise lassen sich Dialoge einfach und komfortabel grafisch entwerfen. Sobald das gewünschte Ergebnis erreicht ist, können Sie die Änderungen an dem Dialog dann einfach speichern, indem Sie den Befehl Speichern und beenden aus dem Kontextmenü aufrufen.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehle für die rechte Maustaste (Kontextmenü)

Die Befehle für die rechte Maustaste (Kontextmenü)

In UltraEdit erscheint beim Betätigen der rechten Maustaste ein Kontextmenü.

Wenn die rechte Maustaste in einem Dateifenster geklickt wird, erscheint an der Mausposition das Menü 'Bearbeiten' . Ein Unterschied zum üblichen Menü 'Bearbeiten' ist der erste Eintrag im Kontextmenü (Menü 'Format'). mit dem das Kontextmenü durch das Menü 'Format' ersetzt wird.

Falls beim Drücken der rechten Maustaste Text ausgewählt ist, wird der zusätzliche Menüeintrag Öffne "[markierter Dateiname]" oben im Kontextmenü angefügt. Wenn dieser Eintrag ausgewählt wird und eine Datei mit einem der Markierung entsprechenden Dateinamen vorhanden ist, wird sie geöffnet.

Falls kein Text markiert ist, wird UltraEdit den Text unter dem Cursor untersuchen. Wenn dabei festgestellt wird, dass es sich bei dem Text um eine Datei handeln könnte, erscheint zusätzlich der Menübefehl Öffne "[markierter Text]" zusammen mit dem Namen der Datei, die UltraEdit zu öffnen versuchen würde. Wenn es sich bei diesem Text um eine URL handeln sollte, wird diese Information zum Öffnen an den standardmäßigen Browser weitergereicht.

Wenn die rechte Maustaste im Hauptfenster von UltraEdit außerhalb eines Dateifensters geklickt wird, wird das Menü 'Datei an der Mausposition angezeigt.


Scripting Demo and Tutorial

Skripten: Demo und Kurzlehrgang

Die Ausführung von Skripten in UltraEdit/UEStudio wird durch das Einbetten von einer JavaScript-Engine in der Applikation ermöglicht. Dabei wird JavaScript in der Version 1.7 unterstützt. Weiterführende Informationen zum Thema JavaScript 1.7 kann auf der Webseite von Mozilla nachgelesen werden: http://developer.mozilla.org/en/docs/JavaScript.

Kurzlehrgang: Skripten

Für einen kurzen Lehrgang über den Einsatz von Skripten bitte hier klicken.

Demo-Skripten

Demo-Skripten können im Installationsverzeichnis von UltraEdit im Unterverzeichnis scripts (normalerweise C:\Programme\IDM Computer Solutions\UltraEdit-32\scripts) gefunden werden. Diese, wie auch alle andere in JavaScript geschriebene Skripten, können direkt in UltraEdit mit integrierter Syntax-Hervorhebung bearbeitet werden. Ein Beispiel:

Das Skript hello.js ist so einfach wie möglich gehalten: Es beinhaltet eine einzige Zeile, die bei der Ausführung einen Text in die aktuell geöffnete Datei schreibt:

Um dieses Skript auszuführen, öffnen Sie bitte das Menü Skripten und klicken Sie dann auf Skriptenverwaltung. Der Konfigurationsdialog für Skripten wird geöffnet. Durch Klicken auf die Schaltfläche Neu kann man im Dateisystem bis zum Verzeichnis "scripts" unterhalb des Installationsverzeichnisses und die Datei "hello.js" zur Liste der verfügbaren Skripten hinzufügen. Eine Schnellzugriffstaste, oder Kombination von Tasten, kann man direkt in das Feld "Tastenkürzel" eingeben. Die Liste der Skripten wird unterhalb des Untermenüs Skriptenliste dynamisch aktualisiert. Diese können entweder über deren Tastenkürzeln oder durch Anklicken auf deren Namen in der Liste ausgeführt werden.

Das Skript kann ausgeführt werden, ohne eine Datei vorher öffnen zu müssen. Es öffnet selbständig ein neues Dokument, um die Ausgaben aufzunehmen und ist daher völlig unabhängig.

Das Skript stringvar.js zeigt, wie Benutzereingaben abgefragt, in Variablen gespeichert und nachher im Skript verwendet werden:

Um dieses Skript auszuführen, wendet man die gleiche Prozedur wie oben beschrieben für hello.js. Zunächst sollte man eine beliebige Textdatei öffnen, den zu suchenden Text angeben und die Anzahl der gewünschten Treffer definieren. Nachher öffnet das Skript ein neues Dokument und schreibt die vorgeschriebene Anzahl von gefundenen Zeilen in die neue Datei.

Im Skript header.js wird die Anwendung des document (JavaScript-Array)-Objekts demonstriert, um die Anzahl der aktuell geöffneten Dateien zu ermitteln. Das document-Objekt ist eine Eigenschaft des UltraEdit-Applikationsobjekts. Es bildet ein Array aller momentan offenen Dateien ab. UltraEdit ist das Applikationsobjekt, auf dem alle Funktionen in UltraEdit basieren. Mit dieser Information sucht das Skript nun alle offene Dateien ab und schreibt darin eine vordefinierte Kopfzeile:

Für weitere Informationen über alle verfügbare Befehle für Skripten, konsultieren Sie bitte das Hilfethema Skriptbefehle.


Scripting commands

Skriptbefehle

Die Ausführung von Skripten in UltraEdit/UEStudio wird durch Einbetten eines JavaScript-Engines ermöglicht. Somit steht dem Anwender die volle Funktionalität und Flexibilität der JavaScript-Sprache zur Verfügung. Durch den Einsatz der unten stehenden Befehle kann man mit dem Editor (über ApplicationObject-Befehle), oder mit Dokumenten, die im Editor geöffnet sind (über DocumentObject-Befehle), gezielt arbeiten. Skripten können in UltraEdit/UEStudio mit Unterstützung der in der Standard-Wortdatei integrierten JavaScript-Syntax-Hervorhebungen bearbeitet werden:

Die eingebettete Funktionalität unterstützt JavaScript in der Version 1.7. Weiterführende Informationen zur Version 1.7 von JavaScript kann auf der Webseite von Mozilla gefunden werden: http://developer.mozilla.org/en/docs/JavaScript

Als Beispiel generiert das folgende Skript eine Folge von Zahlen und schreibt sie in das aktuell geöffnete Dokument:

function recall(num) {

UltraEdit.activeDocument.write(num + "\r\n");

}

function num() {

var i = 0, j = 1, n = 0;

while (n < 10) {

recall(i);

var t = i;

i = j;

j += t;

n++;

}

}

num();

Weitere Beispiel-Skripten finden Sie im Unterordner des Installationsverzeichnisses: "scripts". Für einen kurzen Lehrgang zum Thema Skripten, klicken Sie bitte hier.

Externe Skripten einbinden

Externe Skripten können in einem Skript durch Verweise folgendermaßen eingebunden werden:

// include externalScript.js

oder

// include C:\full path\to external\script\externalScript.js

Dem 'include'-Befehl muss eine Zeilenkommentar-Zeichenfolge vorangestellt werden. Falls beim Debuggen das eingebundene Skript wieder ausgeschlossen werden soll, muss die Zeilenkommentarfolge doppelt gesetzt werden, z.B.:

// // include externalScript.js

Variablen-Vorgabewerte

Einige Variablen werden durch UltraEdit bei jeder Ausführung eines Skripts mit Vorgaben belegt:

columnMode (Spaltenmodus) ist immer AUS.

hexMode (Hexadezimalmodus) ist immer AUS.

insertMode (Einfügemodus) ist immer EIN.

regexMode (Syntax für reguläre Ausdrücke) ist immer 'Perl' (Wert = 2).

Diese Werte werden bei jeder Skriptausführung belegt.

UltraEdit ist das Applikationsobjekt, auf das sich alle UltraEdit-Methoden beziehen. document ist ein JavaScript-Array-Objekt und ist eine Eigenschaft des UltraEdit-Applikationsobjekts. Das Array-Objekt bildet die Menge aller aktuell geöffneten Dokumente ab.

Für das aktuelle Dokument kann der Parameter activeDocument verwendet werden, wenn Ausgaben in die aktuelle Datei geschrieben werden sollen. Alternativ kann ein bestimmtes Dokument durch Verwendung eines Indexes (i.e. document[0], ... document[8]) angegeben werden. Der Index entspricht der Reihenfolge, in der die Dokumente im Editor geöffnet wurden. Zum Beispiel:

UltraEdit.activeDocument.write("test");

Das Wort "test" wird nach Ausführung des obigen Ausdrucks in das aktuelle Dokument geschrieben. Dagegen hätte der folgende Ausdruck:

UltraEdit.document[4].write("test");

zur Folge, daß der Text in das fünfte Dokument geschrieben würde -- falls genug Dokumente gleichzeitig offen sind. Die Reihenfolge entspricht der Reihenfolge des Öffnens der Datei, nicht der Reihenfolge der Reiter im Editor.

Kommentare in Skripten zu Test- oder Dokumentationszwecken können durch die Zeichenfolge "//" eingeleitet werden.

Nachdem ein Skript erstellt wurde, kann es anschließend bearbeitet werden. Beachten Sie bitte, daß die Zeichenfolgen "^c" und "^s" zusammen mit vielen Befehlen eingesetzt werden können. Diese Sequenzen werden durch den Inhalt der Zwischenablage respektiv mit dem aktuell markierten Text bei der Ausführung eines Befehls ersetzt. In dieser Weise kann ein Skript zur Laufzeit dynamisch geändert werden.

Befehle für das Applikationsobjekt

Folgende Befehle wirken auf den Editor selbst, nicht auf die geöffneten Dokumente. Außer wenn zusätzliche Parameter gefordert werden, werden alle Applikationsobjektbefehle im folgenden Format erwartet:

UltraEdit.commandName();

Die folgende Tabelle gibt eine Übersicht über alle Applikationsobjektbefehle:

Befehle

Parameter*

Beschreibung

clearClipboard

Leert die aktive Zwischenablage.

clipboardContent

** Eigenschaft ist NUR LESEN.

Gibt den Inhalt der aktuellen Zwischenablage zurück. Beispiel:

var clip = UltraEdit.clipboardContent;

clipboardIdx

** Eigenschaft ist NUR LESEN.

Gibt den Index der aktuellen Zwischenablage zurück.

Beispiel:

var clip = UltraEdit.clipboardIdx;

closeFile

Dateinamen und Pfad

Sicherungsmodus

0 - Sichern mit vorheriger Benutzerabfrage

1 - Sichern und Schließen

2 - Schließen ohne zu sichern

Schließt die aktuelle Datei. Beispiel:

UltraEdit.closeFile("C:\\temp\\test.txt",2);

*NB: Rückläufige Schrägstriche, die in Parametern vorkommen, müssen wie oben doppelt geschrieben werden (d.h. "\\" anstatt "\").

columnMode

** Eigenschaft ist NUR LESEN.

Gibt einen BOOLE'SCHEN Wert zurück; WAHR, wenn der Spaltenmodus aktiv ist.

Beispiel:

var columnActive = UltraEdit.columnMode;

columnModeOff

Der Spaltenmodus wird ausgeschaltet.

columnModeOn

Der Spaltenmodus wird eingeschaltet.

decryptFilePrompt

Zeigt den Dialog »Datei entschlüsseln« an. Beispiel:

UltraEdit.decryptFilePrompt();

encryptFilePrompt

Zeigt den Dialog »Datei verschlüsseln« an. Beispiel:

UltraEdit.encryptFilePrompt();

frInFiles

.regExp boolean true/false

.searchSubs boolean true/false

.useOutputWindow boolean true/false

.matchCase boolean true/false

.matchWord boolean true/false

.ignoreHiddenSubs boolean true/false

unicodeSearch boolean true/false

.filesToSearch int Wert:

0 - aufgeführte Dateien

1 - offene Dateien

2 - bevorzugte Dateien

3 - Projektdateien

4 - Solution-Dateien

.directoryStart Text vollständiger Pfad zum Anfangsverzeichnis, in dem die Suche beginnen sollte

.searchInFilesTypes Text Dateien/Typen zum Suchen

.find ("zu findender Text");

.replace ("zu findender Text", "zu ersetzender Text");

** wird nur beim Ersetzen verwendet: **

.logChanges boolean true/false

.preserveCase boolean true/false

** only used without replace **

.reverseSearch boolean true/false

.useOutputWindow boolean true/false

Suchen/Ersetzen in Dateien ("Find/Replace in Files"): Sucht die angegebenen Dateien nach der Zeichenkette innerhalb Anführungszeichen "" unter Beachtung der spezifizierten Parameter ab. Der gefundene Text kann ggf. durch neuen Text ersetzt werden.

Beispiel "Suchen in Dateien":

UltraEdit.frInFiles.directoryStart = "c:\\temp";

UltraEdit.frInFiles.searchInFilesTypes = "*.txt";

UltraEdit.frInFiles.useOutputWindow = true;

UltraEdit.frInFiles.find("3939");

Beispiel "Suchen und Ersetzen in Dateien":

UltraEdit.frInFiles.directoryStart = "c:\\temp";

UltraEdit.frInFiles.searchInFilesTypes = "*.txt";

UltraEdit.frInFiles.useOutputWindow = true;

UltraEdit.frInFiles.replace("3939", "7878");

getString

Der innerhalb Anführungszeichen ("") stehende Text wird dem Benutzer im Dialog als Eingabeaufforderung angezeigt

Fakultative Parameter:

0 int

1 int Rückgabewert

Nimmt eine Benutzereingabe (Text) entgegen, um diesen bei der aktuellen Position im Dokument einzufügen. Der Text innerhalb Anführungszeichen stellt die Eingabeaufforderung dar, die dem Anwender beim Anzeigen des Dialogs gestellt wird. Beispiele sind:

UltraEdit.getString("Wie heißen Sie?");

oder

var str = UltraEdit.getString("Wie heißen Sie?",1);

Falls der zusätzliche Parameter "1" verwendet wird, wird die vom Anwender eingetippte Zeichenkette nicht in die aktuelle Datei eingefügt, sondern in die Variable für weitere Verwendung innerhalb des laufenden Skripts zurückgeschrieben.

getValue

Der innerhalb Anführungszeichen ("") stehende Text wird dem Benutzer im Dialog als Eingabeaufforderung angezeigt

Fakultative Parameter:

0 int

1 int Rückgabewert

Nimmt eine Benutzereingabe (eine Zahl) entgegen, um diesen bei der aktuellen Position im Dokument einzufügen. Der Text innerhalb Anführungszeichen stellt die Eingabeaufforderung dar, die dem Anwender beim Anzeigen des Dialogs gestellt wird. Beispiele sind:

UltraEdit.getString("Wie alt sind Sie?");

oder

var str = UltraEdit.getString("Wie alt sind Sie?",1);

Falls der zusätzliche Parameter "1" verwendet wird, wird die vom Anwender eingetippte Zahl nicht in die aktuelle Datei eingefügt, sondern in die Variable für weitere Verwendung innerhalb des laufenden Skripts zurückgeschrieben.

insertMode

Der Einfügemodus wird eingeschaltet.

insOvrMode

** Eigenschaft ist NUR LESEN.

Gibt einen BOOLE'SCHEN Wert zurück; WAHR, wenn der Einfügemodus aktiv ist.

Beispiel:

var insertActive = UltraEdit.insOvrMode;

messageBox

Zeigt einen Informationsdialog mit Schaltfläche »OK« an. Der Text der Nachricht und (fakultativ) ein Titel werden jeweils zwischen Zitatzeichen ("") übergeben.

Beispiel:

UltraEdit.messageBox("Vorgang kann nicht zu Ende geführt werden", "Vorgang abbrechen");

newFile

Eine neue Datei wird geöffnet.

open

Dateiname in Anführungszeichen ("")

Die angegebene Datei wird geöffnet. Der Dateiname muß innerhalb Anführungszeichen stehen. Bei Verwendung von "^c" ersetzt UltraEdit diese Zeichen mit dem Inhalt der Zwischenablage. Beispiel:

UltraEdit.open("c:\\temp\\test.txt");

oder

UltraEdit.open('^c');

overStrikeMode

Der Überschreibmodus wird eingeschaltet.

perlReOn

Reguläre Ausdrucke werden nachher im Perl-kompatiblen Format erwartet.

regexMode

** Eigenschaft ist NUR LESEN.

Gibt eine Zahl gemäß dem Typ von regulärem Ausdruck zurück:

0 = UltraEdit-Syntax

1 = Unix-Syntax

2 = Perl-Syntax

Beispiel:

var regexType = UltraEdit.regexMode

runTool

Text in Anführungszeichen (""), der den Menünamen des auszuführenden Werkzeugs angibt.

Führt ein Werkzeug aus. Das Werkzeug muß unter Werkzeug-Koniguration im Menü Extras erstellt worden sein. Beispiel:

UltraEdit.runTool("Script Tool");

save

Sichern der aktuell geöffneten Datei.

saveAll

Sichern aller aktuell geöffneten Dateien.

saveAs

Dateiname in Anführungszeichen ("")

Sichert die aktuelle Datei unter dem angegebenen Namen, der zwischen Anführungszeichen stehen muß. "^s" kann auch im Dateinamen stehen; UltraEdit wird diese Zeichenfolge durch den aktuell markierten Text im aktiven Fenster ersetzen. Auf ähnliche Weise kann man mit "^c" den Inhalt der Zwischenablage in den Dateinamen übernehmen.

UltraEdit.saveAs("c:\\temp\\test.txt");

oder

UltraEdit.saveAs("^s");

oder

UltraEdit.saveAs("^c");

selectClipboard

Nummer der Zwischenablage (0-9)

Die Windows-Zwischenablage wird mit 0 angegeben; eine Zahl zwischen 1 und 9 gibt einen der Benutzerzwischenablagen an. Beispiel:

UltraEdit.selectClipboard(2);

ueReOn

Reguläre Ausdrucke werden im UltraEdit-Format erwartet.

unixReOn

Reguläre Ausdrucke werden im Unix-Stil erwartet.

Dokumentenobjektbefehle

Die folgenden Befehle wirken sich auf das aktuell editierte Dokument aus.

Die nachfolgende Tabelle bietet eine Übersicht aller Dokumentobjektbefehle:

Befehle

Parameter*

Beschreibung

ansiToOem

Konvertiert eine Datei von ANSI nach OEM. Besipiel:

UltraEdit.activeDocument.ansiToOem();

ASCIIToUnicode

Konvertiert eine Datei von ASCII nach Unicode.

bottom

Gehe zum Ende der Datei.

codePage

** Dies ist eine Eigenschaft des aktuellen bzw. angegebenen Dokuments.

Gibt den Zeichensatz für das aktuelle Dokument zurück. Beispiel:

var cp = UltraEdit.activeDocument.codePage;

Kann zum Setzen des Zeichensatzes für das aktuelle Dokument verwendet werden. Beispiel:

UltraEdit.open("C:\\temp\\korean_file.txt")

UltraEdit.activeDocument.codePage = 949;

collapseAll

Alle faltbaren Zeilen im aktiven Dokument werden zusammengefaltet. Beispiel:

UltraEdit.activeDocument.collapseAll();

columnCenterJustify

Markierte Spalten zentriert ausrichten.

columnCut

Markierte Spalten im Spaltenmodus ausschneiden.

columnDelete

Markierte Spalten im Spaltenmodus löschen.

columnInsert

Text zwischen Anführungszeichen ("")

Der Text zwischen den Anführungszeichen wird in die markierten Spalten eingefügt.

columnInsertNum

Anfangszahl int

Inkrement int

Führende Null boolean true/false

Fügt eine Zahlensequenz in die markierten Spalten ein. Falls nichts selektiert wurde, wird von der Cursor-Position bis zur letzten Zeile der Datei eingefügt. Beispiel:

UltraEdit.activeDocument.columnInsertNum(2,3,true);

columnLeftJustify

Markierte Spalten werden links ausgerichtet.

columnRightJustify

Markierte Spalten werden rechts ausgerichtet.

copy

Der markierte Text wird in die Zwischenablage kopiert. Falls kein Text ausgewählt wurde, wird die Zeile an der momentanen Cursor-Position kopiert.

copyAppend

Der markierte Text wird ans Ende der Zwischenablage angefügt. Falls kein Text ausgewählt wurde, wird die Zeile an der momentanen Cursor-Position kopiert.

copyFilePath

Kopiert den Dateinamen des aktuellen Dokuments in die Zwischenablage.

currentChar

** Diese Eigenschaft des aktiven Dokuments kann nur ausgelesen werden.

Gibt das Zeichen an der aktuellen Cursor-Position zurück. Beispiel:

UltraEdit.activeDocument.currentChar;

currentColumnNum

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt die aktuelle Spaltennummer als Zahl zurück (1. Spalte = 0).

Beispiel:

var col = UltraEdit.activeDocument.currentColumnNum;

currentLineNum

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt die aktuelle Zeilennummer als Zahl zurück.

Beispiel:

var lineNum = UltraEdit.activeDocument.currentLineNum;

currentPos

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt die aktuelle Position innerhalb der Datei als Anzahl von Bytes vom Anfang der Datei zurück.

Beispiel:

var pos = UltraEdit.activeDocument.currentPos;

cut

Der markierte Text wird ausgeschnitten und in die Zwischenablage kopiert. Falls kein Text ausgewählt wurde, wird die Zeile an der momentanen Cursor-Position ausgeschnitten.

cutAppend

Der markierte Text wird ausgeschnitten und ans Ende der Zwischenablage angehängt. Falls kein Text ausgewählt wurde, wird die Zeile an der momentanen Cursor-Position ausgeschnitten.

decodeBase64

Der ausgewählte Text wird vom Base64- nach Textformat übersetzt.

delAllBookmarkLines

Alle Zeilen mit Lesezeichen werden im aktuellen Dokument gelöscht. Beispiel: UltraEdit.activeDocument.delAllBookmarkLines();

deleteText

Löscht das aktuelle Zeichen oder den markierten Text.

deleteLine

Löscht die aktuelle Zeile.

deleteToEndOfLine

Löscht ab der Cursor-Position bis zum Ende der Zeile.

deleteToStartOfLine

Löscht von der Cursor-Position rückwärts bis zum Anfang der Zeile.

dosToMac

Zeilenendungen in der Datei werden ins MAC-Format konvertiert.

dosToUnix

Zeilenendungen in der Datei werden ins UNIX-Format konvertiert.

dupeLine

Fügt eine Kopie der aktuellen Zeile unterhalb der Cursor-Position ein.

encodeBase64

Der ausgewählte Text wird nach Base64-Format übersetzt.

encoding

** Dies ist eine SCHREIBGESCHüTZTE Eigenschaft des aktuellen bzw. angegebenen Dokuments.

Gibt die Kodierung des aktuellen Dokuments zurück. Beispiel:

var enc = UltraEdit.activeDocument.encoding;

endSelect

Markierten Textbereich abschließen (siehe "startSelect" für weitere Details)

expandAll

Alle zusammengefalteten Zeilen im aktiven Dokument werden aufgeklappt. Beispiel:

UltraEdit.activeDocument.expandAll();

fileSize

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt die Dateigröße des aktuellen bzw. spezifizierten Dokuments als Anzahl von Bytes zurück.

Beispiel:

var size = UltraEdit.activeDocument.fileSize;

findReplace

.regExp boolean true/false

.matchWord boolean true/false

.matchCase boolean true/false

.mode int Wert:

0 - aktuelle Datei

1 - in Markierung

2 - alle offenen Dateien

.searchDown boolean true/false

.searchAscii boolean true/false

.searchInColumn boolean true/false

.fromCol int Standardwert: 0

.toCol int Standardwert: -1

.matchWord boolean true/false

.find ("zu suchender Text");

.replace ("zu suchender Text", "zu ersetzender Text");

** Wird nur mit Ersetzen verwendet **

.replaceAll boolean true/false

.replaceInAllOpen boolean true/false

*beim Ersetzen wird dann der Wert von .mode ignoriert

.preserveCase boolean true/false

.selectText boolean true/false

* ersetzt nur den markierten Text

Suchen nach dem Text zwischen Anführungszeichen ("") unter Berücksichtigung der angegeben Parameter. Beispiel:

UltraEdit.activeDocument.findReplace.matchWord = true;

UltraEdit.activeDocument.findReplace.find("3939");

oder

UltraEdit.document[0].findReplace.matchWord = true;

UltraEdit.document[0].findReplace.matchCase = true;

UltraEdit.document[0].findReplace.replace("Copper", "Silver");

fromEBCDIC

Konvertiert Text aus dem EBCDIC-Format.

gotoBookmark

 Index des Lesezeichens (#)

Gehe zum angegebenen Lesezeichen. Beispiel:

UltraEdit.activeDocument.gotoBookmark(0);

gotoBookmarkSelect

 Index des Lesezeichens (#)

Gehe zum angegebenen Lesezeichen und den Text von der Cursor-Position bis zum Lesezeichen markieren. Beispiel:

UltraEdit.activeDocument.gotoBookmarkSelect(0);

gotoLine

Index der Zeile und Spalte der Zielposition (#,#)

Gehe zur Stelle, die durch die Zahlen der Zeile und Spalte angegeben wird. Beispiel:

UltraEdit.activeDocument.gotoLine(1,5);

gotoLineSelect

Index der Zeile und Spalte der Zielposition (#,#)

Gehe zur Stelle, die durch die Zahlen der Zeile und Spalte angegeben wird, und markiere dabei den übersprungenen Text. Beispiel:

UltraEdit.activeDocument.gotoLineSelect(1,5);

gotoPage

die Seitenzahl der Zielseite (#)

Gehe zur angegebenen Seite. Beispiel:

UltraEdit.activeDocument.gotoPage(5);

gotoPageSelect

die Seitenzahl der Zielseite (#)

Gehe zur angegebenen Seite und markiere den Text von der Cursorposition bis zur Seitenzahl. Beispiel:

UltraEdit.activeDocument.gotoPageSelect(5);

hexDelete

nummerischer Wert, der die Anzahl der zu löschenden Bytes angibt (#)

Löscht die angegebene Anzahl Bytes aus der aktuellen Datei.

hexInsert

nummerischer Wert, der die Anzahl der einzufügeden Bytes angibt (#)

Fügt die angegebene Anzahl von Bytes in die Datei ein. Es werden Leerstellen (HEX 20) eingefügt.

hexMode

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt einen BOOLE'SCHEN Wert zurück; WAHR, wenn der HEX-Modus aktiv ist.

Beispiel:

var hexActive = UltraEdit.activeDocument.hexMode;

hexOff

Vom hexadezimalen in den Textmodus umschalten

hexOn

Vom Text- in den hexadezimalen Modus umschalten

hideOrShowLines

Blendet die markierten Zeilen aus oder blendet Zeilen wieder ein, die an der Cursor-Position ausgeblendet wurden

insertLine

Eine leere Zeile wird unterhalb der aktuellen Cursor-Position eingefügt.

insertPageBreak

Ein Seitenumbruch wird an der aktuellen Position in der Datei eingefügt.

invertCase

Invertiert die Groß- und Kleinschreibung von markiertem Text.

isCharGt

"Zeichen"

Gibt "Wahr" zurück, wenn das Zeichen an der aktuellen Position größer als der Parameter ist. Beispiel:

if (UltraEdit.document[1].isCharGt('k')){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isChar

"Zeichen"

Gibt "Wahr" zurück, falls das Zeichen an der akuellen Cursor-Position gleich dem angegebenen Zeichen ist. Beispiel:

if (UltraEdit.document[1].isChar('k')){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isColNum

Spaltennummer (#)

Gibt "Wahr" zurück, falls die aktuelle Spaltennummer gleich wie der Parameter ist. Beispiel:
if (UltraEdit.activeDocument.isColNum(13)){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isColNumGt

Spaltennummer (#)

Gibt "Wahr" zurück, falls die aktuelle Spaltenzahl größer als der Parameter ist. Beispiel:

if (UltraEdit.activeDocument.isColNumGt(13)){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isEof

Gibt "Wahr" zurück, falls das Dateiende erreicht wurde. Beispiel:

if (UltraEdit.document[1].isEof()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isExt

"Text"

Gibt "Wahr" zurück, falls die Dateinamenerweiterung der aktuellen Datei mit der als Parameter angegebenen Zeichenfolge übereinstimmt. Beispiel:

if (UltraEdit.document[1].isExt("txt")){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isFound

Gibt "Wahr" zurück, falls der Suchbegriff bei der letzten Suchaktion gefunden wurde. Beispiel:

UltraEdit.activeDocument.findReplace.find("Text");

if (UltraEdit.activeDocument.isFound()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isFTP

Gibt "Wahr" zurück, falls die aktuelle Datei auf einem FTP/SFTP-Server und nicht lokal geöffnet wurde:

if (UltraEdit.document[1].isFTP()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isHexModeOn

Gibt "Wahr" zurück, falls der Hexadezimal- bzw. Binär-Editiermodus für die aktuelle Datei aktiv ist.

if (UltraEdit.activeDocument.isHexModeOn()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isName

"Text"

Gibt "Wahr" zurück, falls der aktuelle Dateiname (ohne Pfad und Dateinamenerweiterung) mit dem angegebenen Text übereinstimmt. Beispiel:

if (UltraEdit.document[1].isName("foo")){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isNotFound

Gibt "Wahr" zurück, falls der Suchbegriff bei der letzten Suchaktion NICHT gefunden wurde. Beispiel:

UltraEdit.activeDocument.findReplace.find("string");

if (UltraEdit.activeDocument.isNotFound()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

isSel

Gibt "Wahr" zurück, falls in der aktuellen Datei beliebiger Text markiert ist. Beispiel:
if (UltraEdit.document[1].isSel()){

//diese Befehle ausführen...

} else {

//andere Befehle ausführen...

}

key

BACKSPACE
CTRL+

DEL
DOWN ARROW
END
HOME
LEFT ARROW
PGDN
PGUP
RIGHT ARROW
UP ARROW

Fügt einen Tastendruck in die aktuelle Datei ein. Diese werden meist verwendet, um sich in der Datei vor- und rückwärts zu bewegen, für Rückschritt und zum Löschen. Durch Voranstellen von "CTRL+" können die Tastenbefehle wie beim normalen Tippen (durch die STRG-Taste) abgeändert werden.

Um normalen Text einzugeben, wird nicht die Funktion "key", sondern die Funktion "write" verwendet. Beispiele:

UltraEdit.key("BACKSPACE");

UltraEdit.key("CTRL+BACKSPACE");

lineTerminator

 ** Dies ist eine SCHREIBGESCHüTZTE Eigenschaft des aktuellen bzw. angegebenen Dokuments.

Gibt einen numerischen Wert gemä&szlig; den Zeilenendungen im aktuellen Dokument zurück. Beispiel:

var lt = UltraEdit.activeDocument.lineTerminator;

0 = DOS

1 = UNIX

2 = MAC

matchBrace

Sucht die nächste geschweifte Klammer in der Datei und markiert den dazwischen liegenden Text.

moveLineDown

Die aktuelle Zeile im aktiven Dokument wird um eine Zeile nach unten verschoben. Beispiel:

UltraEdit.activeDocument.moveLineDown();

moveLineUp

Die aktuelle Zeile im aktiven Dokument wird um eine Zeile nach oben verschoben. Beispiel:

UltraEdit.activeDocument.moveLineUp();

oemToAnsi

Konvertiert die aktuelle Datei von OEM nach ANSI.

paste

Fügt den Inhalt der Zwischenablage in die Datei an der aktuellen Position ein.

path

** Eine Eigenschaft des aktiven bzw. angegebenen Dokuments. Eigenschaft ist NUR LESEN.

Gibt den vollständigen Pfad der angegebenen Datei zurück.

Beispiel:

var text = UltraEdit.activeDocument.path;

previousBookmark

Index eines Lesezeichens (#)

Gehe rückwärts zum angegebenen Lesezeichen.

previousBookmarkSelect

 Index eines Lesezeichens (#)

Gehe rückwärts zum angegebenen Lesezeichen und markiere den Text zwischen der Cursor-Position und dem Lesezeichen. Beispiel:

UltraEdit.document[1].previousBookmarkSelect(1);

reIndentSelection

Zeileneinzüge im markierten Text werden neu ausgerichtet. Beispiel:

UltraEdit.activeDocument.reIndentSelection();

replace

s. Beschreibung des "find"-Befehls.

returnToWrap

Wandelt harte Zeilenumbrüche in fließende Umbrüche im aktuell ausgewählten Textblock.

selectAll

Selektiert sämtlichen Text in der Datei.

selection

** Diese Eigenschaft des aktuellen Dokuments kann nur ausgelesen werden.

Gibt den momentan selektierten Text zurück. Beispiel:

UltraEdit.activeDocument.selection;

selectLine

Selektiert eine ganze Zeile des Texts.

selectToBottom

Markiert sämtlichen Text von der Cursor-Position bis zum Ende der Datei.

selectToTop

Markiert sämtlichen Text von der Cursor-Position bis zum Anfang der Datei.

selectWord

Markiert das aktuelle Wort (wie durch Doppelklicken auf ein Wort).

sort
.ascending | boolean true/false
.col1Start | int Startspalte 1. Suchschlüssel
.col1End | int Endspalte 1. Suchschlüssel
.col2Start | int Startspalte 2. Suchschlüssel
.col2End | int Endspalte 2. Suchschlüssel
.col3Start | int Startspalte 3. Suchschlüssel
.col3End | int Endspalte 3. Suchschlüssel
.col4Start | int Startspalte 4. Suchschlüssel
.col4End | int Endspalte 4. Suchschlüssel
.ignoreCase | boolean true/false
.removeDuplicates
int 0 - nein
1 - alle Suchschlüssel gefunden
2 - einen beliebigen Suchschlüssel gefunden
.remKey1 | boolean true/false
.remKey2 | boolean true/false
.remKey3 | boolean true/false
.remKey4 | boolean true/false
.type
int 0 - gemäß Zeichenreihenfolge sortieren
1 - numerisch sortieren
2 - sprach- bzw. länderspezifisch sortieren
3 - alternative Sortierung

Sort the file, or selected text according to specified parameters.

Example:

UltraEdit.activeDocument.sort.ascending = true;

UltraEdit.activeDocument.sort.ignoreCase = false;

UltraEdit.activeDocument.sort.removeDuplicates = 1;

UltraEdit.activeDocument.sort.remKey1 = true;

UltraEdit.activeDocument.sort.remKey2 = true;

UltraEdit.activeDocument.sort.type = 0;

UltraEdit.activeDocument.sort.col1Start = 1;

UltraEdit.activeDocument.sort.col1End = 15;

UltraEdit.activeDocument.sort.col2Start = 35;

UltraEdit.activeDocument.sort.col2End = 50;

UltraEdit.activeDocument.sort.sort();

sortAsc

SortDes

Sortiermodus

0 - nach alphabetischer Reihenfolge.

1- nach dem nummerischen Zeichencode.

2 - nach der länder- und sprachenspezifischen Sortierreihenfolge.

3 - nach der alternativen Sortiermethode. In diesem Modus kann nur ein einziger Sortierschlüssel verwendet werden.

Groß-/Kleinschreibung ignorieren boolean, true/false

Duplikate entfernen boolean, true/false

Sortierschlüssel int Bis zu vier Paaren von Start-/Endschlüsseln können angegeben werden.

Sortiert die Datei oder den ausgewählten Text in aufsteigender Reihenfolge.

Beispiel:

UltraEdit.activeDocument.sortAsc(0, true, true, 1, -1);

Example:

UltraEdit.activeDocument.sortDes(1, true, false, 4, 8);

spacesToTabs

Wandelt führende Leerstellen in der Datei in Tabulatorschritte um. Dies basiert auf dem entsprechenden Wert im Konfigurationsdialog (Menü "Extras/Optionen"), der bei Zeilenumbruch/Tabulator definiert wurde. Wenn z.B. der Tabulator auf drei eingestellt ist, würden zusammen drei Leerstellen für einen Tabulatorschritt benötigt. Bei weniger als drei Leerstellen würde keine Konvertierung erfolgen.

spacesToTabsAll

Wandelt alle Leerstellen in der Datei in Tabulatorschritte um. Dies basiert auf dem entsprechenden Wert im Konfigurationsdialog, der bei Zeilenumbruch/Tabulator definiert wurde. Wenn z.B. der Tabulator auf drei eingestellt ist, würden zusammen drei Leerstellen für einen Tabulatorschritt benötigt. Bei weniger als drei Leerstellen würde keine Konvertierung erfolgen.

startSelect

Startet den Selektiermodus. Jede Änderung der aktuellen Position wählt den Text auf dem zurückgelegten Weg aus. endSelect beendet den Selektiermodus. Ausgewählter Text bleibt dabei markiert, bis ein neuer Befehl die Auswahl aufhebt und zum normalen Editiermodus zurückgekehrt wird.

tabsToSpaces

Wandelt alle Tabulatorschritte in der Datei in Leerstellen um.

template

Index einer Vorlage

Der Text in der angegebenen Vorlage wird in die Datei eingefügt.

timeDate

Fügt die aktuelle Uhrzeit und das Datum bei der aktuellen Cursor-Position in die Datei ein.

toCaps

Die ersten Buchstaben von den Wörtern des markierten Texts werden in Großbuchstaben umgewandelt.

toEBCDIC

Text nach EBCDIC-Format konvertieren.

toggleBookMark

Setzt oder entfernt ein Lesezeichen in der aktuellen Zeile.

toLower

Der markierte Text wird in Kleinbuchstaben umgewandelt.

top

Gehe zum Anfang der Datei.

toUpper

Der markierte Text wird in Großbuchstaben umgewandelt.

trimTrailingSpaces

Etwaige Leerzeichen am Ende von jeder Zeile in der aktuellen Datei werden gelöscht.

unicodeToASCII

Die aktuelle Datei wird von Unicode nach ASCII umgewandelt.

unixMacToDos

Convert the active file (line terminators) from Mac/Unix to DOS format.

wrapToReturn

Zeilenumbruch nach (#) Spalten. Eine Null bedeutet, daß der Umbruch beim Fensterrand ausgeführt wird

Fließende Zeilenumbrüche werden in harte Zeilenendungen konvertiert. Beispiel:

UltraEdit.activeDocument.wrapToReturn(60);

write

Der einzugebende Text in Anführungszeichen ("")

Schreibt den angegebenen Text an der aktuellen Position in der Datei. Beispiel:

UltraEdit.activeDocument.write("Das ist ein Test.");

oder:

UltraEdit.activeDocument.write("^c");

Im zweiten Beispiel würde der Inhalt der Zwischenablage an der Cursor-Position geschrieben.

xmlConvertToCRLF

Konvertiert eine einzeilige XML-Datei nach XML-Text, der mit Zeileneinzügen und Umbrüchen formatiert wird.

* Es wird immer dort, wo (#) in der Parameter-Spalte steht, ein nummerischer Wert erwartet. In ähnlicher Weise bedeutet (""), daß eine Zeichenfolge zwischen Anführungszeichen eingegeben wird. Der Text dient nur der Beschreibung eines Parameters.

»outputWindow«-Objektbefehle (Befehle betreffend das Ausgabefenster)

»outputWindow« ist ein JavaScript-Feldobjekt, das eine Eigenschaft des Applikations-Objekts »UltraEdit« ist. Falls keine weiteren Parameter verwendet werden, müssen alle outputWindow-Befehle mit dem folgenden Syntax abgesetzt werden:

UltraEdit.outputWindow.Befehl();

Die unten stehende Tabelle zeigt eine Übersicht der »outputWindow«-Befehle:

Befehle | Parameter* | Beschreibung
clear |  | Leert den Inhalt des Ausgabefensters. Beispiel: UltraEdit.outputWindow.clear();
copy |  | Kopiert den Inhalt des Ausgabefensters in die aktive Zwischenablage. Beispiel: UltraEdit.outputWindow.copy();
showOutput | Boole'scher Wert ja/nein | Diese Eigenschaft bestimmt darüber, ob benutzerdefinierte Daten ins Ausgabefenster geschrieben werden oder nicht. Zur Zeit betrifft dies nur Daten, die mit "outputWindow.write()" geschrieben werden. Beispiel: UltraEdit.outputWindow.showOutput=false;
showStatus | Boole'scher Wert ja/nein | Zeigt alle Informationen zum Status eines Skripts im Ausgabefenster, falls wahr (Skriptname, Erfolg/Mißerfolg der Skriptausführung und gegebenenfalls Fehlermeldungen). Beispiel: UltraEdit.outputWindow.showStatus=true;
showWindow | Boole'scher Wert (ja/nein) | Schaltet die Sichtbarkeit des Ausgabfensters ein oder aus. Beispiel: UltraEdit.outputWindow.showWindow(true);
visible | ** Eigenschaft ist NUR LESEN. | Gibt einen BOOLE'SCHEN Wert zurück; WAHR, wenn das Ausgabefenster sichtbar ist. Beispiel: UltraEdit.outputWindow.visible;
write |  | Ein Text wird zwischen Zitatzeichen übergeben ("") und im Ausgabefenster angezeigt. Dieser Befehl unterstützt nur einzeiligen Ausgabetext, der keine Zeilenbegrenzungszeichen beinhalten darf. Beispiel: UltraEdit.outputWindow.write("Dies ist ein Test.");


Tabulatoreinzug

Der Tabulatoreinzug

UltraEdit unterstützt den Einzug und das Ausrücken mehrerer Zeilen gleichzeitig per Tabulatortaste. Wenn mehrere Zeilen markiert sind, werden diese durch das Drücken der Tabulatortaste um einen Tabulatorstopp eingerückt. Wenn die Tabulatortaste gleichzeitig mit der Umschalttaste (Shift) gedrückt wird, erfolgt ein negativer Einzug der markierten Zeilen um einen Tabulatorstopp.


Markieren/Hervorheben von Text

Das Markieren/Hervorheben von Text

Wenn die Umschalttaste (Shift) beim Verwenden der Cursor-Tasten gedrückt gehalten wird, wird der mit dem Cursor 'überfahrene' Text hervorgehoben, wodurch angezeigt wird, dass der Text für die Bearbeitung markiert ist. Wenn Sie die Taste Pfeil links bzw. Pfeil rechts bei gedrückter Strg- und Umschalttaste verwenden, wird jeweils ein ganzes Wort zur Bearbeitung markiert, wobei der Cursor an den Anfang des vorherigen bzw. nächsten Wortes bewegt wird.

Wenn Sie die Taste Pfeil hoch bzw. Pfeil runter bei gedrückter Strg- und Umschalttaste verwenden, wird der gesamte Text zwischen der Start- und der Endposition des Cursors markiert.

Wenn Sie die Taste Pos1 bei gedrückter Strg- und Umschalttaste verwenden, wird der gesamte Text zwischen der Startposition des Cursors und dem Anfang der bearbeiteten Datei markiert.

Wenn Sie die Taste Ende bei gedrückter Strg- und Umschalttaste verwenden, wird der gesamte Text zwischen der Startposition des Cursors und dem Ende der bearbeiteten Datei markiert.

Wenn eine der folgenden Funktionen bei gedrückter Umschalttaste ausgeführt wird, wird die aktuelle Auswahl (sofern vorhanden) bzw. eine neue Auswahl so erweitert, dass sie den Text bis zu der auf den Befehl folgenden Cursor-Position mit einbezieht:

  • Weitersuchen
  • Vorher suchen
  • Gehe zu Zeile/Seite
  • Nächstes Lesezeichen
  • Vorheriges Lesezeichen

Die Umschalttaste muss dazu bei der eigentlichen Durchführung der Aktion und nicht beim Befehl, der den Dialog anzeigt, gedrückt gehalten werden. Wenn beispielsweise der Dialog 'Gehe zu' durch Drücken der Tastenkombination Strg+G aufgerufen wurde und die Schaltfläche OK betätigt wird, um den Befehl Gehe zu auszuführen, muss die Umschalttaste erst beim Betätigen der Schaltfläche OK gedrückt werden und nicht schon beim Drücken von Strg+G zum Anzeigen des Dialogs.


Unicode- und UTF-8-Unterstützung

UltraEdit unterstützt auch Unicode- (16-Bit-Zeichen) und UTF-8-Dateien. Unicode- und UTF-8-Dateien lassen sich direkt in UltraEdit bearbeiten oder auch mit Hilfe der entsprechenden Konvertierungsbefehle zwischen ASCII/ANSI und Unicode bzw. UTF-8 umwandeln.

UltraEdit versucht den Dateityp beim Laden der Datei zu ermitteln und sucht dabei nach der FFFE-Markierung von Unicode-Dateien. Das UTF-8-Format wird anhand eines der folgenden drei Kennzeichen erkannt:

  • Dateimarkierung (BOM) EF, BB, BF.
  • Auftreten der Zeichenkette "charset=utf-8"
  • Vorkommen von gültigen Multi-Byte-Zeichen im UTF-8-Format in der Datei

Falls die Datei als Unicode-Datei erkannt wird, wird sie intern als solche behandelt und in der Statuszeile wird der Dateityp durch ein vorangestelltes 'U-' gekennzeichnet.

Falls die Datei als UTF-8-Datei erkannt wird, wird sie als solche behandelt und für die Bearbeitung intern nach Unicode (16-Bit) umgewandelt. In der Statuszeile wird der Dateityp durch ein vorangestelltes 'U8-' gekennzeichnet. Beim Speichern wird die Datei dann wieder von Unicode nach UTF-8 umgewandelt und im UTF-8-Format gespeichert.

Die interne Behandlung als Unicode ermöglicht es, bei der Zeicheneingabe auf die Meldungen des Betriebssystems für Unicode-Zeichen zurückzugreifen. Zudem unterstützt UltraEdit die in einigen Windows-Versionen und Anwendungen zum Einsatz kommende Meldung WM_UNICHAR, wodurch die Eingabe von Unicode-Zeichen auch in Betriebssystemversionen ermöglicht wird, die Unicode nicht von sich aus unterstützen (Windows 95/98/Me).

Folgende Befehle zur Konvertierungen von und nach Unicode bzw. UTF-8 stehen zur Verfügung:

ASCII nach Unicode | führt eine Konvertierung von ASCII nach Unicode durch
UTF-8 nach Unicode | führt eine Konvertierung von UTF-8 nach Unicode (16-Bit) durch
Unicode nach ASCII | führt eine Konvertierung von Unicode nach ASCII durch
UTF-8 nach ASCII | führt eine Konvertierung von UTF-8 nach ASCII durch
ASCII nach UTF-8 (Unicode-Bearbeitung) | führt eine Konvertierung von ASCII nach UTF-8 durch, wobei die Datei für die Bearbeitung intern im Unicode-Format vorliegt
Unicode/UTF-8 nach UTF-8 (Unicode-Bearbeitung) | führt eine Konvertierung von entweder Unicode oder UTF-8 (internes Nicht-Unicode-Format) nach UTF-8 durch, wobei die Datei für die Bearbeitung intern im Unicode-Format vorliegt
Unicode/ASCII/UTF-8 nach UTF-8 (ASCII-Bearbeitung) | führt eine Konvertierung von Unicode, ASCII oder UTF-8 (internes Unicode-Format) nach

Die Unterstützung von Unicode-Dateien durch UltraEdit erfolgt unter Windows 95, 98, Me, NT und 2000.

Da nicht alle Betriebssysteme Unicode von sich aus unterstützen, konvertieren bestimmte Funktionen die Dateien von Multi-Byte nach Unicode bzw. von Unicode nach Multi-Byte. Falls die aktive Codepage (siehe Dokumentation und Hilfe von Windows) die Zeichen nicht unterstützt, erfolgt die Umwandlung nicht korrekt.

Zu den Funktionen, die eine Umwandlung zwischen Multi-Byte und Unicode vornehmen, gehören die Befehle Suchen/Ersetzen und Spalten einfügen/füllen.


UE3 Functionality

UE3 refers to UltraEdit customized for installation on a U3 smart drive. UE3 supports the functionality of UltraEdit except as follows:

- File associations are not supported.

- Shell integration (context menu access from Windows Explorer) is not supported as the U3 conventions forbid access to the parts of the registry which must be modified to support shell integration.

In nearly all other respects UE3 allows the use of UltraEdit as if it was installed on a standard desktop hard drive allowing users access to the most needed features of UltraEdit - macros, scripting, syntax highlighting, column mode, code folding, UNICODE support, FTP, Telnet and more - all on your U3 smart drive.

The primary difference is that when UE3 is shut down and the U3 smart drive is ejected, any references to files/settings that don't reside on the U3 smart drive are removed from the UE3 INI file (ue3.ini) when this is written back to the U3 smart drive. For example:

- Files added to the Favorite files list during an editing session that belong to the host system will be removed from the application when the U3 drive is ejected.

- Open files (except in the case of files opened via FTP) will not be remembered between sessions.

Note: U3, the U3 smart Logo, and all U3 formative trademarks are trademarks or registered trademarks of U3 LLC worldwide.


Menü-Konfiguration

Die Konfiguration der Menüs

In UltraEdit können Sie jeden Menübefehl auch von eigenen Menüs aus zugänglich machen. Zu diesem Zweck lassen sich mehrere benutzerdefinierte Menüs konfigurieren. Wenn Sie einen Rechtsklick auf einem Menü durchführen, erscheint ein Kontextmenü mit folgenden Einträgen:

    1. Basic
    2. Advanced
    3. Menü anpassen
    4. Menüs verwalten

Basic / Advanced

Wenn die Option Basic aktiviert ist, wird eine Teilmenge der standardmäßigen Menüs für die Verwendung in UltraEdit eingeblendet. Die Option Advanced sollten Sie bei Änderungswünschen als Erstes ausprobieren, da Sie den Zugriff auf sämtliche standardmäßigen Menüs ermöglicht.

Menü anpassen

Verwenden Sie diesen Befehl, um den weiter unten beschriebenen Dialog 'Menü-Konfiguration' aufzurufen, mit dem Sie die momentan aktiven Symbolleisten anpassen können.

Menüs verwalten

Verwenden Sie diesen Befehl, um den Dialog 'Menüs & Symbolleisten verwalten' aufzurufen. Wenn Sie im Feld Neuer Name einen Namen eintragen, werden die momentan aktiven Menüs unter diesem Konfigurationsnamen gespeichert. Falls ein vordefiniertes Menü (z.B. Basic oder Advanced) ausgewählt wurde und Sie die Schaltfläche Zurücksetzen betätigen, wird für diese Menü-Konfiguration der ursprüngliche Zustand wiederhergestellt. Wenn Sie die Schaltfläche Alle zurücksetzen betätigen, werden alle mit UltraEdit ausgelieferten Menü-Konfigurationen wieder in ihren ursprünglichen Zustand versetzt und sämtliche benutzerdefinierten Menü-Konfigurationen gelöscht.

Der Dialog 'Menü-Konfiguration'

Dieser Dialog unterteilt sich im Wesentlichen in die beiden Bereiche Menüs und Befehle. Dazu gesellen sich das Textfeld Neues (Unter-)Menü, Pfeile nach Links, Rechts, Hoch und Runter sowie die Schaltfläche Bearbeiten. Diese Elemente haben folgende Funktionen:

Menüs

In diesem Bereich werden die aktivierten Menüs mit den derzeit zugeordneten Elementen im Explorer-Stil angezeigt. Jeder Titel eines Menüs oder Untermenüs hat auf der linken Seite eine Linie, die in einem kleinen Quadrat endet. Durch einen Doppelklick auf dieses Quadrat lassen sich die jeweiligen (Unter-)Menüs anzeigen bzw. ausblenden.

Wählen Sie ein Menü oder einen Menüeintrag aus und betätigen Sie die Schaltfläche Bearbeiten, um den Namen des Menüs bzw. Eintrags zu ändern. Drücken Sie die Eingabetaste, um die Änderung zu speichere. Betätigen Sie die Schaltfläche OK, um die Änderungen für die Menüanzeige zu übernehmen.

Wenn Sie ein Menü markieren, können Sie das gesamte Menü mit Hilfe der Hoch/Runter- und Links-Rechts-Schaltflächen neu positionieren. Wenn Sie einen Menüeintrag markieren, können Sie ihn mit Hilfe der Hoch/Runter-Schaltflächen innerhalb der aktuellen Menüebene neu positionieren. Menüeinträge lassen sich nicht in eine andere Menüebene verschieben.

Befehle

In diesem Bereich werden die Befehle angezeigt, die für die Verwendung in Menüs zur Verfügung stehen. Um einen Befehl in ein ausgewähltes (Unter-)Menü zu übernehmen, müssen Sie den gewünschten Befehl markieren und die Links-Schaltfläche in der Mitte des Dialogs betätigen. Der Befehl wird dann direkt unterhalb des derzeit im Bereich Menüs markierten Elements eingefügt. Falls kein Element markiert ist, wird der Eintrag am Anfang des ersten aufgeführten Menüs vorgenommen. Sobald die Befehle in ein Menü aufgenommen worden sind, lassen sie sich mit Hilfe der Rauf/Runter-Schaltflächen nach Bedarf in dem Menü positionieren.

Neues (Unter-)Menü

Tragen Sie in dieses Feld den Namen für das neue (Unter-)Menü ein und betätigen Sie die Links-Schaltfläche, um ein neues (Unter-)Menü anzulegen. Auf diese Weise fügen Sie ein neues, leeres Menü zu der Liste der Menüs hinzu. Um ein vorhandenes Menü zu löschen, müssen Sie es markieren und anschließend die Rechts-Schaltfläche in der Mitte des Dialogs betätigen.

Häkchen in Menüs verwenden

Aktivieren Sie dieses Kontrollkästchen, damit vor aktivierten Menüeintragen ein Häkchen an Stelle des gedrückten Symbols eingeblendet wird. Diese Option schafft Abhilfe bei einigen Problemen mit Screen-Readern für Menschen mit einer Sehschwäche.

Speicherort der Konfigurationsdaten

Die Daten für die konfigurierbaren Symbolleisten werden im Verzeichnis 'Anwendungsdaten' (bzw. '%APPDATA%') standardmäßig unter 'IDM Comp\UltraEdit' bzw. 'IDM Comp\UEStudio' in der Datei 'uedit32.mnu' gespeichert.


Symbolleisten-Konfiguration

Die Konfiguration der Symbolleisten

In UltraEdit können Sie jeden Menübefehl auch von einer Symbolleiste aus zugänglich machen. Zu diesem Zweck lassen sich mehrere benutzerdefinierte Symbolleisten konfigurieren. Wenn Sie einen Rechtsklick auf einer freien Stelle einer Symbolleiste durchführen, erscheint ein Kontextmenü mit folgenden Einträgen:

    • Basic
    • Advanced
    • Symbolleiste anpassen
    • Symbolleisten verwalten
    • Große Symbole

Basic / Advanced

Wenn die Option Basic aktiviert ist, wird eine Teilmenge der standardmäßigen Symbolleisten für die Verwendung in UltraEdit eingeblendet. Die Option Advanced sollten Sie bei Änderungswünschen als Erstes ausprobieren, da Sie den Zugriff auf sämtliche standardmäßigen Symbolleisten ermöglicht.

Symbolleiste anpassen

Verwenden Sie diesen Befehl, um den weiter unten beschriebenen Dialog 'Symbolleisten-Konfiguration' aufzurufen, mit dem Sie die momentan aktiven Symbolleisten anpassen können.

Symbolleisten verwalten

Verwenden Sie diesen Befehl, um den Dialog 'Menüs & Symbolleisten verwalten' aufzurufen. Wenn Sie im Feld Neuer Name einen Namen eintragen, wird bzw. werden die momentan aktive(n) Symbolleiste(n) unter diesem Konfigurationsnamen gespeichert. Sie können dann einen Rechtsklick auf (einer) der Symbolleiste(n) durchführen und den Befehl Symbolleiste anpassen auswählen, um die Symbolleiste(n) für diese Konfiguration anzupassen.

Große Symbole

Aktivieren Sie diese Option, um in der aktiven Symbolleiste größere Schaltflächen angezeigt zu bekommen.

Der Dialog 'Symbolleisten-Konfiguration'

Dieser Dialog unterteilt sich im Wesentlichen in die beiden Bereiche Symbolleisten und Befehle. Dazu gesellen sich das Kontrollkästchen Große Symbole, die Textfelder Neue Symbolleiste und Externe Grafik sowie Pfeile nach Links, Rechts, Hoch und Runter. Diese Elemente haben folgende Funktionen:

Symbolleisten

In diesem Bereich werden die aktivierten Symbolleisten mit den derzeit zugeordneten Befehlen im Explorer-Stil angezeigt. Klicken Sie auf das Minus-Symbol links von einem Symbolleistennamen, um die Elemente der Symbolleiste auszublenden. Klicken Sie auf das Plus-Symbol links von einem Symbolleistennamen, um die Elemente der Symbolleiste anzuzeigen.

Markieren Sie ein Element der Symbolleiste und verwenden Sie die Hoch/Runter-Schaltflächen, um die Position des Elements in der Symbolleiste zu bestimmen. Es ist nicht möglich, ein Element mit den Hoch/Runter-Schaltflächen aus einer Symbolleiste in eine benachbarte Symbolleiste zu verschieben.

Befehle

In diesem Bereich werden die Befehle angezeigt, die für die Verwendung in Symbolleisten zur Verfügung stehen. Um einen Befehl in eine ausgewählte Symbolleiste zu übernehmen, müssen Sie den gewünschten Befehl markieren und die Links-Schaltfläche in der Mitte des Dialogs betätigen. Der Befehl wird dann direkt unterhalb des derzeit im Bereich Symbolleisten markierten Elements eingefügt. Falls kein Element markiert ist, wird der Eintrag am Anfang der ersten aufgeführten Symbolleiste vorgenommen. Sobald die Befehle in eine Symbolleiste aufgenommen worden sind, lassen sie sich mit Hilfe der Rauf/Runter-Schaltflächen nach Bedarf in der Symbolleiste positionieren.

Neue Symbolleiste

Tragen Sie in dieses Feld den Namen für eine neue Symbolleiste ein und betätigen Sie die Links-Schaltfläche, um eine neue Symbolleiste anzulegen. Auf diese Weise fügen Sie eine neue, leere Symbolleiste zu der Liste der Symbolleisten hinzu. Um eine vorhandene Symbolleiste zu löschen, müssen Sie die gewünschte Symbolleiste markieren und anschließend die Rechts-Schaltfläche in der Mitte des Dialogs betätigen.

Externe Grafik

Auf Wunsch können Sie eigene Grafiken für die Schaltflächen der Symbolleisten angeben (z.B. für die benutzerdefinierten Werkzeuge), damit diese in der Symbolleiste angezeigt werden. Dazu wählen Sie zunächst den gewünschten Befehl aus der Liste der Befehle aus und fügen ihn wie beschrieben zur gewünschten Symbolleiste hinzu. Anschließend markieren Sie den neuen Eintrag im Bereich Symbolleisten und tragen im Feld Externe Grafik den Dateipfad für die gewünschte Bitmap-Grafik ein. Sie können den Dateipfad entweder direkt eingeben oder durch Betätigen der Schaltfläche '...' mit Hilfe des 'Öffnen'-Dialogs danach suchen. Drücken Sie abschließend die Eingabetaste, um dem markierten Eintrag die angegebene Grafik zuzuordnen.

Große Symbole

Aktivieren Sie diese Option, um in allen Symbolleisten größere Schaltflächen angezeigt zu bekommen.

Speicherort der Konfigurationsdaten

Die Daten für die konfigurierbaren Symbolleisten werden im Verzeichnis 'Anwendungsdaten' standardmäßig unter 'IDM Comp\UltraEdit' bzw. 'IDM Comp\UEStudio' in der Datei 'uedit32.tbr' gespeichert.


Symbolleiste 'HTML'

Die Symbolleiste 'HTML'

Die Symbolleiste 'HTML' ermöglicht das schnelle Einfügen von häufig benötigtem Code in HTML-Dateien. Sie bietet Zugriff auf folgende Funktionen:

Tag-Liste ein/aus | Blendet die Liste mit den HTML-Tags ein/aus.
Fett | Fügt um den markierten Text herum die Tags zur Darstellung als fetter Text ein.
Kursiv | Fügt um den markierten Text herum die Tags zur Darstellung als kursiver Text ein.
Unterstrichen | Fügt um den markierten Text herum die Tags zur Darstellung als unterstrichener Text ein.
Einzug vergrößern | Fügt um den markierten Text herum die BLOCKQUOTE-Tags ein.
Aufzählungszeichen | Fügt die Tags zum Erstellen einer Listenaufzählung ein.
Nummerierung | Fügt die Tags zum Erstellen einer nummerierten Liste ein.
Vordergrundfarbe | Ruft den Dialog 'Farbauswahl' auf, mit dem Sie die Vordergrundfarbe für den Text definieren können. Wenn keine Farbe ausgewählt wird, werden nur die entsprechenden Tags in den Text eingefügt und Sie müssen den Farbwert von Hand eintragen.
Hintergrundfarbe | Ruft den Dialog 'Farbauswahl' auf, mit dem Sie die Hintergrundfarbe für den Text definieren können. Wenn keine Farbe ausgewählt wird, werden nur die entsprechenden Tags in den Text eingefügt und Sie müssen den Farbwert von Hand eintragen.
Linksbündig | Fügt um den markierten Text herum die Tags zur linksbündigen Darstellung ein.
Zentriert | Fügt um den markierten Text herum die Tags zur zentrierten Darstellung ein.
Rechtsbündig | Fügt um den markierten Text herum die Tags zur rechtsbündigen Darstellung ein.
Blocksatz | Fügt um den markierten Text herum die Tags für die Darstellung im Blocksatz ein.
Label | Fügt das DIV-Tag für ein Textlabel ein.
Schaltfläche | Fügt das INPUT-Tag für eine Schaltfläche ein und setzt den Cursor an die Stelle für die Beschriftung.
Textfeld | Fügt ein einzeiliges Textfeld ein.
Textbereich | Fügt ein mehrzeiliges Textfeld (Textbereich) ein.
Passwortfeld | Fügt ein einzeiliges Passwortfeld ein.
Versteckt | Fügt ein verstecktes Textfeld ein.
Kontrollkästchen | Fügt ein Kontrollkästchen ein.
Optionsfeld | Fügt ein Optionsfeld ein.
Bild | Fügt das IMAGE-Tag ein uns setzt den Cursor an die Stelle für den Dateipfad des Bildes.
Formularbild | Ruft den 'Öffnen'-Dialog auf, um ein Bild für ein Formualr einzufügen.
Lesezeichen | Fügt um den markierten Text herum die Tags für einen Anker bzw. ein Lesezeichen ein.
Ende-Tag | Sucht nach dem am nächsten gelegenen noch nicht abgeschlossenen Tag und schließt es.
Sonderzeichen konvertieren | Konvertiert Sonderzeichen im markierten Text in HTML-Symbole (z.B. wird 'ß' zu '&szlig;').
Kodieren/Dekodieren | Konvertiert den markierten Text zu '%xx', wobei xx für den Hexadezimalwert des jeweiligen Zeichens steht.
HTML-Schutz | Schützt den HTML-Code (z.B. eingebettetes JavaScript) vor Einsichtnahme.

Hinweis: Die mit [*] gekennzeichneten Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Symbolleiste 'Werkzeuge'

Die Symbolleiste 'Werkzeuge'

Diese Symbolleiste ermöglicht den schnellen Zugriff auf einige Werkzeuge für die Nutzung in UltraEdit. Sie bietet Zugriff auf folgende Funktionen:

Farbauswahl | Ruft den Dialog 'Farbauswahl' auf, mit dem Sie Farbwerte im Dezimal-, Hexadezimal-, HTML- oder RGB-Format in Ihren Text einfügen können.
Style-Builder | Ruft den Dialog 'Style-Builder' auf, mit dem Sie Stylesheets erstellen können, die mit dem CSS2-Standard in Einklang stehen.
HTML Tidy | Ruft den Dialog 'HTML Tidy' auf, mit dem Sie den Speicherort einer Konfigurationsdatei angeben (falls andere als die Standardwerte verwendet werden sollen) oder auch eigene Werte für die HTML Tidy-Aktionen konfigurieren können.
GUID Generator | Zeigt ein Kontextmenü mit Befehlen zum Einfügen einer GUID (Globally Unique Identifier) in die aktive Datei in einem der vier Formate an, die zur Verfügung stehen.
Nummernkonverter | Konvertiert eine markierte Zahl ungleich null in eines der folgenden vier Formate: Binär, Oktal, Dezimal oder Hexadezimal.
Artistic Style-Formatierung | Formatiert den Quelltext neu (zahlreiche konfigurierbare Optionen). Anmerkung: Da dieses Werkzeug kein integraler Bestandteil von UltraEdit ist, muss es zunächst von seiner Website heruntergeladen und in das UltraEdit- Verzeichnis kopiert werden. Das Tool können Sie sich von der Website http://astyle.sf.net herunterladen.
.NET Code-Schutz [*] | Ruft den Dialog '.NET Code-Shutz' auf, mit dem Sie ausführbare .NET-Dateien vor einer einfachen Disassemblierung des Quelltextes schützen können. Dieser Befehl arbeitet direkt mit den ausführbaren Dateien und benötigt dazu kein installiertes .NET-Framework.
Projektkonverter [*] | Konvertiert ein Visual Studio-Projekt in das UEStudio-Format.
XMLlint Tool | Ruft den XMLlint Parser auf. Für weitergehende Information über Kommandos und Benutzung bitte auf http://xmlsoft.org/xmllint.html nachschauen
JavaScript Lint-Werkzeug | Ruft »JavaScript Lint« auf, um im JavaScript-Code nach Fehlern zu fahnden. Für weitere Informationen siehe http://www.javascriptlint.com/

Hinweis: Die mit [*] gekennzeichneten Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Symbolleiste 'Erstellen'

Die Symbolleiste 'Erstellen'

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Wenn ein Projekt im ( Dialog 'Projekteinstellungen' ) als Kompilierbar definiert wurde, kann diese Symbolleiste genutzt werden, um die Funktionen zum Kompilieren/Erstellen auf die Dateien des aktiven Projekts anzuwenden.

Die Symbolleiste 'Erstellen' enthält folgende Elemente:

* Projekteinstellungen | Ruft den Dialog 'Projekteinstellungen' auf.
Erstellungsmodus | Stellt den Erstellungsmodus auf 'Debug' oder 'Release' ein.
Kompilieren | Speichert gegebenenfalls die aktive Datei und kompiliert sie. Falls noch kein Compiler ausgewählt wurde oder die Compiler-Optionen für das Projekt noch nicht eingestellt wurden, wird zunächst der Dialog 'Compiler auswählen' und dann der Dialog 'Projekteinstellungen' aufgerufen, bevor anschließend der Kompilierungsprozess in Gang gesetzt wird.
Erstellen | Speichert gegebenenfalls die aktive Datei und erstellt die Zieldatei(en) für das Projekt. Falls noch kein Compiler festgelegt wurde oder die Compiler-Optionen für das Projekt noch nicht eingestellt wurden, entspricht das weitere Vorgehen dem des Befehls Kompilieren.
Erstellung abbrechen | Bricht den laufenden Erstellungsprozess ab.
Anwendung ausführen | Führt die Anwendung aus, die mit dem ausgewählten Compiler erstellt wurde, und setzt gegebenenfalls erst den Erstellungsprozess in Gang, falls die Anwendung noch nicht vorhanden ist.
Alles neu erstellen | Löscht alle vom Compiler angelegten Dateien und erstellt anschließend das Projekt neu.
Befehle ausführen | Blendet ein Untermenü mit einer variablen Anzahl von Einträgen ein, die von der verwendeten Compiler-Konfiguration und den Befehlen abhängig sind, die für diese Compiler-Konfiguration eingestellt wurden.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Symbolleiste 'IntelliTipp'

Die Symbolleiste 'IntelliTipp'

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Diese Symbolleiste ermöglicht Ihnen im Zusammenhang mit den IntelliTipps von UEStudio den schnellen Zugriff auf diverse Elemente.

Die Symbolleiste 'IntelliTipp' enthält folgende Elemente:

.source => .header | Zeigt ein Kontextmenü an, mit dem Sie zwischen der Quelldatei und der zugehörigen Header-Datei wechseln können.
Dateiliste | Zeigt die Dateiliste an.
Funktionstipp anzeigen | Zeigt den Funktionstipp für die aktive Funktion an.
Symbole-Liste | Zeigt die Symbole der aktiven Datei an.
Schlüsselwörter-Liste | Zeigt die Schlüsselwörter der aktiven Datei an.
In dieser Datei definierte Funktionen anzeigen | Zeigt die in der aktiven Datei definierten Funktionen an.
Aktive Datei erneut parsen | Zwingt IntelliTipps dazu, die aktive Datei erneut zu parsen.
Zum ClassViewer | Wechselt in der Baumansicht auf die Registerkarte 'Tags'.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Symbolleiste 'Ressourcen-Editor'

Die Symbolleiste 'Ressourcen-Editor'

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Die Symbolleiste 'Ressourcen-Editor' ermöglicht Ihnen die Bearbeitung von Ressourcen des aktiven Projekts.

Diese Symbolleiste enthält folgende Elemente:

Test

Zeigt den aktiven Dialog im Entwurfsmodus an.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Script Toolbar

Script-Symbolleiste

Die Schaltflächen in der Script-Symbolleiste zeigen weitere Untermenüs an, die Optionen für die Codierung von Ruby und PHP betreffen. Hier eine Übersicht über die gebotene Funktionalität:

Führt Ruby-Befehle aus

öffnet ein Untermenü, aus dem die weiter unten aufgeführten Befehle ausgewählt werden können

Achtung: Wenn "ruby.exe" von UEStudio nicht gefunden wird, bzw. das Programm noch nicht installiert wurde, wird eine Fehlermeldung ausgegeben mit der Aufforderung, Ruby zu installieren. Die aktuelle Version von Ruby für Windows kann hier heruntergeladen werden: http://www.ruby-lang.org/

Syntax uberprüfen

Das aktive Ruby-Skript wird auf Fehler im Syntax überprüft

Script ausführen

Startet das aktive Ruby-Skript

Befehlszeilenoptionen

zeigt einen Dialog an (s. unten), der die Befehlszeilenoptionen für Ruby aufnimmt

HTML PHP-Befehle

öffnet ein Untermenü, aus dem die weiter unten aufgeführten Befehle ausgewählt werden können

Achtung: Beim erstmaligen Auswählen eines der untenstehenden Befehle wird ein Dialog angezeigt, damit Sie das Verzeichnis des PHP.EXE angeben bzw. im Dateisystem danach suchen können. Falls Sie PHP auf Ihrem System noch nicht installiert haben, sollten Sie die aktuelle Version bei http://www.php.net/downloads.php herunterladen und PHP nach den dort bereitgestellten Anweisungen bei sich installieren.

Falls PHP noch nicht auf Ihrem System installiert wurde, werden die hier aufgeführten Funktionen nicht laufen; stattdessen wird jedesmal nach dem Verzeichnis von PHP.EXE abgefragt.

Script ausführen

Startet das aktive PHP-Skript

Syntax uberprüfen

Das aktive PHP-Skript wird auf Fehler im Syntax überprüft

Syntax für alle prüfen

prüft die Syntax für alle Scripts in allen offenen PHP-Dateien

Dokument parsen

übersetzt die aktuelle Datei und schreibt das HTML-Äquivalent der Script-Ereignisse in eine Datei mit Namen Dokumentname-parsed.php

Kommentare entfernen

entfernt alle Kommentare und Weißraum aus der aktiven Datei, formatiert sie neu und schreibt das Ergebnis in eine Datei mit Namen Dokumentname-parsed.php

Quelltexthervorhebung

konvertiert den Script-Code nach HTML-Text und setzt ihn zwischen Tags <code> und </code>, damit der Script als HTML-Datei mit allen Hervorhebungen von UltraEdit angezeigt werden kann

PHP.Exe auswählen

blendet einen Dialog ein, mit dem man im Dateisystem für das ausführbare ProgrammPHP.EXE durchsuchen kann.

Ruby-Befehlszeilenoptionen

Bei der Auswahl von Befehlszeilenoptionen aus dem Untermenü der Script-Symbolleiste wird der folgende Dialog eingeblendet. Benutzer, die mit Ruby vertraut sind, können Ruby mit dieser Schnittstelle zusammen mit den gewünschten Befehlszeilenoptionen aufrufen und somit den aktuellen Script mit Ruby ausführen. Weiterführende Informationen über die Programmiersprache Ruby findet man hier: http://www.ruby-lang.org/.

* Bitte beachten Sie, daß diese Funktionalität nur in UEStudio und nicht in UltraEdit-32 vorhanden ist!


Debugger Toolbar

Debugger-Symbolleiste

Die Debugger-Symbolleiste ermöglicht ein integriertes Arbeiten mit WinDbg aus der UEStudio-Entwicklungsumgebung heraus. Hier eine Übersicht über die gebotene Funktionalität:

Debugger | Startet den Debugger. Falls noch kein Debugger ausgewählt wurde, wird der Dialog 'Debugger auswählen' aufgerufen, mit dem Sie den Debugger für das aktive Projekt festelgen können.
Ausführen | startet das Debugger-Programm automatisch und führt die zu untersuchende Applikation aus
Neu starten | beendet die aktuelle Debug-Sitzung und startet erneut
Debuggen beenden | beendet die aktuelle Debug-Sitzung
Unterbrechen | unterbricht die Ausführung der Zielapplikation und gibt die Kontrolle an das Debug-Programm zurück
Einzelschritt | führt jede Zeile des Codes einzeln aus, wobei Funktionsaufrufen nachgefolgt werden
Prozedurschritt | führt die verbleibenden Zeilen der aktuellen Funktion oder des aktuell sichtbaren Bereichs aus
Rücksprung | führt die nächste Code-Zeile aus, wobei Funktionsaufrufen nicht nachgefolgt werden, sondern aus diesen wieder zurückgesprungen werden
Ausführen bis Cursor | führt alle Zeilen des Codes von der aktuellen Stelle bis zur ausgewählten Zeile aus
Haltepunkt setzen | fügt einen Haltepunkt bei der aktuellen Cursorposition ein
Haltepunkt entfernen | entfernt einen Haltepunkt an der aktuellen Cursorposition, falls vorhanden
Aufrufstapel anzeigen | blendet ein Fenster ein, das den Aufrufstapel mit allen aktiven Prozeduren und Stapelrahmen (stack frames) für das aktuelle Thread anzeigt
Variablen anzeigen | blendet ein Fenster ein, das alle lokale Variablen mit ihren momentanen Werten für jede Prozedur im aktuellen Aufrufstapel anzeigt
Überwachungen anzeigen | blendet ein Fenster ein, das ausgewählte überwachte Variablen oder Ausdrucke anzeigt
Register anzeigen | blendet ein Fenster ein, das die CPU-Register mit ihren aktuellen Werten anzeigt
Speicherinhalt anzeigen | blendet ein Fenster ein, das den Inhalt eines Adressenbereichs im Speicher anzeigt
Disassemblierung anzeigen | blendet ein Fenster ein, das die gerade auszuführenden Code-Bytes des untersuchten Prozesses zusammen mit ihren dazugehörenden Assembler-Befehlen anzeigt

* Bitte beachten Sie, daß diese Funktionalität nur in UEStudio, aber nicht in UltraEdit-32, vorhanden ist!


Web Search Toolbar

Symbolleiste »Web-Suche«

Die Symbolleiste »Web-Suche« stellt einen schnellen Zugriff auf Funktionen zur Verfügung, die zusammen mit oder in UltraEdit eingesetzt werden können. Hier eine übersicht der möglichen Funktionen:

Google-Suche | startet eine Suche mit dem ausgewählten Text bei google.com
Yahoo-Suche | startet eine Suche mit dem ausgewählten Text bei yahoo.com
Wikipedia-Suche | startet eine Suche mit dem ausgewählten Text bei wikipedia.org
Suchen bei Dictionary.com | startet eine Suche mit dem ausgewählten Text bei dictionary.com
Thesaurus-Suche | startet eine Suche mit dem ausgewählten Text bei thesaurus.com
Whois-Suche | startet eine Suche mit dem ausgewählten Text bei whois.net
Whois-Suche bei NetworkSolutions | startet eine Suche mit dem ausgewählten Text bei networksolutions.com
PHP.net-Suche | startet eine Suche mit dem ausgewählten Text bei php.net
Suchen bei cplusplus.com | startet eine Suche mit dem ausgewählten Text bei cplusplus.com
Suchen bei MSDN-Online | startet eine Suche mit dem ausgewählten Text bei msdn.microsoft.com

Bitte beachten:

* GOOGLE und das Google-Logo sind eingetragene Warenzeichen von Google Inc.

* Yahoo! und das Yahoo!-Logo sind Eigentum von Yahoo! Inc.

* Wikipedia und das Wikipedia-Logo sind eingetragene Warenzeichen von Wikimedia Foundation, Inc.

* DICTIONARY.COM, THESAURUS.COM, das DICTIONARY.COM-Logo und das THESAURUS.COM-Logo sind eingetragene Warenzeichen, und, wo angegeben, sind eingetragene Warenzeichen von Lexico Publishing Group, LLC. oder deren subsidiären Gesellschaften.

* WHOIS.NET ist eine Dienstbezeichnung WHOIS.NET.

* NETWORKSOLUTIONS.com und die Network Solutions Marks sind das Eigentum von Network Solutions.

* Das PHP-Logo ist urheberrechtlich geschützt (Copyright© The PHP Group).

* cplusplus.com und das cplusplus.com-Logo sind urheberrechtlich geschützt durch cplusplus.com.

* search.msdn.microsoft.com und das Windows-Logo sind das Eigentum von Microsoft Corporation.

Für Informationen zur Anpassung der Symbolleiste durch Hinzufügen oder Entfernen von Befehlssymbolen bitte hier klicken.


Befehle im Menü 'Datei'

Die Befehle im Menü 'Datei'

Das Menü 'Datei' stellt folgende Befehle bereit:

Neu | Erstellt eine neue Datei.
Öffnen | Öffnet eine vorhandene Datei.
Schnellöffnen | Öffnet eine vorhandene Datei durch die Eingabe des Dateinamens ohne den üblichen Auswahldialog.
Schließen | Schließt eine offene Datei.
Alles schließen | Schließt alle offenen Dateien.
Alles außer aktueller Datei schließen | Schließt alle offenen Dateien mit Ausnahme der aktiven Datei.
FTP - Durchsuchen | Öffnet FTP/SFTP Browser
FTP - Öffnen per FTP | Öffnet eine vorhandene Datei von einer FTP-Site.
FTP - Speichern unter per FTP | Speichert eine offene Datei unter einem anzugebenden Dateinamen auf einer FTP-Site.
Gespeicherte Fassung wiederherstellen | Stellt die zuletzt gespeicherten Fassung der Datei wieder her.
Speichern | Speichert eine offene Datei unter dem bestehenden Namen.
Speichern unter | Speichert eine offene Datei unter einem anzugebenden Namen.
Alles speichern | Speichert alle geänderten Dateien unter ihren bestehenden Namen.
Auswahl speichern unter | Speichert eine Textauswahl in einer neuen Datei.
Sicherheitskopie anlegen | Legt eine Sicherheitskopie der aktiven Datei an.
Verschlüsselung - Datei verschlüsseln | verschlüsselt die aktuelle Datei mit einer benutzerdefinierten Zeichenkette als Schlüssel
Verschlüsselung - Datei entschlüsseln | entschlüsselt die aktuelle Datei mit einer benutzerdefinierten Zeichenkette als Schlüssel
Datei umbenennen | Benennt die aktive Datei um.
Dateien vergleichen | Vergleicht zwei ASCII-Dateien miteinander.
Sortieren | Sortiert die Datei basierend auf den aktuellen Sortieroptionen.
Spezielles Sortieren/Optionen | Spezielle Sortierroutinen und Sortieroptionen.
Konvertieren | UNIX/MAC nach DOS | Wandelt das Dateiformat von UNIX oder MAC nach DOS um.
Konvertieren | DOS nach MAC | Wandelt das Dateiformat von DOS nach MAC um.
Konvertieren | DOS nach UNIX | Wandelt das Dateiformat von DOS nach UNIX um.
Konvertieren | EBCDIC nach ASCII | Wandelt das Dateiformat von EBCDIC nach ASCII um.
Konvertieren | ASCII nach EBCDIC | Wandelt das Dateiformat von ASCII nach EBCDIC um.
Konvertieren | OEM nach ANSI | Wandelt das Dateiformat von OEM nach ANSI um.
Konvertieren | ANSI nach OEM | Wandelt das Dateiformat von ANSI nach OEM um.
Konvertieren | ASCII nach Unicode | Wandelt das Dateiformat von ASCII nach Unicode um.
Konvertieren | UTF-8 nach Unicode | Wandelt das Dateiformat von UTF-8 nach Unicode um.
Konvertieren | Unicode nach ASCII | Wandelt das Dateiformat von Unicode nach ASCII um.
Konvertieren | UTF-8 nach ASCII | Wandelt das Dateiformat von UTF-8 nach ASCII um.
Konvertieren | ASCII nach UTF-8 | Wandelt das Dateiformat von ASCII nach UTF-8 um (Unicode-Bearbeitung).
Konvertieren | Unicode/UTF-8 nach UTF-8 | Wandelt das Dateiformat von Unicode/UTF-8 nach UTF-8 um (Unicode-Bearbeitung).
Konvertieren | Unicode/ASCII/UTF-8 nach UTF-8 | Wandelt das Dateiformat von Unicode/ASCII/UTF-8 nach UTF-8 um (ASCII-Bearbeitung).
Konvertieren | Unicode nach Unicode (Big-Endian) | Wandelt das Dateiformat von Unicode nach Unicode in Big-Endian-Darstellung um.
Konvertieren | Unicode (Big-Endian) nach Unicode | Wandelt das Dateiformat von Unicode in Big-Endian-Darstellung nach Unicode um.
Aktive Datei löschen | Löscht die zum aktiven Fenster gehörende Datei und schließt das Fenster, wobei alle Änderungen verloren gehen.
Als E-Mail versenden | Verschickt eine Datei per E-Mail an verschiedene Empfänger.
Drucken | Gibt eine Datei auf einem Drucker aus.
Alles drucken | Gibt alle offenen Dateien auf einem Drucker aus.
Seitenansicht | Zeigt die Datei so auf dem Bildschirm an, wie sie gedruckt aussähe.
Seite einrichten | Einstellen der zu druckenden Kopf- und Fußzeilen.
Drucker einrichten | Wählt einen Drucker und den Druckeranschluss aus.
Druckerschrift | Wählt die Schriftart für den Drucker aus.
Mit Bildschirmschrift drucken | Verwendet die angezeigte Schriftart auch zum Drucken.
Bevorzugte Dateien | Öffnen bevorzugter Dateien oder Verwalten der Liste.
Letzte Dateien | Öffnen einer zuletzt verwendeten Dateien.
Letzte Projekte | Öffnen eines zuletzt verwendeten Projekts.
Beenden | Beendet UltraEdit.


Befehl 'Neu' (Datei)

Der Befehl 'Neu' (Menü 'Datei')

Verwenden Sie diesen Befehl, um eine neue Datei in UltraEdit anzulegen. Eine vorhandene Datei können Sie mit dem Befehl Öffnen öffnen.

Schnellzugriff

Tastatur: Strg+N


Befehl 'Öffnen' (Datei)

Der Befehl 'Öffnen' (Menü 'Datei')

Verwenden Sie diesen Befehl, um eine vorhandene Datei in einem neuen Fenster zu öffnen. Sie können mehrere Dateien gleichzeitig öffnen. Verwenden Sie das Menü 'Fenster', um zwischen den verschiedenen offenen Dateien hin- und herzuwechseln (siehe auch den Befehl Fenster 1, 2 ).

Dieser Befehl zeigt den Dialog 'Datei öffnen' an, der es Ihnen ermöglicht, mehrere Dateien gleichzeitig auszuwählen und zu öffnen.

Dateien lassen sich auch öffnen, indem Sie sie per Drag&Drop aus dem Explorer in das UltraEdit-Fenster ziehen und dort durch Loslassen der Maustaste 'fallen lassen'.

Neue Dokumente können Sie mit dem Befehl Neu (Datei) anlegen.

Schnellzugriff

Tastatur: Strg+O


Befehl 'Schnellöffnen' (Datei)

Der Befehl 'Schnellöffnen…' (Menü 'Datei')

Verwenden Sie diesen Befehl, um eine Datei ohne die Verzögerung durch die Anzeige des Dialogs zur Dateisuche zu öffnen.

Pfad

In diesem Feld wird das Verzeichnis angezeigt, aus dem heraus die Datei geöffnet wird.

Dateiname

Geben Sie in dieses Feld den Namen der zu öffnenden Datei ein. Auch die Angabe von relativen Pfaden ist erlaubt. Des Weiteren ist es möglich, Dateien unter Verwendung von Jokerzeichen zu öffnen; beispielsweise '*.txt'.

Unterverzeichnisse einbeziehen

Mit dieser Option können Sie UltraEdit anweisen, alle Unterverzeichnisse des angegebenen Pfades (bzw. des Standardpfades) rekursiv zu durchsuchen und alle Dateien zu öffnen, die mit dem angegebenen Dateinamen übereinstimmen.

Schließen

Klicken Sie auf diese Schaltfläche, um den Dialog unverrichteter Dinge zu schließen.

Durchsuchen

Klicken Sie auf diese Schaltfläche, um mit dem Dateidialog nach dem gewünschten Dateinamen zu suchen.

Öffnen

Klicken Sie auf diese Schaltfläche, um die angegebene(n) Datei(en) zu öffnen. Falls keine Datei mit dem angegebenen Namen geöffnet werden kann, wird eine Fehlermeldung angezeigt.

Schnellzugriff

Tastatur: Strg+Q


Befehl 'Schließen' (Datei)

Der Befehl 'Schließen' (Menü 'Datei')

Verwenden Sie diesen Befehl, um die aktive Datei bzw. alle offenen Dateien sowie die zugehörigen Fenster zu schließen. Gegebenenfalls weist UltraEdit Sie an, mögliche Änderungen an Ihrer Datei vor dem Schließen zu speichern. Falls Sie eine Datei schließen, ohne sie zuvor zu speichern, gehen alle seit dem letzten Speichern vorgenommenen Änderungen verloren. Vor dem Schließen einer noch unbenannten Datei, zeigt UltraEdit den Dialog 'Speichern unter' an und weist Sie an, der Datei einen Namen zuzuweisen und sie anschließend zu speichern.

Schnellzugriff

Tastatur: Strg+F4


Befehl 'Alles schließen' (Datei)

Der Befehl 'Alles schließen' (Menü 'Datei')

Verwenden Sie diesen Befehl, um die aktive Datei bzw. alle offenen Dateien sowie die zugehörigen Fenster zu schließen. Gegebenenfalls weist UltraEdit Sie an, mögliche Änderungen an Ihrer Datei vor dem Schließen zu speichern. Falls Sie eine Datei schließen, ohne sie zuvor zu speichern, gehen alle seit dem letzten Speichern vorgenommenen Änderungen verloren. Vor dem Schließen einer noch unbenannten Datei, zeigt UltraEdit den Dialog 'Speichern unter' an und weist Sie an, der Datei einen Namen zuzuweisen und sie anschließend zu speichern.


Befehl 'Alles außer aktueller Datei schließen' (Datei)

Der Befehl 'Alles außer aktueller Datei schließen' (Menü 'Datei')

Verwenden Sie diesen Befehl, um alle derzeit in UltraEdit geöffneten Dateien außer der aktuellen Datei zu schließen. UltraEdit schlägt Ihnen vor, geänderte Dateien vor dem Schließen zu speichern. Wenn Sie eine geänderte Datei schließen, ohne sie zu speichern, gehen sämtliche Änderungen seit der letzten Speicherung verloren. Bevor eine unbenannte (neue) Datei geschlossen wird, zeigt UltraEdit den Dialog 'Speichern unter' an und fordert Sie damit zur Benennung und Speicherung der Datei auf.


FTP - Durchsuchen

FTP Durchsuchen (Datei /FTP Untermenü)

Benutzen Sie dieses Kommando, um den FTP Browser zu öffnen. Der FTP Browser besteht hautpsächlich aus drei Bereichen. Der Bereich ganz links zeigt die Ordnerhierarchie für die lokale Maschine an. Der mittlere zeigt den Inhalt des selektierten Ordners der lokalen Maschine an. Der rechte Bereich zeigt den Inhalt des aktiven Ordners auf dem Remote System an (FTP Server).

Mehrere Dateien gleichzeitig können ausgewählt und zwischen dem lokalen und dem Remotesystem kopiert werden, indem die Knöpfe im vertikalen Trennfeld zwischen mittlerem und rechten Bereich benutzt werden. Eine Adressleiste einschließlich einem Knopf, um ein Verzeichnis weiter nach oben zu kommen, ein Refreshknopf und ein Textfeld, welches den aktiven Pfad angibt, ist über den Bereichen für das lokale und Remotesystem plaziert.

Die folgenden Knöpfe sind vorhanden:

Accounts | öffnet den FTP Account Manager dialog
Connect | verbindet zum ausgewählten FTP Account
Disconnect | trennt Verbindung vom aktiven FTP Account
Schließen | schließt FTP Browser
Ändern | öffnet Ändere FTP Directory Dialog, um den Pfad, zu dem auf dem Remotesystem gewechselt werden soll, direkt angeben zu können.
Abbrechen | beendet aktiven Tranferprozess


Open from FTP

FTP-Öffnen (Menü &bdquo;Datei‟, Untermenü &bdquo;FTP‟)

Mit diesem Befehl kann man eine Datei über FTP öffnen. Ein Dialog wird angezeigt, wo man den FTP-Zugang auswählen und in den Dateien und Verzeichnissen auf dem FTP-Server durchsuchen kann:

Die Schaltfläche Zugangskonten [1] öffnet den Dialog FTP-Zugangsverwaltung. Dort können auch neue Zugänge eingerichtet werden. Dabei muss für jeden FTP-Standort einen eigenen Zugang definiert werden, weil die jeweiligen Einstellungen sich unterscheiden können.

Aus der aufklappbaren Liste bei [2] kann man einen der bereits konfigurierten Zugängen auswählen. Nach Auswahl des Zugangs stellt ein Klick auf die Schaltfläche Verbinden [3] die Verbindung zum Server her. Bei erfolgreicher Anmeldung wechselt die Beschriftung der Schaltfläche zu Verbindung trennen [3], um die Kommunikation mit dem Server zu beenden.

Die Schaltfläche Elternverzeichnis [4] wechselt die Ansicht zum übergeordneten Verzeichnis relativ zum aktuellen Ordner. Klicken auf Aktualisieren [5] holt die Verzeichnisdaten erneut vom Server.

Um nach einem beliebigen Verzeichnis zu wechseln, kann man auf das entsprechende Ordnersymbol doppelt klicken. Alternativ kann man den Pfad in das Kombinationslistenfeld mit der Aufschrift Verzeichnis wechseln [6] manuell eingeben. Eine Liste der bereits eingegebenen Verzeichnissen wird automatisch gespeichert und den Eintrag nachgeführt.

Die Anzeige der Liste der Dateien und Verzeichnisse kann gefiltert werden, um eine Untermenge der verfügbaren Objekte anzuzeigen. Dazu kann man im Feld Filter [7] einen entsprechenden Text eintragen. Die Filter-Funktionalität unterstützt reguläre Ausdrücke mit Perl-Syntax sowie die üblichen Platzhalterzeichen. Dieser Filter hat nur einen Einfluss auf die angezeigte Liste, die vom Server heruntergeladen und im eingebauten FTP-Client zur Anzeige gebracht wird. Eine Liste aller eingegebenen Filter wird gespeichert und automatisch nachgeführt. Die Liste kann durch Klicken auf die Spaltenüberschriften [8] (Name, Größe, Datum, Typ) entsprechend sortiert werden.

Neue Verzeichnisse können auf dem Server angelegt werden, in dem mit der rechten Mausliste in der Liste geklickt und aus dem Kontextmenü [9] den Befehl Verzeichnis erstellen ausgewählt wird. Darüber hinaus bewirkt die Selektion der Option Verzeichnisse ausblenden [10], dass nur Dateien und keine Verzeichnisse angezeigt werden.

Eine Datei wird durch Doppelklicken geöffnet; man kann auch die Datei markieren und auf die Schaltfläche Öffnen [13] klicken. Wenn der vollständige Pfad zur Datei verfügbar ist, kann dieser direkt in das Feld Öffnen [12] getippt oder eingefügt werden, um direkt auf die Datei zuzugreifen. Der Übertragungsfortschritt wird während des Transfers angezeigt.

Wenn ein Vorgang in Verarbeitung aber noch nicht abgeschlossen ist, und versucht wird, eine zweite Operation zu starten (oder versucht wird, auf &bdquo;Abbrechen‟ im Dialog zu klicken), wird eine Warnung angezeigt. Bei der Übertragung von Dateien oder beim Verbinden zum Server wird der momentane Status im Dialog angezeigt [14]. Der Transfer wird im angegebenen Modus [11] (ASCII oder binär) durchgeführt. Binäre Transfers werden byte-weise ohne Modifizierung ausgeführt; ASCII-Transfers haben zur Folge, dass eine Datei betr. Zeichensatz und Zeilenendungen für das jeweilige Zielsystem sinngemäss konvertiert wird. Abhängig von den jeweiligen Systemen beim FTP-Client und beim Server kann eine Übertragung im ASCII-Modus, da nur 7 Bits zum Einsatz kommen, eine Datei deshalb evtl. beschädigen. Aus diesem Grund sollte der Transfertyp binär immer bevorzugt werden.

Nach dem erfolgreichen Transfer und Öffnen einer Datei ist es das Standardverhalten, den Dialog automatisch zu schliessen, d.h. die Option Dialog nach Transfer schliessen [15] ist aktiviert. Diese Option kann deaktiviert werden, um den Dialog nach Beendigung eines Transfers offen zu halten.

Bei allfälligen Problemen mit der Verbindung zum Server kann es hilfreich sein, die Option FTP-Bericht im Ausgabenfenster im Abschnitt FTP im Konfigurationsdialog zu wählen (erreichbar über das Menü &bdquo;Extras/Optionen‟). Nachher werden alle Befehle und Meldungen, die an den FTP-Server gesendet und von diesem empfangen wurden, im Ausgabenfenster angezeigt.Der Inhalt dieses Berichts kann aus dem Ausgabenfenster auch in die Zwischenablage kopiert werden.

Befehle des Kontextmenüs in diesem Dialog:

Verzeichnis erstellen | Ein neues Verzeichnis wird auf dem Host-Server angelegt. Es wird keine Überprüfung von Syntax oder Namen gemacht. Allfällige Fehlermeldungen vom Server werden weitergegeben.
Löschen | Löscht eine Datei oder ein Verzeichnis auf dem Host-Server.
Umbenennen | Ändert den Namen einer Datei oder eines Verzeichnisses auf dem Host-Server.
Privilegien | Mit diesem Befehl können die Dateiberechtigungen von einer Remote-Datei geändert werden. Betrifft nur Servers, die den FTP-Befehl chmod unterstützen (üblicherweise nur UNIX/Linux-Servers).


Save As to FTP

FTP-Speichern unter (Menü &bdquo;Datei‟, Untermenü &bdquo;FTP‟)

Verwenden Sie diesen Befehl, um eine offene Datei auf einem FTP-Server zu speichern. Nach dem Öffnen des Dialogs kann man einen Zugang auswählen und nach erfolgter Verbindung im Dateienbaum des FTP-Servers durchsuchen:

DieSchaltfläche Zugangskonten [1] öffnet den Dialog FTP-Zugangsverwaltung. Dort können auch neue Zugänge eingerichtet werden. Dabei muss für jeden FTP-Standort einen eigenen Zugang definiert werden, weil die jeweiligen Einstellungen sich unterscheiden können.

Aus der aufklappbaren Liste bei [2] kann man einen der bereits konfigurierten Zugängen auswählen. Nach Auswahl des Zugangs stellt ein Klick auf die Schaltfläche Verbinden [3] die Verbindung zum Server her. Bei erfolgreicher Anmeldung wechselt die Beschriftung der Schaltfläche zu Verbindung trennen [3], um die Kommunikation mit dem Server zu beenden.

Die Schaltfläche Elternverzeichnis [4] wechselt die Ansicht zum übergeordneten Verzeichnis relativ zum aktuellen Ordner. Klicken auf Aktualisieren [5] holt die Verzeichnisdaten erneut vom Server.

Um nach einem beliebigen Verzeichnis zu wechseln, kann man auf das entsprechende Ordnersymbol doppelt klicken. Alternativ kann man den Pfad in das Kombinationslistenfeld mit der Aufschrift Verzeichnis wechseln [6] manuell eingeben. Eine Liste der bereits eingegebenen Verzeichnissen wird automatisch gespeichert und den Eintrag nachgeführt.

Die Anzeige der Liste der Dateien und Verzeichnisse kann gefiltert werden, um eine Untermenge der verfügbaren Objekte anzuzeigen. Dazu kann man im Feld Filter [7] einen entsprechenden Text eintragen. Die Filter-Funktionalität unterstützt reguläre Ausdrücke mit Perl-Syntax sowie die üblichen Platzhalterzeichen. Dieser Filter hat nur einen Einfluss auf die angezeigte Liste, die vom Server heruntergeladen und im eingebauten FTP-Client zur Anzeige gebracht wird. Eine Liste aller eingegebenen Filter wird gespeichert und automatisch nachgeführt. Die Liste kann durch Klicken auf die Spaltenüberschriften [8] (Name, Größe, Datum, Typ) entsprechend sortiert werden.

Neue Verzeichnisse können auf dem Server angelegt werden, in dem mit der rechten Mausliste in der Liste geklickt und aus dem Kontextmenü [9] den Befehl Verzeichnis erstellen ausgewählt wird. Darüber hinaus bewirkt die Selektion der Option Verzeichnisse ausblenden [10], dass nur Dateien und keine Verzeichnisse angezeigt werden.

Normalerweise wird das Feld bei Speichern [12] mit dem Namen der Datei belegt, die momentan im Bearbeitungsfenster offen ist. Um eine Datei zu sichern, wechselt man in das gewünschte Verzeichnis auf dem Server und klickt auf die Schaltfläche Speichern [13]. Um eine Datei auf dem Server zu überschreiben, sollte diese in der Liste vorher ausgewählt werden. Der Name dieser Datei wird in das Feld Speichern [12] übernommen; beim Klicken der Schaltfläche Speichern [13] wird die Übertragung begonnen. Der Übertragungsfortschritt wird während des Transfers angezeigt.

Wenn einVorgang in Verarbeitung aber noch nicht abgeschlossen ist, und versucht wird, eine zweite Operation zu starten (oder versucht wird, auf &bdquo;Abbrechen‟ im Dialog zu klicken), wird eine Warnung angezeigt. Bei der Übertragung von Dateien oder beim Verbinden zum Server wird der momentane Status im Dialog angezeigt [14]. Der Transfer wird im angegebenen Modus [11] (ASCII oder binär) durchgeführt. Binäre Transfers werden byte-weise ohne Modifizierung ausgeführt; ASCII-Transfers haben zur Folge, dass eine Datei betr. Zeichensatz und Zeilenendungen für das jeweilige Zielsystem sinngemäss konvertiert wird. Abhängig von den jeweiligen Systemen beim FTP-Client und beim Server kann eine Übertragung im ASCII-Modus, da nur 7 Bits zum Einsatz kommen, eine Datei deshalb evtl. beschädigen. Aus diesem Grund sollte der Transfertyp binär immer bevorzugt werden.

Nach dem erfolgreichen Transfer einer Datei ist es das Standardverhalten, den Dialog automatisch zu schliessen, d.h. die Option Dialog nach Transfer schliessen [15] ist aktiviert. Diese Option kann deaktiviert werden, um den Dialog nach Beendigung eines Transfers offen zu halten.

Bei allfälligen Problemen mit der Verbindung zum Server kann es hilfreich sein, die Option FTP-Bericht im Ausgabenfenster im Abschnitt FTP im Konfigurationsdialog zu wählen (erreichbar über das Menü &bdquo;Extras/Optionen‟). Nachher werden alle Befehle und Meldungen, die an den FTP-Server gesendet und von diesem empfangen wurden, im Ausgabenfenster angezeigt.Der Inhalt dieses Berichts kann aus dem Ausgabenfenster auch in die Zwischenablage kopiert werden.

Befehle des Kontextmenüs in diesem Dialog:

Verzeichnis erstellen | Ein neues Verzeichnis wird auf dem Host-Server angelegt. Es wird keine Überprüfung von Syntax oder Namen gemacht. Allfällige Fehlermeldungen vom Server werden weitergegeben.
Löschen | Löscht eine Datei oder ein Verzeichnis auf dem Host-Server.
Umbenennen | Ändert den Namen einer Datei oder eines Verzeichnisses auf dem Host-Server.
Privilegien | Mit diesem Befehl können die Dateiberechtigungen von einer Remote-Datei geändert werden. Betrifft nur Servers, die den FTP-Befehl chmod unterstützen (üblicherweise nur UNIX/Linux-Servers).


Befehl 'Gespeicherte Fassung wiederherstellen' (Datei)

Der Befehl 'Gespeicherte Fassung wiederherstellen' (Menü 'Datei')

Mit diesem Befehl lässt sich die aktive Datei schließen und erneut laden, wobei alle vorgenommenen Änderungen verloren gehen. Dieser Befehl steht nicht zur Verfügung, wenn die Datei noch nicht benannt worden ist. Es wird ein Dialog angezeigt, in dem der Verlust der Änderungen bestätigt werden muss.


Befehl 'Speichern' (Datei)

Der Befehl 'Speichern' (Menü 'Datei')

Verwenden Sie diesen Befehl, um die aktive Datei mit ihrem aktuellen Namen (und Pfad) zu speichern. Wenn Sie eine Datei zum ersten Mal speichern, zeigt UltraEdit den Dialog 'Speichern unter' an, damit Sie Ihrer Datei einen Namen zuweisen können. Falls Sie den Namen oder das Verzeichnis einer bestehenden Datei vor dem Speichern ändern wollen, verwenden Sie den Befehl Speichern unter .

Schnellzugriff

Tastatur: Strg+S


Befehl 'Speichern unter' (Datei)

Der Befehl 'Speichern unter' (Menü 'Datei')

Verwenden Sie diesen Befehl, um die aktive Datei unter einem neuen Namen zu speichern. UltraEdit zeigt den Dialog 'Speichern unter' an, in dem Sie der Datei einen Namen und Pfad zuweisen können.

Ein Vorgabeverzeichnis für den Befehl Speichern unter können Sie auf der Registerkarte 'Editor | Verzeichnisse' (Menü 'Extras | Optionen') im Feld Speichern einrichten.

Um ein Dokument unter seinem aktuellen Namen und Pfad zu speichern, verwenden Sie den Befehl Speichern .

Schnellzugriff

Tastatur: F12


Befehl 'Alles speichern' (Datei)

Der Befehl 'Alles speichern' (Menü 'Datei')

Mit diesem Befehl lassen sich alle veränderten Dateien unter ihrem aktuellen Namen im jeweiligen Verzeichnis speichern. Falls eine Datei zum ersten Mal gespeichert wird, zeigt UltraEdit den Dialog 'Speichern unter' an, damit Sie die Datei mit einem Namen versehen können.

Wenn Sie den Namen und/oder das Verzeichnis einer bestehenden Datei vor dem Speichern ändern wollen, müssen Sie den Befehl Speichern unter verwenden.


Befehl 'Auswahl speichern unter' (Datei)

Der Befehl 'Auswahl speichern unter...' (Menü 'Datei')

Verwenden Sie diesen Befehl, um die aktuell markierte Auswahl in einer neuen Datei zu speichern. UltraEdit zeigt den Dialog 'Speichern unter' an, in dem Sie der Datei eine Bezeichnung zuweisen können.


Befehl 'Sicherheitskopie anlegen' (Datei)

Der Befehl 'Sicherheitskopie anlegen' (Menü 'Datei')

Mit diesem Befehl können Sie ohne weitere Auswirkung auf die aktive Datei eine Sicherheitskopie der aktiven Datei mit sämtlichen aktuellen Änderungen anlegen.

Anders als beim Befehl Speichern unter behält die aktive Datei ihren alten Namen bei.


Befehl 'Datei verschlüsseln' (Datei)

Befehl »Datei verschlüsseln« (Menü »Datei/Verschlüsselung«)

Dieser Befehl dient der Verschlüsselung der aktuellen Datei bzw. der angegebenen Dateien mittels des Standard-Algorithmus AES (»Advanced Encryption Standard«)..

Dateien verschlüsseln

Nach Auswahl dieser Option wird ein Dialog angezeigt mit der Aufforderung, die Namen der zu verschlüsselnden Dateien sowie eine Passphrase als zu verwendenden Schlüssel einzugeben. Bei der Passphrase wird zwischen Groß- und Kleinschreibung unterschieden. Es können zwischen 8 und 32 Zeichen eingegeben werden; beliebige Zeichen, die man über die Tastatur eingeben kann, dürfen verwendet werden, um die Passphrase zu bilden..

Standardmäßig wird das Eingabefeld Zu verschlüsselnde Datei(en) mit dem Pfad der akuell geöffneten Datei gefüllt, aber beliebige andere zu verschlüsselnden Dateien können auch angegeben werden. Am einfachsten geht das durch Klicken der Schaltfläche »Durchsuchen«, die neben dem Eingabefeld liegt. Daraufhin wird ein Dialog »Datei öffnen« angezeigt, um nach den gewünschten Dateien in der üblichen Weise zu durchsuchen. Mit gedrückter STRG- oder Großbuchstaben-Taste zusammen mit der Maus können bei Bedarf auch mehrere Dateien ausgewählt werden..

Bei händiger Eingabe der zu verschlüsselnden Dateien müssen die vollständigen Pfad- und Dateinamen eingegeben werden. Diese müssen durch einen Strichpunkt und eine Leerstelle getrennt werden. (Beispiel: »c:\sample\columnfind.txt; c:\sample\resource.h; c:\sample\main.cpp;«)

Daraufhin wird die Passphrase abgefragt, die zur Bestätigung ein zweites Mal eingetippt wird.

BITTE BEACHTEN SIE: Die Passphrase MUSS entweder aufgeschrieben oder sonst irgendwie gemerkt werden! Diese wird nirgendwo, weder im System noch in den Anwendungsdaten, gespeichert. Falls die Passphrase vergessen wird oder abhanden kommt, gehen die einmal verschlüsselten Daten auf immer verloren!

Die Option Verschlüsselte Dateien ersetzen, falls vorhanden bewirkt das automatische überschreiben von bereits existierenden verschlüsselten Dateien, die die gleichen Pfad- und Dateinamen wie die aktuell zu verschlüsselnden Dateien haben.

Der Status des Verschüsselungsvorgangs wird im Ausgabefenster angezeigt, falls dieses eingeblendet ist. Andernfalls wird ein Dialog geöffnet, um die Ausgabezeilen anzuzeigen. Im Ausgabefenster bzw. im Dialog werden die Dateinamen der verschlüsselten Dateien aufgelistet.


Befehl 'Datei entschlüsseln' (Datei)

Befehl »Datei entschlüsseln« (Menü »Datei/Verschlüsselung«)

Dieser Befehl dient der Entschlüsselung der aktuellen Datei bzw. der angegebenen Dateien mittels des Standard-Algorithmus AES (»Advanced Encryption Standard«).

Dateien entschlüsseln

Nach Auswahl dieser Option wird ein Dialog angezeigt mit der Aufforderung, die Namen der zu entschlüsselnden Dateien sowie eine Passphrase als zu verwendenden Schlüssel einzugeben. Bei der Passphrase wird zwischen Groß- und Kleinschreibung unterschieden. Es können zwischen 8 und 32 Zeichen eingegeben werden; beliebige Zeichen, die man über die Tastatur eingeben kann, dürfen verwendet werden, um die Passphrase zu bilden.

Im Eingabefeld Zu entschlüsselnde Datei(en) kann der vollständige Pfad zu einer beliebigen zu entschlüsselnden Datei (oder beliebigen Dateien) angegeben werden. Am einfachsten geht das durch Klicken der Schaltfläche »Durchsuchen«, die neben dem Eingabefeld liegt. Daraufhin wird ein Dialog »Datei öffnen« angezeigt, um nach den gewünschten Dateien in der üblichen Weise zu durchsuchen. Mit gedrückter STRG- oder Großbuchstaben-Taste zusammen mit der Maus können bei Bedarf auch mehrere Dateien ausgewählt werden.

Bei händiger Eingabe der zu entschlüsselnden Dateien müssen die vollständigen Pfad- und Dateinamen eingegeben werden. Diese müssen durch einen Strichpunkt und eine Leerstelle getrennt werden. Verschlüsselte Dateien werden mit einer Dateinamenerweiterung ».uenc« gesichert.

Daraufhin wird die Passphrase abgefragt, die zur Bestätigung ein zweites Mal eingetippt wird. Diese muss natürlich genau gleich wie bei der Verschlüsselung eingegeben werden.

Die Option Entschlüsselte Dateien ersetzen, falls vorhanden bewirkt das automatische überschreiben von ausgewählten Textdateien, die die gleichen Pfad- und Dateinamen wie die zu entschlüsselnden Dateien haben.


Befehl 'Datei umbenennen' (Datei)

Der Befehl 'Datei umbenennen' (Menü 'Datei')

Mit diesem Befehl können Sie die aktive Datei umbenennen. Es wird ein Dialog angezeigt, in dem Sie den neuen Namen angeben können. Es sollte nur der eigentliche Dateiname eingegeben werden, als Pfad wird der bestehende Pfad übernommen.

Falls die Datei nicht umbenannt werden kann oder der neue Name unzulässig ist, erscheint eine entsprechende Fehlermeldung.


Befehl 'Dateien vergleichen' (Datei)

Der Befehl 'Dateien vergleichen…' (Menü 'Datei')

Dieser Befehl ermöglicht Ihnen das Vergleichen zweier Dateien. Die miteinander verglichenen Dateien werden in einem gesonderten Anwendungsfenster angezeigt, in dem die Unterschiede durch Hervorhebung der sich unterscheidenden Zeilen angezeigt werden.

Der Dialog 'Dateien vergleichen' enthält folgende Bedienelemente:

Vergleichen

Mit dieser Schaltfläche starten Sie den Vergleich der beiden miteinander zu vergleichenden Dateien.

Vergleichsmethode

Diese Option gibt an, ob die Dateien im Text- oder Binär-Modus miteinander verglichen werden.

Groß-/Kleinschreibung ignorieren (Textmodus)

Mit dieser Option können Sie festlegen, ob der Dateivergleich auch Unterschiede in der Groß-Kleinschreibung zwischen den miteinander verglichenen Dateien ermittelt oder nicht. Bei aktiver Option werden Zeilen als identisch betrachtet, wenn sie sich lediglich in der Groß-/Kleinschreibung unterscheiden.

Weißraum ignorieren (Textmodus)

Mit dieser Option können Sie festlegen, dass der Dateivergleich Unterschiede ignoriert, die lediglich in Zeichen für den Weißraum (Leerzeichen, Tabulatoren) bestehen. Bei aktiver Option werden Zeilen als identisch betrachtet, wenn sie sich lediglich im Weißraum unterscheiden.

Leerzeilen ignorieren (Textmodus)

Mit dieser Option können Sie festlegen, dass der Dateivergleich Unterschiede ignoriert, die lediglich in Leerzeilen bestehen. Wenn die Option aktiv ist, werden leere Zeilen beim Vergleichen nicht berücksichtigt.

1. zu vergleichende Datei / 2. zu vergleichende Datei

In diesen Feldern geben SIe die beiden miteinander zu vergleichenden Dateien samt Dateipfad an.

Durchsuchen

Klicken Sie auf diese Schaltflächen, um die jeweilige Datei für den Vergleich mit Hilfe des Dateidialogs zu suchen.

Abbrechen

Mit dieser Schaltfläche können Sie den Dialog 'Dateien vergleichen' beenden, ohne einen Dateivergleich durchzuführen.


Befehl 'Datei sortieren' (Datei | Sortieren)

Der Befehl 'Datei sortieren' (Menü 'Datei | Sortieren')

Dieser Befehl sortiert jede Zeile der aktiven Datei entsprechend der aktuellen Sortieroptionen, wobei die Dateigröße keinen Einschränkungen unterliegt. Weitere Einzelheiten finden Sie im Hilfethema zum Befehl Spezielles Sortieren/Optionen .

Falls ein Teil der Datei markiert ist, wird nur dieser Teil sortiert. Der Rest der Datei bleibt dann unverändert.


Befehl 'Spezielles Sortieren/Optionen' (Datei | Sortieren)

Der Befehl 'Spezielles Sortieren/Optionen' (Menü 'Datei | Sortieren')

Mit diesem Befehl lassen sich die Sortieroptionen einstellen und eine Sortierung der aktiven Datei durchführen. Die Sortierung wird für die gesamte Datei vorgenommen, falls keine Auswahl markiert ist. Wenn eine Auswahl markiert ist, wird nur diese sortiert. Allerdings werden im Spaltenmodus alle markierten Zeilen sortiert und nicht nur die ausgewählten Spalten. Der Befehl Rückgängig wird bei Sortiervorgängen nicht unterstützt.

Sortierreihenfolge

Mit dieser Option legen Sie die Sortierreihenfolge fest. Aufsteigend sorgt für die standardmäßige aufsteigende Sortierung ('a'–'z', 1–9). Absteigend sorgt für eine absteigende Sortierung ('z'–'a', 9–1).

Duplikate löschen

Wenn diese Option aktiv ist, werden alle Zeilen entfernt, die mit anderen übereinstimmen, wobei die jeweils erste dieser Zeilen erhalten bleibt. Falls die Option Groß-/Kleinschreibung ignorieren aktiv ist, gelten Zeilen dann als identisch, wenn die Zeichen unabhängig von der Groß-/Kleinschreibung miteinander übereinstimmen.

Groß-/Kleinschreibung ignorieren

Diese Option sollte ausgewählt werden, wenn die Groß-/Kleinschreibung bei der Suche nicht berücksichtigt werden soll, d.h. 'UNI' wird als identisch mit 'uni' angesehen. Diese Option sollte nicht ausgewählt werden, wenn zwischen 'UNI' und 'uni' unterschieden werden soll.

Numerisch Sortieren

Wenn diese Option aktiv ist, werden die ausgewählten Spalten numerisch sortiert. Üblicherweise erfolgt die Sortierung nicht-numerisch bzw. alphanumerisch, wobei die Werte 1, 11 und 111 alle vor den Werten 2, 22 und 222 einsortiert werden, da 1 alphabetisch vor 2 kommt. Bei aktivierter numerischer Sortierung werden die Werte in der Reihenfolge ihres Zahlenwerts sortiert: 1, 2, 11, 22, 111, 222. Bei Auswahl von "länder- und sprachenspezifischer Sortierung" oder "alternative Sortierung" kann ein nummerisches Sortieren nicht ausgeführt werden.

Sortierspalten

Es lassen sich bis zu 4 Sortierschlüssel für die Sortierung angeben. Jeder Sortierschlüssel gibt einen Spaltenbereich an, der sortiert werden soll. Der normale Wertebereich geht von Spalte 1 bis 9216.

Die Start- und Endspalten für nicht verwendete Schlüssel sollten auf den Wert 0 gesetzt werden. Wenn mehrere Schlüssel verwendet werden, basiert die Sortierreihenfolge auf dem ersten Sortierschlüssel, gefolgt vom zweiten usw.

Um nach vollständigen Zeilen zu sortieren, muss die Startspalte auf 1 und die Endspalte auf –1 gesetzt werden. Wenn irgendeiner der Schlüssel für seine Endspalte den Wert –1 enthält, erfolgt die Sortierung nach vollständigen Zeilen und die weiteren Sortierschlüssel bleiben unberücksichtigt.

Wenn die Startspalten aller Sortierschlüssel auf 0 gesetzt sind (und nicht nach vollständigen Zeilen sortiert wird), wird als Startspalte die Spalte der aktuellen Cursor-Position verwendet.

Die Sortierung erfolgt um so schneller, je weniger Schlüssel verwendet werden und nach je weniger Spalten sortiert wird.

Ländereinstellung verwenden (langsamer)

Wenn diese Option aktiv ist, erfolgt die Sortierung länderspezifisch. Für einige Sprachen (z.B. Deutsch) ist es erforderlich, die standardmäßige Sortierreihenfolge (ASCII) mit dieser Einstellung zu ändern. Die zu verwendende Ländereinstellung kann mit Hilfe des Befehls Codepage/Ländereinstellung aus dem Menü 'Extras' angegeben werden. Bei Verwendung dieser Einstellung kann die Sortierung langsamer erfolgen als ohne Berücksichtigung der Ländereinstellung.

Alternative Sortierung ohne virtuellen Speicher

Bei der Sortierung kommen die Techniken von im Arbeitsspeicher abgebildeten Dateien und virtuellem Speicher zum Einsatz. In einigen Fällen kann es erforderlich sein, eine alternative Sortierung zu verwenden, bei der Sie angeben können, wo die temporären Dateien angelegt werden. In solchen Fällen können Sie diese Option aktivieren, mit der nur ein einziger (und zudem nicht-numerischer) Sortierschlüssel verwendet werden kann. Dies entspricht dem Vorgehen früherer Versionen von UltraEdit bei der Sortierung, die ebenfalls nur einen einzigen Sortierschlüssel unterstützten.

Hinweis: Nach einer UltraEdit-Sitzung werden diese Einstellungen gespeichert. Darüber hinaus greift auch der Befehl Datei sortieren auf sie zurück.


Befehl 'UNIX/MAC nach DOS' (Datei | Konvertieren)

Der Befehl 'UNIX/MAC nach DOS' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lassen sich die Zeichen für das Zeilenende zum Anzeigen in UltraEdit und anderen Editoren korrigieren.

Manche auf UNIX-Systemen (und einigen anderen Systemen) erstellte Dokumente schließen nicht jede Zeile mit den Zeichen für den Wagenrücklauf (CR, Carriage Return) und Zeilenvorschub (LF, Line Feed) ab. UltraEdit verlangt, dass jede Zeile mit beiden Zeichen abgeschlossen wird.

Dieser Befehl sucht in der Datei alle Zeichen für Wagenrücklauf und Zeilenvorschub. Wenn ein Wagenrücklauf ohne einen begleitenden Zeilenvorschub gefunden wird, wird ein Zeilenvorschubzeichen hinzugefügt. Wenn ein Zeilenvorschub ohne einen vorausgehenden Wagenrücklauf gefunden wird, wird ein Wagenrücklaufzeichen hinzugefügt. Wenn ein Zeilenvorschub vor einem Wagenrücklauf gefunden wird, werden die Zeichen umsortiert.

Für die Konvertierung einer Datei in das UNIX-Format steht der Befehl DOS nach UNIX zur Verfügung.

Für die Konvertierung einer Datei in das MAC-Format steht der Befehl DOS nach MAC zur Verfügung.


Befehl 'DOS nach MAC' (Datei | Konvertieren)

Der Befehl 'DOS nach MAC' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei ins Macintosh-Format umwandeln. Dabei wird die Zeichenkombination CR/LF für Wagenrücklauf und Zeilenvorschub durch ein reines CR für den Wagenrücklauf ersetzt.

Um eine Datei aus dem UNIX- oder MAC-Format zu konvertieren, kann der Befehl UNIX/MAC nach DOS verwendet werden.


Befehl 'DOS nach UNIX' (Datei | Konvertieren)

Der Befehl 'DOS nach UNIX' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei ins UNIX-Format umwandeln. Dabei wird die Zeichenkombination CR/LF für Wagenrücklauf und Zeilenvorschub durch ein reines LF für den Zeilenvorschub ersetzt.

Um eine Datei aus dem UNIX- oder MAC-Format zu konvertieren, kann der Befehl UNIX/MAC nach DOS verwendet werden.


Befehl 'EBCDIC nach ASCII' (Datei | Konvertieren)

Der Befehl 'EBCDIC nach ASCII' (Menü 'Datei | Konvertieren')

Dieser Befehl konvertiert die gesamte Datei aus dem EBCDIC-Format nach ASCII. Dies ist nützlich beim Umgang mit Dateien, die im EBCDIC-Dateiformat (normalerweise von Großrechnersystemen) vorliegen.


Befehl 'ASCII nach EBCDIC' (Datei | Konvertieren)

Der Befehl 'ASCII nach EBCDIC' (Menü 'Datei | Konvertieren')

Dieser Befehl konvertiert die gesamte Datei aus dem ASCII-Format nach EBCDIC. Dies ist nützlich beim Umgang mit Dateien, die im EBCDIC-Dateiformat exportiert werden müssen (üblicherweise für Großrechnersystemen).


Befehl 'OEM nach ANSI' (Datei)

Der Befehl 'OEM nach ANSI' (Menü 'Datei')

Mit diesem Befehl lässt sich eine Datei, die im OEM-Zeichensatz (üblicherweise DOS-generierte Textdateien) vorliegt, auf den ANSI-Zeichensatz (Windows) umstellen.

Um eine Datei von ANSI nach OEM zu konvertieren, verwenden Sie den Befehl ANSI nach OEM .


Befehl 'ANSI nach OEM' (Datei)

Der Befehl 'ANSI nach OEM' (Menü 'Datei')

Mit diesem Befehl lässt sich eine Datei, die im ANSI-Zeichensatz (Windows) vorliegt, auf den OEM-Zeichensatz (DOS) umstellen.

Um eine Datei von OEM nach ANSI zu konvertieren kann der Befehl OEM nach ANSI verwendet werden.


Befehl 'ASCII nach Unicode' (Datei | Konvertieren)

Der Befehl 'ASCII nach Unicode' (Menü 'Datei | Konvertieren')

Dieser Befehl wandelt die gesamte Datei von ASCII nach Unicode (16-Bit-Zeichen).

Bei der Umwandlung wird auf die gerade aktive Codepage zurückgegriffen. Weiterführende Informationen zu Codepages finden Sie in der Dokumentation/Hilfe zu Windows.

In der Statuszeile wird durch ein dem Dateityp (DOS/UNIX/MAC) vorangestelltes 'U-' angezeigt, dass die Datei im Unicode-Format vorliegt.

Mit dem Befehl Unicode nach ASCII lässt sich eine Datei nach ASCII umwandeln.


Befehl 'UTF-8 nach Unicode' (Datei | Konvertieren)

Der Befehl 'UTF-8 nach Unicode' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei vom UTF-8-Format ins Unicode-Format umwandeln. Das Unicode-Format bleibt für die Datei auch beim Speichern erhalten, sofern Sie nicht ausdrücklich eine Konvertierung in ein anderes Format vornehmen. In der Statuszeile wird der Dateityp dann durch ein vorangestelltes 'U-' gekennzeichnet.


Befehl 'Unicode nach ASCII' (Datei | Konvertieren)

Der Befehl 'Unicode nach ASCII' (Menü 'Datei | Konvertieren')

Dieser Befehl wandelt die gesamte Datei von Unicode nach ASCII.

Bei der Umwandlung wird auf die momentan aktive Codepage zurückgegriffen. Weiterführende Informationen zu Codepages finden Sie in der Windows-Dokumentation/Hilfe.

Bei Unicode-Dateien wird dem Dateityp (DOS/UNIX/MAC) in der Statuszeile ein 'U-' vorangestellt. Nach der Konvertierung verschwindet diese Kennzeichnung.

Mit dem Befehl ASCII nach Unicode lässt sich eine Datei nach Unicode umwandeln.


Befehl 'UTF-8 nach ASCII' (Datei | Konvertieren)

Der Befehl 'UTF-8 nach ASCII' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei vom UTF-8-Format ins ASCII-Format umwandeln. Das ASCII-Format bleibt für die Datei auch beim Speichern erhalten, sofern Sie nicht ausdrücklich eine Konvertierung in ein anderes Format vornehmen. Für die Konvertierung wird auf die aktuell gültige Codepage zurückgegriffen. Es kann vorkommen, dass sich nicht alle Zeichen richtig konvertieren lassen. In diesem Fall wird standardmäßig das Fragezeichen ('?') als Ersatzzeichen verwendet.


Befehl 'ASCII nach UTF-8' (Datei | Konvertieren)

Der Befehl 'ASCII nach UTF-8' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei vom ASCII-Format ins UTF-8-Format umwandeln. Das UTF-8-Format bleibt für die Datei auch beim Speichern erhalten, sofern Sie nicht ausdrücklich eine Konvertierung in ein anderes Format vornehmen. In der Statuszeile wird der Dateityp dann mit der vorangestellten Zeichenfolge 'U8-' angezeigt.

Intern wird die Datei als Unicode-Format behandelt und erst beim Speichern wieder in die UTF-8-Kodierung zurückverwandelt. Im HEX-Modus wird die Datei in ihrer aktuellen internen Darstellung angezeigt.


Befehl 'Unicode/UTF-8 nach UTF-8' (Datei | Konvertieren)

Der Befehl 'Unicode/UTF-8 nach UTF-8' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei vom Unicode- oder UTF-8-Format (in ASCII-Darstellung) ins UTF-8-Format bei interner Unicode-Darstellung umwandeln. Das UTF-8-Format bleibt für die Datei auch beim Speichern erhalten, sofern Sie nicht ausdrücklich eine Konvertierung in ein anderes Format vornehmen. In der Statuszeile wird der Dateityp dann durch ein vorangestelltes 'U8-' gekennzeichnet.

Intern wird die Datei als Unicode-Format behandelt und erst beim Speichern wieder in die UTF-8-Kodierung zurückverwandelt. Im HEX-Modus wird die Datei in ihrer aktuellen internen Darstellung angezeigt.


Befehl 'Unicode/ASCII/UTF-8 nach UTF-8' (Datei | Konvertieren)

Der Befehl 'Unicode/ASCII/UTF-8 nach UTF-8' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei vom Unicode-, ASCII- oder UTF-8-Format (in Unicode-Darstellung) ins UTF-8-Format umwandeln. Dabei wird die Datei intern allerdings nicht als Unicode behandelt und folglich werden die Multi-Byte UTF-8-Zeichen als ASCII-Zeichen dargestellt und nicht als die UTF-8-Zeichen, für die sie eigentlich stehen.

Das UTF-8-Format bleibt für die Datei auch beim Speichern erhalten, sofern Sie nicht ausdrücklich eine Konvertierung in ein anderes Format vornehmen. In der Statuszeile wird der Dateityp nicht besonders gekennzeichnet, da er intern keine von ASCII unterscheidbare Struktur aufweist.


Befehl 'Unicode nach Unicode (Big-Endian)' (Datei | Konvertieren)

Der Befehl 'Unicode nach Unicode (Big-Endian)' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei aus dem Unicode-Format mit Little-Endian-Darstellung in das Unicode-Format mit Big-Endian-Darstellung umwandeln. Der Begriff Endian bezieht sich auf die Reihenfolge, in der die Bytes bei Multi-Byte-Zeichen gespeichert werden. Auf Windows-Rechnern, die in aller Regel mit Little-Endian arbeiten, wird UTF-16LE einfach als Unicode und UTF-16BE als Unicode (Big-Endian) bezeichnet. Diese Konvention ist für die meisten Leute, die nicht plattformübergreifend arbeiten, weniger verwirrend.


Befehl 'Unicode Big-Endian nach Unicode' (Datei | Konvertieren)

Der Befehl 'Unicode (Big-Endian) nach Unicode' (Menü 'Datei | Konvertieren')

Mit diesem Befehl lässt sich eine Datei aus dem Unicode-Format mit Big-Endian-Darstellung in das Unicode-Format mit Little-Endian-Darstellung umwandeln. Der Begriff Endian bezieht sich auf die Reihenfolge, in der die Bytes bei Multi-Byte-Zeichen gespeichert werden. Auf Windows-Rechnern, die in aller Regel mit Little-Endian arbeiten, wird UTF-16LE einfach als Unicode und UTF-16BE als Unicode (Big-Endian) bezeichnet. Diese Konvention ist für die meisten Leute, die nicht plattformübergreifend arbeiten, weniger verwirrend.


Befehl 'Aktive Datei löschen' (Datei | Sonderfunktionen)

Der Befehl 'Aktive Datei löschen' (Menü 'Datei | Sonderfunktionen')

Mit diesem Befehl kann die aktive Datei geschlossen und gleichzeitig vom Datenträger gelöscht werden. Das Löschen der Datei muss vom Benutzer bestätigt werden. Wenn die Datei vom Datenträger gelöscht worden ist, steht sie nicht mehr zur Verfügung.

ACHTUNG: Seien Sie vorsichtig bei der Anwendung dieses Befehls!


Befehl 'Als E-Mail versenden' (Datei | Sonderfunktionen)

Der Befehl 'Als E-Mail versenden' (Menü 'Datei | Sonderfunktionen')

Mit diesem Befehl lässt sich die aktive Datei als Attachment (Anhang) an ein E-Mail angehängt versenden. Dabei wird die Datei mit sämtlichen Änderungen verschickt. Diese Funktion wird nur auf Systemen unterstützt, auf denen MS-Mail oder ein anderes Mail-Programm eingerichtet ist, für das die MAPI-Unterstützung installiert wurde.


Befehl 'Drucken' (Datei)

Der Befehl Drucken (Menü 'Datei')

Benutzen Sie diesen Befehl, um ein Dokument auszudrucken. Dieser Befehl öffnet den Dialog 'Drucken' , in dem Sie den zu druckenden Seitenbereich, die Anzahl der Kopien, den Drucker und andere Druckeroptionen einstellen können.

Schnellzugriff

Tastatur: STRG+P


Befehl 'Alles drucken' (Datei)

Der Befehl 'Alles drucken' (Menü 'Datei')

Dieser Befehl druckt alle offenen Dateien mit den aktuellen Seiten- und Druckereinstellungen. Zum Ändern dieser Einstellungen können Sie den Befehl Seite einrichten bzw. Drucker einrichten aus dem Menü 'Datei' verwenden.


Befehl 'Seitenansicht' (Datei)

Der Befehl 'Seitenansicht' (Menü 'Datei')

Verwenden Sie diesen Befehl, um sich die aktuelle Datei so anzeigen zu lassen, wie sie als Ausdruck aussehen würde. Wenn Sie diesen Befehl aufrufen, wird das Hauptfenster durch ein Fenster mit der Druckvorschau ersetzt, in dem ein oder zwei Seiten in Form des späteren Ausdrucks angezeigt werden. Die Symbolleiste 'Seitenansicht' ermöglicht es Ihnen, ein oder zwei Seiten gleichzeitig anzuzeigen, im Text vor- und zurückzublättern, Seiten zu vergrößern oder zu verkleinern und das Drucken der Datei zu veranlassen.


Befehl 'Seite einrichten' (Datei)

Der Befehl 'Seite einrichten…' (Menü 'Datei | Druckeinstellungen')

Dieser Befehl ruft einen Dialog auf, in dem Sie Kopfzeilen, Fußzeilen und Ränder zum Drucken einstellen können. Die Kopfzeile wird, sofern eingestellt, oben auf jeder Seite gedruckt, die Fußzeile unten. Falls eine Kopf- oder Fußzeile eingestellt worden ist, wird eine Trennlinie über die ganze Seitenbreite zwischen der Kopf- bzw. Fußzeile und dem zu druckenden Text ausgegeben.

Die Kopf- oder Fußzeile lässt sich mit dem entsprechenden Kontrollkästchen ein- bzw. ausschalten. Falls eine Kopf- oder Fußzeile aktiviert ist, kann die standardmäßig zwischen Kopf-/Fußzeile und dem Seitentext ausgegebene Trennlinie optional ausgeschaltet werden.

Die Kopf- bzw. Fußzeile kann neben benutzerdefiniertem Text zusätzlich Steuerzeichen enthalten, die das Drucken von Dateinamen und Seitenzahlen ermöglichen.

Folgende Steuerzeichen werden unterstützt:

Symbol | Beschreibung
&f | Platzhalter für den vollen Dateinamen mit Pfad
&n | Platzhalter für den Dateinamen ohne Pfad
&p | Platzhalter für die aktuelle Seitenzahl
&t | Platzhalter für die Gesamtanzahl der Seiten
&l | Richtet den nachfolgenden Text links in der Kopf-/Fußzeile aus
&c | Richtet den nachfolgenden Text zentriert in der Kopf-/Fußzeile aus
&r | Richtet den nachfolgenden Text rechts in der Kopf-/Fußzeile aus

Hinweis: Die Zeichen zum Ausrichten sind nicht erforderlich und es dürfen auch alle von ihnen in einer einzigen Kopf-/Fußzeile auftreten. Wenn jedoch mehr als eines der Zeichen vorhanden sind, muss obige Reihenfolge eingehalten werden ('&l' muss vor '&c' und '&c' muss vor '&r' stehen).

Zusätzlich können die Kopf- oder Fußzeile das Datum und die Uhrzeit der Datei oder des Systems enthalten. Zwei Optionsfelder ermöglichen die Auswahl der Quelle für die zu verwendende Zeitangabe zwischen der Dateizeit und der Systemzeit. Weitere in der Kopf-/Fußzeile verwendete Steuerzeichen legen fest, ob das Datum und die Uhrzeit gedruckt werden sollen und welches Format gegebenenfalls verwendet wird.

Die Formatierung erfolgt mit folgenden Steuerzeichen (die Abwesendheit aller dieser Zeichen bewirkt, dass Datum und Uhrzeit nicht gedruckt werden):

Symbol | Beschreibung
%a | Abgekürzter Name des Wochentags
%A | Ausgeschriebener Name des Wochentags
%b | Abgekürzter Monatsname
%B | Ausgeschriebener Monatsname
%c | Darstellung von Datum und Uhrzeit entsprechend der Ländereinstellung
%d | Tag des Monats als Dezimalzahl (01-31)
%H | Stunden im 24-Stunden-Format (00-23)
%I | Stunden im 12-Stunden-Format (01-12)
%j | Tag des Jahres als Dezimalzahl (001-366)
%m | Monat als Dezimalzahl (01-12)
%M | Minuten als Dezimalzahlen (00-59)
%p | Aktuelle Ländereinstellung für die AM/PM-Anzeige bei 12-Stunden-Uhr
%S | Sekunden als Dezimalzahlen (00-59)
%U | Woche des Jahres als Dezimalzahl mit Sonntag als erstem Tag der Woche (00-51)
%w | Wochentag als Dezimalzahl (0-6; Sonntag ist 0)
%W | Woche des Jahres als Dezimalzahl. Mit Montag als erstem Tag der Woche (00-51)
%x | Datumsdarstellung für die aktuelle Ländereinstellung
%X | Zeitdarstellung für die aktuelle Ländereinstellung
%y | Jahr ohne Jahrhundert als Dezimalzahl (00-99)
%Y | Jahr mit Jahrhundert als Dezimalzahl
%Z | Name der Zeitzone oder Abkürzung; keine Zeichen, falls die Zeitzone unbekannt ist
%% | Prozentzeichen

Beispiele:

Datum ist der 4. Juli 1998. Zeit ist 9:00pm

%X , %x druckt '21:00 , 04.07.98'

Datum ist der 4. Juli 1998. Zeit ist 9:00pm

%c druckt '04.07.98 21:00'

Datum ist der 10. Januar 1999. Zeit ist 5:00am

%A, %d. %B %Y, %I:%M%p druckt 'Dienstag, 10. Januar 1999, 05:00am'

Schriftart für Kopf-/Fußzeile

Klicken Sie auf diese Schaltfläche, um die Schriftart für die Kopf- und Fußzeile in einem Dialog einzustellen, falls für sie eine andere Schriftart verwendet werden soll als für den normalen Druck.

Seitenränder

Die Seitenränder können sowohl in Zoll (Inch) als auch in Millimetern (mm) eingestellt werden. Jeder Rand (Links, Rechts, Oben, Unten) kann unabhängig voneinander eingestellt werden. Die Randeinstellungen kommen zum Tragen, bevor Kopf- oder Fußzeile generiert werden. Wenn der Drucker einen Mindestrand erfordert, der größer als der in UltraEdit eingestellte Rand ist, kommt der Druckerrand zum Einsatz.

Zeichen für den Seitenwechsel

Das Zeichen für den Seitenwechsel kann auf ein beliebiges ASCII-Zeichen eingestellt werden. Der Vorgabewert ist das Zeichen für den Seitenvorschub (FF = Form-Feed), 12 (hexadezimal: 0C). Dieses Zeichen lässt sich bei Bedarf ändern, sollte aber nicht auf ein druckbares Zeichen eingestellt werden, da beim Drucken jedes Auftreten dieses Zeichens zu einem Seitenwechsel führen wird. Dieses Zeichen zu ändern kann dann sinnvoll sein, wenn die verwendete Schriftart das Zeichen für den Seitenwechsel nicht anzeigen kann.

Textumbruch beim Drucken

Aktivieren Sie diese Option, um den Text bei der Druckerausgabe automatisch so umzubrechen, dass er bei jeder über die Seitenbreite hinausgehende Zeile in zusätzlichen Zeilen gedruckt wird.

Zeilennummer drucken

Aktivieren Sie diese Option, um auf der linken Seite eines Blattes die Zeilennummer aller Zeilen auszudrucken. Falls ein Zeilenumbruch auftritt, wird die Nummer nur zum Zeilenbeginn gedruckt. Diese Einstellung ist unabhängig von der Menüoption Zeilennummern ein/aus .

2 Seiten auf 1 Blatt drucken

Diese Option ermöglicht es Ihnen, zwei Seiten auf einem einzigen Blatt Papier zu drucken. Die logischen Seitendaten werden so verkleinert, dass zwei Seiten nebeneinander gedruckt werden können. Diese Skalierung kann zur Folge haben, dass etwas mehr oder weniger Daten nebeneinander passen als beim Ausdruck der Daten auf Einzelblätter. Diese Option ist für das Einsparen von Papier für Ausdrucke gedacht.

Syntaxhervorhebung drucken

Aktivieren Sie diese Option, wenn UltraEdit die Datei auf einem Farbdrucker mit der Syntaxhervorhebung ausdrucken soll. Auf einem monochromen PostScript-Drucker werden dadurch auch Graustufen erzeugt.


Befehl 'Drucker einrichten' (Datei)

Der Befehl 'Drucker einrichten' (Menü 'Datei')

Benutzen Sie diesen Befehl, um einen Drucker und eine Druckerverbindung auszuwählen. Dieser Befehl zeigt den Dialog 'Drucker einrichten' an, in dem Sie den Drucker, den Druckeranschluss und andere Druckereinstellungen einstellen können.


Befehl 'Druckerschrift' (Ansicht)

Der Befehl 'Druckerschrift…' (Menü 'Datei')

Dieser Befehl zeigt den Dialog 'Schriftart' an, der die Auswahl von verschiedenen Schriftarten und -größen für den Drucker erlaubt. Die hier getroffene Auswahl gilt nur für den Drucker. Die Auswahl einer Druckerschrift hebt die Aktivierung des Menübefehls Mit Bildschirmschrift drucken auf. Es stehen nur Schriften zur Verfügung, die der Drucker auch beherrscht.

Die ausgewählten Schriftarten lassen sich durch den Befehl Schriften zurücksetzen (Vorgabe) auf ihren Vorgabewert zurücksetzen.


Befehl 'Mit Bildschirmschrift drucken' (Ansicht)

Der Befehl 'Mit Bildschirmschrift drucken' (Menü 'Datei')

Wenn diese Menüoption aktiviert ist, wird die für den Bildschirm ausgewählte Schriftart auch für den Drucker verwendet. Dadurch wird eine etwaige mit dem Befehl Druckerschrift durchgeführte Schrifteinstellung für den Drucker hinfällig.


Befehl 'Bevorzugte Dateien' (Datei)

Der Befehl 'Bevorzugte Dateien…' (Menü 'Datei')

Der Befehl Bevorzugte Dateien ermöglicht es Ihnen, die Dateinamen von regelmäßig geöffneten bzw. bevorzugten Dateien zu speichern, damit Sie in Zukunft schnell auf sie zugreifen und sie öffnen können.

Nach Auswahl dieses Befehls wird ein Dialog angezeigt, in dem Sie eine oder mehrere der bevorzugten Dateien öffnen und die Liste der bevorzugten Dateien anpassen können.

Der Dialog zeigt eine Liste der Dateien an, die gegenwärtig zu den bevorzugten Dateien zählen. Folgende Steuerelemente werden verwendet, um die Liste zu verwalten:

Öffnen

Diese Schaltfläche öffnet die in der Liste ausgewählten Dateien und schließt den Dialog. Es lassen sich mehrere Dateien in der Liste auswählen und gleichzeitig öffnen. Alle Änderungen an der Liste werden gespeichert. Ein Doppelklick auf einer beliebigen Datei in der Dateiliste führt den Öffnen-Befehl aus. Falls sich unter den ausgewählten Einträgen ein Verzeichnis befinden sollte, wird der Dialog 'Datei öffnen' angezeigt, der dann mit dem angegebenen Verzeichnis initialisiert ist.

Schließen

Diese Schaltfläche schließt den Dialog. Alle Änderungen an der Liste werden gespeichert.

Datei hinzufügen…

Diese Schaltfläche zeigt den Dialog 'Datei öffnen' an, mit der Sie nach einer zu der Liste hinzuzufügenden Datei suchen können. Wenn eine gültige Datei ausgewählt wurde, wird diese zu der Liste hinzugefügt.

Aktive Datei hinzufügen

Diese Schaltfläche fügt den Dateinamen der im Editor aktiven Datei zu der Dateiliste hinzu.

Offene Dateien hinzufügen

Diese Schaltfläche fügt die Dateinamen aller im Editor geöffneten Dateien zu der Dateiliste hinzu.

Verzeichnis hinzufügen

Diese Schaltfläche ermöglicht es Ihnen, nach einem Verzeichnis zu suchen und es zur Liste hinzuzufügen. Damit steht Ihnen eine Möglichkeit zur Verfügung, um schnell Dateien aus einem bevorzugten Verzeichnis zu öffnen.

Datei entfernen

Diese Schaltfläche entfernt die ausgewählte(n) Datei(en) aus der Dateiliste.

Hilfe

Diese Schaltfläche ruft diesen Hilfetext auf.


Befehl 'Letzte Dateien' (Datei)

Der Befehl 'Letzte Dateien' (Menü 'Datei')

Verwenden Sie diesen Menüpunkt, um diejenige Datei aus den maximal 16 zuletzt bearbeiteten Dateien auszuwählen, die sie erneut öffnen wollen. Die Anzahl der aufgelisteten Dateien lässt sich auf der Registerkarte 'Optionen | Allgemein' aus dem Menü 'Extras' einstellen. Wählen Sie die zu bearbeitende Datei aus dem Untermenü aus, indem Sie sie markieren und anklicken.

Hinweis: Die in diesem Untermenü angezeigten Dateien lassen sich direkt im Menü 'Datei' anzeigen, indem Sie auf der Registerkarte 'Optionen | Allgemein' die Option Letzte Dateien direkt im Menü 'Datei' anzeigen aktivieren. Damit die Änderung aktiv wird, muss ein Neustart von UltraEdit durchgeführt werden.


Befehl 'Letzte Projekte' (Datei)

Der Befehl 'Letzte Projekte' (Menü 'Datei')

Verwenden Sie diesen Menüpunkt, um dasjenige Projekt aus den zuletzt bearbeiteten Projekten auszuwählen, mit dem sie weiterarbeiten möchten. Wählen Sie das gewünschte Projekt aus dem Untermenü aus, indem Sie es markieren und anklicken. Die Anzahl der aufgelisteten Projekte stimmt mit der Anzahl der letzten Dateien überein, die sich auf der Registerkarte 'Optionen | Allgemein' aus dem Menü 'Extras' einstellen lässt.

Hinweis: Das Menü 'Projekt' kann aus dem Hauptmenü entfernt werden und als Untermenü mit einer Liste der zuletzt bearbeiteten Projekte die Position dieses Befehls einnehmen, wenn Sie auf der Registerkarte 'Optionen | Allgemein' die Option Menü 'Projekt' im Hauptmenü anzeigen deaktivieren. Damit die Änderung aktiv wird, muss ein Neustart von UltraEdit durchgeführt werden.


Befehle im Menü 'Bearbeiten'

Die Befehle im Menü 'Bearbeiten'

Das Menü 'Bearbeiten' stellt folgende Befehle bereit:

Rückgängig | Den letzten Bearbeitungsschritt rückgängig machen.
Wiederherstellen | Den letzten Rückgängig-Befehl zurücknehmen.
Ausschneiden | Löscht Daten aus der Datei und verschiebt diese in die Zwischenablage.
Kopieren | Kopiert Daten aus der Datei in die Zwischenablage.
Einfügen | Kopiert Daten aus der Zwischenablage in die Datei.
Einfügen und Kopieren | Ersetzt den markierten Text mit dem Inhalt der Zwischenablage und kopiert den ausgewählten Text in die Zwischenablage.
Einfügen speziell | öffnet ein Untermenü mit der Auswahl der Optionen, HTML-Quelltext bzw. RTF-Rohtext anstelle von normalem Text einzufügen
Ausschneiden & Einfügen | Löscht Daten aus der Datei und verschiebt diese in die Zwischenablage, wobei sie an den vorhandenen Inhalt der Zwischenablage angehängt werden.
Kopieren & Einfügen | Kopiert Daten aus der Datei in die Zwischenablage, wobei sie an den vorhandenen Inhalt der Zwischenablage angehängt werden.
Dateipfad kopieren | Kopiert den vollständigen Pfadnamen der aktiven Datei in die Zwischenablage.
Zwischenablagen | Ermöglicht die Auswahl der aktiven Zwischenablage.
Alles markieren | Wählt den gesamten Text in der aktiven Datei aus.
Zeile markieren | Wählt die Zeile aus, in der sich der Cursor befindet.
Wort markieren | Wählt das Wort aus, auf dem sich der Cursor befindet.
Bereich markieren | Wählt einen Bereich nach Benutzerangaben aus.
Beständige Auswahlmarkierung | Erlaubt die Auswahl von Textblöcken, ohne die Umschalttaste drücken zu müssen.
Löschen | Löscht den markierten Text oder das Zeichen, vor dem sich der Cursor befindet.
Zeile löschen | Löscht die Zeile, in der sich der Cursor befindet.
Bis Zeilenanfang löschen | Löscht den Text zwischen der Cursor-Position und dem Zeilenanfang.
Bis Zeilenende löschen | Löscht den Text zwischen der Cursor-Position und dem Zeilenende.
Alle Zeilen mit Lesezeichen löschen | Alle Zeilen mit Lesezeichen werden im aktuellen Dokument gelöscht
Alle ausgeblendeten Zeilen löschen | Alle Zeilen des aktuellen Dokuments, die durch Code-Faltung ausgeblendet wurden, werden gelöscht
Zeile nach oben verschieben | moves active line up one line
Zeile nach unten verschieben | moves active line down one line
Zeile duplizieren | Fügt eine Kopie der aktuellen Zeile unterhalb der aktuellen Cursor-Position ein
Hex-Modus ein/aus | Schaltet den Bearbeitungsmodus für das aktuelle Fenster zwischen Hexadezimal und ASCII um.
Hex-Modus (EBCDIC) ein/aus | Schaltet den Bearbeitungsmodus für das aktuelle Fenster zwischen Hexadezimal/EBCDIC und ASCII um.
Hex einfügen/löschen | Zeigt im Hexadezimal-Modus einen Dialog an, der das Einfügen oder Löschen von Bytes in einer Datei ermöglicht.
Auswahl als Hex-Wert kopieren | Kopiert die markierten Daten als Hex-Wert in die Zwischenablage.
Rechtschreibprüfung | Ruft die Rechtschreibprüfung für die gesamte Datei bzw. den markierten Text auf.
Schreibschutz ein/aus | Stellt den Schreibschutz-Modus für die aktive Datei ein bzw. aus.
Zeilenumbruch ein/aus | Schaltet den automatischen Zeilenumbruch ein bzw. aus.
Nach Base64-Format kodieren | Der ausgewählte Text wird nach Base64-Format übersetzt.
Aus Base64-Format dekodieren | Der ausgewählte Text wird vom Base64- nach Textformat übersetzt.
Auskommentieren | Kommentiert die ausgewählten Zeilen durch das Hinzufügen der Zeichen für einen Zeilenkommentar aus.
Entkommentieren | Entfernt in den ausgewählten Zeilen die Zeichen für einen Zeilenkommentar.
Auswahl herauskommentieren | Der ausgewählte Textbereich wird zwischen Blockkommentarzeichen gesetzt. Falls innerhalb des markierten Bereichs bereits Blockkommentarzeichen vorkommen und verschachtelte Kommentare nicht unterstützt werden, werden Zeilenkommentarzeichen verwendet.
Kommentar entfernen | Entfernt Kommentarzeichen aus dem markierten Bereich, die durch den Befehl 'Auswahl herauskommentieren' eingefügt wurden.


Befehl 'Rückgängig' (Bearbeiten)

Der Befehl 'Rückgängig' (Menü 'Bearbeiten')

Verwenden Sie diese Undo-Funktion, um die letzte Bearbeitung rückgängig zu machen (falls möglich). UltraEdit unterstützt mehrfaches Undo (die genaue Anzahl hängt von der Art der rückgängig zu machenden Aktionen ab). Bei wiederholtem Anwenden des Befehls Rückgängig wird versucht, sich schrittweise durch die vorangegangene Befehle zurück zu arbeiten. Der Befehl Wiederherstellen kann verwendet werden, um eine per Rückgängig durchgeführte Veränderung zu widerrufen. Wenn Befehle rückgängig gemacht werden und dann ein neuer Befehl ausgeführt wird, ist es nicht mehr möglich, vorangegangene, rückgängig gemachte Handlungen per Wiederherstellen in den ursprünglichen Zustand zu versetzen.

Schnellzugriff

Tastatur: Strg+Z oder Alt+Rücklöschtaste


Befehl 'Wiederherstellen' (Bearbeiten)

Der Befehl 'Wiederherstellen' (Menü 'Bearbeiten')

Dieser Befehl ermöglicht es Ihnen, eine zuvor mit dem Befehl Rückgängig durchgeführte Veränderung zu widerrufen. Wenn Befehle rückgängig gemacht werden und dann ein neuer Befehl ausgeführt wird, ist es nicht mehr möglich, vorangegangene, rückgängig gemachte Handlungen per Wiederherstellen in den ursprünglichen Zustand zu versetzen.

Schnellzugriff

Tastatur: Strg+Y


Befehl 'Ausschneiden' (Bearbeiten)

Der Befehl 'Ausschneiden' (Menü 'Bearbeiten')

Verwenden Sie diesen Befehl, um aktuell markierte Daten aus der Datei zu entfernen und in die Zwischenablage zu verschieben. Dieser Befehl steht nicht zur Verfügung, solange keine Daten markiert sind.

Falls der Befehl Ausschneiden & Anhängen aufgerufen wurde, werden die Daten an den vorhandenen Inhalt der Zwischenablage angehängt; andernfalls ersetzt das Ausschneiden von Daten in die Zwischenablage den dort zuvor gespeicherten Inhalt.

Schnellzugriff

Tastatur: Strg+X (Ausschneiden)

Strg+Umschalt+X (Ausschneiden & Anhängen)


Befehl 'Kopieren' & 'Kopieren & Anhängen' (Bearbeiten)

Die Befehle 'Kopieren' & 'Kopieren & Anhängen' (Menü 'Bearbeiten')

Verwenden Sie diesen Befehl, um markierte Daten in die Zwischenablage zu kopieren. Dieser Befehl steht nicht zur Verfügung, wenn keine Daten markiert sind.

Falls der Befehl Kopieren & Anhängen aufgerufen wurde, werden die Daten an den vorhandenen Inhalt der Zwischenablage angehängt; andernfalls ersetzen die in die Zwischenablage kopierten Daten den dort zuvor gespeicherten Inhalt.

Schnellzugriff

Tastatur: Strg+C

Strg+Umschalt+C (Kopieren & Anhängen)


Befehl 'Einfügen' (Bearbeiten)

Der Befehl 'Einfügen' (Menü 'Bearbeiten')

Verwenden Sie diesen Befehl, um eine Kopie des Inhalts der Zwischenablage an der Cursor-Position (Einfügemarke) einzufügen. Dieser Befehl steht nicht zur Verfügung, wenn die Zwischenablage leer ist.

Schnellzugriff

Tastatur: Strg+V


Zwischenablagen

Die Zwischenablagen (Menü 'Bearbeiten')

UltraEdit stellt für die Verwendung mit den Befehlen Ausschneiden , Kopieren und Einfügen neben der standardmäßigen Windows-Zwischenablage auch neun Benutzer-Zwischenablagen bereit. Die aktive Zwischenablage kann entweder über das Menü 'Bearbeiten' , das durch einen Rechtsklick aufgerufene Kontextmenü oder über Tastenkombinationen gewechselt werden. Die Tastenkombinationen Strg+1 bis Strg+9 wechseln zwischen den neun Benutzer-Zwischenablagen, während die Tastenkombiantion Strg+0 die standardmäßige Windows-Zwischenablage aktiviert.

Beim Wechseln der aktiven Zwischenablage bleiben die Inhalte der Zwischenablagen unverändert. Mit Ausnahme der standardmäßigen Windows-Zwischenablage gehen die Inhalte der Zwischenablagen beim Beenden von UltraEdit verloren.

Die gerade aktive Zwischenablage wird in der Statuszeile durch ein Komma getrennt hinter der Zeilen- und Spaltenanzeige durch die Werte C0-C9 (Clipboard) dargestellt.

Schnellzugriff

Tastatur: Strg+0 (Windows-Zwischenablage)

Strg+1 - Strg+9 (Benutzer-Zwischenablagen)


Befehl 'Alles markieren' (Bearbeiten)

Der Befehl 'Alles markieren' (Menü 'Bearbeiten')

Dieser Befehl markiert die gesamte Datei. Mit diesem Verfahren lässt sich die gesamte Datei einfach markieren und mittels des Befehls Ausschneiden in die Zwischenablage verschieben.

Um eine einzelne Zeile zu markieren, kann der Befehl Zeile markieren verwendet werden.

Schnellzugriff

Tastatur: Strg+A


Befehl 'Zeile markieren' (Bearbeiten)

Der Befehl 'Zeile markieren' (Menü 'Bearbeiten')

Dieser Befehl markiert die Zeile, in der sich der Cursor befindet. Die Zeichen für das Zeilenende werden dabei ebenfalls markiert. Mit diesem Verfahren lässt sich eine Zeile einfach markieren und mittels des Befehls Ausschneiden in die Zwischenablage bewegen.

Um die gesamte Datei zu markieren, kann der Befehl Alles markieren verwendet werden.

Eine Zeile kann auch durch dreifaches Klicken mit der Maus markiert werden. Dadurch wird die ganze Zeile einschließlich des festen Zeilenwechsels am Ende der Zeile markiert.


Befehl 'Bereich markieren' (Bearbeiten)

Der Befehl 'Bereich markieren' (Menü 'Bearbeiten')

Dieser Befehl öffnet ein Dialogfenster, in dem Sie einen als Auswahl zu markierenden Bereich innerhalb der Datei angeben können.

In dem Dialog lassen sich die Zeile und Spalte des Bereichsanfangs und -endes eingeben. Zu Beginn werden in den Eingabefeldern die Werte der aktuellen Markierung vorgegeben.

Sofern der Spaltenmodus noch nicht aktiviert ist, schaltet UltraEdit automatisch in den Spaltenmodus, falls für die Start- und Endspalte unterschiedliche Werte angegeben werden.


Persistent Selection command

Beständige Auswahlmarkierung (Menü »Bearbeiten«)

Falls diese Option aktiv ist, bleibt eine allfällige Markierung unabhängig von der Bewegung der Schreibposition innerhalb des Dokuments bestehen, ohne den ausgewählten Text zu verändern. Einmal aktiviert, wird die Auswahl des Texts entweder durch einen Tastenbefehl oder durch Auswahl des entsprechenden Menü-Befehls definiert. Die Bestimmung der Auswahl wird durch eine nochmalige Ausführung des gleichen Befehls (Tasten- bzw. Menü-Befehl) abgeschlossen.

Es ist dabei nicht nötig, während des Auswahlvorgangs die Umschalt-Taste festzuhalten. Der Anker des markierten Blocks kann durch Festhalten der STRG-Taste und gleichzeitiges Klicken mit der linken Maustaste an der gewünschten Stelle bewegt werden.

Nachdem die beständige Auswahl markiert wurde, wird bei der Eingabe von Text an einer anderen Stelle in der Datei die Markierung aufgehoben und der Text an der neuen Position eingefügt. Falls die Cursor-Position aber nicht verändert wurde, würde die Eingabe von beliebigem Text den ausgewählten Text ersetzen (bzw. den Text löschen, falls die Rückschritt- oder DEL-Taste gedrückt würde).

Eine beständige Auswahlmarkierung kann nach Bedarf erweitert werden, wenn der Menü- bzw. Tastenbefehl einmal ausgeführt, dann außerhalb der Markierung mit der Maus geklickt und anschließend der Befehl nochmals ausgeführt würde, um die Definition der Markierung abzuschließen.

Tastenkürzel: STRG+P, STRG+S


Befehl 'Löschen' (Bearbeiten | Löschen)

Der Befehl 'Löschen' (Menü 'Bearbeiten | Löschen')

Dieser Befehl löscht den markierten Text oder, falls kein Text markiert ist, das Zeichen an der Cursor-Position.

Schnellzugriff

Tastatur: Entf


Befehl 'Zeile löschen' (Bearbeiten | Löschen)

Der Befehl 'Zeile löschen' (Menü 'Bearbeiten | Löschen')

Dieser Befehl löscht die Zeile, in der sich der Cursor befindet. Die Zeichen für das Zeilenende werden dabei mitgelöscht.

Zum Markieren der Zeile kann der Befehl Zeile markieren verwendet werden.

Schnellzugriff

Tastatur: Strg+E


Befehl 'Bis Zeilenanfang löschen' (Bearbeiten | Löschen)

Der Befehl 'Bis Zeilenanfang löschen' (Menü 'Bearbeiten | Löschen')

Dieser Befehl löscht den gesamten Inhalt der aktuellen Zeile ab der Cursor-Position bis zum Anfang der Zeile, in der sich der Cursor befindet.

Schnellzugriff

Tastatur: Strg+F11


Befehl 'Bis Zeilenende löschen' (Bearbeiten | Löschen)

Der Befehl 'Bis Zeilenende löschen' (Menü 'Bearbeiten | Löschen')

Dieser Befehl löscht den gesamten Inhalt der aktuellen Zeile von der Cursor-Position bis zum Ende der Zeile, in der sich der Cursor befindet.

Schnellzugriff

Tastatur: Strg+F12


Befehl 'Zeile duplizieren' (Bearbeiten)

Der Befehl 'Zeile duplizieren' (Menü 'Bearbeiten')

Dieser Befehl fügt eine Kopie der aktiven Zeile unterhalb der aktuellen Cursor-Position ein. Der Cursor darf sich beim Aufruf des Befehls an einer beliebigen Stelle der aktiven Zeile befinden. Sie können den Befehl aus dem Menü 'Bearbeiten' heraus aufrufen oder auf der Registerkarte 'Optionen | Tastenzuordnung' (Menü 'Extras') eine Tastenzuordnung definieren.

Schnellzugriff

Tastatur: Strg+Alt+D


Befehl 'HEX-Modus ein/aus' (Bearbeiten)

Der Befehl 'HEX-Modus ein/aus' (Menü 'Bearbeiten')

Mit diesem Befehl wird der Bearbeitungsmodus für das aktive Fenster zwischen Hexadezimal (HEX) und ASCII umgeschaltet. Der ASCII-Modus wird normalerweise für alle ASCII-basierten Dateien (Texte) verwendet. Im ASCII-Modus lassen sich alle Funktionen ganz normal verwenden und sämtliche Zeichen eingeben.

Der HEX-Modus kommt üblicherweise bei Nicht-ASCII-Dateien bzw. Binärdateien zum Einsatz. Diese Dateien enthalten im Allgemeinen nicht druckbare Zeichen und sind keine Textdateien.

Hinweis: Im HEX-Modus gilt die Einschränkung, dass der Einfügemodus nicht unterstützt wird.

Wenn der HEX-Modus aktiviert ist, teilt UltraEdit die Anzeige wie folgt in drei Bereiche ein:

Dateiversatz: | Hexadezimaldarstellung | ; ASCII-Darstellung
000000h: | 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 | ; 123456789012345

Die Anzahl der in einer Zeile dargestellten HEX-Zeichen kann auf der Registerkarte 'Optionen | Allgemein' eingestellt werden.

Der Dateiversatz gibt den aktuellen 'Offset' des Zeichens am Zeilenanfang in Byte in Relation zum Dateianfang an.

Die Hexadezimaldarstellung zeigt jedes Byte der Datei als Hexadezimalwert durch ein Leerzeichen ' ' voneinander getrennt in einem Feld mit zwei Zeichen an.

Die ASCII-Darstellung sorgt für die Anzeige der entsprechenden druckbaren Zeichen. Nicht druckbare Zeichen werden durch einen Punkt '.' dargestellt.

Die Bearbeitung kann im ASCII-Bereich oder im HEX-Bereich erfolgen. Der gewünschte Bereich kann entweder per linkem Mausklick oder mit der Tabulatortaste angesteuert werden. Mit der Tabulatortaste wird der Cursor unter Beibehaltung des Zeichenversatzes in der Datei zwischen dem ASCII- und dem HEX-Bereich hin und herbewegt. Im HEX-Bereich sind nur die Zeichen 0-9, A-F und a-f zugelassen. Alle anderen Zeichen sind nicht zulässig und werden ignoriert. Im ASCII-Bereich sind alle druckbaren Zeichen zugelassen und werden mit Ausnahme der Eingabetaste akzeptiert.

Beim Bearbeiten im ASCII- oder HEX-Bereich wird der jeweils andere Bereich nach der Eingabe eines zulässigen Zeichens automatisch aktualisiert.

Alle Änderungen werden im Überschreibmodus durchgeführt. Um Zeichen im HEX-Modus einzufügen oder zu löschen, kann der Befehl HEX einfügen/löschen verwendet werden.

Die Befehle Ausschneiden , Kopieren und Einfügen werden auch im HEX-Modus unterstützt.

Wenn Sie den Befehl Zeicheneigenschaften aus dem Menü 'Suchen' aufrufen, erscheint ein Dialogfenster, in dem der Dezimalwert und der Hexadezimalwert des aktiven Bytes sowie dessen Darstellung (in Abhängigkeit von der aktuellen Schrift und dem Zeichensatz) angezeigt wird. Zusätzlich wird der Versatz (Offset) des aktiven Bytes als Dezimal- und als Hexadezimalwert angezeigt.

Schnellzugriff

Tastatur: Strg+H


Befehl 'HEX-Modus (EBCDIC) ein/aus' (Bearbeiten)

Der Befehl 'HEX-Modus (EBCDIC) ein/aus' (Menü 'Bearbeiten')

Der Bearbeitungsmodus 'Hexadezimal (EBCDIC)' funktioniert weitgehend identisch wie der Befehl HEX-Modus ein/aus, mit der Ausnahme, dass die EBCDIC-Daten nur für die Anzeige konvertiert und als ASCII dargestellt werden. Der Inhalt der Datei wird dabei nicht verändert, obwohl die ASCII-Darstellung auf der rechten Seite im HEX-Modus die Daten nicht als EBCDIC, sondern in der ASCII-Konvertierung anzeigt.

Nähere Informationen zur Bearbeitung im HEX-Modus finden Sie in der Beschreibung des Befehls HEX-Modus ein/aus .

Solange dieser Modus aktiviert ist, können Sie im ASCII-Bereich Daten im ASCII-Format eingeben, die für die Datei automatisch nach EBCDIC konvertiert werden. Im HEX-Bereich können Sie Daten direkt in hexadezimaler Form eingeben, wobei deren (aus dem EBCDIC-Format konvertierte) ASCII-Darstellung automatisch im ASCII-Bereich angezeigt wird.

Beim Suchen und Ersetzen in diesem Modus können ASCII-Zeichenketten verwendet werden, die entsprechend der Einstellungen im Dialog 'Suchen' bzw. 'Ersetzen' gesucht und ersetzt werden. Allerdings lassen sich in diesem Modus keine regulären Ausdrücke verwenden, da die Ergebnisse wegen des zu Grunde liegenden EBCDIC-Formats nicht vorherzusagen wären.


Befehl 'HEX einfügen/löschen' (Bearbeiten)

Der Befehl 'HEX einfügen/löschen' (Menü 'Bearbeiten')

Dieser Befehl ermöglicht das Einfügen oder Löschen von Zeichen an der aktuellen Cursor-Position im HEX-Modus . Der Befehl zeigt einen Dialog an, in dem zwischen Einfügen und Löschen gewählt sowie die Anzahl der einzufügenden bzw. zu löschenden Zeichen eingegeben werden kann.

Beim Einfügen werden die geforderten Zeichen in die Datei eingefügt und mit dem Hexadezimalwert 20 (ASCII-Leerzeichen) vorbesetzt. Die Zeichen lassen sich anschließend nach Bedarf verändern.

Beim Löschen wird die angegebene Anzahl von Zeichen ab der Cursor-Position aus der Datei entfernt.

Schnellzugriff

Tastatur: Strg+D


Befehl 'Auswahl als HEX-Wert kopieren' (Bearbeiten)

Der Befehl 'Auswahl als HEX-Wert kopieren' (Menü 'Bearbeiten')

Dieser Befehl steht bei der Arbeit im HEX-Modus zur Verfügung. Der normale Kopieren -Befehl kopiert die tatsächlichen Daten der Datei und nicht die Hexadezimaldarstellung, die auf dem Bildschirm zu sehen ist. Dieser Befehl formatiert die eigentlichen Daten beim Kopieren in die Zwischenablage genau so, wie sie im HEX-Modus auf dem Bildschirm dargestellt werden. Auf diese Weise können Sie die Hexadezimaldarstellung in einen Text oder eine andere Datei kopieren.

Da es sich bei den kopierten Daten auch nur um einen Teil einer Zeile handeln kann, bestimmt der Befehl die Startadresse (Versatz bzw. Offset) der Daten und formatiert sie in der Zwischenablage entsprechend.

Beispiel:

Angenommen, im HEX-Modus liegt folgende Zeile mit Daten vor (die Überschriften dienen lediglich der Beschreibung):

Dateiversatz: | Hexadezimaldarstellung | ; ASCII-Darstellung
000000h: | 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 | ; 123456789012345

Wenn im ASCII-Bereich der Teil '4567' ausgewählt und mit diesem Befehl in die Zwischenablage kopiert wird, steht der Text mit folgenden Formatierung in der Zwischenablage für das Einfügen in ein anderes Dokument zur Verfügung:

000004h:

34 35 36 37

; 4567


Befehl 'Rechtschreibprüfung' (Bearbeiten)

Der Befehl 'Rechtschreibprüfung' (Menü 'Bearbeiten')

UltraEdit enthält eine Rechtschreibprüfung mit über 100.000 Einträgen. Falls kein Text markiert ist, wird die gesamte Datei auf korrekte Rechtschreibung überprüft. Falls Text markiert ist, wird nur der markierte Text überprüft.

Wenn ein Wort im ausgewählten Wörterbuch nicht gefunden wurde, werden im Dialog 'Rechtschreibprüfung' verschiedene Optionen angeboten, mit denen ein Wort geändert, übersprungen oder zu einem Benutzerwörterbuch hinzugefügt werden kann.

Die Rechtschreibprüfung unterstützt verschiedene Sprachen. Diese Sprachen werden auf der Registerkarte 'Rechtschreibprüfung' bei den Programmoptionen ausgewählt.

Schnellzugriff

Tastatur: Strg+K


Befehl 'Schreibschutz ein/aus' (Bearbeiten)

Der Befehl 'Schreibschutz ein/aus' (Menü 'Bearbeiten')

Dieser Befehl schaltet den Schreibschutz für die Datei ein bzw. aus. Wenn der Schreibschutz aktiviert ist, lassen sich keine Änderungen an der Datei durchführen. Falls die Datei bereits verändert wurde, bleiben die Änderungen erhalten und die Datei kann gespeichert werden.

Das Standardverhalten des Schreibschutzes lässt sich auf der Registerkarte 'Allgemein' im Bereich 'Öffnen/Speichern/Konvertieren' mit der Option Dateien standardmäßig schreibgeschützt öffnen einstellen. Bei aktivierter Option werden Dateien schreibgecshützt geöffnet.

Zudem kann im Bereich 'Einstellungen für den Umgang mit Dateien' mit der Option Schreibschutz einer Datei ändern, wenn die Menüeinstellung geändert wird eingestellt werden, ob dieser Befehl sich auf den Schreibschutz der Datei auswirkt oder nicht.

Bei aktivem Schreibschutz wird in der Statuszeile im entsprechenden Feld der Text 'R/O' angezeigt.


Befehl 'Auskommentieren' & 'Entkommentieren' (Bearbeiten)

Die Befehle 'Auskommentieren' & 'Entkommentieren' (Menü 'Bearbeiten')

Diese Befehle ermöglichen das Hinzufügen bzw. Entfernen der Zeichen für Zeilenkommentare (wie sie für die Syntaxhervorhebung definiert sind) zu bzw. aus den ausgewählten Zeilen. Dazu müssen die Syntaxhervorhebung für die bearbeitete Datei aktiviert sowie der Zeilenkommentar für die entsprechende Sprache definiert sein.

Sofern ein Zeilenkommentar definiert ist, fügt der Befehl Auskommentieren die Zeichen für einen Zeilenkommentar am Anfang jeder markierten Zeile ein und entfernt der Befehl Entkommentieren diese Zeichen vom Anfang jeder markierten Zeile. Beim Entfernen der Kommentarzeichen werden die Zeichen nur dann entfernt, wenn es sich bei ihnen um die ersten Zeichen einer Zeile handelt.


Befehle im Menü 'Suchen'

Die Befehle im Menü 'Suchen'

Das Menü 'Suchen' stellt folgende Befehle bereit:

Suchen | Durchsucht die Datei nach einer Zeichenkette.
Weitersuchen | Setzt den Suchvorgang in Richtung Textende fort (abwärts).
Vorher suchen | Setzt den Suchvorgang in Richtung Textanfang fort (aufwärts).
Ersetzen | Durchsucht die Datei nach einer Zeichenkette und ersetzt sie durch eine andere Zeichenkette.
Interaktive Suche | Durchsucht die Datei während der Eingabe des Suchtextes nach der nächsten übereinstimmenden Stelle.
Suchen in Datei | Durchsucht Dateien auf der Festplatte nach einer Zeichenkette.
Ersetzen in Datei | Durchsucht Dateien auf der Festplatte nach einer Zeichenkette und ersetzt sie durch eine andere Zeichenkette.
Klammerpaare | Spürt zusammengehörige Klammerpaare auf und hebt sie hervor.
Gehe zu Zeile/Seite | Positioniert den Cursor auf der spezifizierten Zeilen-/Spaltennummer, dem Seitenumbruch (oder der Byteposition in Binärdateien), oder dem Lesezeichen
Lesezeichen ein/aus | Schaltet ein Lesezeichen an der aktuellen Zeile ein oder aus.
Vorheriges Lesezeichen | Bewegt den Cursor zum vorherigen Lesezeichen.
Nächstes Lesezeichen | Bewegt den Cursor zum nächsten Lesezeichen.
Alle Lesezeichen löschen | Löscht alle Lesezeichen.
Wörter zählen | Zählt die Wörter, Zeilen und Zeichen in der aktiven Datei.
Funktionsliste | Ermittelt die in der aktiven Datei enthaltenen Funktionen und zeigt sie in einer Liste an.
Symbol Suchen | Sucht in einer Tag-Datei nach einem Symbol.
Zurück (letzte Position) | Setzt den Cursor an die letzte Position, an der eine Änderung/Neupositionierung stattgefunden hat.
Weiter (nächste Position) | Setzt den Cursor an die nächste Position, an der eine Änderung/Neupositionierung stattgefunden hat (nach Verwendung des Befehls Zurück).


Befehl 'Suchen' (Suchen)

Der Befehl 'Suchen' (Menü 'Suchen')

Dieser Befehl ruft einen Dialog auf, mit dem Sie nach einem bestimmten Text in der Datei suchen können.

Der Suchbegriff wird im Feld »Suchtext« [1] angegeben. Es können ein- oder mehrzeilige Zeichenfolgen bis zu einer Länge von maximal 20.000 Zeichen verwendet werden. The user will determine which direction the search will be executed by pressing the Next or Previous button to initialize the search. In HEX mode, the search is performed in the direction specified with the Direction radio buttons. Wenn der Suchtext nicht gefunden wird, wird die Suche am entgegengesetzten Ende der Datei fortgesetzt. Wenn der Suchtext auch dann nicht gefunden werden kann, erscheint eine entsprechende Meldung. Wenn eine Suche erfolgreich war, wird die Fundstelle markiert dargestellt.

Neben den druckbaren Zeichen kann auch nach Tabulatoren und Zeichen für den Zeilenwechsel (Carriage Return [CR] = Wagenrücklauf / Line Feed [LF] = Zeilenvorschub) gesucht werden. Für die Suche nach einem Tabulator geben Sie das Symbol ^t, für die nach einem Zeilenwechsel eines der Symbole ^p (CR/LF), ^n (nur LF) oder ^r (nur CR) ein. Um nach dem Zeichen '^' zu suchen, geben Sie das Symbol ^^ ein.

Weiterhin werden bei der Durchführung einer Suche das Symbol ^s durch den aktuell markierten Text und das Symbol ^c durch den Inhalt der Zwischenablage (bis zu 30.000 Zeichen) ersetzt. Dies ist insbesondere für Makros nützlich. Bei der Aufzeichnung eines Makros besteht die Möglichkeit, eine Suche einzubeziehen, die entweder auf einer festen Textpassage oder auf dem Symbol ^s beruht. Zeichnet das Makro das Symbol ^s auf, wird beim Aufruf des Makros für die Suche auf den Text zurückgegriffen, der zum Zeitpunkt des Abspielens markiert ist. Entsprechend wird bei Einbeziehung des Symbols ^c der Inhalt der Zwischenablage zum Zeitpunkt des Abspielens verwendet.

Zusammenstellung der Sonderzeichen:

Symbol | Funktion
^^ | Sucht nach einem '^'-Zeichen
^s | Sucht bei der Makroausführung nach einem ausgewählten (markierten) Text
^c | Sucht bei der Makroausführung nach dem Inhalt der Zwischenablage
^b | Sucht nach einem Seitenwechsel
^p | Sucht nach einem Zeilenwechsel/Absatz (CR/LF) in DOS-Dateien
^r | Sucht nach einem Zeilenwechsel/Absatz (nur CR) in MAC-Dateien
^n | Sucht nach einem Zeilenwechsel/Absatz (nur LF) in UNIX-Dateien
^t | Sucht nach einem Tabulator

Hinweis: ^ bezieht sich auf das Zeichen '^' und nicht auf die Taste STRG+Wert.

Drücken der Schaltfläche [image] zeigt den Suchverlauf an.

Beim Drücken der Schaltfläche [image] wird ein Untermenü mit den folgenden Optionen angezeigt:

Zu Favoriten hinzufügen | Das im Kombinationsfeld gerade angezeigte Objekt wird zur Liste der Favoriten hinzugefügt
Favoriten bearbeiten | Öffnet den Dialog »Favoriten bei Suchen/Ersetzen bearbeiten«, wo beliebte Suchbegriffe benannt und in einer Liste umgeordnet oder gelöscht werden können.
Favoriten | Öffnet ein Untermenü, das die Favoritenliste anzeigt. Daraus können Zeichenfolgen ausgewählt werden, die zum Kombinationsfeld hinzugefügt werden.

Um den gesamten Text zwischen der aktuellen Cursor-Position und dem Suchziel zu markieren, halten Sie die Umschalt-Taste gedrückt, bevor die Suche mit der Schaltfläche Weitersuchen ausgeführt wird.

Suchrichtung

Die vorgegebene Suchrichtung ist abwärts (zum Ende des Dokuments hin). Es gibt die beiden Optionen aufwärts und abwärts. Falls schon eine Suche im Dokument stattgefunden hat, wird die Suchrichtung der vorherigen Suche als Vorgabe beibehalten.

Alle zählen

»Alle zählen« öffnet einen Dialog und zeigt die Anzahl Fundstellen im aktiven Dokument für den aktuellen Suchbegriff an.

Wo finden [3]

Es kann in der aktuellen Datei, im markierten Text oder in allen offenen Dateien gesucht werden. Diese Angabe wird unter »Wo finden« eingestellt. Falls »in allen offenen Dateien« gewählt wurde, wird beim Drücken der Schaltfläche »Weitersuchen« die Suche automatisch bei der nächsten offenen Datei fortgesetzt, und der Fokus wird auf die nächste Fundstelle in dieser Datei gelegt. Diese Funktionalität ersetzt die Option »Weitersuchen durch alle offenen Dateien« aus früheren Versionen.

The following search options [2] exist:

Nur ganzes Wort suchen

Standardmäßig ist die Suche nicht auf das Auffinden des Suchtextes als ganzes Wort beschränkt. Diese Option ermöglicht es, die Suche auf ganze Wörter zu beschränken. Das ist beispielsweise sinnvoll bei der Suche nach 'a' oder 'A', damit nicht auch alle Wörter gefunden werden, die ein 'a' enthalten. Falls schon eine Suche im Dokument stattgefunden hat, wird die Einstellung der vorherigen Suche als Vorgabe beibehalten. (Diese Option steht im HEX-Modus nicht zur Verfügung.)

Groß-/Kleinschreibung beachten

By default, the search will not be case sensitive. The option to make the search case sensitive is given. If a search has already occurred in the document, the default selection for case sensitivity is that of the previous search.

Reguläre Ausdrücke

Bei Auswahl dieser Option wird die Suche mit dem Typ von regulärem Ausdruck ausgeführt, der im Abschnitt »Fortgeschritten« angegeben wurde.

Advanced Options [4]

Pressing the Advanced button extends the Find in Files dialog to display additional search options.

Reguläre Ausdrücke

Reguläre Ausdrücke im neuen Stil verwenden

Bei Auswahl dieser Option wird der Syntax von Perl für reguläre Ausdrücke verwendet, wie er von den C++-Bibliotheken von Boost verwendet wird.

Reguläre Ausdrücke im alten UltraEdit-Stil

Bei Auswahl dieser Option wird der Syntax von UltraEdit für reguläre Ausdrücke verwendet.

Reguläre Ausdrücke im Unix-Stil

Bei Auswahl dieser Option wird der Syntax im Stil von Unix für reguläre Ausdrücke verwendet.

Für weitere Informationen über das Erstellen von regulären Ausdrücken, schlagen Sie bitte in der Hilfedatei bei Reguläre Ausdrücke oder bei Reguläre Ausdrücke im Perl-Stil nach.

Alle Fundstellen hervorheben

Bei Auswahl dieser Option werden alle Textstellen, die mit dem Suchtext übereinstimmen, markiert bzw. farblich hervorgehoben.

Zeilen mit Suchtext auflisten

Diese Option veranlasst UltraEdit dazu, jedes Vorkommen des Suchtextes im aktiven Dokument zu suchen und die entsprechende Zeile in einem eigenen Fenster aufzulisten. Durch Doppelklick auf eine der gefundenen Zeilen (oder durch Auswählen und anschließendes Drücken der Schaltfläche Gehe zu) wird der Cursor in der entsprechenden Zeile im Dokument positioniert. (Diese Option steht im HEX-Modus nicht zur Verfügung.)

In Spalten suchen

Bei Auswahl dieser Option wird die Suche auf die angegebenen Start- und Endspalten begrenzt. Um in einer ganzen Zeile zu suchen, gibt man »0« und »-1« ein.

ASCII suchen

Befindet sich das Bearbeitungsfenster im HEX-Modus, so steht zusätzlich diese Option zur Verfügung. Standardmäßig findet die Suche im HEX-Modus mit hexadezimalen Zeichen statt. Optional lässt sich die Suche so konfigurieren, dass nach ASCII-Zeichen gesucht wird. (Diese Option steht nur im HEX-Modus zur Verfügung.)

Nachdem die erste passende Textstelle gefunden worden ist, erscheint ein schmales Dialogfenster, das eine einfache Auswahl von Weitersuchen oder Vorher suchen ermöglicht. Dies lässt sich durch eine Änderung in den Einstellungen der INI Datei verhindern.

Zeilen ausblenden

Falls aktiviert, werden alle den angegebenen Suchbegriff enthaltenden Zeilen in der aktuellen Datei mit Code-Faltung ausgeblendet.

Zeilen einblenden

Falls aktiviert, werden nur die den angegebenen Suchbegriff enthaltenden Zeilen in der aktuellen Datei angezeigt. Alle anderen Zeilen werden mit Code-Faltung ausgeblendet.

Schnellzugriff

Tastatur: Alt+F3 oder Strg+F


Befehl 'Weitersuchen' (Suchen)

Der Befehl 'Weitersuchen' (Menü 'Suchen')

Dieser Befehl wiederholt den vorangegangen Suchen -Befehl in Richtung Dateiende. Es wird das nächste Auftreten des Suchtextes in Vorwärtsrichtung ausfindig gemacht (sofern vorhanden).

Um den gesamten Text zwischen der aktuellen Cursor-Position und dem Suchziel zu markieren, halten Sie die Umschalttaste gedrückt, bevor die Suche per Weitersuchen ausgeführt wird.

Schnellzugriff

Tastatur: F3


Befehl 'Vorher suchen' (Suchen)

Der Befehl 'Vorher suchen' (Menü 'Suchen')

Dieser Befehl wiederholt den vorangegangen Suchen -Befehl in Richtung Dateianfang. Es wird das nächste Auftreten des Suchtextes in der Rückwärtsrichtung ausfindig gemacht (sofern vorhanden).

Um den gesamten Text zwischen der aktuellen Cursor-Position und dem Suchziel zu markieren, halten Sie die Umschalt-Taste gedrückt, bevor die Suche per Vorher suchen ausgeführt wird.

Schnellzugriff

Tastatur: Strg+F3


Replace command

Der Befehl 'Ersetzen' (Menü 'Suchen')

Dieser Befehl zeigt den Dialog 'Suchen und Ersetzen' an, mit dessen Hilfe nach einem bestimmten Text in der Datei gesucht werden kann, damit dieser durch einen anderen Text ersetzt wird.

Der Suchbegriff wird im Feld »Suchtext« [1] angegeben, und der Text, mit dem ersetzt wird, im Feld »Ersetzen durch«. Es können ein- oder mehrzeilige Zeichenfolgen bis zu einer Länge von maximal 20.000 Zeichen in beiden Feldern verwendet werden. Die Suche wird in der ausgewählten Richtung durchgeführt. Wenn der Suchtext nicht gefunden wird, wird die Suche am entgegengesetzten Ende der Datei fortgesetzt. Wenn der Suchtext auch dann nicht gefunden werden kann, erscheint eine entsprechende Meldung. Wenn eine Suche erfolgreich war, wird die Fundstelle markiert dargestellt.

Neben den druckbaren Zeichen kann auch nach Tabulatoren und Zeichen für den Zeilenwechsel (Carriage Return [CR] = Wagenrücklauf / Line Feed [LF] = Zeilenvorschub) gesucht werden. Für die Suche nach einem Tabulator geben Sie das Symbol ^t, für die nach einem Zeilenwechsel eines der Symbole ^p (CR/LF), ^n (nur LF) oder ^r (nur CR) ein. Um nach dem Zeichen '^' zu suchen, geben Sie das Symbol ^^ ein.

Weiterhin werden bei der Durchführung einer Suche das Symbol ^s durch den aktuell markierten Text und das Symbol ^c durch den Inhalt der Zwischenablage (bis zu 30.000 Zeichen) ersetzt. Dies ist insbesondere für Makros nützlich. Bei der Aufzeichnung eines Makros besteht die Möglichkeit, eine Suche einzubeziehen, die entweder auf einer festen Textpassage oder auf dem Symbol ^s beruht. Zeichnet das Makro das Symbol ^s auf, wird beim Aufruf des Makros für die Suche auf den Text zurückgegriffen, der zum Zeitpunkt des Abspielens markiert ist. Entsprechend wird bei Einbeziehung des Symbols ^c der Inhalt der Zwischenablage zum Zeitpunkt des Abspielens verwendet.

Drücken der Schaltfläche [image] zeigt den Verlauf von »Suchtext / Ersetzen durch« an.

Beim Drücken der Schaltfläche [image] wird ein Untermenü mit den folgenden Optionen angezeigt:

Zu Favoriten hinzufügen | Das im Kombinationsfeld gerade angezeigte Objekt wird zur Liste der Favoriten hinzugefügt
Favoriten bearbeiten | Öffnet den Dialog »Favoriten bei Suchen/Ersetzen bearbeiten«, wo beliebte Suchbegriffe benannt und in einer Liste umgeordnet oder gelöscht werden können.
Favoriten | Öffnet ein Untermenü, das die Favoritenliste anzeigt. Daraus können Zeichenfolgen ausgewählt werden, die zum Kombinationsfeld hinzugefügt werden.

Zusammenstellung der Sonderzeichen:

Symbol | Funktion
^^ | Sucht nach einem '^'-Zeichen
^s | Sucht bei der Makroausführung nach einem ausgewählten (markierten) Text
^c | Sucht bei der Makroausführung nach dem Inhalt der Zwischenablage
^b | Sucht nach einem Seitenwechsel
^p | Sucht nach einem Zeilenwechsel/Absatz (CR/LF) in DOS-Dateien
^r | Sucht nach einem Zeilenwechsel/Absatz (nur CR) in MAC-Dateien
^n | Sucht nach einem Zeilenwechsel/Absatz (nur LF) in UNIX-Dateien
^t | Sucht nach einem Tabulator

Hinweis: ^ bezieht sich auf das Zeichen '^' und nicht auf die Taste STRG+Wert.

Weitersuchen

Diese Schaltfläche sucht die nächste Fundstelle des angegebenen Suchtextes.

Ersetzen

Diese Schaltfläche sucht die nächste Fundstelle des angegebenen Suchtextes und ersetzt ihn durch den neuen Text. Es kann zwischen »Ausgewählter Text« oder »Alle offenen Dateien« im Auswahlfeld »Wo ersetzen« [4], und der Vorgang wird auf den angegebenen Bereich beschränkt. Falls KEINE der folgenden Optionen im Konfigurationsdialog ausgewählt wurde:

Suchen-Dialog mit Wort an Cursor-Position vorbesetzen (Suchen -> Verschiedenes)

»Wo finden« und »Wo ersetzen« immer mit dem Vorgabewert »Aktuelle Datei« belegen (Suchen -> Einstellungen zum Auto-Zurücksetzen)

würde die Option »Wo ersetzen« automatisch mit dem Vorgabewert »Ausgewählter Text« belegt, falls ein Textbereich bereits markiert wurde.

Falls »in allen offenen Dateien« gewählt wurde, wird beim Drücken der Schaltfläche »Ersetzen« der Fokus wird auf die nächste Fundstelle in dieser Datei gelegt. Diese Funktionalität ersetzt die Option »Ersetzen durch alle offenen Dateien« aus früheren Versionen.

Alle ersetzen

Diese Schaltfläche sucht nach jeder Fundstelle des angegebenen Suchtextes und ersetzt jedes Auftreten durch den Ersetzungstext.

Ersetzen bei

aktueller Datei - Hiermit wird jedes Auftreten nur in der aktuellen Datei ersetzt. Die Option Alle ersetzen ab Dateianfang legt dabei fest, ob das Ersetzen vom Dateianfang oder von der aktuellen Cursor-Position aus stattfindet.

aktueller Auswahl - Hiermit werden nur diejenigen Fundstellen ersetzt, die sich bei Beginn des Ersetzens in der aktuellen Auswahl befinden.

offenen Dateien - Hiermit werden sämtlich Fundstellen in allen aktuell geöffneten Dateien ersetzt

Letztes

Diese Schaltfläche im schmalen Suchdialog führt eine letzte Ersetzung durch und schließt den Dialog, ohne den Cursor zur nächsten Fundstelle für den Suchtext zu bewegen. (Dieses Bedienelement steht im HEX-Modus nicht zur Verfügung.)

The following replace options [3] exist:

Nur ganzes Wort finden

Standardmäßig ist die Suche nicht auf das Auffinden des Suchtextes als ganzes Wort beschränkt. Diese Option ermöglicht es, die Suche auf ganze Wörter zu beschränken. Das ist beispielsweise sinnvoll bei der Suche nach ' a ' oder 'A', damit nicht auch alle Wörter gefunden werden, die ein 'a' enthalten. Falls schon eine Suche im Dokument stattgefunden hat, wird die Einstellung der vorherigen Suche als Vorgabe beibehalten. (Dieses Bedienelement steht im HEX-Modus nicht zur Verfügung.)

Groß-/Kleinschreibung beachten

Diese Option lässt UltraEdit die Schreibweise des Ersetzungstextes der Schreibweise des Suchtextes angleichen.

Reguläre Ausdrücke

Bei Auswahl dieser Option wird die Suche mit dem Typ von regulärem Ausdruck ausgeführt, der im Abschnitt »Fortgeschritten« angegeben wurde.

Advanced Options [5]

Pressing the Advanced button extends the Find in Files dialog to display additional search options.

Regular Expressions

Reguläre Ausdrücke im neuen Stil verwenden

Bei Auswahl dieser Option wird der Syntax von Perl für reguläre Ausdrücke verwendet, wie er von den Boost C++ Libraries verwendet wird.

Reguläre Ausdrücke im alten UltraEdit-Stil

Bei Auswahl dieser Option wird der Syntax von UltraEdit für reguläre Ausdrücke verwendet.

Reguläre Ausdrücke im Unix-Stil

Bei Auswahl dieser Option wird der Syntax im Stil von Unix für reguläre Ausdrücke verwendet.

Für weitere Informationen über das Erstellen von regulären Ausdrücken, schlagen Sie bitte in der Hilfedatei bei Regular Expressions oder bei Perl Regular Expressions nach.

Groß-/Kleinschreibung beibehalten

Diese Option lässt UltraEdit die Schreibweise des Ersetzungstextes der Schreibweise des Suchtextes angleichen. (Dieses Bedienelement steht im HEX-Modus nicht zur Verfügung.) Es gelten folgende Regeln:

1) Ist das gefundene Wort vollständig klein geschrieben, so wird auch das Ersatzwort vollständig klein geschrieben.

2) Ist das zu ersetzende Wort vollständig GROSS geschrieben, so wird auch das Ersatzwort GROSS geschrieben.

3) Besteht das zu ersetzende Wort aus Klein- und Großbuchstaben, so wird für das Ersatzwort die vorhandene Schreibweise übernommen.

Beispiele:

Suche nach "Die" und ersetze es durch "Dies":

"die" wird ersetzt durch "dies"

"DIE" wird ersetzt durch "DIES"

"Die" wird ersetzt durch "Dies"

Bei gemischter Schreibweise muss der Ersetzungstext in der Schreibweise angegeben werden, die für das Ergebnis gewünscht wird, damit in einem Wort, in dem mehrere Großbuchstaben zwischen Kleinbuchstaben vorkommen, alle Zeichen korrekt ersetzt werden und nicht nur die Großschreibung beachtet wird. Das Ersetzen von "NächsterBuchstabe" durch "VorherigerBuchstabe" würde beispielsweise folgende Änderung bewirken:

"nächsterbuchstabe" würde zu "vorherigerbuchstabe"

"NÄCHSTERBUCHSTABE" würde zu "VORHERIGERBUCHSTABE"

"NächsterBuchstabe" würde zu "VorherigerBuchstabe"

Alle ersetzen ab Dateianfang

If this option is selected the specified search will be executed from the top of the active file rather than the current cursor position.

Nach Ersetzen schließen

Mit dieser Option können Sie festlegen, dass der Ersetzungsdialog nach einem erfolgten Ersetzungsvorgang geschlossen wird. Standardmäßig bleibt der Dialog für weitere Ersetzungsvorgänge geöffnet. (Dieses Bedienelement steht im HEX-Modus nicht zur Verfügung.)

In Spalten suchen

Bei Auswahl dieser Option wird die Suche auf die angegebenen Start- und Endspalten begrenzt. Um in einer ganzen Zeile zu suchen, gibt man »0« und »-1« ein. Es ist wichtig zu beachten, dass die Spaltennummerierung bei „0‟ beginnt. Deshalb sollte „von Spalte‟ mit „0‟ belegt werden, um vom Anfang einer Zeile zu suchen.

ASCII

Befindet sich das Bearbeitungsfenster im HEX-Modus, so steht zusätzlich diese Option zur Verfügung. Standardmäßig findet die Suche im HEX-Modus mit hexadezimalen Zeichen statt. Optional lässt sich die Suche so konfigurieren, dass nach ASCII-Zeichen gesucht wird. (Diese Option steht nur im HEX-Modus zur Verfügung.)

Wenn ein Suchvorgang erfolgreich war, wird die Fundstelle markiert dargestellt. Im HEX-Modus können weitere Zeichen markiert sein, falls der angegebene Suchtext eine Zeile überschreitet. In diesem Fall sind alle angezeigten Zeichen vom ersten Zeichen in der Anfangszeile des Suchtextes bis zum letzten Zeichen in der letzten Zeile des Suchtextes hervorgehoben. Wenn eine Ersetzung stattfinden soll, wird nur der Suchtext ersetzt.

Nachdem die erste passende Textstelle ersetzt worden ist, erscheint ein schmales Dialogfenster, das eine einfache Auswahl von Weitersuchen- oder Ersetzen-Aktionen ermöglicht. Dies lässt sich durch eine Änderung in den Einstellungen der INI Datei verhindern.

Auch für die Option Alles Ersetzen wird der Befehl Rückgängig unterstützt. Wenn der Ersetzungstext allerdings zu groß ist, wird das Rückgängigmachen nicht unterstützt und der entsprechende Zwischenspeicher geleert.

Schnellzugriff

Tastatur: Strg+R


Befehl 'Interaktiv suchen' (Suchen)

Der Befehl 'Interaktiv suchen' (Menü 'Suchen')

Dieser Befehl ist mit dem Befehl Suchen verwandt. Er führt eine Suche durch, ohne auf die Eingabe des vollständigen Suchtextes zu warten. Dabei wird der Cursor bereits während der Eingabe an die nächste Fundstelle für den Suchtext positioniert. Dieses Verfahren kann die Suche nach einer bestimmten Textstelle in vielen Fällen erheblich beschleunigen.

Falls Ihnen während der Eingabe ein Tippfehler unterläuft, können Sie den bereits eingegebenen Suchtext einfach mit Hilfe der Rücklöschtaste korrigieren. Wenn Sie den Suchtext auf diese Weise korrigieren, beginnt die Suche erneut an der ursprünglichen Position, um die erste Fundstelle mit dem geänderten Suchtext zu finden.

Durch Drücken der Escape-Taste oder einer der Pfeiltasten können Sie den Suchvorgang jederzeit beenden. Auch ein Wechsel des Fokus vom Bearbeitungsfenster weg beendet den Suchvorgang.

Solange die Suche aktiv ist, wird der Suchtext in der Statuszeile angezeigt.

Nach einer interaktiven Suche können Sie den Cursor mit dem Befehl Zurück (letzte Position)wieder an die ursprüngliche Position vor Beginn der Suche bewegen.

Schnellzugriff

Tastatur: Strg+Umschalt+I


Befehl 'Suchen in Dateien' (Suchen)

Der Befehl 'Suchen in Dateien' (Menü 'Suchen')

Dieser Befehl zeigt einen Dialog zur Suche nach einer Textstelle in Dateien auf einem Datenträger an.

Die zu suchende Textstelle wird im Feld Suchtext angegeben. Eine ein- oder mehrzeilige Zeichenfolge bis zu einer Länge von maximal 20.000 Zeichen kann verwendet werden. Die zu durchsuchenden Dateien werden mittels der Angaben in den Feldern In Dateien/Typen und Verzeichnis bestimmt. Geben Sie in diesem Feld den Dateinamen oder -typ an, der durchsucht werden soll. Der Dateiname darf Jokerzeichen und mehrere durch Semikolon voneinander getrennte Dateitypen enthalten, z.B.:

*.cpp;*.h

Geben Sie in diesem Feld das zu durchsuchende Verzeichnis an. Das Feld darf mehrere durch Semikolons voneinander getrennte Suchpfade enthalten, z.B.:

C:\mydir1\; c:mydir2\

Hinweis: Wenn der Suchtext leer gelassen wird, liefert UltraEdit eine Liste mit sämtlichen Dateinamen, die den angegebenen Kriterien entsprechen. Damit lässt sich auf einfache Weise eine Verzeichnisaufstellung anfertigen.

Bei der Durchführung einer Suche in Dateien wird eine Liste mit den Fundstellen des Suchtextes angelegt. Etwaige bestehende Suchergebnisse werden gelöscht, falls die Ergebnisse im Ausgabefenster angezeigt werden. Falls die Ergebnisse in einem Bearbeitungsfenster aufgeführt werden, wird ein neues Dokument mit dem Titel 'Suchergebnisse' erstellt, sofern noch keines vorhanden ist. Falls dieses bereits vorhanden ist, werden die Ergebnisse am Ende der Liste angehängt.

Drücken der Schaltfläche [image] zeigt den Suchverlauf an.

Beim Drücken der Schaltfläche [image] wird ein Untermenü mit den folgenden Optionen angezeigt:

Zu Favoriten hinzufügen | Das im Kombinationsfeld gerade angezeigte Objekt wird zur Liste der Favoriten hinzugefügt
Favoriten bearbeiten | Öffnet den Dialog »Favoriten bei Suchen/Ersetzen bearbeiten«, wo beliebte Suchbegriffe benannt und in einer Liste umgeordnet oder gelöscht werden können.
Favoriten | Öffnet ein Untermenü, das die Favoritenliste anzeigt. Daraus können Zeichenfolgen ausgewählt werden, die zum Kombinationsfeld hinzugefügt werden.

Falls die Schaltfläche [image] geklickt wird, wird eine Liste von Optionen für reguläre Ausdrücke angezeigt, die dem aktuell ausgewählten Regex-Engine entsprechen. Diese Schaltfläche wird deaktiviert, wenn die Option reguläre Ausdrücke verwenden nicht ausgewählt ist.

A search may be limited to file groups as follows:

Search In [5]:

aufgeführten Dateien - Mit dieser standardmäßigen Einstellung werden die Dateien durchsucht, die in den Feldern In Dateien/Typen und Verzeichnis spezifiziert sind.

offenen Dateien - Hiermit werden alle offenen Dateien durchsucht, wobei etwaige Inhalte der Felder In Dateien/Typen und Verzeichnis unberücksichtigt bleiben.

Bevorzugte Dateien - Es wird in allen Dateien gesucht, die unter dem Menü "Bevorzugte Dateien..." im Datei-Menü aufgelistet werden. Die weiteren Optionen für "Dateien/Typen" und "Verzeichnis" werden dabei ignoriert.

Projektdateien - Hiermit werden alle zum geöffneten Projekt gehörenden Dateien durchsucht, wobei etwaige Inhalte der Felder In Dateien/Typen und Verzeichnis unberücksichtigt bleiben.

Lösungsdateien - Hiermit werden alle zum geöffneten Lösung gehörenden Dateien durchsucht, wobei etwaige Inhalte der Felder In Dateien/Typen und Verzeichnis unberücksichtigt bleiben.

*Solution Files option only supported in UEStudio.

The following search options [4] exist:

Unicode-Suche

Diese Option weist UltraEdit an, eine Unicode-Suche durchzuführen. Der Suchtext wird dabei in Multi-Byte-Form eingegeben und für die Suche nach Unicode umgewandelt. Alle zu durchsuchenden Dateien werden dann nach dem Unicode-Text durchsucht.

Nur ganzes Wort suchen

Standardmäßig ist die Suche nicht auf das Auffinden des Suchtextes als ganzes Wort beschränkt. Diese Option ermöglicht es, die Suche auf ganze Wörter zu beschränken. Das ist beispielsweise sinnvoll bei der Suche nach ' a ' oder 'A', damit nicht auch alle Wörter gefunden werden, die ein 'a' enthalten. Falls schon eine Suche im Dokument stattgefunden hat, wird die Einstellung der vorherigen Suche als Vorgabe beibehalten.

Groß-/Kleinschreibung beachten

Standardmäßig wird bei der Suche nicht nach Groß-/Kleinschreibung unterschieden. Die Option lässt sich jedoch aktivieren.

Reguläre Ausdrücke

Bei Auswahl dieser Option wird die Suche mit dem Typ von regulärem Ausdruck ausgeführt, der im Abschnitt »Fortgeschritten« angegeben wurde.

Advanced Options [6]

Pressing the Advanced button extends the Find in Files dialog to display additional search options.

Reguläre Ausdrücke

Reguläre Ausdrücke im neuen Stil verwenden

Bei Auswahl dieser Option wird der Syntax von Perl für reguläre Ausdrücke verwendet, wie er von den Boost C++ Libraries verwendet wird.

Reguläre Ausdrücke im alten UltraEdit-Stil

Bei Auswahl dieser Option wird der Syntax von UltraEdit für reguläre Ausdrücke verwendet.

Reguläre Ausdrücke im Unix-Stil

Bei Auswahl dieser Option wird der Syntax im Stil von Unix für reguläre Ausdrücke verwendet.

Für weitere Informationen über das Erstellen von regulären Ausdrücken, schlagen Sie bitte in der Hilfedatei bei Reguläre Ausdrücke oder bei Reguläre Ausdrücke im Perl-Stil nach.

Unterverzeichnisse durchsuchen

Standardmäßig werden die angegebenen Dateien nur im eingestellten Verzeichnis durchsucht. Diese Option schließt alle Unterverzeichnisse des angegebenen Verzeichnisses mit in die Suche ein. Bei Auswahl der Option »Versteckte Unterverzeichnisse ignorieren« werden Unterverzeichnisse, die bei Windows-Explorer ausgeblendet werden, beim Suchen übergangen.

Unterverzeichnisse können vom Suchvorgang ausgeschlossen werden, indem sie im Eingabefeld »Bei der Suche zu ignorierende Unterverzeichnisse« spezifiziert werden. Mehrere Namen können durch Strichpunkte getrennt eingegeben werden. Außerdem können Dateinamen oder Erweiterungen eingegeben werden, die beim Suchvorgang ignoriert werden. Zum Beispiel würde die Eingabe von »*.cpp;index.*;« bedeuten, daß Dateien mit einer Erweiterung von ».cpp« oder solche mit Namen »index« (unabhängig von der Erweiterung) bei der Suche übersprungen würden.

Ergebnisse in Bearbeitungsfenster

Diese Option weist UltraEdit an, ein Bearbeitungsfenster (neue Datei) für die Ergebnisse der Suche zu erstellen, wodurch das Bearbeiten, Speichern und Ausdrucken der Ergebnisse ermöglicht wird. Standardmäßig erscheint die Ausgabe in einem Fenster mit einem Listenfeld (Ausgabefenster), aus dem heraus der Benutzer eine der Ergebnisdateien per Doppelklick öffnen kann.

Dateien aufnehmen, wenn nichts gefunden wurde

Bei Auswahl dieser Option werden nur Dateien in die Liste aufgenommen, die den angegebenen Suchtext NICHT beinhalten.

Display lines that do not match

This option instructs UltraEdit to list each individual line that does not match the search parameters. Whereas Match Files if strings is not found only lists files that do not include the specified search string, this option returns data on a line-by-line basis.

Zeichenkodierung verwenden

Standardmäßig ist diese Option deaktiviert. Nach Auswahl dieser Option kann im Kombinationslistenfeld die gewünschte Zeichenkodierung eingestellt werden, die für den aktuellen Suchvorgang herangezogen wird.


Befehl 'Ersetzen in Dateien' (Suchen)

Der Befehl 'Ersetzen in Dateien' (Menü 'Suchen')

Dieser Befehl zeigt den Dialog 'Ersetzen in Dateien' zum Suchen und Ersetzen einer Textstelle in Dateien auf einem Datenträger an.

Der Suchtext wird im Feld Suchen angegeben, der Ersetzungstext im Feld Ersetzen durch. Die zu durchsuchenden Dateien werden mittels der Angaben in den Feldern In Dateien/Typen und Verzeichnis bestimmt. Geben Sie in diesem Feld den Dateinamen oder -typ an, der durchsucht werden soll. Der Dateiname darf Jokerzeichen und mehrere durch Semikolon voneinander getrennte Dateitypen enthalten, z.B.:

*.cpp;*.h

Geben Sie in diesem Feld das zu durchsuchende Verzeichnis an. Das Feld darf mehrere durch Semikolons voneinander getrennte Suchpfade enthalten, z.B.:

C:\mydir1\; c:mydir2\

Drücken der Schaltfläche [image] zeigt den Verlauf von »Suchtext / Ersetzen durch« an.

Beim Drücken der Schaltfläche [image] wird ein Untermenü mit den folgenden Optionen angezeigt:

Zu Favoriten hinzufügen | Das im Kombinationsfeld gerade angezeigte Objekt wird zur Liste der Favoriten hinzugefügt
Edit Favorites | presents Edit Find/Replace Favorites dialog where users can name favorite search strings, organize the list and remove items from the list
Favoriten | Öffnet ein Untermenü, das die Favoritenliste anzeigt. Daraus können Zeichenfolgen ausgewählt werden, die zum Kombinationsfeld hinzugefügt werden.

Falls die Schaltfläche [image] geklickt wird, wird eine Liste von Optionen für reguläre Ausdrücke angezeigt, die dem aktuell ausgewählten Regex-Engine entsprechen. Diese Schaltfläche wird deaktiviert, wenn die Option reguläre Ausdrücke verwenden nicht ausgewählt ist.

Ersetzen in [6]

Sie können angeben, ob Änderungen an den aufgelisteten Dateien oder an den Projektdateien vorgenommen werden sollen. Wählen Sie die Option Aufgelistete Dateien, um die zu bearbeitenden Dateien anhand des angegebenen Dateityps und Verzeichnisses zu ermitteln. Wählen Sie die Optionen Projektdateien oder Lösungsdateien, um den Ersetzungsvorgang nur auf die Dateien des aktiven Projekts oder Lösungs anzuwenden.

Beim Durchführen der Suchen/Ersetzen-Aktion wird in jeder der angegebenen Dateien der Suchtext durch den Ersetzungstext ersetzt. Falls eine Datei schreibgeschützt ist, wird sie nicht verändert und eine entsprechende Mitteilung ausgegeben. Nach Abschluss der Aktion wird in einem Dialogfenster angezeigt, wie viele Ersetzungen stattgefunden haben und wie viele Dateien angepasst wurden.

The following search options [5] exist:

Unicode-Suche

Diese Option weist UltraEdit an, eine Unicode-Suche durchzuführen. Der Suchtext wird dabei in Multi-Byte-Form eingegeben und für die Suche nach Unicode umgewandelt. Alle zu durchsuchenden Dateien werden dann nach dem Unicode-Text durchsucht und durch eine Zeichenkette im Unicode-Format ersetzt.

Nur ganzes Wort suchen

Standardmäßig ist die Suche nicht auf das Auffinden des Suchtextes als ganzes Wort beschränkt. Diese Option ermöglicht es, die Suche auf ganze Wörter zu beschränken. Das ist beispielsweise sinnvoll bei der Suche nach ' a ' oder 'A', damit nicht auch alle Wörter gefunden werden, die ein 'a' enthalten. Falls schon eine Suche im Dokument stattgefunden hat, wird die Einstellung der vorherigen Suche als Vorgabe beibehalten.

Groß-/Kleinschreibung beachten

Standardmäßig wird bei der Suche nicht nach Groß-/Kleinschreibung unterschieden. Die Option lässt sich jedoch aktivieren.

Reguläre Ausdrücke

Bei Auswahl dieser Option wird die Suche mit dem Typ von regulärem Ausdruck ausgeführt, der im Abschnitt »Fortgeschritten« angegeben wurde.

Advanced Options [7]

Pressing the Advanced button extends the Find in Files dialog to display additional search options.

Reguläre Ausdrücke

Reguläre Ausdrücke im neuen Stil verwenden

Bei Auswahl dieser Option wird der Syntax von Perl für reguläre Ausdrücke verwendet, wie er von den C++ Bibliotheken von Boost verwendet wird.

Reguläre Ausdrücke im alten UltraEdit-Stil

Bei Auswahl dieser Option wird der Syntax von UltraEdit für reguläre Ausdrücke verwendet.

Reguläre Ausdrücke im Unix-Stil

Bei Auswahl dieser Option wird der Syntax im Stil von Unix für reguläre Ausdrücke verwendet.

Für weitere Informationen über das Erstellen von regulären Ausdrücken, schlagen Sie bitte in der Hilfedatei bei Reguläre Ausdrücke or Reguläre Ausdrücke im Perl-Stil nach.

Groß-/Kleinschreibung beibehalten

Diese Option lässt UltraEdit die Schreibweise des Ersetzungstextes der Schreibweise des Suchtextes angleichen. Hierbei gelten folgende Regeln:

1) Ist das gefundene Wort vollständig klein geschrieben, so wird auch das Ersatzwort vollständig klein geschrieben

2) Ist das zu ersetzende Wort vollständig GROSS geschrieben, so wird auch das Ersatzwort GROSS geschrieben

3) Besteht das zu ersetzende Wort aus Klein- und Großbuchstaben, so wird für das Ersatzwort die vorhandene Schreibweise übernommen.

Beispiele:

Suche nach "Die" und ersetze es durch "Dies":

"die" wird ersetzt durch "dies"

"DIE" wird ersetzt durch "DIES"

"Die" wird ersetzt durch "Dies"

Bei gemischter Schreibweise muss der Ersetzungstext in der Schreibweise angegeben werden, die für das Ergebnis gewünscht wird, damit in einem Wort, in dem mehrere Großbuchstaben zwischen Kleinbuchstaben vorkommen, alle Zeichen korrekt ersetzt werden und nicht nur die Großschreibung beachtet wird. Das Ersetzen von "NächsterBuchstabe" durch "VorherigerBuchstabe" würde beispielsweise folgende Änderung bewirken:

"nächsterbuchstabe" würde zu "vorherigerbuchstabe"

"NÄCHSTERBUCHSTABE" würde zu "VORHERIGERBUCHSTABE"

"NächsterBuchstabe" würde zu "VorherigerBuchstabe"

Unterverzeichnisse durchsuchen

Standardmäßig werden die angegebenen Dateien nur im eingestellten Verzeichnis durchsucht. Diese Option schließt alle Unterverzeichnisse des angegebenen Verzeichnisses mit in die Suche ein. Bei Auswahl der Option »Versteckte Unterverzeichnisse ignorieren« werden Unterverzeichnisse, die bei Windows-Explorer ausgeblendet werden, beim Suchen übergangen.

Nach Bedarf können bestimmte Unterverzeichnisse vom Suchvorgang dadurch ausgeschlossen werden, indem sie im Feld »Bei der Suche zu ignorierende Unterverzeichnisse« eingetragen werden. Mehrere Namen sollten durch Strichpunkte voneinander getrennt werden.

Geänderte Dateien anzeigen

Diese Option weist UltraEdit an, alle diejenigen Dateien im Ausgabefenster aufzuführen, in denen Änderungen stattgefunden haben. Wenn die Option aktiv ist, wird jede Dateiänderung zusammen mit der Anzahl der gefundenen und ersetzten Stellen im Ausgabefenster angegeben.

Interaktives Ersetzen in Dateien

Falls die Schaltfläche »Starten« anstatt »Alles ersetzen« gedrückt wird, öffnet sich ein interaktiver Dialog bei der ersten undstelle bzw. übereinstimmung mit dem Suchbegriff. Falls danach »Alles ersetzen« gedrückt wird, setzt sich der Vorgang ohne erneut abzufragen fort, nachdem der übliche Warnhinweis angezeigt wurde.

Der interaktive Dialog bietet dem Anwender bzw. der Anwenderin fünf Optionen:

Verzeichnis überspringen | Es werden keine änderungen im aktuellen Verzeichnis gemacht. Der Vorgang »In Dateien ersetzen« wird fortgesetzt und bei der nächsten übereinstimmung mit dem Suchbegriff erneut abgefragt.
Datei überspringen | Es werden keine änderungen in der aktuellen Datei gemacht. Der Vorgang »In Dateien ersetzen« wird fortgesetzt und bei der nächsten übereinstimmung mit dem Suchbegriff erneut abgefragt.
Ersetzen | Alle mit dem Suchbegriff übereinstimmende Textstellen in der aktuellen Datei werden ersetzt. Bei der nächsten Fundstelle wird eine neue Abfrage eingeblendet.
Alles ersetzen | Alle Fundstellen im angegebenen Ziel werden ohne erneute Benutzerabfragen ersetzt.
Abbrechen | Beendet den Vorgang »In Dateien ersetzen«.

Versteckte Unterverzeichnisse ignorieren

Bei Auswahl dieser Option werden versteckte Unterverzeichnisse durch den Vorgang »In Dateien ersetzen« nicht tangiert.

Bei der Suche zu ignorierende Unterverzeichnisse

Die Unterverzeichnisse, die hier angegeben werden, werden durch den Vorgang »In Dateien ersetzen« nicht tangiert. Mehrere Namen sollten durch Strichpunkte voneinander getrennt werden.

Zeichenkodierung verwenden

Standardmäßig ist diese Option deaktiviert. Nach Auswahl dieser Option kann im Kombinationslistenfeld die gewünschte Zeichenkodierung eingestellt werden, die für den aktuellen Suchvorgang herangezogen wird.


Befehl 'Klammerpaare' (Suchen)

Der Befehl 'Klammerpaare' (Menü 'Suchen')

Dieser Befehl sucht in der Datei von der Cursor-Position ausgehend in Vorwärtsrichtung nach einer öffnenden oder schließenden Klammer. Wenn eine öffnende Klammer gefunden wurde, wird die Suche weiter fortgesetzt, bis eine passende schließende Klammer der gleichen Verschachtelungstiefe gefunden wird. Wenn die erste gefundene Klammer eine schließende Klammer ist, wird die weitere Suche in der umgekehrten Richtung durchgeführt, bis eine passende öffnende Klammer der gleichen Verschachtelungstiefe gefunden wird.

Sobald die zusammengehörigen Klammern gefunden worden sind, wird der gesamte Text zwischen den beiden Klammern einschließlich der Klammern markiert.

Standardmäßig werden die Klammern (, [ und { als öffnende Klammern und ), ] und } als schließende Klammern erkannt. Sie können für eine Sprache auch andere Zeichen oder Zeichenketten für die öffnenden und schließenden Klammern angeben, indem Sie die im Thema Syntaxhervorhebung beschriebenen Befehle Open Brace Strings und Close Brace Strings der Wortlistendatei entsprechend deklarieren.

Wenn sich der Cursor direkt links oder rechts neben einer Klammer befindet, hebt UltraEdit zudem automatisch die andere zu dem Klammerpaar gehörende Klammer hervor, sofern sie im sichtbaren Fensterbereich liegt. Eine Neupositionierung des Fensterbereichs findet dazu nicht statt.

Falls eine Datei als HTML-Datei erkannt wird (siehe Syntaxhervorhebung ), werden auch Klammerpaare mit den Zeichen '<' und '>' hervorgehoben.

Schnellzugriff

Tastatur: Strg+B


Befehl 'Gehe zu Zeile/Seite' (Suchen)

Der Befehl 'Gehe zu Zeile/Seite…' (Menü 'Suchen')

Dieser Befehl zeigt einen Dialog an, in dem Sie die Zeile/Spalte oder Seite angeben können, in/auf die der Cursor springen soll. Der Cursor wird in der angegebenen Zeile/Spalte positioniert und die Zeile in den Sichtbereich bewegt.

Wenn Page Break ausgewählt ist, wird der Cursor auf der Zeile mit dem spezifizierten Page Break Zeichen positioniert.

Wenn Zeile/Spalte ausgewählt ist, wird der Cursor auf der spezifizierten Zeile/Spalte positioniert, und die Zeile wird ins Sichtfeld gebracht. Wenn die Zeilennummber größer ist als die Datei Zeilen enthält, wird der Cursor zum Dateiende verschoben. Wenn die Spaltennummer größer ist als die Anzahl der Spalten in der Datei, wird der Cursor ans Ende der spezifizierten Zeile gebracht.

Wenn Lesezeichen ausgewählt ist, wird der Cursor auf die Zeile mit dem gewählten Lesezeichen gebracht.

Wenn die Umschalttaste bei der Ausführung des Befehls Gehe zu Zeile/Seite gedrückt ist, wird die aktuelle Auswahl (sofern vorhanden) bzw. eine neue Auswahl so erweitert, dass sie den Text bis zu der auf den Befehl folgenden Cursor-Position mit einbezieht.

Im HEX-Modus gestattet der Dialog dem Benutzer die Angabe des Versatzes innerhalb der Datei, an dem der Cursor positioniert werden soll. Wenn der Versatz größer ist als die Dateigröße, wird der Cursor am Ende der Datei positioniert.

Schnellzugriff

Tastatur: Strg+G


Befehle für Lesezeichen (Suchen)

Die Befehle zum Setzen und Ansteuern von Lesezeichen (Menü 'Suchen')

UltraEdit ermöglicht Ihnen das Setzen von Lesezeichen, um eine Position in einer Datei zu markieren. Sobald ein Lesezeichen für eine Zeile gesetzt wurde, können Sie die Zeile mit Hilfe von Menü- oder Tastaturbefehlen anspringen.

Lesezeichen ein/aus

Zum Setzen bzw. Entfernen eines Lesezeichens sind folgende Schritte notwendig:

  1. Bewegen Sie den Cursor in die Zeile, in der das Lesezeichen gesetzt werden soll bzw. in der es bereits gesetzt ist.
  2. Wählen Sie den Befehl Lesezeichen ein/aus aus dem Menü 'Suchen' .

Nächstes Lesezeichen

Um von der Cursor-Position aus das nächste Lesezeichen anzusteuern, wählen Sie den Befehl Nächstes Lesezeichen aus.

Vorheriges Lesezeichen

Um von der Cursor-Position aus das vorherige Lesezeichen anzusteuern, wählen Sie den Befehl Vorheriges Lesezeichen aus.

Alle Lesezeichen löschen

Um sämtliche gesetzten Lesezeichen zu löschen wählen Sie den Befehl Alle Lesezeichen löschen aus dem Menü 'Suchen' .

Hinweis: Wenn Sie bei der Ausführung der Funktion Nächstes/Vorheriges Lesezeichen die Umschalttaste (Shift) gedrückt halten, wird die aktuelle Auswahl (sofern vorhanden) bzw. eine neue Auswahl so erweitert, dass sie den Text bis zu der auf den Befehl folgenden Cursor-Position mit einbezieht.

Schnellzugriff

Tastatur: Strg+F2 (Lesezeichen ein/aus)

F2 (Nächstes Lesezeichen)

Alt+F2 (Vorheriges Lesezeichen)


Befehl 'Wörter zählen' (Suchen)

Der Befehl 'Wörter zählen' (Menü 'Suchen')

Dieser Befehl untersucht die Datei und die aktuelle Markierung, ermittelt die Anzahl der Wörter, Zeilen und Zeichen (mit und ohne Leerzeichen) und zeigt das Ergebnis an.

Falls eine Textmarkierung vorhanden ist, werden die Ergebnisse sowohl für den markierten Textbereich als auch für den gesamten Text angezeigt.

Bei der ermittelten Zeilenanzahl handelt es sich um echte Zeilen mit einem Zeilenende-Zeichen. Wenn eine Zeile für die Anzeige umgebrochen wurde, wird sie nicht als mehrere Zeilen gezählt.


Befehl 'Funktionsliste' (Suchen)

Der Befehl 'Funktionsliste' (Menü 'Suchen')

Dieser Befehl listet die in der aktiven Datei enthaltenen Funktionen auf. Die Ergebnisse werden in alphabetischer Reihenfolge in einem eigenständigen Fenster angezeigt. Durch Doppelklicken auf eine der Ergebniszeilen positioniert UltraEdit den Cursor in dieser Zeile in der Datei und übergibt den Fokus an die Datei. Wenn Sie die Eingabetaste drücken, während sich der Fokus in der Funktionsliste befindet, positioniert UltraEdit den Cursor in dieser Zeile in der Datei und der Fokus bleibt in der Funktionsliste. Die Tastenkombination Strg+Eingabetaste positioniert den Cursor wie das Anklicken in dieser Zeile in der Datei und übergibt den Fokus an die Datei.

Optional lässt sich die Funktionsliste so einrichten, dass sämtliche Dateien im aktiven Projekt durchsucht werden. Dies erreichen Sie, indem Sie in der Funktionsliste das Kontextmenü mit einem rechten Mausklick aufrufen und die entsprechenden Menüoption auswählen.

Weiterhin können Sie im Kontextmenü der Funktionsliste festlegen, ob die Funktionsliste alphabetisch sortiert werden soll oder nicht.

UltraEdit sucht nach einem bestimmten Schema, um festzustellen, ob eine Zeile als Funktionsdefinition zu betrachten ist. Bei dem Suchschema handelt es sich um eine Zeichenkette mit einem regulären Ausdruck , die sich vom Benutzer anpassen lässt.

Die Zeichenkette mit dem regulären Ausdruck wird in der Datei 'wordfile.txt' definiert und für jede Sprache kann eine eigene Definition vorhanden sein.

Hinweis: Die Zeichenkette mit dem regulären Ausdruck muss im UltraEdit-Stil angegeben sein. Damit wird sichergestellt, dass die Funktionsliste unabhängig von den Einstellungen für reguläre Ausdrücke immer funktioniert.

Einzelheiten zum Anpassen der Zeichenkette für das Erkennen einer Funktion finden Sie im Abschnitt Syntaxhervorhebung .

Beim Navigieren in der Datei versucht UltraEdit laufend die Funktion hervorzuheben, in der sich der Cursor aktuell befindet. Dabei sucht UltraEdit immer nach der vor der Cursor-Position befindlichen Funktion in der Datei und hebt sie in der Funktionsliste hervor. Wenn sich der Cursor zwischen zwei Funktionen oder hinter der letzten Funktion befindet, wird die davor befindliche Funktion hervorgehoben. Falls die Option zum Anzeigen aller Projektdateien für die Funktionsliste aktiviert ist, erfolgt keine Hervorhebung der Funktion an der Cursor-Position.


Befehl 'Symbol suchen' (Suchen)

Der Befehl 'Symbol suchen' (Menü 'Suchen')

Dieser Befehl durchsucht die Tag-Datei nach dem aktiven Symbol. Wenn nur eine einzige passende Stelle gefunden wird, wird sie in UltraEdit geöffnet und der Cursor an der Stelle des Symbols positioniert. Wenn mehrere passende Stellen gefunden werden, wird ein Dialogfenster angezeigt, in dem Sie die richtige Tag-Position auswählen können.


Befehl 'Zeicheneigenschaften' (Suchen)

Der Befehl 'Zeicheneigenschaften' (Menü 'Suchen')

Dieser Befehl ruft einen Dialog auf, in dem der Dezimalwert und der Hexadezimalwert des aktiven Bytes sowie dessen Darstellung (in Abhängigkeit von der aktuellen Schrift und dem Zeichensatz) angezeigt wird. Zusätzlich wird der Versatz (Offset) des aktiven Bytes als Dezimal- und als Hexadezimalwert angezeigt.


Befehl 'Zurück' & 'Weiter' (Suchen)

Die Befehle 'Zurück' & 'Weiter' (Menü 'Suchen')

UltraEdit führt intern eine Liste mit den Stellen, die Sie zuletzt bearbeitet, von denen aus Sie die Cursor-Position gewechselt oder mit Hilfe des Befehls Symbol suchen in eine andere Datei gewechselt haben. Dies ermöglicht Ihnen, schnell zu einer früheren Stelle oder Datei zurückzukehren, nachdem Sie eine Position in der Datei geändert haben oder in eine andere Datei gewechselt sind.

Der Befehl Zurück (letzte Position) positioniert den Cursor an/in der vorherigen Stelle/Datei in der Liste. Sobald Sie eine Position zurück gesprungen sind, wird der Befehl Weiter (nächste Position) zugänglich, mit dem Sie an die Stelle zurückkehren können, von der aus Sie zuvor ausgegangen sind.

Wenn Sie eine Änderung vornehmen oder den Cursor neu positionieren und dadurch die Liste der gemerkten Positionen aktualisiert werden muss, wird diese neue Position an der aktuellen Listenposition eingefügt. Somit können Sie die Positionen weiterhin wie gewünscht vorwärts und rückwärts durchlaufen.

Beim Bearbeiten einer Datei wird sich nur die letzte Bearbeitungsposition seit dem letzten Positionswechsel gemerkt, es wird sich also nicht jede Position für jedes einzelne hinzugefügte Zeichen bzw. für jede einzelne kleine Teiländerung gemerkt.


Insert menu

Die Befehle im Menü 'Einfügen'

Das Menü 'Einfügen' stellt folgende Befehle bereit:

Datum/Uhrzeit | Fügt Datum und Uhrzeit an der Cursor-Position ein.
Zeile | Fügt eine neue leere Zeile unterhalb der aktuellen Cursor-Position ein.
Seitenwechsel | Fügt an der Cursor-Position einen Seitenwechsel ein.
Datei | Fügt eine Datei in die aktive Datei ein.
Zeichenkette regelmäßig | Fügt eine Zeichenkette in regelmäßigen Abständen in die Datei ein.
Eigentliches Zeichen | Fügt das eigentliche Zeichen oder den Steuerungscode (z.B. Strg+C) in das aktive Dokument ein
Textbaustein | Fügt einen benutzerdefinierten Textbaustein in die Datei ein.
Bestimmte Textbausteine | Untermenü zur Auswahl benannter Textbausteine zum Einfügen in die aktuelle Datei.
Farbwert | Fügt mit Hilfe eines Farbauswahldialogs einen Farbwert an der Cursor-Position ein.


Befehl 'Datum/Uhrzeit' (Bearbeiten)

Der Befehl 'Datum/Uhrzeit' (Menü 'Einfügen' )

Dieser Befehl fügt das Datum und die Uhrzeit an der Cursor-Position ein. Datum und Uhrzeit werden entsprechend der Einstellungen in der Systemsteuerung formatiert. Zwischen Datum und Zeit wird ein einzelnes Leerzeichen eingefügt.

Um entweder nur das Datum oder die Uhrzeit einzufügen, kann ein definierter Textbaustein verwendet werden.

Schnellzugriff

Tastatur: F7


Befehl 'Zeile einfügen' (Bearbeiten)

Der Befehl 'Zeile' (Menü 'E infügen')

Dieser Befehl fügt eine neue Leerzeile unterhalb der aktuellen Cursor-Position ein. Der Cursor darf sich beim Aufruf des Befehls an einer beliebigen Stelle der aktiven Zeile befinden. Sie können den Befehl aus dem Menü 'Bearbeiten' heraus aufrufen oder auf der Registerkarte 'Optionen | Tastenzuordnung' (Menü 'Extras') eine Tastenzuordnung definieren.

Schnellzugriff

Tastatur: Strg+Eingabetaste


Befehl 'Seitenwechsel einfügen' (Format)

Der Befehl 'Seitenwechsel' (Menü 'E infügen')

Dieser Befehl fügt das Zeichen für einen Seitenwechsel an der aktuellen Cursor-Position ein. Das Zeichen für den Seitenwechsel lässt sich im Dialog 'Seite einrichten' konfigurieren.

Beim Drucken der Datei führt das Zeichen für den Seitenwechsel zu einem Seitenvorschub (FF, Form Feed). Das Drucken wird dann mit der nächsten Seite fortgesetzt, die auf das Zeichen folgt.


Befehl 'Datei einfügen' (Datei | Sonderfunktionen)

Der Befehl 'Datei' (Menü 'E infügen')

Mit diesem Befehl lässt sich eine bestehende Datei in die aktive Datei einfügen.

Es wird ein Dialog angezeigt, in dem die einzufügende Datei ausgewählt wird. Der gesamte Inhalt der ausgewählten Datei wird dann an der Cursor-Position in die aktive Datei eingefügt.


Befehl 'Zeichenkette regelmäßig einfügen' (Datei | Sonderfunktionen)

Der Befehl 'Zeichenkette regelmäßig' (Menü 'E infügen')

Beim Umgang mit umfangreichen datenbankartigen Dateien ist es manchmal erforderlich, die Datei in Datensätze oder bekannte Zeilenlängen aufzuteilen, da die Datei ohne Trennzeichen bzw. Begrenzungszeichen zwischen den Datensätzen ausgegeben worden ist.

Dieser Befehl ermöglicht das Einfügen einer benutzerdefinierten Zeichenfolge in konstanten benutzerdefinierten Abständen in die Datei ab einem beliebigen Startpunkt bis zu einem beliebigen Endpunkt der Datei.

Startpunkt

Der Startpunkt für diesen Vorgang kann der Dateianfang oder die Cursor-Position sein. Letzteres ist hilfreich, wenn die Datei über einen Kopfzeilenbereich (Header) verfügt, der nicht als Bestandteil der Daten behandelt werden soll. Standardmäßig gilt der Dateianfang als Startpunkt.

Endpunkt

Der Endpunkt lässt sich auf folgende Weisen angeben:

  1. Das Dateiende (Standardverhalten).
  2. Ein bekannter Offset (Versatz) in der Datei.
  3. Nach der Konvertierung einer angegebene Anzahl von Datensätzen.
  4. Das Auftreten einer besonderen Zeichenfolge. Das Einfügen wird dann am bzw. vorm Anfang der Zeichenfolge beendet, falls sie gefunden wurde; falls sie nicht gefunden wurde, gibt es die Möglichkeit, den Vorgang fortzusetzen oder nicht.

Beispiel:

Eine Datenbankdatei enthält Datensätze mit einer bekannten Länge von jeweils 2.000 Zeichen. Jeder Datensatz wurde fortlaufend ohne Trennung zwischen den Datensätzen in die Datei geschrieben. Zum Bearbeiten möchten Sie jeden Datensatz in einer eigenen Zeile darstellen.

Mit diesem Befehl können Sie angeben, dass Sie die Zeichenkette '^p' (Zeilenwechsel bzw. Absatz) einfügen möchten und das die Schrittweite zum Einfügen dieser Zeichenkette 2.000 Zeichen beträgt.

UltraEdit fügt dann Zeilenwechsel am Ende jedes Datensatzes ein, bis das Dateiende erreicht ist.


Tastaturbefehl 'Literalzeichen einfügen'

Der Befehl 'Eigentliches Zeichen' (Menü 'Einfügen')

Mit dieser Funktion lässt sich ein Literalzeichen (z.B. das Steuerzeichen 'Strg+C') in die Datei einfügen. Das Drücken der Tastenkombination Strg+I teilt UltraEdit mit, dass das nächste Zeichen direkt ohne jede Übersetzung in die Datei eingefügt werden soll.

Dies ist für die Eingabe von Steuerzeichen hilfreich, die unter Umständen von Druckern oder anderen Geräten benötigt werden.

Beispiele:

  • Strg+I gefolgt von Strg+C fügt das Zeichen 'Strg+C' in die Datei ein (statt den Inhalt der Zwischenablage zu kopieren).

  • Strg+I gefolgt von ESC fügt ein Escape-Zeichen in die Datei ein.

Schnellzugriff

Tastatur: Strg+I


Befehl 'Textbaustein einfügen' (Extras)

Der Befehl 'Textbaustein' (Menü 'E infügen')

Mit diesem Befehl können Sie einen Textbaustein in die aktive Datei einfügen. Es erscheint ein Dialog, in dem der einzufügende Textbaustein aus einer Bausteinliste ausgewählt werden kann.

Die ersten 20 Textbausteine sind über Schnellzugriffstasten erreichbar.

Schnellzugriff

Tastatur: Alt+0 bis Alt+9 und Alt+Umschalt+0 bis Alt+Umschalt+9


Befehl 'Farbwert einfügen' (Bearbeiten)

Der Befehl 'Farbwert' (Menü 'E infügen')

Mit diesem Befehl können Sie einen Farbwert in einem Dialog auswählen und in die Datei einfügen lassen.

Der Farbwert wird in einem der folgenden drei Formate dargestellt:

  • Dezimalzahl

Der Dezimalwert der Farbe als RGB-Farbwert (Rot, Grün, Blau).

  • Hexadezimalzahl

Der Hexadezimalwert der Farbe als RGB-Farbwert (Rot, Grün, Blau).

  • HTML-Format

Das für die Darstellung in einem HTML-Dokument erforderliche Format. Das Zeichen '#' wird dem Wert automatisch vorangestellt.

Beim Aufruf des Farbauswahldialogs wird als Farbwert die in der aktiven Datei ausgewählte Farbe vorbesetzt (sofern ein Farbwert markiert ist). UltraEdit versucht die Farbe und das Format anhand des markierten Textes zu ermitteln.

Sobald Sie auf OK klicken, wird der angezeigte Farbwert in die Datei eingefügt. Dabei wird gegebenenfalls die aktuelle Textauswahl einfach ersetzt.


Befehle im Menü 'Projekt'

Die Befehle im Menü 'Projekt'

In diesem Menü finden Sie die Befehle zur Verwaltung von Projekten, wobei Sie zusammengehörige Dateien auf einfache Weise verwalten und gruppieren können.

Bei diesen Befehlen werden das Gruppieren von Dateien für den schnellen Zugriff mittels des Dateidialogs sowie das Speichern oder Wiederherstellen der Zustände offener Dateien miteinander vereinigt.

Neues Projekt | Erstellt und öffnet eine neue Projektdatei.
Öffne Projekt | Öffnet eine bestehende Projektdatei.
Schließe Projekt | Schließt ein Projekt.
Dateien/Einstellungen… | Dateien innerhalb des Projekts verwalten (hinzufügen, entfernen, öffnen).
Makro automatisch laden | Gibt das Makro an, dass beim öffnen des Projekts automatisch geladen wird.
Hinzufügen | Blendet ein Untermenü mit Befehlen zum Hinzufügen von Dateien, Verzeichnissen und DLLs zum aktiven Projekt ein.
Einfügen [*] | Blendet ein Untermenü mit Befehlen zum Einfügen von Klassen in C++, Java oder C# in das aktive Projekt ein.
Projekt sichern | Kopiert sämtliche Dateien des aktiven Projekts in eine komprimierte Sicherungsdatei (.bup), die im selben Verzeichnis gespeichert wird wie die Projektdatei (.prj) des aktiven Projekts.
Projekt wiederherstellen | Ruft den Dialog 'Projekt wiederherstellen' auf, mit dem Sie ein Projekt aus einer zuvor angelegten Sicherungskopie neu laden können.
Projektkonverter [*] | Ruft den Dialog 'Projektkonverter: Visual Studio => UEStudio' auf.
Projekt-Manager [*] | Ruft den Dialog 'Projekt-Manager' auf, mit dem Sie Projekte öffnen, anlegen, sichern, wiederherstellen und stapelweise bearbeiten können.
Einchecken [*] | Checkt die Arbeitskopie ohne Einstellungsmöglichkeiten und ohne Nachfrage in den Bestand ein. Dieses Einchecken basiert auf den Einstellungen für das aktive CVS-Projekt.
Aktualisieren [*] | Aktualisiert die Arbeitskopie ohne Einstellungsmöglichkeiten und ohne Nachfrage aus dem Bestand heraus. Dieses Aktualisieren basiert auf den Einstellungen für das aktive CVS-Projekt.
Auschecken [*] | Checkt das Modul aus dem Bestand aus.
Einchecken [*] | Checkt die Arbeitskopie in den Bestand ein.
Aktualisieren [*] | Aktualisiert die Arbeitskopie aus dem Bestand heraus.
Tag [*] | Legt in einem CVS-Baum einen neuen Tag/Zweig an.
Importieren [*] | Importiert neue Module in den Bestand.
Exportieren [*] | Checkt das Modul ohne CVS-Daten aus.
CVS-Manager [*] | Ruft den Dialog 'CVS-Manager' auf.
Tag-Datei erstellen | Erstellt eine Tag-Datei (CTags).
CTags-Optionen | Konfiguration der Optionen für CTags.
Liste der letzten Projekte | Öffnet die zuletzt aktiven Projekte (sofern vorhanden).

Hinweis: Die mit [*] gekennzeichneten Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Neues Projekt' (Projekt)

Der Befehl 'Neues Projekt...' (Menü 'Projekt')

Dieser Befehl ermöglicht Ihnen das Erstellen eines neuen Projekts bzw. einer neuen Projektdatei.

Mit einem Projekt können Sie die Dateien Ihrer Arbeitsprojekte verwalten. Ein Projekt stellt Ihnen eine einfache Möglichkeit zur Verfügung, um zusammengehörige Dateien zu verwalten und zu gruppieren.

Häufig stehen mehrere Dateien so eng miteinander in Beziehung, dass es beim Bearbeiten einer bestimmten Datei angebracht sein mag, auch andere Dateien zu bearbeiten oder einzusehen. Diese Dateien lassen sich als Projekt zusammenfassen.

Das Gruppieren dieser Dateien in einem Projekt macht es möglich, auf einfache Weise auf alle zusammengehörigen Dateien zugreifen und/oder sie öffnen zu können, ohne diese erst suchen zu müssen.

Arbeitsbereich

Im Projektkonzept werden die Funktionsweisen von Projekten und Arbeitsbereichen miteinander kombiniert. In vielen Fällen kann das Konzept der Arbeitsbereiche Ihre Arbeit stark erleichtern, da der Zustand sämtlicher offenen Dateien vor dem Schließen des Projekts in der Projektdatei gespeichert wird – einschließlich Fensterpositionen, Cursor-Positionen und Angaben dazu, welche Dateien geöffnet sind.

Beim erneuten Öffnen eines Projekts werden alle diejenigen Dateien automatisch geöffnet, die beim letzten Schließen des Projektes geladen waren. Die Dateien brauchen dem Projekt also nicht erst explizit mit Hilfe des Befehls Dateien/Einstellungen hinzugefügt zu werden.

Projekt

Der Projektgedanke wiederum ermöglicht es, Dateien in Beziehung zueinander zu setzen, auch wenn sie derzeit nicht im Editor geöffnet sind. Einzelne Dateien lassen sich mit Hilfe des Befehls Dateien/Einstellungen zum Projekt hinzufügen oder aus ihm entfernen. Die zu einem Projekt gehörigen Dateien lassen sich mit diesem Dialog auf einfache und komfortable Weise öffnen.


Befehl 'Öffne Projekt' (Projekt)

Der Befehl 'Öffne Projekt...' (Menü 'Projekt')

Mit diesem Befehl können Sie ein bestehendes Projekt öffnen, das zuvor mit dem Befehl Neues Projekt erstellt worden ist.

Wenn ein neues Projekt geöffnet wird, wird das gerade aktive Projekt (sofern geöffnet) geschlossen. Dabei wird Ihnen die Möglichkeit gegeben, die gerade offenen Dateien zu speichern/schließen.

Wenn das Projekt geöffnet wird, werden alle beim letzten Schließen des Projekts offenen Dateien automatisch wieder geöffnet.


Befehl 'Schließe Projekt' (Projekt)

Der Befehl 'Schließe Projekt' (Menü 'Projekt')

Dieser Befehl schließt das gerade offene Projekt. Der Zustand sämtlicher Dateien wird in der Projektdatei gespeichert, wodurch sie beim nächsten Öffnen des Projekts automatisch geöffnet werden können. Dabei wird Ihnen die Möglichkeit gegeben, die gerade offenen Dateien zu speichern/schließen.


Befehl 'Dateien/Einstellungen' (Projekt)

Der Befehl 'Dateien/Einstellungen…' (Menü 'Projekt')

Dieser Befehl ruft den Dialog 'Projekteinstellungen' auf, mit dem Sie die Einstellungen für das aktive Projekt konfigurieren können. Dateien und Verzeichnisse können Sie auch mit Hilfe der Kontextmenübefehle in der Baumansicht zum aktiven Projekt hinzufügen bzw. aus ihm entfernen. Zu einem Projekt lassen sich bis zu 2.000 Dateien hinzufügen.

In UltraEdit lässt sich ein Projektverzeichnis angeben, mit dem zusammen die Möglichkeit zur Nutzung Relativer Pfade besteht. Wenn diese eingerichtet bzw. aktiviert sind, speichert UltraEdit die Dateinamen relativ zum Projektverzeichnis, wodurch die Pfade durch eine Anpassung des Projektverzeichnisses auch dann erhalten bleiben, wenn Sie das Projekt in ein anderes Verzeichnis verschieben. Die relativen Pfade müssen dem Projektverzeichnis untergeordnet sein.

Wenn weiterhin die Option Relativ zur Projektdatei aktiviert ist, werden die Projektdateien als relativ zu dem Verzeichnis betrachtet, in dem sich die Projektdatei befindet. Damit ist es möglich, die Projektdatei und die zugehörigen Dateien im selben Verzeichnis bzw. unterhalb desselben Verzeichnisses zu speichern, ohne dass das Projektverzeichnis nach einem gemeinsamen Verschieben aktualisiert zu werden braucht.

In einigen Fällen ist es von Vorteil, mehrere Gruppen von Dateien in einem Projekt zusammenzufassen. Zu diesem Zweck unterstützt UltraEdit den Zusammenschluss solcher Dateien in benannten Gruppen. Diese Gruppen lassen sich nach Bedarf hinzufügen oder löschen oder um beliebige Dateien ergänzen.

Der Dialog zeigt eine Liste der zum Projekt gehörenden Dateien an. Folgende Steuerelemente werden verwendet, um die Liste zu verwalten:

Filter

Dieses Feld ermöglicht Ihnen die Angabe eines Dateifilters, der auf die Dateien angewendet wird, die Teil einer Ordnergruppe sind. Beim Aktualisieren des Ordners, werden der Gruppe nur die Dateien hinzugefügt, die dem Filterkriterium entsprechen.

Öffnen

Diese Schaltfläche öffnet die in der Liste ausgewählte(n) Datei(en) und schließt den Dialog. Es lassen sich mehrere Dateien in der Liste auswählen und gleichzeitig öffnen. Alle Änderungen an der Liste werden gespeichert. Ein Doppelklick auf einer beliebigen Datei in der Dateiliste führt den Öffnen-Befehl aus.

Schließen

Diese Schaltfläche schließt den Dialog. Alle Änderungen an der Liste werden gespeichert.

Aktualisieren

Diese Schaltfläche aktualisiert die Projektinformationen (schreibt die Änderungen fest) und baut die Projektliste neu auf.

Neue Gruppe

Diese Schaltfläche zeigt einen Dialog an, in dem Sie den Namen der hinzuzufügenden Gruppe angeben können.

Datei hinzufügen…

Diese Schaltfläche zeigt den Dialog 'Datei öffnen' an, mit dem der Benutzer nach einer zu der Liste hinzuzufügenden Datei suchen kann. Wenn eine gültige Datei ausgewählt wurde, wird diese zu der Liste hinzugefügt.

Aktive Datei hinzufügen

Diese Schaltfläche fügt den Dateinamen der im Editor aktiven Datei zu der Dateiliste hinzu.

Offene Dateien hinzufügen

Diese Schaltfläche fügt die Dateinamen aller im Editor geöffneten Dateien zu der Dateiliste hinzu.

Verzeichnis hinzufügen...

Diese Schaltfläche zeigt einen Dialog an, mit dem Sie nach einem Verzeichnis suchen können, der zum Projekt hinzugefügt werden soll. Das Verzeichnis wird als Gruppenordner und alle in ihm enthaltenen Dateien, die dem Filterkriterium entsprechen, werden als Teil des Projekts betrachtet. Der Inhalt des Verzeichnisses wird nicht gespeichert, sondern dynamisch aktualisiert, sobald sich auf den Inhalt des Projektverzeichnisses bezogen wird.

Element entfernen

Diese Schaltfläche entfernt alle ausgewählten Dateien oder Gruppen unwiderruflich aus der Liste der Projektdateien.

Unterverzeichnisse beim Hinzufügen einbeziehen (gilt für alle Verzeichnisse)

Wenn diese Option aktiviert ist, werden beim Hinzufügen eines Verzeichnisses zum Projekt alle Unterverzeichnisse samt der in ihnen enthaltenen Dateien zum Projekt hinzugefügt. Bei aktivierter Option erfolgt bei jeder Bezugnahme auf eine Projektdatei eine rekursive Suche nach der Datei in den Unterverzeichnissen des Hauptverzeichnisses.

Optionale Wortlistendatei

In diesem Eingabefeld können Sie eine andere Wortlistendatei für die Syntaxhervorhebung angeben, die verwendet werden soll, solange das Projekt aktiv ist. Wenn der Pfad vollständig angegeben wird, handelt es sich bei ihm um einen absoluten Pfad zur Wortlistendatei, andernfalls handelt es sich in Abhängigkeit von den anderen Einstellungen um einen relativen Pfad zum Projektverzeichnis oder zur Projektdatei.

Optionale Tag-Datei

In diesem Eingabefeld können Sie eine Tag-Datei angeben, die im Zusammenhang mit CTags verwendet werden soll. Wenn Sie keine Datei angeben, wird die standardmäßige Tag-Datei verwendet.

Tag-Datei beim Öffnen eines Projekts erstellen

Aktivieren Sie diese Option, damit UltraEdit die Tag-Datei automatisch erstellt, wenn das Projekt geöffnet wird.

Durchsuchen

Klicken Sie auf diese Schaltflächen, um die optionale Wortlistendatei bzw. eine Tag-Datei mit dem Dateidialog zu suchen.

Hilfe

Diese Schaltfläche ruft diesen Hilfetext auf.


Befehl 'Hinzufügen'

Der Befehl 'Hinzufügen' (Menü 'Projekt')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl blendet ein Untermenü ein, aus dem Sie Befehle zum Einfügen einer neuen Klasse in der Sprache C++ oder Java/C# auswählen können.

Neue C++-Klasse

Wenn sie den Eintrag Neue C++-Klasse auswählen, wird der Dialog 'Neue C++-Klasse' aufgerufen, mit dem Sie eine neue Klasse anlegen und automatisch die zugehörigen .h- und .cpp-Dateien erzeugen lassen können.

Name der Klasse

Tragen Sie in dieses Feld den Namen der neuen Klasse ein, der dann zum Anlegen der zugehörigen .h- und .cpp-Dateien verwendet wird.

Basisklasse

Tragen Sie in dieses Feld den Namen der Klasse ein, auf der die neue Klasse basieren soll.

Zugriff

Aus diesem Listenfeld können Sie die Zugriffsmethode für die neue Klasse auswählen. Folgende Schlüsselwörter zur Angabe der Zugriffsrechte anderer Klassen auf die Mitgliederfunktionen der neuen Klasse stehen in der Liste zur Auswahl: public, private, und protected.

  • public

Dieses Schlüsselwort vor einer Reihe von Klassenmitgliedern gibt an, dass jede Funktion auf diese Mitglieder zugreifen kann. Dies gilt für alle bis zur nächsten Rechteangabe oder dem Ende der Klasse deklarierten Mitglieder.

Wenn dieses Schlüsselwort vor dem Namen einer Basisklasse steht, gibt es an, dass die öffentlichen (public) und geschützten (protected) Mitglieder der Basisklasse öffentliche bzw. geschützte Mitglieder der abgeleiteten Klasse sind.

  • private

Dieses Schlüsselwort vor einer Reihe von Klassenmitgliedern gibt an, dass nur Mitgliederfunktionen und 'Freunde' der Klasse auf diese Mitglieder zugreifen können. Dies gilt für alle bis zur nächsten Rechteangabe oder dem Ende der Klasse deklarierten Mitglieder.

Wenn dieses Schlüsselwort vor dem Namen einer Basisklasse steht, gibt es an, dass die öffentlichen (public) und geschützten (protected) Mitglieder der Basisklasse private Mitglieder der abgeleiteten Klasse sind.

  • protected

Dieses Schlüsselwort gewährt den Zugriff auf Klassenmitglieder aus der Mitgliederliste bis zur nächsten Rechteangabe ('public' oder 'private') oder dem Ende der Klassendefinition. Klassenmitglieder, die als geschützt deklariert sind, können nur von folgenden Elementen genutzt werden:

  • Mitgliederfunktionen der Klasse, die diese Mitglieder urprünglich deklariert hat
  • 'Freunde' der Klasse, die diese Mitglieder ursprünglich deklariert hat
  • Klassen, die mit öffentlichem oder geschützten Zugriff von der Klasse abgeleitet wurden, die diese Mitglieder ursprügnlich deklariert hat
  • Direkt privat abgeleitete Klassen, die ebenfalls über einen privaten Zugriff auf geschützte Mitglieder verfügen

Wenn dieses Schlüsselwort vor dem Namen einer Basisklasse steht, gibt es an, dass die öffentlichen (public) und geschützten (protected) Mitglieder der Basisklasse geschützte Mitglieder der abgeleiteten Klasse sind.

.h-Datei

Tragen Sie in dieses Feld den Namen der Header-Datei für die Klasse des neuen Objekts ein. Standardmäßig richtet sich dieser Name nach dem Namen, den Sie in das Feld Name der Klasse eintragen.

.cpp-Datei

Tragen Sie in dieses Feld den Namen der Implementierungsdatei für die Klasse des neuen Objekts ein. In Ihr wird die Definition der Klasse gespeichert.

Inline-Klasse

Aktivieren Sie diese Option, um sowohl den Konstruktor als auch die Definition der Klasse als Inline-Funktionen in der Header-Datei zu generieren.

Virtueller Destruktor

Aktivieren Sie diese Option, um anzugeben, dass der Klassen-Destruktor virtuell ist. Die Verwendung von virtuellen Destruktoren hilft dabei, den Aufruf des richtigen Destruktors zu gewährleisten, wenn Instanzen von abgeleiteten Klassen gelöscht werden.

Neue Java- oder C#-Klasse

Wenn sie den Eintrag Neue Java- oder C#-Klasse auswählen, wird der Dialog 'Neue Java- oder C#-Klasse' aufgerufen, mit dem Sie eine neue Klasse anlegen und automatisch die zugehörigen .java- bzw. .cs-Dateien erzeugen lassen können.

Namensraum

Tragen Sie in dieses Feld das Schlüsselwort für den Namensraum ein, das bei der Deklaration des Gültigkeitsbereiches herangezogen werden soll. Dieser Namensraum ermöglicht Ihnen die Organisation des Codes und versetzt Sie in die Lage, global eindeutige Typen zu erzeugen. Wenn ein Namensraum deklariert wird, wird in das Feld .java/.cs automatisch ein für Java/C# gültiger Dateiname eingetragen, der sich nach dem angegebenen Namen der Klasse richtet.

Name der Klasse

Tragen Sie in dieses Feld den Namen der neuen Klasse ein, der dann zum Anlegen der Datei verwendet wird, in der die Klasse definiert bzw. als Prototyp deklariert wird.

.java/.cs

Für jede neue Klasse wird automatisch eine neue .java-/.cs-Datei mit dem hier angegebenen Namen generiert. Wenn ein Namensraum deklariert wird, wird in dieses Feld automatisch ein für C# gültiger Dateiname eingetragen, der sich nach dem angegebenen Klassennamen richtet. Wenn kein Namensraum deklariert wird, wird in dieses Feld automatisch ein für Java gültiger Dateiname eingetragen, der sich nach dem angegebenen Klassennamen richtet.

Basisklasse

Tragen Sie in dieses Feld den Namen der Klasse ein, von der die neue Klasse abgeleitet werden soll.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Hinzufügen' (Projekt)

Der Befehl 'Hinzufügen' (Menü 'Projekt')

Dieser Befehl blendet ein Untermenü ein, mit dessen Befehlen Sie neue Elemente zum aktiven Projekt hinzufügen können.

In diesem Untermenü stehen Ihnen folgende Befehle zur Verfügung:

  • Neu

Ruft den 'Öffnen'-Dialog auf, in dem Sie in das gewünschte Verzeichnis wechseln können, um eine neue Datei anzulegen, die zum aktiven Projekt hinzugefügt werden soll.
  • Neues Verzeichnis

Ruft den Dialog 'Neues Verzeichnis' auf, mit dem Sie von den aktuell verfügbaren Laufwerken ein Verzeichnis auswählen können, das dem Projekt hinzugefügt werden soll. Falls die Option Gruppe aktiviert ist, können Sie auch eine neue Gruppe als Platzhalter für das aktive Projekt angeben.
  • Dateien

Ruft den 'Öffnen'-Dialog auf, mit dem Sie von den aktuell verfügbaren Laufwerken eine Datei auswählen können, die zum aktiven Projekt hinzugefügt werden soll.
  • Dynamic Link Library (DLL)

Ruft den 'Öffnen'-Dialog auf, mit dem Sie von den aktuell verfügbaren Laufwerken eine DLL auswählen können, die zum aktiven Projekt hinzugefügt werden soll.

Hinweis: In UltraEdit-32 stehen Ihnen nur die Befehle Neu und Neues Verzeichnis zur Verfügung.


Befehl 'Projekt sichern'

Der Befehl 'Projekt sichern' (Menü 'Projekt')

Dieser Befehl kopiert alle aktiven Dateien des aktuellen Projekts in eine komprimierte Sicherungsdatei ('.bup'), die im selben Verzeichnis gespeichert wird wie die aktive Projektdatei ('.prj'). Dabei zeigt der Dialog 'Projektdateien sichern' laufend aktuelle Informationen zum Sicherungsvorgang an.

Das Vorhandensein einer Sicherungsdatei für ein Projekt versetzt Sie in die Lage, mit dem sicheren Wissen zu entwickeln, dass sich mit Hilfe des Befehls Projekt wiederherstellen immer eine funktionierende Projektumgebung wiederherstellen ließe, falls etwas nicht wie geplant funktionieren sollte.


Befehl 'Projekt wiederherstellen'

Der Befehl Projekt wiederherstellen' (Menü 'Projekt')

Dieser Befehl ruft den Dialog 'Projektdateien wiederherstellen' auf, mit dem Sie ein Projekt aus einer Sicherungskopie neu laden können, die zuvor mit dem Befehl Projekt sichern angelegt wurde.

Auswahl der wiederherzustellenden Dateien

Der Dialog listet sämtliche Dateien auf, die in der Sicherungskopie des Projekts enthalten sind. Es brauchen nicht alle Elemente einer komprimierten Sicherungskopie wiederhergestellt zu werden, wenn Sie es nicht wünschen.

'Minus' / 'Plus' / Filterfeld

Wenn Sie alle Dateien der aktuellen Auflistung entmarkieren möchten, betätigen Sie die Minus-Schaltfläche. Wenn Sie alle Dateien der aktuellen Auflistung markieren möchten, betätigen Sie die Plus-Schaltfläche. Einzelne Dateien lassen sich einfach durch Anklicken mit der Maus markieren bzw. entmarkieren.

In das Textfeld rechts neben der Plus-Schaltfläche können Sie eine Dateierweiterung eintragen, nach der die Liste gefiltert werden soll. Wenn Sie eine Dateierweiterung eingetragen haben (z.B. 'cgi') und anschließend die Plus-Schaltfläche betätigen, werden alle Dateien mit dieser Erweiterung markiert. Wenn Sie eine Dateierweiterung eingetragen haben und anschließend die Minus-Schaltfläche betätigen, werden alle Dateien mit dieser Erweiterung entmarkiert.

Wiederherstellen

Betätigen Sie diese Schaltfläche nachdem Sie die wiederherzustellenden Dateien des Projekts ausgewählt haben, um die Dateien aus der komprimierten Sicherungskopie neu zu laden.


Befehl 'Projektkonverter'

Der Befehl 'Projektkonverter' (Menü 'Projekt')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Mit diesem Befehl lässt sich ein vorhandenes Visual Studio-Projekte in das Projektformat von UEStudio konvertieren, sodass die Anwendung innerhalb von UEStudio bearbeitet und erstellt werden kann.

Quelle (Projekt/Solution) / ...

In dieses Feld tragen Sie den Pfad und Namen des Visual Studio-Projekts bzw. der Solution ein, das/die für die weitere Bearbeitung in UEStudio konvertiert werden soll. Verwenden Sie die Schaltfläche '...', um mit dem 'Öffnen'-Dialog nach dem gewünschten Visual Studio-Projekt zu suchen.

Konvertiertes Projekt öffnen

Wenn diese Option aktiviert ist, wird das ausgewählte Projekt nach der Konvertierung in UEStudio geöffnet.

Konvertieren

Betätigen Sie diese Schaltfläche, um die Konvertierung in Gang zu setzen.

Schließen

Betätigen Sie diese Schaltfläche, um den Dialog vorzeitig zu schließen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Projekt-Manager'

Der Befehl 'Projekt-Manager' (Menü 'Projekt')

Mit diesem Befehl rufen Sie den Projekt-Manger auf, der als Hilfswerkzeug bei der Verwaltung aller derzeit von Ihnen bearbeiteten Projekte dient.

Projektliste

Der Hauptbestandteil des Dialogs 'Projekt-Manager' ist die Projektliste mit den Spalten Projektname, Compiler, Arbeitszeit und Projektpfad.

Funktionen zur Projektverwaltung

Die Funktionen für die Projektverwaltung sind in folgende drei Bereiche unterteilt:

  1. Projekt
    In diesem Bereich finden Sie Schaltflächen zum Öffnen, Anlegen, Sichern und Wiederherstellen von Projekten.
  2. Projektliste
    In diesem Bereich finden Sie Schaltflächen zum Hinzufügen, Entfernen und Suchen von Einträgen zur bzw. aus der Projektliste und zum Löschen der Projektliste.
  3. Batch-Builder
    In diesem Bereich finden Sie Schaltflächen zum Öffnen und Erstellen von Listen für die stapelweise Erstellung mit dem Batch-Builder.

Funktionen zum Öffnen und Anlegen von Projekten (Bereich 'Projekt')

Öffnen

Projekte lassen sich vom Projekt-Manger aus entweder durch einen Doppelklick auf einen Projektnamen in der Projektliste oder durch das Auswählen eines Projekts aus der Projektliste und das anschließende Drücken der Schaltfläche Öffnen öffnen. Dadurch wird das ausgewählte Projekt dann als Datei in UEStudio geöffnet.

Neu

Wenn Sie die Schaltfläche Neu betätigen, erscheint ein Kontextmenü, aus dem Sie die beiden Einträge Leer und Vorlage verwenden auswählen können:

Leer

Wenn Sie den Eintrag Leer auswählen, erscheint folgender Dialog, mit dem Sie ein neues, leeres Projekt anlegen können:

In diesem Dialog können Sie den Projektnamen und den Speicherort festlegen. Falls das Kontrollkästchen Projektverzeichnis anlegen nicht aktiviert ist, wird das angegebene Projekt im angegebenen Verzeichnis gespeichert. Falls das Kontrollkästchen Projektverzeichnis anlegen aktiviert ist, wird im angegebenen Pfad ein Verzeichnis mit dem Namen des Projekts angelegt. Wenn also als Projektname beispielsweise der Name 'App1' angegeben würde, würde im oben dargestellten Dialog der vollständige Pfad zur Projektdatei 'C:\Development\Working Group1\App1\App1.prj' lauten.

Vorlage verwenden

Wenn Sie den Eintrag Vorlage verwenden auswählen, erscheint folgender Dialog, mit dem Sie das neue Projekt angeben und eine Vorlage auswählen können, mit der das Projekt angelegt werden soll:

Projektvorlagen

In Abhängigkeit vom ausgewählten Compiler-Typ können Sie eine der angebotenen Projektvorlagen verwenden. Wählen Sie aus der Liste Compiler zunächst den gewünschten Compiler und dann aus den Vorlagen den Vorlagentyp aus, mit dem Sie das Projekt erstellen wollen. Geben Sie schließlich im Feld Projektname den Namen für Ihr Projekt an. Denken Sie daran, den Speicherort entweder manuell oder mit Hilfe des 'Öffnen'-Dialogs per Durchsuchen anzugeben. Es empfiehlt sich, den Speicherort bei der ersten Verwendung einer Projektvorlage vorzugeben und ihn dann beizubehalten. Dieser Speicherort ist das übergeordnete Startverzeichnis für Ihre Projekte, da UEStudio für jedes Projekt automatisch einen eigenen Ordner mit dem Namen des Projekts anlegt. Die meisten der Projektvorlagen legen automatisch ein Projekt an, das dann in UEStudio geöffnet wird; einige der Projektvorlagen benötigen allerdings die Angabe weiterer Optionen, bevor ein Projekt angelegt wird. Die Projektvorlage Benutzerdefinierte Vorlage wird für alle Compiler angeboten.

Funktionen zum Sichern von Projekten (Bereich 'Projekt')

Sichern

Betätigen Sie diese Schaltfläche, um sofort eine Sicherheitskopie von den Dateien des aktiven Projekts anzulegen. Falls das Feld Speicherort leer gelassen wird, werden die Sicherheitskopien mit demselben Namen erstellt wie das aktive Projekt. Falls ein Pfad angegeben wird, erzeugt der Projekt-Manager Namen mit einem Datumsstempel.

Wiederherstellen

Wenn Sie diese Schaltfläche betätigen, können Sie in einem Dialog die Version der Sicherheitskopien auswählen, die Sie für das ausgewählte Projekt wiederherstellen lassen wollen.

Kopie löschen

Wenn Sie diese Schaltfläche betätigen, können Sie aus einem Kontextmenü, das die Sicherheitskopien für das aktive Projekt enthält, diejenigen Sicherheitskopien auswählen, die gelöscht werden sollen.

Funktionen im Bereich 'Projektliste'

Hinzufügen

Betätigen Sie diese Schaltfläche, um bereits erstellte Projekte einzeln zur Projektliste hinzufügen.

Entfernen

Betätigen Sie diese Schaltfläche, um Projekte aus der Projektliste zu entfernen. Wenn Sie ein einzelnes Projekt ausgewählt haben öffnet der Projekt-Manager dabei das Projektverzeichnis im Windows-Explorer, damit Sie Projektdateien bei Bedarf einfacher löschen können. Wenn Sie mehrere Projekte ausgewählt haben, entfernt der Projekt-Manager diese Projekte nur aus der Projektliste und löscht sie nciht von der Festplatte.

Suchen

Betätigen Sie diese Schaltfläche, um alle Projekte zur Projektliste hinzuzufügen, die im ausgewählten Verzeichnis gefunden werden.

Löschen

Betätigen Sie diese Schaltfläche, um die gesamte aktive Projektliste zu löschen.

Funktionen im Bereich 'Batch-Builder'

Öffnen

Betätigen Sie diese Schaltfläche, um den Dialog 'Batch-Builder' für die Stapelverarbeitung zu öffnen.

Neu

Wählen Sie ein Projekt aus der Projektliste aus und betätigen Sie diese Schaltfläche, um auf einfache und schnelle Weise eine Batch-Builder-Liste zu erstellen.


Befehl 'Auschecken'

Der Befehl 'Auschecken' (Menü 'Projekt | CVS')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'CVS - Auschecken' auf, mit dem sich CVS-Zugänge und ihre Optionen für das Auschecken konfigurieren lassen.

Zugang

Wählen Sie aus diesem Listenfeld den gewünschten Zugang aus. Falls der gewünschte CVS-Zugang noch nicht vorhanden ist, betätigen Sie die Schaltfläche Ändern, um den Dialog 'CVS-Manager' aufzurufen, mit dem Sie Ihre Zugänge verwalten können.

Modul

Dieses Listenfeld enthält die Verzeichnisinhalte der obersten Ebene für den CVS-Bestand (Repository). Betätigen Sie die Schaltfläche Aktualisieren, um die die Liste der Module im CVS-Bestand zu aktualisieren (sofern diese Funktion von dem CVS-Server unterstützt wird). Module werden als Unterordner zu dem Verzeichnis angelegt, das im Feld Lokaler Pfad angegeben ist.

Lokaler Pfad

Tragen Sie in dieses Feld den Pfad zum lokalen Verzeichnis ein, in das die durch das CVS ausgecheckten Dateien geschrieben werden sollen. Wahlweise können Sie die Schaltfläche '...' betätigen, um nach dem gewünschten Verzeichnis zu suchen.

Modulname als Auscheckverzeichnis verwenden

Aktivieren Sie diese Option, um den Namen des Moduls auch als Name für das Verzeichnis unterhalb des durch Lokaler Pfad angegebenen lokalen Kopieverzeichnisses zu verwenden, in das die ausgecheckten Dateien geschrieben werden. Wenn Sie diese Option deaktivieren, müssen Sie das gegebenenfalls zu verwendende Verzeichnis im Feld Verzeichnis angeben.

Standardmäßigen Startzweig auschecken

Aktivieren Sie diese Option, um die aktuellste Fassung des angegebenen Moduls als Ausgangspunkt zum Öffnen der gewünschten Dateien zu verwenden. Wenn Sie diese Option deaktivieren, müssen Sie den gewünschten Zweig im Feld Zweig/Tag angeben.

Dateien hinzufügen zu

Diese Einstellung bezieht sich nur auf UEStudio-Projekte und hat keinen direkten Bezug zu CVS. Für das Auschecken der Dateien können Sie zwischen folgenden Optionen wählen:

    • Neuem Projekt

Die mit diesem Dialog ausgecheckten Dateien werden zu einem neuen Projekt hinzugefügt. Durch Betätigung der Schaltfläche Auschecken wird der Dialog 'Projekteinstellungen' aufgerufen, in dem Sie die neuen Projektparameter definieren können.

    • Aktuellem Projekt

Die ausgecheckten Dateien werden zum aktuellen Projekt hinzugefügt.

    • Keinem Projekt

Die ausgecheckten Dateien werden keinem Projekt hinzugefügt.

Auschecken

Betätigen Sie diese Schaltfläche, um die Dateien des angegebenen Zweigs zu übernehmen. Sobald die angegebenen Dateien übernommen wurden, sollte jedes Verzeichnis ein CVS-Unterverzeichnis aufweisen, in dem die Informationen gespeichert werden, die mit den Dateien des aktiven Verzeichnisses in Zusammenhang stehen (u.a. eine Auflistung der Dateien, Versionen und Tags im aktiven Verzeichnis).

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Aktualisieren'

Der Befehl 'Aktualisieren' (Menü 'Projekt | CVS')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Im Menü 'Projekte | CVS' gibt es zwei Befehle zum Aktualisieren:

    • Der erste aufgeführte Befehl ist nur dann aktiv, wenn ein CVS-Projekt geladen wurde. Ein Projekt gilt als CVS-Projekt, wenn im Project Settings dialog die Option CVS-Unterstützung aktiviert und ein gültiges CVS-Modul ausgewählt ist. Wenn nun ein CVS-Projekt geladen ist und diese Einstellungen entsprechend vorhanden sind, wird das Aktualisieren ohne weitere Nachfrage oder Auswahl durchgeführt, da einfach auf die aktuellen Einstellungen des CVS-Projekts zurückgegriffen wird.

    • Wenn Sie den zweiten Befehl zum Aktualisieren aufrufen, wird der Dialog 'CVS - Aktualisieren' angezeigt, mit dem Sie die Parameter zum Aktualisieren der Datei bzw. des Moduls im CVS angeben können.

Zugang

Wählen Sie aus diesem Listenfeld den gewünschten Zugang aus. Falls der gewünschte CVS-Zugang noch nicht vorhanden ist, betätigen Sie die Schaltfläche Ändern, um den Dialog 'CVS-Manager' aufzurufen, mit dem Sie Ihre Zugänge verwalten können.

Modul

Tragen Sie in diesem Feld die Datei bzw. das Modul an, die/das im CVS eingecheckt werden soll. Betätigen Sie die Schaltfläche '...', um nach einer vorhandenen Datei bzw. einem Modul zu suchen.

Aktualisierung mit letzter Revision

Diese Option ist standardmäßig aktiviert, wodurch für die Aktualisierung die aktuellste Revision aus dem CVS bezogen wird. Wenn Sie diese Option deaktivieren, wird der nachfolgende Bereich Revisionsoptionen inaktiv.

Revision nach Datum beziehen

Wählen Sie diese Option, um die letzte Revision zu beziehen, die bis zu dem Datum erstellt wurde, das im Feld Zusammenführung nach angegeben ist.

Revision nach Revision/Tag beziehen

Wählen Sie diese Option, um die Revision zu beziehen, deren Revision/Tag/Zweig specified im Feld Zusammenführung nach angegeben ist. Diese Option bleibt solange für die angegebene Datei bzw. das Modul aktiv, bis sie überschrieben wird oder mit Hilfe der Option Störende Optionen zurücksetzen zurückgesetzt wird.

Revisionen zusammenführen

Wählen Sie diese Option, um eine einzelne Revision mit dem aktuellen Arbeitsverzeichnis zusammenzuführen oder zwei unterschiedliche Revisionen im aktuellen Arbeitsverzeichnis zusammenzuführen. Wenn die Option Zusammenführung aus Standardvorgänger aktiviert ist, wird die im Feld Zusammenführung nach angegebene Revision mit dem aktuellen Arbeitsverzeichnis zusammengeführt. Wenn die Option deaktiviert ist, wird die im Feld Zusammenführung von angegebene Revision mit der im Feld Zusammenführung nach angegebenen Revision zusammengeführt.

Lokal überschreiben

Aktivieren Sie diese Option, um alle lokal geänderten Dateien mit der aktuellsten CVS-Revision zu überschreiben und eine Sicherheitskopie von den geänderten Dateien mit dem Präfix '.#' anzulegen.

Störende Optionen zurücksetzen

Aktivieren Sie diese Option, um jegliche Tag-, Revisions- oder Datumsinformationen der CVS-Informationen aus der Arbeitskopie zu entfernen.

Leere Ordner entfernen

Aktivieren Sie diese Option, um Verzeichnisse in der Arbeitskopie zu löschen, die im CVS-Bestand (Repository) leer sind.

Fehlende Dateien anlegen

Aktivieren Sie diese Option, um Dateien oder Verzeichnisse zu beziehen, die in der Arbeitskopie fehlen.

Aktualisieren

Betätigen Sie diese Schaltfläche, um die angegebenen Dateien zu aktualisieren.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Einchecken'

Der Befehl 'Einchecken' (Menü 'Projekt | CVS')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Im Menü 'Projekt | CVS' gibt es zwei Befehle zum Einchecken:

    • Der erste aufgeführte Befehl ist nur dann aktiv, wenn ein CVS-Projekt geladen wurde. Ein Projekt gilt als CVS-Projekt, wenn im Dialog 'Projekteinstellungen' die Option CVS-Unterstützung aktiviert und ein gültiges CVS-Modul ausgewählt ist. Wenn nun ein CVS-Projekt geladen ist und diese Einstellungen entsprechend vorhanden sind, wird das Einchecken ohne weitere Nachfrage oder Auswahl durchgeführt, da einfach auf die aktuellen Einstellungen des CVS-Projekts zurückgegriffen wird.

    • Wenn Sie den zweiten Befehl zum Einchecken aufrufen, wird der Dialog 'CVS - Einchecken' angezeigt, mit dem Sie die Parameter zum Einchecken einer Datei bzw. eines Moduls ins CVS angeben können.

Zugang

Wählen Sie aus diesem Listenfeld den gewünschten Zugang aus. Falls der gewünschte CVS-Zugang noch nicht vorhanden ist, betätigen Sie die Schaltfläche Ändern, um den Dialog 'CVS-Manager' aufzurufen, mit dem Sie Ihre Zugänge verwalten können.

Modul

Tragen Sie in diesem Feld die Datei bzw. das Modul an, die/das im CVS eingecheckt werden soll. Betätigen Sie die Schaltfläche '...', um nach einer vorhandenen Datei bzw. einem Modul zu suchen.

An Standardposition einchecken

Diese Option ist standardmäßig aktiviert, wodurch die angegebene Datei bzw. das Modul im aktuellsten Zweig des CVS-Bestands (Repository) eingecheckt wird.

Neue Revision erzwingen

Aktivieren Sie diese Option, um die Revisionsnummer der angegebenen Datei bzw. des Moduls auch dann zu erhöhen, wenn keine Änderungen festgestellt werden konnten.

Rekursiv

Diese Option steht nur zur Verfügung, wenn die Option Neue Revision erzwingen aktiviert ist. Wenn Sie diese Option aktivieren, werden die Revisionsnummern für alle Dateien und Module unterhalb der angegebenen Datei bzw. des Moduls rekursiv hochgezählt.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Importieren'

Der Befehl 'Importieren' (Menü 'Projekt | CVS')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'CVS - Importieren' auf, mit dem sich die Einstellungen für das Importieren von Elementen in das CVS vornehmen lassen.

Zugang

Wählen Sie aus diesem Listenfeld den gewünschten Zugang aus. Falls der gewünschte CVS-Zugang noch nicht vorhanden ist, betätigen Sie die Schaltfläche Ändern, um den Dialog 'CVS-Manager' aufzurufen, mit dem Sie Ihre Zugänge verwalten können.

Zu importierendes Verzeichnis

Tragen Sie in dieses Feld das Verzeichnis ein, dessen Dateien und Verzeichnisse unter dem Modulnamen in den CVS-Bestand (Repository) aufgenommen werden sollen. Wahlweise können Sie die Schaltfläche '...' betätigen, um nach dem gewünschten Verzeichnis zu suchen.

Modulname

Tragen Sie in dieses Feld den Namen für das Modul ein, unter dem die importierten Dateien und Verzeichnisse in den CVS-Bestand übernommen werden sollen.

Vendor-Tag

Tragen Sie in dieses Feld das anfängliche Zweig-Tag ein, das beim Importieren zur Identifizierung des Moduls verwendet werden soll.

Release-Tag

Das Release-Tag ermöglicht die eindeutige Identifikation der Dateien aus diesem und allen folgenden Importvorgängen in das CVS.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Exportieren'

Der Befehl 'Exportieren' (Menü 'Projekt | CVS')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'CVS - Exportieren' auf, mit dem sich CVS-Zugänge und die Optionen für das Exportieren konfigurieren lassen.

Zugang

Wählen Sie aus diesem Listenfeld den gewünschten Zugang aus. Falls der gewünschte CVS-Zugang noch nicht vorhanden ist, betätigen Sie die Schaltfläche Ändern, um den Dialog 'CVS-Manager' aufzurufen, mit dem Sie Ihre Zugänge verwalten können.

Modul

Dieses Listenfeld enthält die Verzeichnisinhalte der obersten Ebene für den CVS-Bestand (Repository). Betätigen Sie die Schaltfläche Aktualisieren, um die die Liste der Module im CVS-Bestand zu aktualisieren.

Lokaler Pfad

Tragen Sie in dieses Feld den Pfad zum lokalen Verzeichnis ein, in das die exportierten Dateien geschrieben werden sollen. Wahlweise können Sie die Schaltfläche '...' betätigen, um nach dem gewünschten Verzeichnis zu suchen.

Modulname als Exportverzeichnis verwenden

Aktivieren Sie diese Option, um den Namen des Moduls auch als Name für das Verzeichnis unterhalb des durch Lokaler Pfad angegebenen lokalen Verzeichnisses zu verwenden, in das die Dateien exportiert werden. Wenn Sie diese Option deaktivieren, müssen Sie das gegebenenfalls zu verwendende Verzeichnis im Feld Verzeichnis angeben.

Standard-HEAD-Zweig auschecken

Aktivieren Sie diese Option, um die aktuellste Fassung des angegebenen Moduls als Ausgangspunkt zum Öffnen der gewünschten Dateien zu verwenden. Wenn Sie diese Option deaktivieren, müssen Sie den gewünschten Zweig im Feld Zweig/Tag angeben.

Dateien hinzufügen zu

Diese Einstellung bezieht sich nur auf UEStudio-Projekte und hat keinen direkten Bezug zu CVS. Für das Auschecken der Dateien können Sie zwischen folgenden Optionen wählen:

    • Neuem Projekt

Die mit diesem Dialog exportierten Dateien werden zu einem neuen Projekt hinzugefügt. Durch Betätigung der Schaltfläche Exportieren wird der Dialog 'Projekteinstellungen' aufgerufen, in dem Sie die neuen Projektparameter definieren können.

    • Aktuellem Projekt

Die exportierten Dateien werden zum aktuellen Projekt hinzugefügt.

    • Keinem Projekt

Die exportierten Dateien werden keinem Projekt hinzugefügt.

Exportieren

Betätigen Sie diese Schaltfläche, um die Dateien des angegebenen Zweigs zu exportieren.

Anmerkung: Der einzige Unterschied zwischen dem Befehl Auschecken und dem Befehl Exportieren besteht darin, dass die angegebenen Dateien beim Exportieren ohne jegliche CVS-Informationen geöffnet werden. Beim Exportieren von Dateien wird in den exportierten Verzeichnissen kein CVS-Unterverzeichnis mit den Dateinamen, Versionen und Tags angelegt. Exportierte Dateien lassen sich nicht aktualisieren, einchecken oder anderweitig in den CVS-Bestand zurückholen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'CVS-Manager'

Der Befehl 'CVS-Manager' (Menü 'Projekt | CVS')

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Im Dialog 'CVS Manager' können Sie Zugänge für das Auschecken von Dateien beim CVS-Server erstellen und die Einstellungen für diese Zugänge vornehmen.

CVS-Zugänge

Neuer Zugang

Betätigen Sie diese Schaltfläche, um einen neuen Zugang mit folgenden Server-Einstellungen anzulegen:

  • Zugang

Tragen Sie in dieses Feld den Namen für den Zugang ein.

  • Protokoll

Wählen Sie einen der beiden möglichen Werte pserver und ext aus.

  • pserver ist das standardmäßige CVS-Kommunikationsverfahren mit einer Benutzername/Passwort-Anmeldung, das mit nicht sicherem, unverschlüsseltem Reintext arbeitet.
  • ext startet eine externe SSH-Anwendung (secure shell), für die ein Benutzername und ein Autorisierungscode angegeben werden. Dieses verschlüsselte Verfahren verlangt bei jedem Aufruf die erneute Eingabe des Passworts.
  • Server

Tragen Sie in dieses Feld die IP-Adresse oder den vollständigen Domain-Namen ein.

  • Port

Dieses Feld für den Port des Zugangs lassen Sie im Normalfall leer.

  • Speicherort

Tragen Sie in dieses Feld den Pfad zum CVS-Bestand (Repository) auf dem CVS-Server ein.

  • Benutzername

Tragen Sie in dieses Feld den Benutzernamen für die Anmeldung bei diesem Zugang ein. Diese Angabe ist für beide Protokolle, pserver und ext, erforderlich.

  • Passwort

Tragen Sie in dieses Feld das Passwort für die Anmeldung bei diesem Zugang ein. Diese Angabe muss für jede Nutzung eines ext-Zugangs erneut erfolgen. Für pserver-Zugänge wird diese Angabe gespeichert.

Zugang löschen

Betätigen Sie diese Schaltfläche, um einen ausgewählten Zugang zu löschen.

Standardzugang festlegen

Wählen Sie aus der Auflistung der CVS-Zugänge einen Zugang aus und betätigen Sie diese Schaltfläche, um den ausgewählten Zugang als Standardzugang festzulegen.

CVS-Einstellungen

Wenn Sie den Eintrag 'CVS-Einstellungen' auswählen, wird auf der rechten Seite des Dialogs der Eingabebereich für die CVS-Einstellungen eingeblendet.

Standardanwendungen verwenden

Diese Option ist standardmäßig aktiviert. Wenn Sie diese Option deaktivieren, müssen Sie die gewünschten ausführbaren Dateien für CVS, SSH und den Log-Editor angeben, bzw. nach Ihnen suchen.

Standardverzeichnis für das Auschecken

Tragen Sie in diesem Feld das Standardverzeichnis ein, das von CVS für das Auschecken und den Export genutzt werden soll. Diese Angabe lässt sich in den jeweiligen CVS-Befehlsdialogen einzeln überschreiben.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


CTags-Unterstützung

Die Unterstützung von CTags

Hinweis: Diese Funktionalität steht nur in UltraEdit-32 zur Verfügung, nicht aber in UEStudio. In UEStudio erfolgt der Zugriff auf die Tags in der Baumansicht für Dateien .

UltraEdit unterstützt den Einsatz von CTags sowohl als Bestandteil eines Projekts als auch unabhängig davon.

Was ist CTags?

CTags erzeugt eine Tag-Datei (oder Indexdatei) mit den C/C++-Objekten und -Funktionen, die in den Header- und Quelldateien gefunden werden, wodurch Sie in UltraEdit schnell auf diese Einträge zugreifen können.

CTags-EXE

UltraEdit ist auf einen externen Generator für die Tag-Dateien angewiesen. Es gibt mehrere Versionen von CTags und wir empfehlen das unter http://ctags.sourceforge.net/ erhältliche Programm Exuberant CTags.

UltraEdit kann auf eine vorhandene Tag-Datei zurückgreifen oder, falls ein ausführbares Programm (EXE) zum Erstellen von CTags zur Verfügung steht, die Tag-Datei selber erstellen. Wenn Sie die Programmdatei 'ctags.exe' von Exuberant CTags verwenden und es in das Programmverzeichnis von UltraEdit kopieren kann UltraEdit die Tag-Dateien direkt erstellen.

Hinweis: UltraEdit enthält aufgrund von Lizenzbestimmungen nach der Installation keine CTags-EXE.

CTags-Optionen für UltraEdit einstellen

Vom Menü 'Projekt' aus können Sie die CTags-Optionen ändern und die Tag-Datei erstellen. Im Dialog 'Optionen für den Einsatz von CTags' können Sie folgende Einstellungen vornehmen:

Standardmäßige Tag-Datei

In diesem Feld können Sie die Tag-Datei angeben, die verwendet werden soll, falls in den Projekteinstellungen keine bestimmte Tag-Datei für das Projekt festgelegt wurde. Diese Datei muss angegeben sein, wenn keine projektspezifische Tag-Datei vorhanden ist, in der UltraEdit nach Symbolen suchen kann.

Pfad/Name der CTags-EXE

In diesem Feld können Sie den vollständigen Pfad und Namen der ausführbaren Programmdatei für CTags angeben, die ausgeführt wird, um die Tag-Datei von UltraEdit aus zu erstellen. Wenn hier kein Programm angegeben ist, kann UltraEdit sich für die Suche nach Symbolen dennoch auf eine Tag-Datei beziehen, aber es können dann keine Tag-Dateien erstellt werden. Standardmäßig ist hier die Programmdatei 'ctags.exe' mit dem Programmverzeichnis von UltraEdit angegeben.

CTags-Parameter

In diesem Feld können Sie Parameter angeben, die an die CTags-EXE übergeben werden, damit diese richtig funktioniert. Standardmäßig sind die Einstellungen für das bereits erwähnte Exuberant CTags vorgegeben.

Der Parameter %fi (File Input) wird durch einen Dateinamen mit Pfad ersetzt, wenn die CTags-EXE mit einer Datei ausgeführt werden soll, die eine Liste der Dateien enthält, aus denen die Tags bzw. Symbole für die Tag-Datei gewonnen werden sollen. Wenn in UltraEdit ein Projekt geöffnet ist, legt UltraEdit eine temporäre Datei mit einer Liste der Projektdateien an und übergibt diese an Stelle von %fi.

Der Parameter %fo (File Output) wird durch den vollständigen Dateinamen mit Pfad für die Tag-Datei ersetzt, die erstellt werden soll. Diese Tag-Datei würde dann in den Projekteinstellungen oder im Feld Standardmäßige Tag-Datei angegeben werden.

Erstellen der Tag-Datei

Die Tag-Datei kann wahlweise aus dem Menü 'Projekt' heraus mit dem Befehl Tag-Datei erstellen oder automatisch beim Öffnen eines Projekts erstellt werden, wenn die Projekteinstellungen dies vorsehen.

Tag bzw. Symbol suchen

Der ganze Zweck von CTags besteht darin, eine C/C++-Funktion oder ein Objekt schnell finden zu können, die bzw. das an einer anderen Stelle in der Datei oder in einer anderen Datei definiert ist. Sobald eine Tag-Datei vorhanden ist, führt die Auswahl des Befehls Symbol suchen aus dem Menü 'Suchen' dazu, dass die Tag-Datei nach dem angegebenen Symbol durchsucht wird. Wenn es nur einen Treffer gibt, wird die entsprechende Datei in UltraEdit geöffnet und die Fundstelle des Symbols angezeigt. Wenn es mehrere Fundstellen gibt, wird ein Dialogfenster angezeigt, in dem Sie das gewünschte Tag/Symbol auswählen können.

Hinweis: Diese Funktionalität steht nur in UltraEdit-32 zur Verfügung, nicht aber in UEStudio. In UEStudio erfolgt der Zugriff auf die Tags in der Baumansicht für Dateien .


Befehle im Menü 'Erstellen'

Die Befehle im Menü 'Erstellen'

Hinweis: Diese Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Das Menü 'Erstellen' enthält Befehle zum Debuggen, Kompilieren oder Ausführen der Dateien aus dem aktiven Projekt. Bevor die meisten dieser Befehle genutzt werden können, müssen Sie das Projekt über den Dialog 'Projekteinstellungen' , der sich mit dem Befehl Projekt | Dateien/Einstellungen aufrufen lässt, als kompilierbar deklarieren und einen Compiler auswählen, der für Ihr Projekt genutzt werden soll.

Das Menü 'Erstellen' stellt folgende Befehle bereit:

Kompilieren | Führt den ausgewählten Compiler für die aktive Datei aus.
Erstellen | Erstellt sämtliche Dateien des aktiven Projekts unter Berücksichtigung der aktiven Zieldatei und der gegenseitigen Abhängigkeiten.
Alles neu erstellen | Erstellt sämtliche Dateien für die aktive Zieldatei neu, ohne etwaige Abhängigkeiten zu berücksichtigen.
Batch erstellen | Erstellt eine Reihe von Dateien (EXEs, DLLs) unter Berücksichtigung der aktiven Zieldatei und der gegenseitigen Abhängigkeiten.
Bereinigen | Entfernt temporäre Dateien und ausführbare Zieldateien.
Debugger starten | Setzt den Debugger für die aktive Datei in Gang.
Anwendung ausführen | Führt die ausgewählte ausführbare Ergebnisdatei aus.
Befehle ausführen | Blendet ein Untermenü zum Ausführen oder Debuggen der ausgewählten Zieldatei oder zur Anzeige des Makefiles an.
Compiler auswählen | Ruft den Dialog 'Compiler auswählen' auf.
Compiler-Optionen | Ruft den Dialog 'Compiler-Optionen' auf.
Fortgeschrittene Erstellungsoptionen | Ruft den Dialog 'Fortgeschrittene Erstellungsoptionen' auf.
Compiler-Pfade | Ruft den Dialog 'Compiler-Pfade einrichten' auf.
Make-File neu erzeugen | Erzeugt die Steuerdatei für den Kompilierungsvorgang in abhängigkeit von den aktuellen Konfigurationseinstellungen neu.
Tag-Liste anzeigen | Öffnet die Tag-Liste für das aktive Projekt.

Hinweis: Diese Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Kompilieren'

Der Befehl 'Kompilieren' (Menü 'Erstellen')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl speichert gegebenenfalls die aktuelle Datei und kompiliert sie. Falls noch kein Compiler festgelegt wurde oder die Compiler-Optionen für das Projekt noch nicht eingestellt wurden, wird zunächst der Dialog 'Compiler auswählen' und dann der Dialog 'Projekteinstellungen' aufgerufen, bevor anschließend der Kompilierungsprozess in Gang gesetzt wird.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Erstellen'

Der Befehl 'Erstellen' (Menü 'Erstellen')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl speichert gegebenenfalls die aktuelle Datei und erstellt die Zieldatei(en) für das Projekt. Falls noch kein Compiler festgelegt wurde oder die Compiler-Optionen für das Projekt noch nicht eingestellt wurden, wird zunächst der Dialog 'Compiler auswählen' und dann der Dialog 'Projekteinstellungen' aufgerufen, bevor anschließend der Erstellungsprozess (Build) in Gang gesetzt wird.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Alles neu erstellen'

Der Befehl 'Alles neu erstellen' (Menü 'Erstellen')

Dieser Befehl entfernt alle vom Compiler erzeugten Dateien und erstellt anschließend das Projekt neu.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Batch erstellen'

Der Befehl 'Batch erstellen' (Menü 'Erstellen')

Mit diesem Befehl lassen sich mehrere ausführbare Dateien (EXEs, DLLs) mit gegenseitiger Abhängigkeit erstellen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Bereinigen'

Der Befehl 'Bereinigen' (Menü 'Erstellen')

Dieser Befehlt entfernt alle Zwischenschrittdateien und ausführbaren Zieldateien aus dem aktiven Projekt.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Debugger starten'

Der Befehl 'Debugger starten' (Menü 'Erstellen')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl startet den Debugger für die aktuelle Datei.

Festlegen des zu verwendenden Debuggers

In den meisten Fällen, in denen die Nutzung eines Debuggers angebracht ist, wird dieser bereits festgelegt sein, da die meisten Compiler einen zugehörigen Debugger mitbringen, der in den Compiler-Optionen im Bereich 'Linker-Optionen' im Schlüssel 'Debugger' angegeben sein wird (z.B. ist für Visual Studio der Debugger als "msdev" angegeben):

Ein Doppelklick auf den Schlüssel 'Debugger' öffnet einen Dialog, mit dem Sie bei Bedarf einen anderen zu verwendenden Debugger eintragen können:

Aufruf aus der Symbolleiste

Den Debugger können Sie auch aufrufen, indem Sie in der 'Werkzeuge'-Symbolleiste auf die Debugger-Schaltfläche klicken:

Konfiguration im Dialog 'Compiler auswählen'

UEStudio überprüft, ob ein Debugger angegeben ist. Falls noch kein zu verwendender Debugger festgelegt wurde, wird ein Dialog angezeigt, mit dem Sie den Debugger für die aktuelle Datei auswählen können. Falls bereits ein Debugger festgelegt wurde, fragt UEStudio nach, ob dieser Debugger als Standard für zukünftige Projekte eingestellt werden soll. Wenn Sie die Frage mit Ja beantworten, wird sich der ausgewählte Debugger in der Compiler-Konfigurationsdatei gemerkt, damit diese Einstellung bei der Auswahl eines neuen Projekts sofort zur Verfügung steht und nicht auf das aktive Projekt beschränkt bleibt.

Konfiguration bearbeiten

Wenn Sie im Dialog 'Compiler auswählen' die Schaltfläche Konfiguration bearbeiten betätigen, wird die Compiler-Konfigurationsdatei angezeigt, die Sie als erfahrener Anwender mit guten Kenntnissen über die Funktionalität Ihres Compilers/Debuggers bei Bedarf bearbeiten können:

Sie können hier beispielsweise Abhängigkeiten definieren, wenn Sie den Debugger als Konsolen-Debugger (gdb) oder als fensterbasierter Debugger (WinDbg) laufen lassen wollen.

In der Konfigurationsdatei können Sie den Schlüssel 'Debug' auswählen und den Abschnitt [Start Debugger] anpassen. Wenn standardmäßig beispielsweise ein fensterbasierter Debugger eingestellt ist, Sie aber lieber einen Konsolen-Debugger verwenden möchten, dann müssten Sie in diesem Bereich den Schlüssel 'DisplayConsole=1' ändern bzw. hinzufügen.

Lokale Konfiguration

Wenn Sie im Dialog 'Compiler auswählen' die Schaltfläche Lokale Konfiguration betätigen, wird die Compiler-Konfigurationsdatei im Projektverzeichnis und werden etwaige nachfolgende Änderungen lokal zusammen mit dem Projekt gespeichert.

Sobald ein Debugger festgelegt wurde, können Sie ihn von der 'Werkzeuge'-Symbolleiste aus über das Untermenü der Schaltfläche Befehle aus aufrufen:

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Anwendung ausführen'

Der Befehl 'Anwendung ausführen' (Menü 'Erstellen')

Dieser Befehl führt die Anwendung aus, die mit dem ausgewählten Compiler erstellt wurde, und ruft zuvor den Erstellungsprozess auf, falls die Anwendung noch nicht vorhanden ist.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Befehle ausführen...'

Der Befehl 'Befehle ausführen...' (Menü 'Erstellen')

Dieser Befehl zeigt ein Popup-Menü mit einer variablen Anzahl von Einträgen an, die von der verwendeten Compiler-Konfiguration und den für diese Compiler-Konfiguration eingestellten Befehlen abhängen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Compiler auswählen...'

Der Befehl 'Compiler auswählen...' (Menü 'Erstellen')

Dieser Befehl ruft den Dialog 'Compiler auswählen' auf, mit dem Sie den für das aktuelle Projekt zu verwendenden Compiler festlegen können.

Hinweis: Diese Funktion steht nur in UEStudio '05 zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Compiler-Optionen...'

Der Befehl 'Compiler-Optionen...' (Menü 'Erstellen')

Dieser Befehl ruft den Dialog 'Compiler-Optionen' auf, mit dem Sie den für das aktuelle Projekt zu verwendenden Compiler konfigurieren können.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Fortgeschrittene Erstellungsoptionen'

Der Befehl 'Fortgeschrittene Erstellungsoptionen' (Menü 'Erstellen')

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'Fortgeschrittene Erstellungsoptionen' auf, mit dem Sie über mehrere Optionen eine größere Kontrolle über den Erstellungsprozess (Build) ausüben können.

Der Dialog bietet Zugang zu folgenden Optionen:

Option | Verwendung
Standardausgaben (StdOut) erfassen | Die meisten Compiler geben an dieser Stelle zwar nur informative Meldungen aus, aber es empfiehlt sich, diese Option aktiviert zu lassen. Falls diese Option deaktiviert ist, werden keine der StdOut zugewiesenen Nachrichten von Compilern und Erstellungswerkzeugen angezeigt.
Standardfehlermeldungen (StdErr) erfassen | Wie zuvor, allerdings für StdErr. Compiler geben an dieser Stelle Warnungen und Fehlermeldungen aus.
Erstellungsbefehle während der Ausführung anzeigen | Standardmäßig ist diese Option nicht aktiviert. Wenn Ihnen angezeigt werden soll, welche Erstellungsbefehle gerade verwendet werden, sollte diese Option aktiviert werden.
Log-Dateien für Erstellung anlegen | Wenn diese Option aktiviert ist, werden während der Ausführung der Befehle Kompilieren, Erstellen, Alles neu erstellen etc. HTML-Dateien mit einer Auflistung der Befehle erzeugt.
Werkzeuge verborgen ausführen | Standardmäßig werden alle Compiler und Erstellungswerkzeuge im HIDE-Modus ausgeführt und ihre Ausgaben aufgezeichnet. Um dies zu vermeiden, können Sie diese Option deaktivieren.
Ausgabefenster autom. anzeigen | Um die Ausgaben von StdOut und StdErr während der Ausführung der Erstellungsbefehle angezeigt zu bekommen, muss diese Option aktiviert sein.
Ausgabefenster autom. scrollen | Standardmäßig setzt UEStudio beim Schreiben von Meldungen in das Ausgabefenster die aktive Zeilenposition auf die gerade geschriebene Zeile. In einigen Situationen kann dadurch der Erstellungsprozess ausgebremst werden.
Einfaches Erfassungsverfahren (für alte DOS-Compiler) | Diese Option aktiviert ein alternatives Erfassungsverfahren für Ausgaben des Compilers. Aktivieren Sie diese Option bitte nur dann, wenn Ihr Compiler oder Werkzeug sich nach dem Aufruf durch UEStudio "aufhängt".
Erstellung anhalten nach # Fehlermodul(en) | UEStudio wacht über die Fehler- und Warnmeldungen, die vom Compiler in das Ausgabefenster während des Erstellungsvorgangs geschrieben werden. Falls die Anzahl der Meldungen die Grenze überschreitet, wird die Erstellung nach Abschluss der Kompilierung der aktuellen Einheit abgebrochen.
Priorität | Wenn beim Erstellen eines umfangreichen Projekts andere Prozesse über die Maße ausgebremst werden, sollte die Priorität auf 'Idle' gesetzt werden. Bei Bedarf lassen sich auch höhere Prioritäten auswählen.
Verschachtelungstiefe für Include-Dateien | Während der Kompilierung der Quelltexte sucht UEStudio die darin angegebenen Include-Dateien ab, um Abhängigkeiten aufzulösen. Dieser Wert bestimmt die maximale Tiefe bzw. Rekursionsebene, bis die Suche abgebrochen wird. Beachten Sie bitte, dass die Suche entsprechend länger dauert, je höher die Verschachtelungstiefe ist.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit.


Befehl 'Compiler-Pfade...'

Der Befehl 'Compiler-Pfade...' (Menü 'Erstellen')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'Compiler-Pfade einrichten' auf, mit dem Sie die Pfade zu zahlreichen unterschiedlichen Compilern festlegen können.

Sie können den Pfad für einen Compiler entweder direkt in das Textfeld neben dem Compiler-Namen eingeben oder die zugehörige Schaltfläche '...' betätigen, um nach der gewünschten EXE-Datei des Compilers zu suchen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehle im Menü 'Solution'

Die Befehle im Menü 'Solution'

Hinweis: Diese Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Was ist eine Solution?

UEStudio unterstützt zur Verwaltung von Entwicklungsressourcen zwei verschiedene Arten von Dateizusammenstellungen: Solutions und Projekte. Solutions und Projekte enthalten jeweils die Dateien, die für die Erstellung Ihrer Anwendung benötigt werden.

Solutions sind für die Verwaltung mehrerer zusammenhängender Projekte in Bezug auf die Konfiguration, Erstellung und Verteilung gedacht. Abhängig von Ihren Anforderungen kann eine Solution in UEStudio sowohl ein einziges Projekt als auch mehrere Projekte beinhalten, die gemeinsam von einem Entwicklungsteam erstellt werden. Eine komplexe Anwendung kann auch mehrere Solutions erforderlich machen.

Eine Solution kann mehrere Projekte enthalten und ein Projekt enthält typischerweise mehrere Dateien. Mit Hilfe dieser beiden Dateizusammenstellungen können Sie die Vorteile der integrierten Entwicklungsumgebung (IDE) besser ausnutzen.

Das Menü 'Solution'

Das Menü 'Solution' stellt folgende Befehle bereit:

Neue Solution | Ruft den Dialog zum Anlegen einer neuen Solution (.prw) auf.
Öffne Solution | Ruft den Dialog zum Auswählen und Öffnen einer bestehenden Solution auf.
Schließe Solution | Schließt die aktuell bearbeitete Solution.
Projekt hinzufügen | Ruft einen Dialog auf, mit dem Sie nach Projekten suchen können, um sie zur aktiven Solution hinzuzufügen.
Projekt entfernen | Entfernt das aktuelle Projekt aus der aktiven Solution.

Hinweis: Diese Funktionen stehen nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Neue Solution'

Der Befehl 'Neue Solution' (Menü 'Solution')

Dieser Befehl ruft den 'Speichern unter'-Dialog auf, mit dem Sie eine neue Solution-Datei (.prw) anlegen können, der sich mehrere Projektdateien (.prj) zuordnen lassen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Öffne Solution'

Der Befehl 'Öffne Solution' (Menü 'Solution')

Dieser Befehl ruft den 'Öffnen'-Dialog auf, mit dem Sie eine zu öffnende Solution-Datei (.prw) auswählen können.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Schließe Solution'

Der Befehl 'Schließe Solution' (Menü 'Solution')

Dieser Befehl schließt die aktive Solution.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Projekt hinzufügen'

Der Befehl 'Projekt hinzufügen' (Menü 'Solution')

Dieser Befehl ruft einen 'Öffnen'-Dialog auf, mit dem Sie eine Projektdatei (.prj) für die aktuell bearbeitete Solution öffnen können.

Wenn ein Projekt in einer Solution geöffnet wird, wird dieses Projekt in der Solution-Datei (Initialisierungsdatei) als aktiv gekennzeichnet, sodass dieses Projekt beim nächsten Öffnen der Solution ebenfalls geöffnet wird.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Projekt entfernen'

Der Befehl 'Projekt entfernen' (Menü 'Solution')

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Dieser Befehl ruft den Dialog 'Projekte in Solution' auf:

Die in diesem Dialog markierten Projekte (.prj) werden aus der aktuellen Solution (.prw) entfernt, indem Sie die Schältfläche Projekt(e) entfernen betätigen.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehle im Menü 'Ansicht'

Die Befehle im Menü 'Ansicht'

Das Menü 'Ansicht' stellt folgenden Befehle bereit:

Umgebungen | Zeigt den Dialog »Umgebung auswählen« an, um die aktuelle Umgebung festzulegen (Menüs/Symbolleisten/andockbare Fenster)
Ansichten/Listen | Symbolleiste | Blendet die Symbolleiste ein/aus.
Ansichten/Listen | Statuszeile | Blendet die Statuszeile ein/aus.
Ansichten/Listen | Reiter für offene Dateien | Blendet die Karteireiter für offene Dateien ein/aus.
Ansichten/Listen | Baumansicht | Blendet die Baumansicht für die Dateien ein/aus.
Ansichten/Listen | ASCII-Tabelle | Zeigt die ASCII-Tabelle an.
Ansichten/Listen | Funktionsliste | Blendet die Funktionsliste ein/aus.
Ansichten/Listen | Makro-Liste | Blendet die Makro-Liste ein/aus.
Ansichten/Listen | Tag-Liste | Blendet die Tag-Liste ein/aus.
Ansichten/Listen | Textbaustein-Liste | Blendet die Textbaustein-Liste ein/aus.
Ansichten/Listen | Clipboard History | Zeigt oder verbirgt the Clipboard History Liste. Ein Link wird hier hinzugefügt für jeden Text, der ins Clipboard kopiert wird, solange die History Liste aktiv ist. Ein Doppel-Klick auf einen Eintrag fügt diesen in das aktive Dokument ein.
Ansichten/Listen | Skriptenliste | Blendet die Liste aller verfügbaren Skripten ein oder aus.
Ansichten/Listen | Lesezeichenübersicht | blendet die Lesezeichenübersicht ein oder aus
Ansichten/Listen | Ausgabefenster | Blendet das Ausgabefenster ein/aus.
Ansichten/Listen | SSH/Telnet-Konsole | Blendet das SSH/Telnet-Konsolenfenster ein oder aus. Einstellungen für die SSH- bzw. Telnet-Sitzungen können in der SSH/Telnet-Zugangsverwaltung konfiguriert werden.
Ansichten/Listen | 'Schließen'-Schaltflächen deaktivieren | Blendet die 'Schließen'-Schaltfläche für die zusätzlichen Fenster (Baumansicht, Funktionsliste, Makro-Liste, Tag-Liste, Textbaustein-Liste und Ausgabefenster) ein/aus.
Ansicht als (Syntaxhervorhebung) | Zeigt die Datei mit der ausgewählten Syntaxhervorhebung an.
Codepage setzen | Öffnet den Codepage Auswahl Dialog, um die Codepage für das aktive Dokument auszuwählen
Farbeinstellung | Stellt die Farben für die Elemente des Bearbeitungsfensters ein.
Schriftart einstellen | Wählt die Schriftart für den Bildschirm aus.
Schriftart Hex/Spaltenmodus einstellen | Wählt die Bildschirmschrift für den HEX- und Spaltenmodus aus.
Schriften zurücksetzen (Vorgabe) | Setzt die Schriftarten für die Bildschirm- und Druckerausgabe auf die Vorgabe zurück.
Schrift vergrößern | Erhöht den Schriftgrad (Einzoomen).
Schrift verkleinern | Verringert den Schriftgrad (Auszoomen).
Leerstellen/TAB-Zeichen | zeigt Leerstellen und Tabulatorzeichen als sichtbare Zeichen an
Zeilenendungen anzeigen | zeigt Zeilenbegrenzungen als sichtbare Zeichen an
Seitenwechsel als Linien anzeigen | Blendet Linien an den Stellen ein, an denen ein Seitenwechsel stattfindet.
Spaltenmarkierungen einblenden | blendet die Spaltenmarkierungen ein oder aus
Spaltenmarkierungen festlegen | öffnet einen Dialog mit den Einstellungen für Spaltenmarkierungen
Kein Bildlauf links von Marke 1 | Schaltet die Fixierung des Spaltenbereichs links von der ersten Spaltenmarke ein/aus.
Geänderte Zeilen anzeigen | Blendet Markierungen für geänderte Zeilen ein oder aus.
Lineal ein/aus | Blendet ein Lineal oberhalb jedes Fensters ein/aus.
Zeilennummern ein/aus | Schaltet die Anzeige der Zeilennummern auf der linken Seite des Fensters ein/aus.
Zeilenabstand - Einfach | Aktiviert die Dateiansicht mit einfachem Zeilenabstand.
Zeilenabstand - 1,5 Zeilen | Aktiviert die Dateiansicht mit 1,5-fachem Zeilenabstand.
Zeilenabstand - Doppelt | Aktiviert die Dateiansicht mit doppeltem Zeilenabstand.
Zeilen ausblenden/anzeigen | Auswahl ausblenden/anzeigen | Verbirgt die markierten Zeilen bzw. zeigt sie wieder an.
Zeilen ausblenden/anzeigen | Alle ausblenden | Blendet alle 'entfalteten' Funktionen/Strukturen der aktiven Datei aus.
Zeilen ausblenden/anzeigen | Alle anzeigen | Blendet alle 'zugeklappten' Abschnitte der aktiven Datei ein.
Linien bei ausgeblendeten Zeilen einblenden | Führungslinien werden gemäß der Code-Faltung ein- oder ausgeblendet.
Dateiänderungen abfragen ein/aus | Überprüft die aktive Datei im eingestellten Intervall auf Änderungen.
Abgefragte Dateien autom. scrollen ein/aus | Führt ggf. einen automatischen Bildlauf zur letzten Zeile einer abgefragten Datei durch, wenn Änderungen festgestellt wurden.
Immer im Vordergrund | Aktiviert/Deaktiviert die Anzeige von UltraEdit im Vordergrund vor allen anderen Anwendungen.
Ganzer Bildschirm | Bearbeitung der aktiven Datei im Vollbildmodus.
Browser-Ansicht ein/aus | Wechselt die Ansicht zwischen HTML-Text und Browser-Ansicht (d.h. der HTML-Text wird mit der integrierten Internet-Explorer-Funktionalität interpretiert)
Browser-Ansicht aktualisieren | Lädt die angezeigte HTML-Datei neu.


Befehl 'Umgebungen' (Ansicht)

Umgebungen (Menü »Ansicht«)

Dieser Befehl öffnet den Dialog Umgebung auswählen, um die aktuelle Bearbeitungsumgebung auszuwählen.

Der Dialog Umgebung auswählen stellt eine Auswahl von vordefinierten Bearbeitungsumgebungen zur Verfügung. Eine Umgebung schliesst bestimmte Menüs, Symbolleisten, andockbare Fenster und benutzerdefinierbare Vorlagen für einige Umgebungen ein. Durch Verwendung von Umgebungen kann man viel Zeit sparen, weil die diversen Ansichtselemente nicht einzeln, sondern alle auf einmal konfiguriert werden können.

Bei der erstmaligen Anzeige des Dialogs Umgebung auswählen wird die aktuelle Umgebung auf der linken Seite zusammen mit einer Beschreibung ihrer Hauptmerkmale auf der rechten Seite im Fenster angezeigt.

Umgebung wechseln

Um die aktuelle Ungebung zu wechseln, wählt man den Namen einer anderen Umgebung aus der Liste links aus und klickt auf OK. Nach einer Bestätigungsabfrage wird die neue Umgebung aktiviert.

Falls OK gewählt wurde, wird die neue Umgebung aktiviert, die im Dialog Umgebung auswählen markiert wurde. Beim Klicken auf Abbrechen wird die aktuelle Umgebung nicht verändert. Bei Auswahl von Sichern und Starten werden allfällige änderungen der aktiven Umgebung unter einem neuen Umgebungsnamen gesichert. Nach Eingabe eines Namens können fakultativ noch Definition und Hauptmerkmale für die neue Umgebung bestimmt werden.

Eine neue Instanz von UltraEdit unter Verwendung einer anderen Umgebung kann man auch starten, wenn man die Strg-Taste beim Klicken auf den Befehl »Umgebung auswählen« in der Hauptsymbolleiste gedrückt hält und anschließend die gewünschte Umgebung aus der Liste auswählt.

Umgebungen anpassen

Es ist möglich, die vordefinierten Standardumgebungen nach Bedarf anzupassen. Nachdem eine Umgebung aktiviert wurde, können deren Elemente einzeln angepasst werden: Menüs und Symbolleisten können durch Klicken mit der rechten Maustaste auf die Menübezeichner (Datei, Bearbeiten, usw.) bzw. auf die Symbolleiste und anschliessender Auswahl des Befehls Menü anpassen bzw. Symbolleiste anpassen wunschgemäß angepasst werden. Andockbare Fenster können nach Belieben geöffnet und verschoben werden.

Nachdem die aktuelle Umgebung angepasst wurde, sollte der Dialog Umgebung auswählen entweder aus dem Ansichtsmenü oder durch Drücken der Taste ALT+F8 geöffnet werden. Der Name der aktiven Umgebung im Eingabefeld oben im Dialog kann geändert werden; nachher wird durch Klicken auf die Schaltfläche Aktuelle Einstellungen speichern unter... die angepasste Version der aktiven Umgebung gespeichert.

Eine alternative Methode besteht darin, nach Anpassungen an der aktiven Umgebung einfach eine neue Umgebung auszuwählen. Daraufhin wird der Dialog Umgebung wechseln angezeigt, und die Option Sichern und Starten kann gewählt werden.

Der Dialog Umgebung auswählen - Sichern wird mit der Beschreibung und Hauptmerkmalen der aktuellen Umgebung gefüllt. Die modifizierte Umgebung kann entweder unter einem neuen Namen gesichert oder die bestehende Umgebung überschrieben werden.

Jede definierte Umgebung kann gelöscht werden durch Markieren des Umgebungsnamens in der Liste und Drücken der Schaltfläche Ausgewählte Umgebung löschen.

Die Schaltfläche Standard-Umgebungen zurücksetzen bewirkt, dass alle vordefinierten Umgebungen mit deren Standardeinstellungen belegt werden. Zur Beachtung: Allfällige benutzerdefinierten Umgebungen, die zusätzlich zu den Standardumgebungen erstellt wurden, behalten ihre derzeitigen Einstellungen.

Umgebungen exportieren/importieren

Um eine Umgebung mit Kollegen oder Bekannten zu teilen, klickt man auf die Schaltfläche Umgebung exportieren/importieren. Ein Popup-Fenster erscheint, und es kann zwischen den zwei Optionen Ausgewählte Umgebung exportieren oder Umgebung importieren gewählt werden.

Falls Ausgewählte Umgebung exportieren gewählt wurde, öffnet sich ein Dialog Durchsuchen nach Ordner. Es kann ein bestehendes Verzeichnis gewählt oder ein neues Verzeichnis erstellt werden, um die Umgebung zu speichern. Diese wird als Datei mit dem Namen der ausgewählten Umgebung und mit der Erweiterung »uee« gespeichert. Zum Beispiel würde die Umgebung Power-Anwender als »Power-Anwender.uee« exportiert.

Bei Auswahl der Option Umgebung importieren wird der Dialog öffnen angezeigt, damit man im Dateisystem nach der gewünschten *.uee-Datei durchsuchen kann. Die darin gespeicherten Einstellungen werden automatisch eingelesen, und die betreffende Umgebung wird zur Auswahlliste des Dialogs Umgebung auswählen hinzugefügt.


Befehl 'Symbolleiste' (Ansicht |Ansichten/Listen)

Der Befehl 'Symbolleiste' (Menü 'Ansicht | Ansichten/Listen')

Verwenden Sie diesen Befehl, um die Symbolleiste mit Schaltflächen für einige der am häufigsten verwendeten Befehle von UltraEdit, wie z.B. Öffnen (Menü 'Datei'), ein- bzw. auszublenden. Wenn die Symbolleiste angezeigt wird, erscheint neben dem Menüeintrag ein Kontrollhäkchen.

Weitere Informationen zur Konfiguration der Symbolleiste finden Sie im Hilfethema zum Anpassen von Symbolleisten und Menüs .


Befehl 'Statuszeile' (Ansicht | Ansichten/Listen)

Der Befehl 'Statuszeile' (Menü 'Ansicht | Ansichten/Listen')

Verwenden Sie diese Menüoption, um die Statuszeile ein- bzw. auszublenden. In ihr werden die vom jeweils ausgewählten Menüpunkt oder einer Schaltfläche der Symbolleiste auszuführende Handlung sowie verschiedene Statusanzeigen (Cursor-Position, Tastatur, ...) dargestellt. Wenn die Statuszeile eingeblendet ist, erscheint neben dem Menüeintrag ein Kontrollhäkchen.

Weitere Informationen finden Sie im Hilfethema zur Statuszeile.


Befehl 'Reiter für offene Dateien' (Ansicht | Ansichten/Listen)

Der Befehl 'Reiter für offene Dateien' (Menü 'Ansicht | Ansichten/Listen')

Diese Menüoption blendet die Steuerleiste mit den Karteireitern ein bzw. aus, mit denen Sie zwischen offenen Dateien wechseln können. Diese Steuerleiste ermöglicht eine einfache Auswahl der offenen Dateien, wobei auch alle anderen Funktionen zum Wechseln und Anzeigen von Fenstern weiterhin funktionieren.

Wenn Sie den Karteireiter einer offenen Datei mit der rechten Maustaste anklicken, erscheint ein Kontextmenü mit verschiedenen Dateioptionen.

Die Steuerleiste lässt sich am oberen Rand angeklickt von ihrer standardmäßig angedockten Position oben im Hauptfenster wegziehen und am unteren Fensterrand andocken oder als eigenständiges, schwebendes Fenster positionieren. Als eigenständiges Fenster kann sie in Höhe und Breite nach Bedarf angepasst werden.

Zudem lassen sich die einzelnen Dateireiter per Drag&Drop neu sortieren. Klicken Sie dazu mit der linken Maustaste auf den zu verschiebenden Reiter und bewegen Sie ihn bei gedrückt gehaltener Maustaste auf den Reiter, vor dem er einsortiert werden soll. Lassen Sie dann die Maustaste wieder los. Ein Dateireiter wird immer vor dem Reiter einsortiert, auf dem Sie ihn fallen lassen. Der Reiter wird nur dann einsortiert, wenn sich der Mauszeiger beim Loslassen auf einem vorhandenen Dateireiter befindet. Falls die Option "Dateireiter mit neuem Aussehen" unter dem Thema "Programmverhalten" im Konfigurationsdialog (Menü "Extras/Optionen") aktiviert wurde, können die einzelnen Reiter nicht mit der Maus in eine neue Position gezogen werden.

Wenn sich die Steuerleiste an der standardmäßigen Position befindet, erscheinen Laufleistenpfeile, falls mehr Dokumente geöffnet sind als angezeigt werden können. Die Anzeigegröße der Steuerleiste lässt sich verändern. Wenn die Höhe im angedockten Zustand derart vergrößert wird, dass sich mehrere Zeilen mit Reitern anzeigen lassen, werden die Laufleistenpfeile wieder ausgeblendet.

Das Anklicken des Karteireiters einer offenen Datei mit der rechten Maustaste ermöglicht auch die Auswahl eines Befehls zum Sortieren der Dateireiter. Durch die Ausführung dieses Befehls werden die Reiter alphabetisch sortiert. Wegen der Funktionsweise des verwendeten Steuerelements ordnet das zu Grunde liegende Steuerelement beim Vorhandensein mehrerer Reihen mit Karteireitern diese zwar neu an, behält intern aber die ursprüngliche Anordnung bei. Das hat zur Folge, dass die Sortierung zwar funktioniert, sich die Reihen mit den Karteireitern aber nicht unbedingt in der richtigen Reihenfolge befinden und sich die Reihenfolge verändert, wenn eine Datei aus einer anderen Reihe ausgewählt wird.

Ein Doppelklick auf den Dateireiter eines geöffneten Dokuments schließt dieses Dokument.

Wenn sich der Mauszeiger über einem Dateireiter befindet, wird ein Tooltip mit dem vollständigen Pfad der jeweiligen Datei eingeblendet.

Sperren der Dateireiter

In UltraEdit erscheint ein Befehlstipp 'Andocken fakultativ', wenn man im freien Raum neben den Dateireitern mit der rechten Maustaste klickt. Bei Aktivierung dieser Option können die Reiter aus der Standardposition (angedockt über dem Bearbeitungsfenster) in einen freischwebenden Dialog mit der Maus gezogen werden. Ein Doppelklick auf den Fenstertitelbalken des Dialogs dockt die Reiter wieder in der ursprünglichen Stellung an. Falls 'Andocken fakultativ' nicht aktiv ist, sind die Reiter in ihrer angedockten Standardposition gesperrt.


Befehl 'Baumansicht' (Ansicht | Ansichten/Listen)

Der Befehl 'Baumansicht' (Menü 'Ansicht | Ansichten/Listen')

Diese Menüoption blendet die Baumansicht für Dateien ein bzw. aus.

Die Baumansicht zeigt eine Liste von Dateien oder Verzeichnisses für das gewählte Laufwerk in einer baumartigen Struktur an. Die Laufwerk/Dateiliste zeigt die verfügbaren Laufwerke an und ermöglicht außerdem die Auswahl zur Darstellung aller offenen oder im aktuellen Projekt enthaltenen Dateien.

Ein Doppelklick auf eine der Dateien in der Baumansicht öffnet oder aktiviert diese Datei. Es lassen sich mehrere Dateien auswählen und gleichzeitig öffnen. Um mehrere Dateien auszuwählen, verwenden Sie die linke Maustaste zusammen mit der Umschalttaste (für alle Dateien zwischen zwei Dateien) oder mit der Steuerungstaste (für nicht aufeinander folgende Dateien).

Das Eingabefeld Filter erlaubt die Angabe eines Dateifilters, der beim Anzeigen des Inhalts eines Laufwerks auf die aufzuführenden Dateien angewandt wird. Er hat keine Auswirkung auf die Anzeige von Projektdateien oder offenen Dateien.

Bei einem Rechtsklick auf eine Datei stehen verschiedene Funktionen im Kontextmenü zur Verfügung, die von der jeweils angezeigten Liste abhängen.

Offene Dateien

Wenn es sich bei den aufgelisteten Dateien um die derzeit offenen Dateien handelt, stehen nach einem Rechtsklick folgende Befehle im Kontextmenü zur Verfügung:

  • Schließen

Schließt eine offene Datei.

  • Speichern

Speichert eine offene Datei unter ihrem alten Namen.

  • Drucken

Gibt eine Datei auf dem Drucker aus.

  • Untereinander

Ordnet die Fenster untereinander an.

  • Nebeneinander

Ordnet die Fenster nebeneinander an.

  • Nur Namen anzeigen

Zeigt nur die Dateinamen an (ohne Pfad).

  • Andocken zulassen

Erlaubt das Andocken der Baumansicht (statt des frei schwebenden Fensters).

  • Ausblenden: Dateiliste

Blendet die Baumansicht aus.

  • Verzeichnis zum aktiven Dateipfad machen

Zeigt in der Baumansicht das Verzeichnis der aktiven Datei an.

Diese Funktionen werden alle auf sämtliche ausgewählten Dateien angewendet.

Projektdateien/-laufwerk

Wenn es sich bei den aufgelisteten Dateien um die derzeitigen Projektdateien handelt, stehen nach einem Rechtsklick folgende Befehle im Kontextmenü zur Verfügung:

  • Aktive Datei hinzufügen

Fügt die aktive Datei zum Projekt hinzu.

  • Alle offenen Dateien hinzufügen

Fügt alle offenen Dateien zum Projekt hinzu.

  • Verzeichnis hinzufügen

Fügt alle Dateien des gewählten Verzeichnisses zum Projekt hinzu.

  • Ausgewählte Elemente löschen

Löscht die ausgewählten Elemente (Dateien/Verzeichnisse) aus dem Projekt.

  • Eigenschaften

Zeigt die Dateieigenschaften der ersten ausgewählten Datei an.

Geöffnet wird eine Projektdatei durch einen Doppelklick auf den Dateinamen.

Allgemein

Ein Rechtsklick in der Baumansicht führt jederzeit zu den Optionen, die Baumansicht auszublenden oder die Andockeigenschaft abzuschalten. Wenn die Baumansicht nicht angedockt ist, wird sie als eigenständiges, frei schwebendes Fenster angezeigt.


Befehl 'ASCII-Tabelle' (Ansicht)

Der Befehl 'ASCII-Tabelle' (Menü 'Ansicht | Ansichten/Listen')

Dieser Befehl zeigt ein Dialogfenster mit einer ASCII-Tabelle an.

Die Tabelle enthält folgende Spalten:

Zeichen

Diese Spalte zeigt die Zeichen so an, wie sie mit der ausgewählten Schriftart erscheinen würden. Die Schriftart lässt sich mittels der Schaltfläche Schrift auswählen ändern.

Dezimal-#

Hier steht der Dezimalwert des Zeichens im Bereich von 0 bis 255.

Hexadezimal-#

Hier steht der Hexadezimalwert des Zeichens im Bereich von 0 bis FF.

Name

Hier steht die anerkannte Bezeichnung des Zeichen. Dies gilt nur für die ersten 32 Zeichen.

Strg-Zeichen

Hier steht das anerkannte Steuerzeichen, für das dieses Zeichen steht. Dies gilt nur für die ersten 32 Zeichen.

Um die Zeichen in einer anderen Schriftart betrachten zu können, drücken Sie die Schaltfläche Schriftart auswählen. Wenn die ASCII-Tabelle aufgerufen wird, greift sie standardmäßig auf die Schriftart zurück, die aktuell im Editor ausgewählt ist.

Um eines der Zeichen in die aktive Datei einzufügen, müssen Sie das Zeichen auswählen und die Schaltfläche Zeichen einfügen drücken oder das Zeichen in der Tabelle doppelklicken.


Befehl 'Funktionsliste' (Ansicht)

Der Befehl 'Funktionsliste' (Menü 'Ansicht | Ansichten/Listen')

Mit diesem Befehl können Sie die Funktionsliste ein- bzw. ausblenden. Dieser Befehl unterscheidet sich von dem Befehl Funktionsliste aus dem Menü 'Suchen' , da er die Funktionsliste mit den Funktionsbezeichnungen füllt, die in der Wortlistendatei definiert sind (weitere Informationen finden Sie in der Beschreibung der Syntaxhervorhebung ).


Macro List command

Macro List command (View menu/ Views/Lists submenu)

This command toggles the visibility of the Macro List. The Macro List displays all currently loaded macros. Macros may be loaded from the Macro menu. Double-clicking on any listed macro will activate that macro similar to the Play Again command in the Macro menu. Right-clicking in the Macro List presents a context menu with the option Modify Macro. If this option is selected, the Edit/Create Macro dialog will be displayed.


Befehl 'Tag-Liste' (Ansicht | Ansichten/Listen)

Der Befehl 'Tag-Liste' (Menü 'Ansicht | Ansichten/Listen')

Dieser Befehl zeigt einen Dialog mit einer Liste vordefinierter Tags (Schlüsselwörter) an. Ein Tag ist einfach eine kurze Zeichenkette und die Bezeichnung 'Tag' wird verwendet, da diese Kennzeichnung üblicherweise für HTML-Tags verwendet wird.

Der Zweck der Tag-Liste besteht darin, eine Methode zum einfachen Einfügen von häufig verwendeten Tags/Zeichenketten in eine Datei zur Verfügung zu stellen, ohne sie jedes Mal eintippen zu müssen.

Der Befehl Tags anpassen im Kontextmenü dieser Liste ermöglicht das Anpassen der Tag-Liste. Die Tags setzen sich in der Regel aus einem Start-Tag und einem Ende-Tag zusammen.

Verwendung der Tag-Liste

Um ein Tag in das Dokument einzufügen, müssen Sie das einzufügende Tag auswählen und die Eingabetaste drücken oder einen Doppelklick auf dem Tag durchführen. Beim Einfügen des Tags in die aktive Datei wird das Start-Tag (sofern definiert) am Anfang und das Ende-Tag (sofern definiert) am Ende des markierten Textes eingefügt. Wenn nichts markiert ist, werden die Tags an der aktuellen Cursor-Position eingefügt.

Durch Doppelklicken auf eines der Tags fügt UltraEdit das Tag an der aktuellen Cursor-Position ein und übergibt den Fokus an die Datei. Wenn die Eingabetaste gedrückt wird, während sich der Fokus in der Tag-Liste befindet, wird das Tag eingefügt, und der Fokus bleibt in der Tag-Liste. Die Tastenkombination Strg+Eingabetaste fügt das Tag wie beim Anklicken an der Cursor-Position ein und übergibt den Fokus an die Datei.

Es lassen sich mehrere Tag-Gruppen definieren, die dann aus dem Kombinationsfeld ausgewählt werden können.

Neue Tags erstellen

Die Standarddatei für Tags ist die taglist.txt-Datei, die sich im Installationsverzeichnis befindet. Anwender haben zusätzliche Taglist-Dateien geschrieben, die man auf der Webseite bei http://www.ultraedit.com/index.php?name=Content&pa=showpage&pid=40#taglists heruntergeladen werden können. Dort kann man z.B. die Datei für ASP-Tags finden und lokal speichern; somit können diese Tags verwendet werden.

Die vollständige Tagliste sollte unmittelbar vor dem Abschnitt, der mit »[Group List]« beginnt und unten in der Datei zu finden ist, eingefügt werden. Die GENAUE Bezeichnung wird in der Aufzählung bei [Group List] eingetragen. Zum Beispiel ist die Bezeichnung für die ASP-Tagliste diese:

[Tag Group - ASP - Active Server Pages]

Die ursprüngliche [Group List]-Aufzählung:

[Group List]

0=COLD FUSION - Tags

1=HTML - Special Characters

2=HTML - Tags

3=UE/UES Macro Commands

4=UE/UES Script Commands

5=

... wird geändert nach:

[Group List]

0=COLD FUSION - Tags

1=HTML - Special Characters

2=HTML - Tags

3=UE/UES Macro Commands

4=UE/UES Script Commands

5=ASP - Active Server Pages

6=

beim Hinzufügen der ASP-Tags. Dabei sind die leeren Zeilen am Ende der [Group List]-Aufzählung und nach der Tagliste wichtig und sollten nicht vergessen werden!


Template List command

Textbaustein-Liste (Menü »Ansicht«, Untermenü »Ansichten/Listen«)

Dieser Befehl blendet die Textbaustein-Liste ein oder aus. Die Textbaustein-Liste zeigt alle Textbausteine an, die unter Textbausteine anzeigen/ändern im Menü Extras definiert wurden. Ein Doppelklick auf einen beliebigen Textbaustein, der in der Liste aufgeführt wird, fügt diesen bei der aktuellen Schreibposition im geöffneten Dokument ein. Das gleiche Ergebnis wird durch Klicken mit der rechten Maustaste und Auswahl des Befehls Textbaustein einfügen erreicht. Bei Auswahl des Befehls Textbaustein ändern, der ebenfalls im Kontextmenü über die rechte Maustaste erreicht wird, öffnet sich der Dialog Textbaustein definieren, um den gewünschten Text aufzunehmen.

Textbausteine können entweder als global oder nur für die aktuelle Umgebung definiert werden. Die Auswahl der Option Globale Textbausteine (erreichbar durch Klicken mit der rechten Maustaste in der Liste) füllt die Liste mit den Namen der Textbausteine, die als global definiert wurden. Bei Aktivierung von globalen Textbausteinen erscheint eine Option im Kontextmenü zum Auswählen von Textbausteinen relativ zur aktuellen Umgebung.Zum Beispiel, falls die Umgebung Programmierer aktiv ist, gäbe es die Option Programmierer-Textbausteine.


Clipboard History command

Clipboard History command (View menu/ Views/Lists submenu)

This command toggles the visibility of the Clipboard History. The Clipboard History displays a listing for any text copied to clipboard while the history list is active. Double-clicking on any listed item inserts it into the active document.

Right-clicking in the Clipboard History presents a context menu where the user may choose to Clear Clipboard History if desired. Selecting Options in the context menu presents the Clipboard History Options dialog.

The Clipboard History Options dialog is used to specify the content to be displayed in the Clipboard History for all clipboard items:

Right-clicking on a history entry and selecting Delete History Entry from the context menu will remove the selected item.


Script List command

Script List command (View menu/ Views/Lists submenu)

This command toggles the visibility of the Script List. The Script List displays all currently loaded scripts. Right-clicking in the Script List presents the context menu which includes the following options:

Run | runs selected script
Add Script | presents File Open dialog where user may specify script to add to list
Edit Script | opens selected script in editor window
Remove Script | removes selected script from list


Befehl »XML-Fenster«

Befehl »XML-Fenster« (Menü »Ansicht«/ Untermenü «Ansichten/Listen»)

Dieser Befehl blendet das XML-Fenster ein oder aus. Das XML-Fenster zeigt eine Baumansicht der Knoten im aktuellen XML-Dokument an. Ein Doppelklick auf einen Knoten in der Baumansicht bewegt den Cursor an die Position des dazugehörenden Knotens im aktuellen Dokoument. Falls die Umschalttaste gleichzeitig gedrückt wird, wird der zum Knoten dazugehörende Text im aktuellen Dokument selektiert.

Durch die aufklappbare Liste oben im XML-Fenster kann innerhalb des Dokumentbaums schnell navigiert werden. Nach Eingabe eines Element- bzw. Attributnamens und Drücken der Eingabetaste wird der Cursor an die Position des ersten Knotens bewegt, der diesem Namen entspricht.

Klicken mit der rechten Maustaste im XML-Fenster öffnet ein Kontextmenü mit den folgenden Optionen:

Nach oben | bewegt die Position zum nächsten Knoten oberhalb der aktuellen Position im Dokumentenbaum
Nach unten | bewegt die Position zum nächsten Knoten unterhalb der aktuellen Position im Dokumentenbaum
Kopieren | kopiert den ausgewählten Knoten in die Zwischenablage
Selektieren | wählt den aktuellen Knoten im Dokumentenbaum aus
Dokument formatieren | formatiert das aktive XML-Dokument mit »xmllib«
Dokument einlesen | analysiert das aktuelle Dokument beim Einlesen und aktualisiert die XML-Baumansicht
Ausschneiden | schneidet den ausgewählten Knoten in die Zwischenablage aus
Durch Zwischenablage ersetzen | ersetzt den ausgewählten Knoten mit dem Inhalt der Zwischenablage
Vorher einfügen | fügt den Knoten in der Zwischenlage vor dem aktuellen Knoten ein
Nachher einfügen | fügt den Knoten in der Zwischenlage nach dem aktuellen Knoten ein
Duplizieren | dupliziert den ausgewählten Knoten und fügt ihn unterhalb des aktuellen Knotens im Dokument ein


Lesezeichenübersicht

Befehl »Lesezeichenübersicht« (Menü »Ansicht«, Untermenü »Ansichten/Listen«)

Dieser Befehl blendet die Lesezeichenübersicht ein oder aus, die alle Lesezeichen für das aktuelle Dokument anzeigt. Falls noch keine Lesezeichen definiert wurden, wird lediglich der Text »Keine Lesezeichen!« angezeigt. Klicken mit der rechten Maustaste in der Lesezeichenliste öffnet ein Kontextmenü mit den folgenden Befehlen:

Spalten -> Spaltenreihenfolge | Öffnet einen Dialog, damit man die Reihenfolge der angezeigten Objekte bestimmen kann.
Liste für alle Lesezeichen | Zeigt eine Liste der Lesezeichen in allen offenen Dateien an. Zusätzlich wird der dazugehörende Dateinamen zusammen mit dem Lesezeichen aufgelistet, falls diese Option gewählt wird.
Lesezeichen löschen | Löscht das ausgewählte Lesezeichen
Lesezeichen bearbeiten | Ein Dialog wird geöffnet, damit der Name des Lesezeichens bearbeitet werden kann

Die Benennungsregeln für Lesezeichen werden durch die Option Auto-Benennung unter Lesezeichen im Abschnitt Editor des Konfigurationsdialogs, der nach Auswahl des Menübefehls »Extras/Optionen« geöffnet wird, gesetzt. Nach Bedarf kann der Name mit dem Befehl Lesezeichen bearbeiten anschließend modifiziert werden. Falls der Name des Lesezeichens bearbeitet wird, gehen die durch die Benennungsregeln generierten Zeilennummern verloren. Wenn eine Zeile mit einem Lesezeichen den Fokus erhält, wird der entsprechende Eintrag in der Lesezeichenliste automatisch hervorgehoben.


Befehl 'Ausgabefenster ein/aus' (Ansicht & Fenster)

Der Befehl 'Ausgabefenster ein/aus' (Menü 'Ansicht | Ansicht/Listen' & 'Fenster')

Dieser Menüeintrag blendet das Ausgabefenster ein bzw. aus. Das Ausgabefenster wird verwendet, um die Ausgaben der benutzerdefinierten Werkzeuge (siehe Werkzeug-Konfiguration ) oder des Befehls Suchen in Dateien aufzuzeichnen.

Wenn ein Werkzeug (nicht der Befehl Suchen in Dateien !) neue Zeilen zum Ausgabefenster hinzufügt, wird die Liste automatisch nach unten gescrollt, damit Sie das Ende der Ausgabeergebnisse zu sehen bekommen, ohne einen Bildlauf durchführen zu müssen.

Ein Doppelklick auf einer Zeile mit Dateinamen und Zeilennummer (in Klammern) veranlasst UltraEdit dazu, die Datei in der angegebenen Zeile zu öffnen. Falls der Dateiname vollständig angegeben ist, wird die Datei ausfindig gemacht und die in Klammern dahinter stehende Zahl wird als Zeilennummer verwendet. Falls der Dateiname nicht vollständig angegeben ist, versucht UltraEdit den Dateinamen aus dem ersten Wort in der Zeile zu ermitteln, das einen Punkt enthält. UltraEdit öffnet die angegebene Datei dann im Verzeichnis der gerade aktiven Datei. Sollte die Datei nicht im Verzeichnis der aktiven Datei vorhanden sein, so versucht UltraEdit, diese Datei im Projektverzeichnis zu öffnen, sofern eines angegeben ist.

Durch Doppelklicken auf eine der Ergebniszeilen positioniert UltraEdit den Cursor in dieser Zeile in der Datei und übergibt den Fokus an die Datei. Wenn die Eingabetaste gedrückt wird, während sich der Fokus im Ausgabefenster befindet, positioniert UltraEdit den Cursor in dieser Zeile in der Datei, und der Fokus bleibt im Ausgabefenster. Die Tastenkombination Strg+Eingabetaste positioniert den Cursor wie das Anklicken in dieser Zeile in der Datei und übergibt den Fokus an die Datei.


Befehl 'Ansicht als (Syntaxhervorhebung)' (Ansicht)

Der Befehl 'Ansicht als (Syntaxhervorhebung)' (Menü 'Ansicht')

Mit diesem Befehl können Sie die von UltraEdit auf Grund der Dateierweiterung vorgenommene Syntaxhervorhebung umgehen und jede Datei mit der Syntaxhervorhebung einer der zur Verfügung stehenden Sprachen betrachten.

Dabei stehen die Syntaxhervorhebungen für sämtliche definierte Sprachen sowie eine Darstellungsweise ohne Hervorhebung zur Auswahl.

Die Wirkung dieses Befehls bleibt solange bestehen, bis Sie die Datei entweder schließen oder unter einem anderen Namen speichern.


Befehl 'Farbeinstellung' (Ansicht)

Der Befehl 'Farbeinstellung…' (Menü 'Ansicht')

Dieser Menüpunkt ermöglicht es Ihnen, die Farben folgender Elemente zu konfigurieren:

  • Normaler Text
  • Hintergrund
  • Lesezeichen
  • Markierter Text
  • Hintergrund des markierten Textes
  • Zeilen-/Spaltennummer Textfarbe
  • Zeilen-/Spaltennummer Hintergrundfarbe
  • Aktive Zeile Textfarbe
  • Aktive Zeile Hintergrundfarbe
  • Spaltenmarken
  • Klammerhervorhebung (für die Darstellung passender Klammerpaare)
  • Hintergrund für die Code-Faltung

Durch das Anklicken der jeweiligen Farbe lässt sich mittels des Farbdialogs eine neue Farbe auswählen. Für die Hintergrund- und Lesezeichenfarben sind nur volle Farben zulässig.

Die Farben für Hintergrund und Lesezeichen werden für alle Dateien benutzt. Die Textfarbe wird für alle Dateien benutzt, die nicht von der Syntaxhervorhebung erkannt werden.


Befehl 'Schriftart einstellen' (Ansicht)

Der Befehl 'Schriftart einstellen…' (Menü 'Ansicht')

Dieser Befehl zeigt den Dialog 'Schriftart' an, der die Auswahl verschiedener Schriftarten und -größen erlaubt. Die hier getroffene Auswahl gilt für den Bildschirm und gegebenenfalls auch für den Drucker, falls die Menüoption Mit Bildschirmschrift drucken aktiviert wurde. Ist die Option nicht aktiviert, wird die Schriftart für den Drucker unabhängig von der für den Bildschirm bestimmt.

Die ausgewählten Schriftarten lassen sich durch den Befehl Schriften zurücksetzen (Vorgabe) auf ihren Vorgabewert zurücksetzen.

Durch Festhalten der STRG-Taste und Drehen des Mausrads kann man zusätzlich die Schriftgröße auf die Schnelle herauf- bzw. herunterfahren. Dies verändert die Schriftgröße in allen offenen Dokumenten.

Hinweis: Wenn der Drucker die Schriftart nicht unterstützt, stellt Windows automatisch die ähnlichste Schriftart ein.


Befehl 'Schriftart HEX/Spaltenmodus einstellen' (Ansicht)

Der Befehl 'Schriftart HEX/Spaltenmodus einstellen' (Menü 'Ansicht')

Dieser Menüeintrag ruft den Dialog 'Schriftart' auf, in dem sich verschiedene Schriftarten und Schriftgrößen einstellen lassen. Die hier getroffen Auswahl kommt bei der Bearbeitung im HEX- oder Spaltenmodus zum Tragen. UltraEdit wechselt dann automatisch auf diese Schriftart, sobald der HEX- oder Spaltenmodus aktiviert wird.

Zum Einstellen der normalen Schriftart verwenden Sie den Befehl Schriftart einstellen aus dem Menü 'Ansicht' .


Befehl 'Schriften zurücksetzen (Vorgabe)' (Ansicht)

Der Befehl 'Schriften zurücksetzen (Vorgabe)' (Menü 'Ansicht')

Dieser Befehl setzt die von Ihnen eingestellten Bildschirm- und Druckerschriftarten auf die Vorgaben zurück. Die mit dem Befehl Schriftart einstellen bzw. Druckerschrift vorgenommenen Einstellungen für die Bildschirm- und Druckerschrift gehen dabei verloren.


Befehl 'Schrift vergrößern' (Ansicht)

Der Befehl 'Schrift vergrößern' (Menü 'Ansicht')

Mit diesem Befehl können Sie in eine Datei hineinzoomen, indem die Schriftgröße mit jedem Schritt um etwa 1 Punkt erhöht wird. Diese Einstellung wird nach einer Änderung für alle Dateien beibehalten.


Befehl 'Schrift vergrößern' & 'Schrift verkleinern' (Ansicht)

Der Befehl 'Schrift verkleinern' (Menü 'Ansicht')

Mit diesem Befehl können Sie aus einer Datei herauszoomen, indem die Schriftgröße mit jedem Schritt um etwa 1 Punkt verringert wird. Diese Einstellung wird nach einer Änderung für alle Dateien beibehalten.


Befehl 'Nicht druckbare Zeichen ein/aus' (Ansicht)

Der Befehl 'Nicht druckbare Zeichen ein/aus' (Menü 'Ansicht')

Mit dieser Menüoption können Sie festelgen, ob Leerzeichen, Tabulatorzeichen und Zeichen für eine neue Zeile als sichtbare Zeichen auf dem Bildschirm dargestellt werden. Dies führt nicht zu Änderungen an der Datei, sondern ermöglicht lediglich eine klare Unterscheidung zwischen den verschiedenen Zeichen, die wie folgt dargestellt werden:

  • Leerzeichen: ·
  • Tabulatorzeichen: »
  • Zeilenwechsel: ¶

Wenn nicht genügend Platz vorhanden ist, um das Zeichen '»' mit der Wirkung des Tabulators darzustellen, erschient der Tabulator ganz normal, ohne erkenbar zu sein.


Befehl 'Seitenwechsel als Linien anzeigen' (Ansicht)

Der Befehl 'Seitenwechsel als Linien anzeigen' (Menü 'Ansicht')

Mit dieser Menüoption können Sie UltraEdit anweisen, das im Dialog 'Seite einrichten' definierte Zeichen für den Seitenwechsel als durchgezogene Linie darzustellen. Dies hat keine Auswirkung auf die Zeilennummerierung der Datei. Die Zeilennummern hängen ausschließlich von den Zeilenende-Zeichen ab.

Wenn diese Option aktiv ist, zeichnet UltraEdit direkt unterhalb der entsprechenden Zeile eine durchgängige, horizontale Linie über die gesamte Fensterbreite. Etwaiger Text nach dem Seitenwechsel-Zeichen beginnt in der auf diese Linie folgenden Zeile.

Wenn diese Option nicht aktiv ist, wird das Seitenwechselzeichen wie ein normales Zeichen angezeigt und der übrige Text je nach Vorhandensein direkt vor und hinter dem Zeichen ausgegeben.


Befehl »Spaltenmarkierungen setzen«

Befehl »Spaltenmarkierungen setzen« (Menü »Ansicht«)

Dieser Menübefehl öffnet einen Dialog, damit eine Spaltengruppe aktiviert und die dazugehörenden, bei Aktivierung der Gruppe anzuzeigenden Spaltenmarkierungen bestimmt werden können. Der Dialog Spaltenmarkierungen besteht aus zwei Listenfelder für Spaltengruppen und Spaltenmarkierungen — es können somit Gruppen von Spaltenmarkierungen bestimmt werden, die gespeichert und für unterschiedliche Dokumenttypen aktiviert werden können.

Spaltengruppen

In der Liste Spaltengruppen kann ein Gruppenname durch Klicken selektiert werden. Durch nochmaliges Klicken kann diese auch bearbeitet werden. Somit können Spaltengruppen eindeutige Namen zugewiesen werden. Zu dieser Liste gehören vier Schaltflächen:

Aktivieren | die ausgewählte Gruppe wird aktiviert und die dazugehörenden Markierungen werden im Bearbeitungsfenster angezeigt.
Gruppe hinzufügen | fügt eine neue Spaltengruppe der Liste hinzu.
Gruppe modifizieren | schaltet in den Bearbeitungsmodus, damit die Spaltengruppe umbenannt werden kann.
Gruppe löschen | entfernt die ausgewählte Gruppe von der Liste

Spaltenmarkierungen

Die Liste Spaltenmarkierungen besteht aus zwei Spalten: Aktiviert und Spaltennummer. Für die ausgewählte Spaltengruppe in der ersten Liste können die dazugehörigen Spaltenmarkierungen in der unteren Liste bestimmt werden.

Beim Definieren einer Spaltenmarkierung erscheint ein Kontrollkästchen in der Spalte Aktiviert, und die entsprechende Spaltennummer für die Anzeige der Markierung wird in der Spalte Spaltennummer angezeigt. Diese Markierung wird nur angezeigt, falls das Kontrollkästchen ein Häkchen hat. In der Liste Spaltenmarkierungen kann eine Spaltennummer durch Klicken ausgewählt werden. Durch nochmaliges Klicken kann diese auch bearbeitet werden. Diese Liste weist drei dazugehörenden Schaltflächen auf:

Markierung hinzufügen | fügt eine neue Spaltenmarkierung und die dazugehörende Schaltfläche der Liste hinzu.
Markierung bearbeiten | schaltet in den Bearbeitungsmodus, damit die ausgewählte Spaltennummer geändert werden kann.
Markierung löschen | entfernt die ausgewählte Spaltenmarkierung von der Liste.


Befehl 'Kein Bildlauf links von Marke 1' (Ansicht)

Der Befehl 'Kein Bildlauf links von Marke 1' (Menü 'Ansicht')

UltraEdit unterstützt Spaltenmarken , die eine senkrechte Linie in einer angegebenen Spalte anzeigen.

Dieser Befehl arbeitet eng mit den Spaltenmarken zusammen. Wenn diese Menüoption mit einem Häkchen versehen (aktiv) ist, werden die Spalten auf der linken Seite der 1. Spaltenmarke fixiert und verändern sich bei einem horizontalen Bildlauf nicht. Die Spalten auf der rechten Seite der Spaltenmarke hingegen werden wie üblich bei der Verwendung der horizontalen Bildlaufleiste oder beim horizontalen Bildlauf durch den an einer Fensterseite positionierten Cursor durchlaufen.

Wenn diese Menüoption aktiviert ist, führen die Spalten rechts von der Marke einen horizontalen Bildlauf durch, während die Spalten links dies nicht tun. Solange der horizontale Bildlauf eine Auswirkung hat, führt jede Auswahl mit der Maus bzw. jedes Klicken der primären Maustaste innerhalb des fixierten Teils der Anzeige dazu, dass die horizontale Bildposition zurückgesetzt wird, damit die Ansicht und das Bearbeiten der fortlaufenden Spalten möglich ist.

Wenn die 1. Spaltenmarke ausgeblendet oder auf 0 eingestellt ist, hat diese Funktion keine Auswirkung.


Befehl »Geänderte Zeilen anzeigen«

Der Befehl »Geänderte Zeilen anzeigen« (Menü »Ansicht«)

Falls dieser Befehl ausgewählt wird, wird eine geänderte Zeile durch eine besondere Farbhervorhebung zwischen der Zeilennummer und dem ersten Zeichen dieser Zeile gekennzeichnet. Die Farben, die in einer Bearbeitungssitzung zur Kennzeichnung der gesicherten und ungesicherten Stellen in einer Datei können unter dem Menüpunkt Farbeinstellung im Menü »Ansicht« definiert werden. Falls der Undo-Puffer (Zwischenspeicher zum Rückgängigmachen) während der Bearbeitung geleert würde, würde die Anzeige der geänderten Zeilen auch zurückgesetzt.

Beim Öffnen einer Datei, die größer als die im Konfigurationsdialog unter »Umgang mit Dateien/Temporäre Dateien« eingestellte Maximalgröße ist, und die deshalb ohne temporäre Datei geöffnet wird, werden die geänderten Zeilen nicht angezeigt.


Befehl 'Lineal ein/aus' (Ansicht)

Der Befehl 'Lineal ein/aus' (Menü 'Ansicht')

Dieser Menüpunkt blendet das Spaltenlineal ein bzw. aus, das die Spaltennummern an der Oberseite jedes Fensters anzeigt.

Das Lineal zeigt die Spaltennummern in gleichmäßigen Schritten an. Für Schriftarten mit fester Zeichenbreite wird so die korrekte Spaltenanzeige angezeigt. Für Schriftarten mit variabler Zeichenbreite wird die Spaltennummer auf der durchschnittlichen Zeichenbreite der aktiven Schriftart basierend angezeigt.

Die Linealfarben lassen sich im Dialog 'Farbeneinstellung' einstellen.


Befehl 'Zeilennummern ein/aus' (Ansicht)

Der Befehl 'Zeilennummern ein/aus' (Menü 'Ansicht')

Diese Menüoption blendet die Zeilennummern an der linken Fensterseite ein bzw. aus.

Die Zeilennummern werden für jede Datei in einem festen Bereich auf der linken Seite des Fensters angezeigt, wenn diese Option aktiviert ist. Die verwendete Schriftart basiert auf der aktuellen Schriftart und ist (sofern die Schrift dies zulässt) etwas kleiner als die der Anzeige.

Die Farbe der Zeilennummern lässt sich im Dialog 'Farbeneinstellung' einstellen.

Um eine Datei mit den Zeilennummern zu drucken, muss die entsprechende Option im Dialog 'Seite einrichten' markiert werden.


Befehl 'Zeilenabstand' (Ansicht)

Der Befehl 'Zeilenabstand' (Menü 'Ansicht')

Diese Menüoptionen ermöglichen das Einstellen eines einfachen, 1,5-fachen bzw. doppelten Zeilenabstands. Damit lassen sich Dokumente mit zusätzlichem Freiraum zwischen den einzelnen Textzeilen betrachten und ausdrucken.

Bei der Einstellung Einfach wird jede Zeile mit der normalen Zeichenhöhe und dem normalen Zeilenabstand angezeigt und gedruckt.

Bei der Einstellung 1,5 Zeilen wird jede Zeile mit dem 1,5-fachen der üblichen Zeichenhöhe und des normalen Zeilenabstands angezeigt und gedruckt. Die eigentlichen Zeichen behalten ihre normale Höhe bei, jedoch wird der Zeilenabstand zwischen den Zeilen erhöht, wodurch mehr Platz für handschriftliche Anmerkungen zwischen den Zeilen geschaffen wird.

Bei der Einstellung Doppelt wird jede Zeile mit dem 2-fachen der üblichen Zeichenhöhe für die Zeile angezeigt und gedruckt. Die eigentlichen Zeichen behalten ihre normale Höhe bei, jedoch wird der Zeilenabstand zwischen den Zeilen erhöht, wodurch mehr Platz für handschriftliche Anmerkungen zwischen den Zeilen geschaffen wird.


Befehl 'Zeilen ausblenden/anzeigen' (Ansicht)

Der Befehl 'Zeilen ausblenden/anzeigen' (Menü 'Ansicht | Zeilen ausblenden/anzeigen')

Dieser Befehl ermöglicht es Ihnen, mehrere Zeilen zu markieren und sie auszublenden, sodass sie nicht mehr auf dem Bildschirm erschienen. Bereits ausgeblendete Zeilen werden mit diesem Befehl wieder angezeigt.

Zeilen ausblenden

Um Zeilen auszublenden, markieren Sie die entsprechenden Zeilen und rufen Sie diesen Befehl aus dem Menü heraus bzw. über die Schnellzugriffstaste auf. Wenn Zeilen ausgeblendet sind, erscheint an deren Stelle folgende Einzelzeile in invertierten Text-/Hintergrundfarben:

---- Ausgeblendete Zeilen ----

Es lassen sich mehrere Bereiche gleichzeitig ausblenden. Änderungen an der Datei werden in den meisten Fällen auch in den ausgeblendeten Bereichen aktualisiert, sodass die ausgeblendeten Zeilen weiterhin beibehalten werden. In einigen Fällen (beispielsweise beim Sortieren der Datei) wird das nicht immer möglich sein und die ausgeblendeten Zeilen werden gegebenenfalls wieder eingeblendet, sodass sie erneut ausgeblendet werden müssen.

Klicken Sie auf das Plus-Symbol in der Faltungsspalte neben den ausgeblendete Zeilen, um den Bereich wieder einzublenden. Diese Zeilen lassen sich erneut mit Hilfe dieses Befehls ausblenden, ohne zuvor eine Markierung vorzunehmen – in diesem Fall werden diejenigen Zeilen wieder ausgeblendet, die vor dem Anzeigen ausgeblendet waren.

Dieser Befehl steht auch in Makros zur Verfügung.

Zeilen anzeigen

Um ausgeblendete Zeilen wieder anzuzeigen, klicken Sie auf das Plus-Symbol in der Faltungsspalte neben den ausgeblendeten Zeilen oder steuern Sie diese Zeilen auf andere Weise an und verwenden Sie den Befehl Zeilen ausblenden/anzeigen erneut.

Speichern von ausgeblendeten Zeilen

Falls Sie die Option Lesezeichen speichern aktiviert haben, werden auch die Informationen zu den ausgeblendeten Zeilen gespeichert und beim nächsten Laden der Datei wieder angewendet.

Schnellzugriff

Tastatur: Strg+- (Minus-Taste im Nummernblock)


Befehl 'Alle ausblenden'

Der Befehl 'Alle ausblenden' (Menü 'Ansicht | Zeilen ausblenden/anzeigen')

Dieser Befehl klappt alle Blöcke der aktuellen Datei zusammen, die von Gefalteten Text öffnen/schließen der aktiven Wortlistendatei eingefasst sind. Falls Text markiert ist, bezieht sich der Befehl nur auf den markierten Bereich. Falls kein Text markiert ist, bezieht sich der Befehl auf die gesamte aktuelle Datei.

Weitere Informationen finden Sie im Hilfethema zur Code-Faltung.


Befehl 'Alle anzeigen'

Der Befehl 'Alle anzeigen' (Menü 'Ansicht | Zeilen ausblenden/anzeigen')

Dieser Befehl klappt alle Blöcke der aktuellen Datei auf, die von Gefalteten Text öffnen/schließen der aktiven Wortlistendatei eingefasst sind. Falls Text markiert ist, bezieht sich der Befehl nur auf den markierten Bereich. Falls kein Text markiert ist, bezieht sich der Befehl auf die gesamte aktuelle Datei.

Hinweis: Bei der Verwendung dieses Befehls werden Zeichenketten, die mit Hilfe des Befehls Zeilen ausblenden ausgeblendet wurden, ebenso aufgeklappt wie ausgeblendete/eingefaltete Code-Bereiche.

Weitere Informationen finden Sie im Hilfethema zur Code-Faltung .


Befehl 'Dateiänderungen abfragen ein/aus'

Der Befehl 'Dateiänderungen abfragen ein/aus' (Menü 'Ansicht')

Mit diesem Befehl können Sie die Abfrage von Dateiänderungen für die aktive Datei ein- bzw. ausschalten. Dies ist eine nützliche Einrichtung für Log-Dateien oder andere dynamisch aktualisierte Dateien. Wenn diese Option aktiviert ist, wird die aktuelle Datei regelmäßig überprüft (abhängig von dem Intervall, das in den Optionen auf der Registerkarte 'Allgemein' im Bereich 'Einstellungen für den Umgang mit Dateien' festgelegt wurde) und mit den zwischenzeitlich angefallenen Änderungen aktualisiert.

Hinweis: Dieser Befehl wird im Menü 'Ansicht' solange ausgegraut dargestellt bis die Option Abfrage von Dateiänderungen im Intervall von x Sekunden erzwingen durch die Angabe eines Abfrageintervalls aktiviert worden ist.


Befehl 'Abgefragte Dateien autom. scrollen ein/aus'

Der Befehl 'Abgefragte Dateien autom. scrollen ein/aus' (Menü 'Ansicht')

Dieser Befehl schaltet den automatischen Bildlauf für sämtliche Dateien ein bzw. aus, für die mit Hilfe des

Befehls Dateiänderungen abfragen ein/aus die Abfrage aktiviert wurde. Falls diese Option aktiviert ist, werden alle abgefragten Dateien bei jeder Abfrage automatisch bis zur letzten Zeile vorgeblättert. Bei dynamisch aktualisierten Dateien wie z.B. Protokolldateien kann auf diese Weise sichergestellt werden, dass die zuletzt hinzugekommenen Einträge der Datei immer sichtbar sind, sobald die abgefragte Datei zur aktiven Datei wird. Diese Funktion entspricht im Wesentlichen dem UNIX-Befehl tail.


Befehl 'Immer im Vordergrund'

Der Befehl 'Immer im Vordergrund' (Menü 'Ansicht')

Mit diesem Befehl lässt sich die Anzeige von UltraEdit im Vordergrund vor allen anderen Anwendungen aktivieren bzw. deaktivieren.


Befehl 'Ganzer Bildschirm' (Ansicht)

Der Befehl 'Ganzer Bildschirm' (Menü 'Ansicht')

Dieser Befehl ermöglicht es Ihnen, die aktive Datei im Vollbildmodus zu bearbeiten. Gegebenenfalls vorhandene Symbolleisten, Statuszeilen und andere Fenster werden dabei ausgeblendet.

Es erscheint ein kleines Fenster mit einer Schaltfläche, mit der Sie in den normalen Bearbeitungsmodus zurückkehren können. Außerdem können Sie den Vollbildmodus jederzeit durch Drücken der Esc-Taste wieder beenden.

Sobald der Vollbildmodus beendet wird, wird der ursprüngliche Zustand des Hauptfensters und der Bearbeitungsfenster von UltraEdit wiederhergestellt.


Befehle im Menü 'Format'

Die Befehle im Menü 'Format'

Das Menü 'Format' stellt folgende Befehle bereit:

Absatz neu formatieren | Formatiert einen Absatz gemäß der Spaltenanzahl mit Zeilenumbrüchen neu.
Absatzformatierung | Einstellungen für die Absatzformatierung; Ausrichtung von Absätzen (Linksbündig, Rechtsbündig, Zentriert, Blocksatz)
CR/LF in Umbrüche wandeln | CR/LF-Zeichen (Carriage Return/Line Feed) werden für den markierten Textbereich durch automatischen Zeilenumbruch ersetzt.
Umbrüche in CR/LF wandeln | Die automatischen Zeilenumbrüche werden für die gesamte Datei in CR/LFs umgewandelt.
Tabulatoren zu Leerzeichen | Wandelt Tabulatoren in Leerzeichen um.
Leerzeichen zu Tabulatoren (Alle) | Wandelt wo möglich alle Leerzeichen in Tabulatoren um.
Leerzeichen zu Tabulatoren (Führende) | Wandelt führende Tabulatoren in Leerzeichen um.
Leerzeichen an Zeilenenden entfernen | Entfernt jegliche Leerzeichen (Leertaste, Tabulator) an allen Zeilenenden.
OEM nach ANSI | Wandelt OEM-Zeichensatz in ANSI-Zeichensatz um.
ANSI nach OEM | Wandelt ANSI-Zeichensatz in OEM-Zeichensatz um.
Großbuchstaben | Wandelt den markierten Text in Großbuchstaben um.
Kleinbuchstaben | Wandelt den markierten Text in Kleinbuchstaben um.
Kapitale | Jedes Wort im markierten Text wird mit einem Kapital (großer Anfangsbuchstabe) versehen.
Groß-/Kleinschreibung vertauschen | Kehrt die Schreibweise (klein/groß) des markierten Textes um.
Einzug hinzufügen | Zeigt einen Dialog an, der das Hinzufügen von Einzügen in markierte Textzeilen ermöglicht.
Einzug entfernen | Zeigt einen Dialog an, der das Entfernen von Einzügen aus markierten Textzeilen ermöglicht.
HTML-Prüfung | HTML Tidy ausführen | Ruft das Programm HTML Tidy auf, das HTML-Dateien auf korrekte Syntax überprüft und gut lesbar formatiert.
HTML-Prüfung | CSE HTML Validator (und Einstellungen) | CSE HTML Validator ausführen; Einstellungen konfigurieren
JavaScript Lint-Werkzeug | ruft »JavaScript Lint« auf, um im JavaScript-Code nach Fehlern zu fahnden. Für weitere Informationen siehe http://www.javascriptlint.com/
XML-Konvertierung nach CR/LF | Formatiert einzeilige XML-Dateien durch das Einfügen geeigneter fester Zeilenwechsel in eine besser lesbare Form um.
XMLlint Tool | Ruft den XMLlint Parser auf. Für weitergehende Information über Kommandos und Benutzung bitte auf http://xmlsoft.org/xmllint.html nachschauen
Einzüge neu formatieren | Formatiert die Einzüge für den markierten Bereich bzw. für die gesamte aktive Datei neu.


Befehl 'Absatz neu formatieren' (Format)

Der Befehl 'Absatz neu formatieren' (Menü 'Format')

Mit diesem Befehl lässt sich der aktuelle Absatz (oder markierte Text) entsprechend der angegebenen Begrenzung der Spaltennummer neu formatieren. Die Angabe der Spaltennummer sowie weitere Einstellungen werden auf der Registerkarte 'Optionen | Bearbeiten' im Menü 'Extras' vorgenommen. Ein Absatz ist dadurch definiert, dass er zwei aufeinander folgende feste Zeilenumbrüche aufweist (beispielsweise eine Leerzeile).

Alle festen Zeilenumbrüche werden aus dem Absatz entfernt, bevor er entsprechend der Spaltengrenzen neu formatiert wird. Bitte beachten Sie, daß alle eventuell vorhandenen Lesezeichen im ausgewählten Bereich beim Umformatierungsvorgang entfernt werden; ein anschließender »Rückgängig«-Befehl, der nach der Umformatierung ausgeführt wird, stellt die ggf. verlorengegangenen Lesezeichen nicht wieder her!

Die gesamte Datei lässt sich neu formatieren, indem sie zunächst mit dem Befehl Alles markieren vollständig ausgewählt und anschließend umformatiert wird.

Wenn die Option Automatische Einzüge aktiv ist, werden die Absätze entsprechend der ersten Zeile des Absatzes mit einem automatischen Einzug versehen.

Für diesen Befehl werden die Angaben aus dem Dialog 'Einstellungen für Neuformatierung' verwendet.

Schnellzugriff

Tastatur: Strg+T


Befehl 'Absatzformatierung' (Format)

Der Befehl 'Absatzformatierung' (Menü 'Format')

Die Absatzformatierung ermöglicht dem Benutzer die Ausrichtung von Absätzen auf folgende Weisen:

  • Linksbündig

Der Text wird linksbündig am linken Rand ausgerichtet und nicht über den rechten Rand hinaus gehen.
  • Zentriert

Der Text wird zwischen dem linken und dem rechten Rand zentriert.
  • Rechtsbündig

Der Text wird rechtsbündig am rechten Rand ausgerichtet und nicht über den linken Rand hinaus gehen.
  • Blocksatz

Der Text wird am linken und rechten Rand ausgerichtet, wobei Leerzeichen zwischen den Wörtern eingefügt werden, um die Ausrichtung an beiden Rändern zu gewährleisten. Die letzte Zeile eines Absatzes wird nur am linken Rand ausgerichtet.

Jeder der Ausrichtungsbefehle kann im Menü ausgewählt oder aus dem Dialog 'Einstellungen für Neuformatierung' heraus aufgerufen werden.

Im Dialog 'Einstellungen für Neuformatierung' werden die Parameter für die Formatierung von Absätzen angegeben. Auf diese Parameter wird zurückgegriffen, sobald einer der Formatierungsbefehle verwendet wird. Es gibt folgende Parameter:

  • Hängender Einzug

Diese Einstellung bezieht sich nur auf die linksbündige Ausrichtung. Wenn diese Option aktiv ist, kann ein zweiter Rand angegeben werden, der dann ab der zweiten Zeile für die weiteren Zeilen eines Absatzes verwendet wird. Dadurch wird die erste Zeile eines Absatzes mit einem anderen Einzug versehen als der restliche Absatz. In diesem Fall kann der Wert für den hängenden Einzug in diesem Dialog angegeben werden.
  • Linken Absatzrand verwenden

Diese Option weist UltraEdit an, den vorhandenen linken Rand des neu zu formatierenden Absatzes zu verwenden, statt einen neuen Wert für den Rand anzugeben.
  • Rand angeben

Diese Einstellung weist UltraEdit an, bei der Neuformatierung eines Absatzes den im Dialog angegebenen Wert für den linken Rand als Einzug für den linken Rand zu verwenden.
  • Rechter Rand

Dieser Wert gibt den rechten Rand für die Neuformatierung eines Absatzes an. Dabei handelt es sich um die Nummer der letzte Spalte (beginnend bei 1), in der sich Text befinden darf.

Auf diese Randeinstellungen wird bei sämtlichen Formatierungsbefehlen zurückgegriffen, auch beim Befehl Absatz neu formatieren .

Es werden alle festen Zeilenwechsel aus einem Absatz entfernt und der Absatz wird entsprechend dieser Einstellungen neu formatiert.

Die gesamte Datei lässt sich neu formatieren, indem Sie zunächst mit dem Befehl Alles markieren den gesamten Inhalt auswählen und diesen anschließend neu formatieren.


Befehl 'CR/LF in Umbrüche umwandeln' (Format)

Der Befehl 'CR/LF in Umbrüche umwandeln' (Menü 'Format')

Mit diesem Befehl lassen sich feste Zeilenwechsel bzw. CR/LF-Zeichen (Carriage Return = Wagenrücklauf / Line Feed = Zeilenvorschub) aus der Datei entfernen, wodurch UltraEdit einen automatischen Zeilenumbruch durchführen kann. Es werden alle CR/LF-Zeichen im markierten Text entfernt. Wenn kein Text markiert ist, hat die Funktion keine Auswirkung.

Um sämtliche CR/LF-Zeichen aus der Datei zu entfernen, muss die gesamte Datei markiert werden. Dazu können Sie entweder Strg+A drücken oder den Cursor am Dateianfang positionieren und Strg+Umschalt+Ende drücken.

Um CR/LF-Zeichen in die Datei einzufügen, können Sie den Befehl Umbrüche in CR/LF umwandeln .


Befehl 'Umbrüche in CR/LF wandeln' (Format)

Der Befehl 'Umbrüche in CR/LF wandeln' (Menü 'Format')

Mit diesem Befehl lässt sich ein fester Zeilenumbruch entweder für die Fensterbreite oder eine angegebene Spaltenanzahl durchführen, wobei CR/LF-Zeichen (Carriage Return = Wagenrücklauf / Line Feed = Zeilenvorschub) in die Datei eingefügt werden. Wenn sich an der Umbruchstelle ein Leerzeichen befindet, wird ein Leerzeichen entfernt. Damit ist es möglich, das Dokument so zu speichern, wie es im umgebrochenen Zustand zu sehen ist, wobei am Ende jeder umgebrochenen Zeile jeweils eine CR/LF-Markierung eingefügt wird.

Nach Auswahl dieses Befehls erscheint ein Dialog, in dem die Parameter für den Umbruch angegeben werden. Standardmäßig wird der Text gemäß der aktuellen Ansicht umgebrochen. Der Text wird also an den Fensterbegrenzungen umgebrochen, wie sie auf dem Bildschirm zu sehen sind. Der Dialog gestattet auch die Angabe einer Spaltennummer, an welcher der Text umgebrochen werden soll. In diesem Fall wird der Text in der angegebenen Spalte bzw. an der vorhergehenden Wortbegrenzung in der Zeile umgebrochen.

Wenn kein Text markiert ist, wird diese Funktion auf die gesamte Datei angewendet. Wenn Text markiert ist, wird nur der markierte Bereich umgewandelt.

Für das Entfernen von CR/LF-Zeichen aus der Datei steht Ihnen der Befehl CR/LF in Umbrüche wandeln zur Verfügung.


Befehl 'Tabulatoren zu Leerzeichen' (Format)

Der Befehl 'Tabulatoren zu Leerzeichen' (Menü 'Format')

Mit diesem Befehl lassen sich alle Tabulatorzeichen innerhalb einer Datei in Leerzeichen umwandeln. Dabei wird auf die Tabulatoreinstellungen auf der Registerkarte 'Optionen | Bearbeiten' zurückgegriffen, um zu bestimmen, wie das Tabulatorzeichen bzw. die Tabulatorstopps interpretiert werden sollen. Die Umwandlung wird so durchgeführt, dass die Formatierung erhalten bleibt.

Falls ein Teil einer Datei markiert ist, wird nur dieser Teil umgewandelt; andernfalls die gesamte Datei.

Um Leerzeichen in Tabulatoren umzuwandeln, können Sie den Befehl Leerzeichen zu Tabulatoren (Führende) oder Leerzeichen zu Tabulatoren (Alle) verwenden.


Befehl 'Leerzeichen zu Tabulatoren (Alle)' (Format)

Der Befehl 'Leerzeichen zu Tabulatoren (Alle)' (Menü 'Format')

Mit diesem Befehl lassen sich alle Leerzeichen innerhalb einer Datei in Tabulatorzeichen umwandeln. Dabei wird auf die Tabulatoreinstellungen auf der Registerkarte 'Bearbeiten' zurückgegriffen, um zu bestimmen, wie das Tabulatorzeichen bzw. die Tabulatorstopps interpretiert werden sollen.

Die Umwandlung wird so durchgeführt, dass die Formatierung erhalten bleibt. Das bedeutet, dass an Stellen, an denen nicht genügend Leerzeichen vorhanden sind, um durch einen Tabulator ersetzt zu werden, diese Leerzeichen erhalten bleiben, damit die Formatierung beibehalten wird.

Falls ein Teil einer Datei markiert (hervorgehoben) ist, wird nur dieser Teil umgewandelt, andernfalls die gesamte Datei.

Wenn nur Leerzeichen am Zeilenanfang umgewandelt werden sollen, können Sie den Befehl Leerzeichen zu Tabulatoren (Führende) verwenden.

Um Tabulatoren in Leerzeichen umzuwandeln, können Sie den Befehl Tabulatoren zu Leerzeichen verwenden.


Befehl 'Leerzeichen zu Tabulatoren (Führende)' (Format)

Der Befehl 'Leerzeichen zu Tabulatoren (Führende)' (Menü 'Format')

Mit diesem Befehl lassen sich alle führenden Leerzeichen innerhalb einer Datei in Tabulatorzeichen umwandeln. Dabei wird auf die Tabulatoreinstellungen auf der Registerkarte 'Bearbeiten' zurückgegriffen, um zu bestimmen, wie das Tabulatorzeichen bzw. die Tabulatorstopps interpretiert werden sollen.

Mit führenden Leerzeichen sind die Leerzeichen am Zeilenanfang gemeint. Es werden keine Leerzeichen umgewandelt, die nach dem ersten Nicht-Leerzeichen folgen. Um alle Leerzeichen einer Zeile umzuwandeln, können Sie den Befehl Leerzeichen zu Tabulatoren (Alle) verwenden.

Die Umwandlung wird so durchgeführt, dass die Formatierung erhalten bleibt. Das bedeutet, dass an Stellen, an denen nicht genügend Leerzeichen vorhanden sind, um durch einen Tabulator ersetzt zu werden, diese Leerzeichen erhalten bleiben, damit die Formatierung beibehalten wird.

Falls ein Teil einer Datei markiert (hervorgehoben) ist, wird nur dieser Teil umgewandelt, andernfalls die gesamte Datei.

Um Tabulatoren in Leerzeichen umzuwandeln, können Sie den Befehl Tabulatoren zu Leerzeichen verwenden.


Befehl 'Weißraum an Zeilenenden entfernen' (Format)

Der Befehl 'Weißraum an Zeilenenden entfernen' (Menü 'Format')

Mit diesem Befehl werden sämtliche Weißräume (Tabulatoren, Leerzeichen) an allen Zeilenenden der Datei entfernt. Anschließend wird der Cursor am Dateianfang positioniert.

Auf der Registerkarte 'Allgemein' befindet sich eine Option, mit der nachfolgende Weißräume automatisch beim Speichern einer Datei entfernt werden.


Befehl 'Großbuchstaben' (Format)

Der Befehl 'Großbuchstaben' (Menü 'Format')

Dieser Befehl wandelt den gesamten markierten Text, für dessen Umfang es keine Einschränkungen gibt, in Großbuchstaben um. Wenn der Spaltenmodus aktiv ist, werden nur die ausgewählten Spalten umgewandelt.

Schnellzugriff

Tastatur: Umschalt+F5


Befehl 'Kleinbuchstaben' (Format)

Der Befehl 'Kleinbuchstaben' (Menü 'Format')

Dieser Befehl wandelt den gesamten markierten Text, für dessen Umfang es keine Einschränkungen gibt, in Kleinbuchstaben um. Wenn der Spaltenmodus aktiv ist, werden nur die ausgewählten Spalten umgewandelt.

Schnellzugriff

Tastatur: Strg+F5


Befehl 'Kapitale' (Format)

Der Befehl 'Kapitale' (Menü 'Format')

Dieser Befehl wandelt in einem markierten Text unbegrenzter Länge den Anfangsbuchstaben jedes Wortes in einen Kapitalbuchstaben bzw. großen Anfangsbuchstaben und die übrigen Buchstaben in Kleinbuchstaben um. Wenn der Spaltenmodus aktiv ist, werden nur die ausgewählten Spalten umgewandelt.

Schnellzugriff

Tastatur: F5


Befehl 'Groß-/Kleinschreibung vertauschen' (Format)

Der Befehl 'Groß-/Kleinschreibung vertauschen' (Menü 'Format')

Dieser Befehl vertauscht die Groß- und Kleinschreibung des gesamten markierten Textes, für dessen Umfang es keine Einschränkungen gibt. Wenn der Spaltenmodus aktiv ist, werden nur die ausgewählten Spalten umgewandelt.

Shortcut: SHIFT+F5


Befehl 'Einzug hinzufügen' (Format)

Der Befehl 'Einzug hinzufügen…' (Menü 'Format')

Dieser Befehl zeigt einen Dialog an, in dem die Anzahl der Leerzeichen angegeben wird, die am Anfang jeder der ausgewählten (markierten) Zeilen eingefügt werden soll. Diese Anzahl von Leerzeichen wird dann in jeder Zeile von der ersten bis zur letzten mit mindestens einem Zeichen markierten Zeile hinzugefügt.

Die Einzüge werden zu allen entsprechenden Zeilen hinzugefügt, unabhängig davon, ob bereits Einzüge vorhanden sind oder nicht.

Um Einzüge zu entfernen, verwenden Sie den Befehl Einzug entfernen .

Hinweis: Der Befehl steht nur dann zu Verfügung, wenn Text markiert ist.


Befehl 'Einzug entfernen' (Format)

Der Befehl 'Einzug entfernen' (Menü 'Format')

Dieser Befehl zeigt einen Dialog an, in dem die Anzahl der Leerzeichen oder Tabulatoren angegeben wird, die am Anfang jeder der ausgewählten (markierten) Zeilen entfernt werden soll. Wenn die Option Alle Einzüge entfernen ausgewählt wurde, werden sämtliche Einzüge aus den markierten Zeilen entfernt. Die angegebene Anzahl von Einzügen wird dann aus jeder Zeile von der ersten bis zur letzten mit mindestens einem Zeichen markierten Zeile entfernt.

Wenn am Anfang einer Zeile keine Einzüge vorhanden sind, bleibt die Zeile unverändert.

Um Einzüge hinzuzufügen, verwenden Sie den Befehl Einzug hinzufügen .

Hinweis: Der Befehl steht nur dann zu Verfügung, wenn Text markiert ist.


Befehl 'HTML Tidy ausführen' (Format | HTML-Prüfung)

Der Befehl 'HTML Tidy ausführen' (Menü 'Format | HTML-Prüfung')

Bei HTML Tidy handelt es sich um ein ausgezeichnetes Hilfsprogramm, das in der Lage ist, HTML-Code zu formatieren, zu überprüfen und aufzuräumen. Es wurde von Dave Raggett entwickelt und in UltraEdit integriert. Weitere Informationen zu HTML Tidy finden Sie unter: http://tidy.sourceforge.net/ .

HTML Tidy lässt sich auch ausführen, indem Sie in der Symbolleiste 'Werkzeuge' die Schaltfläche HTML Tidy betätigen, wodurch der Dialog 'HTML Tidy' aufgerufen wird.

Konfigurationsdatei

Tragen Sie in dieses Feld den Dateipfad ein, um eine neue Konfigurationsdatei anzugeben. Alternatvi können Sie die Schaltfläche '...' betätigen, um nach der gewünschten Datei zu suchen. Sobald Sie die Eingabetaste drücken, wird der angegebene Pfad übernommen. Please note that this file must actually exist - specifying a config file that doesn't exist will cause an error when the parse is executed.

Optionen

Betätigen Sie diese Schaltfläche, um den Dialog 'HTML Tidy - Optionen' aufzurufen, mit dem Sie die Arbeitsweise von HTML Tidy konfigurieren können. Eine vollständige Zusammenstellung der Optionen für HTML Tidy finden Sie unter http://tidy.sourceforge.net/docs/quickref.html.

Parsen

Wenn HTML Tidy durch Aufruf des Befehls aus dem Menü 'Format' oder durch Betätigen dieser Schaltfläche ausgeführt wird, wird die aktive Datei gespeichert und HTML Tidy macht sich daran, die Datei zu verarbeiten. Im Ausgabefenster werden sämtliche gefundenen Fehler und Warnhinweise angezeigt. Durch einen Doppelklick auf eine Zeile mit einer Fehler- oder Warnmeldung im Ausgabefenster wird der Cursor in der entsprechenden Zeile der Datei positioniert.

'Aufgeräumte' Datei erzeugen

Aktivieren Sie diese Option, damit HTML Tidy eine 'aufgeräumte' (engl. tidy) Fassung der Datei erzeugt, die UltraEdit dann in einem neuen Dateifenster mit dem Titel '** Ergebnis von HTML Tidy **' anzeigt. Dieser Inhalt wird bei jeder erneuten Verwendung von HTML Tidy überschrieben. Bei deaktivierter Option wird einfach die aktive Datei mit den entsprechenden Änderungen überschrieben.


Befehl 'CSE HTML Validator' (Format | HTML-Prüfung)

Der CSE HTML Validator (Menü 'Format | HTML-Prüfung')

Der CSE HTML Validator (Validator) ist ein ausgezeichnetes Programm zur Überprüfung von Dateien in den Formaten HTML, XML und anderen. Über diese Menüeinträge ist der Validator in UltraEdit integriert, sodass er direkt von UltraEdit aus ausgeführt werden kann und seine Ausgaben aufgezeichnet und im Ausgabefenster angezeigt werden können.

Damit Sie von dieser Funktionalität Gebrauch machen können, muss der Validator auf Ihrem System installiert sein. Für Support-Anfragen und Informationen zur Anwendung des Validator müssen Sie sich direkt an die Entwickler des CSE HTML Validator wenden.

Weitere Einzelheiten finden Sie unter folgender Adresse: http://www.htmlvalidator.com/

UltraEdit enthält zwar Menüeinträge zum Einstellen der Konfiguration, Optionen und Auftragsarten für den Validator, bestimmt aber nicht, wie diese Einstellungen vom Validator genutzt werden.


Befehl 'XML-Konvertierung nach CR/LF'

Der Befehl 'XML-Konvertierung nach CR/LF' (Menü 'Format')

Mit diesem Befehl können Sie einzeilige XML-Dateien neu formatieren. Nach Aufruf dieses Befehls durchsucht UltraEdit die aktive Datei und fügt an geeigneten Stellen feste Zeilenumbrüche ein, um das XML-Dokument in ein besser lesbares Format zu bringen.


Befehl 'Einzüge neu formatieren' (Format)

Der Befehl 'Einzüge neu formatieren' (Menü 'Format')

Dieser Befehl ermöglicht es Ihnen, den markierten Text in der aktiven Datei neu zu formatieren. Typischerweise werden Programmierer diesen Befehl verwenden, um vorhandene Quelltexte entsprechend der Konfiguration für den Einzug und der Einstellungen für den automatischen Einzug bei der Syntaxhervorhebung (nähere Einzelheiten finden Sie dort im Abschnitt 'Einzug') neu zu formatieren.

Beim Ausführen der Neuformatierung geht UltraEdit den markierten Bereich bzw. die gesamte Datei zeilenweise durch und beginnt dabei mit dem Einzug der ersten berücksichtigten Zeile.

Wenn der vorhandene Einzug der ersten ausgewählten Zeile geringer ausfällt als der Vorgabewert für den Einzug oder wenn er zwischen Mehrfache des Vorgabewerts für den Einzug fällt, dann wird der Einzug auf den Vorgabewert oder ein Mehrfaches des Vorgabewerts für den Einzug abgerundet. (Ein Beispiel: Wenn der Vorgabewert 4 ist und die erste ausgewählte Zeile einen Einzug von 2 Stellen besitzt, dann wird die Zeile als nicht-eingezogen betrachtet, da ihr Einzug auf 0 abgerundet wird. Wenn die Zeile um 6 Stellen eingezogen ist, wird sie an der Einzugposition 4 ausgerichtet, da der Wert zwischen die Einzugpositionen 4 und 8 fällt.)

UltraEdit ermittelt, ob die Anweisung, die eine Änderung des Einzugs bewirkt, auskommentiert oder Bestandteil einer Zeichenkette ist, um die Änderung gegebenenfalls zu ignorieren. Wenn die Datei allerdings bedingte Präprozessor-Anweisungen enthält (#ifdef, #ifndef etc.) versucht UltraEdit nicht erst zu ermitteln, welcher Text gültig ist und welcher nicht. In solchen Fällen kann es dazu kommen, dass Zeilen falsch eingezogen werden.

Um Probleme mit bedingten Anweisungen zu vermeiden, empfiehlt es sich, dass sämtliche bedingten Abschnitte über dieselbe Anzahl von öffnenden und schließenden Anweisungen verfügen. Wenn also im Bedingungsabschnitt eine Anweisung der Art 'if (test) {' vorkommt, sorgen Sie dafür, dass sich auch die schließende Klammer '}' in dem Bedingungsabschnitt befindet. Dann sollte es keine Probleme geben.

In manchen Fällen mag es wünschenswert sein, dass einige Zeilen bei den Einzügen nicht berücksichtigt werden – etwa Compiler-Direktiven oder Kommentare. Zu diesem Zweck können Sie in der Wortlistendatei 'wordfile.txt' die Zeichenketten definieren, die ignoriert werden sollen. Nähere Einzelheiten dazu finden Sie im Hilfethema zur Syntaxhervorhebung .


Befehle im Menü 'Spalte'

Die Befehle im Menü 'Spalte'

Das Menü 'Spalte' stellt folgende Befehle bereit:

Spaltenmodus ein/aus | Wechselt zwischen Spalten- und Blockmodus.
Spalten einfügen/füllen | Geben Sie einen Text an, mit dem die Spalte ab der Cursor-Position gefüllt werden soll.
Spalten löschen | Geben Sie an, wie viele/welche Spalten ab der Cursor-Position gelöscht werden sollen.
Spalten ausschneiden | Geben Sie an, wie viele/welche Spalten ab der Cursor-Position ausgeschnitten werden sollen.
Nummern einfügen | Bestimmen Sie eine Nummerierung für markierte Zeilen bzw. für die Zeilen der Spalte ab der Cursor-Position.
Spalten/Auswahl aufsummieren | Berechnet die Summe der Werte des ausgewählten Spaltenbereichs.
Feste Spaltenbreite | Konvertiert Feldlisten aus Dateien mit Trennzeichen nach fester Spaltenbreite.
Text mit Trennzeichen | Konvertiert feste Spaltenbreite in Dateien nach Text mit Trennzeichen.
Linksbündig | Richtet die Spalte linksbündig aus.
Zentriert | Richtet die Spalte zentriert aus.
Rechtsbündig | Richtet die Spalte zentriert aus.


Befehl 'Spaltenmodus ein/aus' (Spalte)

Der Befehl 'Spaltenmodus ein/aus' (Menü 'Spalte')

Dieser Befehl ändert die Betriebsweise des Editors für die Auswahl von Text. Wenn der Spaltenmodus aktiviert ist, bezieht sich die Textmarkierung auf die Spaltenposition des ersten ausgewählten Zeichens bis zur Spalte des letzten Zeichens im markierten Text. Test, der in diesem Modus ausgewählt wurde, umfasst nicht automatisch den gesamten Text zwischen der Start- und der Endposition, sondern nur den Text in den Spalten zwischen dem ersten und letzten ausgewählten Zeichen.

Die Bearbeitung im Spaltenmodus wird manchmal auch als Blockmodus bezeichnet, da beim Auswählen von Text eine rechteckige Markierung erzeugt wird.

Die Befehle Ausschneiden , Kopieren und Einfügen beziehen sich auf den ausgewählten Text.

Für die Bearbeitung im Spaltenmodus muss der automatische Zeilenumbruch ausgeschaltet und eine Schriftart mit fester Zeichengröße ausgewählt sein.

Wenn der Spaltenmodus aktiviert ist, stehen weitere Spaltenbefehle zur Verfügung: Spalten einfügen/füllen , Spalten löschen , Spalten ausschneiden und Nummern einfügen .

Schnellzugriff

Tastatur: Alt+C


Befehl 'Spalten einfügen/füllen' (Spalte)

Der Befehl 'Spalten einfügen/füllen' (Menü 'Spalte')

Dieser Befehl zeigt einen Dialog an, in dem Sie einen Text eingeben können, der in jede ausgewählte Zeile oder, falls keine Zeilen markiert wurden, in jede Zeile ab der aktuellen Cursor-Position bis zum Dateiende eingefügt wird. Der Text wird in jeder Zeile an der Spaltenposition eingefügt, die beim Aufrufen des Befehls durch den Cursor gekennzeichnet ist. Falls in einer Zeile kein Text in dieser Spalte vorhanden sein sollte, wird die Zeile derart mit Leerzeichen (' ') aufgefüllt, dass der Text korrekt eingefügt werden kann.

Wenn beim Aufruf des Befehls Text ausgewählt ist, werden die markierten Spalten durch den angegebenen Text ersetzt.

Hinweis: Dieser Befehl steht nur im Spaltenmodus zur Verfügung.


Befehl 'Spalten löschen' (Spalte)

Der Befehl 'Spalten löschen' (Menü 'Spalte')

Dieser Befehl zeigt einen Dialog an, in dem Sie die Anzahl der zu löschenden Spalten angeben können, die in jeder ausgewählten Zeile oder, falls keine Zeilen markiert wurden, in jeder Zeile ab der aktuellen Cursor-Position bis zum Dateiende entfernt werden sollen. Wenn Sie den Wert 0 eingeben, werden die Spalten gemäß der Textauswahl gelöscht. Der gelöschte Text wird nicht in der Zwischenablage gespeichert!


Befehl 'Spalten ausschneiden' (Spalte)

Der Befehl 'Spalten ausschneiden' (Menü 'Spalte')

Dieser Befehl zeigt einen Dialog an, in dem Sie die Anzahl der auszuschneidenden Spalten angeben können. Die Spalten werden in jeder ausgewählten Zeile oder, falls keine Zeilen markiert wurden, in jeder Zeile ab der aktuellen Cursor-Position bis zum Dateiende entfernt. Wenn Sie den Wert '0' eingeben, werden die Spalten entsprechend der Textauswahl beim Aufruf des Befehls gelöscht. Der gelöschte Text wird nicht in der Zwischenablage gespeichert.


Befehl 'Nummern einfügen' (Spalte)

Der Befehl 'Nummern einfügen' (Menü 'Spalte')

Mit diesem Befehl lässt sich in jede ausgewählte Zeile oder, falls keine Zeile markiert wurde, in jede Zeile ab der vom Cursor angegebenen Spaltenposition eine fortlaufende Nummer einfügen. Dieser Befehl zeigt einen Dialog an, in dem der Anfangswert und die Schrittweite beim Hochzählen für jede Zeile angegeben wird. Auf diese Weise lässt sich eine Textdatei ganz einfach mit Zeilennummern versehen.

Wenn beim Aufruf des Befehls Text markiert ist, wird der ausgewählte Text durch die eingefügten Zeilennummern ersetzt. Der für die Zeilennummern benötigte Abstand wird automatisch auf Basis der Anzahl von Zeilen, in die eine Nummer eingefügt wird, dem Anfangswert und der Schrittweite berechnet. Bei allen Zahlen darf es sich um positive oder negative Ganzzahlen handeln.

Falls die Option Führende Nullen aktiviert ist, werden entsprechend viele führende Nullen zu jeder Nummer hinzugefügt, um das Feld auf die gleiche Breite (in Zeichen) zu bringen, wie die höchste einzufügende Nummer. Ist diese Option nicht aktiviert, werden stattdessen führende Leerzeichen verwendet.

Das Format der einzufügenden Zahlen kann zwischen »Dezimal« oder »Hexadezimal« gewählt werden. Falls z.B. »62« in das Feld »Erste Zahl« eingegeben würde, und als Ausgabeformat »Hexadezimal« eingestellt ist, würde »3E« (die Zahl 62 hexadezimal geschrieben) als erste Zahl in der Zahlenfolge eingefügt.


Befehl 'Spalten/Auswahl aufsummieren' (Spalte)

Der Befehl 'Spalten/Auswahl aufsummieren' (Menü 'Spalte')

Dieser Befehl summiert alle Zahlenwerte auf, die im ausgewählten Bereich (Spalten oder Zeilen) vorkommen, und zeigt die Summe in einem Dialogfenster an.

In Zahl zu ignorierendes Zeichen

Da einige Zahlenformate ein Komma oder ein anderes Zeichen als Bestandteil der Zahl bzw. als Trennzeichen enthalten (z.B. kann der Wert Eintausend als 1.000 darsgestellt sein), lässt sich dieses Zeichen konfigurieren. In diesem Feld können Sie ein beliebiges Zeichen angeben, das in einer Zahl ignoriert werden soll. Standardmäßig ist es mit einem Komma ',' vorbesetzt.

Summieren

Klicken Sie auf diese Schaltfläche, um die Gesamtsumme neu zu berechnen. Dadurch können Sie das Trennzeichen anpassen und die Summe anschließend neu berechnen lassen.

Gesamtsumme

In diesem editierbaren Eingabefeld wird das Ergebnis der Summierung angezeigt. Das Ergebnis kann in dem Feld formatiert und aus ihm in die Zwischenablage kopiert werden, um es bei Bedarf in die Datei einzufügen.


Befehl 'Feste Spaltenbreite' (Spalte)

Der Befehl 'Feste Spaltenbreite...' (Menü 'Spalte')

Dieser Befehl ermöglicht es Ihnen, eine Datei mit Feldlisten, die durch ein bestimmtes Zeichen getrennt sind, in eine Datei mit fester Spaltenbreite für die Felder zu konvertieren. Diese Art der Konvertierung erweist sich besonders in solchen Fällen als nützlich, in denen eine spaltenweise Bearbeitung erforderlich ist, eine solche aber durch die unterschiedlichen Feldgrößen in den Zeilen erschwert wird. Das Gegenstück zu dieser Funktion ist der Befehl Text mit Trennzeichen .

Nach dem Aufruf dieses Befehls erscheint ein Dialogfenster mit folgenden Steuerelementen:

Untersuchen

Diese Schaltfläche veranlasst UltraEdit, die Datei (bzw. die erste Zeile) zu untersuchen und die maximale Feldgröße für jedes Feld zu bestimmen. Nach der Ermittlung der maximal benötigten Größe für jedes Feld werden die Ergebnisse (durch Kommata voneinander getrennt) im Textfeld Feldgrößen eingetragen.

Nur erste Zeile untersuchen

Wenn diese Option aktiv ist, untersucht UltraEdit zur Ermittlung der Feldgrößen nur die erste Zeile.

Trennzeichen zwischen Zitatzeichen (') ignorieren

Bei Auswahl dieser Option werden Trennzeichen zwischen einzelnen Zitatzeichen bei der Ausrichtung der Spaltenbreiten nicht berücksichtigt.

Trennzeichen zwischen doppelten Zitatzeichen (") ignorieren

Bei Auswahl dieser Option werden Trennzeichen zwischen doppelten Zitatzeichen bei der Ausrichtung der Spaltenbreiten nicht berücksichtigt.

Trennzeichen bei fester Spaltenbreite beibehalten

Wenn diese Option aktiv ist, wird das Trennzeichen für die Felder bei der Konvertierung in feste Spaltenbreiten nicht entfernt. Wenn diese Option nicht aktiv ist, werden die Trennzeichen zwischen den Feldern bei der Konvertierung entfernt.

Trennzeichen in einfachen Anführungszeichen (') ignorieren

Wenn diese Option aktiv ist, werden alle zwischen einfachen Anführungszeichen befindlichen Trennzeichen nicht als Trennzeichen, sondern als Bestandteil einer Zeichenkette betrachtet. Wenn einfache Anführungszeichen (') nicht zur Abgrenzung von Zeichenketten wie in 'Dies ist ein Text' verwendet werden, dann sollte diese Option nicht aktiviert werden.

Trennzeichen in Anführungszeichen (") ignorieren

Wenn diese Option aktiv ist, werden alle zwischen normalen Anführungszeichen befindlichen Trennzeichen nicht als Trennzeichen, sondern als Bestandteil einer Zeichenkette betrachtet. Wenn normale Anführungszeichen (") nicht zur Abgrenzung von Zeichenketten wie in "Dies ist ein Text" verwendet werden, dann sollte diese Option nicht aktiviert werden.

Trennzeichen

In diesem Feld wird das Trennzeichen zwischen den Feldern angegeben. Falls es sich hierbei um das Tabulatorzeichen handelt, muss die Zeichenfolge '^t' angegeben werden. In allen anderen Fällen sollte ein einzelnes Zeichen angegeben werden. UltraEdit greift zur Ermittlung der Grenzen zwischen den Feldern auf dieses Zeichen zurück.

Feldgrößen

In diesem Feld wird die Liste der durch Kommata voneinander getrennten Feldgrößen für die Konvertierung angegeben. Falls mehr Felder als Einträge vorhanden sind, wird der letzte Eintrag auch als Feldgröße für die übrigen Felder verwendet. Das ermöglicht Ihnen die Angabe nur eines Wertes, wenn alle Felder dieselbe Größe haben sollen.

Konvertieren

Diese Schaltfläche führt entsprechend der oben beschriebenen Einstellungen die Konvertierung von Text, der durch ein Trennzeichen getrennte Felder enthält, in einen Text mit fester Spaltenbreite durch. Es wird immer die gesamte Datei konvertiert.


Befehl 'Text mit Trennzeichen' (Spalte)

Der Befehl 'Text mit Trennzeichen...' (Menü 'Spalte')

Dieser Befehl ermöglicht es Ihnen, eine Datei mit fester Spaltenbreite in eine Datei mit Feldlisten zu konvertieren, die durch ein bestimmtes Zeichen getrennt sind. Das Gegenstück zu dieser Funktion ist der Befehl Feste Spaltenbreite .

Nach dem Aufruf dieses Befehls erscheint ein Dialogfenster mit folgenden Steuerelementen:

Trennzeichen

Geben Sie in diesem Feld das Trennzeichen an, das zwischen den Feldern ausgegeben werden soll. Falls es sich hierbei um das Tabulatorzeichen handelt, muss die Zeichenfolge '^t' angegeben werden. In allen anderen Fällen sollte ein einzelnes Zeichen angegeben werden. UltraEdit verwendet dieses Zeichen zur Trennung der Feldinhalte voneinander.

Feldgrößen

In diesem Feld können Sie eine Liste der durch Kommata voneinander getrennten Feldgrößen für die Konvertierung angeben. Falls mehr Felder als Einträge vorhanden sind, wird der letzte Eintrag auch als Feldgröße für die übrigen Felder verwendet. Sie können also auch einen einzigen Wert angeben, wenn alle Felder dieselbe Größe haben sollen.

Konvertieren

Klicken Sie auf diese Schaltfläche, um die Konvertierung von Text mit fester Spaltenbreite entsprechend der oben beschriebenen Einstellungen in einen Text vorzunehmen, bei dem die Felder durch Trennzeichen getrennt sind.

Hinweis: Es wird immer die gesamte Datei konvertiert.


Befehl 'Linksbündig' (Spalte)

Der Befehl 'Linksbündig' (Menü 'Spalte')

Dieser Befehl richtet Text innerhalb der ausgewählten Spalten linksbündig aus. Etwaige im Auswahlbereich enthaltene Tabulatorzeichen werden in die entsprechende Anzahl von Leerzeichen umgewandelt, um die richtigen Spaltenabstände bei der Ausrichtung beizubehalten. Dies ist erforderlich, weil sich die Auswirkung von Tabulatorzeichen und die Textpositionierung nach einer Textausrichtung sonst ändern könnten.

Hinweis: Dieser Befehl steht nur im Spaltenmodus zur Verfügung.


Befehl 'Zentrieren' (Spalte)

Der Befehl 'Zentrieren' (Menü 'Spalte')

Dieser Befehl zentriert Text innerhalb der ausgewählten Spalten. Etwaige im Auswahlbereich enthaltene Tabulatorzeichen werden in die entsprechende Anzahl von Leerzeichen umgewandelt, um die richtigen Spaltenabstände bei der Ausrichtung beizubehalten. Dies ist erforderlich, weil sich die Auswirkung von Tabulatorzeichen und die Textpositionierung nach einer Textausrichtung sonst ändern könnten.

Hinweis: Dieser Befehl steht nur im Spaltenmodus zur Verfügung.


Befehl 'Rechtsbündig' (Spalte)

Der Befehl 'Rechtsbündig' (Menü 'Spalte')

Dieser Befehl richtet Text innerhalb der ausgewählten Spalten rechtsbündig aus. Etwaige im Auswahlbereich enthaltene Tabulatorzeichen werden in die entsprechende Anzahl von Leerzeichen umgewandelt, um die richtigen Spaltenabstände bei der Ausrichtung beizubehalten. Dies ist erforderlich, weil sich die Auswirkung von Tabulatorzeichen und die Textpositionierung nach einer Textausrichtung sonst ändern könnten.

Hinweis: Dieser Befehl steht nur im Spaltenmodus zur Verfügung.


Befehle im Menü 'Makro'

Die Befehle im Menü 'Makro'

Das Menü 'Makro' enthält Befehle, mit denen Makros aufgezeichnet, ausgeführt, geladen und/oder gespeichert werden können.

Was ist ein Makro?

Ein Makro ist eine Abfolge von Tastatureingaben oder Befehlsaktionen, die in der Reihenfolge der Ausführung aufgezeichnet wurden, um zu einem späteren Zeitpunkt erneut ausgeführt werden. Ein Makro wird üblicherweise eingesetzt, um eine ähnliche Bearbeitungsfolge mehrfach beim Auftreten gleichartiger Textpassagen auszuführen.

UltraEdit unterstützt den Einsatz mehrerer Makros, die auch aus anderen Makros heraus aufgerufen werden können (verschachtelte Makros). Bei der Definition eines Makros lässt sich eine Taste für den Schnellzugriff angeben.

Makros können durch eine von drei Methoden automatisch geladen und ausgeführt werden:

1. Makroangabe auf der Befehlszeile

2. Automatisch laden (Menü »Makro«)

3. Makro automatisch laden (Menü »Projekt«)

Nach dieser Reihenfolge werden die Makros geladen, die fürs AutoLaden eingestellt wurden. Falls alle obigen Makros definiert würden und jedes Makro bei der Ausführung eine Datei öffnete, würde dies die Ausführung der nachfolgenden Makros verhindern.

Zusätzlich zu den drei AutoLaden-Makros können auch Makros »on demand« beim öffnen oder Schließen einer Datei ausgeführt werden, wenn diese im Makro-Menü mit dem Befehl »Makro zum öffnen/Speichern von Dateien« eingestellt sind. Beachten Sie bitte, dass die Ausführung eines der AutoLaden-Makros das Laden des Makros beim Laden bzw. Speichern einer Datei verhindern würde.

Das Menü 'Makro' stellt folgende Befehle bereit:

Laden | Lädt eine Makrodatei.
Hinzuladen | Lädt eine Makrodatei zu bereits geladenen Makros hinzu.
Alle speichern | Speichert alle aktiven Makros in einer Datei.
Schnellaufzeichnung | Zeichnet ein Makro auf, ohne den Dialog zum Definieren eines Makros (Bezeichnung, etc.) anzuzeigen.
Automatisch Laden | Legt ein Makro fest, das beim Programmstart geladen werden soll.
Dateien festlegen | Legt ein Makro fest, das beim Öffnen/Speichern einer Datei ausgeführt werden soll.
Bearbeiten | Zum Bearbeiten eines Makros.
Alle entfernen | Entfernt alle aktiven Makros.
Entfernen/Eigenschaften ändern | Entfernt ein Makro bzw. ermöglicht die Änderung seiner Eigenschaften (Schnellzugriff, Name, …).
Aufzeichnen | Beginnt mit der Aufzeichnung eines Makros.
Aufzeichnung beenden | Beendet die Aufzeichnung eines Makros.
Ausführen | Führt das zuletzt verwendete/aufgezeichnete Makro aus.
Mehrfach ausführen | Führt ein ausgewähltes Makro mehrfach aus.
Dialog mit Optionen nach Makroaufnahme anzeigen | Benutzerabfrage mit Optionen, die nach der Makroaufnahme angezeigt werden
Warnung bei nicht gespeicherten Makros | Beim Verlassen von UltraEdit erscheint eine Warnung, falls neue/geänderte Makros noch nicht gespeichert worden sind.


Befehl 'Laden' (Makro)

Der Befehl 'Laden…' (Menü 'Makro')

Dieser Befehl zeigt einen Dialog zum Laden zuvor gespeicherter Makros aus einer Datei an. Der Dialog ermöglicht Ihnen die Dateiauswahl von jedem Datenträger, der dem System bekannt ist. Als Vorgabe wird der Dateiname UltraEdit.MAC angezeigt, wenngleich beliebige Dateinamen zugelassen sind.

Beim Laden einer Datei wird überprüft, ob es sich tatsächlich um eine Makrodatei von UltraEdit handelt.


Befehl 'Hinzuladen' (Makro)

Der Befehl 'Hinzuladen…' (Menü 'Makro')

Dieser Befehl ermöglicht das Hinzuladen eines Makros, wobei die Datei an die bereits geladenen Makros angehängt wird. Im Gegensatz dazu entfernt der Befehl Laden (Makro) vor dem Laden alle vorhandenen Makros aus dem Speicher.

Es wird ein Dialog zum Laden zuvor gespeicherter Makros aus einer Datei angezeigt. Der Dialog ermöglicht die Dateiauswahl von jedem dem System bekannten Datenträger. Als Vorgabe wird der Dateiname UltraEdit.MAC angezeigt, wenngleich beliebige Dateinamen zugelassen sind.

Beim Laden einer Datei wird überprüft, ob es sich wirklich um eine Makrodatei von UltraEdit handelt.


Befehl 'Alle speichern' (Makro)

Der Befehl 'Alle speichern…' (Menü 'Makro')

Dieser Befehl zeigt einen Dialog zum Speichern der Makros an, die mit dem Befehl Aufzeichnen aufgenommen wurden. Der Dialog ermöglicht die Dateiauswahl für jeden dem System bekannten Datenträger. Als Vorgabe wird der Dateiname UltraEdit.MAC angezeigt, wenngleich beliebige Dateinamen zugelassen sind.

Hinweis: Dieser Befehl steht nur dann zur Verfügung, wenn ein Makro aufgezeichnet oder geladen worden ist.


Befehl 'Schnellaufzeichnung' (Makro)

Der Befehl 'Schnellaufzeichnung' (Menü 'Makro')

Dieser Befehl zeichnet Tastendrücke und Aktionen für die spätere Wiedergabe als Makro auf. Wenn dieser Aufzeichnungsmodus aktiv ist, ändert sich die Bezeichnung dieses Menübefehls in Schnellaufzeichnung beenden. Wenn Sie den Befehl erneut auswählen oder die Schnellzugriffstasten für den Befehl nutzen, wird die Aufzeichnung des Makros beendet.

Der Befehl funktioniert ähnlich wie der Befehl Aufzeichnen , nur dass hier nicht erst die Makrobezeichnung, eine Tastenkombination für den Schnellzugriff etc. abgefragt werden.

Bei der Wiedergabe dieses Makros wird kein Dialog zum Abbrechen angezeigt. In der Makro-Liste taucht dieses Makro mit leerem Namen auf.

Achtung: Beim Aufzeichnen wird ein zuvor mit der Schnellaufzeichnung erstelltes Makro bzw. ein anderes bereits vorhandenes Makro ohne Makrobezeichnung ohne Vorwarnung überschrieben.

Die Aufgabe dieses Befehls besteht darin, die Möglichkeiten einer normalen Makroaufzeichnung ohne Dialog mit nur einem einzigen Tastendruck für das Starten und Beenden der Aufzeichnung bereitzustellen.

Das Makro wird wie jedes andere Makro durch den Befehl Ausführen oder Mehrfach ausführen wiedergegeben.

Schnellzugriff

Tastatur: Strg+Umschalt+R


Befehl 'Automatisch laden' (Makro)

Der Befehl 'Automatisch laden…' (Menü 'Makro')

Dieser Befehl ermöglicht es Ihnen, eine Makrodatei festzulegen, die beim Start von UltraEdit automatisch geladen werden soll.

Es ist auch möglich, ein bestimmtes Makro bei Bedarf eine festgelegte Anzahl von Malen auszuführen. Eine Makrodatei kann automatisch geladen werden, ohne dass ein Makro ausgeführt wird.

Diese Methode zum Laden eines Makros beim Programmstart setzt die Befehlszeilenparameter zum Laden eines Makros außer Kraft. Falls kein zu ladendes Makro bestimmt wurde, wird auf gegebenenfalls angegebene Befehlszeilenparameter zurückgegriffen.


Befehl 'Makro zum Öffnen/Speichern von Dateien' (Makro)

Der Befehl 'Makro zum Öffnen/Speichern von Dateien…' (Menü 'Makro')

Dieser Befehl ermöglicht es Ihnen, in einem Dialog ein Makro festzulegen, das bei jedem Laden und Speichern einer Datei ausgeführt werden soll.

Dateiname für die Makros

Geben Sie in diesem Feld den vollständigen Pfad und Namen der Datei an, die das (bzw. die) beim Öffnen oder Sichern einer Datei auszuführende Makro(s) enthält. Wenn sowohl beim Öffnen als auch beim Speichern einer Datei Makros ausgeführt werden sollen, müssen diese sich in derselben Datei befinden.

Beim Öffnen auszuführendes Makro

Geben Sie in diesem Feld den Namen des Makros an, das beim Öffnen einer Datei ausgeführt werden soll. Das angegebene Makro wird ausgeführt, nachdem die Datei geöffnet worden ist. Es wird für jede geöffnete Datei ausgeführt.

Ausführungshäufigkeit

Geben Sie in diesem Feld die Anzahl der Durchläufe an, die das angegebene Makro für jede Datei beim Öffnen ausgeführt werden soll.

Beim Speichern auszuführendes Makro

Geben Sie in diesem Feld den Namen des Makros an, das beim Speichern einer Datei ausgeführt werden soll. Das angegebene Makro wird ausgeführt, bevor die Datei gespeichert wird. Es wird für jede zu speichernde Datei ausgeführt.

Ausführungshäufigkeit

Geben Sie in diesem Feld die Anzahl der Durchläufe an, die das angegebene Makro für jede Datei beim Speichern ausgeführt werden soll.

Hinweis: Wenn Sie diese Makros nur für bestimmte Dateitypen ausführen möchten, können Sie im Makro eine Bedingungsanweisung zum Überprüfen des Dateinamens und/oder der Dateierweiterung verwenden, um im Makro die entsprechenden Schritte einzuleiten.


Befehl 'Bearbeiten' (Makro)

Der Befehl 'Bearbeiten…' (Menü 'Makro')

Mit diesem Befehl lässt sich ein neues Makro erstellen und bearbeiten oder ein vorhandenes, bereits früher mit diesem oder dem Befehl Aufzeichnen erstelltes Makro bearbeiten.

In vielen Fällen ist es für den Benutzer einfacher, das Makro mit dem Befehl Aufzeichnen zu erstellen und bei Bedarf anschließend zu bearbeiten. Die Lernkurve fällt bei dieser Herangehensweise flacher aus.

Makro

Ein Makro ist eine Abfolge von Befehlen, die später automatisch wiederholt werden kann, um eine Datei zu bearbeiten. Auf der linken Seite des Dialogs werden das gerade bearbeitete Makro in einem Listenfeld sowie ein Bearbeitungsfenster für die Befehle angezeigt, aus denen sich das ausgewählte Makro zusammensetzt.

Befehle

Die Befehle in dem Makro müssen aus der Liste der vordefinierten Befehle stammen, die auf der rechten Seite des Dialogs angezeigt wird. Wenn ein Befehl per Doppelklick mit der Maus ausgewählt wird oder die Schaltfläche mit dem Pfeil links von der Befehlsliste gedrückt wird, wird der gewählte Befehl automatisch zum Makro hinzugefügt.

nicht-numerische Parameter

Viele der Befehle verfügen über numerische Parameter. Diese sind relativ offensichtlich, wie z.B. Goto Line # (Gehe zu Zeile Nr) oder Goto Page # (Gehe zu Seite Nr). Jedoch verfügen einige der Befehle, wie Find (Suchen), Replace (Ersetzen), Sort (Sortieren) etc. über zusätzliche Parameter, die nicht numerisch sind. Eine Zusammenstellung dieser zusätzlichen Parameter finden Sie am Ende dieses Beitrages.

Neues Makro

Um von diesem Dialog aus ein neues Makro zu erstellen, muss die Schaltfläche Neues Makro betätigt werden. Es erscheint der Dialog 'Makro Definition' , der Ihnen bei Bedarf die Angabe einer Bezeichnung und einer Taste für den Schnellzugriff auf das Makro ermöglicht.

Sobald dieses neue Makro erstellt worden ist, werden automatisch folgende drei Befehle vorgegeben:

  • Insert Mode bzw. OverStrike Mode

(Einfügemodus bzw. Überschreibmodus)

  • ColumnModeOn bzw. ColumnModeOff

(Spaltenmodus ein bzw. aus)

  • HexOn bzw. HexOff

(HEX-Modus ein bzw. aus)

Diese drei Befehle werden entsprechend der aktuellen Programmeinstellungen eingefügt, um bei jeder Ausführung des Makros für einen wohldefinierten Zustand zu sorgen. Würde ein Makro in einem bestimmten Modus aufgezeichnet und in einem anderen wiedergegeben werden, wäre das Ergebnis unvorhersehbar. Das Einrichten des richtigen Modus zu Makrobeginn sorgt dafür, dass die gewünschten Ergebnisse erzielt werden. Diese Befehle lassen sich nach Bedarf ändern.

Damit ist ein Makro erstellt worden, das nun bearbeitet werden kann.

Makro ändern

Um das Makro zu verändern, können Befehle direkt in das Eingabefenster des Makros eingegeben oder aus der Befehlsliste ausgewählt werden. Die Schreibweise der Befehle muss mit derjenigen in der Befehlsliste übereinstimmen, wobei nicht zwischen Groß- und Kleinschreibung unterschieden wird.

In der folgenden Tabelle sind alle Befehle mit ihren möglichen Parametern aufgeführt:

Befehle

Parameter*

Beschreibung

""

Fügt den Text zwischen den Anführungszeichen ("") ein. Das abschließende Anführungszeichen muss das letzte Nicht-Leerzeichen in der Zeile sein. Die einzufügenden Zeichen können über mehrere Zeilen gehen. Um ein Anführungszeichen (") einzufügen, geben Sie es in dem einzufügenden Text wie gewünscht an und sorgen Sie dafür, dass auch das letzte Zeichen ein Anführungszeichen ist. Um ein einzelnes Anführungszeichen (") einzufügen, sähe die Zeile dann wie folgt aus:

"""

Um einen Zeilenwechsel einzufügen, fügen Sie eine Zeile zwischen dem öffnenden und dem schließenden Anführungszeichen ein. Um zwei Zeilen mit 1 und 2 an den Zeilenanfängen einzufügen, sieht der Befehl folgendermaßen aus:

"1
2"

AnsiToOem

Wandelt den ANSI-Zeichensatz einer Datei in den OEM-Zeichensatz um.

ASCIIToUnicode

Wandelt den ASCII-Zeichensatz einer Datei in den Unicode-Zeichensatz um.

Bottom

Springt ans Dateiende.

ClearClipboard

Löscht den Inhalt der augenblicklich in UltraEdit aktiven Zwischenablage.

Clipboard

Nummer der Zwischenablage
(0-9)

Wählt die angegebene Zwischenablage aus.
0 steht für die Windows-Zwischenablage;

1-9 stehen für die Benutzer-Zwischenablagen.

CloseFile

(kein Parameter)

Save

NoSave

Schließt die aktive Datei.

Speichert die Datei vor dem Schließen.

Schließt die Datei ohne zum Speichern etwaiger Änderungen aufzufordern.

ColumnCenterJustify

Richtet die Spalte zentriert aus.

ColumnCut

Nummerischer Wert für die Anzahl der auszuschneidenden Spalten

Schneidet im Spaltenmodus entweder die markierten Spalten oder die angegebene Anzahl Spalten ab Cursor-Position bis zum Ende der Datei aus. Um markierte Spalten auszuschneiden, muß der Wert "0" angegeben werden.

ColumnDelete

Nummerischer Wert für die Anzahl der zu löschenden Spalten

Löscht im Spaltenmodus entweder die markierten Spalten oder die angegebene Anzahl Spalten ab Cursor-Position bis zum Ende der Datei. Um markierte Spalten zu löschen, muß der Wert "0" angegeben werden.

ColumnInsert

""

Fügt die in Anführungszeichen angegebene Zeichenkette in den markierten Spalten ein.

ColumnInsertNum

LeadingZero

Anfangswert (#)
Schrittweite (#)

Ausgabe von führende Nullen (optional).

Fügt in der markierten Spalte ab dem Anfangswert Nummern mit der angegebenen Schrittweite ein.

ColumnLeftJustify

Richtet die Spalte linksbündig aus.

ColumnModeOff

Schaltet den Spaltenmodus aus.

ColumnModeOn

Schaltet den Spaltenmodus an.

ColumnRightJustify

Richtet die Spalte rechtsbündig aus.

Copy

Kopiert den markierten Text in die Zwischenablage.

CopyAppend

Kopiert den markierten Text und hängt ihn an den Inhalt der Zwischenablage an.

CopyFilePath

Kopiert den aktuellen Dateipfad in die Zwischenablage.

Cut

Schneidet den markierten Text aus der Datei aus und kopiert ihn in die Zwischenablage.

CutAppend

Schneidet den markierten Text aus der Datei aus und hängt ihn an den Inhalt der Zwischenablage an.

DecodeBase64

Der ausgewählte Text wird vom Base64- nach Textformat übersetzt.

DecryptFilePrompt

Öffnet den Dialog »Datei entschlüsseln« und fragt den Benutzer nach dem Pfad und dem Namen der zu entschlüsselnden Datei sowie der Passphrase, die als Schlüssel verwendet wird.

DelAllBookmarkLines

Alle Zeilen mit Lesezeichen werden im aktuellen Dokument gelöscht.

Delete

Löscht das aktuelle Zeichen bzw. den ausgewählten Text.

DeleteLine

Löscht die aktuelle Zeile.

DeleteToEndofLine

Löscht den Text ab der aktuellen Cursor-Position bis zum Zeilenende.

DeleteToStartofLine

Löscht den Text ab der aktuellen Cursor-Position bis zum Zeilenanfang.

DosToMac

Konvertiert die Datei (Zeilenende-Zeichen) ins MAC-Format.

DosToUnix

Konvertiert die Datei (Zeilenende-Zeichen) ins UNIX-Format.

DupeLine

Fügt ein Duplikat der aktuellen Zeile unterhalb der Cursor-Position ein.

Else

Die Else-Anweisung für eine der If…-Anweisungen.

IfSel
…
Else
Führe diese Befehle aus,
falls IfSel nicht erfolgreich

war.
…
EndIf

EncodeBase64

Der ausgewählte Text wird nach Base64-Format übersetzt.

EncryptFilePrompt

Öffnet den Dialog »Datei verschlüsseln« und fragt den Benutzer nach dem Pfad und dem Namen der zu verschlüsselnden Datei sowie der Passphrase, die als Schlüssel verwendet wird.

EndIf

Beendet den mit einem der Befehle IfFound oder IfNotFound begonnenen Anweisungsblock.

EndLoop

Ende einer Schleife; kehrt an den Anfang der Schleife zurück. Siehe auch die Loop-Anweisung.

EndSelect

Textauswahl beenden (Einzelheiten siehe unter StartSelect).

ExitLoop

Verlässt die Schleife und fährt mit dem ersten Befehl nach der Schleife fort (nach der EndLoop-Anweisung). Siehe auch die Loop-Anweisung.

ExitMacro

Verlässt das Makro, ohne einen weiteren Befehl auszuführen oder eine Fehlermeldung anzuzeigen.

Find

"" (Suchbegriff zwischen Zitatzeichen)

Ascii Suchen nach ASCII-Zeichen im Hexadezimal-Modus (fakultativ, nur im Hex-Modus wirksam)

MatchCase Groß- und Kleinschreibung wird beim Suchen beachtet (fakultativ)

MatchWord der Suchbegriff wird nur auf ganze Wörter angewendet (fakultativ)

PreserveCase die Groß-/Kleinschreibung des Texts, der den gefundenen Text ersetzen soll, wird beibehalten -- das ist nur im Zusammenhang mit einem nachfolgenden Replace-Befehl sinnvoll (fakultativ)

RegExp der Suchtext ist ein regulärer Ausdruck (fakultativ)

SearchInColumn die Suche wird auf die spezifizierten Spalten eingeschränkt (fakultativ). Die zwei darauffolgenden Parameter geben die Start- bzw. Endspalten an, wobei die Spaltennummern mit »0« (Zeilenanfang) beginnen. Die Endspalte kann auch »-1« sein (d.h. bis zum Zeilenende).

Select der Text wird von der aktuellen Position bis zum Ende des Suchziels markiert.

SelectText die Suche wird auf den aktuell markierten Text eingeschränkt (fakultativ)

Up die Suche wird in umgekehrte Richtung ausgeführt (fakultativ)

Der Text, nach dem in Abhängigkeit von den optionalen Parametern gesucht wird.

Groß-/Kleinschreibung bei der Suche beachten (optional).

Nur ganzes Wort suchen (optional).

Regulären Ausdruck bei der Suche verwenden (optional).

Nur markierten Text durchsuchen (optional).

Suchrichtung aufwärts (optional). Standard ist abwärts.

FindInFiles

"" (Anfangsverzeichnis, Zeichenkette zwischen Zitatzeichen)

"" (In Dateien/Typen, Zeichenkette zwischen Zitatzeichen)

"" (Suchbegriff, Zeichenkette zwischen Zitatzeichen)

FavFiles die Suche wird nur auf Dateien in der Favoritenliste unter dem Dateimenü angewendet (fakultativ)

IgnoreHiddenSubDirs ausgeblendete Verzeichnisse im Windows-Dateisystem werden bei der Suche übersprungen (fakultativ)

MatchCase Groß- und Kleinschreibung wird beim Suchen beachtet (fakultativ)

MatchIfNotFound Dateien werden gefunden, wenn diese den angegebenen Suchtext NICHT beinhalten (fakultativ)

MatchWord der Suchbegriff wird nur auf ganze Wörter angewendet (fakultativ)

OpenFiles die Suche wird nur in Dateien ausgeführt, die aktuell im Editor geöffnet sind (fakultativ)

OutputWin Ausgabezeilen des Suchvorgangs werden in das Ausgabefenster geschrieben; falls nicht angegeben, werden diese in ein neues Bearbeitungsfenster geschrieben (fakultativ)

ProjFiles der Suchvorgang wird nur auf Dateien angewendet, die zum aktiven Projekt gehören (fakultativ)

Recursive der Suchvorgang dehnt sich auf alle Unterverzeichnisse des angegebenen Verzeichnisses (fakultativ)

RegExp der Suchtext ist ein regulärer Ausdruck (fakultativ)

SolFiles der Suchvorgang wird nur in Dateien ausgeführt, die zur aktuellen Solution gehören (fakultativ, betrifft nur UEStudio)

Unicode der Suchbegriff wird als Multi-Byte-Unicode interpretiert, und der Suchvorgang wird im Unicode-Modus ausgeführt (fakultativ)

Das Verzeichnis in Anführungszeichen, unterhalb dem gesucht werden soll.

Nähere Spezifikation in Anführungszeichen.

Der Text, nach dem in Abhängigkeit von den optionalen Parametern gesucht wird.

Groß-/Kleinschreibung bei der Suche beachten (optional).

Nur ganzes Wort suchen (optional).

Suche auf offene Dateien beschränken (optional).

Falls angegeben, wird das Suchergebnis im Ausgabefenster angezeigt, andernfalls in einem neuen Bearbeitungsfenster (optional).

Suche auf Dateien des aktiven Projekts beschränken (optional).

Unterverzeichnisse rekursiv in Suche einbeziehen (optional).

Regulären Ausdruck bei der Suche verwenden (optional).

Den in Multi-Byte-Zeichen für die Suche in Unicode umwandeln (optional).

FromEBCDIC

Konvertiert Text aus dem EBCDIC-Format.

GetString

"Aufforderung"

Fragt den Benutzer nach einer Zeichenkette, die an der aktuellen Position in der Datei eingefügt werden soll. Die "Aufforderung" ist die Eingabeaufforderung oder die Frage, die dem Benutzer bei der Ausführung des Makros angezeigt wird.

Beispiel:
GetString "In welchem Land lebst du?"

GetValue

"Aufforderung"

Fragt den Benutzer nach einem Wert, der an der aktuellen Position in der Datei eingefügt werden soll. Die "Aufforderung" ist die Eingabeaufforderung oder die Frage, die dem Benutzer bei der Ausführung des Makros angezeigt wird.

Beispiel:
GetValue "Wie alt bist du?"

GotoBookMark

Springt zum nächsten oder zum angegebenen Lesezeichen. Der Index fängt bei 0 an. Falls ein Wert eingegeben wird, der größer als die tatsächliche Anzahl von Lesezeichen ist, wird automatisch zum ersten Lesezeichen gesprungen (Index 0).

GotoBookMarkSelect

Springt zum nächsten oder zum angegebenen Lesezeichen und markiert den Text von der Cursor-Position bis zum Lesezeichen. Der Index fängt bei 0 an. Falls ein Wert eingegeben wird, der größer als die tatsächliche Anzahl von Lesezeichen ist, wird automatisch zum ersten Lesezeichen gesprungen (Index 0).

GotoLine

Zeilen- und Spaltennummer des Ziels

Springt zur Position, die durch die angegebenen Zeilen- und Spaltennummern bestimmt wird

GotoLineSelect

Zeilen- und Spaltennummer des Ziels

Springt zur Position, die durch die angegebenen Zeilen- und Spaltennummern bestimmt wird, und markiert den Text von der Cursor-Position bis zur Zielposition.

GotoPage

Seitenzahl (#)

Springt zur angegebenen Seite.

GotoPageSelect

Seitenzahl (#)

Springt zur angegebenen Seite und markiert den Text von der Cursor-Position bis zur Seite.

HexDelete

Anzahl zu löschender Bytes (#)

Löscht die angegebene Anzahl von Bytes aus einer Datei.

HexInsert

Anzahl einzufügender Bytes (#)

Fügt die angegebene Anzahl von Bytes in eine Datei ein.

HexOff

Schaltet den HEX-Modus aus und in den Textmodus zurück.

HexOn

Schaltet den HEX-Modus ein.

HideShowCollapseAll

Alle faltbaren Zeilen im aktiven Dokument werden zusammengefaltet.

HideShowExpandAll

Alle zusammengefalteten Zeilen im aktiven Dokument werden aufgeklappt.

HideShowSelection

Blendet die markierten Zeilen aus oder, falls an der Cursor-Position Zeilen ausgeblendet wurden, werden diese eingeblendet.

IfCharGt

"Zeichen" oder Zahl (#)

Überprüft, ob das Zeichen an der aktuellen Cursor-Position größer ist, als das angegebene Zeichen bzw. die angegebenen Zahl. Der Vergleich mit einer Zahl überprüft nicht den inhaltlichen Wert einer Zeichenkette, sondern den ASCII-Wert des zu Grunde liegenden Zeichens.

IfCharGt " "
Führe diese Befehle aus,
falls das aktuelle Zeichen

größer ist als
das Leerzeichen.
…
EndIf

IfCharGt 32
Führe diese Befehle aus,
falls der Dezimalwert des

aktuellen Zeichens größer

ist als 32 (Leerzeichen).
…
EndIf

IfCharIs

"Zeichenkette" oder Zahl (#)

Überprüft, ob das Zeichen an der aktuellen Cursor-Position Bestandteil der angegebenen Zeichenkette ist bzw. dem Dezimalwert entspricht.

IfCharIs "xyz"
Führe diese Befehle aus,
falls das aktuelle Zeichen

ein x, y oder z ist.
…
EndIf

IfCharIs 34
Führe diese Befehle aus,
falls das aktuelle Zeichen

dem Dezimalwert 34

entspricht

(Anführungszeichen).
…
EndIf

IfColNum

Spaltennummer (#)

Überprüft, ob die aktuelle Cursor-Position der angegebenen Spaltennummer entspricht.

IfColNum 10
Führe diese Befehle aus,
falls sich der Cursor bei der

Ausführung in der Spalte 10

befindet.
…
EndIf

IfColNumGt

Spaltennummer (#)

Überprüft, ob die aktuelle Cursor-Position größer ist, als die angegebene Spaltenummer.

IfColNumGt 10
Führe diese Befehle aus,
falls sich der Cursor bei der

Ausführung in einer Spalte

größer als 10 befindet.
Die erste Spalte hat die

Nummer 1.
…
EndIf

IfEof

Überprüft, ob sich der Cursor am Ende der Datei befindet.

IfEof
Führe diese Befehle aus,
falls sich der Cursor am Ende
der Datei befindet.
…
EndIf

IfExtIs

"Zeichenkette"

Überprüft, ob die Dateierweiterung der aktuellen Datei mit der angegebenen Zeichenkette übereinstimmt.

IfExtIs "txt"
Führe diese Befehle aus,
falls die aktuelle

Dateierweiterung "txt" ist.
…
EndIf

IfFound

Überprüft das Ergebnis des letzten Such-Befehls im Makro und führt die folgenden Anweisung bis zu einem EndIf aus, falls die letzte Suche Erfolgreich war.

Find "etwas"
IfFound
Führe diese Befehle aus,
falls "etwas" gefunden wurde.
…
EndIf

Hinweis: Um die Meldung 'Suchtext nicht gefunden' beim Ausführen eines Makros zu vermeiden, sollten Sie die Option Nach erfolglosem Suchen & Ersetzen weitermachen bei den Makroeinstellungen aktivieren.

IfFTP

Überprüft, ob es sich bei der aktuellen Datei um eine per FTP/SFTP geöffnete Datei handelt und nicht um eine lokale oder Netzwerkdatei.

IfFTP
Führe diese Befehle aus,
falls die aktuelle Datei per

FTP geöffnet wurde.
…
EndIf

IfNameIs

"Zeichenkette"

Überprüft, ob der Name (ohne Pfad und Dateierweiterung) der aktuellen Datei mit der angegebenen Zeichenkette übereinstimmt.

IfNameIs "test"
Führe diese Befehle aus,
falls der aktuelle Dateiname
"test" lautet (ohne die

Dateierweiterung!).
…
EndIf

IfNotFound

Überprüft das Ergebnis des letzten Such-Befehls im Makro und führt die folgenden Anweisung bis zu einem EndIf aus, falls die letzte Suche nicht erfolgreich war.

Find "etwas"
IfNotFound
Führe diese Befehle aus,
falls "etwas" nicht gefunden

wurde.
…
EndIf

Hinweis: Um die Meldung 'Suchtext nicht gefunden' beim Ausführen eines Makros zu vermeiden, sollten Sie die Option Nach erfolglosem Suchen & Ersetzen weitermachen bei den Makroeinstellungen aktivieren.

IfSel

Überprüft, ob in der aktiven Datei momentan Text markiert ist.

IfSel
Führe diese Befehle aus,
falls irgendein Text markiert

ist.
…
EndIf

InsertLine

Fügt unterhalb der Cursor-Position eine leere Zeile ein.

InsertMode

Schaltet zur Textbearbeitung den Einfügemodus ein.

InsertPageBreak

Fügt an der Cursor-Position ein Seitenwechsel-Zeichen in die Datei ein.

InvertCase

Kehrt die Groß-/Kleinschreibung des markierten Textes um.

Key

Backspace
Ctrl+

DEL
DOWN ARROW
END
HOME
LEFT ARROW
PGDN
PGUP
RIGHT ARROW
UP ARROW

Rücklöschtaste
Strg+
Entf
Pfeil runter
Ende
Pos1
Pfeil links
Bild runter
Bild hoch
Pfeil rechts
Pfeil hoch

Fügt einen Tastaturbefehl ins Makro ein. Üblicherweise zum Navigieren in der Datei und zum Löschen vorangehender oder nachfolgender Zeichen benutzt. Der 'Strg+'-Modifizierer kann wie beim normalen Bearbeiten zum Ändern des Befehls verwendet werden.

Für Texteingaben wird der Zeichenketten-Befehl "" (Anführungszeichen) verwendet, nicht der Befehl Key.

Loop

Ausführungshäufigkeit (#)

Durchlaufe die Schleife # Mal. Der Wert 0 zeigt eine Endlosschleife an.

Loop 10
Führe diese Befehle

10 Mal aus.
…
EndLoop

Falls ein Loop-Befehl vorhanden ist, wird nach einem ExitLoop- oder ExitMacro-Befehl gesucht, bis der EndLoop-Befehl erreicht wird. Wenn weder das Eine noch das Andere angetroffen wird, wird die Schleife nur ein einziges Mal ausgeführt.

MatchBrace

Sucht und markiert ein Klammerpaar samt Textinhalt.

MoveLineDown

Die Zeile bei der aktuellen Position wird um eine Zeile nach unten verschoben

MoveLineUp

Die Zeile bei der aktuellen Position wird um eine Zeile nach oben verschoben

NewFile

Öffnet eine neue, leere Datei.

NextDocument

Wechselt zum nächsten Dateireiter.

NextWindow

Wechselt zum nächsten Fenster.

OemToAnsi

Wandelt den OEM-Zeichensatz einer Datei in den ANSI-Zeichensatz um.

Open

Dateiname ("")

Öffnet die angegebene Datei. Der Dateiname muss in Anführungszeichen stehen.

Statt des Dateinamens dürfen auch folgende Sonderzeichen verwendet werden:

^s für den aktuell im aktiven Fenster ausgewählten Text,
^c für den in der Zwischenablage befindlichen Inhalt.

OverStrikeMode

Schaltet zur Textbearbeitung den Überschreibmodus ein.

Paste

Fügt den Inhalt der Zwischenablage in die Datei ein.

PlayMacro

Ausführungshäufigkeit (#)
Makroname ("")

Gibt ein anderes Makro wieder. Der erste Parameter gibt die Anzahl der Wiedergabedurchläufe an, der zweite den Makronamen, der in Anführungszeichen angegeben werden muss. Beim Makronamen wird zwischen Groß- und Kleinschreibung unterschieden; außerdem muß das Makro bereits existieren.

PreviousBookMark

Springt zum vorherigen Lesezeichen.

PreviousBookmarkSelect

Springt zum vorherigen Lesezeichen und markiert den Text von der Cursor-Position bis zum Lesezeichen.

PreviousDocument

Wechselt zum vorherigen Dateireiter.

PreviousWindow

Wechselt zum vorherigen Fenster.

ReIndentSelection

Der markierte Text im aktuellen Dokument wird neu eingezogen

Replace

All

AllFiles

SelectedText

Ersetzungstext ("")

Alles: Jedes Auftreten ersetzen.

Alle Dateien: Auftreten in allen offenen Dateien ersetzen (All erforderlich!).

Markierter Text: Auftreten im ausgewählten Text ersetzen (All erforderlich!).

Text in Anführungszeichen, der den Suchtext ersetzen soll.

Der Befehl Replace ersetzt den zuvor gefundenen Suchtext durch den angegebenen Ersetzungstext. Dieser Befehl muss auf einen Suchbefehl Find folgen.

Wie der Suchtext muss auch der Ersetzungstext in Anführungszeichen angegeben werden. Das abschließende Anführungszeichen muss das letzte Nicht-Leerzeichen in der Zeile sein.

Der Ersetzungstext kann sich über mehrere Zeilen erstrecken. Wenn jedoch das letzte Nicht-Leerzeichen in einer Zeile ein Anführungszeichen ist, gilt der Ersetzungstext als abgeschlossen.

Sämtliche im Befehl Ersetzen zugelassenen Sonderzeichen sind auch hier zulässig.

ReplInFiles

Startverzeichnis ("")

In Dateien/Typen ("")

Suchtext ("")

Ersetzen durch ("")

Log

MatchCase

MatchWord

PreserveCase

Recursive

RegExp

Unicode

Durchsucht die Dateien im angegebenen Verzeichnis nach dem angegebenen Suchtext und ersetzt ihn durch den Ersetzungstext. Die Zeichenketten sind jeweils in Anführungszeichen anzugeben.

Protokoll: Erstellt eine Liste der geänderten Dateien (optional).

Groß-/Kleinschreibung bei der Suche beachten (optional).

Nur ganze Wörter suchen (optional).

Groß-/Kleinschreibung beim Ersetzen beibehalten (optional).

Alle Unterverzeichnisse rekursiv durchsuchen (optional).

Regulären Ausdruck bei der Suche verwenden (optional).

Der Suchtext wird in Form von Multibyte-Zeichen angegeben und nach Unicode konvertiert (optional).

Befehlssyntax:

ReplInFiles PARAMETER "Anfangsverzeichnis" "Datei/Typen" "Suchtext" "Ersetzungstext"

Beispiel:

ReplInFiles MatchWord "c:\temp\test\" "*.html" "Home" "Startseite"

ReturnToWrap

Wandelt Zeilenwechsel in automatische Zeilenumbrüche um.

RunTool

"Menüeintrag des auszuführenden Werkzeugs"

Führt ein Werkzeug aus, das im
Menü 'Extras' über den Befehl Werkzeug-Konfiguration zugänglich gemacht worden sein muss.

Save

Speichert die aktive Datei.

SaveAll

Speichert alle geöffneten Dateien.

SaveAs

Dateiname ("")

Speichert die aktive Datei unter dem angegebenen Namen. Der Dateiname muss in Anführungszeichen stehen.

Statt des Dateinamens dürfen auch folgende Sonderzeichen verwendet werden:

^s für den aktuell im aktiven Fenster ausgewählten Text,
^c für den in der Zwischenablage befindlichen Inhalt.

SelectAll

Markiert den gesamten Text der Datei.

SelectLine

Markiert den gesamten Text der aktiven Zeile.

SelectToBottom

Markiert den Text von der aktuellen Position bis zum Dateiende.

SelectToTop

Markiert den Text von der aktuellen Position bis zum Dateianfang.

SelectWord

Markiert das aktuelle Wort (wie beim Doppelklick auf ein Wort).

SortAsc

IgnoreCase Groß-/Kleinschreibung bei der Sortierung ignorieren (optional).

RemoveDup Löscht doppelte Zeilen (optional).

RemDupByAllKeys Doppelt vorhandene Zeilen entfernen, wenn alle Suchschlüssel gefunden werden.

RemDupByAnyKeys Doppelt vorhandene Zeilen entfernen, wenn einer der Suchschlüssel gefunden wird.

RemKey1 Zu sortierende Spalten für 1. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey2 Zu sortierende Spalten für 2. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey3 Zu sortierende Spalten für 3. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey4 Zu sortierende Spalten für 4. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

Numeric Sortierung basiert auf dem numerischen Wert und nicht auf der Zeichenreihenfolge (optional). Cannot be used with Alternate or Locale sort.

Alternate Specifies that the sort should use the alternate sort method. With the alternate sort method only a single sort key may be used.

Locale Specifies that the sort should be locale specific. Cannot be used together with the Alternate parameter.

Pairs of sort keys Numerische Werte, die durch Leerzeichen voneinander getrennt anzugeben sind.

Sortiert die Zeilen der Datei bzw. des markierten Textes in aufsteigender Reihenfolge.

Beispiel:

SortAsc IgnoreCase RemoveDup Numeric 1 -1 0 0 0 0 0 0

SortDes

IgnoreCase Groß-/Kleinschreibung bei der Sortierung ignorieren (optional).

RemoveDup Löscht doppelte Zeilen (optional).

RemDupByAllKeys Doppelt vorhandene Zeilen entfernen, wenn alle Suchschlüssel gefunden werden.

RemDupByAnyKeys Doppelt vorhandene Zeilen entfernen, wenn einer der Suchschlüssel gefunden wird.

RemKey1 Zu sortierende Spalten für 1. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey2 Zu sortierende Spalten für 2. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey3 Zu sortierende Spalten für 3. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

RemKey4 Zu sortierende Spalten für 4. Suchschlüssel werden beim Entfernen von Duplikaten herangezogen.

Numeric Sortierung basiert auf dem numerischen Wert und nicht auf der Zeichenreihenfolge (optional). Cannot be used with Alternate or Locale sort.

Alternate Specifies that the sort should use the alternate sort method. With the alternate sort method only a single sort key may be used.

Locale Specifies that the sort should be locale specific. Cannot be used together with the Alternate parameter.

Pairs of sort keys Numerische Werte, die durch Leerzeichen voneinander getrennt anzugeben sind.

Sortiert die Zeilen der Datei bzw. des markierten Textes in absteigender Reihenfolge.

Beispiel::

SortDes RemoveDup Locale 0 -1 0 0 0 0 0 0

SpacesToTabs

Wandelt (führende) Leerzeichen in der Datei in Tabulatoren um.

SpacesToTabsAll

Wandelt (alle) Leerzeichen in der Datei in Tabulatoren um.

StartSelect

Aktiviert den Auswahlmodus zum Markieren. Jede Bewegung oder Positionierung des Cursors wird in die Auswahl mit einbezogen und der Text wird markiert. Der Befehl EndSelect beendet den Auswahlmodus. Der markierte Text bleibt solange markiert, bis die Markierung wie beim normalen Bearbeiten durch einen anderen Befehl aufgehoben wird.

TabsToSpaces

Wandelt alle Tabulatoren in der Datei in Leerzeichen um.

Template

Textbaustein-Nr. (#)

Fügt den angegebenen Textbaustein in die Datei ein.

TimeDate

Fügt Uhrzeit und Datum an der aktuellen Cursor-Position in die Datei ein.

ToCaps

Versieht jedes Wort des markierten Textes mit einem großgeschriebenen Anfangsbuchstaben.

ToEBCDIC

Konvertiert Text in das EBCDIC-Format.

ToggleBookMark

Schaltet ein Lesezeichen für die aktuellen Zeile ein/aus.

ToLower

Wandelt jedes Wort des markierten Textes in Kleinbuchstaben um.

Top

Springt an den Dateianfang.

ToUpper

Wandelt jedes Wort des markierten Textes in Großbuchstaben um.

TrimTrailingSpaces

Entfernt die Leerzeichen am Ende jeder Zeile der aktuellen Datei.

UnicodeToASCII

Konvertiert die Datei von Unicode ins ASCII-Format.

UnixMactoDos

Konvertiert die Datei (Zeilenende-Zeichen) vom MAC/UNIX-Format ins DOS-Format.

UnixReOff

Schaltet den Modus für reguläre Ausdrücke in den UltraEdit-Stil (nicht UNIX) um.

UnixReOn

Schaltet den Modus für reguläre Ausdrücke in den UNIX-Stil um.

WrapToReturn

Spaltennummer (#)

Wandelt automatische Zeilenumbrüche in feste Zeilenwechsel an der angegebenen Spaltennummer um.

Der Wert 0 für die Spaltennummer gibt an, dass der Umbruch am Fensterrand stattfinden soll.

XMLConvertToCRLF

Einzeiliger (unformatierter) XML-Text wird mit Zeileneinzügen neu formatiert

* Wo in der Spalte 'Parameter' ein Nummernzeichen (#) vorkommt, muss eine Zahl für diesen Parameter angegeben werden. Genauso muss überall dort, wo in der Spalte 'Parameter' Anführungszeichen ("") vorkommen, eine Zeichenkette in Anführungszeichen angegeben werden. Etwaiger Text dient nur der Beschreibung des Parameters.

Hinweis: Sämtliche Zeichenketten müssen jeweils als letzter Parameter angegeben werden.


Befehl 'Alle entfernen' (Makro)

Der Befehl 'Alle entfernen' (Menü 'Makro')

Dieser Befehl entfernt alle in den Arbeitsspeicher geladenen Makros. Falls irgendeines der Makros seit dem letzten Speichern der Datei neu erstellt oder geändert worden ist, werden Sie vor dem Entfernen gefragt, ob es gespeichert werden soll.


Befehl 'Entfernen/Eigenschaften ändern' (Makro)

Der Befehl 'Entfernen/Eigenschaften ändern…' (Menü 'Makro')

Dieser Befehl ermöglicht es Ihnen, ein Makro aus dem Arbeitsspeicher zu entfernen oder die Taste für den Schnellzugriff und den Makronamen zu ändern. Es wird ein Dialog mit allen geladenen Makros angezeigt, in dem Sie das gewünschte Makro auswählen können, um dessen Schnellzugriffstaste oder dessen Bezeichnung zu verändern (oder das Makro zu entfernen). Der Inhalt eines Makros lässt sich mit diesem Befehl nicht bearbeiten. Weitere Einzelheiten zur Tastenzuordnung für Schnellzugriffe finden Sie im Hilfethema zum Befehl Aufzeichnen .


Befehl 'Aufzeichnen' (Makro)

Der Befehl 'Aufzeichnen…' (Menü 'Makro')

Dieser Befehl startet die Aufnahme von Tastenanschlägen und Befehlen für die spätere Wiedergabe. Der Vorgang wird mit dem Befehl Aufzeichnung beenden beendet.

Der Befehl zeigt den Dialog 'Makro Definition ' an, in dem bei Bedarf die Bezeichnung des Makros eingegeben und eine Tastenkombination für den Schnellzugriff zugeordnet werden kann. Sobald der Dialog mit der Schaltfläche OK beendet wird, beginnt die Aufzeichnung des Makros.

Hinweise zur Aufzeichnung von Makros

Der Befehl Aufzeichnen zeichnet alle Tastatureingaben auf, solange der Aufnahmemodus aktiv ist. Es werden sämtliche Tastenanschläge aufgezeichnet, auch diejenigen, mit denen an ein Zeilenende oder -anfang, an den Anfang oder das Ende der Datei usw. gesprungen wird. Achten Sie also darauf, dass dieselben Tastaturanschläge auch für das Ausführen des Makros geeignet sind. Bei der Aufnahme eines Makros wird in der zweiten Zelle der Statusleiste ein visuelles Symbol angezeigt, das auf die aktuelle Makroaufnahme aufmerksam macht.

Mausbewegungen und Bildläufe werden im Aufnahmemodus nicht aufgezeichnet. Sämtliche Positionsansteuerungen müssen per Tastatur durchgeführt werden.

Makros können auch die Befehle Nächstes Fenster und Vorheriges Fenster aufzeichnen und wiedergeben.

Die Befehle Suchen und Ersetzen are supported while recording is selected (see Befehl Suchen sind sinnvolle Sonderzeichen für die Makroaufzeichnung aufgeführt). Jeder Aufruf vonSuchen oder Ersetzen wird genau so aufgezeichnet wie er durchgeführt wird, es sei denn Sie verwenden Sonderzeichen, die bei der Ausführung durch den Inhalt der Zwischenablage oder des markierten Textes ersetzt werden (siehe Befehl Suchen . Wenn alle oder beliebige per Suchen ausfindig gemachten Textstellen in einer Datei per Ersetzen ersetzt werden, wird die gleiche Handlung beim Ausführen des Makros ausgeführt.

Weiterhin werden die Befehle Ausschneiden , Kopieren und Einfügen unterstützt. Jeder dieser Vorgänge wird beim Ausführen des Makros dynamisch ausgeführt. Mit anderen Worten, wenn während der Aufzeichnung eines Makros eine Textpassage ausgeschnitten wird, wird auch bei der Ausführung des Makros die zum Ausführungszeitpunkt markierte Textpassage ausgeschnitten. Falls bei der Ausführung des Makros ein anderer Text markiert ist als bei dessen Aufzeichnung, wird auch der ausgeschnittene Text bei der Ausführung ein anderer sein.

Da in der jetzigen Version auch mehrere Makros unterstützt werden, steht dieser Befehl auch dann zur Verfügung, wenn bereits Makros vorhanden sind.

Weiterhin wird in Makros jetzt auch die Bearbeitung im HEX-Modus unterstützt..

Folgende Befehle werden bei der Aufzeichnung von Makros unterstützt:

  1. Tastatureingaben
  2. Cursor-Steuerung
  3. Auswahl von Text mit Tastaturbefehlen
  4. Ausschneiden, Kopieren, Einfügen
  5. Suchen/Ersetzen
  6. Aktivieren des HEX-Modus und Bearbeitung im HEX-Modus
  7. Öffnen, Schließen, Speichern einer Datei
  8. Lesezeichen
  9. Ausführen von Makros – Verschachteln von Makros
  10. Wechseln zwischen Fenstern – Nächstes/Vorheriges Fenster
  11. Einfügen/Überschreiben der Auswahl
  12. Konvertierung Unix/Mac zu DOS
  13. Konvertierung DOS zu Unix
  14. Konvertierung DOS zu MAC
  15. Umwandlung von automatischen Zeilenumbrüchen in CR/LF-Zeichen

Umwandlung von CR/LF-Zeichen in automatische Zeilenumbrüche


Befehl 'Aufzeichnung beenden' (Makro)

Der Befehl 'Aufzeichnung beenden' (Menü 'Makro')

Dieser Befehl beendet die Erfassung von Tastenanschlägen und Handlungen, die zuvor mit dem Befehl Aufzeichnen in Gang gesetzt worden ist. Sobald ein Makro aufgezeichnet und die Aufzeichnung mit diesem Befehl beendet worden ist, kann das Makro durch den Befehl Ausführen oder Mehrfach ausführen wiedergegeben werden.

Nachdem ein Makro aufgezeichnet worden ist, kann es mit Hilfe des Befehl s Alle speichern gespeichert werden.


Befehl 'Ausführen' (Makro)

Der Befehl 'Ausführen' (Menü 'Makro')

Dieser Befehl ermöglicht es, ein mit dem Befehl Aufzeichnen aufgenommenes Makro wiederzugeben. Das Makro wird bei jedem Aufruf des Befehls einmal ausgeführt. Um das Makro mehrfach auszuführen, kann der Befehl Mehrfach ausführen verwendet werden.

Hinweis: Dieser Befehl steht nicht zur Verfügung, solange kein Makro aufgenommen oder geladen wurde.


Befehl 'Mehrfach ausführen' (Makro)

Der Befehl 'Mehrfach ausführen…' (Menü 'Makro')

Dieser Befehl ermöglicht es Ihnen, ein mit dem Befehl Aufzeichnen aufgenommenes Makro mehrfach wiederzugeben. Es erscheint ein Dialog, in dem Sie eine Zahl zwischen 1 und 100.000 für die Anzahl der Makrodurchläufe angeben können. Um das Makro nur einmal auszuführen, kann auch der Befehl Ausführen verwendet werden.

Hinweis: Dieser Befehl steht nur zur Verfügung, wenn ein Makro aufgenommen oder geladen wurde.


Post Macro Record Options

Optionen nach Makroaufnahme

Der Dialog Optionen nach Makroaufnahme verwaltet die Einstellung von Optionen, die nach der Aufnahme eines Makros zur Verfügung stehen.

Zu speichernde Makrodatei

Falls ein Makro während der Aufnahme eines neuen Makros bereits geladen wurde, würde der Dateipfad und -name des aktuell geladenen Makros hier wiedergegeben. In diesem Fall wird auch eine Schaltfläche Speichern im Dialog angezeigt. Wenn vorher noch kein Makro geladen wurde, bewirkt ein Drücken der Schaltfläche Speichern unter das Öffnen eines gleichnamigen Dialogs. Dort kann der Pfad- und Dateiname des gerade aufgenommenen Makros angegeben werden, unter dem das Makro gespeichert werden sollte. Nachdem eine Makrodatei zum Sichern spezifiziert wurde, wird auch die Option Makrodatei beim Programmstart laden aktiviert.

Beim Programmstart zu ladende Makrodatei

Wenn eine Makrodatei zum Laden beim Programmstart unter Makro zum Öffnen/Speichern von Dateien bereits angegeben wurde, wird deren Pfad- und Dateiname hier angezeigt. Nach Bedarf kann auch das gerade aufgenommene Makro zum Laden beim Programmstart bestimmt werden. In diesem Fall wird die Auswahl des vorherigen durch die des aktuellen Makros ersetzt.

Makrodatei beim Programmstart laden

Bei Aktivierung dieser Option wird das gerade aufgenommene Makro beim Hochfahren des Programms geladen.

Diesen Dialog nicht wieder anzeigen

Bei Auswahl dieser Option wird im Makro-Menü die Option Dialog mit Optionen nach Makroaufnahme anzeigen ebenfalls deaktiviert; nachher würde dieser Dialog nach der Aufnahme von neuen Makros nicht wieder angezeigt.


Befehl 'Warnung bei nicht gespeicherten Makros' (Makro)

Der Befehl 'Warnung bei nicht gespeicherten Makros' (Menü 'Makro')

Mit dieser Menüoption legen Sie festgelegt, ob eine Warnung ausgegeben werden soll, sobald UltraEdit beendet oder eine neue Makrodatei geladen wird, obwohl die im Speicher vorhandenen Makros verändert aber noch nicht gespeichert worden sind.

Wenn diese Option nicht aktiviert ist (=kein Häkchen), wird keine Warnung ausgegeben.


Script menu

Menü 'Skripten'

Hier eine Zusammenfassung der Befehle, die im Menü "Skripten" zur Verfügung stehen:

Skriptenverwaltung | öffnet den Dialog Skriptenverwaltung, um Skripten zur nachherigen Ausführung zu laden
Skriptenliste | blendet die Liste aller geladenen Skripten ein oder aus
Aktives Skript ausführen | startet eine JavaScript-Datei, wenn diese momentan bearbeitet wird. Falls die aktuelle Datei eine JavaScript-Datei ist, wird diese Option im Skripten-Menü automatisch angezeigt. Eine Schnellzugriffstaste für diesen Befehl kann unter Tastenzuordnung im Konfigurationsdialog (Menü "Extras/Optionen") definiert werden.


Befehle im Menü 'Extras'

Die Befehle im Menü 'Extras'

Das Menü 'Extras' ermöglicht den Zugriff auf folgende Befehle von UltraEdit:

Optionen | Zeigt einen Dialog mit Registerkarten an, auf denen die verschiedenen Programmeinstellungen in einer baumartigen Struktur vorgenommen werden können.
Skripten | Zeigt ein Untermenü mit der Beschriftung "Skriptenverwaltung...". Auswahl dieses Menüpunkts öffnet die Seite "Skriptenverwaltung" im Konfigurationsdialog (Menü 'Extras | Optionen'). Eine laufend aktualisierte Liste der aktuell verfügbaren Skripten wird darunter angezeigt.
Aktives Skript ausführen | Startet eine JavaScript-Datei, wenn diese momentan bearbeitet wird. Falls die aktuelle Datei eine JavaScript-Datei ist, wird diese Option im Untermenü unter "Skriptenverwaltung" automatisch angezeigt. Eine Schnellzugriffstaste für diesen Befehl kann unter "Aktuelle Tastenzuordnung" im Konfigurationsdialog definiert werden.
Optionen importieren | Öffnet einen Dialog, um eine INI-Datei für das Importieren von Einstellungen auszuwählen
Optionen exportieren | Öffnet einen Dialog, um das Verzeichnis zum Exportieren von Einstellungen auszuwählen
Benutzerkonfiguration sichern/wiederherstellen | Präsentiert einen Dialog, in dem der Benutzer wählen kann, welche Menü/Werkzeugleisteneinstellungen zu sichern bzw. wiederherzustellen sind
Neue Instanz von UltraEdit/UEStudio starten | Startet eine neue Instanz von UltraEdit/UEStudio.
Codepage/Ländereinstellung... | Stellt die Codepage bzw. Ländereinstellung ein.
DOS-Befehl | Führt einen DOS-Befehl aus und erfasst dessen Datenausgabe.
Letzter DOS-Befehl | Wiederholt den letzten DOS-Befehl.
Windows-Programm starten | Führt ein Windows-Programm aus.
Erfassungsverfahren umschalten | Schaltet auf ein alternatives Verfahren zum Erfassen der Datenausgabe bei der Ausführung eines DOS-Befehls um.
Textbausteine anzeigen/ändern | Verwaltung der benutzerdefinierbaren Textbausteine.
Werkzeug-Konfiguration | Konfiguration von benutzerdefinierbaren Werkzeugen.
Projektwerkzeug-Konfiguration | Konfiguration von benutzerdefinierbaren Werkzeugen für das aktive Projekt.


Konfiguration des Editors

Die Optionen zur Konfiguration des Editors

Wenn Sie den Befehl Optionen... im Menü 'Extras' auswählen, wird ein Konfigurationsdialog angezeigt, in dem die Optionen in verschiedenen Kategorien zusammengefasst sind. Zwischen diesen Optionen können Sie ganz einfach mit Hilfe der baumartigen Indexanzeige auf der linken Seite navigieren. Klicken Sie auf einen der Kategoriennamen, um die Kategorie mit ihren Optionen und Unterkategorien aufzukappen.

Zu den einzelnen Kategorien im Konfigurationsdialog finden Sie eine entsprechend strukturierte Sammlung von Hilfetexten in dieser Hilfe. Durch einen Doppelklick auf die jeweilige Überschrift in der Indexanzeige der Hilfe gelangen Sie zu den Hilfetexten mit den Beschreibungen der jeweiligen Optionen:

  1. Editor
  2. Suche
  3. Rechtschreibprüfung
  4. Umgang mit Dateien
  5. Dateizuordnungen
  6. Dateitypen
  7. Anzeige
  8. Umgebung [*]
  9. Programmverhalten
  10. Symbolleisten/Menüs
  11. Verzeichnisse
  12. Tastenzuordnung
  13. FTP/SFTP
  14. Skripten

[*] Hinweis: Die Konfiguration der Optionen im Zweig 'Umgebung' wird nur von UEStudio, nicht aber von UltraEdit unterstützt.


Optionen 'Fortgeschritten' (Editor)

Die Optionen in 'Editor | Fortgeschritten' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'editor | Fortgeschritten' sind folgende Optionen zusammengefasst:

Eingabe von niedrigen ASCII-Werten zulassen

Diese Option ermöglicht die Eingabe von 'niedrigen Werten' wie Steuerzeichen bei der Bearbeitung. Normalerweise werden diese ignoriert.

Größere interne Puffer verwenden

Diese Option legt fest, ob UltraEdit für einige Operationen größere interne Puffer verwenden soll. Dies kann den Umgang mit großen Dateien in manchen Fällen beschleunigen, stellt aber höhere Anforderungen an die Hardwareausstattung.

Speicherpuffer für die Bearbeitung verwenden

Diese Option sorgt dafür, dass UltraEdit Speicherpuffer für die Bearbeitung verwendet, wodurch der Umgang mit großen Dateien beschleunigt werden kann, wenn das System über ausreichend Speicher verfügt. Falls Sie sehr große Dateien bearbeiten und diese Option ohne ausreichenden Speicher einsetzen, wird das System beträchtlich verlangsamt.

Bearbeitung von Textdateien mit HEX-Werten '00' ohne deren Konvertierung in Leerzeichen zulassen

Beim Öffnen einer Datei überprüft UltraEdit die ersten 3 KByte der Datei. Wenn sich dabei herausstellt, dass sie mehr als einen Nullwert (HEX 00) enthält, wird die Datei als binäre/HEX-Datei angesehen. Nullwerte sind in einer ASCII-Datei nicht zulässig und werden bei der Bearbeitung im Textmodus in Leerzeichen umgewandelt, wenn diese Option deaktiviert ist (Standard). Wenn Sie eine HEX-Datei im Textmodus betrachten, aber keine Änderungen vornehmen, wandelt UltraEdit die Nullwerte nicht in Leerzeichen um; wenn Sie im Textmodus jedoch Änderungen an einer HEX-Datei vornehmen, erfolgt eine Umwandlung.

Das Aktivieren dieser Option hebt die Konvertierung von Nullwerten (HEX 00) zu Leerzeichen auf. Wir raten Ihnen dennoch, binäre Dateien nicht im Textmodus zu bearbeiten. Nullwerte werden normalerweise als Begrenzungszeichen für Zeichenketten betrachtet und sind im Allgemeinen in ASCII-Dateien nicht zulässig. Bei aktivierter Option kann es vorkommen, dass einige Befehle von UltraEdit nach einem Nullwert nicht mehr funktionieren, obwohl dies keine Auswirkungen für die weitere Bearbeitung haben sollte.

Druckereinstellungen laden/wiederherstellen

Beim Starten und Beenden versucht UltraEdit, mit dem Druckertreiber zu kommunizieren (um die Einstellungen beizubehalten). Wenn ein Netzwerkdrucker als Standarddrucker angegeben ist und gerade nicht zur Verfügung steht, kann dies zu einer Verzögerung beim Start führen, da UltraEdit im Netzwerk nach dem Drucker sucht. Wenn diese Option deaktiviert ist, verzichtet UltraEdit auf die Kommunikation mit dem Drucker.

Gruppiertes Rückgängigmachen

Bei Aktivierung dieser Option wird beim Rückgängigmachen anstatt zeichenweise mit ganzen Wörtern gearbeitet. Falls während der Bearbeitung eines Dokuments diese Einstellung umgeschaltet und der Puffer zum Zurückspulen teils mit einer, teils mit der anderen Einstellung angelegt würde, würde sich das Rückgängigmachen gemäß den Einstellungen zur Zeit der Erstellung des Dokuments verhalten. Das könnte sich so auswirken, daß ein Teil des Dokuments zeichenweise und ein anderer Teil wortweise rückgängiggemacht würde.

Bearbeitete Dokumente bei Fokuswechsel automatisch sichern

Dokumente, die geändert aber noch nicht gesichert wurden, werden bei Aktivierung dieser Option automatisch gesichert, sobald eine andere Anwendung aktiv wird bzw. den Fokus erhält.


Optionen 'AutoVervollständigung' (Editor)

Die Optionen in 'Editor | AutoVervollständigung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | AutoVervollständigung' sind folgende Optionen zusammengefasst:

Mitglieder von Strukturen (Elemente nach '.' oder '->') nicht automatisch vervollständigen

Diese Option verhindert die automatische Vervollständigung von Schlüsselwörtern nach einem '.' oder '->'. Diese Einstellung wurde als Standardeinstellung konfiguriert, da es insbesondere bei Java-Programmierern, die auf die automatische Vervollständigung zurückgreifen, Probleme gab. Wenn diese Option deaktiviert ist, werden Schlüsselwörter, die auf diese Symbole folgen, automatisch vervollständigt.

Einblendmenü für AutoVervollständigung automatisch anzeigen

Diese Option sorgt dafür, dass das Einblendmenü für die AutoVervollständigung während des Tippens automatisch angezeigt wird, ohne dass Sie den Dialog aufzurufen brauchen. Standardmäßig wird das Einblendmenü nicht angezeigt (deaktiviert). Nach Bedarf kann eine Mindestanzahl von Zeichen angegeben werden, die vor dem Anzeigen des Auto-Vervollständigungsdialogs eingetippt werden müssen.


Optionen 'Lesezeichen' (Editor)

Die Optionen in 'Editor | Lesezeichen' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Lesezeichen' sind folgende Optionen zusammengefasst:

Nach dem Namen abfragen beim Hinzufügen eines Lesezeichens

Der Dialog »Lesezeichen hinzufügen« wird geöffnet, und der Name des neuen Lesezeichens kann in das Eingabefeld getippt werden.

Namen anzeigen beim Anhalten des Mauszeigers über einem Lesezeichen

Bei Auswahl dieser Option wird die Zeilennummer und der Name des Lesezeichens in einem Tooltipp-Fenster angezeigt, wenn der Mauszeiger über einem Lesezeichen angehalten wird.

Ganze Zeile hervorheben

Wenn diese Option aktiviert wurde, bewirkt das Setzen eines Lesezeichens in einer Datei die Hervorhebung der ganzen Zeile und nicht nur der Zeilennummer. Nach Bedarf kann diese Option zusammen mit »Zeilennummern deaktivieren« im Konfigurationsdialog unter Editor/Anzeige->Verschiedenenes gewählt werden, um den Zeilennummergraben zu entfernen.

Lesezeichen in Spalte mit Zeile

Bei Auswahl dieser Option wird zusätzlich zur Zeilennummer auch die Spaltenposition des Lesezeichens gespeichert. Beim Anspringen des Lesezeichens wird der Cursor entsprechend eingestellt. Falls diese Option nicht ausgewählt würde, würde der Cursor am Anfang der Zeile mit dem Lesezeichen gesetzt.

Lesezeichen speichern

UltraEdit ermöglicht es, die Lesezeichen beim Schließen einer Datei mit aktiven Lesezeichen zu speichern. Diese Option ist standardmäßig nicht aktiviert. Bei deaktivierter Option löscht UltraEdit alle gespeicherten Lesezeichen, sobald das Programm geschlossen wird.


Optionen 'Spaltenmodus' (Editor)

Die Optionen in 'Editor | Spaltenmodus' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Spaltenmodus' sind folgende Optionen zusammengefasst:

Kein Überschreiben von nicht markierten Spalten

Wenn Sie diese Option aktivieren, wird der Überschreibmodus bei Spaltenoperationen nie verwendet.

Überschreiben nur im Überschreibmodus

Wenn diese Option aktiviert ist, werden Spaltenoperationen in Abhängigkeit vom Einfüge-/Überschreibstatus der Tastatur entweder im Einfügemodus (Standard) oder im Überschreibmodus ausgeführt. Der Modus wird über die Einfügetaste geändert und in der Statusleiste als 'EINF' bzw. 'ÜBR' angezeigt.

Im Überschreibmodus entfernen Ausschneide- und Löschoperationen den Inhalt und hinterlassen Leerzeichen, sodass Spaltendaten nicht verschoben werden. Einfügeoperationen überschreiben Daten ab der aktuellen Cursor-Position, wobei die Spaltendaten ebenfalls nicht verschoben werden.

Auch nicht markierte Spalten immer überschreiben

Wenn Sie diese Option aktivieren, wird bei die Arbeit im Spaltenmodus grundsätzlich der Überschreibmodus verwendet.


Optionen 'Trennzeichen' (Editor)

Die Optionen in 'Editor | Trennzeichen' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Trennzeichen' sind folgende Optionen zusammengefasst:

Trennzeichen für Zeilen-/Spaltenkennzeichnung in der Befehlszeile: '/'

Diese Einstellung legt das Zeichen fest, das auf einen Dateinamen folgt, damit Sie den Parameter /xxx hinzufügen können, um zu einer Zeilen- oder Spaltenposition zu gelangen. Falls dieses Zeichen zu Konflikten mit einem Datei- oder Pfadnamen führt, können Sie es auf ein Zeichen ändern, das wahrscheinlich nicht in einem Datei- oder Pfadnamen vorkommt.

Linksseitige Begrenzungszeichen für Strg+Doppelklick: {}<>'"

Rechtsseitige Begrenzungszeichen für Strg+Doppelklick: {}<>'"

UltraEdit ermöglicht das Markieren von Text per Doppelklick mit der Hauptmaustaste (üblicherweise die linke Taste). Normalerweise wird ein einzelnes Wort markiert, das aus alphanumerischen Zeichen und Unterstrichen ('_') besteht.

Wenn Sie beim Doppelklicken die Steuerungstaste gedrückt halten, wird statt eines Einzelwortes eine Zeichenkette markiert. Dies kann beispielsweise beim Markieren von Dateinamen, E-Mail-Adressen usw. von Vorteil sein. Die Zeichen, die eine Zeichenkette begrenzen, lassen sich hier angeben. Diese Art der Markierung funktioniert immer nur für eine einzelne Zeile.

Diese jeweils für die linke und die rechte Textbegrenzung vorgenommene Einstellung legt fest, nach welchen Zeichen der Text nicht mehr markiert werden soll. Wenn in jedem Feld nur ein Leerzeichen eingetragen ist, wird beiderseits der Cursor-Position sämtlicher Text markiert, bis jeweils ein Leerzeichen gefunden wurde.

Wenn bei markiertem Text die rechte Maustaste gedrückt wird, erscheint oben im Kontextmenü der zusätzliche Menübefehl Öffne "<markierter Dateiname>". Sobald dieser Befehl ausgewählt wird, wird die entsprechende Datei geöffnet, falls sie existiert.


Optionen 'Verschiedenes' (Editor)

Die Optionen in 'Editor | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Verschiedenes' sind folgende Optionen zusammengefasst:

Drag & Drop deaktivieren

Beim Bearbeiten per Drag&Drop (Ziehen und Fallenlassen) können Sie ganz normal Text markieren und ihn dann durch das Ziehen mit der Maus an eine andere Stelle kopieren oder verschieben. Dafür sind keine Tastatureingaben erforderlich. Mit diesem Kontrollkästchen können Sie das Drag&Drop -Verfahren für die Bearbeitung deaktivieren.

Pos1-Taste führt immer zu Spalte 1

Wenn diese Option aktiviert ist, wird der Cursor durch die Taste Pos1 immer in der ersten Spalte positioniert. Andernfalls führt die Taste Pos1 den Cursor auf das erste Nicht-Leerzeichen der Zeile. Wenn sich der Cursor allerdings schon an dieser Position befindet, wird er wiederum in der ersten Spalte positioniert.

Kein Wechsel in die Zeile über dem Cursor bei Cursorbewegung nach links am Zeilenrand

Diese Option verhindert, dass UltraEdit in die Zeile über dem Cursor wechselt, wenn der Cursor am Zeilenanfang steht und die Taste Pfeil links gedrückt wird. Wenn diese Option deaktiviert ist (Standard), bewegt UltraEdit den Cursor ans Ende der vorherigen Zeile.

Cursor verläßt Markierung ab aktueller Position

Bei Aktivierung dieser Option verläßt der Cursor einen markierten Bereich von seiner aktuellen Position weg; dabei wird die Auswahl aufgehoben. Deaktivierung der Option bewirkt, dass der Cursor immer von der Position am Ende der Auswahl weg bewegt wird.

Zeilenmarkierung mit der Maus im Seitenrand zulassen

Diese Option legt fest, ob UltraEdit die Zeilenmarkierung durch Anklicken und Bewegen der Maus im linken Seitenrand des Bearbeitungsfensters zulässt. Standardmäßig ist die Zeilenmarkierung per Maus im Seitenrand zugelassen.

Einfügetaste sperren

Diese Option sorgt dafür, dass UltraEdit die Einfügetaste im Einfügemodus sperrt, sodass kein Wechsel in den Überschreibmodus möglich ist. Diese Option bezieht sich sowohl auf die normale Textbearbeitung als auch auf den Spaltenmodus. Standardmäßig ist diese Option deaktiviert.

Kopieren/Anfügen der aktuellen Zeile aktivieren, wenn keine Markierung vorhanden ist

Diese Option sorgt dafür, dass UltraEdit die aktive Zeile mit Hilfe der aktiven Zwischenablage auch dann beim Aufruf des entsprechenden Befehls kopiert/anfügt, wenn kein Text markiert ist. Standardmäßig ist diese Option aktiviert.

Nach beendeter Markierung automatisch in Zwischenablage kopieren

Bei Aktivierung dieser Option wird der ausgewählte Text nach Abschluß der Markierung automatisch in die Zwischenablage kopiert. Dabei wird der aktuelle Inhalt der aktiven Zwischenablage überschrieben.

Bei Aktualisierung den Fokus nicht auf die Funktionsliste setzen

Bei Aktualisierung der Funktionsliste (z.B. durch Drücken der Taste F8) bleibt der Fokus im aktiven Dokument anstatt automatisch zur Funktionsliste zu wechseln, falls diese Option ausgewählt wurde.


Optionen 'Anlegen neuer Dateien' (Editor)

Die Optionen in 'Editor | Anlegen neuer Dateien' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Anlegen neuer Dateien' sind folgende Optionen zusammengefasst:

Neue Datei anlegen, wenn die in der Befehlszeile angegebene Datei nicht existiert

Diese Option weist UltraEdit an, eine neue Datei anzulegen, wenn die in der Befehlszeile angegebene Datei nicht existiert. Standardmäßig wird eine neue Datei angelegt.

Bei Programmstart ohne Dateiangabe neue Datei anlegen

Diese Option weist UltraEdit an, eine neue, leere Datei namens 'Bearbeiten1' anzulegen, wenn beim Programmstart keine anderen Dateien geöffnet werden. Diese Datei wird nicht automatisch gespeichert.

Neue Dateien immer als UNICODE-Datei anlegen

Diese Option sorgt dafür, dass UltraEdit neue Dateien unabhängig vom konfigurierten Dateityp (DOS/UNIX/MAC) immer als UNICODE-Dateien (16-Bit) erstellt.

Zeichenkodierung

Neue Dateien als ANSI erstellen

Neue Dateien als UTF-8 erstellen

Neue Dateien als UTF-16 erstellen

Diese Einstellung bewirkt, dass jede neue Datei in der angegebenen Zeichenkodierung unabhängig vom im Konfigurationsdialog bei Umgang mit Dateien angegebenen Dateityp (DOS/UNIX/MAC) angelegt wird.


Optionen 'Zeilenumbruch/Tabulatoren' (Editor)

Die Optionen in 'Editor | Zeilenumbruch/Tabulatoren' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Zeilemumbruch/Tabulatoren' sind folgende Optionen zusammengefasst:

Dateierweiterungen

Erweiterung für Einstellungen oder Vorgabe wählen

UltraEdit bietet die Möglichkeit, die Einstellungen für den Tabulator und den Zeilenumbruch von der Erweiterung bzw. Endung der Datei abhängig zu machen. Anfangs werden die Vorgaben verwendet. Um Dateierweiterungen hinzuzufügen, klicken Sie auf die Schaltfläche Liste anpassen. Die Einstellungen für den Tabulator und den Zeilenumbruch werden entsprechend der jeweils angezeigten Erweiterungen angepasst. Die Vorgabe-Einstellungen werden für alle Dateien verwendet, die nicht in den benutzerdefinierten Erweiterungen vorkommen.

Liste anpassen

Klicken Sie auf diese Schaltfläche, um Dateierweiterungen hinzuzufügen, für die bestimmte Einstellungen gelten sollen. Es wird ein Dialog aufgerufen, in dem Sie bis zu 10 Erweiterungen hinzufügen oder verändern können.

Datei für die AutoVervollständigung

Bei Bedarf können Sie einen Dateipfad zu einer AutoVervollständigen-Datei angeben, die für die ausgewählte Dateierweiterung gilt. Geben Sie in dieses Feld, den Namen der Datei ein, die für die AutoVervollständigung verwendet werden soll.

Durchsuchen

Klicken Sie auf diese Schaltfläche, um die Datei für die AutoVervollständigung mit Hilfe eines Dateidialogs auszuwählen.

Tabulator-Einstellungen

UltraEdit ermöglicht das automatische Ersetzen von Tabulatorzeichen durch Leerzeichen während der Bearbeitung. Mit den nachfolgenden Optionen ist es möglich, verschiedene Einstellungen für die Leerzeichen vorzunehmen, die an Stelle von Tabulatoren bzw. Einzügen verwendet werden sollen. Beim Ersetzen der Tabulatoren durch Leerzeichen wird die festgelegte Tabulatorweite berücksichtigt. Bereits vorhandene Tabulatorzeichen bleiben von diesen Optionen unberührt.

Leerzeichen an Stelle von Tabulatoren verwenden

Falls diese Option aktiviert ist, werden Leerzeichen an Stelle von Tabulatorzeichen in den Text eingefügt, wobei der Wert im Feld Leerzeichen für Einzug, die Anzahl der für einen Einzug/Tabulator zu verwendenden Leerzeichen angibt. Andernfalls werden Tabulatorzeichen eingefügt, die sich nach den Einstellungen von TabStopp-Wert richten.

TabStopp-Wert

Der Wert in diesem Feld gibt an, in welchem Spaltenabstand die festen Tabulatoren gesetzt sind. Sie können jeweils durch ein Komma voneinander getrennt bis zu 12 Tabulatorpositionen angeben (z.B. '4,4,8'). Der zuletzt angegebene Wert wird auch für nachfolgende Tabulatoren verwendet.

Leerzeichen für Einzug

Der Wert in diesem Feld gibt an, wie viele Leerzeichen an Stelle eines Tabulators für den Einzug verwendet werden sollen.

Schriftart

Schriftart

Klicken Sie auf diese Schaltfläche, um eine Schriftart auszuwählen, die für Dateien mit der ausgewählten Dateierweiterung verwendet werden soll.

Einstellungen für den Umbruch

Greifen Sie auf die Einstellungen für den Zeilenumbruch zurück, um Wörter automatisch an der seitlichen Begrenzung des aktiven Fensters oder an einer angegebenen Spalte in die nächste Zeile umzubrechen.

Umbruch standardmäßig für jede Datei einschalten

Falls diese Option angewählt ist, erfolgt bei jeder neu geladenen Datei ein automatischer Zeilenumbruch gemäß des ausgewählten Umbruchverfahrens.

Umbruchverfahren

Es stehen vier Modi für den Zeilenumbruch zur Verfügung:

  • Umbruch am Fensterrand

Wählen Sie diese Option aus, um den Umbruch an der aktuellen Fensterbegrenzung durchzuführen, ohne feste Zeilenwechsel (CR/LF) einzufügen.

  • Umbruch nach Spalte Nr.

Wählen Sie diese Option aus, um den Umbruch an der angegebenen Spalte durchzuführen, ohne einen festen Zeilenwechsel einzufügen. Hierbei erfolgt der Umbruch an Wortgrenzen. Es kann also vorkommen, dass der Umbruch bereits an einer kleineren Spaltennummer erfolgt.

  • Umbruch nach Spalte Nr., CR/LF einfügen

Wählen Sie diese Option aus, um den Umbruch an der angegebenen Spalte durch das Einfügen von festen Zeilenwechseln (CR/LF) durchzuführen. Hierbei erfolgt der Umbruch an Wortgrenzen. Es kann also vorkommen, dass der Umbruch bereits an einer kleineren Spaltennummer erfolgt.

  • Umbruch genau nach Spalte Nr.

Wählen Sie diese Option aus, um den Umbruch genau nach der angegebenen Spalte durchzuführen, ohne dabei auf Wortgrenzen zu achten.

Spaltennummer für Umbruch/Absatzformatierung

Geben Sie in diesem Feld die Spaltennummer ein, an der der Umbruch für die Optionen Umbruch nach Spalte Nr, Umbruch nach Spalte Nr., CR/LF einfügen und Umbruch genau nach Spalte Nr. erfolgen soll.

Falls die Option Umbruch nach Spalte Nr., CR/LF einfügen aktiviert wird, wird die Datei automatisch entsprechend umbrochen und mit festen zeilenwechseln versehen.

Darüber hinaus können Sie den Befehl Absatz neu formatieren verwenden, um einen Absatz an einer gegebenen Spalte umzubrechen.

Hinweis: Falls sich das aktive Bearbeitungsfenster im HEX-Modus befindet, steht dieser Befehl nicht zur Verfügung.


Advanced

Erweitert (Konfiguration - Suche)

Der Erweitert Zweig unter Konfiguration - Suche hat die folgenden Optionen für Finden in Dateien und Ersetzen in Dateien:

Aktuellen Pfad für Defaultverzeichnis verwenden

Diese Einstellung veranlaßt den Editor, den aktiven Dateipfad als Suchpfad bei Finden/Ersetzen in Dateien zu verwenden. Standardmäßig wird dafür sonst der vorher im Dialog benutzte Pfad verwendet.


Optionen 'Suchen'

Die Optionen in Suchen' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Suchen' sind folgende Optionen zusammengefasst:

Schmalen Suchdialog anzeigen

Falls diese Option aktiviert ist, wird nach dem anfänglichen Starten des Suchvorgangs ein schmaler Suchdialog u.a. mit den Schaltflächen Weitersuchen/Vorher suchen oben im Fenster eingeblendet.

Suche am Dateiende fortsetzen

Diese Option legt fest, ob die Suche am anderen Ende der Datei fortgesetzt, sobald der Suchvorgang das Ende einer Datei erreicht hat und die Textstelle nicht gefunden wurde. Wenn diese Option nicht aktiviert ist, setzt der Editor den Suchvorgang nicht am entgegengesetzten Ende fort. Standardmäßig setzt UltraEdit den Suchvorgang am entgegengesetzen Ende der Datei fort, wenn keine passende Textstelle gefunden wurde.

Reguläre Ausdrücke im UNIX-Stil

Wenn diese Option aktiviert ist, verwendet UltraEdit die UNIX-Syntax für reguläre Ausdrücke, sofern beim Suchen Ersetzen die Option Reguläre Ausdrücke ausgewählt wurde.

Suchen-Dialog mit Wort an Cursor-Position vorbesetzen

Wenn diese Option aktiviert ist, initialisiert UltraEdit die Dialoge 'Suchen'/'Ersetzen' automatisch mit dem Wort an der Cursor-Position. Andernfalls wird der ausgewählte Text (sofern vorhanden) bzw. der letzte Suchtext verwendet.

Weitersuchen/Vorher suchen sucht markierten Text (statt letztem Suchtext)

Wenn diese Option aktiviert ist, sucht UltraEdit bei den Befehlen Weitersuchen/Vorher suchen nach dem aktuell markierten Text und nicht nach dem vorherigen Suchtext (es sei denn, es ist die Suche mit regulären Ausdrücken aktiviert!).

Standardmäßig den aktiven Dateipfad als Verzeichnis bei 'Suchen/Ersetzen in Dateien' verwenden

Diese Option sorgt dafür, dass UltraEdit beim Befehl Suchen/Ersetzen in Dateien den aktiven Dateipfad als Standardverzeichnis verwendet. Standardmäßig verwendet UltraEdit den zuletzt im Dateidialog verwendeten Pfad.

Fokus auf das Bearbeitungsfenster setzen, wenn im Dialog 'Zeilen mit Suchtext' eine Ergebniszeile angesprungen wird

Diese Option sorgt dafür, dass UltraEdit beim Doppelklicken auf eine Ergebniszeile im Dialog 'Zeilen mit Suchtext' den Fokus auf das Bearbeitungsfenster setzt und nicht auf den Dialog. Standardmäßig ist diese Option aktiviert, aber einige Anwender wünschten sich eine Möglichkeit, den Fokus in solchen Fällen auf dem Dialog 'Zeilen mit Suchtext' lassen zu können.

Suchbegrenzungen bei Suchen in Spalten automatisch setzen

Bei Auswahl dieser Option werden die entsprechenden Eingabefelder für die Option »Suchen in Spalten« gemäß den Koordinaten des vorher markierten Textblocks automatisch belegt.

Sonderzeichen in Zeichenketten für Suchen/Ersetzen (normalerweise ^): '^'

In den Zeichenketten beim Suchen/Ersetzen hat das (standardmäßige) Caret-Zeichen ('^') eine besondere Bedeutung (siehe den Hilfetext für den Befehl Suchen). Dieses Feld ermöglicht die Angabe eines anderen als des Caret-Zeichens für die Verwendung beim Suchen/Ersetzen. Es empfiehlt sich, das Pipe-Zeichen ('|') oder ein vergleichbar unübliches Zeichen zu verwenden.


Auto Reset Settings

Einstellungen für Auto-Zurücksetzen (Menü »Extras - Optionen - Suchen«)

Beim Unterthema Auto-Zurücksetzen unter dem Menü Extras - Optionen - Suchen befinden sich die folgenden Optionen:

Die in diesem Dialog ausgewählten Optionen werden zurückgesetzt bzw. deaktiviert nach Abschluß eines Suchen- oder Ersetzen-Vorgangs, wenn sie beim zuletzt ausgeführten Vorgang noch aktiviert wurden. Folgende Optionen können automatisch zurückgesetzt werden:

Alle Fundstellen hervorheben

Das Drücken der Schaltfläche Weitersuchen bewirkt, falls diese Option aktiv ist, die farbliche Hervorhebung aller Fundstellen. Sie werden wie markierter Text angezeigt.

Zeilen mit Suchtext auflisten

Bei Auswahl dieser Option zeigt UltraEdit alle Fundstellen in einer Liste an. Ein Doppelklick auf eine der gefundenen Zeilen im Dialog (oder Auswahl der Zeile und Klicken auf »GeheZu«) bewegt die Cursor-Position zur entsprechenden Fundstelle bzw. Zeile.

Groß-/Kleinschreibung beachten

Suchvorgänge beachten standardmäßig die Groß- oder Kleinschreibung nicht! Deshalb gibt es die Option, die Groß- bzw. Kleinschreibung von Wörtern zu berücksichtigen. Wenn ein Suchvorgang im Dokument bereits ausgeführt wurde, entspricht die Auswahl jener der vorherigen Suche.

Nur ganzes Wort suchen

Standardmäßig wird der Suchvorgang nicht auf ganze Wörter eingeschränkt; diese Option bietet das entsprechende Verhalten. Somit würden nur ganze Wörter wie »a« oder »A« gefunden; Wörter, die lediglich den Buchstaben »a« beinhalten, würden übersprungen. Wenn ein Suchvorgang im Dokument bereits ausgeführt wurde, entspricht die Auswahl jener der vorherigen Suche.

Reguläre Ausdrücke

Bei Auswahl dieser Option wird die Suche mit dem Typ von regulärem Ausdruck ausgeführt, der im Abschnitt »Fortgeschritten« angegeben wurde.

In Spalten suchen

Bei Auswahl dieser Option wird die Suche auf die angegebenen Start- und Endspalten begrenzt. Um in einer ganzen Zeile zu suchen, gibt man »0« und »-1« ein.

Option »Wo finden« im Suchdialog immer auf »Aktuelle Datei« setzen

Beim Aufrufen des Dialogs steht immer »Aktuelle Datei« beim Optionsfeld »Wo finden«, falls diese Option aktiviert wurde. Andernfalls wird die zuletzt eingestellte Option gemerkt und beim Öffnen des Dialogs wieder gesetzt.


Set Find Output Format

Ausgabenformate für Suchen festlegen (Menü 'Extras | Optionen' - Suchen)

Im Untermenü Ausgabenformate für Suchen festlegen im Konfigurationsdialog (Menü "Extras/Optionen") unter Suchen wird festgelegt, wie die Ausgaben von Suchen in Dateien angezeigt werden.

Folgende Variablen können eingesetzt werden, um die entsprechenden Ausgaben zu bestimmen:

$P Pfad zur Datei

$F zu suchender Text

$L Zeilennummer

$S gefundene Zeile

$C Anzahl der Fundstellen

$N Anzahl der untersuchten Dateien

Ausgaben pro Datei

Diese Optionen betreffen die Daten, die für jede Datei in den Ausgaben von "Suchen in Dateien" angezeigt werden:

Kopfzeile

Bei Auswahl dieser Option wird das angegebene Format verwendet für die Kopfzeile bei jeder Datei, wo der Suchtext gefunden wurde.

Gefundene Zeile

Bei Auswahl dieser Option wird das angegebene Format verwendet für die Beschreibung von Zeilen, in denen der Suchtext gefunden wurde.

Dateien: Zusammenfassung

Bei Auswahl dieser Option wird das angegebene Format verwendet für die Zusammenfassung der Fundstellen für jede Datei, die in der Ausgabe von "Suchen in Dateien" erscheint.

Schlußzeile

Diese Optionen betreffen die Daten, die in der allerletzten Zeile der Ausgaben von "Suchen in Dateien" geschrieben werden.

Suchen: Zusammenfassung

Bei Auswahl dieser Option wird das angegebene Format verwendet, um eine Übersicht über alle Treffer in allen Dateien anzuzeigen, die während der Ausführung von "Suchen in Dateien" gefunden wurden.

Die Schaltfläche Vorgaben stellt die Standardeinstellungen der Optionen für die Formatierung der Ausgaben von "Suchen in Dateien" wieder her.


Dictionary

Wörterbuch (Menü »Extras/Optionen«, Abschnitt »Rechtschreibprüfung«)

Im Konfigurationsdialog befindet sich der Wörterbuch-Zweig im Abschnitt Rechtschreibprüfung, wo eine Auswahl der Hauptwörterbücher getroffen werden kann:

Aspell wird zusammen mit UltraEdit und UEStudio installiert. Standardmäßig befindet sich die ausführbare Datei für Aspell im Unterverzeichnis GNU\Aspell\bin unterhalb des Installationsverzeichnisses. Aktualisierte Versionen von Aspell werden in regelmäßigen Abständen freigegeben. Um eine neuere Version von Aspell schon vor der nächsten Freigabe durch uns zu installieren, muß diese Datei durch die neue Version lediglich überschrieben werden. Aspell kann bei der Adresse http://aspell.net/win32/ nach Klicken auf den Verweis Full Installer heruntergeladen werden.

Aus den angezeigten Sprachen kann eine beliebige Auswahl getroffen werden. Falls keine Sprache ausgewählt würde, würde nur das benutzerdefinierte Wörterbuch verwendet.

Wörterbücher hinzufügen und entfernen

Es gibt eine große Auswahl an Wörterbüchern, die bei http://aspell.net/win32/ heruntergeladen werden können. Ein neues Wörterbuch wird installiert, indem man darauf klickt und das Installationsverzeichnis angibt. Beachten Sie bitte, daß obwohl das Installationsverzeichnis angegeben wurde, wird das Wörterbuch eigentlich in das Unterverzeichnis \Aspell\dict installiert. Einmal installiert, kann man es nachher im Wörterbuch-Fenster auch auswählen.

Wörter zum Wörterbuch hinzufügen und entfernen

Wörter können nach Bedarf hinzugefügt oder entfernt werden. Zunächst muß das betreffende Wörterbuch in der Liste ausgewählt werden. Nachdem ein Wort in das Eingabefeld bei Hinzugefügte Wörter eingetippt und die Schaltfläche Hinzufügen geklickt wurde, erscheint das neue Wort in der Liste. Ausgewählte Wörter werden entfernt nach Betätigung der Schaltfläche Entfernen. Der Inhalt der Liste der hinzugefügten Wörter ist abhängig von der jeweiligen Sprache.


Dictionary Directories

Wörterbuchverzeichnisse (Menü »Extras/Optionen«, Abschnitt »Rechtschreibprüfung«)

Der Zweig Wörterbuchverzeichnisse unter dem Abschnitt Rechtschreibprüfung im Konfigurationsdialog wird zur Angabe von Verzeichnissen verwendet, die für die Rechtschreibprüfung relevante Daten speichern:

Persönliches Datenverzeichnis

Das hier angegebene Verzeichnis wird verwendet, um die zu den benutzerdefinierten Wörterbüchern hinzugefügten Wörter zu speichern.

Aspell -Elternverzeichnis

Dieses Verzeichnis speichert die für Aspell relevanten Daten- bzw. Wörterbuchverzeichnisse. Standardmäßig ist das das Installationsverzeichnis der Anwendung. Bei Verwendung aus dem Editor heraus sucht Aspell nach Wörterbüchern im Verzeichnis GNU\Aspell.


Filters

Die Optionen in 'Filter' (Menü 'Extras/Optionen' - Rechtschreibprüfung)

Im Zweig Filter unter Rechtschreibprüfung im Konfigurationsdialog (Menü "Extras/Optionen") kann man Filter bestimmen, um bestimmte Elemente von der Rechtschreibprüfung durch Aspell auszuschließen. Bei Aktivierung von der Option Filter verwenden werden die nachfolgenden Optionen verfügbar (es kann allerdings nur ein Filter auf einmal aktiv sein):

Automatische Erkennung

Das Programm erkennt automatisch, ob eine Datei im HTML- oder Tex-Format vorliegt und wendet den angemessenen Filter an.

E-Mail

Der E-Mail-Filter überspringt zitierten Text. Momentan wird das Überspringen von Headers nicht unterstützt.

HTML

Der HTML-Filter funktioniert ähnlich wie der SGML-Filter, nur ist er auf HTML spezialisiert. Standardmäßig werden 'script' und 'style' im HTML-Modus übersprungen.

SGML

Mit Hilfe des SGML-Filters kann man SGML-, HTML-, XHTML- und XML-Dateien auf Rechtschreibung prüfen. In den meisten Fällen wird alles, was innerhalb Tags steht (z.B.: `<tag attrib=Wert attrib2="ein ganzer Satz">' ), von der Rechtschreibprüfung ignoriert. Das von Aspell unterstützte SGML/HTML/XML-Format ist eine kleine Übermenge der meisten DTDs (Document Type Definitions) und kann auch viele nichtkonforme HTML-Dateien prüfen, denen man häufig im Internet begegnet.

URL

Der URL-Filter überspringt URL-Adressen, Hostnamen und E-Mail-Adressen.

Nroff

Erlaubt die Rechtschreibprüfung von Nroff-Dokumenten. Der Filter überspringt die folgenden nroff-Sprachelemente:

  • Kommentare

  • Anfragen (requests)

  • Namen von nroff-Registern (sowohl traditionelle Namen aus zwei Buchstaben als auch längere GNU-nroff-Namen)

  • Argumente für die Anfragen: ds, de, nr, do, so.

  • Argumente für Schalter zum Schriftenwechsel (\f) und Größenwechsel (\s)

  • Argumente der Sonderzeichen-Sequenzen (extended charset escapes) sowohl in traditionellem (\() als auch in erweitertem (\[comp1 comp2 ...]) Format.

TeX

Der Tex-Filter überspringt TeX-Befehle, Parameter und Optionen bestimmter Befehle. Er ignoriert auch standardmäßig TeX-Kommentare.

C/C++

Das C/C++-Filter ermöglicht die Rechtschreibprüfung von Text innerhalb von Zeichenketten oder Kommentaren. Hingegen wird der eigentliche Code auf Rechtschreibfehler nicht überprüft.


Ignore Options

Die Optionen in 'Optionen zum Ignorieren' (Menü 'Extras | Optionen' - Rechtschreibprüfung)

Ihnen stehen Optionen zur Verfügung, um folgende Texteigenschaften bei der Rechtschreibprüfung zu ignorieren:

  • Groß-/Kleinschreibung

  • Akzente

  • Wörter in Großbuchstaben

  • Groß geschriebene Wörter

  • Wörter mit Zahlen

  • Gemischte Groß-/Kleinschreibung


Optionen 'Rechtschreibprüfung'

Die Optionen in 'Verschiedenes' (Menü 'Extras | Optionen' - Rechtschreibprüfung)

Das Unterthema "Verschiedenes" bei "Rechtschreibprüfung" im Konfigurationsdialog (Menü "Extras/Optionen") faßt weitere Optionen zusammen, die bei der Rechtschreibprüfung von Bedeutung sind:

Rechtschreibprüfung während der Eingabe

Falls aktiviert, wird auf Rechtschreibefehler während der Eingabe fortlaufend überprüft. Achtung: UltraEdit und UEStudio überprüfen standardmäßig keine Dateien auf Rechtschreibefehler, die mit Syntax-Hervorhebungen angezeigt werden. Um diese Einstellung zu ändern und die automatische Rechtschreibprüfung für solche Dateien zu aktivieren, muß der folgende Text zur Sprachendefinitionszeile im Abschnitt der Wortdatei (z.B. /L3"HTML" ...) hinzugefügt werden:

EnableSpellasYouType

Vorschläge bei rechtem Mausklick auf falsch geschriebene Wörter anzeigen

Bei Aktivierung der Option "Rechtschreibprüfung während der Eingabe" wird eine Liste von möglichen Verbesserungsvorschläge für ein als falsch geschrieben markiertes Wort angezeigt, nachdem man mit der rechten Maustaste darauf klickt. Bei Bedarf kann zusätzlich die Option "Nur mit STRG-Taste" aktiviert werden, um dieses Verhalten entsprechend einzuschränken; die rechte Maustaste bewirkt nachher die Anzeige der Verbesserungsvorschläge also nur in Kombination mit der STRG-Taste. Die maximale Anzahl von Vorschlägen kann mit dem Steuerelement "Vorschläge anzeigen (maximal)" eingestellt werden. Bei Eingabe von "-1" werden alle vorhandene Vorschläge angezeigt.

Vorschlagsmodus

Wählen Sie aus diesem Listenfeld einen der folgenden Modi für die Genauigkeit bei der Rechtschreibprüfung aus:

  • ultra

Dieses Verfahren liefert die schnellsten Korrekturvorschläge. Dabei wird nur nach Homonymen gesucht, die nur einen Bearbeitungsschritt auseinander liegen, ohne auf eine Tippfehler-Analyse oder Ersetzungstabellen zurückzugreifen. In diesem Modus erkennt Aspell etwa 87% der Wörter aus dem Testmaterial für falsch geschriebene Wörter. (Unter http://aspell.net/test finden Sie weitere Informationen zum Testmaterial und zum Vergleich der aktuellen Aspell-Version mit älteren Versionen und anderen Rechtschreibprüfungen.)

  • schnell

Dieses Verfahren arbeitet wie der Modus 'ultra' und greift zusätzlich auf eine Tippfehler-Analyse und Ersetzungstabellen zurück. Die Tippfehler-Analyse setzt Wörter, die bekanntermaßen für Tippfehler anfällig sind, an den Beginn der Liste. Dieser Modus erwischt etwa genau so viele Wörter wie der Modus 'ultra'.

  • normal

Dieses Verfahren sucht nach Homonymen, die maximal zwei Arbeitsschritte auseinanderliegen, und führt eine Tippfehler-Analyse durch, sofern diese nicht deaktiviert ist. Es arbeitet erheblich langsamer als der Modus 'schnell', liefert aber auch bessere Vorschläge. In diesem Modus erkennt Aspell etwa 93% der falsch geschriebenen Wörter.

  • ungenau

Auch dieses Verfahren sucht nach Homonymen, die maximal zwei Arbeitsschritte auseinanderliegen. Allerdings ist es eher auf Rechtschreibfehler zugeschnitten, während die Modi 'schnell' und 'normal' eher auf eine gute Balance zwischen Tippfehlern und echten Rechtschreibfehlern ausgerichtet sind. Dieser Modus führt keine Tippfehler-Analyse durch und liefert eine große Anzahl von Wörtern für Menschen mit einer echten Rechtschreibschwäche, die einfach nicht an die korrekte Schreibweise herankommen. Wenn das falsch geschriebene Wort der korrekten Schreibweise irgendwie ähnelt, wird letztere irgendwo in der Liste aus 100 oder mehr Vorschlägen zu finden sein. In diesem Modus erkennt Aspell ungefähr 98% aller falsch geschriebenen Wörter.


Optionen 'Fortgeschritten' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Fortgeschritten' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Fortgeschritten' sind folgende Optionen zusammengefasst:

Kurze Namen mit bereits geladenen Dateien abgleichen

Diese Option sorgt beim Öffnen einer Datei für den Abgleich ihres kurzen Namens mit bereits geöffneten Dateien, um das doppelte Laden derselben Datei zu vermeiden. Bei einigen Servern stimmen die kurzen Namen überein, weshalb UltraEdit diese Dateien dann nicht öffnet. Durch das Deaktivieren dieser Option wird auf den Abgleich der Namen verzichtet.

Ursprungsdatei vor dem Speichern einer Datei löschen

Wenn eine Datei gespeichert wird, wird die Ursprungsdatei durch die neue Datei überschrieben. In einigen Fällen ist es auf manchen Servern notwendig, die Datei zunächst zu löschen und dann als neue Datei anzulegen. Wenn diese Option aktiv ist, wird die Datei gelöscht und durch die neue ersetzt.

Datei beim Anlegen von Sicherungsdateien kopieren statt umbenennen

Diese Option legt fest, auf welche Weise UltraEdit Sicherungsdateien anlegt. Standardmäßig benennt UltraEdit die Ursprungsdatei in die Sicherungsdatei um. Der Grund für die Existenz dieser Option liegt darin, dass wiederhergestellte Ursprungsdateien auf manchen Systemen ihre vorherigen Dateizugriffsrechte verlieren, wenn UltraEdit die Ursprungsdatei umbenennt, um die Sicherungsdatei zu erstellen. Das Aktivieren dieser Option sorgt dafür, dass keine Umbenennung erfolgt, wodurch die Dateizugriffsrechte erhalten bleiben.

Immer eine neue Datei anlegen, wenn in eine bzw. aus einer temporäre(n) Datei kopiert wird

Beim Kopieren in eine bzw. aus einer temporäre(n) Datei legt UltraEdit keine neue Datei an. UltraEdit beschneidet die alte Datei, kopiert deren Inhalt und stellt die Dateilänge neu ein. Von einigen wenigen Servern scheint diese Vorgehensweise nicht gemocht bzw. unterstützt zu werden. Darüber hinaus legen sie keinen Wert darauf, die Dateilänge korrekt zu setzen, wodurch Reste der alten Datei bestehen bleiben, wenn Sie einen Teil der Datei löschen und sie anschließend speichern. Das Aktivieren dieser Option sorgt dafür, dass die Datei vor dem Speichern auf die Länge 0 beschnitten wird.

Öffnen vom Explorer aus lädt auch die Dateiliste

Bei Aktivierung dieser Option wird der zuletzt verwendete Workspace und alle damit verbundenen Dateien neu geladen, wenn die Datei vom Explorer aus geöffnet wird.

Den FTP-Befehl Close beim Verbinden mit einem FTP-Server auslassen

Wenn UltraEdit eine Verbindung zu einem FTP-Server herstellt, setzt das Programm zunächst einen Close-Befehl ab, um alle vorherigen Verbindungen zu entfernen, die möglicherweise abgebrochen wurden. In einigen Fällen kam es im Zusammenhang mit Produkten, die FTP-Tunneling verwenden, zu einem Absturz der Tunneling-Software. Das Aktivieren dieser Option sorgt dafür, dass UltraEdit den FTP-Befehl Close nicht aufruft.

DDE für Dateizuordnungen verwenden

Wenn innerhalb von UltraEdit Dateizuordnungen vorgenommen werden, wird für den jeweiligen Dateityp normalerweise die Einstellung in der Registry zur Verwendung von DDE aktiviert. Bei einigen Systemen kann dies zu einer Fehlermeldung führen, wenn im Explorer ein Doppelklick auf einer solchen Datei durchgeführt wird. In diesem Fall kann das Deaktivieren dieser Option das Problem möglicherweise lösen. Damit sich diese Einstellung auswirkt, müssen die Dateizuordnungen geändert werden.

Projektdaten für Verwendung auf mehreren Systemen speichern

Bei Auswahl dieser Option werden alle Projektdaten zusammen gehalten, um den Einsatz von Projekt- und Workspace-Einstellungen auf mehreren Systemen zu erleichtern. Die Standardeinstellung für diese Option ist deaktiviert; in diesem Fall werden die Einstellungen für Projekt und Workspace getrennt gespeichert. Somit können Projekteinstellungen ohne die dazugehörigen Workspace-Einstellungen von mehreren Benutzern geteilt werden.


Optionen 'Sicherung' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Sicherung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Sicherung' sind folgende Optionen zusammengefasst:

Sicherungsdatei beim Speichern

Beim Speichern einer Datei gibt es die Möglichkeit, eine Sicherungsdatei zu erzeugen. Dabei stehen drei Verfahren zur Auswahl:

  • Keine Sicherungsdatei
    Wenn eine Datei gespeichert wird, wird die ursprüngliche Datei überschrieben und es wird keine Sicherungsdatei angelegt.

  • Endung durch '.BAK' ersetzen
    Wenn eine Datei gespeichert wird, wird die ursprüngliche Datei zu einer Sicherungsdatei mit der Dateiendung '.BAK' an Stelle der vorhandenen Endung kopiert oder umbenannt. Die Änderungen werden unter der ursprünglichen Dateibezeichnung und Endung gespeichert.

  • '.BAK' an vorhandene Endung anhängen
    Wenn die Datei gespeichert wird, wird die ursprüngliche Datei zu einer Sicherungsdatei mit dem gleichem Dateinamen und gleicher Endung kopiert oder umbenannt, wobei aber ein '.BAK' an den Dateinamen angehängt wird ('Dateiname.End.BAK'). Die Änderungen werden unter der ursprünglichen Dateibezeichnung und Endung gespeichert.

Standardverzeichnis für Sicherungsdateien

Normalerweise wird für die Sicherungsdatei dasselbe Verzeichnis verwendet wie für die Quelldatei. Dieser Parameter ermöglicht es, alle Sicherungsdateien in dasselbe Sicherungsverzeichnis zu kopieren. Wenn dieses Feld leer gelassen wird, wird immer das Verzeichnis der Quelldatei verwendet.

Automatische Speicherung

Mit diesen Optionen lassen sich alle offenen Dateien automatisch im gewünschten Zeitintervall speichern. Das Zeitintervall ist minutenweise einstellbar. Wenn es auf Null (0) eingestellt ist, wird keine automatische Speicherung durchgeführt. Dabei können Sie folgende Dateigruppen ausschließen:

  • Unbenannte (neue) Dateien ignorieren
    Wenn diese Option aktiviert ist, werden noch unbenannte Dateien (d.h., Dateien die mit Hilfe des Befehls Neu erstellt wurden) nicht automatisch gespeichert. Dadruch wird der Dialog 'Speichern unter' vermieden, wenn eine unbenannte Datei vorhanden ist, an der Änderungen vorgenommen worden sind.

  • FTP-Dateien ignorieren
    Wenn diese Option aktiviert ist, werden geänderte, zur Bearbietung geöffnete FTP-Dateien nicht automatisch gespeichrt.

Wenn eine Datei auf Grund der automatischen Sicherung/Speicherung gespeichert wird, wird nur für das erste Speichern in einer Arbeitssitzung eine '.BAK'-Datei erstellt. Bei späteren Speichervorgänge mit dieser Funktion wird keine '.BAK'-Datei erstellt oder überschrieben.


Code Page Detection

Codepage Detektion (Konfiguration - Datei Handling)

Der Codepage Detektion Zweig unter Konfiguration - Datei Handling hat die folgenden Optionen:

Codepage Autodetektion

Diese Einstellung veranlaßt den Editor auszuwerten, ob der Inhalt der aktuellen Datei mit einer anderen als der System-Defaultcodepage angezeigt werden soll.

Nachfragen, um Codepage zu akzeptieren (andernfalls wird die mit höchster Übereinstimmung gewählt

Diese Einstellung ist nur aktiv, wenn Codepage Autodetektion aktiviert ist. Wenn diese Option angewählt ist und der Editor detektiert, daß eine neue Codepage erforderlich ist, wird ein Dialog angezeigt, in dem der Benutzer die für das aktive Dokument zu benutzende neue Codepage auswählen kann. Wenn dies nicht angewählt aber Codepage Autodetektion aktiviert ist, wird automatisch die Codepage mit bester Übereinstimmung benutzt.

Nachfragen, um Font und Schrift zu ändern, falls ungleich der Default Systemcodepage

Wenn diese Option angewählt ist und es wird eine neue Codepage ausgewählt, die für eine korrekte Darstellung einen anderen Font und Schrift benötigt, wird ein Dialog angezeigt, um diese änderung nachzufragen.

Beim Umwandeln von Unicode nach ASCII immer die System Default Codepage verwenden

Wenn diese Option nicht angewählt ist und ein Dokument wird von Unicode nach ASCII konvertiert, wird ein Dialog präsentiert, in dem der Benutzer die Codepage auswählen kann, da Unicode und ASCII Dateien unterschiedliche Codepages benötigen. Wenn die Option angewählt ist, wird automatisch die Default Systemcodepage für die Umwandlung ausgewählt.


Optionen 'Konvertierung' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Konvertierung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Konvertierung' sind folgende Optionen zusammengefasst:

IBM-500-Standard für EBCDIC-Konvertierung verwenden

Diese Option zwingt UltraEdit dazu, den IBM-500-Standard für die EBCDIC-Konvertierung zu verwenden. Die Standardkonvertierung von UltraEdit stammt aus veröffentlichten EBCDIC-Tabellen, die allerdings keinen direkten Eins-zu-eins-Vergleich zulassen.

Keine Zeilenwechsel (CR/LF) bei einer EBCDIC-Konvertierung umwandeln

Diese Einstellung hebt die Konvertierung von EBCDIC-Zeilenwechseln bei der Konvertierung von Dateien ins ASCII-Format auf. Die EBCDIC-Tabelle verlangt die Konvertierung fester Zeilenwechsel (CR/LF), doch einige Anwender wünschten sich die Möglichkeit, auf diese Konvertierung zu verzichten.

Zeilenende-Zeichen beim Einfügen an Dateiformat (UNIX/MAC/DOS) anpassen

Wenn diese Option aktiviert ist, überprüft UltraEdit beim Einfügen von Inhalten aus der Zwischenablage das Format der Zieldatei und passt gegebenenfalls die Zeilenende-Zeichen an das vorhandene Dateiformat an.


Optionen 'Umgang mit DOS/UNIX/MAC-Dateien' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Umgang mit DOS/UNIX/MAC-Dateien' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Umgang mit DOS/UNIX/MAC-Dateien' sind folgende Optionen zusammengefasst:

Standardmäßiger Dateityp für neue Dateien

  • DOS
  • UNIX
  • MAC

Diese Option legt den standardmäßigen Dateityp für neue Dateien fest, die mit UltraEdit erstellt werden. Standardmäßig werden DOS-Dateien erstellt. Alternativ können Sie die Dateitypen UNIX oder MAC als Standard vorgeben.

UNIX/MAC Dateierkennung/-konvertierung

  • Deaktivieren
  • Dateityp erkennen und Änderung bestätigen lassen
  • Automatische Konvertierung ins DOS-Format

Mit diesen Optionen können Sie festlegen, ob UltraEdit UNIX/MAC-Dateien beim Öffnen automatisch erkennen und ins DOS-Format konvertieren soll. Optional können Sie einstellen, dass Sie jede Konvertierung einer erkannten UNIX/MAC-Datei vor ihrer Durchführung bestätigen müssen. Falls keine Dateierkennung/-konvertierung gewünscht ist, kann sie deaktiviert werden.

Nur nach DOS-Art terminierte Zeilen (CR/LF) als neue Zeilen für die Bearbeitung anerkennen

Diese Option sorgt dafür, dass UltraEdit nur nach DOS-Art terminierte Zeilen (CR/LF) als neue Zeilen für die Bearbeitung anerkennt. Standardmäßig erkennt UltraEdit für die Anzeige auch nach UNIX/MAC-Art terminierte Zeilen automatisch.

Dateien im Eingabeformat speichern (UNIX/MAC/DOS)

Diese Option weist UltraEdit an, die Datei beim Speichern automatisch im Originalformat (UNIX/MAC) zu speichern, sofern sie nicht nach dem Öffnen manuell konvertiert wurde.


Encryption

Verschlüsselung (Menü »Extras/Optionen/Dateien verwalten«)

Das Thema Verschlüsselung im Konfigurationsdialog unter Dateien verwalten bietet die folgenden Optionen:

Ursprüngliche Dateien nach Verschlüsselung löschen

Nach der erfolgreichen Verschlüsselung einer Datei wird die ursprüngliche, unverschlüsselte Textdatei gelöscht, falls diese Option aktiviert wurde.

Ursprüngliche Dateien nach Verschlüsselung mit UltraSentry sicher löschen (setzt UltraSentry v2.00a+1 oder neuere Version voraus)

Bei Aktivierung dieser Option wird UltraSentry im Hintergrund gestartet, um die ursprüngliche Datei nach der Verschlüsselung sicher zu löschen. Anstatt diese einfach zu löschen, wird der Inhalt der ursprünglichen Datei vollständig entfernt und unwiederherstellbar gemacht. Diese Option wird ausgeblendet bzw. grau, falls UltraSentry auf dem System nicht installiert ist.

Um weitere Informationen über die Verwendung von UltraSentry zusammen mit UltraEdit zu erfahren, bitte hier klicken!

Verschlüsselte oder entschlüsselte Dateien überschreiben

Bereits vorhandene Dateien mit gleichen Namen und Erweiterungen wie die angegebenen, zu verschlüsselnden oder entschlüsselnden Dateien, die im gleichen Verzeichnis liegen, werden bei Auswahl dieser Option automatisch überschrieben.

Datei beim Schließen automatisch neu verschlüsseln

Bei Aktivierung dieser Option werden Dateien, die zur Bearbeitung entschlüsselt wurden, beim Schließen automatisch wieder verschlüsselt. Andere Optionen, die die Verschlüsselung betreffen und im Konfigurationsdialog eingestellt wurden, sowie Optionen betreffend das Löschen oder Überschreiben von verschlüsselten Dateien, werden ebenfalls berücksichtigt.


Optionen 'Erkennung von veränderten Dateien' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Erkennung von veränderten Dateien' (Menü 'Extras | Optionen')

Das Thema »Erkennung von veränderten Dateien« im Konfigurationsdialog unter »Umgang mit Dateien« bietet Optionen, um das Verhalten der Anwendung im Falle der gleichzeitigen Bearbeitung einer Datei von mehr als einem Benutzer, oder wenn ein externer Prozess Zugriff auf die Datei nimmt (z.B. eine Berichts- oder Anwendungsdatei), zu beeinflussen. Folgende Optionen befinden sich auf dieser Seite:

Erkennung von veränderten Dateien

  1. Deaktivieren
  2. Aktualisierungsbestätigung bei veränderten Dateien anfordern
  3. Veränderte Dateien automatisch aktualisieren

UltraEdit erkennt automatisch alle Änderungen an einer Datei, die in UltraEdit geöffnet ist und außerhalb von UltraEdit geändert wurde. Sobald Änderungen festgestellt werden, fragt UltraEdit nach, ob die Datei neu geladen werden soll (in diesem Fall gehen alle nicht gespeicherten, zwischenzeitlich in UltraEdit vorgenommenen Änderungen an der Datei verloren). Sie können die Datei entweder neu laden oder die Änderungen verwerfen.

Optional bietet UltraEdit die Möglichkeit, alle Dateiänderungen zu ignorieren, indem Sie die Option Deaktivieren innerhalb dieser Konfigurationsgruppe auswählen. In diesem Fall verzichtet UltraEdit auf die Erkennung und Aktualisierungsbestätigung bei veränderten Dateien.

Optional bietet UltraEdit die Möglichkeit, die geöffneten Dateien automatisch zu aktualisieren, wenn außerhalb des Editors Änderungen an ihr vorgenommen wurden, indem Sie die Option Veränderte Dateien automatisch aktualisieren innerhalb dieser Konfigurationsgruppe auswählen. In diesem Fall wird die Datei neu geladen und alle nicht gespeicherten, zwischenzeitlich in UltraEdit vorgenommenen Änderungen an der Datei werden ohne Bestätigung automatisch überschrieben.

Abfrage von Dateiänderungen im Intervall von x Sekunden erzwingen (0 deaktiviert)

Diese Option legt das Intervall (in Sekunden) fest, in dem UltraEdit die Dateien auf Änderungen hin überprüft, die für diese Abfrage mit Hilfe des Befehls Dateiänderungen abfragen ein/aus (Menü 'Ansicht') markiert wurden. Setzen Sie diesen Wert auf '0', um die Funktion zu deaktivieren.

Wenn eine für die Abfrage markierte Datei als geändert erkannt wird, zur letzten Zeile der Datei scrollen (zum Verfolgen von Log-Dateien)

Diese Option sorgt durch einen automatischen Bildlauf dafür, dass bei abgefragten Dateien immer die letzte Zeile sichtbar ist, wenn die Datei aktiv ist. Diese Funktion entspricht im Wesentlichen dem UNIX-Befehl tail.

Eine als verändert erkannte und neu geladene Datei zur aktiven Datei machen

Diese Option weist UltraEdit an, jede als verändert erkannte und neu geladene Datei zur aktiven Datei zu machen. Standardmäßig wird eine solche Datei nicht zur aktiven Datei gemacht.

Veränderte Dateien ignorieren, wenn die Datei gelöscht wurde

Durch diese Option wird UltraEdit angewiesen, Sie nicht darauf hinzuweisen, wenn eine im Editor geöffnete Datei als gelöscht erkannt wird. Bei deaktivierter Einstellung (Standard), weist UltraEdit Sie darauf hin, dass eine Datei gelöscht wurde, sofern die Konfigurationsoption Erkennung von veränderten Dateien aktiviert ist.

Dateien nur dann auf Änderungen überprüfen, wenn UltraEdit das aktive Fenster wird

Bei Auswahl dieser Option werden Dateien nur auf Änderungen überprüft, wenn man von einer anderen Anwendung nach UltraEdit wechselt oder von einem Dialog innerhalb UltraEdit zurück zum Hauptfenster wechselt. Sonst werden Dateien in regelmäßigen Abständen auf allfällige Bearbeitungen überprüft.


Optionen 'Laden' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Laden' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Laden' sind folgende Optionen zusammengefasst:

Neuladen von zuletzt geöffneten Dateien beim Start

Wenn diese Option aktiv ist, speichert UltraEdit beim Beenden des Programms Informationen über die geöffneten Dateien. Diese Angaben werden verwendet, um die Dateien, die geöffnet waren, beim nächsten Start von UltraEdit automatisch neu zu laden. Damit ist es möglich, eine Reihe von Dateien, die regelmäßig bearbeitet werden, automatisch neu zu laden. Wenn UltraEdit automatisch zum Drucken aufgerufen wird, werden diese Dateien nicht neu geladen.

FTP-Dateien erneut laden, wenn ein Projekt oder zuletzt genutzte Dateien erneut geladen werden

Diese Option legt fest, ob UltraEdit FTP-Dateien erneut laden soll, wenn Dateien für ein Projekt bzw. einen Arbeitsbereich erneut geladen werden. Typischerweise werden FTP-Dateien auf Grund der möglichen Verzögerung bei der Verbindung und beim Laden der Dateien von UltraEdit nicht automatisch neu geladen. Wenn Sie diese Option aktivieren, behandelt UltraEdit FTP-Dateien in dieser Hinsicht wie normale Dateien.

Standardverzeichnis der Verknüpfung zum Öffnen verwenden

Aktives Verzeichnis zum Öffnen verwenden

Normalerweise wird für den Befehl Öffnen dasjenige Verzeichnis verwendet, aus dem UltraEdit zuletzt eine Datei geöffnet hat. Diese Verzeichnisinformation merkt sich UltraEdit über das Programmende hinaus bis zum Neustart.

Wenn die Option Standardverzeichnis der Verknüpfung zum Öffnen verwenden aktiv ist, wird das normale Verhalten übergangen und das Arbeitsverzeichnis des UltraEdit-Prozesses verwendet. Damit ist es Ihnen möglich, das Standardverzeichnis des Symbols oder einer Verknüpfung für den Aufruf von UltraEdit anzugeben.

Wenn die Option Aktives Verzeichnis zum Öffnen verwenden aktiv ist, wird das normale Verhalten übergangen und das Verzeichnis der gerade aktiven Datei verwendet. Damit wird Ihnen eine einfache Möglichkeit an die Hand gegeben, eine Datei aus dem Verzeichnis einer bereits geöffneten Datei zu öffnen, indem Sie diese Datei zur aktiven Datei machen und anschließend den Befehl Öffnen verwenden.

Hinweis: Es darf nur eine dieser beiden Optionen aktiv sein.

Verknüpfungsdateien (.lnk) direkt öffnen und nicht die Datei, auf die verwiesen wird

Diese Option veranlasst UltraEdit dazu, die Verknüpfung für die Bearbeitung direkt zu öffnen. Die Standardeinstellung (deaktiviert) sorgt dafür, dass UltraEdit Datei öffnet, für die die Verknüpfung erstellt wurde.

Dateien standardmäßig schreibgeschützt öffnen

Mit der Menüoption Bearbeiten | Schreibschutz ein/aus lässt sich der Schreibschutzstatus einer Datei wechseln. Wenn der Schreibschutz aktiviert ist, kann die Datei nicht bearbeitet werden. Wenn diese Option aktiviert ist, werden Dateien automatisch schreibgeschützt geöffnet. Dadurch wird nicht der Status der Datei selbst geändert, sondern nur die Möglichkeit, sie innerhalb von UltraEdit zu bearbeiten.

Neue Datei anlegen, wenn die in der Befehlszeile angegebene Datei nicht existiert

Diese Option weist UltraEdit an, eine neue Datei anzulegen, wenn die in der Befehlszeile angegebene Datei nicht existiert. Standardmäßig wird eine neue Datei angelegt.

Schreibschutzstatus beim erneuten Laden einer aktuell geöffneten Datei merken

Diese Option sorgt dafür, dass UltraEdit den Schreibschutzstatus beim erneuten Laden einer aktuell geöffneten Datei beibehält. Standardmäßig wird der Schreibschutz beim erneuten Laden einer Datei auf den Status der zugrundeliegenden Datei eingestellt. Der Grund hierfür liegt darin, dass viele Anwender UltraEdit und die Schreibschutzfunktionalität im Zusammenhang mit Systemen zur Versionsverwaltung einsetzen; und wenn sich einzig der Schreibschutzstatus ändert, erwarten die Anwender, dass der Status innerhalb von UltraEdit ebenfalls geändert wird.


Optionen 'Verschiedenes' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Verschiedenes' sind folgende Optionen zusammengefasst:

Schreibschutz einer Datei ändern, wenn die Menüeinstellung geändert wird

Diese Option weist UltraEdit an, den Schreibschutz einer Datei zu ändern, wenn die Menüeinstellung für den Schreibschutz geändert wird. Standardmäßig (deaktiviert) können Sie den Schreibschutz zwar für den Editor ändern, indem Sie Änderungen an der Datei verweigern oder zulassen, aber durch die Änderung des Schreibschutzes im Menü wird der Schreibschutzstatus der tatsächlichen Datei nicht geändert.

Datei während der Bearbeitung für Schreibzugriffe sperren

Diese Option veranlasst UltraEdit dazu, jede geöffnete Datei für Schreibzugriffe außerhalb des Editors zu sperren. Sollte die Datei bereits gesperrt sein, ermöglicht diese Einstellung außerdem den schreibgeschützten Zugriff, wobei Sie in einem Dialogfenster aufgefordert werden, den Schreibschutz für die geöffnete Datei zu bestätigen. Diese Funktion verhindert Änderungen an einer Datei außerhalb der Bearbeitungssitzung und beugt damit dem Verlust Ihrer Änderungen vor.

Beim Öffnen oder Wechseln von Projekten alle Dateien schließen

Diese Option sorgt dafür, dass alle aktuell geöffneten Dateien ohne Warnung geschlossen werden, sobald Sie ein neues Projekt öffnen bzw. das Projekt wechseln. Wenn diese Option nicht aktiviert ist, werden Sie gefragt, ob die offenen Dateien geschlossen werden sollen oder nicht.


Optionen 'Speichern' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Speichern' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Speichern' sind folgende Optionen zusammengefasst:

Alle UTF-8-Dateien beim Speichern mit UTF-8-BOM versehen

Bei aktivierter Option versieht UltraEdit alle Dateien beim Speichern mit dem UTF-8-BOM (Byte Order Marker). Bei deaktivierter Option wird der BOM beim Speichern nicht mitgesichert. Ein in einer Datei bereits vorhandener BOM wird dadurch aber nicht entfernt.

Neue Dateien mit UTF-8-BOM versehen (falls die vorstehende Option nicht aktiviert ist)

Bei aktivierter Option versieht UltraEdit nur neu angelegte Dateien beim Speichern mit dem UTF-8-BOM (Byte Order Marker). Bei deaktivierter Option wird der BOM beim Speichern nicht mitgesichert. Ein in einer Datei bereits vorhandener BOM wird dadurch aber nicht entfernt.

Nachfolgende Leerzeichen/Tabulatoren beim Speichern entfernen

Diese Option sorgt dafür, dass UltraEdit bei jedem Speichern einer Datei den Weißraum (Leerzeichen/Tabulatoren) am Ende jeder Zeile automatisch entfernt und den Cursor an seine ursprüngliche Position zurück bewegt. Damit diese Funktion auf eine Textzeile angewendet werden kann, ist sie auf das Vorhandensein von Zeilenwechseln angewiesen. Wenn die letzte Textzeile Ihrer Datei mit einem festen Zeilenwechsel beendet wurde, wird auch diese Zeile entsprechend bearbeitet.


Optionen 'Temporäre Dateien' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Temporäre Dateien' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Temporäre Dateien' sind folgende Optionen zusammengefasst:

Verwendung von temporären Dateien für die Bearbeitung

  • Temporäre Datei für Bearbeitung verwenden (normaler Betriebsmodus)
  • Datei ohne temporäre Datei öffnen, aber für jede Datei nachfragen
  • Datei ohne temporäre Datei öffnen, OHNE nachzufragen

Die vorstehende Option gilt ab einer Dateigröße von (in KB): '0'

UltraEdit ermöglicht es, sehr große Dateien zu bearbeiten. Dies wird mit einem relativ kleinen Anteil des Arbeitsspeichers erreicht. Bei UltraEdit handelt es sich um einen datenträgerorientierten Editor, der immer nur kleine Teile einer Datei in den Speicher lädt. Normalerweise kopiert UltraEdit eine Datei für die Bearbeitung in eine temporäre Datei, die nach der Bearbeitung in die ursprüngliche Datei zurückkopiert und anschließend gelöscht wird.

Um den Umgang mit sehr großen Dateien zu beschleunigen, lässt sich die Bearbeitung über die beiden Optionen Datei ohne temporäre Datei öffnen so konfigurieren, dass keine temporären Dateien verwendet werden. Dadurch wird die Zeit eingespart, die für das Kopieren der Dateien in temporäre Dateien benötigt würde. Bei der Bearbeitung von Dateien, die mehrere Megabyte groß sind, kann dies von Vorteil sein.

ACHTUNG: Wenn diese Option aktiv ist, sind alle Änderungen dauerhaft!

Bei aktivierter Option Datei ohne temporäre Datei öffnen, aber für jede Datei nachfragen wird Bei jedem Öffnen einer Datei eine entsprechende Meldung angezeigt. Diese Anzeige lässt sich deaktivieren, indem Sie die Option Datei ohne temporäre Datei öffnen, OHNE nachzufragen auswählen.

Im Feld Die vorstehende Option gilt ab einer Dateigröße von (in KB) können Sie einen Schwellenwert für die Dateigröße angeben, ab dem Dateien ohne die Verwendung einer temporären Datei geöffnet werden sollen. Dateien, die kleiner als dieser Schwellenwert sind, werden normal geladen; d.h. es wird eine temporäre Datei angelegt. Stellt man diesen Schwellenwert auf den Wert 0 ein, hat dies zur Folge, dass alle Dateien ohne temporäre Dateien geöffnet werden. Dieses Feld steht nur zur Verfügung, wenn eine der Optionen zum Öffnen von Dateien ohne temporäre Datei aktiv ist.

Zusätzlich kann die Option Zeilenanzeige in der Statusleiste deaktivieren deaktiviert werden, um weniger Festplattenzugriffe für die Ermittlung der Zeilennummern zu benötigen und dadurch die Leistung bei der Navigation in großen Dateien zu verbessern.

UltraEdit ermöglicht die Bearbeitung von Dateien, die größer sind als 4 GB (max. Größe: 2^64-1).

Beim Schließen einer Datei UltraSentry zum Löschen der temporären Datei verwenden (benötigt UltraSentry 2.00a+1 oder neuer)

Wenn diese Option aktiviert ist, wird beim Schließen einer Datei automatisch UltraSentry aufgerufen, um die temporäre Datei spurlos zu löschen. Statt nur den Dateiverweis zu löschen, wird der Inhalt der temporären Datei auf diese Weise dauerhaft und nicht-wiederherstellbar entfernt. Falls UltraSentry auf Ihrem Rechner nicht installiert ist, steht Ihnen diese Option nicht zur Auswahl zur Verfügung.


Optionen 'Unicode-/UTF-8-Erkennung' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Unicode-/UTF-8-Erkennung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Unicode-/UTF-8-Erkennung' sind folgende Optionen zusammengefasst:

UTF-8-Dateien automatisch erkennen

Diese Option weist UltraEdit an, UTF-8-Dateien beim Öffnen automatisch zu erkennen.

Unicode-Dateien (UTF-16) ohne BOM erkennen

Diese Option weist UltraEdit an, UTF-16-Dateien beim Öffnen auch dann automatisch zu erkennen, wenn sie nicht den standardmäßigen UTF-16-BOM (Hexadezimal: FF FE) enthalten.

Automatische Erkennung von Dateien im Hexadezimalformat deaktivieren

Mit dieser Option können Sie die standardmäßige Überprüfung der ersten 3 KByte einer neu zu ladenden Datei auf Nullwerte deaktivieren. Dadurch würde eine normalerweise im HEX-Modus dargestellte Datei beim erneuten Laden unabhängig vom Inhalt im jeweils aktiven Modus angezeigt werden.

ASCII/ANSI-Dateien mit Escaped Unicode erkennen

Diese Option weist UltraEdit an, ASCII/ANSI-Dateien im Escaped Unicode-Format (z.B. '\u0020') automatisch zu erkennen.


Optionen 'Dateizuordnungen'

Die Optionen in 'Dateizuordnungen' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Dateizuordnungen' können Sie UltraEdit bestimmte Dateitypen zuordnen.

Dieser Dialog zeigt eine Liste der aktuellen Zuordnungen zu UltraEdit sowie eine Liste von Dateitypen an, die UltraEdit für eine Zuordnung in Betracht zieht. Mit diesem Dialog können Sie Dateizuordnungen hinzufügen oder entfernen.

Hintergründe & Arbeitsweise

Dateizuordnungen werden vom Windows-Explorer verwendet, um festzustellen, mit welcher Anwendung eine Datei geöffnet werden soll, wenn die Datei vom Explorer aus oder per Doppelklick geöffnet wird.

Die Liste mit den Zuordnungen zu UltraEdit führt alle Dateitypen auf, die gegenwärtig mit UltraEdit verbunden sind. Sie können jeden Eintrag in dieser Liste auswählen und die Zuordnung mittels der Schaltfläche Entfernen löschen.

Um eine Zuordnung hinzuzufügen, können Sie einen Eintrag aus der Drop-down-Liste Dateitypen/Endungen auswählen oder eine neue Dateiendung eingeben und anschließend die Schaltfläche Hinzufügen betätigen. Die Beschreibung lässt sich für jeden hinzugefügten Dateityp anpassen.

Wenn eine Zuordnung hinzugefügt wurde, speichert UltraEdit bei Vorhandensein die alte Zuordnung, um sie später wiederherstellen zu können, falls die Zuordnung mit diesem Dialog wieder entfernt wird.

Mit Explorer integrieren

Bei Aktivierung dieser Option werden Befehle aus UltraEdit bzw. UEStudio zum Kontextmenü, das durch Klicken mit der rechten Maustaste aktiviert wird, im Windows-Explorer hinzugefügt.


Optionen 'Dateitypen'

Die Optionen in 'Dateitypen' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Dateitypen' können Sie die in den Dialogen 'Datei öffnen' und 'Speichern unter' verwendete Liste von Dateitypen an Ihre Bedürfnisse anpassen. Es lassen sich bis zu 10 Dateitypen einstellen. Diese Dateitypen werden in den Datei-Dialogen in derselben Reihenfolge angezeigt wie auf dieser Registerkarte.

Jeder konfigurierte Dateityp besteht aus einem Dateinamen und einer Beschreibung. Der Dateiname darf (und wird wahrscheinlich) Jokerzeichen und mehrere durch Semikolons voneinander getrennte Dateiendungen enthalten (z.B.: '*.c;*.cpp'). Bei der Dateibeschreibung handelt es sich um ein Textfeld, das die Dateitypen beschreibt.

Dieser Dialog enthält auch eine Schaltfläche Vorgabe, mit der sich die Dateitypen auf die ursprünglichen Einstellungen zurücksetzen lassen.


Optionen 'Fortgeschritten' (Anzeige)

Die Optionen in 'Anzeige | Fortgeschritten' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Fortgeschritten' sind folgende Optionen zusammengefasst:

Das Aktivieren dieser Einstellung kann die Anzeige von ClearType-Schriften unter Windows XP verbessern.

Diese Option macht ClearType zwar nicht ausdrücklich möglich, aber sie kompensiert einige der möglichen auftretenden Probleme, wenn ClearType zusammen mit UltraEdit und insbesondere unter Windows XP verwendet wird.

Bearbeitungsfenster immer maximiert öffnen

Beim Anlegen einer neuen Datei wird diese standardmäßig in der maximalen Größe des Editor-Fensters geöffnet. Diese Option ermöglicht die Angabe bestimmter Werte für das neue Bearbeitungsfenster. Falls diese Einstellungen größer sind als die tatsächliche Fenstegröße von UltraEdit, wird das Bearbeitungsfenster für die neue Datei wieder automatisch maximiert.


Optionen 'Code-Faltung' (Anzeige)

Die Optionen in 'Anzeige | Code-Faltung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Code-Faltung' sind folgende Optionen zusammengefasst:

Gefaltete Zeilen sichern

Beim Schließen einer Datei wird der Zustand der gefalteten Zeilen gemerkt, falls diese Option aktiviert wurde. Beim nächsten Öffnen wird dieser Zustand wieder hergestellt. Andernfalls werden alle Zeilen ungefaltet angezeigt, wenn die Datei das nächste Mal geöffnet wird.

Ausblenden/Anzeigen von Zeilen bzw. Code-Faltung aktivieren

Diese Option ermöglicht das Ausblenden/Anzeigen von ausgewählten Textzeilen bzw. das Ausblenden/Anzeigen von Code-Blöcken. Wenn diese Option deaktiviert ist, wird die Faltungsspalte im Bearbeitungsfenster nicht angezeigt und steht die Code-Faltung nicht zur Verfügung.

'Zeilen ausblenden/anzeigen' für Dateien ohne Syntaxhervorhebung aktivieren (die vorstehende Option muss aktiviert sein)

Diese Option ermöglicht es, dass auch Textzeilen in Dateien ohne Syntaxhervorhebung mit Hilfe der entsprechenden Befehle aus dem Menü 'Ansicht' ausgeblendet bzw. angezeigt werden können. Wenn diese Option deaktiviert ist, wird die Faltungsspalte im Bearbeitungsfenster für Dateien ohne Syntaxhervorhebung nicht angezeigt und steht die Code-Faltung nicht zur Verfügung.

Die letzte der gefalteten Zeilen in Dateien mit Hervorhebungen anzeigen

In Dateien mit Syntax-Hervorhebung wird bei Aktivierung dieser Option auch die letzte Zeile eines gefalteten Abschnitts angezeigt. Andernfalls wird nur die erste Zeile des Abschnitts sichtbar.

Ausgeblendete Bereiche bei »Suchen« und »GeheZu« automatisch einblenden

Falls bei einem Suchvorgang oder GeheZu-Befehl der Cursor innerhalb eines ausgeblendeten (gefalteten) Bereichs landet, wird dieser Bereich automatisch eingeblendet, damit der Cursor im Zusammenhang korrekt angezeigt werden kann.

XHTML vom DTD beim Laden einer Datei automatisch erkennen

Falls aktiviert, sucht der Editor beim Laden einer Datei nach einer DOCTYPE-Deklaration. Falls eine DTD für XHTML 1.0 Strict oder XHTML 1.1 spezifiziert wurde, werden die entsprechenden Regeln für Elemente dieses Dokumententyps bei der Code-Faltung und beim Einzug berücksichtigt.

Grafische Linien zeichnen

Bei Auswahl dieser Option, falls auch Code-Faltung und »Zeilen ein/ausblenden aktivieren« weiter oben ausgewählt wurden, werden der Anfang und das Ende eines gefalteten Zeilenblocks in der Trennspalte rechts von den Zeilennummern durch Linien bzw. Striche angezeigt.


Optionen 'Cursor' (Anzeige)

Die Optionen in 'Anzeige | Cursor' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Cursor' sind folgende Optionen zusammengefasst:

Cursor-Typ normal

  1. vertikaler Strich
  2. horizontaler Unterstrich

Diese Einstellung betrifft den normalen Darstellungsmodus des Cursors im Editor.

Cursor-Typ im Überschreibmodus

  1. Block-Cursor im Überschreibmodus, normaler Cursor im Einfügemodus
  2. Vertauscht - normaler Cursor im Überschreibmodus, Block-Cursor im Einfügemodus
  3. Block-Cursor deaktiviert - der normale Cursor-Typ (horizontal oder vertikal) wird immer verwendet

Diese Einstellung betrifft den Darstellungsmodus des Cursors im Überschreibmodus im Editor.

Positionierung hinter dem Zeilenende zulassen

Dieses Kontrollkästchen ermöglicht es, den Text-Cursor hinter dem letzten Text einer Zeile zu positionieren.

Anhalten bei Unterstrichen mit STRG + Pfeiltasten links/rechts

Bei Auswahl dieser Option hält der Cursor innerhalb eines Worts bei Vorkommen des Zeichens "_" (Unterstrich) an, wenn die Pfeiltasten rechts und links zusammen mit der STRG-Taste gedrückt werden. Die Standardeinstellung für diese Option ist: nicht ausgewählt.

Bitte beachten Sie, daß die Aktivierung dieser Option einen Einfluß auf das Verhalten von Skripten und Makros haben kann, die Cursorbewegungen auslösen!

Strg+Pfeiltaste links/rechts hält an bei Namen geschrieben mit »CamelCase«-Konvention

Bei Auswahl dieser Option hält der Cursor bei jedem Großbuchstaben innerhalb eines mit gemischter Groß-/Kleinschreibung geschriebenen Wortes (»CamelCase«) an, falls STRG+LINKS/RECHTS gedrückt wird.


Optionen 'Formatierung' (Anzeige)

Die Optionen in 'Anzeige | Formatierung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Formatierung' sind folgende Optionen zusammengefasst:

Einzüge bei neuen Zeilen automatisch

UltraEdit unterstützt einen automatischen Zeileneinzug, den Sie mit diesem Kontrolkästchen ein-/ausschalten können. Wenn der automatische Zeileneinzug aktiviert ist, wird jede Zeile automatisch so weit eingerückt, dass sie mit der vorhergehenden Zeile auf gleicher Linie steht. Der Einzug wird durch Einfügen von Leerzeichen in das Dokument bewerkstelligt.

Weiterhin unterstützt UltraEdit sprachspezifische Einzüge. Damit ist es beispielsweise möglich, den Programmcode nach einem bestimmten Zeichen bzw. nach einer bestimmten Zeichenkette einzurücken und hinter einem bestimmten abschließenden Zeichen oder einer Zeichenkette wieder auszurücken. Weitere Einzelheiten finden Sie im Abschnitt 'Einzüge' im Hilfethema zur Registerkarte 'Syntaxhervorhebung' .

Diese Option steht nur im Einfügemodus , nicht aber im Überschreibmodus zur Verfügung.

Einzüge bei umbrochenen Zeilen automatisch

Bei Auswahl dieser Option werden umbrochene Zeilen gemäß dem Einzug der vorherigen Zeile automatisch eingezogen.

Umbruch nach Bindestrich (-) bei der Konvertierung/Neuformatierung von Absätzen

Diese Option legt fest, ob UltraEdit bei der Neuformatierung einer Zeile Wörter nach Bindestrichen umbrechen soll. Standardmäßig bricht UltraEdit Zeilen nach Bindestrichen um. Wenn diese Option deaktiviert ist, nimmt UltraEdit nach Bindestrichen keinen Umbruch in den Zeilen vor.

Absatz nach Einfügungen neu formatieren, wenn feste Umbrüche nach einer bestimmten Spalte eingefügt werden

Diese Option sorgt dafür, dass UltraEdit einen Absatz nach einer Einfügung automatisch neu formatiert, wenn die Vorgaben für den Zeilenumbruch so eingestellt sind, dass nach einer bestimmten Spaltennummer ein fester Umbruch (CR/LF) in die Zeile eingefügt werden soll. Standardmäßig ist diese Option aktiviert; das Deaktivieren dieser Option schaltet diese Vorgehensweise aus.

Leerstellen und Tabulatorzeichen innerhalb von Kommentaren und Zeichenketten nicht konvertieren

Bei ausgewählter Option werden Leerstellen und Tabulatorzeichen innerhalb von Kommentaren und Zeichenketten, wie sie in der zugehörenden Wortlistendatei definiert sind, bei Formatierungsvorgängen nicht konvertiert.


Optionen 'HEX-Modus-Anzeige' (Anzeige)

Die Optionen in 'Anzeige | HEX-Modus-Anzeige' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | HEX-Modus-Anzeige' sind folgende Optionen zusammengefasst:

Anzahl der HEX-Zeichen pro Zeile: '16'

Dieses Feld legt die Anzahl der HEX-Zeichen fest, die in jeder Zeile der Anzeige erscheinen.

Hinweis: Damit Änderungen dieser Einstellung wirksam werden, muss der Editor neu gestartet werden.


Optionen 'Verschiedenes' (Anzeige)

Die Optionen in 'Anzeige | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Verschiedenes' sind folgende Optionen zusammengefasst:

Bevorzugte Farben für Editor

Klicken auf die Schaltfläche "Farben festlegen" öffnet das gleichnamige Dialog.

Maximale Spaltenanzahl vor Umbruch

Dieses Feld legt die Anzahl der in UltraEdit maximal zulässigen Spalten fest, bevor der Editor einen automatischen Zeilenumbruch vornimmt. Standardmäßig verwendet UltraEdit 4.096 Spalten, es sind jedoch bis zu 20.000 Spalten möglich. Bei einigen Grafikkartentreibern kommt es allerdings zu Problemen, wenn dieser Wert zu hoch eingestellt ist.

Vollständige Pfade in der Projektliste anzeigen

Wenn diese Option aktiv ist, werden die Dateien in der Baumansicht (bzw. im Projekt-Manager unter UEStudio) mit ihren vollständigen Pfaden und nciht nur der Dateiname angezeigt.

Zeilenanzeige in der Statusleiste deaktivieren

Diese Option ermöglicht das Deaktivieren der Zeilenanzeige in der Statusleiste. Unter normalen Bedingungen sollte diese Option deaktiviert bleiben. Bei sehr großen Dateien wird die Navigation innerhalb einer Datei möglicherweise verlangsamt, während UltraEdit die Zeilennummern ermittelt. In diesem Fall kann die Zeilenanzeige deaktiviert werden, um weniger Festplattenzugriffe für die Ermittlung der Zeilennummern zu benötigen und dadurch die Leistung bei der Navigation in großen Dateien zu verbessern. Bei aktiver Option ist die Zeilenanzeige ausgeschaltet; bei deaktivierter Option ist die Zeilenanzeige eingeschaltet.

Nummerierung des Lineals mit Spalte 1 beginnen

Diese Option sorgt dafür, dass der Editor die Nummerierung des Lineals mit 1 beginnt. Wenn diese Option nicht aktiv ist (Standard), beginnt UltraEdit die Nummerierung mit Spalte 0.

Umbrochene Zeilen in der Zeilenanzeige als neue Zeilen zählen

Diese Option sorgt dafür, dass UltraEdit umbrochene Zeilen mit eigenen Zeilennummern anzeigt. Standardmäßig ist diese Option deaktiviert.


Optionen 'Syntaxhervorhebung' (Anzeige)

Die Optionen in Anzeige | Syntaxhervorhebung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Anzeige | Syntaxhervorhebung' können Sie die Einstellungen für die Syntaxhervorhebung vornehmen.

Hinter dem Begriff Syntaxhervorhebung bzw. Syntax-Highlighting verbirgt sich die Fähigkeit, vordefinierte Wörter zu erkennen und sie in unterschiedlichen Farben darzustellen. Dies ist insbesondere für Programmierer von großem Nutzen, kann sich aber auch für andere Benutzer als nützlich erweisen, wenn bestimmte Wörter in einer Datei in einer anderen Farbe erscheinen sollen.

UltraEdit unterstützt 20 Sprachen bzw. Wortsammlungen, die erkannt werden können. Jede Wortsammlung kann so konfiguriert werden, dass folgende Wortgruppen verschiedene Farben erhalten:

  1. Normaler Text (Wörter, die nicht erkannt werden)
  2. Wörter einer Kommentarzeile bzw. eines Blockkommentars
  3. Eine alternative Gruppe von Blockkommentaren
  4. Zeichenketten
  5. Zahlenwerte (die mit einer Ziffer [0-9] beginnen müssen)
  6. Bis zu acht Gruppen unterschiedlicher erkannter Wörter.

Auf dieser Registerkarte lassen sich die Farben für die verschiedenen Sprachen und Farbgruppen einstellen. Weiterhin können Sie hier den Speicherort für die zum Hervorheben der Syntax verwendete Wortlistendatei (standardmäßig WORDFILE.TXT) angeben.

Für jede Farbgruppe lässt sich die Vordergrund- bzw. Textfarbe und die Hintergrundfarbe einstellen. Standardmäßig wird als Hintergrundfarbe die Hintergrundfarbe für den normalen Text übernommen (die Option Automatische Hintergrundfarbe ist aktiviert). Um spezifische Hintergrundfarben zu ermöglichen, muss diese Option deaktiviert werden.

Jede Farbe lässt sich ändern, indem das farbige Rechteck neben der Textbeschreibung angeklickt wird. Nach dem Anklicken erscheint ein Dialog, in dem eine neue Farbe ausgewählt werden kann.

Zusätzlich lassen sich für jede Farbgruppe (außer für normalen Text) die Schriftstile fett, kursiv und unterstrichen aktivieren. Diese können für jede Farbgruppe getrennt eingestellt werden. Bei einigen Schriftarten kann es zu falschen Darstellungen beim Unterstreichen kommen; bei proportionalen Schriftarten können die Abstände zwischen den Buchstaben mit dem Schriftstil fett falsch dargestellt werden.

Mit der Option AutoKorrektur von Schlüsselwörtern lässt sich die AutoKorrektur aktivieren/deaktivieren.

Hinweis: Die Syntaxhervorhebung wird von der Dateiendung bestimmt (Einzelheiten hierzu folgen weiter unten). Die Dateiendung für zu bearbeitende Dateien muss in der Wortlistendatei für eine der Sprachen definiert sein.

Konfiguration der vordefinierten Wörter durch den Benutzer

UltraEdit liest die Einstellungen für die Syntaxhervorhebung aus einer Konfigurationsdatei ein (standardmäßig WORDFILE.TXT). Diese Datei wird bei jedem Programmstart des Editors eingelesen. Die Größe dieser Datei kann bis zu 128 KByte betragen. Die Syntax für diese Datei sieht folgendermaßen aus:

Sprachdefinition

Die Wortsammlung oder Sprache wird durch ein /Ln angegeben, wobei n ein Wert von 1 bis 20 ist. Dieser Eintrag muss am Zeilenanfang stehen. Eine Bezeichnung bzw. der Name der Sprache kann direkt auf das /Ln folgend in Anführungszeichen angegeben werden. Wenn eine Bezeichnung vorhanden ist, wird sie beim Einstellen der Farben für die Sprache angezeigt. Die Bezeichnung darf bis zu 18 Zeichen lang sein.

Zeilenkommentare

Die für Zeilenkommentare verwendeten Kommentarzeichen werden (ohne die Anführungszeichen) durch die Zeichenkette "Line Comment = " gefolgt von den Kommentarzeichen vorgegeben. Es sind bis zu fünf Zeichen erlaubt; bei weniger als fünf Zeichen muss auf das letzte Zeichen ein Leerzeichen folgen.

Durch die Zeichenkette "Line Comment Alt = " gefolgt von den Kommentarzeichen lässt sich eine zweite, alternative Gruppe von Zeilenkommentaren vorgeben. Es sind bis zu fünf Zeichen erlaubt; bei weniger als fünf Zeichen muss auf das letzte Zeichen ein Leerzeichen folgen.

Da manchmal auch ein Leerzeichen als Teil der Kennzeichnung eines Zeilenkommentars verlangt werden kann, gibt es ein alternatives Verfahren zur Beschreibung eines Zeilenkommentars. Dabei wird die Anzahl der verwendeten Zeichen mit folgender Syntax vom Benutzer angegeben:

"Line Comment Num = xCC "

Das x steht hierbei für die Anzahl der Zeichen (1 bis 5) und direkt dahinter folgen die Zeichen, die der Kennzeichnung eines Zeilenkommentars dienen. Im obigen Beispiel wäre x = 3 und der Zeilenkommentar würde durch 'CC ' eingeleitet werden (beachten Sie das Leerzeichen hinter 'CC').

Daneben gibt es Situationen, in denen Kennzeichnungen für Zeilenkommentare benötigt werden, die Kommentare nur dann gültig sein lassen, wenn sie ab bestimmten Spalten oder nach bestimmten Zeichen auftreten (zugegeben, häufiger sind sie nicht gültig, wenn sie auf bestimmte Zeichen folgen). Zu diesem Zweck werden zwei weitere Einstellungen für Zeilenkommentare unterstützt:

"Line Comment Preceding Chars = […]"

und

"Line Comment Valid Columns = [0-7,10]"

Standardmäßig sind für die Option "Line Comment Preceding Chars" alle Zeichen gültig. Daher müssen die unzulässigen Zeichen in dieser Option durch eine vorangestellte Tilde gekennzeichnet werden: z.B. '[~a-z]'. Dieses Beispiel führt dazu, dass ein Kommentar dann nicht gültig ist, wenn er direkt auf einen Buchstaben aus dem Bereich a bis z folgt. Zwischen den Klammern sind alle Zeichen zulässig.

Solange die Option "Line Comment Valid Columns" nicht definiert ist, sind Zeilenkommentare standardmäßig in allen Spalten zulässig. Andernfalls sind sie nur in den angegebenen Spalten gültig. Es können bis zu zehn durch Kommata voneinander getrennte Spaltenbereiche oder Spalten angegeben werden: z.B. '0-7,10'. Dieses Beispiel führt dazu, dass Kommentarzeichen dann gültig sind, wenn Sie in den Spalten 0 bis 7 oder in der Spalte 10 erscheinen.

Blockkommentare

Weiterhin lassen sich die Zeichen für Blockkommentare konfigurieren (z.B.: /* … */ für C). Diese erscheinen in der Form "Block Comment On = " und "Block Comment Off = " gefolgt von jeweils bis zu fünf Zeichen, mit denen die Kennzeichnungen für den Kommentar definiert werden. Aus Kompatibilitätsgründen zu früheren Versionen werden die Zeichenketten '/*' und '*/' für Datentypen mit einem '.C' als eine der Dateiendungen verwendet. Darüber können Sie sich aber hinwegsetzen. Das erste Zeichen eines Blockkommentars darf auch ein Leerzeichen sein.

Wenn zwar ein "Block Comment On", aber kein "Block Comment Off" definiert wurde, wird das Kommentarende am Zeilenende angenommen. Dadurch lassen sich Blockkommentare auch effektiv als Zeilenkommentar einsetzen.

Weiterhin kann eine zweite, alternative Gruppe von Blockkommentaren für Sprachen definiert werden, bei denen dies erforderlich ist. Dies erweist sich insbesondere im Zusammenhang mit ASP als nützlich, um in HTML-Kommentaren auch die Syntax von ASP-Blöcken hervorheben zu können.

Die zweite Gruppe von Blockkommentaren erscheint in der Form "Block Comment On Alt = " und "Block Comment Off Alt = " gefolgt von jeweils bis zu fünf Zeichen, mit denen die Kennzeichnungen für den Kommentar definiert werden. Das erste Zeichen eines Blockkommentars kann auch ein Leerzeichen sein.

Wenn zwar ein "Block Comment On Alt", aber kein "Block Comment Off Alt" definiert wurde, wird das Kommentarende am Zeilenende angenommen. Dadurch lassen sich Blockkommentare auch effektiv als Zeilenkommentar einsetzen.

Dateiendungen/-typen

Die Syntaxhervorhebung wird entweder durch den Dateinamen oder die Dateiendung bestimmt. Üblicherweise wird auf die Dateiendung zurückgegriffen; zum Angeben der Dateiendungen für die jeweilige Sprache muss die Zeichenkette "File Extensions = " verwendet werden, wobei jede Dateiendung durch ein Leerzeichen abgetrennt ist.

Wenn zur Ermittlung der Sprache auf Dateinamen zurückgegriffen werden soll, müssen diese durch die Zeichenkette "File Names = " angegeben werden, wobei jeder Name durch ein Leerzeichen abzutrennen ist.

Farbeinstellung

Farbcodes lassen sich durch Anfügen einer Zeile mit /Cn am Zeilenanfang festlegen, wobei n der Wert des Farbindexes von 1 bis 8 ist. Unmittelbar nach dem /Cn kann in Anführungszeichen eine Beschreibung bzw. Bezeichnung für den Abschnitt angegeben werden. Diese wird, sofern vorhanden, beim Einstellen der Farben für eine Sprache angezeigt. Die Beschreibung kann bis zu 18 Zeichen lang sein.

Alle Informationen bleiben wirksam, bis sie durch einen neuen Befehl überschrieben werden.

Das folgenden Beispiel deklariert die erste Sprache, die bei Dateien mit den Endungen 'C', 'CPP', 'H' oder 'HPP' verwendet werden soll. Die für die Wörter zu verwendende Farbe ist die erste auswählbare Farbe und die Kommentarzeichen sind //.

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ File Extensions = CPP C H HPP

/C1

auto

break

case char const continue chr$

default do double

Groß-/Kleinschreibung

Wenn die Sprache nicht zwischen Groß-/Kleinschreibung unterscheidet, kann das Schlüsselwort Nocase in die Befehlszeile eingefügt werden, beispielsweise:

/L1 Line Comment = // Nocase File Extensions = CPP C H HPP

Zeichenketten

Wenn viele Programmiersprachen verwendet werden, werden Zeichen in einfachen und doppelten Anführungszeichen als literale (buchstabengetreue) Zeichenketten behandelt, in denen die Erkennung von Wörtern und Kommentaren ignoriert werden soll. Dies ist die standardmäßige Vorgehensweise von UltraEdit. Es gibt einige Sprachen (z.B. HTML), bei denen dieses Verhalten unerwünscht ist. Um solche Sprachen zu unterstützen, kann das Schlüsselwort Noquote in der Befehlszeile eingefügt werden, mit dem sich das Standardverhalten umgehen lässt, beispielsweise:

/L1 Noquote File Extensions = HTM

UltraEdit unterstützt jetzt auch konfigurierbare Zeichen für die Anführungszeichen. Die standardmäßigen Zeichen zur Kennzeichnung von Zeichenketten sind einfache (') und doppelte Anführungszeichen ("). Diese lassen sich mit Hilfe der Schlüsselwörter "String Chars = " gefolgt von bis zu zwei Zeichen ändern. Das ist nur dann erforderlich, wenn Sie andere als die standardmäßigen Zeichen verwenden wollen. Wenn Sie beispielsweise nur die doppelten Anführungszeichen für Zeichenketten verwenden wollen, geben Sie eine Zeile ähnlich der folgenden an:

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ String Chars = " File Extensions = CPP C H HPP

Wenn weiterhin zwei Zeichen zur Kennzeichnung von Zeichenkette definiert sind (oder die Standardeinstellung verwendet wird) und unterschiedliche Farben für jede Zeichenkettenart gewünscht werden, kann das jeweilige Zeichen (z.B. doppeltes Anführungszeichen) in einer eigenen Zeile in eine der Farbgruppen einbezogen werden. Damit wird die konfigurierbare Farbe für diejenigen Zeichenketten ersetzt, die von diesem Zeichen umschlossen sind.

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ String Chars = '" File Extensions = CPP C H HPP

/C1

auto

break

"

…

In diesem Beispiel werden alle Zeichenketten in doppelten Anführungszeichen (") in der Farbe der Farbgruppe C1 dargestellt, während für Zeichenketten in einfachen Anführungszeichen (') die Standardfarbe für Zeichenketten verwendet wird.

Escape-Zeichen

In vielen Sprachen gibt es ein besonderes, kennzeichnendes Zeichen, das so genannte Escape-Zeichen. Es wird verwendet, um normale Zeichen in Zeichenketten mittels so genannter Escape-Sequenzen zu überladen. Wenn beispielsweise eine Zeichenkette definiert wurde, die selber ein Anführungszeichen beinhaltet, das normalerweise zum Definieren der Zeichenkette verwendet wird, würde die Syntaxhervorhebung dieses Anführungszeichen als Ende der Zeichenkette interpretieren. Wenn dem Anführungszeichen jedoch ein Escape-Zeichen vorangeht, wird es entsprechend als Bestandteil der Zeichenkette und nicht als deren Ende behandelt.

Das Escape-Zeichen wird folgendermaßen definiert:

/L1"C/C++" Escape Char = \ …

In diesem Fall ist das Escape-Zeichen als rückwärtiger Schrägstrich (Backslash) definiert.

Schlüsselwörter

Zu beachten ist, dass alle Wörter mit demselben Anfangszeichen in einer Zeile stehen oder über mehrere Zeilen verteilt sein müssen, wobei im letzteren Fall alle Zeilen ohne etwaige Leerzeilen oder andere zwischen ihnen liegende Zeilen aufeinander folgen müssen.

Wenn die Sprache zwischen Groß-/Kleinschreibung unterscheidet, sind die Buchstaben 'A' und 'a' verschieden, sodass mit 'A' beginnende Wörter in einer anderen Zeile stehen müssen als die mit 'a' beginnenden. Wenn die Sprache nicht zwischen Groß-/Kleinschreibung unterscheidet, müssen mit 'A' oder 'a' beginnende Wörter in derselben Zeile stehen.

Mit einer Teilzeichenkette beginnende Schlüsselwörter

Bei einigen Programmiersprachen gibt es Situationen, in denen es wünschenswert ist, Schlüsselwörter hervorzuheben, die mit einer bestimmten Teilzeichenkette beginnen, wobei das Wort als Ganzes nicht bekannt ist. UltraEdit bietet die Möglichkeit, Teilzeichenketten (Sub-Strings) zu definieren, die bei der Ermittlung hervorzuhebender Wörter eingesetzt werden. Falls für eine bestimmte Sprache solche Teilzeichenketten unter einer Farbgruppe definiert wurden, überprüft UltraEdit, ob ein Wort mit einer dieser Teilzeichenketten beginnt. Ist dies der Fall, wird das Wort entsprechend hervorgehoben.

Die Teilzeichenketten müssen wie die anderen Sammlungen von Schlüsselwörtern definiert werden; allerdings beginnt eine Zeile, die Teilzeichenketten enthält, mit '** ' und müssen sämtliche Teilzeichenketten wie im folgenden Beispiel in derselben Zeile stehen:

** aaa bbb

Dieses Beispiel würde dafür sorgen, dass sämtliche mit 'aaa' oder 'bbb' beginnenden Wörter hervorgehoben würden.

Mit '/' beginnende Wörter

Da UltraEdit das Zeichen '/' als Befehlszeichen verwendet, bedürfen hervorzuhebende Wörter, die mit diesem Zeichen beginnen, einer besonderen Behandlung. Um mit '/' beginnende Wörter hervorzuheben, muss die Zeile wie im folgenden Beispiel mit '//' beginnen, worauf dann die Schlüsselwörter folgen:

// /meinschlüsselwort /nocheinwort

HTML-spezifisch

HTML unterscheidet sich erheblich von anderen Sprachen. Um UltraEdit besser für die Bearbeitung von HTML-Dateien zu rüsten, wurde das Programm um das Schlüsselwort HTML_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, können die Sonderzeichen '<' und '/' bei Bedarf vor jedes Schlüsselwort der Sprache gesetzt werden, ohne dass alle Schlüsselworte mit diesen Sonderzeichen in derselben Zeile stehen müssen (es sei denn, sie beginnen alle mit demselben Buchstaben).

Ein Beispiel für den Anfang einer Wortdatei für HTML:

/L3"HTML" Line Comment = // HTML_LANG Block Comment On = <!-- Block Comment Off = --> File Extensions = HTM HTML

/C1

<A </A> <ADDRESS> </ADDRESS> <APPLET </APPLET>

<B> </B> <BASE <BASEFONT <BGSOUND <BIG> </BIG> <BLINK> </BLINK> <BLOCKQUOTE> </BLOCKQUOTE>

<CAPTION> </CAPTION> <CENTER> </CENTER> <CITE> </CITE> <CODE> </CODE>

Die Spracherweiterungen von HTML werden weiterhin ergänzt werden.

FORTRAN-spezifisch

FORTRAN unterscheidet sich in Bezug auf die Kommentare ziemlich von anderen Sprachen. Um UltraEdit besser für die Bearbeitung von FORTRAN-Dateien zu rüsten, wurde Programm um das Schlüsselwort FORTRAN_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, behandelt UltraEdit ein 'C', 'c' oder '*' in der ersten Textspalte als Indikator für einen Zeilenkommentar und der Rest der Zeile wird hervorgehoben als ob er auskommentiert wäre.

Ein Beispiel für den Anfang einer Wortdatei für FORTRAN:

/L4"Fortran" FORTRAN_LANG File Extensions = FOR FTN

/C1

…

Hinweis: jedes der üblichen Kennzeichen für Kommentare kann ebenfalls verwendet werden (Zeilenkommentar, Blockkommentar).

TeX/LaTeX-spezifisch

TeX/LaTeX unterscheidet sich sehr von anderen Sprachen und jeder Befehl beginnt mit einem '\'. Um UltraEdit besser für die Bearbeitung von TeX/LaTeX-Dateien zu rüsten, wurde Programm um das Schlüsselwort LATEX_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, greift UltraEdit auf eine besonderes Verfahren für die Syntaxhervorhebung zurück, damit die Wörter entsprechend behandelt und mit dem '\' und den aufeinander folgenden Wörtern hervorgehoben werden.

Damit ist es weiterhin möglich, die zu erkennenden Wörter in der Wortdatei unterzubringen, ohne dass sie alle in derselben Zeile stehen müssen. Wenn ein Wort mit '\' beginnt, dann bestimmt das zweite Zeichen die Zeile, in der das Wort stehen soll. Alle mit '\a' beginnenden Wörter sollten in derselben Zeile stehen wie die anderen mit '\a' oder 'a' beginnenden Wörter. Ebenso sollten alle mit '\b' beginnenden Wörter in derselben Zeile stehen wie die anderen mit '\b' oder 'b' beginnenden Wörter, aber in einer anderen Zeile als die mit '\a' beginnenden Wörter, etc.

Ein Beispiel für den Anfang einer Wortdatei für TeX/LaTeX:

/L4"TeX/LaTeX" LATEX_LANG File Extensions = TEX LATEX

/C1

…

Hinweis: jedes der üblichen Kennzeichen für Kommentare kann ebenfalls verwendet werden (Zeilenkommentar, Blockkommentar).

Trennzeichen/Begrenzungszeichen

UltraEdit verfügt über vorgegebene Trennzeichen, mit deren Hilfe ermittelt wird, wo ein neues Wort beginnt und wo ein Wort endet, damit es mit der Wortsammlung einer gegebenen Sprache verglichen werden kann. Mit Ausnahme der Zeichen '<' und '>' in HTML kann ein Zeichen, das gleichzeitig ein Trennzeichen ist, nicht Bestandteil eines Wortes sein. Beispielsweise ist es nicht möglich, das Zeichen '@' einerseits als Bestandteil eines Wortes und gleichzeitig als Trennzeichen zwischen Wörtern zu verwenden. (Zukünftige Erweiterungen werden dies möglicherweise erlauben.)

Seit der Version 4.1 lassen sich die Trennzeichen in UltraEdit vom Benutzer konfigurieren. Aus Kompatibilitätsgründen werden vorhandene Trennzeichen beibehalten, solange der Benutzer sie für eine gegebene Sprache nicht definiert. Jede Sprache kann über eine eigene Gruppe von Trennzeichen verfügen. Die Konfiguration der Trennzeichen ist nicht erforderlich, wenn die Vorgaben verwendet werden.

Zur Definition der Trennzeichen muss eine NEUE Zeile in die Wortdatei eingefügt werden, die folgendermaßen aussehen kann:

/Delimiters = ~!@$%^&*()_-+=|\/{}[]:;"'<> ,.?/

Dabei ist zu beachten, dass das Leerzeichen und das Tabulatorzeichen zu den Trennzeichen gehören müssen, wenn diese als Begrenzungen berücksichtigt werden sollen. Die Zeile muss mit "/Delimiters = " beginnen.

Es ist möglich, die Trennzeichen bestimmten Farbabschnitten zuzuordnen. Wenn Sie ein Zeichen wie beispielsweise das '+' haben, das zugleich ein Trennzeichen ist und in einer der Gruppenfarben dargestellt werden soll, dann können Sie dieses Zeichen in einer eigenen Zeile unterhalb des Farbabschnitts einfügen. Dadurch wird es weiterhin als Trennzeichen erkannt und in der entsprechenden Farbe hervorgehoben. Ein Trennzeichen darf am Anfang eines Schlüsselwortes stehen und entsprechend hervorgehoben werden, es darf sich aber nicht in der Mitte des Schlüsselwortes befinden. Wenn ein 'zusammengesetztes' Schlüsselwort benötigt wird bzw. eines, in dem sich ein Trennzeichen zwischen zwei Abschnitten befindet, muss entweder das Trennzeichen aus der Liste der Trennzeichen entfernt werden oder müssen die beiden Teile des Schlüsselwortes separat definiert werden, damit eine korrekte Hervorhebung gewährleistet ist.

Zeichenketten für Funktionsdefinitionen

UltraEdit ermöglicht es dem Benutzer, eine Liste der in einer aktiven Datei enthaltenen Funktionen anzuzeigen. Da die Definition einer Funktion in den verschiedenen Sprachen unterschiedlich erfolgen kann, ist es notwendig, dass deren Ermittlung in Abhängigkeit von der Sprache konfiguriert werden kann.

Dies wird durch eine Anpassung der Wortdatei und der Definition der Zeichenkette erreicht, auf die UltraEdit für jede Sprache zurückgreift. Die Zeichenkette wird von UltraEdit als Suchtext in Form eines regulären Ausdrucks zum Ausfindigmachen der Funktionen verwendet.

Hinweis: Standardmäßig werden reguläre Ausdrucke nach dem UltraEdit-Syntax interpretiert. Fakultativ können Perl-kompatible reguläre Ausdrücke verwendet werden, indem der folgende Ausdruck hinzugefügt wird:

/Regexp Type = Perl

Pro Sprache können bis zu sechs Zeichenketten für Funktionsdefinitionen festgelegt werden, wodurch sich mehrere Formate für Funktionen bzw. Prozeduren definieren lassen.

Um die Zeichenkette für Funktionsdefinitionen anzugeben, fügen Sie eine Zeile ähnlich der folgenden zur entsprechende Sprache hinzu:

/Function String = "%[a-zA-Z]*)"

bzw.

/Function String 1 = "…"

bzw.

/Function String 2 = "…"

Dieser Suchtext muss in Anführungszeichen stehen. Bei Bedarf können Sie angeben, dass nur ein Teil der resultierenden Zeichenkette in der Funktionsliste angezeigt wird. Setzen Sie zu diesem Zweck zusammengesetzte Ausdrücke ein wie sie im Abschnitt reguläre Ausdrücke beschrieben sind und schließen Sie den darzustellenden Teil des Ausdrucks wie im folgenden Beispiel zwischen '^(' und '^)' ein:

/Function String = "%[a-zA-Z]+^(*^))"

Dieses Beispiel würde dazu führen, dass das erste Wort ignoriert und nur der Rest der Zeile angezeigt würde.

Einzug

UltraEdit ist dazu in der Lage, einen auf der jeweiligen Sprache basierenden automatische Einzug durchzuführen, um einen Programmblock ein- bzw. auszurücken.

Für das 'Einrücken' (Einzug) in einer bestimmten Sprache müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Indent Strings = "{"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (jedes Wort/jede Zeichenkette muss dabei in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um die letzten Nicht-Leerzeichen in der Zeile handeln. Der Einzug wird bis zum nächsten auf den Einzug der vorangegangenen Zeile folgenden Tabulatorstopp durchgeführt (als ob die Tabulatortaste gedrückt würde).

Für das 'Ausrücken' (negativer Einzug) in einer bestimmten Sprache müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Unindent Strings = "}"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (jedes Wort/jede Zeichenkette muss dabei in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um die ersten Nicht-Leerzeichen in der Zeile handeln. Falls die Zeile, in der diese Zeichenkette enthalten ist, über einen geringeren Einzug verfügt als die vorangegangene Zeile, wird kein Einzug durchgeführt. Andernfalls wird der Einzug für das gefundene Zeichen/Wort bis zum vorhergehenden Tabulatorstopp verringert und die neue Zeile wird mit demselben Einzug versehen.

Beim Neuformatieren der Einzüge einer Datei sollen bestimmte Zeilen bei Einzügen möglicherweise nicht berücksichtigt werden – beispielsweise auskommentierte Zeilen oder Compiler-Direktiven. Dies lässt sich vermeiden, indem Sie die Zeilen angeben, die nicht berücksichtigt werden sollen. Fügen Sie dazu eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts ein:

/Ignore Strings SOL = "#" "//"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (dabei muss jedes Wort bzw. jede Zeichenkette in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um das erste bzw. die ersten Zeichen in der Zeile handeln. Wenn eine solche Zeile erkannt wird, wird kein Einzug vorgenommen – allerdings wird der Einzug für die nächste Zeile dann so ausgeführt, als ob diese Zeile gar nicht vorhanden wäre.

Markierungszeichen

Es gibt Situationen, in denen alle Zeichen zwischen zwei Zeichen hervorgehoben werden sollen. UltraEdit unterstützt zu diesem Zweck 'Markierungszeichen', die den ersten und letzten Teil einer Zeichenkette markieren, zwischen denen die Hervorhebung durchgeführt wird. Alle Zeichen zwischen diesen beiden Zeichen werden hervorgehoben.

Um Markierungszeichen für eine bestimmten Sprache zu definieren, müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Marker Characters = "ab"

Das a steht hierbei für das erste Zeichen, das b für das letzte Zeichen der hervorzuhebenden Zeichenkette. Dabei ist zu beachten, dass alle Zeichen einschließlich der Leerzeichen in der Zeile hervorgehoben werden. Falls es sich bei der Zeile um einen Kommentar oder eine Zeichenkette handelt, wird sie nicht berücksichtigt. Alphanumerische Zeichen, aber keine Weißraumzeichen (Leerstellen oder Tabulatoren) können als Markierungszeichen verwendet werden.

Außerdem lassen sich wie im folgenden Beispiel bis zu vier Paare von Zeichen definieren, zwischen denen eine Hervorhebung durchgeführt wird:

/Marker Characters = "abcdefgh"

Diese Definition legt fest, dass Zeichenketten, die mit 'a' beginnen und mit 'b' enden bzw. die mit 'c' beginnen und mit 'd' enden usw., hervorgehoben werden.

Die Farbe der hervorgehobenen Zeichenkette lässt sich festlegen, indem Sie für jeweils zwei Zeichen eine Zeile unterhalb des entsprechenden Farbabschnitts anfügen als ob sie ein Wort wie "ab", "cd" usw. wären.

Klammern

UltraEdit verfügt standardmäßig für zahlreiche Sprachen über Zeichenkettendefinitionen für öffnende und schließende Klammern. Falls in der Wortlistendatei keine entsprechenden Zeichenketten angegeben sind, werden die Standardeinstellungen verwendet. Andernfalls werden für die Suche nach Klammerpaaren die angegebenen Zeichenketten verwendet.

/Open Brace Strings = "("

/Close Brace Strings = ")"

Code-Faltung

UltraEdit verfügt standardmäßig für zahlreiche Sprachen über Zeichenkettendefinitionen für öffnende und schließende Code-Elemente. Falls in der Wortlistendatei keine entsprechenden Zeichenketten angegeben sind, werden die Standardeinstellungen verwendet. Andernfalls werden für die Code-Faltung die angegebenen Zeichenketten verwendet.

/Open Fold Strings = "{"

/Close Fold Strings = "}"

Klartext-Vorzeichen ("String Literal Prefix")

UltraEdit unterstützt die Interpretation einer Zeichenfolge als Klartext mittels Voranstellen eines besonderen Zeichens durch dessen Definition in der Sprachdefinitionszeile der Wortlistendatei. Zum Beispiel würde das Klartext-Vorzeichen in C# .NET 2.0 folgendermaßen definiert:

String Literal Prefix = @

In diesem Fall bedeutet das "@" vor einer Zeichenfolge, daß der rückwärtige Schrägstrich kein Escape-Zeichen ist. Dies erleichtert die Eingabe von Dateipfaden erheblich. Zum Beispiel würden die folgenden Zeilen beide identisch interpretiert:

"c:\\data\\"

@"c:\data\"

Das einzige Sonderzeichen in einer Zeichenfolge mit vorangestelltem "@" ist das doppelte Anführungszeichen ("). Falls ein solches Zeichen innerhalb einer Zeichenfolge gebraucht wird, muß es lediglich verdoppelt werden.

Sprachindikatoren

Die Syntaxhervorhebung von UltraEdit wurde verbessert und unterstützt nun auch mehrere Sprachen in einer einzelnen Datei. Dies ist insbesondere für HTML-Dateien von Nutzen. Zur Vereinfachung haben wir neue Indikatoren für die Sprachen eingeführt, die in die Wortlistendatei übernommen werden müssen, um den Typ jeder Sprache anzuzeigen, die in einer anderen Sprache enthalten sein kann. Unsere standardmäßig ausgelieferten Wortlistendatei enthält diese Änderungen bereits.

Ein Beispiel:

Falls eine HTML-Datei PHP beinhaltet, muss der Abschnitt für die Syntaxhervorhebung im Hauptteil der Wortlistendatei vorhanden sein und der PHP-Abschnitt muss den Indikator PHP_LANG in der Definitionszeile aufweisen.

Für folgende Sprachen wurden eindeutige Sprachmarkierungen in die Standard-Wortlistendatei eingeführt:

C_LANG // C/C++

COBOL_LANG // Cobol

FORTRAN_LANG // Fortran

PASCAL_LANG // Pascal

PERL_LANG // Perl

PLB_LANG // Plb

VB_LANG // Visual Basic

VBSCRIPT_LANG // Vb Script

ASP_LANG // ASP

CSHARP_LANG // C Sharp

CSS_LANG // CSS

LATEX_LANG // TeX / LaTeX

HTML_LANG // HTML

JAVA_LANG // Java

JSCRIPT_LANG // Javascript

ECMA_LANG // Ecma / Ecmascript

PHP_LANG // PHP

PYTHON_LANG // Python

XML_LANG // XML

MASM_LANG // Microsoft Assembler

AASM_LANG // AT&T Assembler

NASM_LANG // Netwide Assembler

Derzeit nutzt UE die hier aufgeführten Sprachindikatoren, um die gleichzeitige Syntaxhervorhebung für mehrere Sprachen in einer Einzeldatei korrekt durchzuführen. Zukünftig wird UE möglicherweise stärkeren Gebrauch von diesen Sprachmarkierungen in der Wortlistendatei machen.

HINWEIS: Wenn in Ihrer Wortlistendatei der Sprachindikator HTML_LANG mehrmals vorkommt, muss dies korrigiert werden, da einige Sprachen sonst möglicherweise nicht korrekt hervorgehoben werden. In einer Wortlistendatei darf jeder Sprachindikator (d.h. C_LANG, COBOL_LANG, HTML_LANG, etc.) nur einmal vorkommen.

Folgende Dateiendungen wurden in den Abschnitt HTML der standardmäßigen Wortlistendatei verschoben: php, asp und jsp. Dadurch ist die korrekte HTML-Syntaxhervorhebung nun auch auf der äußeren Sprachebene einer Datei möglich, wenn die Sprachenkennung '<HTML>' nicht vorhanden ist. Alle php-, asp- und jsp-Abschnitte einer Dateien werden anhand der Start- und Ende-Tags der Sprache (z.B. '<?' und '?>') korrekt hervorgehoben; bei Verwendung des Befehls Ansicht als wird die Datei allerdings als HTML-Datei angezeigt.

Schriftstil für neue Datei als:

Eine Standardsprache für Syntaxhervorhebungen kann aus der aufklappbaren Liste der in der aktiven Wortdatei definierten Sprachen ausgewählt werden. Diese Sprache wird für noch ungesicherte Dateien verwendet.

Rechtschreibprüfung

UltraEdit und UEStudio überprüfen standardmäßig keine Dateien auf Rechtschreibefehler, die mit Syntax-Hervorhebungen angezeigt werden. Um diese Einstellung zu ändern und die automatische Rechtschreibprüfung für solche Dateien zu aktivieren, muß der folgende Text zur Sprachendefinitionszeile im Abschnitt der Wortdatei (z.B. /L3"HTML" ...) hinzugefügt werden:

EnableSpellasYouType

Um diese Funktionalität einzusetzen, muß außerdem noch die entsprechende Option unter "Verschiedenes (Menü 'Extras | Optionen' - Rechtschreibprüfung)" aktiviert werden.

Anmerkung: Diese Datei kann vom Benutzer angepasst werden.


Funktionsliste

Funktionsliste (Menü »Extras/Optionen«)

Das Thema Funktionsliste im Konfigurationsdialog bietet Zugriff auf die Optionen im Dialog Gruppen bearbeiten, die zur Definition der Gruppen und Untergruppen der hierarchischen Funktionsliste für eine gegebene Sprache verwendet werden. Falls die aktuelle Datei markiert wurde, zeigt die aufklappbare Liste Sprache die der Datei entsprechenden Sprache an.

Die Baumansicht Vorhandene Gruppen zeigt die Gruppen und Untergruppen an, die für die ausgewählte Sprache aktuell definiert sind. Bei Auswahl einer anderen Sprache in der Liste Sprache wird die Baumansicht der Vorhandenen Gruppen entsprechend aktualisiert.

Die Schaltfläche Gruppen bearbeiten öffnet den Dialog »Gruppen bearbeiten«, damit Gruppen und Untergruppen für die ausgewählte Sprache definiert werden können.


Optionen 'Fortgeschritten' (Programmverhalten)

Die Optionen in 'Programmverhalten | Fortgeschritten' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Programmverhalten | Fortgeschritten' sind folgende Optionen zusammengefasst:

Fensterliste im alten Stil

Aktivierung dieser Option bewirkt, dass die Fensterliste in der Reihenfolge des Öffnens unten im Fenster-Menü angezeigt wird. Falls diese Option nicht gewählt wird, werden die offenen Fenster in einer variablen Reihenfolge angezeigt, die von der letzten Aktivierung des Fensters abhängig ist.

Alle »Schließen«-Schaltflächen im Workspace deaktivieren

Diese Option schaltet den Zustand der Schaltflächen ein oder aus in diversen untergeordneten Fenstern (Dateienbaumansicht, ASCII-Tabelle, Funktionsliste, Makro-Liste, Tags-Liste, Textbausteinliste, Zwischenablageverlauf, Skriptliste, Lesezeichenliste, Ausgabefenster, und SSH/Telnet-Konsole).

Alle »Nicht wieder anzeigen«-Schaltflächen zurücksetzen

Diese Option bewirkt, daß alle Dialoge mit der Option »Dieses Fenster nicht mehr anzeigen« das Häkchen zurückgesetzt wird, damit der Dialog beim Aktivierung der betreffenden Option das nächste Mal angezeigt werden kann.

Benutzerabfrage beim Öffnen von schreibgeschützten Projekten anzeigen

Bei Auswahl dieser Option wird ein Bestätigungsdialog angezeigt, wenn ein Projekt mit schreibgeschützter Projektdatei geöffnet wird. Es wird abgefragt, ob der Schreibschutz entfernt werden sollte. Falls die Antwort »nein« lautet, werden ggf. Änderungen beim Schließen des Projekts nicht gesichert.

Verwendung der Registry statt einer INI-Datei für die Einstellungen

Diese Option sorgt dafür, dass UltraEdit alle Einstellungen in der Registry sichert und aus ihr abruft. Nachdem UltraEdit die verwendete INI-Datei ermittelt hat, überprüft das Programm diese Option, bevor weitere Werte eingelesen werden. Wenn diese Option aktiv ist, übernimmt UltraEdit sämtliche Einstellungen in die Registry.

Fenster-, Menu- und Symbolleisteneinstellungen und -positionen für mehrere Anwendungsinstanzen speichern

Bei Auswahl dieser Option, falls eine zweite Instanz des Bearbeitungsprogramms offen ist und Änderungen an Fenstergrößen oder Positionen bzw. Menü- und Symbolleistenkonfigurationen gemacht werden, werden diese beim Öffnen einer weiteren Instanz der Anwendung übernommen.

Pfad zur INI-Datei

Dieses Feld zeigt den vollständigen Pfad zur INI-Datei an, die von der aktuellen Instanz von UltraEdit-32 oder UEStudio verwendet wird. Der angezeigte Text kann nicht bearbeitet werden; er dient lediglich als Information, um bei Bedarf die INI-Datei schnell aufzufinden.


Optionen 'Dateireiter' (Programmverhalten)

Die Optionen in 'Programmverhalten | Dateireiter | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Programmverhalten | Dateireiter | Verschiedenes' sind folgende Optionen zusammengefasst:

Doppelklick auf Dateireiter schließt die Datei

Wenn diese Option aktiviert ist, wird eine geöffnete Datei durch einen Doppelklick auf ihren Dateireiter geschlossen. Diese Einstellung ist standardmäßig aktiviert.

Mittlere Maustaste schließt Datei

Bei Aktivierung dieser Option wird ein Klick mit der mittleren Maustaste auf einen Dateireiter die entsprechende Datei schließen. Diese Option ist standardmäßig aktiviert.

Den nächsten Reiter nach links aktivieren, nachdem der aktuelle Reiter geschlossen wurde

Bei Aktivierung dieser Option wird die Datei unter dem nächsten Reiter links vom aktiven Reiter in den Vordergrund geholt, nachdem die aktuelle Datei geschlossen wurde. Falls diese Option nicht aktiv ist, wird jene Datei mit ihrem Reiter wieder in den Vordergrund geholt, die vor der aktuellen Datei aktiv war.

Dateireiter bei Dateiöffnung sortieren

Falls diese Option aktiviert wurde, werden Dateireiter jedes Mal automatisch bei der Öffnung einer Datei alphabetisch sortiert.


Operation

Die Optionen in 'Programmverhalten | Dateireiter | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationsdialog, der beim Auswählen des Menübefehls »Extras - Optionen« erscheint, beinhaltet das Thema »Programmverhalten - Dateireiter - Vorgang« die folgenden Optionen:

Andockbare Reiter

Bei Auswahl dieser Option werden die Dateireiter in einem andockbaren Steuerelement angezeigt, das außerhalb des Hauptfensters nach Belieben verschoben und vergrößert oder verkleinert werden kann.

Typen

Einzige Zeile - scrollend

Einzige Zeile - aufklappbare Dateiliste

Bei Auswahl dieser Option werden die Dateireiter in einer einzigen Zeile angelegt. In diesem Anzeigemodus kann über das nach unten zeigende Pfeilsymbol am Ende der Zeile auf eine Liste der momentan geöffneten Dateien zugegriffen werden.

Schließen-Schaltfläche auf Dateireitern

Eine von drei möglichen Einstellungen bietet diese Option, die die Anzeige eines »x« (Schließen) auf Dateireitern betreffen: »Keine« bedeutet, dass keine Schließen-Schaltfläche angezeigt wird; »Neben Dateireiterleiste« zeigt ein »x« am Ende der Reihe von Dateireitern an, und ein Klick auf das »x« das aktive Dokument schließt; »Auf aktivem Reiter«

zeigt das »x« auf dem Reiter für die aktuelle Datei.


Colors

Die Optionen in 'Programmverhalten | Dateireiter | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationsdialog, der beim Auswählen des Menübefehls »Extras - Optionen« erscheint, beinhaltet das Thema »Programmverhalten - Dateireiter - Farben« die folgenden Optionen:

Reiterfarben gemäß Dateityp

Die Hintergrundfarbe eines Reiters ändert sich gemäß dem jeweiligen Dateityp, falls diese Option aktiviert ist. Durch Doppelklicken auf eine der Farben können Dateinamenerweiterungen (z.B. ».html«) mit der Farbe verknüpft werden. Mehrere Erweiterungen können zusammen eingegeben werden, wenn sie durch Strichpunkte getrennt werden (z.B. »*.php;*.php3;*.html;*.js«). Anstelle von Dateinamenerweiterungen können auch Dateinamen verwendet werden, z.B.

»ResolveLine.cpp«.


File Tree View

Die Optionen in 'Programmverhalten | Baumansicht für Dateien' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Programmverhalten | Baumansicht für Dateien' sind folgende Optionen zusammengefasst:

Laufwerkbeschreibungen in Explorer-Ansicht anzeigen

Zusätzlich zu den Laufwerkbuchstaben werden auch die dazugehörenden Beschreibungen in der Explorer-Ansicht des Dateibaumes angezeigt, falls diese Option ausgewählt wurde.

Symbole für eingetragene Dateitypen in Explorer-Ansicht anzeigen

Bei Auswahl dieser Option werden die für die in Windows eingetragenen Dateitypen dazugehörenden Symbole in der Explorer-Ansicht des Dateibaumes anstatt der generischen Symbole für Dateien angezeigt.

Nach leeren Verzeichnissen in Explorer-Ansicht durchsuchen

Bei Auswahl dieser Option wird im Dateibaum vor dessen Anzeige nach leeren Verzeichnissen durchsucht. Neben dem Ordner-Symbol wird für ein leeres Verzeichnis dann KEIN »+«-Zeichen angezeigt, das zum Öffnen des Verzeichnisinhalts auffordern könnte. Falls diese Option nicht aktiviert ist, wäre das »+« evtl. angebracht oder auch nicht. Die Anzeige würde allerdings erst dann aktualisiert, nachdem versucht wurde, den Ordner zu öffnen oder zu aktualisieren.

Laufwerksbeschreibungen in Explorer-Ansicht zwischenspeichern

Beim Anhalten des Mauszeigers über einem Laufwerk in der Explorer-Ansicht, wird die neueste Information über das Laufwerk abgefragt und angezeigt. Bei Aktivierung dieser Option wird diese Information nur das erste Mal abgefragt und anschliessend gespeichert; dadurch muß das Laufwerk nicht so oft abgefragt werden.

Datei in der Liste der geöffneten Dateien mit einem einzelnen Klick aktivieren

Bei Auswahl dieser Option genügt ein einziger Klick, um die betreffende Datei in der Liste der offenen Dateien (Baumansicht) zur aktiven Datei im Bearbeitungsfenster zu machen. Diese Option ist standardmäßig deaktiviert; somit muss man auf die Datei doppelt klicken.

Verknüpfte Dateien und Verzeichnisse in der Explorer-Ansicht öffnen

Bei Auswahl dieser Option werden die verknüpften Dateien beim Klicken auf die *.LNK-Datei in der Explorer-Ansicht geöffnet; bei Verzeichnissen wechselt die Ansicht zum verknüpften Verzeichnis beim Klicken auf das LNK-Verzeichnis.


Andockbare Reiter

Andockbare Fenster (Menü »Extras - Optionen«, Programmverhalten)

Die Einstellungen für Andockbare Fenster befinden sich im Konfigurationsdialog unter dem Menü Extras - Optionen bei Programmverhalten und beinhalten die folgenden Optionen:

Zeitspanne vor dem Auto-Ausblenden (Millisek.)

Geben Sie hier einen Wert in Millisekunden ein. Bestimmt die Dauer der Anzeige von Kind-Fenstern, falls sie auch so konfiguriert wurden, bevor sie nach Fokusverlust automatisch ausgeblendet werden.

Scrollen beim Auto-Ausblenden

Dieser Regler bestimmt die Geschwindigkeit des Ausblendens von Kind-Fenstern, die als automatisch ausblendbar konfiguriert wurden. Das Ausblenden geschieht sehr schnell, wenn der Regler möglichst nahe bei »Deaktiviert« eingestellt wird. Wenn der Regler näher bei »Glatt« steht, scrollt das Fenster langsamer aus dem Bearbeitungsfenster heraus.


Optionen 'Verschiedenes' (Programmverhalten)

Die Optionen in 'Programmverhalten | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Programmverhalten | Verschiedenes' sind folgende Optionen zusammengefasst:

Nach dem Schließen der letzten Datei minimieren

Wenn diese Option aktiv ist, wird UltraEdit minimiert, sobald alle geöffneten Dateien geschlossen sind.

Symbol im Systemtray anzeigen (nicht in der Taskleiste)

Wenn diese Option aktiv ist, wird UltraEdit im Systemtray und nicht in der Taskleiste minimiert.

Editor immer maximiert öffnen

Diese Option legt fest, ob UltraEdit sein Hauptfenster immer maximiert öffnen soll. Standardmäßig merkt UltraEdit sich die letzte Fenstereinstellung. Wenn diese Option aktiviert ist, öffnet UltraEdit sein Hauptfenster immer maximiert.

Nur Dateinamen in der Titelleiste des Dokuments anzeigen

Mit dieser Option können Sie einstellen, dass UltraEdit in der Titelleiste des Bearbeitungsfensters nur den Dateinamen und nicht den Pfad anzeigt. Wenn diese Option deaktiviert ist, werden sowohl der Dateiname als auch der Pfad angezeigt (Standard). Wenn diese Option aktiv ist, wird nur der Dateiname angezeigt.

Benutzerdefinierte CHM-Hilfen immer im Vordergrund anzeigen

Diese Option veranlasst UltraEdit dazu, benutzerdefinierte CHM-Hilfen nach dem Öffnen immer als vorderes Fenster anzuzeigen.

Alternative Methode, um .CHM-Dateien zu öffnen (falls eine zwischengespeicherte Datei geöffnet wird)

Wenn zwei verschiedene benutzerspezifizierte .CHM-Dateien mit gleichem Namen, aber in verschiedenen Verzeichnissen vorliegen, ist es möglich, daß die zuletzt verwendete anstatt der ausgewählten Datei geöffnet wird. Um dieses Problem zu umgehen, sollte diese Option gesetzt werden. Nachher wird der Zwischenspeicher immer geleert, wenn benutzerspezifizierte .CHM-Dateien geöffnet werden.

Konfigurationsdialoge animieren

Diese Option sorgt dafür, dass die Konfigurationsdialoge im Menü 'Extras' und in UEStudio zusätzlich in den Projekteinstellungen animiert werden.

Dateizuordnungen beim Start überprüfen und anzeigen

Diese Option sorgt dafür, dass bei jedem Start von UltraEdit der Dateizuordnungsdialog angezeigt wird. Wenn diese Option nicht aktiv ist, können Dateizuordnungen nur auf der Registerkarte 'Extras | Optionen | Umgang mit Dateien | Dateizuordnungen' geändert werden.

Mehrere Instanzen zulassen

Diese Option legt fest, ob UltraEdit beim Aufruf eine weitere Instanz von UltraEdit öffnet, falls bereits eine Instanz aktiv ist. Ist diese Option aktiv, wird bei jedem Aufruf von UltraEdit eine neue Instanz geöffnet. Bei deaktivierter Option wird nur eine einzige Instanz von UltraEdit geöffnet; jeder weitere Aufruf aktiviert die erste Instanz, wobei die neue Datei zusätzlich zu den bereits geöffneten Dateien geladen wird.

In Explorer ausgewählte Dateien werden in einer einzigen Instanz geöffnet

Bei aktivierter Option werden mehrere in Explorer gleichzeitig ausgewählte Dateien, falls UltraEdit aus dem Kontextmenü gewählt wurde, alle in einer einzigen neuen Instanz des Programms geöffnet. Falls diese Option nicht gewählt wurde, kann jede Datei in einer eigenen separaten Instanz geöffnet werden.


Optionen 'Anpassung' (Symbolleisten/Menüs)

Die Optionen in 'Symbolleisten/Menüs | Anpassung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Symbolleisten/Menüs | Anpassung' sind folgende Optionen zusammengefasst:

Symbolleisten

Symbolleiste anpassen

Betätigen Sie diese Schaltfläche, um den Dialog 'Symbolleisten-Konfiguration' aufzurufen. Dieser Dialog unterteilt sich im Wesentlichen in die beiden Bereiche Symbolleisten und Befehle. Dazu gesellen sich das Kontrollkästchen Große Symbole, die Textfelder Neue Symbolleiste und Externe Grafik sowie Pfeile nach Links, Rechts, Hoch und Runter. Diese Elemente haben folgende Funktionen:

Symbolleisten

In diesem Bereich werden die aktivierten Symbolleisten mit den derzeit zugeordneten Befehlen im Explorer-Stil angezeigt. Klicken Sie auf das Minus-Symbol links von einem Symbolleistennamen, um die Elemente der Symbolleiste auszublenden. Klicken Sie auf das Plus-Symbol links von einem Symbolleistennamen, um die Elemente der Symbolleiste anzuzeigen.

Markieren Sie ein Element der Symbolleiste und verwenden Sie die Hoch/Runter-Schaltflächen, um die Position des Elements in der Symbolleiste zu bestimmen. Es ist nicht möglich, ein Element mit den Hoch/Runter-Schaltflächen aus einer Symbolleiste in eine benachbarte Symbolleiste zu verschieben.

Befehle

In diesem Bereich werden die Befehle angezeigt, die für die Verwendung in Symbolleisten zur Verfügung stehen. Um einen Befehl in eine ausgewählte Symbolleiste zu übernehmen, müssen Sie den gewünschten Befehl markieren und die Links-Schaltfläche in der Mitte des Dialogs betätigen. Der Befehl wird dann direkt unterhalb des derzeit im Bereich Symbolleisten markierten Elements eingefügt. Falls kein Element markiert ist, wird der Eintrag am Anfang der ersten aufgeführten Symbolleiste vorgenommen. Sobald die Befehle in eine Symbolleiste aufgenommen worden sind, lassen sie sich mit Hilfe der Rauf/Runter-Schaltflächen nach Bedarf in der Symbolleiste positionieren.

Neue Symbolleiste

Tragen Sie in dieses Feld den Namen für eine neue Symbolleiste ein und betätigen Sie die Links-Schaltfläche, um eine neue Symbolleiste anzulegen. Auf diese Weise fügen Sie eine neue, leere Symbolleiste zu der Liste der Symbolleisten hinzu. Um eine vorhandene Symbolleiste zu löschen, müssen Sie die gewünschte Symbolleiste markieren und anschließend die Rechts-Schaltfläche in der Mitte des Dialogs betätigen.

Externe Grafik

Auf Wunsch können Sie eigene Grafiken für die Schaltflächen der Symbolleisten angeben (z.B. für die benutzerdefinierten Werkzeuge), damit diese in der Symbolleiste angezeigt werden. Dazu wählen Sie zunächst den gewünschten Befehl aus der Liste der Befehle aus und fügen ihn wie beschrieben zur gewünschten Symbolleiste hinzu. Anschließend markieren Sie den neuen Eintrag im Bereich Symbolleisten und tragen im Feld Externe Grafik den Dateipfad für die gewünschte Bitmap-Grafik ein. Sie können den Dateipfad entweder direkt eingeben oder durch Betätigen der Schaltfläche '...' mit Hilfe des 'Öffnen'-Dialogs danach suchen. Drücken Sie abschließend die Eingabetaste, um dem markierten Eintrag die angegebene Grafik zuzuordnen.

Große Symbole

Aktivieren Sie diese Option, um in allen Symbolleisten größere Schaltflächen angezeigt zu bekommen.

Symbolleisten verwalten

Betätigen Sie diese Schaltfläche, um den Dialog 'Symbolleisten-Konfiguration' aufzurufen.

Menüs

Menüs anpassen

Betätigen Sie diese Schaltfläche, um den Dialog 'Menü-Konfiguration' aufzurufen. Der Dialog unterteilt sich im Wesentlichen in die beiden Bereiche Menüs und Befehle. Dazu gesellen sich das Textfeld Neues (Unter-)Menü, Pfeile nach Links, Rechts, Hoch und Runter sowie die Schaltfläche Bearbeiten. Diese Elemente haben folgende Funktionen:

Häkchen in Mens verwenden

Aktivieren Sie dieses Kontrollkästchen, damit vor aktivierten Menüeintragen ein Häkchen an Stelle des gedrückten Symbols eingeblendet wird. Diese Option schafft Abhilfe bei einigen Problemen mit Screen-Readern für Menschen mit einer Sehschwäche.

Menüs

In diesem Bereich werden die aktivierten Menüs mit den derzeit zugeordneten Elementen im Explorer-Stil angezeigt. Jeder Titel eines Menüs oder Untermenüs hat auf der linken Seite eine Linie, die in einem kleinen Quadrat endet. Durch einen Doppelklick auf dieses Quadrat lassen sich die jeweiligen (Unter-)Menüs anzeigen bzw. ausblenden.

Wählen Sie ein Menü oder einen Menüeintrag aus und betätigen Sie die Schaltfläche Bearbeiten, um den Namen des Menüs bzw. Eintrags zu ändern. Drücken Sie die Eingabetaste, um die Änderung zu speichere. Betätigen Sie die Schaltfläche OK, um die Änderungen für die Menüanzeige zu übernehmen.

Wenn Sie ein Menü markieren, können Sie das gesamte Menü mit Hilfe der Hoch/Runter- und Links-Rechts-Schaltflächen neu positionieren. Wenn Sie einen Menüeintrag markieren, können Sie ihn mit Hilfe der Hoch/Runter-Schaltflächen innerhalb der aktuellen Menüebene neu positionieren. Menüeinträge lassen sich nicht in eine andere Menüebene verschieben.

Befehle

In diesem Bereich werden die Befehle angezeigt, die für die Verwendung in Menüs zur Verfügung stehen. Um einen Befehl in ein ausgewähltes (Unter-)Menü zu übernehmen, müssen Sie den gewünschten Befehl markieren und die Links-Schaltfläche in der Mitte des Dialogs betätigen. Der Befehl wird dann direkt unterhalb des derzeit im Bereich Menüs markierten Elements eingefügt. Falls kein Element markiert ist, wird der Eintrag am Anfang des ersten aufgeführten Menüs vorgenommen. Sobald die Befehle in ein Menü aufgenommen worden sind, lassen sie sich mit Hilfe der Rauf/Runter-Schaltflächen nach Bedarf in dem Menü positionieren.

Neues (Unter-)Menü

Tragen Sie in dieses Feld den Namen für das neue (Unter-)Menü ein und betätigen Sie die Links-Schaltfläche, um ein neues (Unter-)Menü anzulegen. Auf diese Weise fügen Sie ein neues, leeres Menü zu der Liste der Menüs hinzu. Um ein vorhandenes Menü zu löschen, müssen Sie es markieren und anschließend die Rechts-Schaltfläche in der Mitte des Dialogs betätigen.

Kontextmenüs anpassen

Betätigen Sie diese Schaltfläche, um den Dialog 'Kontextmenü-Konfiguration' aufzurufen, der genau so wie der Dialog 'Menü-Konfiguration' aufgebaut ist und funktioniert. Der einzige Unterschied besteht darin, dass Sie mit diesem Dialog das Kontextmenü konfigurieren können, das beim Rechtsklick angezeigt wird.

Pressing this button presents the Popup Menu Configuration dialog which functions exactly as the Menu Configuration dialog described above except that this allows the user to configure what is displayed in the right-click context menu.

Menüs verwalten

Betätigen Sie diese Schaltfläche, um den Dialog 'Menü-Konfiguration' aufzurufen.

Speicherort der Konfigurationsdaten

Die Daten für die konfigurierbaren Symbolleisten werden im Verzeichnis 'Anwendungsdaten' standardmäßig unter 'IDM Comp\UltraEdit' bzw. 'IDM Comp\UEStudio' in der Datei 'uedit32.tbr' gespeichert.

Die Daten für die konfigurierbaren Menüs werden im Verzeichnis 'Anwendungsdaten' (bzw. '%APPDATA%') standardmäßig unter 'IDM Comp\UltraEdit' bzw. 'IDM Comp\UEStudio' in der Datei 'uedit32.mnu' gespeichert.


Optionen 'HTML-Symbolleiste' (Symbolleisten/Menüs)

Die Optionen in 'Symbolleisten/Menüs | HTML-Symbolleiste' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Symbolleisten/Menüs | HTML-Symbolleiste' können Sie einstellen, welche HTML-Texte beim Betätigen der Schaltflächen aus der 'HTML'-Symbolleiste in das aktive Dokument eingefügt werden sollen.

Standardmäßig wird die Option »HTML« im Abschnitt »Vordefiniert« ausgewählt, und die Standard-Befehlsschaltflächen werden Text nach dem HTML-4-Standard eingefügt. Andernfalls, bei Auswahl der Option »XHTML«, wird Text nach dem XHTML-Standard eingefügt.

Wählen Sie eine Schaltfläche aus der Anzeige aus, um den zugeordneten Text im Eingabefeld angezeigt zu bekommen. Dort können Sie den jeweiligen Text, der beim Betätigen der Schaltfläche in das Dokument eingefügt werden soll, an Ihre eigenen Bedürfnisse anpassen und speichern. Darüber hinaus können Sie einer leeren Schaltfläche eine Bilddatei zuordnen und festlegen, welcher Text beim Betätigen der Schaltfläche in das Dokument eingefügt werden soll. Mit Hilfe des so genannten Pipe-Zeichens ('|') können Sie angeben, an welcher Stelle der Cursor nach dem Einfügen des Textes positioniert sein soll. Im Textbaustein sollte »\n« für einen Zeilenumbruch verwendet werden. Falls ein Tabulatorzeichen benötigt wird, sollte vor dem Öffnen des HTML-Symbolleisten-Konfigurationsdialogs ein echtes Tabulatorzeichen in die Windows-Zwischenablage kopiert und nachher in den Textbaustein eingefügt werden.

Ein Beispiel:

<td>|</td> würde den Cursor zwischen den beiden Tags für die Tabellenzelle positionieren.


Web Search

Web-Suche (Menü »Extras/Optionen« - Symbolleisten/Menüs)

Das Thema Web-Suche im Konfigurationsdialog unter Symbolleisten/Menüs bietet den Anwenderinnen und Anwendern eine Schnittstelle um Suchbegriffe, die durch Auswahl von Text in einem Dokument definiert werden, bei Suchaktionen mittels der Symbolleiste Web-Suche anzupassen.

Durch diese Schnittstelle kann das Domain nach Bedarf den lokalen Gegebenheiten angepasst werden, durch das die Suche ausgeführt werden soll. Zum Beispiel möchte eine Anwenderin in Deutschland bei "www.google.de" anstatt bei der amerikanischen Adresse "www.google.com" suchen: diese Möglichkeit besteht durch Abändern der Google-Suchadresse in:

http://www.google.de/search?q=$K

Die Zeichenfolge »$K« wird in jedem Fall durch den Text ersetzt, der beim Starten einer Suche vorher markiert wurde. Nach Bedarf können die Standardsuchadressen für jede Option durch Klicken auf die Schaltfläche Standard zurückgesetzt und anschliessend durch Auswahl von übernehmen oder OK gespeichert werden.

Symbolleisten können auch durch Hinzufügen von benutzerdefinierten Suchbefehlssymbolen nach Bedarf angepasst werden. Für weitere Informationen über diese Möglichkeit kann bei der Seite http://www.ultraedit.com/index.php?name=Powertips#ue unter dem Thema Integrate Yahoo!, Google, Wikipedia and more with UltraEdit nachgeschlagen werden.


Optionen 'Verwaltung' (Symbolleisten/Menüs)

Die Optionen in 'Symbolleisten/Menüs | Verwaltung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Symbolleisten/Menüs | Verwaltung' sind folgende Optionen zusammengefasst:

Symbolleisten verwalten

Betätigen Sie diese Schaltfläche, um den Dialog 'Symbolleisten-Konfiguration' aufzurufen. Dieser Dialog enthält eine Liste der verfügbaren Symbolleisten, ein Textfeld Neuer Name für die Benennung einer neuen Symbolleiste sowie folgende Schaltflächen:

  • Speichern unter

Speichert die aktive Symbolleiste unter dem angegebenen neuen Namen.
  • Löschen

Löscht die aktuell ausgewählte Symbolleiste.
  • Zurücksetzen

Versetzt die aktive Symbolleiste in ihren Ursprungszustand zurück.
  • Alle zurücksetzen

Versetzt alle Symbolleisten in ihren Ursprungszustand zurück.
  • Schließen

Schließt den Dialog.

Menüs verwalten

Betätigen Sie diese Schaltfläche, um den Dialog 'Menü-Konfiguration' aufzurufen. Dieser Dialog enthält eine Liste der verfügbaren menüs, ein Textfeld Neuer Name für die Benennung eines neuen Menüs sowie folgende Schaltflächen:

  • Speichern unter

Speichert das aktive Menü unter dem angegebenen neuen Namen.
  • Löschen

Löscht das aktuell ausgewählte Menü.
  • Zurücksetzen

Versetzt das aktive Menü in seinen Ursprungszustand zurück.
  • Alle zurücksetzen

Versetzt alle Menüs in ihren Ursprungszustand zurück.
  • Schließen

Schließt den Dialog.


Optionen 'Verschiedenes' (Symbolleisten/Menüs)

Die Optionen in 'Symbolleisten/Menüs | Verschiedenes' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Symbolleisten/Menüs | Allgemein' sind folgende Optionen zusammengefasst:

Menü 'Projekt' im Hauptmenü anzeigen

Diese Option sorgt dafür, dass das Menü 'Projekt' im Hauptmenü des Editors angezeigt wird. Bei deaktivierter Option erscheint das Menü 'Projekt' als Untermenü des Dateimenüs.

Hinweis: Damit Änderungen dieser Einstellung wirksam werden, muss der Editor neu gestartet werden.

Letzte Dateien direkt im Menü 'Datei' anzeigen

Diese Option sorgt dafür, dass die Liste der letzten Dateien im Menü 'Datei' und nicht in einem Untermenü des Menüs 'Datei' angezeigt wird. Bei deaktivierter Option erscheint die Liste zuletzt aufgerufener Dateien als Untermenü des Dateimenüs.

Hinweis: Damit Änderungen dieser Einstellung wirksam werden, muss der Editor neu gestartet werden.

Anzahl der zuletzt benutzten Dateien im Menü 'Datei': 16

Diese Einstellung legt die Anzahl der letzten Dateien fest, die zum schnellen Öffnen der Dateien im Menü 'Datei' erscheinen.

Datei- und Projektverlauf beim Beenden löschen

Diese Option sorgt dafür, dass die Listen in Letzte Dateien und Letzte Projekt e im Menü 'Datei' beim Beenden von UltraEdit automatisch geleert werden.

Verlauf löschen (Datei- und Projektverlauf löschen)

Betätigen Sie diese Schaltfläche, um die Listen Letzte Dateien und Letzte Projekte im Menü 'Datei' sofort zu leeren.


Optionen 'Verzeichnisse'

Die Optionen in 'Verzeichnisse' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Verzeichnisse' lassen sich die von UltraEdit verwendeten Standardverzeichnisse festlegen. Folgende Optionen stehen Ihenn dort zur Verfügung:

  • Speichern

Gibt das Standardverzeichnis für das Speichern von Dateien mit dem Befehl Speichern unter .
  • Makros

Gibt das Standardverzeichnis zum Laden und Speichern von Makros an.
  • Textbausteine

Gibt das Standardverzeichnis zum Speichern der Textbausteine an.
  • Öffnen

Gibt das Standardverzeichnis für das Öffnen von Dateien an.
  • Projektdateien

Gibt das Standardverzeichnis für das Erstellen neuer Projekte mit Hilfe des Befehls Neues Projekt an.

Standardverzeichnis für das Speichern

Normalerweise wird für den Befehl Speichern unter das so genannte Standardverzeichnis verwendet. Es variiert in Abhängigkeit davon, welches Verzeichnis zuletzt zum Öffnen einer Datei verwendet wurde, und kann grundsätzlich jedes beliebige Verzeichnis sein. Dieses Verhalten lässt sich umgehen, indem Sie ein Standardverzeichnis zum Speichern vorgeben, das dann bei jedem Aufruf des Befehls Speichern unter als Ausgangspunkt genommen wird. Wenn dieses Feld frei bleibt, wird als Standardverzeichnis weiterhin das übliche Standardverzeichnis verwendet.


Optionen 'Tastenzuordnung'

Die Optionen in 'Tastenzuordnung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Tastenzuordnung' können Sie die standardmäßig von UltraEdit unterstützte Tastenzuordnung an ihre eigenen Bedürfnisse anpassen.

Die Registerkarte zeigt eine Liste mit den Befehlen von UltraEdit an, die Sie einer Tastenkombination Ihrer Wahl zuordnen können. Das Anklicken eines Befehls zeigt die Aktuelle Zuordnung (sofern vorhanden) sowie die Beschreibung des Befehls unterhalb der Liste an.

Hinzufügen oder Ändern einer Tastenzuordnung

  1. Wählen Sie den anzupassenden Befehl aus der Befehle-Liste aus.
  2. Setzen Sie den Fokus per Maus oder Tabulatortaste auf das Feld Neue Taste drücken.
  3. Geben Sie die neue Tastenzuordnung genauso ein wie sie beim Aufrufen des Befehls verwendet werden soll – diese Tastenzuordnung wird erfasst und angezeigt. Es können bis zu drei Tasten zusammen (z.B. "Strg + Umschalt + T") pro Eingabefeld kombiniert werden, um Multi-Tastenzuordnungen zu erstellen.
  4. Drücken Sie die Schaltfläche Zuordnen, damit die neue Tastenkombination dem Befehl zugeordnet wird. Wenn eine bereits zugeordnete Tastenkombination verwendet wird, werden Sie gefragt, ob diese gelöscht und durch die neue Zuordnung ersetzt werden soll.

Akkorde

Beide Eingabefelder unterhalb der Eingabeaufforderung "Neue (Multi-)Taste drücken:" können herangezogen werden, um "Akkorde" zu definieren. Ein Beispiel wäre:

Strg+R

M

Diese Kombination könnte zum Umschalten eines Lesezeichens verwendet werden, indem man "Strg+R" und "M" in schneller Folge drückt.

Um zu verhindern, daß nur der erste Teil eines Akkordes einzeln ausgeführt würde, kann man einen Verzögerungswert eingeben. Somit hat man die nötige Zeit, um den Multitastenbefehl vollständig einzutippen.

Entfernen einer Tastenzuordnung

  1. Wählen Sie den anzupassenden Befehl aus der Befehle-Liste aus.
  2. Wählen Sie die vorhandene Tastenzuordnung in der Liste Bestehende Tastenzuordnungen aus.
  3. Drücken Sie die Schaltfläche Entfernen, damit die Tastenzuordnung gelöscht wird.

Vorgaben der Tastenzuordnungen wiederherstellen

  1. Drücken Sie die Schaltfläche Vorgabe, damit die Tastenzuordnungen wieder auf den Standard zurückgesetzt werden. Sie werden dann aufgefordert, diese Handlung zu bestätigen.

Datei für benutzerdefinierte Tastenzuordnungen

Die Tastaturdatei wird im gleichen Verzeichnis gespeichert (und beim Start von UltraEdit dort gesucht) wie die Initialisierungsdatei . Der Dateiname entspricht dem der INI-Datei mit der Dateiendung .KBD, beispielsweise UEDIT32.KBD bzw. UESTUDIO.KBD.

Tastenbelegungen im Editor anzeigen

Bei Betätigung dieser Schaltfläche wird eine Liste aller aktuellen Tastenbelegungen in eine Datei geschrieben, die nach dem Format "[Editierprogramm].shorcuts" benannt und im Bearbeitungsfenster angezeigt wird. Es werden Standardtastenkürzel, Menükürzel und Makrotastenzuordnungen aufgelistet. Bei Aktivierung von 'Nach Tasten sortieren' wird die Liste nach den Tastenkürzeln sortiert; bei Aktivierung von 'Nach IDs sortieren' wird die Liste nach den Befehlsnamen sortiert. Die Liste kann zum späteren Nachschlagen auch ausgedruckt werden.


FTP/SFTP

FTP (Menü 'Extras/Optionen')

Unter FTP im Konfigurationsdialog (Menü "Extras/Optionen") findet man folgende Optionen:

FTP-Zugänge und Einstellungen in folgender Datei speichern

Bei Aktivierung dieser Option werden FTP-Zugänge und deren Konfigurationen in einer benutzerdefinierten Datei gespeichert. Den Namen mit dem vollständigen Pfad kann direkt eingegeben werden, oder es kann im Dateisystem danach durchsucht werden. Falls die Option nicht ausgewählt wurde, werden die Einstellungen für die FTP-Zugänge am üblichen Ort, nämlich in der INI-Datei, gespeichert.

FTP-Zugänge in Explorer-Darstellung anzeigen

Bei Aktivierung dieser Option werden FTP-Zugänge in der Baumansicht unter dem "Explorer"-Reiter angezeigt. Die oberste Ebene des Zugangs wird als freistehendes Verzeichnis angezeigt. Dieses kann in der gewohnten Weise auf- und wieder zugeklappt werden, um auf die darunterliegenden Ordner zugreifen zu können.

FTP-Bericht im Ausgabenfenster anzeigen

Bei Auswahl dieser Option wird ein FTP-Bericht mit allen Befehlen, die an den FTP-Server gesendet und von diesem empfangen werden, im Ausgabenfenster angezeigt. Diese Informationen können helfen, Fehlern auf die Spur zu kommen, und die Ausgabezeilen können auch über die Zwischenablage kopiert werden.

FTP-Zugänge teilen

Bei Auswahl dieser Option wird die Einstellung »FTP-Zugänge und -Einstellungen in benutzerdefinierter Datei« automatisch unterdrückt. Statt dessen werden FTP-Zugangsinformationen in eine neue Datei »IdmFTPAccounts.txt« geschrieben, die im Verzeichnis »%APPDATA%\IDMComp\Common\FTP Accounts« angelegt wird. Somit können UltraEdit, UEStudio und UltraCompare Professional an einem zentralen Ort Zugriff auf die FTP-Zugangsinformationen erhalten, anstatt diese Daten für jede Anwendung separat zu speichern.


Scripting

Skripten (Menü 'Extras/Optionen')

Unter Skripten im Konfigurationsdialog (Menü "Extras/Optionen") findet man folgende Optionen:

Status-Information im Ausgabefenster anzeigen

Bei Aktivierung dieser Option werden alle Informationen zum Status des Skripts einschließlich Skriptnamen, Erfolg oder Mißerfolg der Skriptausführung und allfälligen Fehlermeldungen ins Ausgabefenster geschrieben. Falls diese Option aktiv ist, oder die Eigenschaft "showOutput" = Wahr (was der Standardeinstellung entspricht), werden zwar bei ausgeblendetem Ausgabefenster Daten trotzdem ins Ausgabefenster geschrieben; allerdings wird das Fenster nicht automatisch angezeigt.


Advanced

AutoVervollständigung (Menü 'Extras/Optionen', IDE - IntelliTipps)

Das Unterthema AutoVervollständigung unter IDE - IntelliTips im Konfigurationsdialog (Menü "Extras/Optionen") bietet die folgenden relevanten Optionen in UEStudio:

Symbol-Liste automatisch anzeigen

Bei der Auswahl dieser Option wird das AutoVervollständigungsfenster einschließlich der dazugehörigen Symbole automatisch angezeigt, nachdem die angegebene Anzahl Zeichen gesichert wurde.

Intelligente Leerzeichensetzung nach vervollständigtem Wort

Bei Auswahl dieser Option wird ein Leerzeichen nach dem betreffenden vollständig eingegebenen Wort automatisch gesetzt.

1-Symbol-Liste automatisch vervollständigen

Bei Auswahl dieser Option, und falls die AutoVervollständigungsliste nur einen einzigen passenden Eintrag für die eingetippten Zeichen aufweist, wird das Symbol ohne Bestätigungsabfrage automatisch eingefügt.

»Angehängte« Zeichen bei Auto-Vervollständigung löschen

Bei Aktivierung dieser Option wird bei Auto-Vervollständigung während der Eingabe auf nicht übereinstimmende Zeichen nach dem Cursor geprüft, und nach der Auswahl des vervollständigten Wortes würden die nachfolgenden Zeichen gelöscht. Ein Beispiel: Nehmen wir an, es würde dieser Text gerade eingegeben (»|« stellt den Cursor dar):

ThisIs|Enum

Beim Drücken der ENTER-Taste würde die Auto-Vervollständigung diese Zeichen in »ThisIsVariable« ändern, und die Zeichen »Enum« würden gelöscht.

Diese Funktion deaktivieren für

Diese Option verhindert die Aktivierung der AutoVervollständigung für Text innerhalb Kommentarblöcken oder für Zeichenketten (Strings), wie sie gemäß der verwendeten Wortlistendatei definiert wurden.


Function Tips

Funktionstipps (Menü 'Extras/Optionen', IDE- IntelliTipps)

Der Eintrag Funktionstipps im Konfigurationsdialog unter IDE- IntelliTipps bietet die folgenden Optionen:

Automatisch anzeigen (Erneute Anzeige per Strg+Umschalt+Leertaste)

Funktionstipps zeigen die Parameterlisten von Funktionen automatisch an, nachdem der Funktionsnamen und das erste öffnende Zeichen der Parameterliste (meistens eine öffnende runde Klammer) getippt wurden. Durch Drücken von Strg+Umschalt+Leertaste kann man sie erneut anzeigen.

Funktionstipps-Daten für Funktionsliste verwenden, falls vorhanden

Bei Aktivierung dieser Option wird der eingebaute Parser in UEStudio verwendet, um nach Funktionen in der aktiven Datei zu suchen. Andernfalls werden die in der Wortlistendatei definierten Funktionszeichenketten (Strings) dazu herangezogen. Damit alles richtig funktioniert, muß die zu parsende Datei auch Teil des aktuellen Projekts sein. Außerdem muß die Dateiendung im Konfigurationsdialog bei IDE - Parserdefiniert worden sein — sonst kann UEStudio die Funktionen nicht automatisch parsen. In diesem Fall würden die Funktionszeichenketten in der Wortlistendatei verwendet.


Miscellaneous

Verschiedenes (Menü 'Extras/Optionen', IDE- IntelliTipps)

Folgende Optionen können im Konfigurationsdialog (Menü "Extras/Optionen") unter IDE - IntelliTipps - Verschiedenes eingestellt werden:

Automatisch "]" bzw. ")" nach "[" bzw. "(" einfügen

Die entsprechende schließende Klammer des jeweiligen Klammerformats — d.h. [ ] oder ( ) — wird sofort nach der Eingabe der öffnenden Klammer eingefügt. Die Schreibmarke bzw. der Cursor wird nachher zwischen den Klammern positioniert.

Automatisch "}" nach "{" einfügen

Diese Funktionalität ist der ersten Option ähnlich, arbeitet aber mit geschweiften Klammern.

Intelligente Leerzeichensetzung beim automatischen Einfügen von "}"

Es wird automatisch eine "}" nach Eingabe von "{" eingefügt, jedoch überprüft UEStudio zunächst, ob die erste Klammer eine Initialisierung oder einen Funktionsrumpf bzw. einen C/C++-Bereich (scope) einleitet. Falls es sich um eine Funktion oder einen Bereich handelt, wird zuerst eine Zeilenschaltung vor der schließenden Klammer eingefügt, und die schließende Klammer wird eine Zeile tiefer in der Spalte gemäß der aktuellen Einrückung gesetzt. Falls die öffnende geschweifte Klammer aber eine Initialisierungsliste einleitet, arbeitet die Option genauso wie weiter oben bei Automatisch "}" nach "{" einfügen beschrieben wurde.

'()' beim Vervollständigen einer Funktion einfügen

Bei Aktivierung dieser Option werden runde Klammern — "()" — nach Vervollständigung eines Funktionsnamens automatisch eingefügt. Eine Funktion wird anhand des Namespace gemäß der Ansicht unter "Globals->Functions" bei Aktivierung des Reiters "Tags" in der Baumansicht erkannt.

".." durch "->" ersetzen

Die Einabe von ".." (zwei Punkten) erzeugt automatisch die Zeichenfolge "->" in einer beliebigen Datei, wenn diese Option aktiv ist.Diese Syntaxwird typischerweise in C/C++-Code verwendet, um Mitglieder einer Klasse oder struct über einen Zeiger anstatt direkt über das Objekt (d.h. "class.member") zu referenzieren.

Automatisch Zeilenkommentar in neuer Zeile einfügen

Bei der Eingabe von Text innerhalb eines Zeilenkommentars wird bei einem Zeilenumbruch die neue Zeile automatisch durch Zeilenkommentarzeichen eingeleitet, falls diese Option aktiviert wurde. So muß der Textfluß nicht unterbrochen werden, um Kommentarzeichen händig einzutippen.


Parser

Parser (Menü 'Extras/Optionen', IDE- IntelliTipps)

Im Konfigurationsdialog (Menü "Extras/Optionen") hat man bei IDE- IntelliTipps - Parser folgende Optionen:

Dokumente beim Speichern automatisch neu parsen

Bei Aktivierung dieser Option baut UEStudio die Liste der IntelliTipps jedesmal neu auf., wenn ein Dokument gesichert wird.

Dateien ohne Erweiterung parsen als

Eine Dateiendung kann hier für Dateien angegeben werden, die keine Dateiendung aufweisen.

Keinen Cache für Symbole verwenden

Verhindert das Anlegen eines Cache bzw. temporären Puffers, um die Symbole für das aktuelle Projekt zwischenzuspeichern. Standardmäßig ist diese Option deaktiviert; man sollte sie nur dann aktivieren, wenn der Festplattenspeicher sehr knapp ist.

Der Cache wird im %APPDATA%-Verzeichnis angelegt. Falls der Cache nicht verwendet wird, wird alles jedesmal neu geparst anstattnur jene Dateien, die aufgrund der Abhängigkeiten untereinander bei Änderungen geparst werden müssen. Aus Performance-Gründen sollte der Cache daher immer aktiviert bleiben.

Cache leeren

Bewirkt das Leeren und Neuanlegen des Cache.


Quick Tips

QuickTipps (Menü 'Extras/Optionen', IDE- IntelliTipps)

QuickTipps sind angezeigte Vorschläge für die Vervollständigung eines Worts bereits während der Eingabe auf der Basis von vorher im Dokument vorkommenden Wörtern, die mit den gleichen Buchstaben bzw. Zeichen als in der Eingabe beginnen. Der Text wird rückwärts von der Eingabeposition bis zum Beginn des Dokuments hin durchsucht; das erste passende Wort wird dann als Vorschlag genommen.

Die Optionen für QuickTipps befinden sich im Konfigurationsdialog (Menü "Extras/Optionen") unter IDE- IntelliTipps - QuickTipps:

Anzeigedauer "x" ms

Der eingegebene Wert gibt die Dauer für die Anzeige eines QuickTipps (beim Ausbleiben einer vorherigen Benutzereingabe) in Millisekunden an.

Reichweite "x" Zeichen (der Wert '0' deaktiviert QuickTipps)

Die angegebene Anzahl Zeichen stellen die obere Begrenzung für den vor dem Cursor stehenden Suchbereich dar, aus dem die QuickTipp-Liste gefüllt wird. Standardmäßig wird ein Wert von 100.000 Zeichen vorgegeben.

Abschließen mit Tabulator / Eingabetaste

Diese Option bestimmt die Taste(n), die zur Übernahme des vorgeschlagenen Worts verwendet wird bzw. werden (Tabulator oder Eingabetaste; es ist möglich, beide auszuwählen).


Debugger

Debugger (Menü 'Extras/Optionen', IDE)

Unter dem Thema Debugger im Konfigurationsdialog unter IDEgibt es Optionen zum herunterladen von Debugging-Tools für Windows. Die hier angegebenen Werkzeuge werden direkt von der Microsoft-Webseite heruntergeladen. Weiterführende Informationen können bei http://www.microsoft.com/whdc/devtools/debugging/default.mspx nachgelesen werden.

Download von Debugging-Tools für Windows
"Debugging Tools for Windows" beinhaltet WinDbg — ein mächtiges Werkzeug zum Debuggen mit einer grafischen und einer befehlszeilenorientierter Benutzeroberfläche — sowie die konsolenbasierten Debugger NTSD, CDB und KD. Wählen Sie bitte den ihren Bedürfnissen entsprechenden Eintrag aus und klicken Sie auf "Herunterladen".

Download von Symbol-Packages für Windows

Die Symbol-Packages werden nach Prozessortyp (x86, Itanium und x64) sowie Build-Typ ("retail" oder "checked") aufgeführt. In der überwiegenden Mehrheit der Fälle wird man die "retail"-Symbole brauchen.

WinDbg
WinDbg bietet eine grafische und eine konsolenbasierte Benutzeroberfläche zum Debuggen von Quellcode. Dabei werden die Symbolformate von Microsoft Visual Studio verwendet. Es kann auf alle öffentliche Funktionen und Variablennamen in Modulen zugegriffen werden, die mit Codeview-Symboldateien (*.pdb-Dateien) erstellt wurden.

WinDbg kann Quellen anzeigen, Haltepunkte setzen, Variablen (einschließlich C++-Objekte) untersuchen und überwachen, Aufrufstapel und Speicherbereiche anzeigen. Durch sein spezielles Befehlsfenster kann man eine Vielzahl von Befehlen direkt eingeben, die in den grafischen Kombinationslisten nicht verfügbar sind. Zum Debuggen im Kernel-Modus werden typischerweise zwei Rechner eingesetzt (der Host- und der Zielrechner). Es ist ebenfalls möglich, Remote-Programme im User-Modus zu debuggen.

WinDbgals Standard-Debugger verwenden

Bei Aktivierung dieser Option wird WinDbg als Standard-Debugger eingesetzt.

Postmortem-Debugging aktivieren

Diese Option ermöglicht das Debuggen von fehlerhaften Programmen, die schon produktiv eingesetzt werden.


Xdebug

Herunterladen (Menü »Extras->Optionen«: IDE - Debugger - Xdebug)

Im Abschnitt IDE - Debugger - Xdebug befindet sich ein Unterthema Herunterladen. Hier werden Optionen betreffend des Herunterladens der verschiedenen Zusatzmodule, die für die Funktionalität des in UEStudio integrierten PHP-Debuggers (Xdebug) wichtig sind. Dabei ist es wichtig zu erwähnen, dass der Debug-Client sich wie ein Server verhält, indem er einen Port öffnet, mit dem sich das Debugger-Engine verbinden kann. Es reicht also nicht aus, nur den Debugger zu starten, um eine Debug-Sitzung zu eröffnen — ein Skript mit aktiviertem Debug-Schalter muss dann auch gestartet werden.

Sowohl WampServer (inkl. Apache, PHP, und MySQL) und Xdebug sind für diese Vorgänge notwendig; sie sollten in der unten angegebenen Reihenfolge heruntergeladen und installiert werden:

WampServer für Windows herunterladen

Zur Zeit wird hier nur die Option »WampServer 2.0 für Windows« angeboten. Nachdem man auf die Schaltfläche Herunterladen klickt, werden die entsprechenden Dateien vom Server geholt und auf Ihren Computer gespeichert. Das Download schließt sowohl den Apache-Server, das PHP-Skript-Engine als auch MySQL ein, damit PHP-Skripten lokal zum Testen ausgeführt werden können. Für weitere Informationen bitte die Webseite http://www.wampserver.com/en/ konsultieren.

Nach Wunsch können auch andere Lösungen wie XAMPP (http://www.apachefriends.org/en/xampp.html) anstelle des WampServers für Windows eingesetzt werden; der Apache-Server kann fakultativ auch separat installiert werden. Allerdings haben wir die Erfahrung gemacht, dass der WampServer extrem einfach in der Installation und im Unterhalt auf Windows-Betriebssystemen ist; daher werden wir bei der Beschreibung der Konfiguration von Xdebug für browserbasiertes Debuggen davon ausgehen, dass WampServer installiert ist.

WampServer installieren

Der WampServer wird durch Ausführen der heruntergeladenen .EXE-Datei installiert. Während der Installation wird lediglich abgefragt, an welche E-Mail-Adresse die durch PHP-Mail-Befehle geschickten Nachrichten gesendet werden sollen. Der Server-Name bleibt normalerweise »localhost«.

Nachdem die Installation fertig ist, starten Sie bitte den WampServer und wählen Sie Alle Dienste starten aus dem Kontrollmenü aus:

Nun werden Apache, PHP und MySQL auf Ihrem System gestartet. Um das zu überprüfen, starten Sie bitte eine Instanz des Browsers und geben Sie diese URL ein:

http://localhost/

Der Browser sollte nachher die aktuelle Konfiguration von WampServer sowie die Versionsnummern von Apache, PHP, MySQL und den dazugehörenden Erweiterungen anzeigen.

PHP für Windows herunterladen

Diesen Vorgang brauchen nur Anwederinnen und Anwender ausführen, die mit PHP-Befehlszeilenskripten arbeiten. Für diesen Zweck ist die Installation von Apache und MySQL nicht unbedingt notwendig, und daher wird lediglich das PHP-Skript-Engine heruntergeladen.

PHP installieren

Um PHP auf Ihrem PC zu installieren, sind folgende Schritte nötig:

1. Entpacken Sie die heruntergeladenen Dateien nach C:\php.

2. Kopieren Sie die Datei »php.ini-recommended« nach »php.ini«.

3. Öffnen Sie C:\php\php.ini im Bearbeitungsfenster.

4. Modifizieren Sie die folgenden Zeilen wie angegeben:

upload_tmp_dir="C:\php\upload"

session.save_path="C:\php\session"

cgi.force_redirect=0

extension_dir ="C:\php\ext"

display_errors = Off

log_errors = On

error_log = "C:\php\error_log"

5. Aktivieren Sie die von Ihnen benötigten Erweiterungen (Extensions), abhängig von Ihren Anwendungen, indem Sie den Strichpunkt am Anfang der entsprechenden Zeile entfernen.

Beispiel:

extension=php_bz2.dll

extension=php_curl.dll

6. Auf »Start > Computer« mit der rechten Maustaste klicken.

a. Zuerst »Eigenschaften«, dann »Erweitert« anklicken.

b. Auf »Umgebungsvariablen« klicken.

c. Auf PATH, dann auf »Edit…« klicken. Anschliessend »;C:\php;c:\php\ext« (ohne Zitatzeichen, mit führendem Strichpunkt) ans Ende des Variablenwerts anhängen.

Unter Windows 2000 erlangt man zu dieser Einstellung über »Start->Einstellungen->Systemsteuerung->System« (mit der linken Maustaste), dann auf den Reiter »Erweitert« klicken und nachher wie bei der Beschreibung unter b und c fortfahren.

Xdebug für Windows herunterladen

In der aufklappbaren Liste werden etliche Versionen von Xdebug aufgeführt. Wichtig ist zu merken, welche Version von PHP von der Version von Xdebug unterstützt wird, die gerade heruntergeladen werden soll. Die ausgewählte Version von Xdebug MUSS mit die Version von PHP unterstützen; anderenfalls funktioniert es nicht. Nach einem Klick auf die Schaltfläche Herunterladen werden die Dateien auf Ihr System geladen.

Xdebug installieren

Ist die DLL für Xdebug einmal heruntergeladen worden, sollte sie in das auf Ihrem System entsprechende Verzeichnis der PHP-Erweiterungen kopiert werden. Bei einer Standardinstallation von WampServer wäre dies:

C:\wamp\bin\php\php5.2.6\ext

Nachdem die DLL am richtigen Standort ist, muss die PHP.INI-Datei bearbeitet werden, um mit Xdebug zusammen zu arbeiten. Am Einfachsten geht der Zugriff auf PHP.INI über das Menü vom WampServer:

Da es in den WampServer-Verzeichnissen mehrere PHP.INI-Dateien gibt, bietet diese Vorgehensmethode den einfachsten Weg, um sicherzustellen, dass man auch die richtige PHP.INI-Datei bearbeitet. Nachdem PHP.INI im Bearbeitungsfenster geöffnet wurde, fügen Sie bitte die folgenden Zeilen am Ende der Datei hinzu:

;Xdebug location

zend_extension_ts="C:/wamp/bin/php/php5.2.6/ext/php_xdebug-2.0.3-5.2.5.dll"

Bitte beachten Sie, dass der obige Pfad zur DLL-Datei gemäss den Begebenheiten Ihres Systems angepasst werden muss! Die folgenden Einstellungen für den Debugger müssen ebenfalls am Ende der Datei PHP.INI angehängt werden:

;Xdebug settings

xdebug.remote_autostart = 0

xdebug.remote_enable = 1

Bitte beachten: Falls die Option remote_autostart auf »1« gesetzt ist, würde das Debuggen jedes Mal automatisch anfangen, nachdem der Befehl im Menü Erstellen->Debugger starten gewählt und ein laufendes PHP-Skript von Xdebug gemerkt wurde.

Nachdem die Änderungen gemacht wurden, speichern Sie und schließen Sie die Datei. Um die Änderungen in der Datei PHP.INI zu aktivieren, wählen Sie die Option Alle Dienste neu starten im Menü von WampServer. Nachdem die Dienste neu gestartet sind, sollte man im Browser unter der Adresse http://localhost/ Xdebug als eine der aktiven Erweiterungen aufgeführt sehen.

Für weitere Information über die Anwendung von Xdebug: http://devzone.zend.com/article/2803-Introducing-xdebug.


Miscellaneous

Verschiedenes (Menü »Extras - Optionen«: IDE - Debugger - Xdebug)

Im Abschnitt IDE - Debugger - Xdebug des Konfigurationsdialogs befindet sich das Thema Verschiedenes mit den folgenden Optionen, die sich auf die Funktionalität des integrierten PHP-Debuggers (Xdebug) in UEStudio beziehen:

Starten

Xdebug mit dem aktiven Dokument starten

Bei Auswahl dieser Option wird Xdebug automatisch das aktuelle PHP-Dokument in UEStudio debuggen, nachdem der Befehl Debugger starten aus dem Menü Erstellen gewählt wurde. UEStudio prüft dabei nach, ob das aktive Skript in oder unterhalb des weiter unten definierten Root-Web-Verzeichnisses liegt. Im gegebenen Fall wird der Standard-Browser des Betriebssystems mit dem aktuellen Skript gestartet, das von der Adresse http://localhost/ geöffnet wird. ?XDEBUG_SESSION_NAME=phpTest wird automatisch zur Skript-Adresse hinzugefügt, damit Xdebug es auch debuggen kann.

BITTE BEACHTEN: Der Apache-Server muss bereits laufen, um das zu debuggende Skript im Browser automatisch öffnen zu können; anderenfalls erkennt der Browser die Adresse nicht als gültige URL-Adresse!

Falls das aktive Skript NICHT bereits in oder unterhalb vom Root-Web-Verzeichnis existiert, wird es als Konsolen- bzw. Befehlszeilenskript automatisch gestartet und dementsprechend vom Debugger interpretiert. Dabei wird die Umgebungsvariable ausgelesen, die während der Installation nach dem Herunterladen definiert wurde.

Falls diese Option NICHT ausgewählt ist, müsste das Skript entweder in einem Browser geöffnet, nachdem man den Debug-Schalter ?XDEBUG_SESSION_NAME=phpTest zur URL-Adresse hinzugefügt und den Befehl Debugger starten aus dem Menü Erstellen hat, oder von der Befehlszeile aus gestartet werden (dabei würde die Umgebungsvariable ausgelesen, die vorher für Xdebug definiert wurde), damit UEStudio den laufenden Prozess auf dem vordefinierten Port überwachen kann. Alternativ dazu können die Xdebug-Einstellungen in der Datei PHP.INI gesetzt werden, sodass die Option »remote_autostart« aktiviert ist:

xdebug.remote_autostart = 1

Wenn remote_autostart den Wert »1« aufweist, wird der Debugger beim Starten eines PHP-Skripts nach Auswahl des Befehls »Erstellen->Debugger starten« jedesmal automatisch aktiviert. Dabei muss der Schalter ?XDEBUG_SESSION_NAME=phpTest nicht zur URL-Adresse hinzugefügt werden, um das Debuggen zu ermöglichen.

Root-Web-Verzeichnis

Dieses Feld ist ausgegraut, wenn die erste Option nicht aktiviert wurde. Um als browserbasiertes Skript erkannt zu werden (und um das automatische Öffnen des Skripts bei »localhost« zu ermöglichen), muss hier das Root-Verzeichnis des Web-Servers definiert werden. Bei einer Standardinstallation von WampServer würde dies C:\wamp\www lauten; bei etwaiger Unsicherheit bezüglich des genauen Standorts sollte man im Datesystem nach dem Verzeichnis durchsuchen.

Port

Der Standard-Port für Xdebug ist auf 9000 gesetzt. UEStudio bietet diesen Wert als Standardeinstellung und sollte beibehalten werden, wenn kein zwingender Grund eine Änderung erfordert. Falls Sie diesen Port ändern möchten, beachten Sie bitte, dass Sie den gleichen Wert sowohl in UEStudio als auch in der Datei PHP.INI definieren müssen.


Parser1

Parser (Menü 'Extras/Optionen', IDE)

Unter dem Thema Parser im Konfigurationsdialog (Menü "Extras/Optionen") unterhalb von IDEgibt es eine tabellarische Übersicht über alle Parser und ihre dazugehörenden Dateiendungen:

Schnellsuche

Das Eingabefeld Schnellsuche nimmt sowohl Parsernamen als auch Dateiendungen auf. Beim Suchen nach einem Parser sollte die Bezeichnung in der erwarteten Form eingegeben werden, z.B. "Fortran". Beim Suchen nach einer Dateiendung sollte hingegen dem Text ein Punkt vorangestellt werden, z.B. ".jav". Die Suche ist interaktiv; das heißt, sobald ein Eintrag gefunden wurde, wird die entsprechende Tabellenzeile hervorgehoben. Um die Endungen zu bearbeiten, die für einen bestimmten Parser aufgeführt werden, kann man mit der Maus auf die entsprechende Zeile in der Tabelle doppelklicken.

Ein Drücken der Schaltfläche Vorgaben stellt die Standardeinstellungen für alle Parser wieder her.

Zur Beachtung: Es ist leider nicht möglich, zusätzliche Parser hinzuzufügen, die UEStudio nicht kennt. Die Entwicklungsumgebung unterstützt nur die Bearbeitung der zu den bekannten Parsern gehörenden Dateiendungen.


JavaScript Lint

JavaScript-Lint (Menü »Extras – Optionen«: Integrierte Anwendungen)

Unter dem Abschnitt Integrierte Anwendungen im Konfigurationsdialog befindet sich das Thema JavaScript-Lint mit der folgenden Einstellung:

Vollständiger Pfad für JavaScript-Lint-Konfigurationsdatei

Hier steht anfänglich ein Standardwert, dessen Pfad zu einer Konfigurationsdatei mit Standardeinstellungen führt. Bei Bedarf kann man hier den Pfad zu einer benutzerdefinierten Konfigurationsdatei eingeben. Die Schaltfläche Öffnen lädt die Datei zur Bearbeitung in den Editor.


XML-Fenster

XML-Manager (Menü »Extras/Optionen«)

Das Thema XML-Manager im Konfigurationsdialog bietet die folgenden Optionen:

Textinhalt von Elementen im XML-Manager anzeigen

Falls diese Option aktiviert wird, kann das Einlesen und Analysieren des Dokuments verlangsamt werden. Ausserdem kann der Speicherressourcenverbrauch beim Einlesen von großen Dokumenten merklich erhöht werden.

Auto-Einlesen von XML-Dokumente kleiner als

Bei Aktivierung dieser Option werden XML-Dokumente beim Aktivieren oder beim Speichern automatisch eingelesen und analysiert. Andernfalls kann man das Einlesen des Dokuments durch Klicken im XML-Manager manuell starten. Ausserdem kann man aus dem Kontextmenü nach Klicken mit der rechten Maustaste den Befehl »Dokument einlesen« wählen. Erweiterungen, die in der XML-Wortlistendatei definiert wurden, werden beim Einlesen erkannt und zur Analyse des Dokuments herangezogen.

Durch XML-Manager modifizierte XML-Dokumente automatisch einlesen

Bei Auswahl dieser Option werden alle Dokumente, die vom XML-Manager geändert wurden, automatisch neu eingelesen und analysiert. Alternativ kann im XML-Manager das Einlesen von beliebigen Dokumenten durch Klicken manuell gestartet werden.

Beim Sichern von XML-Dokmenten automatisch einlesen

XML-Dokumente werden beim sichern automatisch eingelesen und analysiert, wenn diese Option aktiv ist. Alternativ kann im XML-Manager das Einlesen von beliebigen Dokumenten durch Klicken manuell gestartet werden.


Befehl 'Codepage/Ländereinstellung' (Extras)

Der Befehl 'Codepage/Ländereinstellung' (Menü 'Extras')

Mit diesem Befehl können Sie die Codepage und Ländereinstellung vorgeben, die bei bestimmten Funktionen des Editors verwendet werden sollen.

Zu Beginn wird die aktuelle Einstellung angezeigt. In allen früheren Versionen wurde für die Codepage und die Ländereinstellung der Eintrag '"C" Standard' verwendet. Hierbei handelt es sich um den Standardwert, solange Sie keinen anderen Wert ausgewählt haben.

Wenn der Eintrag '"C" Standard' ausgewählt wird, gilt er sowohl für die Codepage als auch für die Ländereinstellung.

Wenn der Eintrag 'Systemvorgabe' ausgewählt wird, zeigt der Dialog bei erneutem Aufruf die tatsächlichen Systemvorgaben an.

Die ausgewählte Codepage wird bei der Konvertierung von/nach Unicode verwendet. Auf die Ländereinstellung wird insbesondere im Zusammenhang mit der Sortierfunktion zurückgegriffen.


Befehl 'Textbausteine anzeigen/ändern' (Extras)

Der Befehl 'Textbausteine anzeigen/ändern…' (Menü 'Extras')

Dieser Befehl ruft den Dialog zur Bearbeitung der Textbausteine auf. Bei einem Textbaustein handelt es sich um einen vordefinierten Text, der zu einem späteren Zeitpunkt automatisch aufgerufen und in eine Datei eingefügt werden kann.

Es können bis zu 50 Textbausteine definiert werden. Die ersten 20 Textbausteine lassen sich über eine der Tastenkombinationen für den Schnellzugriff aufrufen: Alt+0 bis Alt+9 und Alt+Umschalt+0 bis Alt+Umschalt+9. Außerdem können Sie über den Dialog 'Textbaustein einfügen' auf jeden Textbaustein zurückgreifen.

Jedem Textbaustein kann optional ein Name zugeordnet werden, der dann als QuickTipp sowohl in der Symbolleiste als auch beim Einfügen eines Textbausteins innerhalb der Auflistung der Textbausteine angezeigt wird.

Die Textbausteine werden in einer Datei gespeichert, die sich im Standardverzeichnis bzw. in dem auf der Registerkarte 'Optionen | Verzeichnisse' angegebenen Verzeichnis für Textbausteine befindet.

Ein Textbaustein kann folgende spezielle Zeichenfolgen enthalten, die zum Zeitpunkt des Bausteinaufrufs durch den entsprechenden Inhalt ersetzt werden:

Symbol | Beschreibung
[DATE_DMY] | das aktuelle Datum im Format TAG/MONAT/JAHR
[DATE_MDY] | das aktuelle Datum im Format MONAT/TAG/JAHR
[DATE_TEXT] | das aktuelle Datum mit dem Datum als Text
[TIME] | die aktuelle Uhrzeit im 24-STUNDEN-Format
^ | die Position, an die der Cursor nach dem Einfügen des Textbausteins gebracht werden soll
[FULL_FILE_NAME] | der volle Pfad- und Dateinmae der aktiven Datei
[FILE_PATH] | der Laufwerksbuchstabe und Pfad der aktiven Datei
[FILE_NAME] | der Dateiname der aktiven Datei
[FILE_EXTENSION] | die Endung der aktiven Datei
[FILE_EXTENSION_NP] | Gibt die Dateinamenerweiterung des aktiven Dokuments ohne den vorangestellten Punkt zurück (z.B.: "txt").
[$REPLACE$] | Wird durch den im aktiven Dokument markierten Text ersetzt. Beim Einfügen des Textbausteins wird die Auswahl in Großbuchstaben umgewandelt.
[$replace$] | Wird durch den im aktiven Dokument markierten Text ersetzt. Beim Einfügen des Textbausteins bleibt die aktuelle Schreibweise der Auswahl erhalten.

Hinweis: ^ bezieht sich auf das Zeichen '^' nicht auf die Taste Strg+Wert.

Formatierung von Uhrzeit und Datum

Uhrzeit

Für das benutzerdefinierte Uhrzeitformat verwenden Sie folgende Syntax im Textbaustein:

  • Markierungen für die Ortszeit:
    [TIME_USER]    Zeichenkette für das Uhrzeitformat[TIME_USER_END]

  • Markierungen für die Systemzeit:
    [TIME_USER_SYS]    Zeichenkette für das Uhrzeitformat[TIME_USER_SYS_END]

Formatierung der Uhrzeit

Wenn Sie Leerzeichen verwenden, um die Elemente in der Formatierungszeichenkette voneinander zu trennen, erscheinen diese Leerzeichen an der gleichen Stelle im Textbaustein. Die Groß-/Kleinschreibung der Buchstaben muss wie dargestellt eingehalten werden (z.B. ss und nicht SS). Von einfachen Anführungszeichen umgebene Zeichen in der Formatierungszeichenkette erscheinen an der gleichen Stelle und unverändert im Textbaustein. Folgende Elemente stehen für die Formatierung der Uhrzeit zur Verfügung:

Symbol | Beschreibung
h | Stunden ohne führende Null bei einstelliger Stundenangabe; 12-Stunden-Uhr
hh | Stunden mit führender Null bei einstelliger Stundenangabe; 12-Stunden-Uhr
H | Stunden ohne führende Null bei einstelliger Stundenangabe; 24-Stunden-Uhr
HH | Stunden mit führender Null bei einstelliger Stundenangabe; 24-Stunden-Uhr
m | Minuten ohne führende Null bei einstelliger Minutenangabe
mm | Minuten mit führender Null bei einstelliger Minutenangabe
s | Sekunden ohne führende Null bei einstelliger Sekundenangabe
ss | Sekunden mit führender Null bei einstelliger Sekundenangabe
t | Einzelnes Zeichen für die Zeitkennzeichnung, beispielsweise A oder P
tt | Mehrere Zeichen für die Zeitkennzeichnung, beispielsweise AM oder PM

Beispiel:

"hh':'mm':'ss tt" zeigt die Uhrzeit in der Form '11:29:40 PM' an.

Diese Zeichenkette muss zwischen den Markierungen stehen; für das Beispiel also:

[TIME_USER]hh':'mm':'ss tt[TIME_USER_END]

Datum

Für das benutzerdefinierte Datumsformat verwenden Sie folgende Syntax im Textbaustein:

  • Markierungen für das lokale Datum:
    [DATE_USER]    Zeichenkette für das Datumsformat[DATE_USER_END]

  • Markierungen für das Systemdatum:
    [DATE_USER_SYS]    Zeichenkette für das Datumsformat[DATE_USER_SYS_END]

Formatierung des Datums

Wenn Sie Leerzeichen verwenden, um die Elemente in der Formatierungszeichenkette voneinander zu trennen, erscheinen diese Leerzeichen an der gleichen Stelle im Textbaustein. Die Groß-/Kleinschreibung der Buchstaben muss wie dargestellt eingehalten werden (beispielsweise MM und nicht mm). Von einfachen Anführungszeichen umgebene Zeichen in der Formatierungszeichenkette erscheinen an der gleichen Stelle und unverändert im Textbaustein. Folgende Elemente stehen für die Formatierung des Datums zur Verfügung:

Symbol | Beschreibung
d | Tag des Monats als Ziffer ohne vorangestellte Null bei einstelligen Tagen
dd | Tag des Monats als Ziffer mit vorangestellter Null bei einstelligen Tagen
ddd | Tag der Woche als Abkürzung mit 3 Buchstaben
dddd | Tag der Woche als vollständiger Name
M | Monat als Ziffer ohne vorangestellte Null bei einstelligen Monaten
MM | Monat als Ziffer mit vorangestellter Null bei einstelligen Monaten
MMM | Monat als Abkürzung mit 3 Buchstaben
MMMM | Monat als vollständiger Name
y | Jahr mit den letzten beiden Ziffern; ohne vorangestellte Null bei Jahren unter 10
yy | Jahr mit den letzten beiden Ziffern; mit vorangestellter Null bei Jahren unter 10
yyyy | Jahr mit allen 4 Ziffern

Beispiel:

"ddd',' dd'.' MMM yy" zeigt das Datum in der Form 'Mit, 31. Aug 99' an.

Diese Zeichenkette muss zwischen den Markierungen stehen; für das Beispiel also:

[DATE_USER]ddd',' dd'.' MMM yy[DATE_USER_END]


Befehl 'DOS-Befehl' (Extras)

Der Befehl 'DOS-Befehl…' (Menü 'Extras')

Mit diesem Befehl lässt sich ein DOS-Befehl von UltraEdit aus ausführen, wobei die Ausgaben des Befehls aufgezeichnet und bei Beendigung des Befehls automatisch in UltraEdit angezeigt werden.

Es wird ein Dialog angezeigt, in dem der Befehl (mittels der Schaltfläche Durchsuchen) sowie das Arbeitsverzeichnis (nur unter UltraEdit-32) bestimmt werden können.

Die angegebene Befehlszeile sollte den vollständigen Pfad der auszuführenden Datei enthalten, es sei denn, es handelt sich bei ihr um einen Systembefehl (wie 'DIR') oder sie befindet sich im Windows-Verzeichnis oder im Windows-Systemverzeichnis.

Als Arbeitsverzeichnis sollte der vollständige Pfad des Arbeitsverzeichnisses angegeben werden; falls keines erforderlich ist, sollte das Feld frei bleiben.

Um eine größtmögliche Flexibilität für die auszuführenden Programme zu gewährleisten, ist eine besondere Befehlszeilensequenz möglich, mittels der sich der Name der aktiven Datei in die Befehlszeile einfügen und an das auszuführende Programm übergeben lässt.

Beispiel:

Sie richten einen Befehl zum Starten eines Compilers ein und möchten den Compiler mit der Datei aufrufen, die Sie gerade bearbeiten. Wenn Sie die Datei wechseln, möchten Sie, dass der Compiler mit der neuen Datei aufgerufen wird. Der Compiler heißt c:\comp\compiler.

Dazu muss folgender Befehl im Dialog angegeben werden:

c:\comp\compiler %F

Sobald der Befehl ausgeführt wird, wird der Parameter %F durch den vollständigen Verzeichnispfad mit dem Dateinamen und der Dateiendung des aktiven Fensters ersetzt. Vor der Ausführung des Befehls wird die Datei gespeichert.

Mit folgenden Parametern lassen sich Teile des vollständigen Dateinamens übergeben:

  • %P Nur der Pfad: 'C:\projekt\test\'
  • %N Nur der Name der Datei: 'test'
  • %E Nur die Dateiendung: '.c'

%P%N%E entspricht also %F – für dieses Beispiel also: 'C:\projekt\test\test.c'

Hinweis: Wenn %f, %p, %n und %e als Kleinbuchstaben angegeben werden, werden die Dateinamen als lange Dateinamen übergeben und sollten in Anführungszeichen gesetzt werden; z.B. "%f" oder "%p%n" etc. Wenn %F, %P, %N, %E als Großbuchstaben angegeben werden, werden Dateinamen und Pfade als kurze Dateinamen im 8.3-Format übergeben, um eine größtmögliche Kompatibilität zu DOS-Programmen zu gewährleisten.

Weiterhin stehen folgende Parameter zur Verfügung:

  • %R

Kann für den vollständigen Pfad/Namen des Projekts verwendet werden (%r für den langen Namen, %R für den kurzen Namen).
  • %RP

Kann für den Projektpfad verwendet werden (%rp für den langen Namen, %RP für den kurzen Namen)
  • %RN

Kann für den Projektnamen verwendet werden (%rn für den langen Namen, %RN für den kurzen Namen)
  • %modify%

Manchmal kann es notwendig sein, die Befehlszeilenparameter bei jedem Ablauf des Hilfsprogramms anzupassen. Fügen Sie dazu %modify% in die Befehlszeile ein. Beim Aufruf des Hilfsprogramms erscheint dann ein Dialog, in dem Sie die Befehlszeile anpassen oder ohne Änderungen ausführen können.
  • %sel%

Hiermit wird UltraEdit angewiesen, den markierten/ausgewählten Text aus der aktiven Datei an die Stelle %sel% in die Befehlszeile zu übernehmen.
  • %Env:

Hiermit können Sie eine Umgebungsvariable für den Befehl angeben. Die Umgebungsvariable folgt direkt auf %Env: und UltraEdit ersetzt die Variable durch den Inhalt der entsprechenden Umgebungsvariable.
  • %line%

Hiermit wird UltraEdit angewiesen, die Zeilenposition des Cursors an die Stelle %line% in der Befehlszeile einzufügen; 1 entspricht der ersten Zeile.
  • %col%

Hiermit wird UltraEdit angewiesen, die Spaltenposition des Cursors an die Stelle %col% in die Befehlszeile einzufügen; 1 entspricht der ersten Spalte.

Die Ausgaben des Befehls werden aufgezeichnet und in einem Fenster angezeigt, sobald der Befehl abgeschlossen ist.

Da die Ausgaben von DOS-Programmen manchmal vom Betriebssystem zwischengespeichert werden, kann dieser Vorgang mit einem Programm, das während des Ablaufes Interaktionen erfordert, unter Umständen nicht richtig funktionieren. Die Eingabeaufforderungen erscheinen dann nicht zum richtigen Zeitpunkt auf dem Bildschirm und Sie werden sich wundern, warum nichts passiert.

Die Ausgaben werden immer erfasst. Bei einem Programm, das keine Konsolenausgaben in der DOS-Ausgabe erzeugt, kann es daher vorkommen, dass UltraEdit entsprechend der leeren Aufzeichnung ein leeres Fenster anzeigt.

Wenn die Option DOS-Fenster anzeigen aktiviert ist, wird bei der Ausführung des Befehls ein DOS-Fenster angezeigt. Andernfalls bleibt das Fenster verborgen.

Der Befehl Letzter DOS-Befehl wiederholt den letzten mit dem Dialog für den DOS-Befehl angegebenen Befehl, ohne den Dialog anzuzeigen.

Hinweis: Falls die Aufzeichnung der Ausgabe oder der Befehl nicht richtig funktioniert, können Sie mit dem Befehl Erfassungsverfahren umschalten aus dem Menü 'Extras' eine alternatives Verfahren ausprobieren (nur in der 32-Bit-Version).


Befehl 'Windows-Programm starten' (Extras)

Der Befehl 'Windows-Programm starten…' (Menü 'Extras')

Mit diesem Befehl lässt sich ein Windows-Programm von UltraEdit aus ausführen, wobei die Ausgaben nicht aufgezeichnet werden.

Es wird ein Dialog angezeigt, in dem der Befehl (mittels der Schaltfläche Durchsuchen) sowie das Arbeitsverzeichnis (nur unter UltraEdit-32) bestimmt werden können.

Die angegebene Befehlszeile sollte den vollständigen Pfad der auszuführenden Datei enthalten, es sei denn sie befindet sich im Windows-Verzeichnis oder im Windows-Systemverzeichnis.

Als Arbeitsverzeichnis sollte der vollständige Pfad des Arbeitsverzeichnisses angegeben werden; falls keines erforderlich ist, sollte das Feld frei bleiben.

Um eine größtmögliche Flexibilität für die auszuführenden Programme zu gewährleisten, ist eine besondere Befehlszeilensequenz möglich, mittels der sich der Name der aktiven Datei in die Befehlszeile einfügen und an das auszuführende Programm übergeben lässt.

Beispiel:

Sie richten einen Befehl zum Starten eines Compilers ein und möchten den Compiler mit der Datei aufrufen, die Sie gerade bearbeiten. Wenn Sie die Datei wechseln, möchten Sie, dass der Compiler mit der neuen Datei aufgerufen wird. Der Compiler heißt c:\comp\compiler.

Dazu muss folgender Befehl im Dialog angegeben werden:

c:\comp\compiler %F

Sobald der Befehl ausgeführt wird, wird der Parameter %F durch den vollständigen Verzeichnispfad mit dem Dateinamen und der Dateiendung des aktiven Fensters ersetzt. Vor der Ausführung des Befehls wird die Datei gespeichert.

Mit folgenden Parametern lassen sich Teile des vollständigen Dateinamens übergeben:

  • %P Nur der Pfad: 'C:\projekt\test\'
  • %N Nur der Name der Datei: 'test'
  • %E Nur die Dateiendung: '.c'

%P%N%E entspricht also %F – für dieses Beispiel also: 'C:\projekt\test\test.c'

Hinweis: Wenn %f, %p, %n und %e als Kleinbuchstaben angegeben werden, werden die Dateinamen als lange Dateinamen übergeben und sollten in Anführungszeichen gesetzt werden; z.B. "%f" oder "%p%n" etc. Wenn %F, %P, %N, %E als Großbuchstaben angegeben werden, werden Dateinamen und Pfade als kurze Dateinamen im 8.3-Format übergeben, um eine größtmögliche Kompatibilität zu DOS-Programmen zu gewährleisten.

Weiterhin stehen folgende Parameter zur Verfügung:

  • %R

Kann für den vollständigen Pfad/Namen des Projekts verwendet werden (%r für den langen Namen, %R für den kurzen Namen).
  • %RP

Kann für den Projektpfad verwendet werden (%rp für den langen Namen, %RP für den kurzen Namen)
  • %RN

Kann für den Projektnamen verwendet werden (%rn für den langen Namen, %RN für den kurzen Namen)
  • %modify%

Manchmal kann es notwendig sein, die Befehlszeilenparameter bei jedem Ablauf des Hilfsprogramms anzupassen. Fügen Sie dazu %modify% in die Befehlszeile ein. Beim Aufruf des Hilfsprogramms erscheint dann ein Dialog, in dem Sie die Befehlszeile anpassen oder ohne Änderungen ausführen können.
  • %sel%

Hiermit wird UltraEdit angewiesen, den markierten/ausgewählten Text aus der aktiven Datei an die Stelle %sel% in die Befehlszeile zu übernehmen.
  • %Env:

Hiermit können Sie eine Umgebungsvariable für den Befehl angeben. Die Umgebungsvariable folgt direkt auf %Env: und UltraEdit ersetzt die Variable durch den Inhalt der entsprechenden Umgebungsvariable.
  • %line%

Hiermit wird UltraEdit angewiesen, die Zeilenposition des Cursors an die Stelle %line% in der Befehlszeile einzufügen; 1 entspricht der ersten Zeile.
  • %col%

Hiermit wird UltraEdit angewiesen, die Spaltenposition des Cursors an die Stelle %col% in die Befehlszeile einzufügen; 1 entspricht der ersten Spalte.

Zum Ausführen von DOS-Programmen steht der Befehl DOS-Befehl zur Verfügung.


Befehl 'Erfassungsverfahren umschalten' (Extras)

Der Befehl 'Erfassungsverfahren umschalten' (Menü 'Extras')

Dieser Befehl wechselt auf ein alternatives Verfahren zum Erfassen der Ausgaben einer von UltraEdit aus ausgeführten DOS- oder Konsolenanwendung. Unter Windows 95 laufen einige Anwendungen nicht richtig oder erfassen die Ausgaben nicht richtig, wenn das Standardverfahren verwendet wird.

Der wesentliche Unterschied besteht darin, dass dieses alternative Verfahren die Ausgaben des Befehls während des Ausführens nicht im DOS-Fenster anzeigt.

Mit diesem Verfahren lassen sich einige Probleme beheben, die von Benutzern beobachtet wurden.


Befehl 'Werkzeug-Konfiguration' (Extras)

Der Befehl 'Werkzeug-Konfiguration...' (Menü 'Extras')

In UltraEdit lassen sich bis zu zehn benutzerdefinierte Menüeinträge mit Befehlen nach eigener Wahl festlegen. Zusätzlich lassen sich mit Hilfe des Befehls Projektwerkzeug-Konfiguration, der auf dieselbe Weise funktioneirt, bis zu zehn Hilfsprogramme für das aktive Projekt konfigurieren.

Bei den konfigurierten Werkzeugen/Befehlen kann es sich um beliebige DOS- oder Windows-Befehle handeln, die nach ihrer Einrichtung im unteren Teil des Menüs 'Extras' erscheinen.

Nach Aufruf des Befehls Werkzeug-Konfiguration wird ein Dialog angezeigt, in dem Sie die Befehlszeile und Eigenschaften für jeden seiner gewählten Befehle definieren können.

Die Bedienelemente

Befehlszeile

In dieses Feld geben Sie die eigentliche aufzurufende Befehlszeile ein. Sie kann den Parameter %F enthalten, der für den vollständigen Pfad und Dateinamen der aktivem Datei steht. Falls Änderungen durchgeführt wurden, wird die Datei zuerst gespeichert.

Beispiel:

Sie richten einen Befehl zum Starten eines Compilers ein und möchten den Compiler mit der Datei aufrufen, die Sie gerade bearbeiten. Wenn Sie die Datei wechseln, möchten Sie, dass der Compiler mit der neuen Datei aufgerufen wird. Der Compiler heißt c:\comp\compiler.

Dazu muss folgender Befehl im Dialog angegeben werden:

c:\comp\compiler %F

Sobald der Befehl ausgeführt wird, wird der Parameter %F durch den vollständigen Verzeichnispfad mit dem Dateinamen und der Dateiendung des aktiven Fensters ersetzt. Vor der Ausführung des Befehls wird die Datei gespeichert.

Mit folgenden Parametern lassen sich Teile des vollständigen Dateinamens übergeben:

  • %P Nur der Pfad: 'C:\projekt\test\'
  • %N Nur der Name der Datei: 'test'
  • %E Nur die Dateiendung: '.c'

%P%N%E entspricht also %F &endash; für dieses Beispiel also: 'C:\projekt\test\test.c'

Hinweis: Wenn %f, %p, %n und %e als Kleinbuchstaben angegeben werden, werden die Dateinamen als lange Dateinamen übergeben und sollten in Anführungszeichen gesetzt werden; z.B. "%f" oder "%p%n" etc. Wenn %F, %P, %N, %E als Großbuchstaben angegeben werden, werden Dateinamen und Pfade als kurze Dateinamen im 8.3-Format übergeben, um eine größtmögliche Kompatibilität zu DOS-Programmen zu gewährleisten.

Weiterhin stehen folgende Parameter zur Verfügung:

  • %R

Kann für den vollständigen Pfad/Namen des Projekts verwendet werden (%r für den langen Namen, %R für den kurzen Namen).

  • %RP

Kann für den Projektpfad verwendet werden (%rp für den langen Namen, %RP für den kurzen Namen)

  • %RN

Kann für den Projektnamen verwendet werden (%rn für den langen Namen, %RN für den kurzen Namen)

  • %modify%

Manchmal kann es notwendig sein, die Befehlszeilenparameter bei jedem Ablauf des Hilfsprogramms anzupassen. Fügen Sie dazu %modify% in die Befehlszeile ein. Beim Aufruf des Hilfsprogramms erscheint dann ein Dialog, in dem Sie die Befehlszeile anpassen oder ohne Änderungen ausführen können.

  • %sel%

Hiermit wird UltraEdit angewiesen, den markierten/ausgewählten Text aus der aktiven Datei an die Stelle %sel% in die Befehlszeile zu übernehmen.

  • %Env:

Hiermit können Sie eine Umgebungsvariable für den Befehl angeben. Die Umgebungsvariable folgt direkt auf %Env: und UltraEdit ersetzt die Variable durch den Inhalt der entsprechenden Umgebungsvariable.

  • %line%

Hiermit wird UltraEdit angewiesen, die Zeilenposition des Cursors an die Stelle %line% in der Befehlszeile einzufügen; 1 entspricht der ersten Zeile.

  • %col%

Hiermit wird UltraEdit angewiesen, die Spaltenposition des Cursors an die Stelle %col% in die Befehlszeile einzufügen; 1 entspricht der ersten Spalte.

Durchsuchen

Klicken Sie auf diese Schaltfläche, um das in der Befehlszeile zu verwendende Werkzeug mit Hilfe des Dateidialogs auszuwählen.

Arbeitsverzeichnis

Dies ist das Arbeitsverzeichnis [3] für den betreffenden Befehl. Der Prozess wird mit diesem Verzeichnis als Arbeitsverzeichnis gestartet, falls anwendbar. Wie oben erwähnt, kann mit %p der Pfad dem Befehl übergeben werden. Bitte beachten Sie, dass UltraEdit das Arbeitsverzeichnis speziell behandelt und man daher keine Zitatzeichen in diesem Fall verwenden sollte (d.h. %p anstatt "%p").

Falls doch Zitatzeichen eingegeben würden, würde höchstwahrscheinlich die Fehlermeldung »Fehler beim Erzeugen des Prozesses 267« angezeigt -- was bedeutet, dass das angegebene Arbeitsverzeichnis ungültig ist.

Durchsuchen

Klicken Sie auf diese Schaltfläche, um das Arbeitsverzeichnis mit Hilfe eines Dialogs auszuwählen.

Bezeichnung für Menüeintrag

In dieses Feld geben Sie den Namen des Menüeintrages ein, wie er im Menü 'Extras' erscheint.

Markieren, falls Windows-Programm

Dieses Kontrollkästchen muss aktiviert werden, falls das in der Befehlszeile aufzurufende Programm eine Windows-Anwendung ist.

Erst alles speichern

Wenn dieses Kontrollkästchen markiert ist, werden vor dem Ausführen des Werkzeugs alle offenen Dateien gespeichert.

Aktive Datei erst speichern

Wenn dieses Kontrollkästchen markiert ist, wird die aktive Datei vor dem Ausführen des Werkzeugs gespeichert. Andernfalls wird sie nicht gespeichert (es sei denn, die Option Erst alles speichern ist aktiv).

Befehlsausgabe (nur DOS-Befehle)

Die Ausgaben eines DOS-Befehls können optional in einer Datei aufgezeichnet werden. Dazu muss das Kontrollkästchen Ausgabe aufzeichnen aktiviert sein. Es stehen folgende vier Aufzeichnungsmodi zur Verfügung:

  • An vorhandene anhängen
    Hängt die Ausgabe an eine vorhandene Datei an. Falls sie noch vorhanden ist, wird die Ausgabedatei neu erstellt.

  • Vorhandene ersetzen
    Ersetzt eine gegebenenfalls vorhandene Ausgabedatei durch eine neue Datei.

  • Neue Datei erstellen
    Erstellt bei jeder Ausführung des Befehls eine neue Ausgabedatei.

  • Ausgabe in Listenfeld
    Die Ausgabe erfolgt in einem Listenfenster (     Ausgabefenster ), das es Ihnen ermöglicht, einen Doppelklick auf einer Zeile der erfassten Ausgabe durchzuführen, woraufhin UltraEdit versucht, die der angegebenen Zeile entsprechende Datei zu öffnen.

Da sich mehrere Befehle konfigurieren lassen, ist es gut möglich, dass Sie sich für einige Befehle wünschen, dass sie grundsätzlich eine neue Datei erstellen, während andere Befehle die vorhandene Datei ersetzen (oder durch Anhängen erweitern) sollen. Deshalb erstellt jeder Aufzeichnungsmodus (anhängen, ersetzen, neu) gegebenenfalls eine neue, eigene Datei für den jeweiligen Modus. Bei jeder Ausführung eines Befehls wird die Datei für den angegebenen Aufzeichnungsmodus dann erweitert, ersetzt oder neu erstellt.

DOS-Fenster anzeigen

Wenn dieses Kontrollkästchen markiert ist, wird während der Ausführung des Werkzeugs ein DOS-Fenster angezeigt; andernfalls bleibt das DOS-Fenster verborgen.

Ausgabe aufzeichnen

Wenn dieses Kontrollkästchen markiert ist, werden die Befehlsausgaben von DOS-Befehlen erfasst und aufgezeichnet.

Befehlsliste

Die Befehlsliste führt die konfigurierten Befehle auf. Durch Doppelklick auf einen Befehl in dieser Liste werden die Konfigurationselemente mit den Parametern dieses Befehls vorbesetzt und können angepasst werden. Um die Änderungen zu übernehmen, müssen Sie auf die Schaltfläche Ersetzen zum Überschreiben des vorhandenen Befehls oder Einfügen zum Erzeugen eines neuen Befehls klicken.

Wenn Sie einen Eintrag anklicken, können Sie ihn durch Drücken der Taste Entf löschen.

Anforderungen für DOS-Befehle:

Für DOS-Befehle ist es erfordlich, dass je nach Betriebssystem bestimmte Dateien vorhanden sind:

  • Windows 95 erfordert das Vorhandensein der Datei COMMAND.COM im Windows-Verzeichnis.
  • Windows NT erfordert das Vorhandensein der Datei CMD.EXE im Pfad.
  • Windows 3.x erfordert das Vorhandensein der Datei DOSPRMPT.PIF im Windows-Verzeichnis.

Erweitert

Diese Schaltfläche ermöglicht die Angabe folgender weiterer Einstellungen für jedes Werkzeug:

Werkzeug-Symbol (Dateipfad)

In diesem Feld können Sie eine den Dateinamen (*.BMP, *.ICO) für das Symbol angeben, das in der Symbolleiste für das aktuell ausgewählte Werkzeug verwendet werden soll.

Durchsuchen

Mit dieser Schaltfläche können Sie nach der Symbol-Datei suchen. Das Symbol wird automatisch skaliert, sodass es auf die Symbolleiste passt. Eine ausgewählte Datei sollte nur eine einzige Bitmap bzw. ein einziges Icon (Symbol) enthalten.

Markierten Text ersetzen durch

Mit diesen Optionen legen Sie fest, ob der aktuell markierte Text nach der Ausführung des Werkzeugs die Erfasste Ausgabe oder den Inhalt der Zwischenablage ersetzen soll (bzw. an der Cursor-Position eingefügt werden soll, falls kein Text markiert ist) oder ob die Ausgaben &endash; bei der Option Nicht ersetzen &endash; ganz normal angezeigt werden sollen.

Hinweis: Falls die Aufzeichnung der Ausgabe oder der Befehl nicht richtig funktioniert, können Sie mit

dem Befehl Erfassungsverfahren umschalten ein alternatives Verfahren ausprobieren (nur in der 32-Bit Version).

Befehl Erfassungsverfahren umschalten


Befehle im Menü 'Fenster'

Die Befehle im Menü 'Fenster'

Das Menü 'Fenster' stellt folgende Befehle bereit, die es Ihnen ermöglichen, verschiedene Ansichten mehrerer Dateien im Anwendungsfenster anzuordnen:

Neues Fenster | Erstellt ein zweites Fenster mit derselben Datei.
Überlappend | Zeigt die Fenster einander überlappend (kaskadierend) an.
Untereinander | Zeigt die Fenster untereinander an.
Nebeneinander | Zeigt die Fenster nebeneinander an.
Nächstes Fenster | Aktiviert das nächste Fenster.
Vorheriges Fenster | Aktiviert das vorherige Fenster.
Symbole anordnen | Ordnet die Symbole der geschlossenen Fenster an.
Nächster Dateireiter | Aktiviert den nächsten Dateireiter.
Vorheriger Dateireiter | Aktiviert den vorhergehenden Dateireiter.
Fenster teilen | Teilt die Anzeige der aktiven Datei in zwei Bereiche, damit Sie die Datei an zwei verschiedenen Stellen gleichzeitig bearbeiten können.
Alle Fenster minimieren | Minimiert alle geöffneten Dateien.
Alle Dateien schließen | Schließt alle offenen Dateien.
Ausgabefenster ein/aus | Blendet das Ausgabefenster ein/aus.
Datei in Browser anzeigen | Zeigt die aktive Datei im Web-Browser an.
Synchronisiertes Scrolling | Synchronisiert das vertikale Scrolling für alle nicht minimierten Fenster.
Nächstes Unterfenster | bewegt den Fokus in der Reihenfolge des nächsten aktiven Unterfensters
Vorheriges Unterfenster | bewegt den Fokus in der Reihenfolge des vorherigen aktiven Unterfensters
Fenster 1, 2, ... | Wechselt zum jeweiligen Fenster.


Befehl 'Neues Fenster' (Fenster)

Der Befehl 'Neues Fenster' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um ein neues Fenster mit demselben Inhalt wie das aktive Fenster zu öffnen. Sie können mehrere Fenster mit derselben Datei öffnen, um verschiedene Abschnitte oder Ansichten der Datei gleichzeitig anzuzeigen. Wenn Sie den Inhalt eines Fensters verändern, finden diese Änderungen auch in allen anderen Fenstern dieser Datei statt. Wenn Sie ein neues Fenster öffnen, wird es zum aktiven Fenster und im Vordergrund vor allen anderen Fenstern dargestellt.


Befehl 'Überlappend' (Fenster)

Der Befehl 'Überlappend' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um mehrere offene Fenster überlappend/kaskadiert anzuordnen.


Befehl 'Untereinander' (Fenster)

Der Befehl 'Untereinander' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um mehrere offene Dateifenster untereinander (horizontal) anzuordnen.


Befehl 'Nebeneinander' (Fenster)

Der Befehl 'Nebeneinander' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um mehrere offene Fenster nebeneinander (vertikal) anzuordnen.


Befehl 'Nächstes Fenster' (Fenster)

Der Befehl 'Nächstes Fenster' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um auf das nächste offene Dateifenster zu wechseln. UltraEdit ermittelt das nächste Fenster anhand der Reihenfolge, in der Sie die Fenster geöffnet haben.

Schnellzugriff

Tastatur: Strg+F6 oder Strg+Tabulator


Befehl 'Vorheriges Fenster' (Fenster)

Der Befehl 'Vorheriges Fenster' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um auf das vorhergehende Fenster einer offenen Datei zu wechseln. UltraEdit ermittelt das vorherige Fenster anhand der Reihenfolge, in der Sie die Fenster geöffnet haben.

Schnellzugriff

Tastatur: Strg+Umschalt+F6 oder Strg+Umschalt+Tab


Befehl 'Symbole anordnen' (Fenster)

Der Befehl 'Symbole anordnen' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um die Symbole von minimierten Dateifenstern am unteren Rand des Hauptfensters anzuordnen. Wenn das Fenster einer offenen Datei unten im Hauptfenster angezeigt wird, sind möglicherweise einige oder sämtliche Symbole nicht zu sehen, weil sie sich unterhalb dieses Dateifensters befinden.


Befehl 'Alle Dateien schließen' (Fenster)

Der Befehl 'Alle Dateien schließen' (Menü 'Fenster')

Verwenden Sie diesen Befehl, um alle Fenster zu schließen. UltraEdit schlägt Ihnen vor, geänderte Dateien vor dem Schließen zu speichern. Wenn Sie eine geänderte Datei schließen, ohne sie zu speichern, gehen sämtliche Änderungen seit der letzten Speicherung verloren. Bevor eine unbenannte (neue) Datei geschlossen wird, zeigt UltraEdit den Dialog 'Speichern unter' an und fordert Sie damit zur Benennung und Speicherung der Datei auf.


Befehl 'Datei in Browser anzeigen' (Fenster)

Der Befehl 'Datei in Browser anzeigen' (Menü 'Fenster')

Dieser Befehl ermöglicht es, die aktive Datei im standardmäßigen Web-Browser anzuzeigen. Damit dieser Befehl funktioniert, muss erstens ein Web-Browser installiert sein und müssen zweitens die Dateitypen/Endungen im Explorer/Dateimanager registriert sein. Die verwendeten Dateitypen/Endungen sind '.HTML' in der 32-Bit Version und '.HTM' in der 16-Bit Version.

Nach Auswahl des Befehls erstellt UltraEdit eine temporäre Kopie der Datei und ruft den Standard-Browser mit dieser Datei auf. Die temporäre Datei wird gelöscht, wenn die Originaldatei geschlossen wird oder der Benutzer den Browser erneut mit derselben Datei aufruft.

Dieser Befehl greift auf die Shell Extensions zurück. Zum Anzeigen der Datei wird die standardmäßig mit der Dateiendung verknüpfte Anwendung verwendet. Falls die Dateiendung nicht mit dem Browser verknüpft ist, wird die Datei nicht im Browser angezeigt.


Befehl 'Synchronisiertes Scrolling' (Fenster)

Der Befehl 'Synchronisiertes Scrolling' (Menü 'Fenster')

Wenn diese Menüoption aktiviert ist, führt UltraEdit einen Bildlauf (Scrolling) in sämtlichen nicht minimierten Dokumentenfenstern gleichzeitig durch, sobald in einem der Fenster ein vertikaler Bildlauf durchgeführt wird. Damit ist es möglich, zwei oder mehrere Dateien gemeinsam zu betrachten, ohne den Bildlauf für jedes Fenster einzeln durchführen zu müssen.

Sobald Sie in die vertikale Bildlaufleiste oder auf die aufwärts und abwärts gerichteten Pfeile in der Bildlaufleiste klicken, wird der Bildlauf in allen angezeigten Fenstern gemeinsam durchgeführt. Dies gilt auch für den Bildlauf mit den Tastenkombinationen Strg+Pfeil hoch und Strg+Pfeil runter.

Wenn Sie die Cursor-Tasten verwenden, um die Datei neu zu positionieren, werden die Fenster nicht gemeinsam gescrollt. Dadurch haben Sie noch immer die Möglichkeit, die Position einer Datei zu ändern, ohne dass sich dies auf die anderen Dateien auswirkt.

Auch beim Bildlauf mit der Bildlaufmarkierung in der vertikalen Bildlaufleiste versucht UltraEdit, den Bildlauf für die geöffneten Fenster gemeinsam durchzuführen. Allerdings kann es bei großen Dateien passieren, dass die Dateien nicht synchron gescrollt werden.


Befehl '1, 2, ...' (Fenster)

Der Befehl '1, 2, ...' (Menü 'Fenster')

UltraEdit zeigt am unteren Ende des Menüs 'Fenster' eine Liste der aktuell geöffneten Dateien an. Der Dateiname des gerade aktiven Fensters ist durch ein Häkchen gekennzeichnet. Wählen Sie eine Datei aus dieser Liste aus, um das entsprechende Fenster zu aktivieren.


Befehle im Menü 'Hilfe'

Die Befehle im Menü 'Hilfe'

Das Menü 'Hilfe' stellt folgende Befehle bereit:

Hilfethemen | Bietet einen Index von Themen an, zu denen man Hilfe bekommen kann.
Hilfe benutzen | Liefert allgemeine Anweisungen zum Gebrauch des Hilfesystems.
Schnellstart-Anleitung | Öffnet einen Dialog mit Verknüpfungen zu den Online-Informationen über Power-Tipps
Hilfedatei hinzufügen | Fügen Sie weitere Hilfedateien zum Menü Hilfe hinzu.
Online-Foren | Öffnet den Standard-Browser für den Zugang zu den Online-Foren unter ultraedit.com.
Auf Updates prüfen | Überprüft, ob ein Update/Patch für die derzeit verwendete Version vorhanden ist.
IDM-Produkte | Zeigt eine lokale Seite im Browser an, die alle unsere Produkte vorstellt und Download-Links bereitstellt.
Registrieren | Ruft den Dialog zum Freischalten des Programms auf. Hinweis: Dieser Befehl steht nur zur Verfügung, solange das Programm noch nicht freigeschaltet worden ist.
Info | Zeigt Informationen zu UltraEdit an (Versionsnummer usw.)


Befehl 'Hilfethemen' (Hilfe)

Der Befehl 'Hilfethemen' (Menü 'Hilfe')

Verwenden Sie diesen Befehl, um den Anfangsbildschirm der Hilfe anzuzeigen. Vom Anfangsbildschirm aus gelangen Sie zu schrittweisen Anleitungen zur Benutzung von UltraEdit und zu einer Vielzahl von informativen Hilfethemen.

Wenn die Hilfe geöffnet ist, können Sie jederzeit die Schaltfläche Inhalt drücken, um zum Anfangsbildschirm zurückzukehren.


Befehl 'Hilfedatei hinzufügen' (Hilfe)

Der Befehl 'Hilfedatei hinzufügen…' (Menü 'Hilfe')

Mit diesem Menüpunkt lassen sich für den direkten Zugriff vom Editor aus Windows-Hilfedateien zum Hilfemenü von UltraEdit hinzufügen.

Es können bis zu fünf Hilfedateien hinzugefügt werden, die oberhalb dieses Menüeintrags im Hilfemenü erscheinen. Dieser Befehl zeigt einen Dialog an, in dem Sie den Namen und Pfad der Hilfedatei angeben oder nach Betätigen der Schaltfläche Durchsuchen auswählen können. Weiterhin gibt es ein Feld für die Bezeichnung der Hilfedatei, die im Hilfemenü verwendet wird.

Wenn Text in einem offenen Dokument markiert ist, können Sie die Taste F1 drücken, um eine Liste von benutzerkonfigurierten Hilfedateien angezeigt zu bekommen, die auf die markierte Textstelle hin durchsucht werden können. Alternativ dazu können Sie nach dem Markieren des Textes im offenen Dokument die passende Hilfedatei aus dem Hilfemenü auswählen; in dieser Hilfedatei wird dann nach dem entsprechenden Thema gesucht, das mit der Textauswahl übereinstimmt.

Das Thema wird angezeigt, wenn es in der Hilfedatei gefunden wurde. Falls es nicht gefunden wurde, wird der Suchdialog mit denjenigen Themen angezeigt, die dem Thema am nächsten kommen.

Als benutzerdefinierte Hilfedateien lassen sich Windows Hilfedateien (.HLP) oder kompilierte HTML-Dateien (.CHM) einbinden.


Befehl 'Hilfe benutzen' (Hilfe)

Der Befehl 'Hilfe benutzen' (Menü 'Hilfe')

Verwenden Sie diesen Befehl, um eine Anleitungen zur Benutzung der Hilfe zu erhalten.


Befehl 'Über' (Hilfe)

Der Befehl 'Info...' (Menü 'Hilfe')

Verwenden Sie diesen Befehl, um Angaben zum Copyright und zur Versionsnummer von UltraEdit angezeigt zu bekommen.


Dialog 'Compiler auswählen'

Der Dialog 'Compiler auswählen'

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Mit Hilfe dieses Dialogs können Sie den Compiler auswählen, der für das aktive Projekt verwendet werden soll. Der Dialogs wird entweder über das Menü 'Erstellen' oder durch Betätigen der Schaltfläche Compiler auswählen von der Symbolleiste 'Erstellen' aus aufgerufen.

Der Konfigurations-Editor

Konfiguration bearbeiten

Betätigen Sie diese Schaltfläche, um die Optionen für den ausgewählten Compiler einzustellen. Daraufhin wird der Dialog erweitert und zeigt zusätzlich den Editor für die Compiler-Konfiguration an.

Konfiguration speichern

Betätigen Sie die Schaltfläche Konfiguration speichern, um eine geänderte Konfigurationsdatei zu speichern.

Konfiguration lokal erstellen

Wenn Sie ein Projekt geöffnet haben, steht Ihnen auch die Schaltfläche Konfiguration lokal erstellen zur Verfügung, mit der Sie dafür sorgen können, dass die Konfiguration am selben Speicherort wie das Projekt gesichert wird.

Bei der Ausführung des jeweiligen Werkzeugs sucht UEStudio zunächst im Projektverzeichnis nach einer lokalen Konfiguration. Falls keine gefunden wird, sucht UEStudio im Verzeichnis '\configs' nach ihr. Wenn Sie nur für einige wenige Projekte eine angepasste Konfigurationsdatei benötigen, können Sie durch das Eindrücken dieser Schaltfläche dafür sorgen, dass die angepasste Konfigurationsdatei auf dem Datenträger gespeichert wird. Sobald Sie die lokale Konfiguration nicht mehr benötigen, deaktivieren Sie diese Schaltfläche durch nochmaliges Betätigen. Daraufhin wird die Datei mit den Konfigurationsdaten automatisch vom Datenträger gelöscht.

Bearbeitung einer Konfigurationsdatei

Kommentare beginnen im Editor immer mit einem '#', Abschnitte sind vom Klammerpaar '[...]' eingefasst und müssen am Zeilenanfang beginnen.

Jede Konfigurationsdatei enthält grundlegende Abschnitte, die vorhanden sein müssen, da die Befehle zum Erstellen ohne sie nicht funktionieren würden. Diese vier Abschnitte sind:

    • [Settings]
    • [General]
    • [Build]
    • [MakeCommand]

Als untergeordnete Einstellungen für den Abschnitt [Settings] kann es die Abschnitte [SettingsInfo] und [SettingsReps] geben. Möglicherweise sind auch die Abschnitte [Variables], [Environment] und [FileGroups] als Abschnitte für einige Werkzeuge vorhanden, die auf die Quelldateien angewendet werden.

Projektvariablen

Wenn Sie eine Konfigurationsdatei schreiben, werden Sie einige der Projektvariablen einsetzen wollen. Projektvariablen beginnen mit einem '$' oder einem anderen Zeichen, das im Abschnitt [General] definiert wurde.

Folgende Projektvariablen stehen als globale Variablen zur Verfügung, die in jedem Befehl zum Erstellen/Kompilieren verwendet werden können:

    • $P vollständiger Pfad zum Projekt (z.B. 'C:\Projekte\Anwendungen\Anwendung.prj')
    • $Pp Projektpfad ohne Dateiname
    • $Pn Name des Projekts ohne Dateierweiterung
    • $Pe ACHTUNG: Wird nicht verwendet, da die Dateierweiterung für ein Projekt immer '.prj' ist.

Variablen für den Abschnitt [Build]

Für den Abschnitt [Build] stehen folgende Variablen zur Verfügung:

    • $T vollständiger Pfad zur Zieldatei (z.B. 'C:\Prj\App\Out\App.exe')
    • $Tp Pfad ohne Dateiname
    • $Tn Name der Zieldatei ohne Dateierweiterung

Zusätzlich stehen hier folgende Variablen zur Verfügung:

    • $O vollständiger Pfad zu einer Ausgabedatei

Anmerkung: Im Abschnitt [Build] kann dieser Wert mit der Zieldatei indentisch sein. Es handelt sich dabei um den Wert des Schlüssels Out dieses Abschnitts.

    • $Op Pfad ohne Dateiname
    • $On Name der Ausgabedatei ohne Dateierweiterung
    • $Oe Dateierweiterung
    • $R Wert des Schlüssels DebugFlag oder ReleaseFlag

Anmerkung: Dieser Wert hängt davon ab, welchen Modus Sie für die Erstellung des Projekts eingestellt haben.

Variablen für den Abschnitt [Compile]

Für den Abschnitt [Compile] und die Abschnitte für die Werkzeuge, die für einzelne Dateien zum Einsatz kommen können, stehen folgende Variablen zur Verfügung:

    • $I vollständiger Pfad zu einer Eingabedatei
    • $Ip Pfad ohne Dateiname
    • $In Name der Eingabedatei ohne Dateierweiterung
    • $Ie Dateierweiterung

Zusätzlich stehen hier folgende Variablen zur Verfügung:

    • $O vollständiger Pfad zu einer Ausgabedatei

Anmerkung: Es handelt sich dabei um den Wert des Schlüssels Out des jeweiligen Abschnitts.

    • $Op Pfad ohne Dateiname
    • $On Name der Ausgabeatei ohne Dateierweiterung
    • $Oe Dateierweiterung
    • $R Wert des Schlüssels DebugFlag oder ReleaseFlag

Anmerkung: Dieser Wert hängt davon ab, welchen Modus Sie für die Erstellung des Projekts eingestellt haben.

Übersicht über die möglichen Standardabschnitte

Eine Konfigurationsdatei setzt sich aus folgenden 12 Abschnitten zusammen:

Abschnitt | Beschreibung
[Settings] | In diesem Abschnitt werden alle Schlüssel gespeichert, die Sie zu sehen bekommen, wenn Sie den Dialog 'Projekteinstellungen' öffnen.
[SettingsInfo] | Dieser Abschnitt enthält Kurzinformationen zu Projektschlüsseln.
[SettingsReps] | In diesem Abschnitt werden Platzhalter für Einstellungen deklariert, die Sie zur Vereinfachung der Konfiguration verwenden können.
[Variables] | In diesem Abschnitt werden Variablen deklariert, mit denen Sie den Inhalt von Konfigurationsdateien vereinfachen können.
[Environment] | Die in diesem Abschnitt deklarierten Variablen stehen als $(Name) auch in anderen Abschnitten zur Verfügung, werden aber im Environment gespeichert.
[General] | Der wichtigste Abschnitt für die Compiler-Konfiguration. In ihm befinden sich Basis-Schlüssel, die gesetzt werden müssen, und optionale Schlüssel, die nicht gesetzt zu werden brauchen.
[MakeCommands] | In diesem Abschnitt werden die Schlüssel für Werkzeuge wie z.B. PACKER, PROFILER oder PETOOLS gesetzt, die Sie im Zusammenhang mit den Zieladateien anwenden wollen. (Für die meisten Compiler enthält dieser Abschnitt die beiden Schlüssel RUN und DEBUG.)
[InsertFiles] | In diesem Abschnitt werden Dateien und Gruppen von Dateien deklariert, die in den Erstellungsprozess einbezogen werden.
[FileGroups] | In diesem Abschnitt werden Gruppen von Dateien deklariert, die gemeinsam genutzt werden sollen. Für die meisten Compiler befinden sich hier Gruppen aus Objekten, die von Compilern generiert wurden und die von den Link-Befehlen verwendet werden sollen.
[GroupFormats] | In diesem Abschnitt werden die Formate der Objekte aus einer generierten Gruppe festgelegt.
[Build] | In diesem Abschnitt werden die Befehle angegeben, die beim Betätigen der Schaltfläche Erstellen ausgeführt werden.
[.EXT] | In diesem Abschnitt werden die Befehle angegeben, die beim Betätigen der Schaltfläche Kompilieren für eine offene Quelldatei ausgeführt werden.

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Compiler-Konfiguration [Settings]

Die Compiler-Konfiguration im Abschnitt [Settings]

Alle Schlüssel, die Sie im Dialog 'Projekteinstellungen' sehen können, sind in diesem Abschnitt gespeichert. Schlüsseleinträge haben folgendes Format: Schlüssel=Wert oder Schlüssel=Wert1|Wert1|Wert3.

Wenn Sie das erste Format verwenden, werden Sie im Dialog 'Projekteinstellungen' sehen, dass der Schlüssel mit nur einem Wert versehen sein wird. Wenn Sie das zweite Format verwenden, werden die Werte zu einer Auswahlliste für den Schlüssel hinzugefügt. Dabei wird zunächst der erste Wert als Wert für den Schlüssel ausgewählt. Um einen anderen Wert für den Schlüssel einzustellen, können Sie das Listenfeld aufklappen und einen anderen Eintrag auswählen.

Folgende Werte müssen in diesem Abschnitt angegeben sein:

Schlüssel | Verwendung
Target | Dieser Schlüssel muss leer sein, wenn Sie nicht möchten, dass neu erstellte Projekte denselben vorgegebenen Namen erhalten.
Working Directory | Der Standardwert ist "." (aktuelles Verzeichnis). Dieses Verzeichnis wird verwendet, wenn die Zieldatei ausgeführt wird.
Command Line Arguments | Standardmäßig ist dieser Schlüssel leer und es wird empfohlen, diesen Schlüssel auch leer zu lassen, wenn Sie nicht möchten, dass für alle Projekte dieselben Befehlszeilenparameter verwendet werden.

Auf alle diese Variablen kann durch die Angabe von $(Schlüsselname) auch in den anderen Abschnitten der Konfigurationsdatei zugegriffen werden. Sobald der Compiler oder Linker ausgeführt wird, wird $(Schlüsselname) durch den jeweiligen Wert ersetzt. Dieser Abschnitt steht in engem Zusammenhang mit den beiden nachfolgenden Abschnitten [SettingsInfo] und [SettingsReps] .


Compiler-Konfiguration [SettingsInfo]

Die Compiler-Konfiguration im Abschnitt [SettingsInfo]

Dieser Abschnitt enthält Kurzinformationen über die Schlüssel des aktiven Projekts. Wenn Sie im Dialog 'Projekteinstellungen' einen Schlüssel auswählen, wird dieser kurze Text als Hilfestellung unten im Fenster eingeblendet. Für die Schlüsselnamen müssen Sie dieselben Namen verwenden wie im Abschnitt [Settings] .

Ein Beispiel:

Schlüssel=Bei Auswahl von "Wert1" wird das kleine Speichermodell genutzt...


Compiler-Konfiguration [SettingsReps]

Die Compiler-Konfiguration im Abschnitt [SettingsReps]

Mit den Angaben in diesem Abschnitt für Einstellungsplatzhalter (Settings Replacements) lasst sich das Erstellen von Konfigurationen stark vereinfachen.

Ein Beispiel:

Wenn Sie für den Turbo C-Compiler das Speichermodul angeben möchten, müssen Sie die Optionen -mt, -ms usw. verwenden.

Im Abschnitt [Settings] können Sie nun wie folgt einen Schlüssel deklarieren: MemoryModel=-mt|-ms|-mm

Aber viel verständlicher wird es, wenn Sie

    • im Abschnitt [Settings] einen Schlüssel MemoryModel=Small|Tiny|Medium und
    • im Abschnitt [SettingsReps] einen Schlüssel MemoryModel=Tiny=-mt|Small=-ms|Medium=-mm deklarieren.

Wenn Sie im Dialog 'Projekteinstellungen' nun den Eintrag 'Tiny' auswählen, wird das $(MemoryModel) im Compiler-Befehl durch -mt ersetzt.

Wenn Sie dabei einen mit einem '@' beginnenden Wert verwenden, wird der Wert aus dem Abschnitt [Settings] wie beim printf-Befehl ausgegeben, bei dem der Teil '%s' durch den jeweiligen Wert ersetzt wird.

Wenn der Wert nicht mit einem '@' beginnt, dann handelt es sich beim resultierenden Wert um eine Ersetzungszeichenkette, die auf dem Eingangswert basiert (wie im 'ini'-Format, d.h.: "wert1=ersetzung1|wert2=ersetzung2"). Der Schlüssel wird als Eingangsvariable übergeben.


Compiler-Konfiguration [Variables]

Die Compiler-Konfiguration im Abschnitt [Variables]

Variablen können eingesetzt werden, um den Inhalt von Konfigurationsdateien zu vereinfachen. Alle in diesem Abschnitt deklarierten Schlüssel haben das Format: Schlüssel=Wert. In anderen Abschnitten können Sie dann in der Schreibweise $(Schlüssel) auf sie zurückgreifen.

Auf diese Weise ist es auch möglich, auf Werte von Schlüsseln aus der Registry zuzugreifen. Das Format dafür lautet dann: $(HKEY_xxx\PathToKey\KeyName). Für 'xxx' können Sie dann Werte wie z.B. LOCAL_MACHINE, CURRENT_USER oder andere Hauptschlüssel angeben.


Compiler-Konfiguration [Environment]

Die Compiler-Konfiguration im Abschnitt [Environment]

Auf die in diesem Abschnitt deklarierten Variablen kann man von anderen Abschnitten aus in Form von $(Name) zugreifen, wobei sämtliche Variablen im Environment gespeichert werden. Die meisten Compiler verwenden Umgebungsvariablen um Pfade wi z.B INCLUDE, LIB usw. zu speichern. Wenn Sie in diesem Abschnitt auf die Werte anderer Umgebungsvariablen zurückgreifen müssen, tun Sie dies in der Form %NAME% (z.B. PATH=C:\COMPILER\BIN;%PATH%). Die Verwendung des Formats %VARIABLE% ist ausschließlich in diesem Abschnitt zulässig. Von allen anderen Abschnitten aus müssen Sie auf die Umgebungsvariablen zugreifen wie es aus dem Abschnitt [Variables] bekannt ist.


Compiler-Konfiguration [General]

Die Compiler-Konfiguration im Abschnitt [General]

Dies ist der wichtigste Abschnitt für die Compiler-Konfiguration. In ihm befinden sich Basis-Schlüssel, die gesetzt werden müssen, und optionale Schlüssel, die nicht gesetzt zu werden brauchen

Basis-Schlüssel

Schlüssel | Verwendung
TargetExt = .EXT | Dieser Schlüssel wird beim ersten Start des Dialogs 'Projekteinstellungen' verwendet, um den Namen der Zieldatei zu generieren.
ReleaseOut = Release | Mit diesem Schlüssel geben Sie den Namen des Verzeichnisses an, das zum Speichern aller Objekt- und Zieldateien verwendet wird, wenn Sie den Erstellungsmodus 'Release' auswählen.
DebugOut = Debug | Mit diesem Schlüssel geben Sie den Namen des Verzeichnisses an, das zum Speichern aller Objekt- und Zieldateien verwendet wird, wenn Sie den Erstellungsmodus 'Debug' auswählen.
Excludes = $(ausgeschlossene Dateien) | Mit diesem Schlüssel geben Sie den Namen einer Projaktgruppe an. Alle in dieser Gruppe gespeicherten Dateien werden von der Erstellung ausgeschlossen.

Optionale Schlüssel

Schlüssel | Verwendung
UseFullPaths = 0/1 | Gibt an, ob UEStudio für alle Quelldateien den vollständigen Pfad verwenden soll (0 = nein, 1 = ja).
UseDosNames = 0/1 | Dieser Schlüssel sollte auf den Wert '1' gesetzt werden, falls Ihr Compiler im DOS-Modus arbeitet und nicht mit langen Dateinamen umgehen kann.
RemoveDot = 0/1 | Gibt an, ob bei Pfaden, die mit '.\' beginnen, das '.\' entfernt werden soll (0 = nein, 1 = ja).
ConvertBS = 0/1 | Gibt an, ob in Dateipfaden das Zeichen '/' an Stelle von '\' verwendet werden soll (0 = nein, 1 = ja). Diese Einstellung kann z.B. für GCC-Compiler sinnvoll sein, wenn Sie das MAKE Utility von GCC nutzen möchten.
MakeTool = \Compiler\Bin\make.exe | UEStudio verwendet zum Erstellen von Projekten standardmäßig sein eigenes MAKE Utility, aber Sie können auch ein anderes MAKE Utility verwenden. Geben Sie dazu in diesem Schlüssel den vollständigen Pfad für das MAKE Utility an, das Sie verwenden möchten. UEStudio generiert Make-Dateien, die mit den meisten Make-Werkzeugen kompatibel sind, sodass die Dateien funktionieren sollten.
GrabOut = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
GrabErr = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
HideTools = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
EasyCapture = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
UseStatusBarFont = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
ShowCmdLine = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.
SetCurSel = 0/1 | Falls angegeben, wird diese Einstellung an Stelle der entsprechenden globalen Einstellung verwendet.

Es gibt noch weitere optionale Schlüssel (z.B. .CPP=.C), die im Thema zum Abschnitt [.EXT] erläutert werden.


Compiler-Konfiguration [MakeCommands]

Die Compiler-Konfiguration im Abschnitt [MakeCommands]

Die meisten Compiler enthalten in diesem Abschnitt die beiden Schlüssel RUN und DEBUG. Hier sollten auch die Schlüssel für Werkzeuge wie PACKER, PROFILER oder PETOOLS untergebracht werden, die im Zusammenhang mit den Zieladateien angewendet werden. Alle in diesem Abschnitt definierten Schlüssel werden in einem Menü angezeigt, wenn Sie die Schaltfläche Befehle in der Symbolleiste betätigen.

Die Formatierung für diesen Abschnitt sieht wie folgt aus: Schlüssel = NameDesAbschnitts. Wenn ein Schlüssel gesetzt wird, muss ein Abschnitt mit der Bezeichnung [NameDesAbschnitts] zur Konfigurationsdatei hinzugefügt werden.

Der Abschnitt [NameDesAbschnitts]

In diesem Abschnitt können folgende Schlüssel gesetzt werden:

Schlüssel | Verwendung
Title = Im Menü angezeigter Titel | Der hier angegebene Text wird im Menü 'Befehle' an Stelle des Textes 'NameDesAbschnitts' verwendet. Auch die Angabe von globalen Variablen wie z.B. $T ist hier möglich (z.B. Title = $T ausführen).
Depends = $T | Mit diesem Schlüssel lassen sich die Namen bzw. globalen Variablen für die Namen der Dateien angeben, die erstellt werden müssen, wenn dieser Befehl ausgeführt werden soll.
CmdX = Werkzeug [Optionen] [Dateien] | Mit diesem Schüssel lassen sich die auszuführenden Befehle definieren. Es lassen sich auch mehrere Befehle ausführen. Der erste Befehl erhält den Schlüsselnamen Cmd0. Weitere Befehle erhalten die Schlüsselnamen Cmd1, Cmd2 etc.
ShowWindow = 0/1 | Wenn dieser Schlüssel auf den Wert 0 gesetzt wird, werden die Befehle im Verborgenen ohne Ausgaben ausgeführt.
DisplayConsole = 0/1 | Setzen Sie diesen Schlüssel auf den Wert 1, wenn für die Ausführung eine Eingabeaufforderung/Konsole benötigt wird.


Compiler-Konfiguration [InsertFiles]

Die Compiler-Konfiguration im Abschnitt [InsertFiles]

Alle in diesem Abschnitt deklarierten Dateien und Gruppen von Dateien werden mit in den Erstellungsprozess (Build) einbezogen.

In diesem Abschnitt lassen sich folgende zwei Arten von Schlüsseln verwenden:

    • fileX=... zum Hinzufügen einer einzelnen Datei
    • groupX=... zum Hinzufügen einer Gruppe von Dateien

wobei X in beiden Fällen für einen Wert 0, 1, 2 etc. steht.

Die mit groupX angegebenen Dateien werden durch '\n' (neue Zeile), '\t' (Tabulator) oder ' ' (Leerzeichen) voneinander getrennt. Falls im Abschnitt [Settings] der Schlüssel Dateien deklariert, 'file1.lib file2.lib file3.lib' (durch Leerzeichen getrennt) als Wert für den Schlüssel angegeben und zusätzlich im Abschnitt [InsertFiles] der Schlüssel incFiles = $(Dateien) gesetzt wird, dann werden die Dateien 'file1.lib', 'file2.lib' und 'file3.lib' als Einzeldateien zum Erstellungsprozess hinzugefügt (als Quelldateien aus Projekten). Diese Dateien erscheinen gemeinsam als Projektdateien in der Projektgruppe mit der Bezeichnung 'groupX'. Diese Möglichkeit kann man sich im Abschnitt [FileGroups] zu Nutze machen.


Compiler-Konfiguration [FileGroups]

Die Compiler-Konfiguration im Abschnitt [FileGroups]

In diesem Abschnitt lassen sich Gruppen von Dateien angeben, die für denselben Zweck verwendet werden. Die meisten hier angegebenen Compiler erzeugen Gruppen von Objekten, die in den Linker-Befehlen Verwendung finden. Die Schlüssel in diesem Abschnitt haben folgendes Format:

FGNAME= .EXT1;.EXT2;Group;groupX;group-r;group-o;.

Der Name einer Gruppe ist beliebig (z.B. FGOBJ, FGRES, FGASM, etc.). Die Werte eines Schlüssels werden durch Semikolons voneinander getrennt.

Schlüssel | Verwendung
.EXT1, .EXT2 | Alle Dateien mit den Dateiendungen .EXT1 und .EXT2 werden zu der Gruppe hinzugefügt, die durch den Namen des Schlüssels vorgegeben ist.
Group | Eine Projektgruppe (z.B. 'Resource Files'). Alle Dateien werden unabhängig von ihrer Dateiendung zu dieser Gruppe hinzugefügt.
groupX | z.B. group0, group1, etc. Die Gruppen entsprechen der aus dem Abschnitt [InsertFiles] bekannten Spezifikation. Alle Dateien aus dieser Gruppe werden zu der in diesem Abschnitt deklarierten Gruppe (FGXX) hinzugefügt.
group-r | Wenn dieser Schlüssel zu einer FG-Gruppe hinzugefügt wird, werden alle Dateien aus dem Wurzelverzeichnis (d.h. Dateien, die sich nicht in einer Gruppe befinden) zu der in diesem Abschnitt definierten Gruppe hinzugefügt.
group-o | Wenn dieser Schlüssel zu einer FG-Gruppe hinzugefügt wird, werden alle generierten Dateien (d.h. Dateien, die während des Erstellungsprozesses erzeugt werden) zu der in diesem Abschnitt definierten Gruppe hinzugefügt.

Auf den Inhalt aller Gruppen, die auf diese Weise definiert wurden, kann sich in den CmdX-Befehlen der Abschnitte [Build] oder [Compiler] durch die Verwendung von &FGNAME bezogen werden. Wenn in diesem Abschnitt z.B. die Gruppe FGOBJ=.obj; hinzugefügt wurde und der Linker-Befehl das Argument $FGOBJ enthält, wird in der Make-Datei eine Gruppe von Objekten mit den Namen 'FG???' erzeugt, die vom Linker-Befehl als $(FG???) aufgegriffen werden. Dabei entspricht '???' einer Nummer, die UEStudio beim Generieren der Make-Datei automatisch erzeugt.


Compiler-Konfiguration [GroupFormats]

Die Compiler-Konfiguration im Abschnitt [GroupFormats]

Dieser Abschnitt wird verwendet, um das Format für eine generierte Gruppe festzulegen. Einige Compiler lassen keine Angabe von Dateien zu, die durch Leerzeichen voneinander getrennt sind, und verlangen die Angabe eines Präfix. Wenn Sie mit Borlands Compilern eine Library erzeugen möchten, müssen Sie die Objekte für die Library mit dem Präfix '+' versehen, z.B.: TLIB LIBRARY.LIB +DATEI1.OBJ +DATEI2.OBJ +DATEI3.OBJ.

Ein Beispiel:

Wenn Sie im Abschnitt [FileGroups] die Gruppe FGO=.obj erzeugen und in diesem Abschnitt hier den Schlüssel FGO=+%s deklarieren, wird eine Gruppe mit dem Inhalt FGO=+datei1.obj +datei2.obj etc. generiert.

In besonderen Fällen kann es erforderlich sein, ein Format für die erste Datei und ein anderes Format für die weitere(n) Datei(en) anzugeben.

Ein Beispiel:

Wenn Ihr Linker erwartet, dass die Objektdateien durch Kommata voneinander getrennt sind, Kommata aber nur zwischen Objektdateien stehen dürfen (z.B. 'LINK OBJ1.A,OBJ2.A,OBJ3.A EXE'), dann fügen Sie zum Abschnitt [FileGroups] einen Schlüssel FGA = .A; und zum Abschnitt [GroupFormats] die beiden Schlüssel FGA0=%s und FGA=,%s, wobei %s für einen Dateinamen steht.

Diese Einstellungen sorgen dafür, dass beim Vorhandensein nur einer Datei im Projekt zunächst das Format FGA0 (ohne Komma) und beim Vorhandensein weiterer Dateien das Format FGA verwendet wird. Dieses Verfahren lässt sich auch in Fällen einsetzen, in denen Sie ein Präfix vor die erste Datei setzen müssen (z.B. 'LINK /objs:ob1,obj2,obj3'). In diesem Fall würden Sie die Schlüssel FGA0=/obj:%s und FGA=,%s angeben. Falls an dieser Stelle für eine Gruppe kein Format angegeben wurde, wird die Standardeinstellung (%s) verwendet.


Compiler-Konfiguration [Build]

Die Compiler-Konfiguration im Abschnitt [Build]

Dieser Abschnittstyp ist ein ausführender Abschnitt, der etwas tut und mit Gruppen von Dateien arbeitet. Die hier angegebenen Befehle werden ausgeführt, wenn Sie den Befehl Erstellen aufrufen.

Das Format der hier verwendet Schlüssel entspricht dem aus dem Abschnitt [MakeCommands] bekannten Format. In den untergeordneten Abschnitten von [BUILD] müssen Sie die fünf Basis-Schlüssel Out, Depends, ReleaseFlag, DebugFlag und Cmd0 deklarieren. Darüber hinaus können Sie optional die Schlüssel Cmd1-CmdN angeben und Schlüssel, mit denen UEStudio in die Lage versetzt wird, so genannte Response-Dateien zu erzeugen:

Schlüssel

Verwendung

Out = $T

Aus diesem Schlüsselwert wird der Name der Ausgabedatei generiert. UEStudio geht davon aus, dass diese Datei nach der Ausführung der in diesem Abschnitt definierten Befehle erzeugt wird.

Depends = $FGO

Mit diesem Schlüssel geben Sie den Namen der Gruppe an, deren Dateien verwendet werden, um die Zieldatei per MAKE-Befehl zu erzeugen. Für die meisten Compiler empfiehlt sich hier der Wert $FGO, wobei $FGO eine Gruppe von Dateien ist, die vom Compiler generiert wurden (.OBJ).

CmdX = LINK $O $FGO

Die Befehle Cmd0-CmdN sind für die Generierung der Zieldatei für das Projekt zuständig. Bei diesem Schlüssel können Sie auf die globalen Variablen zurückgreifen, deren Verwendung im Zusammenhang mit dem Dialog 'Compiler auswählen' für den Abschnitt [Build] beschrieben sind.

file@0=[RespName.Ext] Optionen1|Optionen2|Optionen3|Optionen4 etc.

Einige Compiler verwenden so genannte Response-Dateien, in die alle Compiler-Optionen eingetragen werden. Der Name dieser Datei lässt sich in der Form LINK @RESP als Parameter an den Compiler übergeben, wobei RESP die Textdatei mit den Parametern für den Linker ist.

UEStudio kann diese Response-Datei für Sie erzeugen, wenn Sie diesen Schlüssel wie hier dargestellt verwenden. Wenn Sie einen solchen Schlüssel angeben, wird eine Response-Datei mit dem Namen 'RespName.Ext' angelegt, die aus Zeilen mit Optionen bestehen wird. Dabei bildet Optionen1 die erste Zeile, Optionen2 die zweite Zeile usw. Als Option können Sie alle Optionen angeben, die auch in den üblichen CmdX-Befehlen zulässig sind.


Compiler-Konfiguration [.EXT]

Die Compiler-Konfiguration im Abschnitt [.EXT]

Dieser Abschnittstyp ist ein ausführender Abschnitt, der etwas tut und mit einzelnen Dateien arbeitet. Die hier angegebenen Befehle werden ausgeführt, wenn Sie eine Quelldatei geöffnet haben und den Befehl Kompilieren aufrufen.

Es handelt sich hierbei nicht um einen Abschnitt mit dem Namen '.EXT', sondern und einen Abschnitt mit den jeweiligen Dateierweiterungen (extensions)m also '.C', '.CPP' etc. In einer Konfiguration kann es keinen, einen oder mehrere Abschnitt(e) dieser Art geben. Die Anzahl der Abschnitte hängt davon ab, mit wie vielen Typen von Quelldateien der jeweilige Compiler umgehen kann.

Das Format der hier verwendet Schlüssel entspricht mit einigen Ergänzungen und einem Unterschied dem aus dem Abschnitt [Build] bekannten Format. Der Unterschied besteht darin, dass der Schlüssel Out keinen Gebrauch von der globalen Variable $T machen kann, dafür aber z.B. von $In.obj, wobei $In für den Namen einer Quelldatei steht. In den Schlüsseln Cmd0-CmdN können Sie dann auf $O zurückgreifen, wobei $O dann für 'eineDatei.obj' steht.

Einige Compiler wie etwa C & Asm verwenden Include-Dateien, um Deklarationen von Funktionen und Variablen zu speichern. Wenn eine solche Include-Datei modifiziert wird, muss Ihre Quelldatei neu kompiliert werden, sodass Sie UEStudio mitteilen müssen, auf welche Weise es in den Quelldateien nach Include-Dateien suchen soll. Zu diesem Zweck stehen einige Schlüssel zur Verfügung, die Ihnen die Arbeit erleichtern können:

Schlüssel

Verwendung

IncFiles = 0/1

Gibt an, ob UEStudio in der Quelldatei nach Include-Dateien suchen soll (0 = nein, 1 = ja).

CaseSensitive = 0/1

Gibt an, ob Schlüsselworte in der Quelldatei nach Groß-/Kleinschreibung unterschieden werden oder nicht (0 = nein, 1 = ja).

IncDirs = .;$(INCLUDE);

Die meisten Compiler speichern systembezogene Include-Dateien in einem speziellen Verzeichnis (z.B. 'INCLUDE' oder 'INC'). Daher müssen Sie UEStudio mitteilen, wo es nach diesen Dateien suchen soll.

Als erster Pfad empfiehlt sich '.', da dadurch zunächst das Verzeichnis durchsucht wird, in dem sich die Quelldatei befindet. Weitere Pfade lassen sich ganz nach Bedarf durch Semikolons voneinander getrennt angeben.

IncKeyWords=#include;

Mit diesem Schlüssel können Sie ein oder mehrere Schlüsselwörter angeben, die vom Präprozessor Ihres Compilers verwendet werden, um die hier aufgeführten Include-Dateien einzubeziehen.

Comments = /*.*/.//.eol.

Mit diesem Schlüssel geben Sie die Symbole für mehrzeilige und einzeilige Kommentare an. Kommentare werden von den meisten Compilern unterstützt. Da die auskommentierten Teile Ihres Quellcodes nicht kompiliert werden, brauchen Sie nicht nach Include-Dateien durchsucht zu werden.

Die Kommentarsymbole müssen immer paarweise angegeben werden. Einzeilige Kommentare müssen immer in der Form ';.eol' oder '//.eol.' angegeben werden, wobei eol für das Zeilenende (End-of-Line) steht. Kommentarsymbole werden durch einen Punkt '.' voneinander getrennt. Zwischen den Kommentarsymbolen und den Punkten dürfen keine Leerzeichen angegeben werden!

Tipp: Falls Ihr Compiler dieselben Optionen auf mehrere Dateitypen anwenden kann, legen Sie nicht für jede dieser Dateiendungen einen eigenen Abschnitt an. Legen Sie stattdessen einen einzigen Abschnitt (z.B. [.C]) an und tragen Sie im Abschnitt [General] Schlüssel der Art .CPP=.C oder .ASM=.C usw. ein.


Compiler hinzufügen

So fügen Sie einen neuen Compiler hinzu

Standardmäßig unterstützt UEStudio über 50 Compiler und Assembler. Dennoch kann es notwendig werden, einen Compiler neu hinzuzufügen, der bislang nicht von UEStudio unterstützt wird.

Hinzufügen eines neuen Compilers

Die Konfigurationsdateien für Compiler bestehen wie klassische INI-Dateien aus Abschnitten, Schlüsseln und deren Werten. Jede Konfiguration kann nur zum Erstellen eines bestimmten "Ziels" (Anwendung, Bibliothek, dynamische Bibliothek) verwendet werden, sodass in den meisten Fällen mehrere Konfigurationen pro Compiler benötigt werden. Aus diesem Grund gibt es für jeden Compiler ein eigenes Verzeichnis mit dessen Konfigurationsdateien.

Der erste Schritt beim Hinzufügen eines neuen Compilers besteht darin, unterhalb von UEStudio_Pfad\Configs\ ein neues Verzeichnis anzulegen. Am besten verwenden Sie dafür den Namen des neuen Compilers. Im weiteren Verlauf greifen wir zur besseren Veranschaulichung auf eine beispielhafte Konfiguration für den 'Alpha Compiler' zurück.

Zum Anlegen einer neuen Konfiguration öffnen Sie zunächst eine neue Datei in UEStudio. In unserem Beispiel nehmen wir die Einstellungen für Win32-Anwendungen vor. Beachten Sie, dass die neuen Verzeichnis- und Dateinamen in der Compilerliste von UEStudio auftauchen werden, sobald die Konfigurationsdatei fertiggestellt ist:

Einige Abschnitte in der Konfigurationsdatei sind unbedingt erforderlich, andere optionale Abschnitte erweitern die Funktionalität des Build-Systems als Ganzes. Der Inhalt der Konfigurationsdatei bestimmt die in UEStudio angezeigten Einstellungen für die Compiler-Konfiguration, wenn Sie im Dialog 'Compiler auswählen' die Schaltfläche Konfiguration bearbeiten betätigen. Der erste und wichtigste ist der Abschnitt [General], also muss zunächst ein neuer Abschnitt angelegt werden: [General].

Konfigurationsoptionen im Abschnitt [General]

Wie bereits erwähnt, handelt es sich um Konfigurationen "pro Ziel", daher muss als erstes der Schlüssel TargetExt angelegt werden. Für Windows- und DOS-Anwendungen lautet der Wert für diesen Schlüssel '.exe', für statische Bibliotheken '.lib', für GCC-Compiler '.a' und für dynamisch verlinkte Bibliotheken '.dll'. Sie können eine beliebige Erweiterung angeben und der Compiler wird dann eine Anwendung mit dieser Erweiterung erstellen.

Sämtliche generierten Dateien (Objektdateien etc.) werden in eigenen Verzeichnissen gespeichert, um die Projektumgebung sauber zu halten. Jede Konfiguration unterstützt zwei Modi: Release und Debug. Dazu können die beiden Schlüssel ReleaseOut und DebugOut gesetzt werden, von denen mindestens der Schlüssel ReleaseOut gesetzt werden muss. Wenn der Schlüssel DebugOut nicht gesetzt wird, wird für den Debug-Modus ebenfalls der Wert von ReleaseOut verwendet. Die Standardwerte für diese beiden Schlüssel sind 'Release' bzw. 'Debug', können aber ganz nach Bedarf geändert werden.

Falls der Compiler/Linker nur mit vollständigen Pfaden arbeiten kann und keine relativen Pfade zu Dateien akzeptiert, muss zusätzlich der Schlüssel UseFullPaths angelegt und ihm der Wert '1' zugewiesen werden. Wenn die Einstellungen für einen DOS-Compiler erstellt werden, der keine langen Dateinamen akzeptiert, muss außerdem der Schlüssel UseDOSNames angelegt und auch ihm der Wert '1' zugewiesen werden.

In manchen Fällen enthält ein Projekt auch Dateien, die zwar kompilierbar sind, die aber nicht kompiliert werden sollen (z.B. wenn sie noch nicht fertig sind oder Fehler enthalten, die vor einem Build-Vorgang nicht mehr beseitigt werden können). Diese Dateien können in einen speziellen Ordner verschoben werden, sodass das Build-System von UEStudio sie nicht an den Compiler/Linker durchreicht. Dieser Ordner kann jeden beliebigen Namen außer 'External Dependencies' tragen, da dieser Name für das Build-System von UEStudio reserviert ist und ein Ordner mit diesem Namen während des Erstellungsvorgangs automatisch angelegt und gelöscht wird. Daher ist es dringend angeraten, diesen Projektordner nicht zum Speichern irgendwelcher Benutzerdateien zu verwenden. Um den Namen für den Sonderordner festzulegen, müssen Sie den neuen Schlüssel Excludes anlegen und ihm als Wert den Namen des zu verwendenden Ordners zuweisen (z.B. 'ausgeschlossene Dateien').

Für einige Compiler müssen die Objektdateien im selben Verzeichnis vorliegen wie die Quelldateien, da sie nur einen Dateinamen (Name der Quelldatei) ohne Pfadangabe als Parameter akzeptieren. Die vom Build-System erzeugten relativen Pfade für Dateien, die an den/die Compiler übergeben werden, beginnen immer mit dem Verzeichnisnamen; wenn das Zielverzeichnis und das Quellverzeichnis identisch sind, beginnen diese Pfade mit '.\'. In den Fällen, in denen ein Compiler nur Dateinamen ohne Pfadangaben akzeptiert, darf UEStudio die Pfade aber nicht übergeben. Dazu muss der Schlüssel RemoveDot angelegt und ihm der Wert '1' zugewiesen werden.

Wenn ein Compiler eingesetzt wird, der nur Pfade im Unix-Stil mit vorwärts gerichteten Schrägstrichen ('/') an Stelle des unter DOS/WIN üblichen rückwärts gerichteten Schrägstrichs ('\') akzeptiert, muss der Schlüssel ConvertBS angelegt und ihm der Wert '1' zugewiesen werden. Damit wird sichergestellt, dass vorwärts gerichtete Schrägstriche verwendet werden.

Unser beispielhafter Abschnitt [General] sieht damit jetzt wie folgt aus:

[General]

TargetExt = .EXE

DebugOut = Debug

ReleaseOut = Release

Excludes = ausgeschlossene Dateien

Konfigurationsoptionen für Befehle

Die Befehlsabschnitte [Build] und [Compile] teilen UEStudio mit, auf welche Weise eine Anwendung erstellt oder eine Datei kompiliert wird. Es gibt noch weitere Befehlsabschnitte, die nicht besonders wichtig sind, in denen aber Einstellungen vorgenommen werden können, damit andere Werkzeuge mit den Projekt-, Quell- und Zieldateien arbeiten können. Am wichtigsten ist allerdings der Abschnitt [Build], der Bestandteil jeder Konfiguration sein muss.

Der wichtigste Schlüssel in diesem Abschnitt ist Out. Er teilt UEStudio mit, was genau mit Hilfe der angegebenen Befehle erstellt werden soll. In allen Konfigurationen sollte dem Schlüssel Out der Wert '$T' zugewiesen werden. Alle Befehlsabschnitte unterstützen spezielle Werte, die mit dem '$'-Zeichen beginnen. Diese Werte werden im Kommentarbereich am Anfang jeder Konfigurationsdatei beschrieben. Die wichtigsten Werte sind:

  • $T als Zieldatei
  • $P als Projektdatei
  • $O als Ausgabedatei

Jeder Befehlsabschnitt kann sich auf diese Dateien beziehen. Im Abschnitt [Build] ist dies der Wert, der dem Schlüssel Out zugewiesen wird, im Abschnitt [Compile] der Wert für die Eingangsdatei $I.

Die Erstellung der Ausgabedatei (im Abschnitt [Build] der Zieldatei) hängt von anderen Dateien ab, weshalb der Schlüssel Depends mit einem entsprechenden Wert angelegt werden muss. Im Abschnitt [Build] kann dies eine Liste von Objektdateien sein, z.B. $FGO. Wie bereits erwähnt kann jede Konfiguration zwei Build-Modi beherbergen: Release und Debug. Wenn Sie von dieser Funktionalität Gebrauch machen wollen, müssen die beiden Schlüssel ReleaseFlag und DebugFlag angelegt werden. Diese Schlüssel können für den Abschnitt [Build] und alle Compiler-Abschnitte gesetzt werden. Diese beiden Modi werden von den allermeisten Compilern unterstützt. Im Debug-Modus ergänzen sie die Objekt- bzw. ausführbaren Dateien um alle wichtigen Informationen zum Debuggen des Codes. Im Release-Modus (für den Einsatz im laufenden Betrieb) werden diese Informationen weggelassen. Die Werte für diese Schlüssel werden in denjenigen Compiler-Befehlen "erweitert", in denen auf den speziellen Wert $R (die Release/Debug-Einstellung für den Linker) zurückgegriffen wird.

Nun sollten die Befehlsschlüssel angelegt werden. Jeder Befehlsabschnitt muss mindestens einen Befehl aufweisen. Die Schlüssel werden in der Form Cmd0, Cmd1, Cmd2 etc. angegeben. In den meisten Fällen braucht nur ein einziger Befehl definiert zu werden, aber bei Bedarf können auch mehrere verwendet werden.

Unser beispielhafter Abschnitt [Build] sieht damit wie folgt aus:

[Build]

Out = $T

Depends = $FGO

DebugFlag = /debug

Cmd0 = linker $R -out $O -input $FGO

Ein Beispiel:

Angenommen, die Zieldatei hieße 'Anwendung.EXE', der Schlüssel DebugFlag sei '/debug', der Schlüssel ReleaseFlag sei nicht gesetzt und das Projekt enthielte lediglich eine Quelldatei namens 'beispiel.cpp', dann sähe der Befehl Cmd0 während des Build-Vorgangs im Debug-Modus wie folgt aus:

"compiler /debug -out Anwendung.EXE -input beispiel.obj"

Im Release-Modus sähe der Befehl wie folgt aus:

"compiler -out Anwendung.EXE -input beispiel.obj"

Falls der eingesetzte Compiler keine langen Befehlszeilen, dafür aber Response-Files (Dateien mit Befehlszeilenoptionen) unterstützt, kann UEStudio diese Response-Files für Sie erstellen. Weitere Response-Files lassen sich erzeugen, indem einfach der Index hinter dem Schlüssel file@ geändert wird, sodass die Schlüssel, mit denen die Art und Weise der Response-File-Erstellung geregelt werden, Namen wie file@0, file@1 etc. tragen. Ein Wert für diese Schlüssel setzt sich aus dem Namen des zu erzeugenden Response-Files und Parametern (Compiler-/Linker-Optionen) in folgender Form zusammen: [dateiname.erw] option1 option2. Dabei dürfen auch Dateigruppen und andere Variablen angegeben werden. Wenn im Response-File Optionen in mehreren Zeilen erscheinen sollen, muss das Pipe-Zeichen ('|') zwischen den Optionen angegeben werden. Wenn sich die Response-Files und Objekte in eigenen Zeilen (ohne weitere Compiler-Optionen) befinden sollen, ließe sich unser beispielhafter Abschnitt [Build] wie folgt erweitern:

file@0 = [mein_resp.file] -out $O | -input $FGO

Cmd0 = linker $R @mein_resp.file

Sobald die Abschnitte [General] und [Build] definiert sind, lassen sich weitere Compiler-Abschnitte definieren. Diese Abschnitte werden in der Regel nicht benötigt, gehören aber in den meisten Fällen zur Konfiguration eines Compilers dazu und sollen daher auch beschrieben werden. Wenn Sie beispielsweise eine Konfigurationsdatei für einen C-Compiler erzeugen, muss mindestens ein Compiler-Abschnitt namens [.C] angelegt werden. Es lassen sich bei Bedarf mehrere Konfigurationen definieren, um den Umgang mit Quelldateien festzulegen. Falls der eingesetzte Compiler mehrere Quelldateitypen (d.h.: .C, .CPP, .CXX) auf die gleiche Weise behandelt, braucht nicht für jede dieser Erweiterungen ein eigener Abschnitt ([.C], [.CPP], [.CXX]) definiert zu werden. Stattdessen lassen sich im Abschnitt [General] Schlüssel definieren, die UEStudio mitteilen, welcher Compiler-Abschnitt im jeweiligen Fall zu verwenden ist.

Ein Beispiel:

Wenn Sie im Abschnitt [General] die Zeile

.CPP = .C

einfügen, wird UEStudio den Abschnitt [.C] auf alle '.C'- und '.CPP'-Dateien anwenden.

Der Compiler-Abschnitt (in unserem Fall [.C]) enthält alle für den Abschnitt [Build] beschriebenen Schlüssel, nur dass die Werte andere sein werden. In diesen Abschnitten kann auch der Sonderschlüssel $I eingesetzt werden, der für den vollständigen Pfad zur Quelldatei steht. Alle Sonderschlüssel, die Pfade enthalten, lassen sich auch einsetzen, um nur die Pfade, Namen oder Erweiterungen zu erhalten:

  • $Ip nur der Pfad
  • $In nur der Name
  • $Ie nur die Dateierweiterung

Dieselbe Vorgehensweise lässt sich auf $P, $T und $O anwenden.

Unser beispielhafter Compiler-Abschnitt [.C] könnte damit wie folgt aussehen:

[.C]

Out = $In.obj

Depends = $I

DebugFlag = /debug

Cmd0 = compiler $R -out $O -input $I

Dieser Abschnitt kann auch Schlüssel für Include-Dateien enthalten, sodass UEStudio auf diese und die zu ihnen gehörenden Symbole zurückgreifen kann, wenn es beim Parsen von Quelldateien auf Verweise auf Include-Dateien stößt. Der erste dieser Schlüssel heißt IncFiles, durch den UEStudio erfährt, dass eine Datei Include-Dateien enthalten kann. Standardmäßig werden nur Include-Dateien im aktuellen Verzeichnis durchsucht.

Als nächstes kann der Schlüssel IncDirs definiert werden, dessen Wert die Liste der zu durchsuchenden Verzeichnisse angibt. Hierbei muss dasselbe Format verwendet werden wie bei der Umgebungsvariable PATH (Trennung der Verzeichnisse jeweils durch ein Semikolon) und es kann der Wert '$(INCLUDE)' angegeben werden. Bei Werten, die in der Form '$(irgendetwas)' angegeben werden, handelt es sich um Variablen und Referenzschlüssel, die im Abschnitt [Variables] definiert sind (eine Beschreibung finden Sie weiter unten). Als nächstes müssen die Schlüsselwörter angegeben werden, mit denen die Include-Dateien bestimmt werden. In den Sprachen C/C++ wäre dies #include, in NASM wäre es %include und für den Microsoft Assembler wäre es einfach nur include. Falls diese Schlüsselwörter nach Groß-/Kleinschreibung unterschieden werden, muss zusätzlich der Schlüssel CaseSensitive auf den Wert '1' gesetzt werden.

Die meisten Quelldateien lassen auch Zeilen- und/oder Blockkommentare zu. Kommentare werden nicht kompiliert, sodass Include-Dateien, die innerhalb von Kommentaren definiert wurden, ignoriert werden. Falls der Compiler Kommentare unterstützt, sollte an dieser Stelle der Schlüssel Comments in folgender Form angegeben werden: StartsymbolEinesKommentars.EndsymbolEinesKommentars.

Das Zeilenende muss für Zeilenkommentare als 'eol' angegeben werden. Da jeder Kommentarblock über ein Start- und ein Endsymbol verfügt, muss die Angabe immer paarweise erfolgen (und durch einen Punkt abgeschlossen werden).

Unser beispielhafter Abschnitt [.C] könnte damit um folgende Schlüssel ergänzt werden:

IncFiles = 1

CaseSensitive = 0

IncDirs = .;$(INCLUDE);

IncKeyWords = include;

Comments = //.eol./*.*/.

Konfigurationsoptionen in den Abschnitten [FileGroups] und [GroupFormats]

Im Abschnitt [Build] wurde auf den Wert $FGO (eine Gruppe von Dateien) zurückgegriffen. Sie dürfen soviele Gruppen von Dateien definieren wie Sie benötigen – einschließlich sämtlicher Projektdateien und Dateien, die während der Erstellung (Build) erzeugt werden (z.B. Objektdateien). Um Dateigruppen zu definieren, geben Sie einen neuen Abschnitt namens [FileGroups] an und legen Sie den Schlüssel FGO an. Dateierweiterungen von Dateien, die bei der Erstellung von Dateigruppen verwendet werden, können als Wert, Projektordnername oder spezielle Gruppe angegeben werden. Im aktuellen Beispiel verwenden wir den Wert '.obj'. Meistens werden Objektdateien einfach als Dateiliste an den Linker übergeben.

Manchmal muss für die Übergabe von Objektdateien (oder Quelldateien) an den Linker (oder ein anderes Werkzeug) allerdings ein spezielles Format verwendet werden; für diese Fälle kann dann der Abschnitt [GroupFormats] definiert werden. Wenn dem Linker die Objektdateien für die Befehlszeile in der Form 'a + Name1.obj + Name2.obj' etc. übergeben werden müssen, muss im Abschnitt [GroupFormats] ein Schlüssel hinzugefügt werden, der UEStudio über das benötigte Format informiert. Dem Schlüssel FGO würde in diesem Beispiel dann der Wert '+ %s' zugewiesen werden.

In seltenen Fällen kann es sein, das für die erste Datei der Gruppe kein spezielles bzw. ein anderes Format benötigt wird als für die weiteren Dateien. In solchen Fällen kann eine Gruppe von Objektdateien, die an die Befehlszeile des Linkers übergeben werden sollen, durch Kommata (',') getrennt und mit '/obj' beginnend angegeben werden.

Der neue Abschnitt sieht dann wie folgt aus:

[FileGroups]

FGO = .obj;

[GroupFormats]

FGO = , %s

FGO0 = /obj: %s (<= Eine an die FGO-Definition angehängte Null sorgt dafür, dass dieses Format nur für die erste Datei der Gruppe verwendet wird.)

Konfigurationsoptionen im Abschnitt [InsertFiles]

Einige Compiler müssen bei jedem Erstellen einer Anwendung bestimmte Dateien verlinken. Eine Lösung hierfür besteht darin, diese Dateien (z.B. Objektdateien mit Code für den Startvorgang) beim Anlegen eines neuen Projekts jedes Mal aufs Neue hinzuzufügen. Einfacher wäre es, diese Dateien in Konfigurationsdateien anzugeben, die einem Projekt immer "virtuell" (während des Build-Vorgangs) hinzugefügt werden. Zu diesem Zweck können Sie den Abschnitt [InsertFiles] einrichten.

Zum Angeben dieser Dateien stehen Ihnen zwei Arten von Schlüsseln zur Verfügung: file0 bis fileX mit dem vollständigen/relativen Pfad zur Datei als Wert oder group0 bis groupX mit einer durch Leerzeichen getrennten Liste von Dateien als Wert (z.B. 'bib1.lib bib2.lib' etc.). Auf diese Gruppen kann auch, wie oben erwähnt, im Abschnitt [FileGroups] zurückgegriffen werden. Wenn beispielsweise eine Gruppe von Bibliotheken aus der im Abschnitt [InsertFiles] definierten group0 benötigt wird und zur Liste der Objektdateien hinzugefügt werden soll, ändert sich unser Schlüssel FGO im Abschnitt [FileGroups] wie folgt:

[FileGroups]

FGO = .obj;group0;

Konfigurationsoptionen in den Abschnitten [Variables] und [Environment]

Es lassen sich beliebige Variablen definieren, auf die in den meisten Schlüsseln und in den meisten Abschnitten (eigentlich überall, wo es Sinn macht) zurückgegriffen werden kann. Eine Ausnahme stellt der Schlüssel TargetExt im Abschnitt [General] dar, der nicht variabel sein darf. Der in erster Linie für die Definition von Variablen vorgesehene Abschnitt heißt bezeichnenderweise [Variables]. Dort kann etwa der Schlüssel CPATH mit dem vollständigen Pfad zum Compiler als Wert definiert werden. Auf diese Variable kann dann in anderen Abschnitten als $(CPATH) zurückgegriffen werden.

Für manche Compiler müssen außerdem einige Umgebungsvariablen wie INCLUDE, LIB etc. angegeben werden. Für diesen Zweck ist der Abschnitt [Environment] gedacht. Die hier definierten Schlüssel werden während des Build-Vorgangs zur normalen Umgebung hinzugefügt. In manchen Fällen soll der ursprüngliche Wert einer Umgebungsvariable wie PATH (zum Hinzufügen des Compiler-Pfads) neben dem "aktuellen" Pfad verwendet werden. Der Wert kann dann in der Form '$(CPATH);%PATH%' angegeben werden.

Beachten Sie hierbei, dass die ursprünglichen Werte wie bei klassischen Umgebungsvariablen in der Form '%SCHLÜSSEL%' angegeben werden können (nur im Abschnitt [Environment]). UEStudio unterstützt in beiden Abschnitten die Verwendung von Daten aus der Windows-Registry. Auch hier kommt die beschriebene Syntax zum Einsatz, wobei die Variablen mit dem entsprechenden HKEY beginnen.

Ein Beispiel:

$(HKEY_CURRENT_USER\MeinCompiler\Pfad)

Der Wert wird dann aus dem gleichnamigen Registry-Schlüssel gewonnen. Falls es erforderlich sein sollte, den Standardschlüssel aus dem Registry-Pfad MeinCompiler zu verwenden, müssen Sie die Notation $(HKEY_CURRENT_USER\MyCompiler\@) verwenden.

Konfigurationsoptionen in den Abschnitten [Settings], [SettingsInfos] und [SetingsReps]

Wenn an einer Compiler-Konfigurationsdatei Änderungen vorgenommen werden und die Option Lokale Konfiguration nicht aktiviert ist, werden die Änderungen global (für alle Projekte) übernommen. Es gibt einige spezielle Abschnitte, die Änderungen an Optionen ermöglichen, die von der grafischen Benutzeroberfläche Gebrauch machen: [Settings], [SettingsInfo] und [SettingsReps].

Der wichtigste dieser Abschnitte ist [Settings]. Alle in ihm definierten Schlüssel werden auch gemeinsam mit dem Projekt gespeichert, sodass diese Werte innerhalb von UEStudio geändert werden können, ohne die Compiler-Konfigurationsdatei ändern zu müssen. Mit Hilfe dieser Abschnitte lassen sich allgemeine Konfigurationsdateien mit denselben Optionen für alle Projekte (z.B. alle Windows-Anwendungen) erzeugen und Elemente angeben, die konfigurierbar sein sollen.

Wenn im Abschnitt [Settings] der Schlüssel Compiler Options angegeben und ihm als Wert eine leere Zeichenkette zugewiesen wird, ist dieser Schlüssel standardmäßig leer; wenn Sie ihm aber einen Wert zuweisen, wird dieser Wert an jeder Stelle verwendet, an der Sie auf die Variable $(Compiler Options) zurückgreifen.

Wenn es vordefinierte Werte gibt (z.B. durch das Anlegen des Schlüssels Warning Level), können sie hier angepasst und die Werte für diese Schlüssel als 'w1|w2|w3' angegeben werden. Wie Sie sehen, werden die Werte durch das Pipe-Zeichen ('|') voneinander getrennt. Der erste Wert aus der Liste wird als Standardwert verwendet, in diesem Fall 'w1'. Jede hier von UEStudio aus durchgeführte Änderung (ohne direkte Änderung der Konfigurationsdatei) wird zusammen mit dem Projekt gespeichert. Wenn Sie nun also innerhalb von UEStudio auf den Schlüssel Warning Level klicken, können die in diesem Abschnitt definierten drei Werte ausgewählt werden.

Noch einfacher wäre eine Auswahl aus den Werten 'nur Fehler', 'Standard' und 'Warnungen als Fehler'. Für diesen Zweck lässt sich der Abschnitt [SettingsReps] einrichten. Dann können im Abschnitt [Settings] der Schlüssel Warning Level mit dem Wert 'nur Fehler|Standard|Warnungen als Fehler' und im Abschnitt [SettingsReps] der Schlüssel Warning Level mit dem Wert 'nur Fehler=w1|Standard=w2|Warnungen als Fehler=w3' definiert werden. Dadurch wird UEStudio dazu veranlasst, diese Klartext-Optionen durch die entsprechenden Befehlszeilenoptionen zu ersetzen.

Manche Optionen müssen dem Compiler in einer bestimmten Form übergeben werden. Wenn beispielsweise die Befehlszeile des Linkers in einem Parameter als Ressourcenskript angegeben werden muss, könnte man geneigt sein, im Abschnitt [Settings] einen Schlüssel Resource Script anzulegen und die Befehlszeile des Linkers als '/rscript:$(Resource Script)' anzugeben. Wenn Resource Script immer einen Wert enthielte, gäbe es damit keine Probleme. Aber der Fall, dass dem Schlüssel Resource Script eine leere Zeichenkette zugewiesen wäre und diese als '/rscript:' an die Befehlszeile des Linkers übergeben würde, würde zu einem Fehler führen.

Stattdessen kann man den Schlüssel Resource Script im Abschnitt [SettingsReps] mit dem Wert '@/rscript:%s' definieren. Das Anfangszeichen '@' teilt UEStudio mit, dass es sich um ein Format handelt. Wenn diesem Schlüssel also kein Wert zugewiesen wurde, wird auch nichts an die Befehlszeile des Linkers übergeben; wenn allerdings ein Wert zugewiesen wurde, wird der entsprechende Wert an die Befehlszeile übergeben.

Damit Sie sich nicht alle möglichen Optionen merken müssen, können Sie lieber einen Abschnitt einrichten, in dem Sie Informationen zu den Schlüsseln speichern. Diese Informationen werden innerhalb von UEStudio im Dialog 'Compiler-Optionen' angezeigt, sobald ein entsprechender Schlüssel ausgewählt wurde. Zu diesem Zweck kann der Abschnitt [SettingsInfo] hinzugefügt werden, in dem die Schlüssel mit denselben Namen aufgeführt werden müssen, den sie in den Abschnitten [Settings] und [SettingsReps] haben. Als Werte werden diesen Schlüsseln hier dann Beschreibungen der Schlüssel zugewiesen.

Der neue Abschnitt [Settings] könnte dann wie folgt aussehen:

[Settings]

Target =

Working Directory =.

Warning Level = nur Fehler|Standard|Warnungen als Fehler

[SettingsReps]

Warning Level = nur Fehler=w1|Standard=w2|Warnungen als Fehler=w3

[SettingsInfo]

Target = Platz für den Namen der Zieldatei

Working Directory = falls vorhanden, wird die Anwendung in diesem Verzeichnis ausgeführt

Warning Level = hier können Warning-Levels für den Compiler angegeben werden

Zwei der hier erwähnten Schlüssel im Abschnitt [Settings] sind in jedem Abschnitt [Settings] einer Compiler-Konfiguration enthalten und einer von Ihnen, Target, ist zwingend erforderlich. Es empfiehlt sich, diesen Wert leer zu lassen, damit der Zielname immer aus dem Projektnamen plus der Dateierweiterung aus dem Schlüssel TargetExt des Abschnitts [General] generiert wird.


CVS in UEStudio '05

CVS in UEStudio

UEStudio enthält im Menü 'Projekt' eine Schnittstelle zu CVS (Concurrent Versions System). Beachten Sie bitte, dass UEStudio selbst keinen CVS-Server bereitstellt, sondern nur eine Möglichkeit zur Interaktion mit einem bereits installierten und konfigurierten CVS-Server.

Bei CVS handelt es sich um ein netzwerkübergreifendes Open-Source-Programm, das es Entwicklern ermöglicht, verschiedene Entwicklungsversionen des Quellcodes im Blick zu behalten. CVS bewahrt nicht etwa mehrere Fassungen des Quellcodes als Dateien auf, sondern hält eine einzige Fassung und Aufzeichnungen zu sämtlichen vorgenommenen Änderungen vor. Wenn ein Entwickler eine bestimmte Entwicklungsversion benötigt, rekonstruiert CVS diese Fassung anhand der Aufzeichnungen.

Zugänge für das Auschecken von Quelldateien per CVS lassen sich mit Hilfe des Dialogs 'CVS-Manager' erstellen oder ändern. UEStudio unterstützt folgende CVS-bezogenen Funktionen:

  • Auschecken

Checkt ein Modul aus dem Bestand (Repository) aus. (Checkout)
  • Einchecken

Checkt eine Arbeitskopie in den Bestand ein. (Commit)
  • Aktualisieren

Aktualisiert eine Arbeitskopie aus dem Bestand.
  • Importieren

Importiert ein neues Modul in den Bestand.
  • Exportieren

Checkt ein Modul ohne die CVS-Informationen aus.
  • CVS-Manager

Ruft den 'CVS-Manager' auf.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Wie lässt sich die Warnung bei der Arbeit ohne temporäre Dateien deaktivieren?

Standardmäßig erscheint vor dem Bearbeiten einer Datei ohne das Anlegen einer temporären Datei ein Dialog, in dem diese Arbeitsweise bestätigt werden muss, da in diesem Fall keine Sicherheitskopie angelegt würde und sämtliche Änderungen dauerhaft wären. Sie können diese Warnung deaktivieren, indem Sie auf der Registerkarte 'Optionen | Allgemein' (Menü 'Extras') im Bereich 'Einstellungen für den Umgang mit Dateien' die Option Datei ohne temporäre Datei öffnen, OHNE nachzufragen auswählen.


Wie lässt sich UltraEdit ohne eine leere Datei starten?

Wenn Sie beim Starten von UltraEdit keine Datei angeben, stellen Sie sicher, dass auf der Registerkarte 'Optionen | Allgemein' (Menü 'Extras') im Bereich 'Einstellungen für den Umgang mit Dateien' die Option Bei Programmstart ohne Dateiangabe neue Datei anlegen deaktiviert ist. Standardmäßig wird eine neue Datei angelegt, wenn beim Start von UltraEdit keine Dateien automatisch geöffnet werden.

Darüber hinaus wird standardmäßig eine neue, leere Datei mit dem angegebenen Namen erstellt, wenn versucht wird, eine nicht vorhandene Datei zu öffnen. Um dieses Verhalten zu ändern, müssen Sie auf der Registerkarte 'Optionen | Allgemein' im Bereich 'Öffnen/Speichern/Konvertieren' die Option Neue Datei anlegen, wenn die in der Befehlszeile angegebene Datei nicht existiert deaktivieren.


Wie lässt sich das Format für neue Dateien festlegen?

Auf der Registerkarte 'Optionen | Allgemein' (Menü 'Extras') gibt es im Bereich 'Bearbeiten' die Einstellung Standardmäßiger Dateityp für neue Dateien, mit der Sie das Format für neue Dateien festlegen können, die in UltraEdit erzeugt werden. Sie können eine der Optionen DOS, UNIX oder MAC auswählen, damit neue Dateien mit den entsprechenden Zeilenende-Zeichen erzeugt werden.


Wie lässt sich eine andere Anwendung für den Dateivergleich verwenden?

Standardmäßig ruft der Befehl Dateien vergleichen aus dem Menü 'Datei' das in UltraEdit integrierte Hilfsprogramm für den Dateivergleich auf. Wenn Sie lieber auf eine andere Anwendung für den Dateivergleich zurückgreifen möchten, können Sie in der Datei uedit32.ini, die Sie standardmäßig im Anwendungsverzeichnis finden, folgende Einstellung im Bereich [Settings] ändern:

Compare EXE = "vollständiger Dateipfad zur EXE-Datei"

Mit dieser Einstellung können Sie ein anderes Programm für den Dateivergleich angeben, das dann an Stelle des von UltraEdit bereitgestellten Hilfsprogramms Verwendung findet. Die einzigen an dieses Hilfsprogramm übergebenen Befehlszeilenparameter sind die Dateinamen (inkl. Pfad) der miteinander zu vergleichenden Dateien.


Wie lassen sich Zeilen löschen, die eine bestimmte Zeichenfolge enthalten?

Zum Löschen von Zeilen mit bestimmten Inhalten können Sie den Befehl Ersetzen | Alles ersetzen bei aktiver Option Reguläre Ausdrücke mit folgenden Einstellungen durchführen:

Suchtext: %*IHRE ZEICHENFOLGE*^p

Ersetzen durch: (Feld leer lassen!)

Weitere Informationen finden Sie im Hilfethema zu regulären Ausdrücken .


Wie lassen sich Leerzeilen löschen?

Zum Löschen von Leerzeilen können Sie den Befehl Ersetzen bei aktiver Option Reguläre Ausdrücke mit folgenden Einstellungen durchführen:

Suchtext: ^p$

Ersetzen durch: (Feld leer lassen!)

Dies führt dazu, dass ein fester Zeilenwechsel, auf den unmittelbar ein Zeilenende folgt, durch Nichts ersetzt wird, was dem Löschen der Zeile entspricht.

Weitere Informationen finden Sie im Hilfethema zu regulären Ausdrücken .


Wie lassen sich Trennlinien aus der Symbolleiste entfernen?

Zum Entfernen von Trennlinien brauchen Sie beim Anpassen der Symbolleiste einfach nur das Symbol rechts von der Trennlinie nach links über diese Trennlinie zu ziehen.


Wie lässt sich die Syntaxhervorhebung ausdrucken?

Wählen Sie im Menü 'Datei' den Befehl Druckeinstellungen | Seite einrichten aus. Im Dialog 'Seite einrichten' finden Sie rechts unten die Option Syntaxhervorhebung drucken. Aktivieren Sie sie.


Wie lassen sich die Dateitypen im Dialog 'Öffnen' ändern?

Rufen Sie vom Menü 'Extras' aus die Registerkarte 'Optionen | Dateitypen' auf. Auf dieser Registerkarte können Sie die Liste der Dateitypen konfigurieren, die in den Dialogen 'Öffnen' und 'Speichern unter' angezeigt werden. Es lassen sich bis zu 10 Dateitypen konfigurieren. Die Dateitypen werden in den Dialogen für Dateioperationen in derselben Reihenfolge angezeigt wie auf dieser Registerkarte.


Wie lassen sich mehrere Zeilen ersetzen?

Dazu können Sie das Symbol ^p für den Zeilenwechsel (CR/LF) verwenden. UltraEdit übersetzt das Zeichen beim Suchen und Ersetzen in einen festen Zeilenwechsel. Sie können sich in den Feldern Suchtext und Ersetzen durch auch auf den Inhalt der Zwischenablage oder den ausgewählten Text beziehen, indem Sie von den Sonderzeichen ^c (clipboard) bzw. ^s (selection) Gebrauch machen. Auf diese Weise können Sie Texte kopieren/auswählen, die bis zu 30.000 Byte groß sein dürfen.


Wo gibt es weitere Wortlistendateien für UltraEdit?

Eine ganze Reihe von Dateien für Wortlisten, Makros, AutoKorrekturen und Tag-Listen stehen auf unserer Website unter http://www.ultraedit.com/index.php?name=Content&pa=showpage&pid=40#wordfiles (Englisch) zum Herunterladen bereit.


Warum werden Wörter mit Bindestrichen beim Neuformatieren umbrochen?

Dies ist das standardmäßige Verhalten von UltraEdit für den Umgang mit Wörtern mit Bindestrichen bei der Neuformatierung von Absätzen. Wenn Sie solche Wörter nicht umbrechen lassen wollen, deaktivieren Sie auf der Registerkarte 'Optionen | Allgemein' im Bereich 'Bearbeiten' die Option Umbruch nach Bindestrich (-) bei der Konvertierung/Neuformatierung von Absätzen.


Wieso formatiert UltraEdit einen eingefügten Absatz um?

Wenn Sie bei den Einstellungen für den (Zeilen-) Umbruch die Option Umbruch nach Spalte Nr. CR/LF einfügen aktiviert haben, wird ein Absatz beim Einfügen neu formatiert, damit der eingestellte Umbruch beibehalten bleibt. Dieses Verhalten können Sie unterbinden, indem Sie auf der Registerkarte 'Optionen | Allgemein' (Menü 'Extras') im Bereich 'Bearbeiten' die Option Absatz nach Einfügungen neu formatieren, wenn laut Konfiguration feste Umbrüche nach einer bestimmten Spaltennummer eingefügt werden deaktivieren.

Diese Option sorgt dafür, dass der Editor einen Absatz nach dem Einfügen automatisch neu formatiert, wenn die Einstellungen für den Zeilenumbruch einen Umbruch nach einer bestimmten Spaltennummer durch das Einfügen von festen Zeilenwechseln (CR/LF) vorsehen. Standardmäßig führt UltraEdit diese Art der Neuformatierung durch. Um dieses Verhalten zu ändern, müssen Sie die Option deaktivieren.


Warum funktioniert meine IntelliMouse nicht in UltraEdit?

UltraEdit unterstützt die IntelliMouse von Haus aus. Wenn Sie den IntelliMouse-Treiber für den Betrieb in UltraEdit deaktivieren, sollte das Problem behoben sein. Der IntelliMouse-Treiber kann entsprechend konfiguriert werden, damit UltraEdit die Kontrolle über die Interaktion mit der Maus übernehmen kann.


Wieso funktioniert 'Leerzeichen an Zeilenenden entfernen' nicht für die letzte Zeile?

Für das Funktionieren des Befehls Leerzeichen an Zeilenenden entfernen ist es erforderlich, dass die jeweilige Textzeile ein Zeichen für den Zeilenwechsel enthält. Wenn die letzte Zeile einer Datei durch einen festen Zeilenwechsel (CR/LF) beendet wird, funktioniert der Befehl auch für diese Zeile.


Warum wird die Datei 'notepad.exe' überschrieben?

Bei einigen Installationen von Windows 2000/XP (z.B. bei denen von Compaq) wird auf der Festplatte das Unterverzeichnis 'i386' angelegt, um Treiber für das Plug&Play bereitzustellen. Dieses Verzeichnis enthält auch eine Datei namens 'notepad.ex_', die kurioserweise ebenso wie die CD-ROM die neue 'notepad.exe' überschreibt. Offenbar geschieht dies, wenn das Dialogfenster für unsichere Treiber entgegen der Aussage in der ReadMe-Datei nicht erscheint. Eine Umbenennung der Datei in 'notepad.ex_.bak' behebt dieses Problem.

Benutzer von Windows XP müssen darüber hinaus die neue 'notepad.exe' in die Verzeichnisse 'c:/windows' und 'c:/windows/system32' kopieren.

Falls auf Ihrem System kein Verzeichnis 'dllcache' zu sehen ist, rufen Sie den Windows Explorer auf, wechseln Sie über das Menü 'Extras' auf die Registerkarte 'Ordneroptionen | Ansicht' und stellen Sie dort sicher, dass die Option Geschützte Systemdateien ausblenden (empfohlen) nicht aktiviert ist. Wechseln Sie in das Verzeichnis 'WINNT\system32\dllcache' und benennen Sie die alte 'notepad.exe' in 'notepad.exe.bak' oder einen vergleichbaren Namen um. Anschließend können Sie die 'notepad.exe' in den Verzeichnisse 'WINNT' und 'WINNT\system32' gefahrlos ersetzen.


Warum beginnt das Lineal bei '0'?

Das Lineal funktioniert wie ein gewöhnliches Lineal und hat die 0 als Startwert, damit Sie die Anzahl der Spalten in Bezug auf einen festen Punkt messen können. Im Gegensatz dazu zeigt die Statuszeile die Nummer der Spalte an, in der die nächste Eingabe stattfinden würde. Wie bei normalen Windows-Anwendungen sind diese beiden Verfahren meiner Überzeugung nach die üblichen Vorgehensweisen zur Anzeige und Messung, auch wenn die meisten Anwendungen nicht beide Verfahren unterstützen.


Warum funktioniert das Kopieren & Einfügen nicht mehr?

UltraEdit unterstützt mehrere Zwischenablagen und vermutlich haben Sie eine der Benutzer-Zwischenablagen aktiviert.

Die Zwischenablagen lassen sich vom Menü 'Bearbeiten' und vom Kontextmenü aus oder per Tastaturbefehl Strg+0 bis Strg+9 aktivieren, wobei Strg+0 die standardmäßige Windows-Zwischenablage aktiviert. Die aktive Zwischenablage wird in der Statuszeile durch ein Komma getrennt hinter der Zeilen-/Spaltennummer angezeigt. 'C0' steht für die Windows-Zwischenabalge und 'C1'-'C9' für die jeweilige Benutzer-Zwischenablage.


Warum dauert das Öffnen großer Dateien so lange?

UltraEdit ist in der Lage, Dateien mit bis zu 4 GB und mehr zu verarbeiten. Die Arbeitsweise von UltraEdit basiert dabei auf dem Speichermedium. Mit anderen Worten, es werden jederzeit nur kleine Teile der Datei in den Speicher geladen, um nicht den gesamten Arbeitsspeicher zu belegen und andere Anwendungen nicht vom Betrieb abzuhalten. Allerdings wird zu diesem Zweck eine temporäre Kopie der Datei angelegt und dieser Vorgang kann bei großen Dateien längere Zeit dauern.

Im Menü 'Extras' befinden sich auf der Registerkarte 'Optionen | Allgemein' folgende beide Optionen, die einen Einfluss auf diese Arbeitsweise haben:

Zeilenanzeige in der Statusleiste deaktivieren

Aktivieren Sie dieses Kontrollkästchen, um die Zeilenanzeige für große Dateien auszuschalten. Dadurch wird die Navigation in der Datei erheblich beschleunigt.

Datei ohne temporäre Datei öffnen

Diese Option weist UltraEdit an, keine temporäre Kopie für eine Datei anzulegen. Dies bedeutet allerdings auch, dass die Bearbeitung direkt in der Originaldatei erfolgt, sodass etwaige Änderungen dauerhaft sein werden. Mehrere Benutzer von UltraEdit machen bei großen Dateien von dieser Einstellung Gebrauch. Sie können im Optionsfeld Die vorstehende Option gilt ab einer Dateigröße von (in KB) einen Schwellwert angeben, damit dieser Mechanismus nur für Dateien ab einer bestimmten Größe greift.

Des Weiteren kann es helfen, die automatische Konvertierung von Unix nach DOS zu deaktivieren, falls diese Einstellung in den Optionen aktiviert ist.


Warum verzögert sich Start von UltraEdit?

Warum verzögert sich der Start von UltraEdit?

UltraEdit versucht beim Starten und beim Herunterfahren mit dem Druckertreiber zu kommunizieren. Wenn Sie als Standarddrucker einen Netzwerkdrucker eingerichtet haben, kann es dadurch zu einer starken Verzögerung kommen.

Abhilfe schafft bei Bedarf folgendes Vorgehen: Wechseln Sie auf die Registerkarte 'Extras | Optionen | Allgemein' und deaktivieren Sie im Abschnitt 'Fortgeschrittene Optionen/Problemlösung' die Option Druckereinstellungen laden/wiederherstellen. Nach einem Neustart von UltraEdit sollte das Problem dann behoben sein.


Lizenzvertrag - nicht registriert

Lizenzvertrag – nicht registriert

BESCHRÄNKTE GARANTIE

DAS PROGRAMM WIRD "WIE ES IST" OHNE JEDE AUSDRÜCKLICHE ODER IMPLIZITE GEWÄHRLEISTUNG VERTRIEBEN, EINSCHLIESSLICH, ABER NICHT BESCHRÄNKT AUF DIE GEWÄHRLEISTUNG DER MARKTFÄHIGKEIT ODER EIGNUNG FÜR BESONDERE ZWECKE. IN KEINEM FALL SIND DER AUTOR ODER DIE AUTOREN FÜR IRGENDWELCHE SCHÄDEN HAFTBAR ZU MACHEN, EINSCHLIESSLICH BEILÄUFIGER ODER FOLGERICHTIGER SCHÄDEN, DIE SICH AUS DEM GEBRAUCH DES PROGRAMM ERGEBEN, SELBST WENN VON DER MÖGLICHKEIT SOLCHER SCHÄDEN BERICHTET WURDE.

SIE BESTÄTIGEN, DASS SIE DIESE LIZENZ GELESEN UND VERSTANDEN HABEN, UND ERKLÄREN SICH EINVERSTANDEN MIT DEN BESTIMMUNGEN ALS DEN VOLLSTÄNDIGEN UND AUSSCHLIESSLICHEN VERTRAGSBEDINGUNGEN ZWISCHEN UNS, DER JEDEN ANTRAG UND JEDE FRÜHERE VEREINBARUNG – MÜNDLICHER ODER SCHRIFTLICHER NATUR – SOWIE ALLE SONSTIGEN ABSPRACHEN ZWISCHEN UNS HINSICHTLICH DIESES LIZENZINHALTS ERSETZT.

UltraEdit/UltraEdit-32 ist ein Shareware-Programm, das dem Benutzer zur Erprobung kostenlos zur Verfügung gestellt wird. Der Zweck von Shareware-Software besteht darin, dass PC-Benutzern Qualitätssoftware geliefert werden soll, die er 'vor dem Kauf ausprobieren' kann und bei der weiteren Verwendung des Produkts zu bezahlen hat.

Wenn Sie dieses Programm nützlich finden und es nach Ablauf der Probezeit weiterhin benutzen möchten, wird eine Registrierungsgebühr fällig (siehe Informationen zur Registrierung). Die Zahlung dieser Gebühr berechtigt einen Benutzer dazu, eine Kopie von UltraEdit und/oder UltraEdit-32 auf einem beliebigen Computer zurzeit zu verwenden. Alle Benutzer erhalten nach der Registrierung eine Kopie der letzten Version – oder die Möglichkeit zum Herunterladen des Programms – sowie kostenlose Unterstützung bei technischen Fragen.

Alle Benutzer müssen ihre Kopie innerhalb von 45 Tagen ab dem erstem Gebrauch registrieren lassen und die entsprechende Gebühr entrichten oder ihnen wird die Lizenz entzogen. Standortlizenzen und Mehrbenutzerlizenzen sind auf Nachfrage bei IDM Computer Solutions erhältlich.

Jeder, der dieses Produkt gegen irgendeine Form von Bezahlung vertreibt, muss sich für eine Berechtigung zuerst an IDM Computer Solutions wenden.

Sie können diese Software an Freunde und Kollegen weitergeben, müssen dabei aber alle Dateien der Originalausgabe einbeziehen. Bitte ermuntern Sie sie zur Registrierung ihrer Kopien, wenn sie die Software einsetzen wollen.


Lizenzvertrag - registriert

Dies ist ein rechtlich verbindlicher Vertrag zwischen Ihnen (entweder eine Person oder eine Gesellschaft) und IDM Computer Solutions. Durch das Öffnen der versiegelten Softwareverpackung (sofern vorhanden) und/oder durch Verwenden der SOFTWARE erklären Sie sich mit den Bestimmungen dieses Vertrages einverstanden. Wenn Sie nicht mit den Bedingungen dieser Vereinbarung einverstanden sind, geben Sie das Paket und die beiliegenden Produkte umgehend gegen Rückerstattung des Kaufpreises zurück.

SOFTWARE-LIZENZ

1. LIZENZEINRÄUMUNG. Dieser Lizenzvertrag (Lizenz) gestattet Ihnen den Einsatz einer Kopie des vorgenannten Softwareprodukts, wobei die Benutzerdokumentation in online- oder elektronischer Form (SOFTWARE) beinhaltet sein kann. Die Lizenzierung der SOFTWARE erfolgt als Einzelprodukt für einen einzelnen Benutzer oder als Mehrbenutzerlizenzen und Standortlizenzen für eine Gruppe von Benutzern. Dieser Vertrag erfordert es, dass jeder Benutzer der SOFTWARE entweder als Einzelperson oder als Mitglied einer Gruppe lizenziert wird. Eine Mehrbenutzerlizenz ermöglicht es einer angegebenen Anzahl von Benutzern die SOFTWARE jederzeit zu verwenden. Dabei ist nicht die gleichzeitige Lizenzierung der Benutzer vorgesehen. Jeder Benutzer dieser SOFTWARE muss entweder als Einzelperson oder als Mitglied einer Gruppe mit einer Mehrbenutzerlizenz abgesichert sein. Die SOFTWARE ist auf einem Computer dann in Betrieb, wenn sie in den vorübergehenden Speicher (z.B. RAM) geladen oder im dauerhaften Speicher (z.B. Festplatte) auf dem Computer installiert worden ist. Diese SOFTWARE kann in einem Netzwerk installiert werden, wenn entsprechende Beschränkungen vorhanden sind, die den ausschließlichen Einsatz durch registrierte Benutzer garantieren.

2. URHEBERRECHT. Das Eigentum der SOFTWARE liegt bei IDM Computer Solutions und ist durch Urheberrechtsgesetze der Vereinigten Staaten von Amerika und internationale Vertragsbestimmungen geschützt. Sie dürfen weder die der SOFTWARE beiliegenden Unterlagen (falls vorhanden) kopieren noch Ausdrucke von anderen online oder elektronisch vorliegenden Benutzerdokumentationen anfertigen. Sie dürfen die ausgelieferten Freischaltcodes weder auf Papier, elektronisch oder in den Dateien ULTRAEDT.REG, UEDIT32.REG, ULTRAEDT.INI, ULEDIT32.INI gespeichert noch in einer anderen Form weitergeben.

3. ANDERE BESCHRÄNKUNGEN. Die zugestellte Registrierungsmitteilung, die Ihren Freischaltcode sowie diese Lizenz aufweist, stellt ihren Lizenznachweis dar, mit dem Sie ihre garantierten Rechte geltend machen können. Bewahren Sie sie gut auf. Sie dürfen die SOFTWARE nicht vermieten oder verleasen; Sie dürfen Ihre Rechte an dieser Lizenz aber dauerhaft übertragen, sofern Sie diese Lizenz, die SOFTWARE und alles gedruckte Begleitmaterial übertragen, keine Kopien zurückbehalten und der Empfänger sich mit allen Bestimmungen dieses Vertrags einverstanden erklärt. Sie dürfen die SOFTWARE nicht zurückentwickeln (Reverse Engineering), dekompilieren oder disassemblieren, es sei denn die vorangegangene Beschränkung verstößt ausdrücklich gegen geltendes Recht.

BESCHRÄNKTE GARANTIE

BESCHRÄNKTE GARANTIE. IDM Computer Solutions garantiert, dass die Software in Übereinstimmung mit dem beiliegenden gedruckten Material (sofern vorhanden) und der Online-Dokumentation für die Dauer von 365 Tagen nach Erhalt im Wesentlichen anwendbar ist.

ANSPRÜCHE DES KUNDEN. Die gesamte Haftung und Ihr alleiniger Anspruch bestehen nach Wahl von IDM Computer Solutions entweder (a) in der Rückerstattung des Kaufpreises oder (b) in der Reparatur oder dem Ersatz der SOFTWARE, die dieser beschränkten Garantie nicht genügt und die zusammen mit einer Kopie Ihrer Quittung an IDM Computer Solutions zurückgegeben wird. Diese beschränkte Garantie gilt nicht, wenn der Ausfall der SOFTWARE auf einem Unfall, auf Missbrauch oder auf fehlerhafte Anwendung zurückzuführen ist. Für eine Ersatz-SOFTWARE wird eine Garantie für den Rest der ursprünglichen Garantiezeit oder aber für dreißig (30) Tage gewährt, wobei der längere Zeitraum maßgebend ist.

KEINE WEITERE GEWÄHRLEISTUNG. IDM Computer Solutions schließt jede weitere Gewährleistung, ob ausdrücklich oder implizit, einschließlich, aber nicht beschränkt auf die Gewährleistung zur Marktfähigkeit oder Eignung für besondere Zwecke, bezüglich der SOFTWARE und der zugehörigen schriftlichen Materialien im maximal zulässigen Rahmen geltenden Rechts aus.

KEINE HAFTUNG FÜR FOLGESCHÄDEN. In keinem Fall kann IDM Computer Solutions für Schäden jeglicher Art (uneingeschränkt eingeschlossen sind Schäden aus entgangenem Gewinn, Betriebsunterbrechung, Verlust von geschäftlichen Informationen oder aus anderem finanziellen Verlust) haftbar gemacht werden, die auf Grund der Benutzung oder der Unfähigkeit zur Benutzung der SOFTWARE entstehen, selbst wenn IDM Computer Solutions von der Möglichkeit dieser Schäden in Kenntnis gesetzt worden ist.


Technischer Support

Wenn Sie eine Lizenz erworben und die Registrierung durchgeführt haben, erhalten Sie kostenlosen Support für UltraEdit.

Schicken Sie uns Ihre Fragen und/oder Vorschläge per E-Mail an: support@idmcomp.com (auf Englisch)


Vertrieb
         Previous Topic

Um aktuelle Informationen zu den Kosten und Möglichkeiten einer Lizenznahme zu erhalten, wenden Sie sich bitte per E-Mail an uns: sales@idmcomp.com (auf Englisch).

Eine vollständige Liste unserer internationalen Distributoren finden Sie auf unserer Website unter http://www.ultraedit.com/index.php?name=Content&pa=showpage&pid=43 .


Dialog 'Zugriffstasten'

Der Dialog 'Zugriffstasten'

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Der Dialog 'Zugriffstasten' ermöglicht Ihnen auf einfache Weise die Bearbeitung der Zugriffstasten für das aktive Projekt. Wenn in der Baumansicht eine Ressource vom Typ Zugriffstaste ausgewählt ist und Sie vom Kontextmenü aus den Befehl Öffnen aufrufen, dann wird dieser Dialog angezeigt.

Liste der Zugriffstasten

In dieser Liste sind alle Zugriffstasten der Ressource mit Ihrer ID, Taste und ihrem Typ aufgeführt.

Schaltflächen

Der Dialog enthält folgende Schaltflächen:

  • OK

Speichert die Änderungen und beendet den Dialog.
  • Abbrechen

Beendet den Dialog, ohne etwaige Änderungen zu speichern.
  • Neue Zugriffstaste

Zeigt den Dialog 'Zugriffstasten-Eigenschaften' an, damit Sie eine neue Zugriffstaste definieren können.
  • Eigenschaften

Falls eine Zugriffstaste ausgewählt ist, zeigt diese Schaltfläche den Dialog 'Zugriffstasten-Eigenschaften' an.
  • Löschen

Löscht die ausgewählte Zugriffstaste aus der Liste.

Der Dialog 'Zugriffstasten-Eigenschaften'

In diesem Eigenschaften-Dialog können Sie die Eigenschaften einer ausgewählten Ressource ändern oder die einer neuen Ressource definieren:

Mit diesem Dialog können Sie folgende Eigenschaften für eine Zugriffstaste festlegen:

ID | Die Bezeichnung für die aktive Zugriffstaste.
Taste | Die Taste für den Aufruf der Zugriffstaste.
Modifizierer | Tasten, die für den Zugriff zusätzlich zur Haupttaste gedrückt werden müssen. Wenn eine Zugriffstaste bereits einem Menüeintrag entspricht, wird dieser Menüeintrag standardmäßig hervorgehoben. Mit der Option Nicht anzeigen können Sie dieses Verhalten für jede einzelne Zugriffstaste deaktivieren.
Typ | Zur Auswahl stehen die Typen ASCII und Virtuelle Taste.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Dialog 'Artistic Style-Formatierung'

Der Dialog 'Artistic Style-Formatierung'

Mit diesem Dialog können Sie Einstellungen für die automatische Neuformatierung mit Einzügen von C/C++/Java-Quelldateien vornehmen. Durch Betätigen der Schaltfläche Neu formatieren werden die ausgewählten Optionen und Einstellungen auf die aktuelle Datei angewendet. Dieser Dialog kann durch Anklicken der Schaltfläche "Artistic Style" in der Symbolleiste "Werkzeuge" geöffnet werden. Der Wert für den Einzug im Dialog »Artistic Style-Formatierung« wird durch die Anzahl von Leerstellen bestimmt, die im Konfigurationsdialog bei »Tabulatoren/Zeilenumbruch« für die aktuelle Dateinamenerweiterung verwendet wird.

Einzug

Folgende Optionen stehen für den Einzug zur Verfügung:

Element | Auswirkung
class | Führt einen Einzug für 'class'-Blöcke durch, sodass die Zeilen 'public:', 'protected:' und 'private:' im 'class'-Block eingerückt werden. class Foo { public: Foo(); virtual ~Foo(); }; wird zu: class Foo { public: Foo(); virtual ~Foo(); };
switch | Führt einen Einzug für 'switch'-Blöcke durch, sodass Zeilen der Art 'case X:' im 'switch'-Block eingerückt werden. switch (foo) { case 1: a += 2; break; default: a += 3; break; } wird zu: switch (foo) { case 1: a += 2; break; default: a += 2; break; }
case | Führt einen Einzug für 'case X:'-Zeilen durch, sodass sie in einer Linie mit den auf sie folgenden Befehlen stehen. switch (foo) { case 1: { a += 2; break; } default: { a += 2; break; } } wird zu: switch (foo) { case 1: { a += 2; break; } default: { a += 2; break; } }
Klammern | Führt einen zusätzlichen Einzug für Klammern durch. if (isFoo) { bar(); } else { anotherBar(); } wird zu: if (isFoo) { bar(); } else { anotherBar(); }
Blöcke | Führt einen zusätzlichen Einzug für vollständige Blöcke durch. if (isFoo) { bar(); } else anotherBar(); wird zu: if (isFoo) { bar(); } else anotherBar();
Label | Führt einen zusätzlichen Einzug für Label durch, sodass sie nur um eine Einzugposition weniger eingerückt erscheinen als der aktuelle Einzug, statt standardmäßig links ausgerichtet zu werden. int foo() { while (isFoo) { ... goto error; error: ... } } wird zu: int foo() { while (isFoo) { ... goto error; error: ... } }
namespace | Führt einen zusätzlichen Einzug für Namensräume durch. namespace foospace { class Foo { public: Foo(); virtual ~Foo(); }; } wird zu: namespace foospace { class Foo { public: Foo(); virtual ~Foo(); }; }
max. Einzug | Setzt den Einzugswert für die maximale Anzahl von Leerzeichen in einer fortlaufenden Anweisung relativ zur vorhergehenden Zeile.
min. Einzug | Setzt den Mindestwert für den Einzug von mehrzeiligen Headern. Mit diesem Einzug lässt sich die Kopfzeile leicht von den nachfolgenden Befehlsanweisungen trennen. Der Standardwert für diese Option ist das Doppelte des aktuellen Einzugs. // Die Standardeinstellung macht diesen Code ohne Klammern deutlich erkennbar if (a < b || c > d) foo++; // führt bei diesem Code mit Klammern aber zu einem übermäßig starken Einzug if (a < b || c > d) { foo++; } wird zu (wenn min. Einzugt auf 0 gesetzt ist): // Diese Einstellung macht diesen Code ohne Klammern weniger deutlich erkennbar if (a < b || c > d) foo++; // formatiert diesen Code mit Klammern aber hübscher if (a < b || c > d) { foo++; }
Präprozessor | Führt einen Einzug für mehrzeilige Präpropzessor-Definitionen durch. Für brauchbare Ergebnisse sollte diese Option zusammen mit der Option Tabulator zu Leerzeichen verwendet werden. Wenngleich diese Option für ansehnliche Ergebnisse sorgt, kann sie bei wirren Präprozessor-Definitionen keine Wunder vollbringen.
Tabulator zu Leerzeichen | Konvertiert Tabulatoren zu Leerzeichen.
Leerzeilen füllen | Füllt Leerzeilen mit den Weißraumzeichen der vorangegangenen Zeilen auf.

Formatierung

Folgende Optionen stehen für die Formatierung zur Verfügung:

Element | Wert | Auswirkung
Klammern | attach | Hängt Klammern direkt an die zu ihnen gehörenden Blockanweisungen (d.h. Java- bzw. K&R-Stil). if (isFoo) { bar(); } else { baz(); }
 | break | Führt einen Umbruch zwischen Klammern und den zu ihnen gehörenden Blockanweisungen durch (d.h. ANSI C- bzw. C++-Stil). if (isFoo) { bar(); } else { baz(); }
 | break-closing-headers | Führt einen Umbruch zwischen abschließenden Headern (z.B. 'else', 'catch', ...) und den direkt vor ihnen stehenden abschließenden Klammern durch. if (isFoo) { bar(); } else { anotherBar(); } becomes: if (isFoo) { bar(); } else { anotherBar(); }
 | linux | Führt einen Umbruch bei Klammern von Klassen- und Funktionsdeklarationen durch, während Klammern von Blockanweisungen einfach angehängt werden. namespace foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }
Blöcke umbrechen | Standard (keine Auswahl) | Fügt Leerzeilen um Header-Blöcke herum ein (z.B. 'if', 'while'...). isFoo = true; if (isFoo) { bar(); } else { anotherBar(); } isBar = false; wird zu: isFoo = true; if (isFoo) { bar(); } else { anotherBar(); } isBar = false;
 | All | Fügt Leerzeilen um Header-Blöcke herum ein (z.B. 'if', 'while'...) und behandelt abschließende Header-Blöcke (z.B. 'else', 'catch') wie eigenständige Blöcke. isFoo = true; if (isFoo) { bar(); } else { anotherBar(); } isBar = false; wird zu isFoo = true; if (isFoo) { bar(); } else { anotherBar(); } isBar = false;
else if() umbrechen |  | Bricht kombinierte 'else if()'-Header in Einzelzeilen um. if (isFoo) { bar(); } else if (isBar()) { anotherBar(); } wird zu: if (isFoo) { bar(); } else if (isBar()) { anotherBar(); }
Leerzeichen-Abstand | all | Fügt um Operatoren und Klammern einen Abstand aus Leerzeichen ein. if (isFoo) a = bar((b-c)*a,*d--); wird zu: if ( isFoo ) a = bar( ( b - c ) * a, *d-- );
 | oper | Fügt nur um Operatoren einen Abstand aus Leerzeichen ein. if (isFoo) a = bar((b-c)*a,*d--); wird zu: if (isFoo) a = bar((b - c) * a, *d--);
 | paren | Fügt nur um klammern einen Abstand aus Leerzeichen ein. if (isFoo) a = bar((b-c)*a,*d--); wird zu: if ( isFoo ) a = bar( ( b-c )*a, *d-- );
Einzeilige Anweisungen beibehalten |  | Verhindert das Umbrechen komplexer Anweisungen und mehrerer Anweisungen, die sich in einer Zeile befnden. if (isFoo) { isFoo = false; cout << isFoo << endl; } bleibt erhalten. if (isFoo) DoBar(); bleibt erhalten.
Einzeilige Blöcke beibehalten |  | Verhindert das Umbrechen einzeiliger Blöcke. if (isFoo) { isFoo = false; cout << isFoo << endl; } bleibt erhalten.

Stil

Aus diesem Listenfeld lassen sich folgende fünf Stile auswählen:

ansi | namespace foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }
kr (Kernighan & Ritchie) | namespace foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }
linux (Klammern werden außer bei Klassen- und Funktionsdeklarationen umbrochen, aber mit Befehlszeilen verbunden; der Einzug ist auf 8 Leerzeichen eingestellt) | namespace foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }
gnu | namespace foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }
java | class foospace { int Foo() { if (isBar) { bar(); return 1; } else return 0; } }

Modus

Aus diesem Listenfeld lassen sich folgende beiden Formatierungsmodi auswählen:

c | Neuformatierung einer Datei in der Sprache C, C++ oder C#
java | Neuformatierung einer Datei in der Sprache Java


AutoVervollständigung

Die AutoVervollständigung

UltraEdit besitzt die Fähigkeit, Wörter automatisch während der Eingabe zu vervollständigen.

Die AutoVervollständigung tritt auf viererlei Weise zu Tage:

  • Nach dem Aufruf stehen alle Schlüsselwörter aus der Syntaxhervorhebung in der Liste zur Verfügung (sofern die Syntaxhervorhebung für die Datei aktiviert ist).

  • Die Funktionen aus der Funktionsliste werden in der Liste für die AutoVervollständigung aufgeführt.

  • Auf der Registerkarte 'Optionen | Bearbeiten' kann eine benutzerdefinierte Datei angegeben werden, welche die Zeichenketten für die AutoVervollständigung vorgibt. In diesem Fall ist für jedes Wort bzw. jeden Satz (es lassen sich auch vollständige Sätze und Absätze definieren) eine neue Zeile erforderlich.

  • UltraEdit durchsucht die zurückliegenden 50 KByte der aktiven Datei ab der Cursor-Position nach Wörtern, die zu einem teilweise eingegebenen Wort passen, und zeigt diese an.

Standardmäßig wird die AutoVervollständigung per Strg+Leertaste aufgerufen. Nach dem Aufruf wird ein Listenfeld mit den möglichen Wörtern/Phrasen zur Vervollständigung angezeigt. Wenn ein passendes Wort vorhanden ist, wird dieses hervorgehoben. Durch die Eingabe weiterer Zeichen wird die Auswahl auf einen Listeneintrag weitergeblättert, der zum eingegebenen Teilwort passt.

Sie können die Cursor-Tasten verwenden, um ein anderes Wort auszuwählen, und jederzeit die Tabulatortaste, Leertaste oder Eingabetaste drücken, um ein ausgewähltes Wort zu verwenden. Dadurch veranlassen Sie UltraEdit dazu, das teilweise eingegebene Wort (sofern vorhanden) durch das ausgewählte Wort bzw. die ausgewählte Phrase zu ersetzen.

Schnellzugriff

Tastatur: Strg+Leertaste


Option 'AutoKorrektur' (Syntaxhervorhebung)

Die Option 'AutoKorrektur' (Syntaxhervorhebung)

Wenn die Syntaxhervorhebung aktiviert ist, vergleicht UltraEdit (optional) automatisch jedes Wort mit den Schlüsselwörtern aus der Wortdatei. Falls das Wort bis auf die Groß-/Kleinschreibung mit einem Wort aus der Wortliste übereinstimmt, korrigiert UltraEdit die Schreibweise entsprechend der Wortdatei.

Damit diese Option funktioniert, muss die Syntaxhervorhebung für die aktuelle Datei aktiviert sein und für die in der Wortdatei angegebene Sprache darf der Befehl NoCase nicht angegeben sein.


Dialog 'Batch-Builder'

Der Dialog 'Batch-Builder'

Der Batch-Builder ist als Werkzeug für die leitenden Programmierer einer Firma oder auch diejenigen Programmierer gedacht, die nur Projekte zu erstellen brauchen. Mit diesem Dialog lassen sich auch mehrere Projekte gleichzeitig erstellen.

Mit Hilfe dieses Werkzeugs können Sie Listen von Projekten anlegen, die zum selben 'Workspace' gehören, um sie in einem gemeinsamen Schritt erstellen zu lassen. Wenn Sie beispielsweise ein Projekt erstellen, in dem Sie auf Ihre eigenen Bibliotheken zurückgreifen wollen, könnten Sie wie folgt eine Liste von Projekten anlegen: Bib1, Bib2, Anw1, Anw2, Anw3 etc. Zunächst würden dann die Bibliotheken erstellt oder aktualisiert werden und anschließend die von diesen Bibliotheken abhängigen Anwendungen.

Projekte lassen sich mit Hilfe der Schaltflächen Projekt hinzufügen und Projekt entfernen zur Projektliste hinzufügen bzw. aus ihr entfernen. Sobald ein Projekt zur Liste hinzugefügt wird, wird in der Spalte Build der Modus angezeigt, in dem die Anwendung oder Bibliothek erstellt werden wird.

Auf die Projektliste kann jeder der Stapelbefehle Erstellen, Neu erstellen, Säubern und Anhalten angewendet werden.

Über das Menü 'Datei' lassen sich in diesem Dialog Batch-Builder-Listen öffnen und speichern.


Boost Software License

Version 1.0 - August 17th, 2003

Permission is hereby granted, free of charge, to any person or organization obtaining a copy of the software and accompanying documentation covered by this license (the "Software") to use, reproduce, display, distribute, execute, and transmit the Software, and to prepare derivative works of the Software, and to permit third-parties to whom the Software is furnished to do so, all subject to the following:

The copyright notices in the Software and this entire statement, including the above license grant, this restriction and the following disclaimer, must be included in all copies of the Software, in whole or in part, and all derivative works of the Software, unless such copies or derivative works are solely in the form of machine-executable object code generated by a source language processor.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Check for Updates command

Befehl »Auf Updates prüfen« (im Hilfemenü)

Dieser Befehl öffnet den Internet-Browser und durchsucht unsere Webseite nach verfügbaren Aktualisierungen. Der Vorgang übermittelt der IDM-Homepage verschlüsselte Registrationsdaten von Ihrem Computer wie Produktnamen, Versionsnummer usw., damit wir Sie direkt zur passenden Update-Information leiten können. Beachten Sie bitte, dass keine dieser Informationen von IDM Computer Solutions, Inc. gesammelt werden.


Dialog 'Rechtschreibung überprüfen'

Der Dialog 'Rechtschreibung überprüfen'

Der Dialog 'Rechtschreibung überprüfen' erscheint, wenn während der Durchführung der Rechtschreibprüfung ein Wort gefunden wurde, das Ihre Aufmerksamkeit verlangt. Mit diesem Dialog können Sie festlegen, ob das Wort ignoriert, ersetzt oder ins Wörterbuch hinzugefügt werden soll.

Nicht im Wörterbuch / Wortwiederholung

In diesem Feld steht das gefundene falsch geschriebene bzw. wiederholte Wort. Das Wort gilt als falsch geschrieben, da es entweder in keinem der offenen Wörterbücher gefunden wurde.

Hinweis: Die Beschriftung des Feldes wird in 'Wortwiederholung' geändert, wenn ein Wort wiederholt wurde.

Ändern in

Dieses Feld enthält das Wort, durch das ein falsch geschriebenes Wort ersetzt wird, sobald Sie die Schaltfläche Ändern oder Immer ändern betätigen. Sie können ein Wort in dieses Feld eintragen, indem Sie es eingeben oder eine der Ersetzungen aus der Vorschlagsliste auswählen.

Nicht ändern

Klicken Sie auf diese Schaltfläche, um das falsch geschriebene Wort an dieser Stelle ungeändert zu überspringen. Wenn das gleiche falsch geschriebene Wort später noch einmal auftaucht, wird es erneut angezeigt.

Ändern / Löschen

Klicken Sie auf diese Schaltfläche, um das gefundene Wort durch das Wort im Feld Ändern in zu ersetzen. Nur dieses eine Auftreten des Wortes wird dann ersetzt. Wenn das Wort im gesamten nachfolgenden Text ersetzt werden soll, verwenden Sie die Schaltfläche Immer ändern.

Hinweis: Die Beschriftung der Schaltfläche wird in 'Löschen' geändert, wenn es sich um eine Wortwiederholung handelt.

Nie ändern

Klicken Sie auf diese Schaltfläche, um das falsch geschriebene Wort an dieser Stelle und im weiteren Text ungeändert zu überspringen. Sie können auf diese Schaltfläche klicken, wenn das als falsch deklarierte Wort eigentlich richtig geschrieben ist. Wenn Sie dieses Wort häufig verwenden, können Sie es entweder dauerhaft ignorieren oder mit Hilfe der Schaltfläche Hinzufügen in das aktuelle Wörterbuch übernehmen.

Immer ändern

Klicken Sie auf diese Schaltfläche, um das gefundene Wort im gesamten nachfolgenden Text durch das Wort im Feld Ändern in zu ersetzen. Wenn nur dieses eine Auftreten des Wortes ersetzt werden soll, verwenden Sie die Schaltfläche Ändern.

Hinzufügen

Klicken Sie auf diese Schaltfläche, um das gefundene Wort zu dem Wörterbuch hinzuzufügen, das Sie im Listenfeld Wörter hinzufügen zu angegeben haben. Benutzen Sie diese Schaltfläche, um das Wörterbuch um ein von Ihnen häufig benutztes richtig geschriebenes Wort zu erweitern, das als falsch geschrieben angesehen wird (z.B. Ihr Familienname). Wenn das Wort nicht häufig benutzt wird, können Sie stattdessen eine der Schaltflächen Nicht ändern und Nie ändern verwenden.

Abbrechen

Klicken Sie auf diese Schaltfläche. um den aktuellen Vorgang der Rechtschreibprüfung zu beenden.

Optionen

Klicken Sie auf diese Schaltfläche, um die Registerkarte 'Rechtschreibprüfung' aufzurufen. Dort können Sie die Optionen der Rechtschreibprüfung einstellen.


Dialog 'Schriftart'

Der Dialog 'Schriftart'

UltraEdit gestattet die Auswahl von Schriftarten (Fonts) für den Bildschirm und den Drucker. Die Einstellung der Bildschirmschriftart gilt auch für den Ausdruck, wenn der Befehl Mit Bildschirmschrift drucken im Menü 'Ansicht' markiert ist. Wenn diese Menüoption nicht markiert ist, werden die Schriftarten für den Drucker unabhängig von denen für den Bildschirm bestimmt.

Der Dialog 'Schriftart' wird angezeigt, wenn einer der Befehle Schriftart einstellen oder Druckerschrift aus dem Menü 'Ansicht' zur Einstellung der Schriftart aufgerufen wird.

Der Dialog 'Schriftart' zeigt eine Liste der installierten Schriftarten an, aus denen Sie die gewünschte Schriftart auswählen können. Für die Auswahl der Schriftart für den Drucker stehen nur Schriftarten zur Verfügung, die der Drucker auch verwenden kann.

Eingestellt werden können die Schriftart, der Schriftschnitt (normal, fett, kursiv) und der Schriftgrad (Größe).

Zusätzlich ermöglicht die Option OEM-Schrift mit fester Zeichenbreite verwenden es Ihnen, eine entsprechende interne Windows OEM-Schriftart an Stelle einer normalen Schriftart mit variabler Zeichenbreite zu benutzen.


Dialog 'Farbauswahl'

Der Dialog 'Farbauswahl'

Der Dialog 'Farbauswahl' ist ein äußerst flexibles Werkzeug zum Einfügen von numerischen Werten für Farben in folgenden vier Formaten: Dezimalzahl, Hexadezimalzahl, HTML-Format und RGB-Format (Rot, Grün, Blau).

Der Dialog enthält folgende Steuerelemente:

Spritzen-Tool

Die Sprize in der oberen linken Ecke des Farbauswahldialogs ist ein Werkzeug, mit dem Farben in den Dialog importiert werden können. Klicken Sie auf die Spritze und ziehen Sie über etwas, um dessen Farbwerte in den Dialog zu importieren.

Farbquadrat

Klicken Sie auf das Farbquadrat in der linken oberen Ecke des Dialogs, um den standardmäßigen Windows-Farbdialog zur Auswahl von vordefinierten oder eigenen Farben angezeigt zu bekommen. Das Farbquadrat erscheint anschließend in der ausgewählten Farbe.

RRGGBB-Textfeld

Wenn Sie mit den RGB-Farbcodes vertraut sind, können Sie dieses Feld nutzen, um eine Farbe direkt als Code einzugeben. Die angegebene Farbe wird dann unmittelbar im Farbquadrat dargestellt. Bei der Eingabe des Farcodes im Hexadezimalformat müssen sechs alphanumerische Zeichen verwendet werden (z.B. 'F08FFF').

Farbauswahlliste

In diesem Listenfeld stehen Ihnen 72 vordefinierte Standardfarben für die Web-Entwicklung zur Verfügung. Die Auswahl einer Farbe aus dieser Liste passt automatisch die Anzeigen der Farbwerte in den anderen Feldern an. Auf diese Weise haben Sie während der Entwicklung einen schnellen Zugriff auf bekannte Farbwerte.

RGB-Textfelder

In den Textfeldern neben dem roten, grünen bzw. blauen Farbquadrat können Sie die Werte (0 bis 255) für den Anteil der jeweiligen Grundfarbe direkt eingeben. Sie können auch die Pfeilschaltflächen jeweils rechts neben den Textfeldern verwenden, um die Werte per Maus schrittweise zu verändern. Um alle drei Farbwerte gleichzeitig zu verringern bzw. zu erhöhen, betätigen Sie die Minus- bzw. Plus-Schaltfläche unterhalb der RGB-Textfelder.

Nachbarfarbe

Betätigen Sie diese Schaltfläche, um diejeinige vordefinierte Standardfarbe auszuwählen, die Ihren eingetragenen Werten am nächsten liegt. Die Anzeigen der Farben und Werte in den anderen Dialogfeldern werden automatisch entsprechend angepasst.

Rot/Blau tauschen

Betätigen Sie diese Schaltfläche, um den Rot-Wert und den Blau-Wert der aktuellen Farbe zu tauschen. Die Anzeigen der Farben und Werte in den anderen Dialogfeldern werden automatisch entsprechend angepasst.

Dezimal / HEX / HTML / RGB (r, g, b)

Betätigen Sie die entsprechende Schaltfläche, um den Farbwert entweder als Dezimalzahl, Hexadezimalzahl, HTML-Wert oder RGB-Wert einzufügen.

In Anführungszeichen

Aktivieren Sie diese Option, um den Farbwert beim Einfügen in doppelten Anführungszeichen einzuschließen.

Hinweis: Bitte beachten Sie, dass RGB-Werte nie in Anführungszeichen eingefügt werden, da sie üblicherweise in C-Makros verwendet werden. In diesem Kontext wäre ein solches Verhalten nicht sinnvoll.

Editor

Betätigen Sie diese Schaltfläche, um den eingestellten Farbwert in das aktive Bearbeitungsfenster einzufügen.

Zwischenablage

Betätigen Sie diese Schaltfläche, um den eingestellten Farbwert in die aktive Zwischenablage einzufügen.

Nur Web-Farben anzeigen

Es gibt eine begrenzte Anzahl an Farben, die, unabhängig vom jeweiligen Browser, identisch angezeigt werden. Wenn Nur Web-Farben anzeigen" angewählt ist, werden nur "Browser-sichere" Farben im Farbauswahldialog angezeigt.

Schließen

Betätigen Sie diese Schaltfläche, um den Dialog zu schließen und den Fokus wieder auf das Bearbeitungsfenster zu setzen.


Befehlszeilenparameter

Die Befehlszeilenparameter

Öffnen von Dateien

UltraEdit unterstützt Befehlszeilenparameter, mit denen zu öffnende Dateien angegeben werden können. In der Befehlszeile dürfen mehrere Dateien angegeben werden. Jede der angegebenen Dateien wird beim Programmstart geöffnet. Die Dateinamen in der Befehlszeile müssen durch Leerzeichen voneinander getrennt sein. Lange Dateinamen müssen in Anführungszeichen ("") stehen.

Zusätzlich unterstützt UltraEdit zwei weitere Methoden, um Dateien von der Befehlszeile aus zu öffnen:

  • Jokerzeichen

UltraEdit akzeptiert die üblichen Jokerzeichen ('*', '?') bei der Angabe der zu öffnenden Dateien; d.h. '*.c' öffnet alle Dateien mit der Dateiendung '.c'.

  • Datei mit einer Liste zu öffnender Dateien

Mit dem Parameter /f in der Befehlszeile können Sie angeben, dass die in der Befehlszeile angegebene Datei eine Liste mit Dateinamen enthält. In diesem Fall liest UltraEdit jede Zeile der Datei ein und versucht, die entsprechende Datei zu öffnen. Die in der Befehlszeile angegebene Datei darf dabei nur Dateinamen enthalten, die zudem in jeweils einer eigenen Zeile stehen müssen.

Schreibschutz

Der Parameter /r kann in der Befehlszeile angegeben werden, um Dateien im Nur-Lese-Modus (in der Statuszeile als 'R/O' angezeigt) zu öffnen.

Gelöschte Dateien

Falls eine in UltraEdit geöffnete Datei gelöscht wurde, informiert UltraEdit Sie standardmäßig über diesen Löschvorgang. In einigen wenigen Fällen ist es wünschenswert, diese Benachrichtigung nicht zu erhalten. Durch das Anfügen des Parameters /n an die Befehlszeile wird diese Benachrichtigung für die in der Befehlszeile aufgeführten Dateien deaktiviert. Dieser Parameter hat keine Auswirkung auf bereits geöffnete oder nachträglich geöffnete Dateien.

Zeilen- und Spaltenangabe

Um die Zeile und Spalte festzulegen, in denen der Cursor nach dem Öffnen der Datei positioniert werden soll, werden unmittelbar auf den Dateinamen durch jeweils ein '/'-Zeichen voneinander getrennt die Zeilen- und Spaltennummer angegeben. Ein Beispiel:

Dateiname/5/2

öffnet die Datei mit dem Cursor in Zeile 5, Spalte 2. Es kann auch nur die Zeilennummer ohne eine Spaltennummer angegeben werden.

In früheren Versionen wurde an Stelle des Trennzeichens '/' ein Komma verwendet; dies wurde jedoch geändert, weil das Komma ein gültiges Zeichen für Dateinamen ist. Falls Sie dennoch ein Komma (oder ein anderes Zeichen) bevorzugen, kann dies durch folgende Zeile in der INI-Datei bewerkstelligt werden:

LineColumnChar= ,

Das Komma kann durch ein beliebiges anderes Zeichen außer dem Doppelpunkt ':' ersetzt werden, allerdings ist UltraEdit dann nicht mehr dazu in der Lage, eine Datei mit diesem Zeichen im Dateinamen zu öffnen.

Des Weiteren kann die Befehlszeile hinter jedem Dateinamen durch ein Leerzeichen getrennt die Parameter -lx (Zeile) und/oder -cx (Spalte) enthalten. Dabei steht x für die Zeilennummer bzw. Spaltennummer. Auch wenn der Dateiname in Anführungszeichen angegeben wird, müssen die Parameter durch Leerzeichen getrennt dahinter stehen.

Drucken von Dateien

Der Parameter /P bzw. /p in der Befehlszeile weist UltraEdit an, die in der Befehlszeile enthaltenen Dateien automatisch zu drucken und UltraEdit anschließend wieder zu beenden.

Erzwingen des OEM-Zeichensatzes

Der Parameter /O1 in der Befehlszeile weist UltraEdit an, den OEM-Zeichensatz zu verwenden.
Die Angabe von /O0 weist UltraEdit an, den OEM-Zeichensatz nicht zu verwenden.

Ob eine bestimmte Datei in einer neuen oder bestehenden Instanz von UltraEdit-32 geöffnet wird, wird durch Verwendung der folgenden Schalter in der Befehlszeile festgelegt:

/foi - öffnet eine Datei in der bestehenden Instanz, z.B.:

uedit32 /foi "c:\temp\test.txt"

/fni - startet eine neue Instanz von UltraEdit und öffnet die Datei, z.B.:

uedit32 /fni "c:\temp\test.txt"

Beim Öffnen einer neuen Instanz von UltraEdit kann auch eine andere Umgebung als die in der aktuellen Instanz verwendete durch Setzen des »/see«-Parameters spezifiziert werden:

uedit32 /fni /see "Programmer" <Pfad der Datei>

Beachten Sie bitte, dass der Name der Umgebung unmittelbar auf das »/see«-Parameter folgen muss.

Angabe der INI-Datei

Sie können auch die INI-Datei angeben, die für die UltraEdit-Einstellungen verwendet wird. Dies geschieht mit dem Parameter /I=Dateiname bzw. /i=Dateiname. Ein Beispiel:

/i=c:\windows\uedit32.ini

Der Dateiname muss direkt auf das '/i=' folgen. Wenn es sich um einen langen Dateinamen mit Leerzeichen handelt, muss er in Anführungszeichen angegeben werden.

Weitere Informationen zu den Initialisierungs-Einstellungen finden Sie im Hilfethema zur Auswahl der INI-Datei .

Makros ausführen

Mit folgender Syntax lassen sich Makros automatisch von der Befehlszeile aus aufrufen:

/M,E,5="Makrodatei/Name"

Das /M bzw. /m gibt an, dass es sich um einen Makrobefehl handelt.

Das ,E bzw. ,e gibt an, dass die Datei nach der Makrowiedergabe geschlossen und das Programm verlassen wird. Diese Angabe ist optional.

Das ,5 gibt die Anzahl der Makrodurchläufe an. Diese Angabe ist optional. Falls sie fehlt, wird das Makro einmal ausgeführt, wenn eine Datei von der Befehlszeile aus geladen wird. Falls in der Befehlszeile keine Datei angegeben wurde, wird das Makro nicht wiedergegeben, auch wenn eine Durchlaufhäufigkeit angegeben worden ist.

Bei der in Anführungszeichen anzugebenden Makrobezeichnung handelt es sich um den vollständigen Pfad der Makrodatei. Optional kann nach einem Schrägstrich '/' der Name des Makros angegeben werden, falls eine Makrodatei mehrere Makros enthält. Falls kein Makroname angegeben ist, wird das erste Makro in der Makrodatei verwendet.

UltraEdit also allows scripts to be invoked from the command line with the following syntax added to the command line:

/s,e="full path to script file"

Example: /s,e="c:\working files\myscript.js"

The ,e specifies that after execution of the script, the editor should exit, this is an optional parameter. Please note: If it is desired that the modified file be saved, this should be handled within the executed script.

Der Dateiname mit dem Pfad muß unmittelbar auf die Zeichenfolge »/s=« folgen. Lange Dateinamen, die Leerstellen beinhalten, sind erlaubt; allerdings müssen sie dann innerhalb doppelten Anführungszeichen stehen.

Neuladen von Dateien unterdrücken

Beim Start von UltraEdit aus einer anderen Anwendung heraus kann es in manchen Fällen erforderlich sein, den Editor mit dem Dateinamen einer bereits geöffneten Datei aufzurufen, um eine bestimmte Zeile oder Spalte anzusteuern. In diesem Fall kann der Parameter /a hinzugefügt werden, damit UltraEdit gegebenenfalls auf die Nachfrage verzichtet, dass Änderungen beim Neuladen einer Datei verloren gehen. Andernfalls werden Sie gefragt, ob die Datei unter Verlust der Änderungen neu geladen werden soll.


Dialog 'Compiler-Optionen'

Der Dialog 'Compiler-Optionen'

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Der Dialog 'Compiler-Optionen' wird zur Konfiguration des Compilers verwendet, der für den Einsatz mit dem aktiven Projekt ausgewählt wurde.

Vorgaben

Mit Hilfe der Schaltfläche Vorgaben lassen sich die Standardeinstellungen für den ausgewählten Compiler wiederherstellen.

Konfigurationsliste

Ein Doppelklick auf einen Eintrag aus der Konfigurationsliste ruft einen Dialog auf, mit dem Sie die jeweils möglichen Werte für eine Option einstellen können.

Debug-Verzeichnis / Release-Verzeichnis

Standardmäßig werden für die Debug- bzw. Release-Builds die Verzeichnisse ' Debug' und 'Release' im Projektverzeichnis verwendet. Bei Bedarf können Sie in diesen Feldern andere Verzeichnisnamen vorgeben, die allerdings relativ zum Projektverzeichnis angegeben werden müssen.

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Befehl 'Kontexthilfe' (Hilfe)

Der Befehl 'Kontexthilfe' (Menü 'Hilfe')

Verwenden Sie diesen Befehl, um einen Hilfetext zu bestimmten Bestandteilen von UltraEdit zu erhalten. Wenn Sie die Schaltfläche Kontexthilfe in der Symbolleiste anklicken, wird Ihr Mauszeiger zu einem Pfeil mit Fragezeichen. Klicken Sie dann auf ein beliebiges Objekt im Anwendungsfenster von UltraEdit. Daraufhin wird das Hilfethema für das angeklickte Objekt angezeigt.

Schnellzugriff

Tastatur: Umschalt+F1


DDE-Unterstützung

Die DDE-Unterstützung

UltraEdit unterstützt folgende DDE-Befehle (Dynamic Data Exchange). Sie sind alle Bestandteil des Systems.

Befehl: | Funktion:
[open("Dateiname")] | Öffnet die angegebene Datei. Auf den Dateinamen folgend können alle normalen Befehlszeilenparameter zum Ausführen von Makros, Positionieren in Zeilen etc. angegeben werden.
[save()] | Speichert die aktive Datei.
[print("Dateiname")] | Druckt die angegebene Datei.
[printto("Dateiname","Druckername","Druckertreiber","Port")] | Druckt die angegebene Datei am durch den Druckernamen, den Druckertreiber und den Anschluss angegebenen Drucker aus.

Diese Befehle müssen genau in der dargestellten Weise übergeben werden.

Das folgende Beispiel verwendet DDE, um eine Datei zu öffnen und ein Makro auszuführen:

[open("Dateiname" /M,E,1="vollständiger Pfad der Makrodatei/Makroname")]


Dialog 'Entwurfsmodus'

Der Dialog 'Entwurfsmodus'

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Wenn in UEStudio ein kompilierbares Projekt geladen wurde, ist die Symbolleiste 'Ressourcen-Editor' aktiv. Wenn Sie einen Dialog aus den Projekt-Ressourcen auswählen und dessen Quelltext im Editor geöffnet haben, ist die Schaltfläche Test aktiv, mit der Sie anzeigen lassen können, wie der aktive Dialog dargestellt würde, wenn er von der Projektanwendung aufgerufen würde.

Sobald Sie eine solche Dialogvorschau geladen haben, ist der Entwurfsmodus standardmäßig aktiviert. Durch Rechtsklick auf eine beliebige Stelle in der Dialogvorschau (nicht auf ein bestimmtes Steuerelement), wird ein Kontextmenü mit folgenden Befehlen angezeigt:

  • Entwurfsmodus an/aus

Wechselt den Entwurfsmodus zwischen Vorschau- und Bearbeitungsmodus.
  • Fenster neu zeichnen

Zeichnet die Vorschau basierend auf dem geänderten Dialogquelltext neu.
  • Steuerelement einfügen

Zeigt ein Untermenü an, aus dem Sie Steuerelemente auswählen können, um sie in den aktiven Dialog einzufügen.
  • Speichern und beenden

Speichert alle aktuellen Änderungen im Dialogquelltext und schließt die Dialogvorschau.
  • Beenden

Schließt die Dialogvorschau, ohne etwaige Änderungen zu speichern.

Wenn der Entwurfsmodus aktiviert und ein bestimmtes Steuerelement ausgewählt ist, wird das Kontextmenü mit folgenden Befehlen angezeigt:

  • Entwurfsmodus an/aus

Wechselt den Entwurfsmodus zwischen Vorschau- und Bearbeitungsmodus.
  • Steuerelement neu zeichnen

Zeichnet das ausgewählte Steuerelement basierend auf dem geänderten Dialogquelltext neu.
  • Steuerelement entfernen

Entfernt das ausgewählte Steuerelement aus der Dialogvorschau.
  • Speichern und beenden

Speichert alle aktuellen Änderungen im Dialogquelltext und schließt die Dialogvorschau.
  • Beenden

Schließt die Dialogvorschau, ohne etwaige Änderungen zu speichern.

Hinweis: Diese Funktion steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Directories

Directories (Configuration - Editor)

The Directories branch under Configuration - Editor allows the default directories used by the editor to be configured. The following options are supported:

Default Save Directory | sets the default directory for saving files with the Save As Command
Macro Default Directory | sets the default directory for loading and saving macros
Template Directory | sets the directory for template storage
Default Open Directory | sets the default directory for opening files with the Open command
Default Project File Directory | sets the default directory for creating new projects with the New Project/Workspace command

Default Save Directory

Normally the directory used for the Save As command is the default directory which may vary depending on which directory was last used for a file open and may be any directory.

This may be overridden by specifying the default directory that is always presented when the Save As command is used. If this item is left blank then the default directory is the default directory for the process.


Auswahl per Doppelklick

Die Auswahl per Doppelklick

UltraEdit gestattet die Textauswahl durch Doppelklick mit der primären Maustaste (üblicherweise die linke Taste). Normalerweise wird ein einzelnes Wort markiert, das sich aus alphanumerischen Zeichen und dem Unterstrich '_' zusammensetzt.

Wird gleichzeitig mit dem Doppelklick der primären Maustaste die Steuerungstaste (Strg) gedrückt gehalten, wird eine Zeichenkette und nicht nur ein einzelnes Wort ausgewählt. Dies kann zur Auswahl eines Dateinamens, einer E-Mail-Adresse usw. hilfreich sein. Die Zeichen, durch die eine Zeichenkette begrenzt wird, lassen sich auf der Registerkarte 'Optionen | Allgemein' aus dem Menü 'Extras' im Bereich 'Bearbeiten' festlegen. Diese Funktion ist auf das Markieren in einer Zeile beschränkt.

Die Begrenzungszeichen für die linke bzw. die rechte Seite des zu markierenden Textes geben an, welche Zeichen als Ende für die Auswahl weiteren Textes verwendet werden sollen. Wenn in jedem Feld nur ein Leerzeichen angegeben ist, wird der gesamte Text auf beiden Seiten der Cursor-Position markiert, bis auf beiden Seiten auf ein Leerzeichen gestoßen wird.

Wenn beim Drücken der rechten Maustaste Text ausgewählt ist, wird oben im Kontextmenü der zusätzliche Menüeintrag Öffne "[markierter Dateiname]" angefügt. Falls dieser Befehl ausgewählt wird und eine Datei mit dem markierten Dateinamen vorhanden ist, wird sie geöffnet.

Wenn mit der primären Maustaste ein Doppelklick zwischen zwei Weißraumzeichen (Leerzeichen/Tabulator) erfolgt, werden alle zusammenhängenden Weißraumzeichen markiert - allerdings nicht über das Zeilenende hinweg.


File Associations

File Associations (Configuration - File Handling)

The File Associations branch under Configuration - File Handling allows the user to associate the editor with selected file types:

This dialog shows a list of current associations for the editor, and a list of file types that the user may wish to associate with the editor. The user may add or remove file associations using this dialog.

A file association is used by Windows Explorer to determine which application is to be used to open the file when the file is double clicked or opened in the Explorer.

The list showing Associations shows all file types that are currently associated with the editor. The user may select any item in this list and remove the association with the Delete button.

To add an association, the user may select an item from the File Types/Extensions dropdown list or type in a new extension and add it with the Add button. The Description may be modified for any file type that is added.

When an association is added, the editor saves the old association if it exists and restores it if the association is later removed using this dialog.


Dialog 'Dateizuordnungen' (Startdialog)

Der Dialog 'Dateizuordnungen' (Startdialog)

Was versteht man unter Dateizuordnungen?

Wenn im Windows-Explorer, auf dem Desktop oder an anderen Stellen ein Doppelklick auf einer Datei ausgeführt wird, überprüft das Betriebssystem, ob ein bestimmtes Programm als Standardanwendung für diese Dateien konfiguriert ist. Wenn eine Anwendung als Standardeditor oder -viewer eingestellt wurde, wird die Datei dann mit der entsprechenden Anwendung geöffnet. Dazu werden die so genannten 'Dateizuordnungen' verwendet. Wenn hier also von Dateizuordnungen für bestimmte Dateitypen die Rede ist, ist damit gemeint, UltraEdit zum Standardeditor für diese Dateitypen zu machen.

Überprüfung beim Programmstart

Beim Programmstart von UltraEdit werden die Dateizuordnungen für bestimmte Dateitypen überprüft. Wenn diese Dateitypen nicht mit UltraEdit verbunden sind, erscheint ein Dialogfenster, mit dem Sie die Möglichkeit haben, diese Dateien UltraEdit zuzuordnen. Sie können diesen Hinweis einfach ignorieren, indem Sie auf Abbrechen klicken, oder die Zuordnungen für die aufgeführten Dateitypen anpassen und mit der Schaltfläche OK übernehmen.

Mit dem Kontrollkästchen am unteren Fensterrand können Sie angeben, dass dieser Startdialog in Zukunft nicht mehr angezeigt werden soll.

Die Dateizuordnungen können Sie jederzeit auf der Registerkarte 'Optionen | Dateizuordnungen' aus dem Menü 'Extras' ändern.


Optionen zur automatischen Erkennung von veränderten Dateien

Die Optionen zur automatischen Erkennung von veränderten Dateien

UltraEdit erkennt automatisch Änderungen an einer Datei, die in UltraEdit geladen ist und außerhalb von UltraEdit geändert wurde.

Standardmäßig weist UltraEdit Sie auf erfolgte Änderungen hin und bietet die Möglichkeit an, die Datei erneut zu laden (wobei alle innerhalb von UltraEdit vorgenommenen und nicht gespeicherten Änderungen der Datei verloren gehen). Sie können die Datei neu laden oder die Änderungen ignorieren.

Optional bietet UltraEdit die Möglichkeit, jegliche Dateiänderungen zu ignorieren, indem die Option Erkennung von veränderten Dateien deaktivieren auf der Registerkarte 'Optionen | Allgemein' aus dem Menü 'Extras' aktiviert wird. In diesem Falle würde UltraEdit keine Dateiänderungen erkennen oder mitteilen.

Weiterhin bietet UltraEdit die Möglichkeit, außerhalb des Editors vorgenommene Änderungen an geladenen Dateien automatisch zu übernehmen, wenn die Option Veränderte Dateien automatisch aktualisieren auf der Registerkarte 'Optionen | Allgemein' aus dem Menü 'Extras' aktiviert wird. In diesem Fall wird die Datei geladen und sämtliche innerhalb von UltraEdit vorgenommenen, nicht gespeicherten Änderungen werden ohne Nachfrage automatisch überschrieben.


Optionen 'Datei-Erkennung' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Datei-Erkennung' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Datei-Erkennung' sind folgende Optionen zusammengefasst:

UTF-8-Dateien automatisch erkennen

Diese Option weist UltraEdit an, UTF-8-Dateien beim Öffnen automatisch zu erkennen.

Unicode-Dateien (UTF-16) ohne BOM erkennen

Diese Option weist UltraEdit an, UTF-16-Dateien beim Öffnen auch dann automatisch zu erkennen, wenn sie nicht den standardmäßigen UTF-16-BOM (Hexadezimal: FF FE) enthalten.

Automatische Erkennung von Dateien im Hexadezimalformat deaktivieren

Mit dieser Option können Sie die standardmäßige Überprüfung der ersten 3 KByte einer neu zu ladenden Datei auf Nullwerte deaktivieren. Dadurch würde eine normalerweise im HEX-Modus dargestellte Datei beim erneuten Laden unabhängig vom Inhalt im jeweils aktiven Modus angezeigt werden.

ASCII/ANSI-Dateien mit Escaped Unicode erkennen

Diese Option weist UltraEdit an, ASCII/ANSI-Dateien im Escaped Unicode-Format (z.B. '\u0020') automatisch zu erkennen.


Dialog 'Datei öffnen'

Der Dialog 'Datei öffnen'

In diesem Dialog stehen Ihnen folgende Optionen zur Verfügung, um anzugeben, welche Datei geöffnet werden soll:

Suchen in

Gibt den Speicherort an, an dem gerade nach einer Datei bzw. einem Verzeichnis gesucht wird. Klicken Sie auf den kleinen Pfeil an der rechten Seite, um einen anderen Speicherort auszuwählen oder verwenden Sie die Symbole auf der rechten Seite, um sich in den Verzeichnisebenen zu bewegen.

Das große Feld unterhalb dieses Listenfelds zeigt die Elemente an, die sich am ausgewählten Speicherort befinden.

Dateiname

In dieses Listenfeld können Sie den Namen der Datei angeben, die Sie öffnen möchten. Um schnell auf eine bereits früher geöffnete Datei zuzugreifen, können Sie den Dateinamen evtl. aus dem Listenfeld auswählen.

Wenn Sie nach einer Datei suchen, können Sie den Stern '*' als Platzhalterzeichen verwenden. Die Angabe '*.*' würde zum Beispiel alle Dateien auflisten. Sie können hier auch den vollständigen Dateipfad angeben, z.B.: 'D:\Dateien\Brief.txt'.

Dateityp

Wählen Sie aus diesem Listenfeld den Dateityp der anzuzeigenden Dateien aus.

Format

Spezifiziert das Format, in dem Dateien geöffnet werden sollen. Der Benutzer kann Codepages oder spezifische Unicodeformate wählen, in dem die Datei angezeigt werden soll.

Schreibgeschützt öffnen

Aktivieren Sie diese Option, wenn Sie die zu öffnende Datei nur lesen möchten und keine Änderungen gespeichert werden sollen.

Alternativer Datenstrom (ADS)

Alternative Datenströme erlauben die Zuordnung einer Datei zu mehreren Datenströmen. Zum Beispiel kann eine Datei mit Namen "text.txt" einen ADS mit Namen "text.txt:geheim.txt" aufweisen (entspricht dem Format dateiname:ads). Auf diesen ADS kann entweder durch entsprechend spezialisierte Dateimanager-Programme zugegriffen werden, oder wenn man den ADS schon vorher kennt.

Die angezeigte Größe einer Datei gibt keinen Hinweis auf das Vorhandensein eines ADS. Allerdings geht der ADS verloren, wenn die ursprüngliche Datei (z.B. text.txt) gelöscht oder auf ein Laufwerk verschoben oder kopiert wird, das ADS nicht unterstützt -- etwa eine FAT-Partition, ein Diskettenlaufwerk oder ein freigegebenes Laufwerk im Netzwerk. Obwohl ADS nützlich sein kann, könnte der freie Festplattenspeicher dadurch schnell aufgebraucht werden, wenn man es nicht merkt bzw. vergessen hat, daß ADS aktiv ist.

Diese Option wird nur für Dateien auf NTFS-Laufwerken unterstützt.

Öffnen als

Gibt den beim Laden der Datei zu erwartenden Format vor. Es kann zwischen den folgenden Optionen ausgewählt werden:

Auto-Erkennen ASCII/Unicode

ASCII

UTF-8

UTF-16

ASCII Escaped Unicode

Zuletzt verwendete Dokumente

Klicken Sie auf dieses Symbol, um sich die zuletzt verwendeten Dateien und Verzeichnisse anzeigen zu lassen.

Desktop

Klicken Sie auf dieses Symbol, um sich die auf dem Desktop befindlichen Dateien, Verzeichnisse, Verknüpfungen und sonstigen Elemente anzeigen zu lassen.

Arbeitsplatz

Klicken Sie auf dieses Symbol, um sich die Laufwerke und an den Computer angeschlossenen Geräte anzeigen zu lassen.

Netzwerkumgebung

Klicken Sie auf dieses Symbol, um sich die Verweise auf Websites, Netzwerkcomputer und FTP-Sites anzeigen zu lassen.

Öffnen von Dateien

Um eine Datei oder ein Verzeichnis zu öffnen, führen Sie einen Doppelklick auf dem Namen der der zu öffnenden Datei bzw. des Verzeichnisses aus oder markieren Sie die Datei bzw. das Verzeichnis und betätigen Sie die Schaltfläche Öffnen.

Dateien lassen sich auch per Drag&Drop aus dem Windows-Explorer in das UltraEdit-Fenster ziehen, um sie dort durch Loslassen der Maustaste zu öffnen.

Auswahl mehrerer Dateien

Es ist möglich, mehrere Dateien gleichzeitig zu markieren und zu öffnen. Um mehrere aufeinanderfolgende Dateien zu markieren, wählen Sie zunächst die erste gewünschte Datei aus und markieren Sie dann bei gedrückter Umschalttaste die letzte gewünschte Datei. Um einzelne Dateien auszuwählen bzw. aus der Auswahl auszuschließen, klicken Sie bei gedrückter Strg-Taste auf den jeweiligen Dateinamen. Nachdem alle Dateien ausgewählt wurden, betätigen Sie die Schaltfläche OK, um die Dateien zu öffnen.

Hinweis für Windows NT: Der normale Betriebsmodus von Windows NT (vor der Version 4.0) erlaubt über den 'Öffnen'-Dialog keine Auswahl von mehreren Dateien mit langen Dateinamen gleichzeitig. Allerdings ist es möglich, einzelne Dateien mit langem Dateinamen auszuwählen und zu öffnen. Bei gedrückter Umschalttaste lassen sich auch mehrere Dateien auswählen, allerdings nur mit kurzem Dateinamen.


Optionen 'Dateispezifisches' (Editor)

Die Optionen in 'Editor | Dateispezifisches' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Editor | Dateispezifisches' sind folgende Optionen zusammengefasst:

Dateierweiterungen

Erweiterung für Einstellungen oder Vorgabe wählen

UltraEdit bietet die Möglichkeit, die Einstellungen für den Tabulator und den Zeilenumbruch von der Erweiterung bzw. Endung der Datei abhängig zu machen. Anfangs werden die Vorgaben verwendet. Um Dateierweiterungen hinzuzufügen, klicken Sie auf die Schaltfläche Liste anpassen. Die Einstellungen für den Tabulator und den Zeilenumbruch werden entsprechend der jeweils angezeigten Erweiterungen angepasst. Die Vorgabe-Einstellungen werden für alle Dateien verwendet, die nicht in den benutzerdefinierten Erweiterungen vorkommen.

Liste anpassen

Klicken Sie auf diese Schaltfläche, um Dateierweiterungen hinzuzufügen, für die bestimmte Einstellungen gelten sollen. Es wird ein Dialog aufgerufen, in dem Sie bis zu 10 Erweiterungen hinzufügen oder verändern können.

Datei für die AutoVervollständigung

Bei Bedarf können Sie einen Dateipfad zu einer AutoVervollständigen-Datei angeben, die für die ausgewählte Dateierweiterung gilt. Geben Sie in dieses Feld, den Namen der Datei ein, die für die AutoVervollständigung verwendet werden soll.

Durchsuchen

Klicken Sie auf diese Schaltfläche, um die Datei für die AutoVervollständigung mit Hilfe eines Dateidialogs auszuwählen.

Tabulator-Einstellungen

UltraEdit ermöglicht das automatische Ersetzen von Tabulatorzeichen durch Leerzeichen während der Bearbeitung. Mit den nachfolgenden Optionen ist es möglich, verschiedene Einstellungen für die Leerzeichen vorzunehmen, die an Stelle von Tabulatoren bzw. Einzügen verwendet werden sollen. Beim Ersetzen der Tabulatoren durch Leerzeichen wird die festgelegte Tabulatorweite berücksichtigt. Bereits vorhandene Tabulatorzeichen bleiben von diesen Optionen unberührt.

Leerzeichen an Stelle von Tabulatoren verwenden

Falls diese Option aktiviert ist, werden Leerzeichen an Stelle von Tabulatorzeichen in den Text eingefügt, wobei der Wert im Feld Leerzeichen für Einzug, die Anzahl der für einen Einzug/Tabulator zu verwendenden Leerzeichen angibt. Andernfalls werden Tabulatorzeichen eingefügt, die sich nach den Einstellungen von TabStopp-Wert richten.

TabStopp-Wert

Der Wert in diesem Feld gibt an, in welchem Spaltenabstand die festen Tabulatoren gesetzt sind. Sie können jeweils durch ein Komma voneinander getrennt bis zu 12 Tabulatorpositionen angeben (z.B. '4,4,8'). Der zuletzt angegebene Wert wird auch für nachfolgende Tabulatoren verwendet.

Leerzeichen für Einzug

Der Wert in diesem Feld gibt an, wie viele Leerzeichen an Stelle eines Tabulators für den Einzug verwendet werden sollen.

Schriftart

Schriftart

Klicken Sie auf diese Schaltfläche, um eine Schriftart auszuwählen, die für Dateien mit der ausgewählten Dateierweiterung verwendet werden soll.

Einstellungen für den Umbruch

Greifen Sie auf die Einstellungen für den Zeilenumbruch zurück, um Wörter automatisch an der seitlichen Begrenzung des aktiven Fensters oder an einer angegebenen Spalte in die nächste Zeile umzubrechen.

Umbruch standardmäßig für jede Datei einschalten

Falls diese Option angewählt ist, erfolgt bei jeder neu geladenen Datei ein automatischer Zeilenumbruch gemäß des ausgewählten Umbruchverfahrens.

Umbruchverfahren

Es stehen vier Modi für den Zeilenumbruch zur Verfügung:

  • Umbruch am Fensterrand

Wählen Sie diese Option aus, um den Umbruch an der aktuellen Fensterbegrenzung durchzuführen, ohne feste Zeilenwechsel (CR/LF) einzufügen.

  • Umbruch nach Spalte Nr.

Wählen Sie diese Option aus, um den Umbruch an der angegebenen Spalte durchzuführen, ohne einen festen Zeilenwechsel einzufügen. Hierbei erfolgt der Umbruch an Wortgrenzen. Es kann also vorkommen, dass der Umbruch bereits an einer kleineren Spaltennummer erfolgt.

  • Umbruch nach Spalte Nr., CR/LF einfügen

Wählen Sie diese Option aus, um den Umbruch an der angegebenen Spalte durch das Einfügen von festen Zeilenwechseln (CR/LF) durchzuführen. Hierbei erfolgt der Umbruch an Wortgrenzen. Es kann also vorkommen, dass der Umbruch bereits an einer kleineren Spaltennummer erfolgt.

  • Umbruch genau nach Spalte Nr.

Wählen Sie diese Option aus, um den Umbruch genau nach der angegebenen Spalte durchzuführen, ohne dabei auf Wortgrenzen zu achten.

Spaltennummer für Umbruch/Absatzformatierung

Geben Sie in diesem Feld die Spaltennummer ein, an der der Umbruch für die Optionen Umbruch nach Spalte Nr, Umbruch nach Spalte Nr., CR/LF einfügen und Umbruch genau nach Spalte Nr. erfolgen soll.

Falls die Option Umbruch nach Spalte Nr., CR/LF einfügen aktiviert wird, wird die Datei automatisch entsprechend umbrochen und mit festen zeilenwechseln versehen.

Darüber hinaus können Sie den Befehl Absatz neu formatieren verwenden, um einen Absatz an einer gegebenen Spalte umzubrechen.

Hinweis: Falls sich das aktive Bearbeitungsfenster im HEX-Modus befindet, steht dieser Befehl nicht zur Verfügung.


Optionen 'Dateireiter' (Umgang mit Dateien)

Die Optionen in 'Umgang mit Dateien | Dateireiter' (Menü 'Extras | Optionen')

Im Konfigurationszweig 'Umgang mit Dateien | Dateireiter' sind folgende Optionen zusammengefasst:

Doppelklick auf Dateireiter schließt die Datei

Wenn diese Option aktiviert ist, wird eine geöffnete Datei durch einen Doppelklick auf ihren Dateireiter geschlossen. Diese Einstellung ist standardmäßig aktiviert.


File Types

File Types (Configuration - File Handling)

The File Tabs branch under Configuration - File Handling allows the list of file types that appear in the File Open and File Save As dialog boxes to be configured as follows:

Up to 10 file types may be configured. These file types will be shown in the file operation dialog boxes in the same order they are shown on this page.

Each file type configured consists of a file name and file description. The file name may (and probably does) include wildcard characters and may include multiple file extensions each separated by a semicolon ";"(i.e. "*.c;*.cpp"). The file description is a text field describing the file types.

This dialog also provides a DEFAULTS button that resets the file types to the initial settings.


Formatting

Formatting (Configuration - Editor)

The Formatting branch under Configuration - Editor has the following options:

Break on hyphen (-) when converting/reformatting paragraphs

This setting determines if the editor should break words at hyphens when reformatting a line. The default is for the editor to break lines at hyphens. If this setting is not selected the editor will not break the line when a hyphen is encountered.

Reformat paragraph after paste when wrap settings set to add hard returns at specific column number

This setting causes the editor to automatically reformat a paragraph after a paste command if the Word Wrap settings are set to wrap at a specific column number with the insertion of hard returns (CR/LF). This is the default behavior and not selecting this option will disable this feature.


FTP Accounts dialog

FTP/SFTP Account Manager

Dieser Dialog ermöglicht die Konfiguration von FTP-Benutzerzugangskonten. Die Zugänge werden bei den Befehlen FTP-Öffnen, FTP-Speichern sowie FTP-Durchsuchen eingesetzt.

Ein Account spezifiziert den Server, zu dem verbunden werden soll, und die Benutzer Identifikation, die zur Verbindung benutzt wird.

Mit dem Account hinzufügen Knopf kann ein neuer Accountname erstellt werden. Der zu modifzierende Account kann aus der Accountliste ausgewählt werden. Falls Änderungen am Account gemacht wurden, wird ein Dialog angezeigt, um die Änderungen bestätigen zu lassen.

Der Account entfernen Knopf löscht sofort den aktiven/ausgewählten Account aus der Accountliste.

Der Setze Default Account Knopf bestimmt den aktiven/ausgewählten Account als Default Account. Dieser wird durch einen Asterisk "*" mit darauffolgendem Accountnamen in der Liste dargestellt.

Die FTP-Zugangsverwaltung bietet Optionen, die unter fünf Reitern aufgeteilt sind: Allgemein, Server, Fortgeschritten, Proxy und SSH/SSL.

Der Allgemein Reiter enthält die folgenden Einstellungsoptionen:

Zugang

Dies ist der Name, der für den konfigurierten Account benutzt werden soll. Dieser Name erscheint dann in der Liste zur Linken der Einstellungsoptionen, sobald die Änderungen gespeichert werden.

Protokoll

Die aufklappbare Liste bietet eine Auswahl der folgenden Transfer-Protokolle für den ausgewählten Zugangskonto:

FTP | Öffnet eine FTP-Verbindung ohne Sicherheit
SFTP | Öffnet eine sichere FTP-(SFTP)-Verbindung mit dem SSH2-Protokoll.
FTPS - nur Kontrolle | Öffnet eine sichere FTP-(SFTP)-Verbindung mit einer SSL-Ebene unterhalb des Standard-FTP-Protokolls. Bei dieser Methode wird NUR der Kontrollkanal verschlüsselt.
FTPS - Kontrolle + Daten | Öffnet eine sichere FTP-(SFTP)-Verbindung mit einer SSL-Ebene unterhalb des Standard-FTP-Protokolls. Bei dieser Methode werden sowohl der Kontroll- als auch der Datenkanal verschlüsselt.
FTPS - implizit | Öffnet eine sichere FTP-(FTPS)-Verbindung mit einer SSL-Ebene unterhalb des Standard-FTP-Protokolls. Diese ist eine ältere FTP-Methode, die im Allgemeinen weniger oft eingesetzt wird; einige Server unterstützen sie immer noch.

Alle SFTP/FTPS-Übertragungen werden verschlüsselt, und die Verschlüsselungsmethode wird mit dem Server ausgehandelt. Falls irgend eine der obigen Methoden eingesetzt wird, zeigt der Transfer-Dialog ein Schloß-Symbol an. Somit weiss man, dass die Übertragung sicher ist.

Server

Das ist die FTP Site, zu der Sie verbinden wollen, z.B. ftp://ftp.idmcomp.com . Dies kann ebenso als ftp.idmcomp.com eingegeben werden. Falls gewünscht, kann die IP Adresse auch in der Form xxxx.xxxx.xxxx.xxxx eingegeben werden.

Port

Dies ist der Port, der von UltraEdit/UEStudio für das FTP/SFTP Protokoll benutzt wird. Der Defaultwert ist 21 für FTP und 22 für SFTP. Dies kann, wenn nötig, geändert werden.

Benutzername

Das ist der Benutzername, der benutzt wird, um sich in den Server einzuloggen.

Passwort

Dies ist das Passwort, welches zusammen mit dem Usernamen benutzt wird, um sich in den Server einzuloggen. Es sollte das Passwort sein, das vom Site-Administrator zusammen mit dem Usernamen ausgegeben wird; für anonymen Zugang ist das Passwort typischerweise die Emailadresse des Benutzers.

Password speichern

Diese Checkbox bestimmt, ob UltraEdit/UEStudio das Passwort für spätere Nutzung speichern soll. Wenn nicht, wird der Benutzer bei Bedarf nach dem Passwort gefragt. Bemerkung: Das zu sichernde Passwort wird verschlüsselt auf dem System gepeichert, jedoch ist der Verschlüsselungsmechanismus simpel, daher sollten Sie sich nicht auf ihn für sicherheitsrelevante Passwörter verlassen.

Benutzerzugang

Dies erlaubt es dem Benutzer, einen Account auf dem Hostserver zu spezifizieren, der beim Einloggen verwendet wird. Dies ist nur bei wenigen Servern erforderlich.

Höchstanzahl Verbindungen

This setting limits the number of concurrent connections that the FTP client will make with the server. For example, if a user selects 10 files to open or save via FTP, but has the connection limit set to 4, the selected files would be transferred in blocks of 4 or less until all selected files are transferred.

Anfangsverzeichnis

Das ist das Anfangsverzeichnis, auf das beim Verbinden mit dem Server dort gewechselt. Diese Angabe ist nicht erforderlich. Wenn sie nicht gemacht wird, wechselt UltraEdit jedesmal zu dem Verzeichnis, welches bei der letzen Sitzung mit diesem Account aktiv war.

Anfangsverzeichnis lokal

Dies ist das lokale Verzeichnis, das bei der Eröffnung einer Verbindung mit dem FTP-Server als aktuelles lokales Verzeichnis gilt. Es ist fakultativ und wird nur im Zusammenhang mit der Option „FTP-Durchsuchen‟ eingesetzt. Falls KEIN Verzeichnis angegeben wird, wird als Vorgabewert der Ordner „Eigene Dateien‟ des angemeldeten Benutzers verwendet.

Der Server Reiter bietet die folgenden Einstellungen:

Server Typ

Für die meisten FTP Server sollte der Defaultwert Auto oder Unix ohne Probleme funktionieren. Eine andere Einstellung trägt Verbindungen zu Servern Rechnung, die spezielle Behandlung benötigen. Die Liste der Server, die unterstützt werden, wird voraussichtlich noch anwachsen. Momentan werden unterstützt:

Auto

OpenVMS

UNIX

AIX

StratusVOS - Das "Führende Zeichen Vollpfad" sollte zu "%" gesetzt werden und der "Path/Node Separator " zu ">".

Nur Dateiname - dieses nimmt das erste zurückgelieferte Feld und zeigt es als Dateinamen an

BS2000

MVS

OS9000

AS400

HP3000/VeSoft Security

Tandem Guardian

Tandem OSS

HP3000 MPE

Sitzungsbezeichnung

Diese Feld kann dafür benutzt werden, den Sitzungsbezeichnung für den aktiven Account festzulegen. Dies wird nur für HP3000 Zugangen benutzt.

Nach dem Einloggen senden

Der Inhalt dieses Felds wird unmittelbar nach der erfolgreichen Anmeldung vor allen anderen Daten an den FTP-Server gesendet.

LIST-Befehlsfilter

Der LIST-Befehlsfilter bestimmt die Inhalte, die beim Absetzen des LIST-Befehls zurückgesandt werden. Bei den meisten FTP-Servers kann man z.B. durch Angabe des Filters „-al‟ eine detaillierte Liste inklusiv der versteckten Dateien holen. Platzhalter können ebenfalls angegeben werden; z.B. bewirkt die Angabe von „*.txt‟ eine Liste von allen Dateien mit der Erweiterung „txt‟. Beachten Sie bitte, dass einige Servers (VMS, MVS, usw.) Filterangaben etwas anders als Unix/Linux-Servers interpretieren.

Erster Buchstabe des vollständingen Pfads

Mit dieser Einstellung kann man das Führende Zeichen (normalerweise “/”) für den Vollpfad einer Datei auf dem Server übersteuern.

Pfad-bzw. Node-Trennzeichen

Mit dieser Einstellung kann man das Trennzeichen zwischen Verzeichnissen/Nodes (normalerweise “/”) auf dem Server übersteuern.

Index für Name

Diese Feld bestimmt die Spaltennummer, in der der Dateiname gespeichert wird. Der Defaultwert hierfür ist "-1"; dieser sollte nicht geändert werden, außer Sie sind sich Ihrer Sache sicher.

Index für Größe

Dieses Feld bestimmt die Spaltennummer, in der die Größe der Datei gespeichert wird. Der Defaultwert hierfür ist "-1"; dieser sollte nicht geändert werden, außer Sie sind sich Ihrer Sache sicher.

MDTM und SIZE verwenden

Falls die modifizierte Zeit und Größe der Dateien nicht korrekt zurückgeliefert zu werden scheint, kann diese Option gewählt werden, um diese Werte für jede Datei explizit für das Ordnerlisting anfordern zu lassen. Ist diese Option angewählt, werden die FTP Aktivitäten vermutlich verlangsamt.

Passive Transfers

Weil das FTP-Protokoll die Port-Adressen dauernd wechselt (d.h. Datenkanäle verwenden eine zufällige Port-Adresse, die während der Verbindung ermittelt wird), verstehen viele Firewall-Programme das FTP-Protokoll und lassen die sekundären Verbindungen zu. Falls der Kontrollkanal jedoch irgendwie verschlüsselt wird, kann das Firewall diese Port-Adressen nicht aus dem Kontrollkanal auslesen. Deshalb funktionieren einfache FTP-Verbindungen innerhalb vielen durch Firewall geschützten Netzwerken eher, SFTP/FTPS-Verbindungen aber vollständig versagen, wenn Passivmodus nicht verwendet wird.

IP-Addresse verwenden, die vom Server zurückgegeben wird

Dieser Wert wird nur benutzt, wenn die Passive Transfer Option angewählt ist. Ist die Option ausgewählt, wird die IP Adresse benutzt, die die Firewall beim Verbindungsaufbau zum Server liefert. Bitte beachten: Wenn Sie nicht den Server kontrollieren, zu dem Sie sich verbinden, oder wenn Sie sich nicht über dessen Inhalt im Klaren sind, gehen Sie ein Sicherheitsrisiko ein, wenn Sie diese Option aktivieren.

Der Erweitert Reiter enthält die folgenden Konfigurationsoptionen:

Verzeichnis für lokale Kopie

Dies erlaubt dem Benutzer zu bestimmen, wo automatische Kopien lokal gespeichert werden sollen, sobald eine Datei gespeichert wird. Wenn diese Feld leer ist, wird keine lokale Kopie erstellt. Wenn es nicht leer ist und ein FTP Save auftritt (nicht Sichern als), wird eine Kopie der Datei im angegebenen Verzeichnis erstellt. Wenn schon eine Datei mit demselben Namen existiert, wird diese ohne Warnung überschrieben. Die lokale Kopie wird zeitlich vor dem FTP Save erstellt.

Passwort für Session merken, falls nicht gespeichert

Wenn diese Option angewählt ist, merkt sich Ultraedit das einmal eingegebene Passwort solange, wie Ultraedit nicht beendet wird, und solange muß es auch nicht wieder eingegeben werden. Wenn das Passwort inkorrekt eingegeben wurde und geändert werden muß, wird das Passwort durch Öffnen und Wiederverlassen der Accounts-Dialoges verlernt.

Default Transfer Typ

Der Benutzer kann ASCII oder Binär as den Default Transfertyp spezifizieren. ASCII sorgt für eine passende Zeilenende-Konvertierung zwischen verschiedenen Systemen. Binär veranlaßt, daß Dateien Byte-genau ohne jegliche Konvertierung übertragen werden. Abhängig von den jeweiligen FTP-Server und Client, kann eine ASCII-Übertragung (Transfer mit 7 Bits) die Datei beschädigen. Aus diesem Grund ist „Binär‟ der bevorzugte Transfer-Modus.

Anzeigefilter

Es gibt zwei Optionen zum Filtern einer Verzeichnisliste, die nach der Verbindung mit dem FTP-Server zur Verfügung stehen:

Remote - LIST-Befehl verwenden

Die Verzeichnisliste wird auf dem FTP-Server mit dem LIST-Befehl generiert, falls diese Option aktiv ist. Ausgaben können mit den gewöhnlichen Platzhaltern gefiltert werden. Zum Beispiel würde die Angabe von „*.txt‟ alle Dateien mit Erweiterung „txt‟ zurückgeben. Beachten Sie bitte, dass einige Servers (VMS, MVS, usw.) Filterangaben etwas anders als Unix/Linux-Servers interpretieren.

Lokal - reguläre Ausdrücke mit Perl-Syntax

Bei Auswahl dieser Option wird die Liste auf dem Client gefiltert, nachdem alle Daten vom FTP-Server geholt wurden. Dabei kann durch Angabe von regulären Ausdrücken (Perl-Syntax) die Anzeige der Ausgabezeilen beeinflusst werden.

Der Proxy Reiter enthält die folgenden Konfigurationsoptionen:

Proxy verwenden

Dies aktiviert die Proxy-Einstellungen und konfiguriert diesen Account zur Benutzung mit einem spezifizierten Proxy. Wenn Sie direkt mit dem Internet verbunden sind, sollten die Poxy Einstellungen nicht aktiviert werden. Wenn Sie mittels eines Proxies im LAN verbunden sind, ist es notwendig, die Proxy Einstellungen zu konfigurieren.

Proxy-Server

Dies ist der Name des Proxy Servers (oder die IP Adresse), welche(r) für den Proxy benutzt wird. Wenn Sie den Namen nicht kennen, fragen Sie Ihren System Administrator.

Proxy-Port

Dies ist der Port, der von UltraEdit/UEStudio für das FTP/SFTP Protokoll benutzt wird. Der Defaultwert ist 21 für FTP und 22 für SFTP. Dies kann hier, wenn erforderlich, geändert werden.

Proxy-Benutzername

Dieser Name wird zur Anmeldung beim Proxy-Server verwendet. Fragen Sie bitte Ihre System-Administration, falls dieser Name Ihnen unbekannt sein sollte.

Proxy-Passwort

Das Kennwort wird zur Anmeldung beim Proxy-Server verwendet. Fragen Sie bitte Ihre System-Administration, falls Sie das Passwort nicht wissen.

Proxy-Typ

Aus der aufklappbaren Liste kann der Proxy-Typ für den aktuellen FTP-Zugang ausgewählt werden. Die folgenden Typen werden momentan unterstützt:

SOCKS4

SOCKS4A

SOCKS5

WEB Proxy

Relay

Windows (Internet Explorer)

FTP User

FTP Site

FTP Open

Beachten Sie bitte, dass nicht alle Proxy-Typen für jedes Protokoll verfügbar sind.

Der Reiter SSH/SSL bietet die folgenden Konfigurationseinstellungen:

Authentifizierung

Dies ermöglicht dem Benutzer, die Authentifizierungsart festzulegen, die mit dem Server verwendet wird. Die folgenden Methoden werden unterstützt:

Nur Passwort | Es müssen Benutzernamen und Passwort eingegeben werden; keine öffentlich-privaten Schlüsselpaare und keine SSL-Zertifikate werden verwendet.
Nur öffentlicher Schlüssel / SSL-Zertifikat | Diese Option verwendet das öffentlich-private Schlüsselpaar oder ein SSL-Zertifikat. Der Standort des privaten Schlüssels oder Zertifikats muss unter „Pfad zum privaten Schlüssel / SSL-Zertifikat‟ angegeben werden.
Passwort und öffentlicher Schlüssel / SSL-Zertifikat | Das öffentlich-private Schlüsselpaar oder SSL-Zertifikat sowie Benutzernamen mit Passwort können eingesetzt werden.
Schlüssel ist durch Passwort geschützt | Das Feld „Benutzername‟ unter dem Reiter „Allgemein‟ muss belegt werden, falls diese Option ausgewählt ist.

Wenn die Methode einen Schlüssel erfordert, kann der Benutzer mit der Option Key erfordert Password angeben, daß der Private Schlüssel passwortgeschützt ist. Wenn das der Fall ist, wird der Benutzer einmal pro Sitzung nach dem Passwort gefragt, oder aber nach Änderung der Account Eigenschaften.

Die Authentifizierungsmethode muß vom Server unterstützt werden. Für SFTP sollten die Schlüssel im OpenSSH-Format vorliegen. Für FTPS wird ein Zertifikat im PEM- oder PFX-Format benötigt.

Kompression aktivieren

Ist diese Option aktiviert, werden die Daten auf dem Weg von und zum Server komprimiert. Abhängig von der Serverkonfiguration kann das die Transfergeschwindigkeit erhöhen.


Auswahl der INI-Datei & Fortgeschrittene Einstellungen

Die Auswahl der INI-Datei & Fortgeschrittene Einstellungen

UltraEdit/UEStudio speichert die meisten Konfigurationseinstellungen in einer INI-Datei (siehe weiter unten, um dieses Verhalten zu ändern). Der Benutzer kann unterschiedliche Konfigurationen unterhalten und dabei die zu verwendende INI-Datei auswählen, wenn UltraEdit/UEStudio von mehreren Arbeitsplätzen in einem Netzwerk verwendet wird.

Die Standard-INI-Dateien sind: UEDIT32.INI für UltraEdit-32 und UESTUDIO.INI für UEStudio.

ACHTUNG: Bei den INI-Einstellungen wird zwischen Groß- und Kleinschreibung unterschieden.

Angabe der von UltraEdit zu verwendenden INI-Datei

Um das Standardverhalten zu übergehen, können Sie einen Befehlszeilenparameter verwenden oder eine Umgebungsvariable verwenden oder eine INI-Datei in dem Verzeichnis von UltraEdit platzieren.

Dabei gelten folgende Regeln:

  • Als erstes wird die Befehlszeile überprüft; ist die Angabe '/I=Dateiname' vorhanden, wird sie ausgewertet. Beispiel:

/i=c:\windows\uedit32.ini

Der Dateiname muss direkt auf das '/i=' bzw. '/I=' folgen. Es darf sich dabei um einen langen Namen mit Leerzeichen handeln, der dann allerdings in Anführungszeichen stehen muss.

  • Falls der Befehlszeilenparameter nicht gefunden wurde, wird die Umgebungsvariable überprüft. Die Umgebungsvariable gibt nur das Verzeichnis an, in dem sich die INI-Datei befinden soll, nicht aber den Namen der INI-Datei selbst. Die Bezeichnung der Umgebungsvariable lautet UEINIDIR. Wenn sie definiert wurde, probiert UltraEdit dieses Verzeichnis mit den standardmäßigen INI-Dateinamen aus.

  • Zuletzt sieht UltraEdit in dem Verzeichnis nach, in dem sich die laufende EXE-Datei befindet, um die INI-Datei zu lokalisieren. Wenn sie nicht gefunden wurde, wird das Windows-Verzeichnis verwendet.

Fortgeschrittene INI-Einstellungen

Es wurden zusätzliche INI-Einstellungen bereitgestellt, die derzeit noch ohne die Unterstützung durch die Benutzeroberfläche auskommen müssen – d.h. es gibt noch keine entsprechenden Dialoge oder Menüfunktionen in UltraEdit, mit denen sie sich ändern ließen. Sie wurden auf verschiedene Anfragen von Benutzern hin bereitgestellt und müssen immer im Bereich mit der Überschrift '[Settings]' eingefügt werden.

Hinweis: Bitte beachten Sie, dass viele dieser Einstellungen mittlerweile auch über das Menü 'Extras' auf der Registerkarte 'Optionen | Allgemein' direkt vorgenommen werden können!

Compare EXE="[vollständiger Pfad und Dateiname der EXE-Datei]"

Mit dieser Einstellung können Sie ein anderes Programm für das Vergleichen von Dateien angeben, das UltraEdit dann an Stelle des standardmäßig bereitgestellten Hilfsprogramms verwendet. Als einzige an das Hilfsprogramm zu übergebende Parameter werden die Dateinamen (mit Pfadangabe) der miteinander zu vergleichenden Dateien erwartet.

ConvertKBDInput=1

Diese Einstellung weist UltraEdit an, Tastatureingaben von ANSI nach OEM zu konvertieren, falls eine OEM-Schriftart ausgewählt ist. Standardmäßig wird keine Konvertierung durchgeführt.

Detect UTF-8 String = 0

This setting instructs UltraEdit not to parse the file for a UTF-8 context setting to determine if it is a UTF-8 file or not.

Extra Windows Font = Tahoma

This setting may be used to specify the font used for child windows within UltraEdit.

Extra Windows Font Height = -13

This setting may be used to specify the font size used for child windows within UltraEdit. The font size must be specified using a negative number.

Show Tag Descriptions=1

Diese Einstellung legt fest, ob UltraEdit die Beschreibungen der Tags in der Tag-Liste anzeigen soll. Standardmäßig werden die Tags angezeigt. Wenn dieser Wert auf 0 gesetzt wird, werden die Tags nicht angezeigt.

Sort Function List=1

Diese Einstellung legt fest, ob UltraEdit die Ausgabe bei der Anzeige der Funktionsliste sortieren soll. Standardmäßig ist die Funktionsliste sortiert. Wenn dieser Wert auf 0 gesetzt wird, wird die Funktionsliste nicht sortiert.

TAB Windows Font = Tahoma

This setting may be used to specify the font used in the open file tabs.

TAB Windows Font Height = -13

This setting may be used to specify the font size used in the open file tabs. The font size must be specified using a negative number.

Temp File Dir="[Verzeichnis]"

Diese Einstellung ermöglicht Ihnen die Angabe des Verzeichnisses, das UltraEdit für die während der Bearbeitung erstellten temporären Dateien verwenden soll. Normalerweise sollte hierfür keine Einstellung erfolgen, sie kann jedoch vorgenommen werden, wenn große Dateien bearbeitet werden und im Verzeichnis Temp nicht genügend Platz für die von UltraEdit erzeugten temporären Dateien zur Verfügung steht.


Key Mapping

Key Mapping (Configuration - Editor)

The Key Mapping branch under Configuration - Editor allows the user to reassign the default key mapping provided by UltraEdit to suit their particular needs:

This dialog shows a list of commands within the editor that may be mapped by the user to a key combination of their choice. Clicking on any of the commands will show the existing key assignment (if any) and the command description below the list.

To add or change a command key assignment:

1) Select the command you wish to modify from the Commands list.

2) Clicking the mouse in the Press New Key entry window area, or TAB to give it focus.

3) Type the new key assignment just as you would if you were invoking the command - This key combination will be captured and displayed.

4) Click on the Assign button and the new key will be assigned to the command. If an existing key is assigned you will be asked if you wish to delete it and replace with the new assignment.

To remove a key assignment:

1) Select the command you wish to modify from the Commands list.

2) Select the existing key assignment from the Existing keys list.

3) Click on the Remove button and the key assignment will be removed.

To reset the key assignments to the default:

1) Click on the Defaults button and the key assignments will be reset to the defaults. The users will be prompted to confirm the action.

File Containing User Keyboard Mapping

The keyboard mapping file is stored (and searched for when the editor starts up) in the same directory as the INI File . The filename is the same as the INI with the .KBD extension, i.e. UEDIT32.KBD or UESTUDIO.KBD.


Umgang mit großen Dateien

Der Umgang mit großen Dateien

Mit UltraEdit lassen sich sehr große Dateien bearbeiten, wobei verhältnismäßig wenig Speicherplatz benötigt wird. Die Arbeitsweise von UltraEdit basiert dabei auf dem Speichermedium. Mit anderen Worten, es werden jederzeit nur kleine Teile der Datei in den Speicher geladen, um nicht den gesamten Arbeitsspeicher zu belegen und andere Anwendungen nicht vom Betrieb abzuhalten.

Normalerweise kopiert UltraEdit eine zu bearbeitende Datei in eine temporäre Datei und löscht diese nach der Bearbeitung wieder, sobald der Inhalt in die ursprünglichen Datei zurück kopiert worden ist.

Um die Bearbeitungsgeschwindigkeit von sehr großen Dateien zu erhöhen, kann auf der Registerkarte 'Allgemein' im Bereich 'Einstellungen für den Umgang mit Dateien' eine der beiden Optionen Datei ohne temporäre Datei öffnen (mit bzw. ohne Bestätigung) aktiviert werden. Damit entfällt die Zeit, die zum Kopieren der Datei in eine temporäre Datei benötigt wird. Beim Bearbeiten von Dateien mit mehreren Megabyte Umfang kann das von Vorteil sein.

ACHTUNG: Wenn eine dieser Optionen aktiv ist, werden alle Änderungen dauerhaft gespeichert!

Bei der Option mit Nachfrage werden Sie bei jedem Öffnen einer Datei durch eine Mitteilung gewarnt, dass diese Einstellung aktiv ist. Dieses Verhalten lässt sich auf der Registerkarte 'Allgemein' durch die Auswahl der Option Datei ohne temporäre Datei öffnen, OHNE nachzufragen vermeiden.

Im Optionsfeld Die vorstehende Option gilt ab einer Dateigröße von (in KB) können Sie einen Schwellenwert angeben, damit dieser Mechanismus nur für Dateien ab einer bestimmten Größe greift. Kleinere Dateien werden dann ganz normal mit einer angelegten temporären Datei geöffnet. Wenn Sie den Wert auf Null setzen, werden alle Dateien geöffnet, ohne eine temporäre Datei anzulegen. Dieser Wert wirkt sich nur aus, wenn eine der beiden Optionen Datei ohne temporäre Datei öffnen aktiviert ist.

Weiterhin beschleunigt die aktivierte Option Zeilenanzeige in der Statusleiste deaktivieren das Navigieren in großen Dateien erheblich, da weniger Laufwerkszugriffe erforderlich sind, um die Zeilennummer zu überwachen.

UltraEdit kann Dateien mit mehr als 4 GB bearbeiten (bis zu einer Größe von 2^64-1).


Neueste Version

Die neueste Version

Die neueste Version von UltraEdit/UltraEdit-32 finden Sie an mehreren Orten:

  • Auf folgenden Web-Sites:
    http://www.idmcomp.com/ und http://www.ultraedit.com/

  • Im Forum WINUSER bei CompuServe, einer offiziellen Quelle für den Online-Vertrieb und Support zukünftiger Updates. Suchen Sie nach ULTRAEDIT.ZIP bzw. UEDIT32.ZIP.

  • Das Windows Users Group Network (WUGNET), Betreiber des ältesten und größten unabhängigen Support-Forums (WINUSER) für Windows Benutzer bei CIS mit fast 1.000.000 aktiven Mitgliedern, ist bei Presse, Usergruppen, Entwicklern und Microsoft als die führende Quelle für Shareware-Verleger bei CompuServe und im Internet bekannt.

  • Im Internet auf verschiedenen Sites (u.a. CICA etc.).


Dialog 'Makro definieren'

Der Dialog 'Makro definieren'

Der Dialog 'Makro definieren' wird angezeigt, wenn ein neues Makro entweder durch den Befehl Aufzeichnen oder Bearbeiten erstellt wird.

Er ermöglicht die Eingabe einer Bezeichnung für das Makro sowie die Zuordnung einer Tastenkombination für den Schnellzugriff. Nach dem Drücken der Schaltfläche OK beginnt die Aufzeichnung des Makros, sofern der Dialog durch den Befehl Aufzeichnen aufgerufen wurde.

Die Zuordnung einer Tastenkombination für den Schnellzugriff ermöglicht Ihnen das Festlegen einer Tastenkombination, mit der das Makro automatisch aufgerufen wird. Wird eine Tastenzuordnung ausgewählt, die bereits von UltraEdit verwendet wird, so ersetzt diese neue Tastenzuordnung die bisherige Zuordnung durch UltraEdit.

Wenn das Textfeld Neue Tastenkombination den Fokus hat, können Sie durch Drücken einer beliebigen Tastenkombination den Schnellzugriff für ein Makro festlegen. Die Zuordnung der Tastenkombination können Sie mit der Schaltfläche Schnellzugriff löschen wieder löschen.

Weder die Angabe einer Bezeichnung noch die Zuordnung einer Tastenkombination für den Schnellzugriff ist erforderlich. Fakultativ kann auch ein Akkord (Tastenkombination) im Eingabefeld »Akkord« spezifiziert werden. Dieser Akkord würde zusammen mit der Tastenkürzel verwendet, um das Makro aufzurufen.

Standardmäßig wird ein 'Abbrechen'-Dialog angezeigt, während das Makro ausgeführt wird. Für schnell auszuführende Makros mag dieses Verhalten nicht erwünscht sein, weshalb sich der Dialog durch das Deaktivieren der Option Abbrechen-Dialog für dieses Makro anzeigen unterdrücken lässt.

Bei der Makrowiedergabe kann ein Suchen und Ersetzen-Vorgang dazu führen, dass der Suchtext nicht gefunden wird. Standardmäßig wird in einem solchen Fall die Ausführung abgebrochen. Bei einigen Makros mag der Abbruch der Makrowiedergabe nicht erwünscht sein, beispielsweise wenn der Befehl Alles Ersetzen ausgeführt wird. In diesem Fall sollten Sie die Option Nach erfolglosem Suchen und Ersetzen weitermachen aktivieren.


Der Dialog »Gruppen bearbeiten«

Der Dialog Gruppen bearbeiten wird zur Definition des Regelwerks für Sprachgruppen und -untergruppen verwendet, das für die Syntaxhervorhebung im Editor herangezogen wird. Die Gruppen und Untergruppen bestimmen, wie die hierarchische Funktionsliste für eine gegebene Sprache gefüllt wird.

Definieren von Gruppenregeln für die Sprache

Standardmäßig wird dieses Kombinationslistenfeld mit der Sprache der aktuellen Datei vorbelegt. Es kann auch eine andere Sprache ausgewählt werden.

Gruppe hinzufügen / bearbeiten

Nach Eingabe eines Namens im Eingabefeld und Klicken auf die Schaltfläche Hinzufügen kann eine neue Gruppe oder Untergruppe unmittelbar unterhalb des aktuell ausgewählten Knotens in der Baumansicht der Vorhandenen Gruppen hinzugefügt werden.

Bei Auswahl einer existierenden Gruppe in der Liste der Vorhandenen Gruppen kann ein anderer Name im Eingabefeld bei Gruppe hinzufügen / bearbeiten geschrieben und durch Klicken der Schaltfläche Speichern geändert werden.

Ausgewählte Knoten in der Baumansicht können mit der Schaltfläche Löschen aus der Liste entfernt werden.

Knoten können nach deren Auswahl mit den Schaltflächen Nach oben oder Nach unten in der Baumansicht verschoben werden.

Nachdem eine Gruppe in der Ansicht Vorhandene Gruppen ausgewählt wird, sollte der reguläre Ausdruck bzw. die regulären Ausdrücke für diese Gruppe in der Liste mit der Überschrift Reguläre Ausdrücke für ausgewählte Gruppe definieren eingestellt werden. Mehrere Ausdrücke können für jede Gruppe bzw. Untergruppe definiert werden; allerdings braucht jeder zusätzliche Ausdruck entsprechend mehr Verarbeitungszeit beim Untersuchen des Dokuments. Bei Gruppen (z.B. Funktionen oder Klassen) brauchen keine Reichweiten (scopes) definiert zu werden, da das ganze Dokument nach ihnen abgesucht wird.

Untergruppen brauchen jedoch reguläre Ausdrücke, um übereinstimmende Zeichenketten zu ermitteln, sowie eine Reichweite, um die Suche nach diesen Zeichenketten einzuschränken. Zum Beispiel könnte Folgendes zum Suchen nach Funktionsparametern definiert werden:

Regulärer Ausdruck | Öffnen-Regex | Schließen-Regex
[ ^t^p]++^([~,]+^) | ( | )

Dies bedeutet, dass nach Auffinden einer Funktion weiter nach Zeichenketten zwischen »(« und »)« und nach Übereinstimmungen zum gegebenen Ausdruck zwischen diesen Begrenzungen gesucht würde. Um Variablen innerhalb des Funktionsrumpfs zu ermitteln, könnte der folgende reguläre Ausdruck dienen:

Regulärer Ausdruck | Öffnen-Regex | Schließen-Regex
%[ ^t]++^([a-z0-9]+[ ^t^*]+[a-z0-9^[^]_]+*;^) | { | }

Es ist wichtig zu beachten, dass während mehrere Ausdrücke für Gruppen und Untergruppen definiert werden können, Untergruppen immer die Angabe einer entsprechenden Reichweite benötigen.

Beim Klicken der Schaltfläche Neu wird ein Feld in der Tabelle der regulären Ausdrücke zum Bearbeiten aktiviert. Nachher kann hier ein neuer regulärer Ausdruck eingegeben werden. Bestehende Ausdrücke können bearbeitet und die Änderungen durch Klicken der Schaltfläche Modifizieren gespeichert werden. Ausdrücke, die nicht mehr benötigt werden, können auf ähnliche Weise mit der Schaltfläche Löschen entfernt werden.

Nachdem man fertig ist, können mit der Schaltfläche Testen die gemachten Änderungen im aktuellen Dokument probeweise angewendet werden. Somit kann sichergestellt werden, dass die zurückgelieferten Ergebnisse in der Funktionsliste den Erwartungen entsprechen, ohne den Dialog Gruppen bearbeiten vorher zu beenden.


Option 'Mehrere Instanzen' (Allgemein)

Die Option 'Mehrere Instanzen' (Registerkarte 'Allgemein')

Diese Option legt fest, ob UltraEdit beim Aufruf eine weitere Instanz öffnet, wenn es bereits aktiv ist. Wenn diese Option aktiviert ist, wird bei jedem Aufruf von UltraEdit eine neue Instanz geöffnet. Wenn die Option nicht aktiviert ist, wird nur eine einzige Instanz von UltraEdit geöffnet und jeder weitere Aufruf führt dazu, dass die erste Instanz zusätzlich zu den bereits offenen Dateien mit der neu geladenen Datei aktiviert wird.


Dialog '.NET-Framework Code-Schutz'

Der Dialog '.NET-Framework Code-Schutz'

In diesem Dialog werden die Optionen zum Schutz des Codes einer ausführbaren .NET-Datei eingestellt, die den lauffähigen Code vor der Dekompilierung durch spätere Anwender bewahren. Durch Anklicken der Schaltfläche '...' können Sie den 'Öffnen'-Dialog aufrufen, um nach der ausführbaren .NET-Datei suchen, die geschützt werden soll.

Mit den Optionen lassen sich die Elemente festlegen, die in der ausgewählten ausführbaren Datei geschützt werden sollen.


New Folder dialog

Neuer Ordner Dialog

Der Neuer Ordner Dialog erlaubt es dem Benutzer, Einstellungen für Ordner festzulegen, die dem aktiven Projekt hinzugefügt werden sollen.

Das Ordner Feld spezifiziert den vollen Pfad zum lokalen Ordner, der zum aktiven Projekt hinzugefügt werden soll. Wenn die Gruppen Checkbox angewählt ist, werden alle anderen Optionen unterdrückt und der hinzugefügte Ordner ist nur ein Platzhalter zwecks Projetorganisation. Dann bezieht er sich nicht auf einen realen Ordner auf dem lokalen System..

Das Filter Feld spezifiziert die Dateiextension für Dateien, die im hinzugefügten Ordner angezeigt werden sollen..

Wenn Linke Ordner zum FTP/SFTP Ort angewählt ist, sind die folgenden Optionen verfügbar:

Das FTP/SFTP Account Feld spezifiziert den Account, der mit dem hinzugefügten Ordner verbunden ist. Der zugefügte Ordner spiegelt dann den Inhalt des spezifizierten Remotesystemordners.

Das Remote Pfad Feld bestimmt den Pfad zum Ordner auf dem Remote Server, der mit dem hinzugefügten Ordner assoziiert werden soll.

Das Maximaler Recursions Level Feld wird benutzt, um die Anzahl der Unterhierarchien auf dem Remotesystem festzulegen, die im hinzugefügten Ordner berücksichtigt werden sollen.

Die Server Clock Abweichung Einstellung bezieht sich auf die Synchronisierung von lokalen/Remote Dateien. Der Benutzer kann eine Differenz in der Sekundenangabe des Zeitstempels zwischen der lokalen Kopie der Dateien/Ordner und derjenigen auf dem Remotesystem festlegen, die ignoriert werden soll, wenn der Projektordner mit dem Remoteordner synchronisiert wird. Dies kann somit sowohl unterschiedliche Zeitzonen zwischen lokalem und Remotesystem als auch kleinere Zeitinvarianzen berücksichtigen, falls ein System die Zeit nicht zuverlässig behalten kann.


Befehl 'Nächstes Fenster' (Systemmenü der Datei)

Der Befehl 'Nächstes Fenster' (Systemmenü der Datei)

Verwenden Sie diesen Befehl, um auf das nächste offene Dateifenster zu wechseln. UltraEdit ermittelt das nächste Fenster anhand der Reihenfolge, in der Sie die Dateien geöffnet haben.

Schnellzugriff

Tastatur: Strg+F6


Befehl 'OEM-Zeichensatz' (Ansicht)

Der Befehl 'OEM-Zeichensatz' (Menü 'Ansicht')

Dieser Befehl sorgt dafür, dass alle Schriftarten als ASCII-Zeichen mit dem OEM-Zeichensatz dargestellt werden (vorausgesetzt, die Schriftart unterstützt diesen). Dadurch lassen sich DOS-Dateien mit ASCII-Zeichen korrekt mit dem ASCII- statt dem ANSI-Zeichensatz von Windows anzeigen.


Befehl 'Vorheriges Fenster' (Systemmenü der Datei)

Der Befehl 'Vorheriges Fenster' (Systemmenü der Datei)

Verwenden Sie diesen Befehl, um auf das vorhergehende Fenster einer offenen Datei zu wechseln. UltraEdit ermittelt das vorherige Fenster anhand der Reihenfolge, in der Sie die Fenster geöffnet haben.

Schnellzugriff

Tastatur: Strg+Umschalt+F6


Dialog 'Drucken'

Der Dialog 'Drucken'

Mit den folgenden Optionen können Sie einstellen, wie eine Datei ausgedruckt wird:

Drucker

Zeigt den aktuellen Drucker und die Druckerverbindung an. Benutzen Sie die Option Eigenschaften, um den Drucker oder die Druckerverbindung zu wechseln.

Eigenschaften

Zeigt den Dialog 'Drucker einrichten' an. Hier können Sie den Drucker und die Druckverbindung auswählen.

Druckbereich

Geben Sie die zu druckenden Seiten an:

  • Alles

Druckt die gesamte Datei.
  • Seiten

Druckt den in den Feldern Von und Bis angegebenen Seitenbereich.
  • Auswahl

Druckt nur den aktuell markierten Text.

Anzahl

Hier wird die Anzahl der auszudruckenden Kopien des gewählten Bereiches festgelegt.

Kopien sortieren

Druckt die Kopien nach Seitennummern sortiert aus.

Druckqualität

Bestimmen Sie die Qualität des Ausdrucks. Grundsätzlich benötigt der Ausdruck in einer geringeren Qualität weniger Zeit.


Symbolleiste 'Seitenansicht'

Die Symbolleiste 'Seitenansicht'

Die Symbolleiste 'Seitenansicht' stellt folgende Bedienelemente bereit:

Drucken

Öffnet den Dialog 'Drucken', um einen Druckauftrag zu beginnen.

Nächste Seite

Zeigt die nächste Seite an.

Vorhergehende Seite

Zeigt die vorhergehende Seite an.

Eine Seite / Zwei Seiten

Zeigt eine oder zwei Seiten in der Seitenansicht an.

Vergrößern

Vergrößert die Ansicht der aktuellen Seite.

Verkleinern

Verkleinert die Ansicht der aktuellen Seite.

Schließen

Schließt die Seitenansicht und kehrt zum Bearbeitungsfenster zurück.


Druck-Fortschrittsanzeige

Die Druck-Fortschrittsanzeige

Die Druckanzeige wird solange angezeigt, wie UltraEdit Daten an den Drucker übermittelt. Die Seitennummer gibt an, wie weit der Druck fortgeschritten ist.

Um den Druckvorgang abzubrechen, klicken Sie auf Abbrechen.


Dialog 'Drucker einrichten'

Der Dialog 'Drucker einrichten' (Druckeinstellungen)

Folgende Optionen ermöglichen Ihnen die Auswahl und Konfiguration des zu verwendenden Druckers.

Drucker - Name

Wählen Sie den zu verwendenden Drucker aus der Liste der aktuell auf Ihrem System Installierten Druckertreiber aus. Die Installation von Druckern und Konfiguration der Anschlüsse erfolgt über die Systemsteuerung von Windows.

Drucker - Eigenschaften

Zeigt einen Dialog ein, in dem Sie weitere Druckeinstellungen für den gewählten Drucker vornehmen können.

Papier - Größe

Wählen Sie hier die Papiergröße aus, auf die die aktive Datei gedruckt werden soll.

Papier - Quelle

Einige Drucker verfügen über mehrere Papierschächte für unterschiedliche Papiersorten. Wählen Sie hier den gewünschten Schacht für die Papierzufuhr aus.

Orientierung

Wählen Sie zwischen den beiden Papierformaten Hochformat und Querformat.

Netzwerk...

Klicken Sie auf diese Schaltfläche, um eine Druckerverbindung über das Netzwerk herzustellen.


Dialog 'Projektkonverter: Visual Studio => UEStudio'

Der Dialog 'Projektkonverter: Visual Studio => UEStudio'

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Mit Hilfe dieses Dialogs lassen sich vorhandene Visual Studio-Projekte in das Projektformat von UEStudio konvertieren.

Quelle (Projekt/Solution)

In dieses Feld tragen Sie den Pfad und Namen der Dateizusammenstellung (Projekt/Solution) ein, die in ein UEStudio-Projekt konvertiert werden soll. Verwenden Sie die Schaltfläche '...', um mit dem 'Öffnen'-Dialog nach dem gewünschten Visual Studio-Projekt zu suchen.

Konvertiertes Projekt öffnen

Wenn diese Option aktiviert ist, wird die ausgewählte Dateizusammenstellung nach der Konvertierung in UEStudio geöffnet. Im Windows-Explorer wird das konvertierte Projekt dann mit der Dateierweiterung '.prw' angezeigt.

Konvertieren

Betätigen Sie diese Schaltfläche, um die Konvertierung in Gang zu setzen.

Schließen

Betätigen Sie diese Schaltfläche, um den Dialog vorzeitig zu schließen.

Hinweis: Dieser Dialog steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Dialog 'Projekteinstellungen'

Der Dialog 'Projekteinstellungen'

Dieser Dialog wird verwendet, um die Optionen für das aktive Projekt zu konfigurieren.

Der Dialog 'Projekteinstellungen' in UltraEdit-32:

Der Dialog 'Projekteinstellungen' in UEStudio:

Projektverzeichnis

In UltraEdit-32 und UEStudio lässt sich auch ein Projektverzeichnis angeben. Sofern möglich, verwendet UltraEdit relative Pfade. Sollte dies nicht möglich sein, werden für die zu einem Projekt hinzugefügten Dateien absolute Pfade verwendet.

In manchen Situationen ist es von Vorteil, mehrere Dateigruppen innerhalb eines Projekts zusammenzustellen. UltraEdit ermöglicht die Zusammenfassung dieser Dateien in benannten Gruppen. Diese Gruppen lassen sich nach Bedarf hinzufügen oder entfernen; zu vorhandenen Gruppen lassen sich auch weitere Dateien hinzufügen.

Optionale Wortlistendatei

In dieses Textfeld können Sie eine alternative Wortlistendatei eintragen, die für die Syntaxhervorhebung verwendet wird, während das Projekt aktiv ist. Wenn Sie einen vollständigen Verzeichnispfad eintragen, wird er als direkter Pfad zur Wortlistendatei verwendet; andernfalls würde es sich in Abhängigkeit von den oben erwähnten Optionen um einen relativen Pfad zum Projektverzeichnis oder zur Projektdatei handeln.

Optionale CTags-Datei [nur UltraEdit-32]

In dieses Textfeld können Sie eine optionale CTags-Datei eintragen, die zum Speichern der Daten für die CTags -Funktionen verwendet werden soll.

Hinweis: Dieses Element steht nur in UltraEdit-32 zur Verfügung, nicht aber in UEStudio.

CTags-Datei beim Laden des Projekts erzeugen [nur UltraEdit-32]

Aktivieren Sie diese Option, damit UltraEdit-32 die CTags-Datei automatisch anlegt, sobald das Projekt geladen wurde.

Hinweis: Dieses Element steht nur in UltraEdit-32 zur Verfügung, nicht aber in UEStudio.

Verzeichnisoptionen

Wenn die Option Unterverzeichnisse einbeziehen aktiviert ist, werden beim Hinzufügen eines Verzeichnisses zum Projekt alle Unterverzeichnisse rekursiv zum Projekt hinzugefügt. Falls ein Filter angegeben ist (z.B. '*.c*'), werden nur solche Dateien als Bestandteil des Projekts betrachtet, die diesem Filterkriterium genügen. Wenn in der Baumansicht ein Filter definiert wurde, gilt dieser Filter nur für das ausgewählte Verzeichnis und setzt einen in den Projekteinstellungen definierten projektbezogenen Filter außer Kraft.

Kompilierbar [nur UEStudio]

Aktivieren Sie diese Option um die Elemente Compiler auswählen, Compiler-Optionen und Erstellungsmodus erreichbar zu machen. Falls diese Option deaktiviert ist, lassen sich die entsprechenden Einstellungen nicht ändern und wird die Symbolleiste 'Erstellen' (nur in UEStudio) nach dem Laden des Projekts nicht angezeigt.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Compiler auswählen [nur UEStudio]

Betätigen Sie diese Schaltfläche, um den Dialog 'Compiler auswählen' aufzurufen, mit dem Sie einen Compiler für das aktive Projekt festlegen und Einstellungen für den Compiler vornehmen können.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Compiler-Optionen [nur UEStudio]

Betätigen Sie diese Schaltfläche, um den Dialog 'Compiler-Optionen' mit dem Sie den für das aktive Projekt ausgewählten Compiler konfigurieren können.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Erstellungsmodus [nur UEStudio]

Wählen Sie aus diesem Listenfeld einen der folgenden beiden Erstellungsmodi aus: Debug oder Release. Diese Einstellung kann auch von der Symbolleiste 'Erstellen' aus vorgenommen werden.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

CVS-Unterstützung [nur UEStudio]

Aktivieren Sie diese Option, um die beiden CVS-Befehle Einchecken und Aktualisieren im Untermenü 'CVS' des Menüs 'Projekt' erreichbar zu machen. Falls diese Option deaktiviert und kein CVS-Modulverzeichnis für das Projekt angegeben ist, stehen diese beiden optionalen CVS-Befehle nicht zur Verfügung, da für das aktive Projekt keine CVS-Einstellungen vorgenommen worden sind. Weiterhin stehen bei deaktivierter Option keine CVS-Befehle im Kontextemnü der Baumansicht zur Verfügung, wenn eine Datei mit der rechten Maustaste angeklickt wird.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

CVS-Modulverzeichnis [nur UEStudio]

In dieses Feld können Sie den Pfad zu dem CVS-Modul für das aktive Projekt eintragen. Wahlweise können Sie die Schaltfläche Durchsuchen betätigen, um mit dem 'Öffnen'-Dialog nach dem Modulverzeichnis zu suchen.

Hinweis: Dieses Element steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Unterverzeichnisse einbeziehen

Aktivieren Sie diese Option, um beim Hinzufügen eines Verzeichnises zum Projekt auch alle Unterverzeichnisse und die entsprechenden Dateien zum Projekt hinzufügen zu lassen. Bei aktivierter Option führt jede Bezugnahme auf eine Projektdatei zu einer rekursiven Suche nach der jeweiligen Datei in den Unterverzeichnissen des Hauptverzeichnisses.

Filter

In dieses Feld können Sie einen Dateifilter eintragen, der auf die Dateien einer Verzeichnisgruppe angewendet wird. Beim Aktualisieren des Verzeichnisses werden nur diejenigen Dateien zur Gruppe hinzugefügt, die dem Filterkriterium entsprechen.

Debugger für Projekt auswählen [nur UltraEdit-32]

Hier kann zwischen einem externen Debug-Programm oder dem integrierten WinDbg-Programm zum Debuggen ausgewählt werden. Bei der Auswahl eines externen Debuggers wird das Debug-Programm zwar gestartet, aber integriertes Debuggen wird nicht unterstützt. Diese Auswahl ist für Debug-Programme gedacht, die noch nicht in UEStudio integriert wurden. Bei der Auswahl von 'Integriertes WinDbg' als Projekt-Debugger (momentan nur für Projekte geeignet, die mit dem Microsoft C/C++ Compiler erstellt werden) wird hingegen ein interaktives Debuggen innerhalb von UEStudio unterstützt.

Falls WinDbg noch nicht heruntergeladen und installiert wurde, kann dies aus dem Konfigurationsdialog von UEStudio heraus (unter 'IDE/Debugger') noch erledigt werden.

Integriertes Debuggen innerhalb UEStudio wird unterstützt, wenn als Projekt-Debugger »Integriertes PHP« ausgewählt wurde. Falls der PHP-Debugger noch nicht heruntergeladen und installiert wurde, kann man dies aus dem Konfigurationsdialog heraus (Menü »Extras->Optionen«) im Abschnitt »IDE/Debugger« nachholen.

Arbeitsverzeichnis [nur UltraEdit-32]

Das Arbeitsverzeichnis des Debuggers für das aktive Projekt wird hier angegeben. Es muß der vollständige Pfad des Verzeichnisses angegeben werden.

Befehlszeilenargumente [nur UltraEdit-32]

Diese Argumente werden dem aktuell zu debuggenden Prozeß beim Start übergeben.

Symbolenverzeichnisse [nur UltraEdit-32]

Der Pfad zu den Symbolen für das aktive Projekt wird hier angegeben. Es kann auch im Dateisystem nach dem Pfad zu den Symbolen gesucht werden, anstatt den Pfad direkt einzugeben. Der vollständige Pfad muß jedenfalls angegeben werden. Auch mehrere Verzeichnisse können angegeben werden, wenn sie durch Strichpunkte (";") getrennt unmittelbar aufeinanderfolgen.


Projektvorlagen

UEStudio '05 unterstützt standardmäßig mehrere Projektvorlagen, die sich mit Hilfe der Symbole im Dialog 'Projektvorlagen' erstellen lassen. Folgende standardmäßige Projektvorlegen stehen Ihnen zur Verfügung:

Windows-Anwendung (Windows App)

Bei einer Windows-Anwendung handelt es sich um ein ausführbares Programm (.EXE), das Aufrufe der Win32-API statt MFC-Klassen verwendet. UEStudio erstellt den Workspace und die Projektdateien für Ihr Programm, zu denen Sie dann Ihren eigenen Code hinzufügen.

Konsolenanwendung (Console App)

Konsolenanwendungen werden unter Rückgriff auf Funktionen der Console API entwickelt, die eine zeichenbasierte Anzeige in Konsolenfenstern ermöglichen. UEStudio erstellt den Workspace und die Projektdateien für Ihr Programm, zu denen Sie dann Ihre eigenen Elemente hinzufügen.

Dialoganwendung (Dialog App)

Dialoganwendungen basieren auf einem Dialogfenster. Diese entsprechen den Assistenten von Visual Studio.

Dynamic Link Library (DLL)

Bei einer dynamisch verlinkten Bibliothek handelt es sich um eine Binärdatei (mit Aufrufen der Win32-API statt MFC-Klassen), die als eine gemeinsam Funktionsbibliothek dient, die von mehreren Anwendungen gleichzeitig genutzt werden kann. UEStudio erstellt den Workspace und die Projektdateien für Ihr Programm, zu denen Sie dann Ihren eigenen Code hinzufügen.

Statische Biliothek (Static Library)

Eine statische Bibliothek enthält Objekte und deren Funktionen und Daten, die während der Erstellung der ausführbaren Datei mit Ihrem Programm verlinkt wird. Sie können statische Bibliotheken mit einem in C oder C++ geschriebenen MFC-basierten oder nicht-MFC-basierten Programm verlinken, das Aufrufe der Win32-API statt MFC-Klassen nutzt.

Hilfsprojekt (leeres/benutzerdefiniertes Projekt)

Wenn Sie ein leeres Projekt (bzw. eine benutzerdefinierte Vorlage) anlegen, werden keine Dateien zu dem Projekt hinzugefügt. Das leere Projekt erzeugt keine vorbestimmten Ausgabedateien wie z.B. eine .LIB, .DLL oder .EXE. Ein leeres Projekt kann als Sammelbehälter für Dateien dienen, die sich ohne eine Verlinkung erstellen lassen. Sie können ein solches leeres Projekt beispielsweise als übergeordnetes Hauptprojekt für Ihre Teilprojekte nutzen, von dem aus Sie dann das MAKEFILE exportieren lassen.


Registrierungsinformationen

Informationen zur Registrierung

Bei UltraEdit/UltraEdit-32 handelt es sich um ein Shareware-Programm. Als nicht registrierte Version lässt sich das Programm 45 Tage lang anwenden.

Wenn Sie das Programm nützlich finden und es weiterhin benutzen möchten, sind Sie dazu verpflichtet, es beim Autor gegen die Zahlung einer Gebühr von US$ 39,95 registrieren zu lassen (für Einwohner von Ohio werden zusätzlich Steuern in Höhe von fällig).

Der Erwerb von UltraEdit/UltraEdit-32 berechtigt Sie zum Erhalt eines Freischaltcodes und der neuesten registrierten Version sowie zur Inanspruchnahme des technischen Supports.

Nach der Registrierung von UltraEdit oder UltraEdit-32 erhalten Sie einen Freischaltcode, der mit beiden Produkten funktioniert. Für ein Upgrade von UltraEdit nach UltraEdit-32 wird keine Gebühr erhoben. UltraEdit und UltraEdit-32 liegen einzeln als gepackte Archive vor, damit beim Herunterladen möglichst wenige Daten übertragen werden müssen.

Anschrift / E-Mail-Adresse

Anschrift: IDM Computer Solutions, Inc.

3987 Hamilton Middletown Rd., Suite G

Indian Springs, OH 45011

USA

E-Mail: idm@idmcomp.com

(weitere E-Mail-Adressen: idm@ultraedit.com oder idm@iglou.com)

CompuServe: 71613,2654

Website: http://www.idmcomp.com/ oder http://www.ultraedit.com/

Akzeptierte Kreditkarten: VISA/MASTERCARD/American Express/Discover

Bei Zahlungen per Kreditkarte von VISA/MasterCard/American Express sind folgende Angaben erforderlich:

1) Name des Karteninhabers

2) Adresse des Karteninhabers

3) Name und Adresse des Benutzers, falls abweichend vom Karteninhaber

4) Gültigkeitsdauer der Karte

5) Kartennummer

Bestellungen per Kreditkarten können per Fax unter +1.513.892-49 15, per Telefon unter +1.513.892-86 00 oder an meine E-Mail-Adresse (siehe unten) erfolgen.

CompuServe-Registrierung

UltraEdit lässt sich auch online über CompuServe registrieren, indem Sie GO SWREG eingeben und den Anweisungen zur Registrierung von ID 2662 für UltraEdit und ID 4017 für UltraEdit-32 folgen.

Bei CompuServe-Registrierungen wird keine neuere Version verschickt, solange die aktuelle Version noch über CompuServe erhältlich ist.

Upgrades/Aktualisierungen

Benutzer erhalten mindestens 1 Jahr lang – häufig aber länger – kostenlose Upgrades (von allen erweiterten und überarbeiteten Ausgaben). Falls Ihr Freischaltcode aus irgendeinem Grund nicht mit der aktuellen Version funktioniert und die Registrierung innerhalb des letzten Jahres erfolgt ist, erhalten Sie kostenlos einen neuen Freischaltcode.

Die Upgrade-Gebühr für registrierte Benutzer einer früheren Version beträgt US$ 19,95 (für Einwohner von Ohio werden zusätzliche Steuern in Höhe von fällig).


Reguläre Ausdrücke (Perl-Syntax)

UltraEdit unterstützt reguläre Ausdrücke im Perl-Syntax durch Verwendung der Boost C++-Bibliotheken. Der Syntax der regulären Ausdrücke basiert auf den Syntax, der von der Programmiersprache Perl eingesetzt wird.

Perl-Syntax für reguläre Ausdrücke

Bei regulären Ausdrücken in der Sprache Perl entsprechen bis auf folgende Ausnahmen alle Zeichen sich selbst:

.[{()\*+?|^$

Wildcard (Joker, Platzhalter)

Der einzelne Punkt ».« entspricht einem beliebigen einzelnen Zeichen, wenn er außerhalb einer Zeichenmenge verwendet wird.

Anker

Das Zeichen »^« entspricht dem Anfang einer Zeile.

Das Zeichen »$« entspricht dem Ende einer Zeile.

Bezeichnete Unterausdrücke

Abschnitte innerhalb von runden Klammern, also »(« und »)«, werden als bezeichnete Unterausdrücke interpretiert. Die Suchalgorithmen behalten den übereinstimmenden Text in einem separaten Feld, der durch einen entsprechenden Verweis nachher wiederholt oder z.B. in einer anderen Reihenfolge eingesetzt werden kann, als im gefundenen Text vorkommend.

Alternativen

Der Operator »|« (senkrechter Strich) veranlaßt die Suchmaschine, entweder das eine oder das andere seiner Argumente zu suchen. Bei Eingabe z.B. von: abc|def würde entweder nach abc oder nach def gesucht.

Durch Klammerung können Alternativsuchbegriffe gruppiert werden. Zum Beispiel würde ab(d|ef) entweder nach abd oder nach abef suchen.

Leere Alternativen sind fast immer ein Fehler und werden als solche nicht erlaubt. Es ist jedoch möglich, falls eine leere Alternative wirklich gebraucht wird, durch Angabe der Folge ?: als Platzhalter den gewünschten Effekt zu erzielen:

|abc ist kein gültiger Ausdruck; dafür ist der folgende gleichwertige Ausdruck gültig:

(?:)|abc

Der folgende Ausdruck ist ebenfalls gültig:
(?:abc)??

Zeichenmengen

Eine Zeichenmenge wird von eckigen Klammern umschlossen, z.B. [abc]. Jedes in ihr enthaltene Zeichen wird als Treffer beim Suchen bewertet.

Der Ausdruck zwischen eckigen Klammern darf jede Kombination der folgenden Elemente enthalten:

Einzelne Zeichen

Beispiel: [abc] sucht nach den Zeichen a, b oder c.

Bereiche von Zeichen

Beispiel: [a-c] sucht nach einem einzelnen Zeichen im Bereich a bis c. Bei POSIX- bzw. Perl-kompatiblen regulären Ausdrücken ist es Vorgabe, dass ein Zeichen Y in Bereich X bis Z liegt, wenn es nach der länder- und sprachspezifischen Sortierung zwischen X und Z liegt (das Verhalten ist also abhängig vom jeweiligen Locale).

Verneinung

Wenn der Ausdruck in eckigen Klammern mit dem Zeichen ^ beginnt, gilt ein Text als gefunden, wenn die Suchbedingung NICHT entsprochen wird. Beispiel: [^a-c] sucht nur nach Zeichen, die außerhalb des Bereichs a-c liegen.

Zeichenklassen

Ein Ausdruck im Format »[[:name:]]« findet Zeichen gemäß der benannten Zeichenklasse name. Zum Beispiel findet der Ausdruck »[[:lower:]]« beliebige kleingeschriebene Zeichen. Die folgenden Zeichenklassen werden immer unterstützt:

Name | POSIX-Standard | Beschreibung
alnum | ja | beliebige alphanumerische Zeichen
alpha | ja | beliebige Buchstaben
blank | ja | beliebige Weißraumzeichen, die keine Zeilenendezeichen sind
cntrl | ja | beliebige Kontrollzeichen
d | nein | beliebige Dezimalziffern
digit | ja | beliebige Dezimalziffern
graph | ja | beliebige grafische Zeichen
l | nein | beliebige Kleinbuchstaben
lower | ja | beliebige Kleinbuchstaben
print | ja | beliebige druckbare Zeichen
punct | ja | beliebige Interpunktionszeichen
s | nein | beliebige Weißraumzeichen
space | ja | beliebige Weißraumzeichen
unicode | nein | beliebige Erweiterungszeichen mit Zeichencode > 255
u | nein | beliebige Großbuchstaben
upper | ja | beliebige Großbuchstaben
w | nein | beliebige Wortzeichen (alphanumerische Zeichen sowie der Unterstrich)
word | nein | beliebige Wortzeichen (alphanumerische Zeichen sowie der Unterstrich)
xdigit | ja | beliebige Hexadezimalziffern

Escape-Zeichen

Jedes Sonderzeichen, dem ein Escape-Zeichen »\« vorangestellt wird, entspricht sich selber. Außerdem gelten die folgenden Escape-Zeichenfolgen:

Escape-Folgen, die einem bestimmten Zeichen entsprechen

Die folgenden Zeichenfolgen entsprechen je einem einzelnen Zeichen:

Escape-Folge | Zeichen
\a | \a
\e | 0x1B
\f | \f
\n | \n
\r | \r
\t | \t
\v | \v
\b | \b (nur innerhalb einer Zeichenklassendeklaration).
\cX | ASCII-Escape-Folge, d.h. das Zeichen mit Code X % 32
\xdd | Hexadezimal-Escape-Folge: entspricht dem einzelnen Zeichen mit Code 0xdd.
\x{dddd} | Hexadezimal-Escape-Folge: entspricht dem einzelnen Zeichen mit Code 0xdddd.
\0ddd | Oktal-Escape-Folge: entspricht dem einzelnen Zeichen mit Code 0ddd.
\N{Bezeichnung} | Entspricht dem einzelnen Zeichen mit symbolischem Namen »Bezeichnung«. Zum Beispiel wird bei Angabe des Ausdrucks \N{newline} nach dem Zeichen \n gesucht.

»Einzelzeichen«-Zeichenklassen

Jedes Zeichen x (kleingeschrieben) mit vorangestelltem Escape-Zeichen, wenn x der Name einer Zeichenklasse ist, entspricht einem beliebigen Zeichen, das ein Element dieser Klasse ist. Jedes Zeichen X (großgeschrieben) mit vorangestelltem Escape-Zeichen, wenn x der Name einer Zeichenklasse ist, entspricht einem beliebigen Zeichen, das NICHT ein Element dieser Klasse ist. Standardmäßig werden die folgenden Escape-Folgen unterstützt:

Escape-Folge | gleichwertig wie
\d | [[:digit:]]
\l | [[:lower:]]
\s | [[:space:]]
\u | [[:upper:]]
\w | [[:word:]]
\D | [^[:digit:]]
\L | [^[:lower:]]
\S | [^[:space:]]
\U | [^[:upper:]]
\W | [^[:word:]]

Wortgrenzen

Die folgenden Escape-Folgen entsprechen den Begrenzungen von Wörtern:

\< | Entspricht dem Anfang eines Worts.
\> | Entspricht dem Ende eines Worts.
\b | Entspricht einer Wortgrenze (Anfang oder Ende eines Worts).
\B | Entspricht etwas, was NICHT an einer Wortgrenze liegt.

Für weitere Informationen und Optionen bitte hier klicken:
Boost Libraries Perl Regular Expression syntax pages.

Der Einsatz sowie die Modifizierung und Verbreitung der Bibliotheken unterliegen der Boost Software-Lizenz, Version 1.0 (s. beiliegende Lizenzvereinbarung LICENSE_1_0.txt oder hier: http://www.boost.org/LICENSE_1_0.txt).


Reguläre Ausdrücke

UltraEdit erlaubt die Verwendung von regulären Ausdrücken in vielen der Funktionen zum Suchen und Ersetzen im Menü 'Suchen' .

Reguläre Ausdrücke ermöglichen mit einem einzigen Befehl die Durchführung komplexerer Vorgänge beim Suchen und Ersetzen.

Für die verwendete Syntax können Sie zwischen zwei Möglichkeiten wählen. In der ersten Tabelle finden Sie die ursprüngliche UltraEdit-Syntax, wie sie in früheren Versionen verwendet wurde. In der zweiten Tabelle sind die regulären Ausdrücke für den optionalen 'UNIX-Stil' aufgeführt. Dieser lässt sich auf der Registerkarte 'Suchen' aktivieren.

Hinweis: Für die Unterscheidung zwischen Groß- und Kleinschreibung ist in beiden Modi - also auch bei der Unix-Syntax - ausschließlich die Option zur Unterscheidung zwischen Groß- und Kleinschreibung im jeweiligen Dialog zuständig.

Reguläre Ausdrücke (UltraEdit-Syntax)

Symbol | Funktion
% | Steht für den Zeilenanfang – Zeigt an, dass sich der Suchtext am Zeilenanfang befinden muss, aber keine der Zeilen abschließenden Zeichen in der resultierenden markierten Textstelle enthalten sind.
$ | Steht für das Zeilenende – Zeigt an, dass sich der Suchtext am Zeilenende befinden muss, aber keine der Zeilen abschließenden Zeichen in der resultierenden markierten Textstelle enthalten sind.
? | Steht für ein beliebiges Zeichen außer Zeilen-/Absatzwechsel.
* | Steht für das beliebig häufige Auftreten eines beliebigen Zeichens außer Zeilenwechsel.
+ | Steht für das ein- oder mehrmalige Auftreten des vorstehenden Zeichens/Ausdrucks. Das Zeichen/der Ausdruck muss mindestens einmal gefunden werden. Für wiederholte Zeilenwechsel ist dieses Symbol nicht geeignet.
++ | Steht für das beliebig häufige – also auch das keinmalige – Auftreten des vorstehenden Zeichens/Ausdrucks. Für wiederholte Zeilenwechsel ist dieses Symbol nicht geeignet.
^b | Steht für einen Seitenwechsel.
^p | Steht für einen Zeilenwechsel/Absatz (CR/LF) in DOS-Dateien.
^r | Steht für einen Zeilenwechsel/Absatz (nur CR) in MAC-Dateien.
^n | Steht für einen Zeilenwechsel/Absatz (nur LF) in UNIX-Dateien.
^t | Steht für ein Tabulator-Zeichen.
[ ] | Steht für ein beliebiges einzelnes Zeichen oder einen Zeichenbereich in den Klammern.
^{A^}^{B^} | Steht für den Ausdruck A ODER B.
^ | Übergeht das nachfolgende Zeichen eines regulären Ausdrucks.
^(…^) | Klammert einen im Ersetzen-Befehl zu verwendenden Ausdruck. Ein regulärer Ausdruck kann sich aus bis zu 9 geklammerten Ausdrücken zusammensetzen, die gemäß der Reihenfolge ihres Auftretens im regulären Ausdruck durchnummeriert sind. Der entsprechende Ersetzungsausdruck lautet ^x, wobei x eine Zahl von 1 bis 9 ist. Wenn beispielsweise mit ^(H*o^) ^(L*e^) "Hallo Leute" gefunden wird, würde ^2 ^1 diesen Text durch "Leute Hallo" ersetzen.

Hinweis: ^ bezieht sich auf das Zeichen '^' und nicht auf die Taste Strg+Wert.

Beispiele:

ta?en findet "tagen", "Taten", "tauen", nicht aber "Tassen" oder "Tannen".

b*t findet "Biest", "bunt" und "Beim Teutates" (den "Beim T"-Anteil), nicht aber "Beim Teutates" (Zeilenwechsel zwischen "Beim" und "Teutates").

Te+st findet "Test", "teest", "Teeeest" etc, nicht aber "tst".

[aeiou] findet jeden kleingeschriebenen Vokal.

[,.?] findet jedes der Literale ',', '.' oder '?'.

[0-9, a-z] findet jede Ziffer oder jeden kleingeschriebenen Buchstaben.

[~0-9] findet jedes Zeichen außer einer Ziffer ('~' steht für NICHT)

Nach einem Ausdruck der Art A oder B können Sie folgendermaßen suchen:

^{Lisa^}^{Peter^}

Hiermit wird nach dem Auftreten von Lisa oder Peter gesucht. Zwischen den beiden Ausdrücken darf nichts weiter stehen.

Die Ausdrücke A oder B und C oder D lassen sich wie folgt in einer Suche kombinieren:

^{Lisa^}^{Peter^} ^{Meier^}^{Schuster^}

Hiermit wird nach dem Auftreten von Lisa oder Peter gefolgt von Meier oder Schuster gesucht. Es werden also "Lisa Meier", "Lisa Schuster", "Peter Meier" und "Peter Schuster" gefunden.

Reguläre Ausdrücke (UNIX-Syntax)

In der nachfolgenden Tabelle ist die Syntax für reguläre Ausdrücke im 'UNIX-Stil' aufgeführt:

Symbol | Funktion
\ | Weist das nächste Zeichen als Sonderzeichen aus. 'n' steht für den Buchstaben 'n', '\n' für einen Zeilenvorschub bzw. das NewLine-Zeichen.
^ | Steht für den Zeilenanfang.
$ | Steht für das Zeilenende.
* | Steht für das beliebig häufige Auftreten (auch kein Mal) des vorangehenden Zeichens.
+ | Steht für das ein- oder mehrmalige Auftreten des vorangehenden Zeichens.
. | Steht für ein beliebiges Einzelzeichen außer einem Zeilenwechsel. Für wiederholte Zeilenwechsel ist dieses Symbol nicht geeignet.
(Ausdruck) | Klammert einen im Ersetzen-Befehl zu verwendenden Ausdruck. Ein regulärer Ausdruck kann sich aus bis zu 9 geklammerten Ausdrücken zusammensetzen, die gemäß der Reihenfolge ihres Auftretens im regulären Ausdruck durchnummeriert sind. Der entsprechende Ersetzungsausdruck lautet \x, wobei x eine Zahl von 1 bis 9 ist. Wenn beispielsweise mit (H.*o) (L.*e) "Hallo Leute" gefunden wird, würde \2 \1 diesen Text durch "Leute Hallo" ersetzen.
[xyz] | Eine Zeichenmenge. Steht für ein beliebiges Zeichen in den Klammern.
[^xyz] | Eine inverse Zeichenmenge. Steht für ein beliebiges Zeichen, das nicht in den Klammern steht.
\d | Steht für eine Ziffer. Entspricht [0-9].
\D | Steht für ein Zeichen, das keine Ziffer ist. Entspricht [^0-9].
\f | Steht für einen Blattvorschub bzw. ein FormFeed-Zeichen (FF).
\n | Steht für einen Zeilenvorschub bzw. ein NewLine-Zeichen (LF).
\r | Steht für einen Wagenrücklauf bzw. ein Return-Zeichen (CR).
\s | Steht für einen beliebigen Weißraum, einschließlich Leerzeichen, Tabulator, Seitenvorschub usw. (aber nicht Zeilenwechsel).
\S | Steht für einen beliebigen Nicht-Weißraum (aber nicht Zeilenwechsel).
\t | Steht für ein Tabulator-Zeichen.
\v | Steht für ein vertikales Tabulator-Zeichen.
\w | Steht für ein beliebiges Zeichen für Wörter, einschließlich dem Unterstrich.
\W | Steht für ein beliebiges Zeichen, das nicht für Wörter verwendet wird.
\p | Steht für CR/LF (entspricht \r\n) zum Auffinden von DOS-Zeilenende-Zeichen

Hinweis: ^ bezieht sich auf das Zeichen '^' und nicht auf die Taste Strg+Wert.

Beispiele:

To.e findet "Tore", "Tote", nicht aber "Tolle"

Te+st findet "Test", "teest", "Teeeest" etc, nicht aber "tst".

Te*st findet "Test", "teest", "Teeeest" etc, UND auch "tst".

[aeiou] findet jeden klein geschriebenen Vokal.

[,.?] findet jedes der Literale ',', '.' oder '?'.

[0-9, a-z] findet jede Ziffer oder jeden klein geschriebenen Buchstaben.

[^0-9] findet jedes Zeichen außer einer Ziffer ('^' steht für NICHT)

Nach einem Ausdruck der Art A oder B können Sie folgendermaßen suchen:

(Lisa|Peter)

Hiermit wird nach dem Auftreten von Lisa oder Peter gesucht. Zwischen den beiden Ausdrücken darf nichts weiter stehen.

Die Ausdrücke A oder B und C oder D lassen sich wie folgt in einer Suche kombinieren:

(Lisa|Peter) (Meier|Schuster)

Hiermit wird nach dem Auftreten von Lisa oder Peter gefolgt von Meier oder Schuster gesucht. Es werden also "Lisa Meier", "Lisa Schuster", "Peter Meier" und "Peter Schuster" gefunden.

Falls die Option reguläre Ausdrücke für das Ersetzen nicht aktiviert ist, sind dennoch folgende Sonderzeichen im Feld Ersetzen zulässig:

Symbol | Funktion
^^ | Sucht nach einem '^'-Zeichen
^s | Wird durch den ausgewählten (markierten) Text des aktiven Dateifensters ersetzt.
^c | Wird durch den Inhalt der Zwischenablage ersetzt.
^b | Sucht nach einem Seitenwechsel
^p | Sucht nach einem Zeilenwechsel/Absatz (CR/LF) in DOS-Dateien.
^r | Sucht nach einem Zeilenwechsel/Absatz (nur CR) in MAC-Dateien.
^n | Sucht nach einem Zeilenwechsel/Absatz (nur LF) in UNIX-Dateien.
^t | Sucht nach einem Tabulator-Zeichen

Hinweis: ^ bezieht sich auf das Zeichen '^' und nicht auf die Taste Strg+Wert.


Option 'Neuladen von zuletzt geöffneten Dateien beim Start' (Allgemein)

Die Option 'Neuladen von zuletzt geöffneten Dateien beim Start' (Registerkarte 'Allgemein')

Wenn diese Option aktiv ist, speichert UltraEdit beim Beenden des Programms Informationen über die geöffneten Dateien. Diese Angaben werden verwendet, um die Dateien, die geöffnet waren, beim nächsten Start von UltraEdit automatisch neu zu laden. Damit ist es möglich, eine Reihe von Dateien, die regelmäßig bearbeitet werden, automatisch neu zu laden. Wenn UltraEdit automatisch zum Drucken aufgerufen wird, werden diese Dateien nicht erneut geladen.


Dialog 'Speichern unter' (Datei)

Der Dialog 'Speichern unter' (Datei)

Die folgenden Optionen ermöglichen es Ihnen, die Bezeichnung und den Speicherort der zu speichernden Datei zu bestimmen:

Speichern in

Gibt den aktuell ausgewählten Speicherort an. Klicken Sie auf den kleinen Pfeil an der rechten Seite, um einen anderen Speicherort auszuwählen oder verwenden Sie die Symbole auf der rechten Seite, um sich in den Verzeichnisebenen zu bewegen.

Das große Feld unterhalb dieses Listenfelds zeigt die Elemente an, die sich am ausgewählten Speicherort befinden.

Dateiname

In dieses Listenfeld können Sie den Namen angeben, unter dem Sie die Datei speichern möchten. Um schnell auf eine bereits früher geöffnete Datei zuzugreifen, können Sie den Dateinamen evtl. aus dem Listenfeld auswählen.

Wenn Sie nach einer Datei suchen, können Sie den Stern '*' als Platzhalterzeichen verwenden. Die Angabe '*.*' würde zum Beispiel alle Dateien auflisten. Sie können hier auch den vollständigen Dateipfad angeben, z.B.: 'D:\Dateien\Brief.txt'.

Wenn Sie eine Datei speichern möchten, dürfen Sie keine Fragezeichen '?' oder Sterne '*' im Dateinamen angeben. Falls Sie es dennoch tun, wird die Datei nicht gespeichert und der Dialog nicht beendet.

Dateityp

Wählen Sie aus diesem Listenfeld den Dateityp der anzuzeigenden Dateien aus.

Zeilenende-Zeichen

Gibt die Zeichen an, die beim Speichern der Datei das Zeilenende kennzeichnen. Zur Auswahl stehen die Zeilenende-Zeichen für DOS/UNIX/MAC.

Format

Gibt das Format an, in dem die Datei gespeichert werden soll. Folgende Formate stehen zur Verfügung: ANSI/ASCII, UTF-8, UTF-16, UTF-8 - ohne BOM, UTF-16 - ohne BOM, UTF-16 Big-Endian, UTF-16 Big-Endian - ohne BOM, Unicode - Escaped ASCII.

Alternativer Datenstrom (ADS)

Alternative Datenströme erlauben die Zuordnung einer Datei zu mehreren Datenströmen. Zum Beispiel kann eine Datei mit Namen "text.txt" einen ADS mit Namen "text.txt:geheim.txt" aufweisen (entspricht dem Format dateiname:ads). Auf diesen ADS kann entweder durch entsprechend spezialisierte Dateimanager-Programme zugegriffen werden, oder wenn man den ADS schon vorher kennt.

Die angezeigte Größe einer Datei gibt keinen Hinweis auf das Vorhandensein eines ADS. Allerdings geht der ADS verloren, wenn die ursprüngliche Datei (z.B. text.txt) gelöscht oder auf ein Laufwerk verschoben oder kopiert wird, das ADS nicht unterstützt -- etwa eine FAT-Partition, ein Diskettenlaufwerk oder ein freigegebenes Laufwerk im Netzwerk. Obwohl ADS nützlich sein kann, könnte der freie Festplattenspeicher dadurch schnell aufgebraucht werden, wenn man es nicht merkt bzw. vergessen hat, daß ADS aktiv ist.

Diese Option wird nur für Dateien auf NTFS-Laufwerken unterstützt.

Zuletzt verwendete Dokumente

Klicken Sie auf dieses Symbol, um sich die zuletzt verwendeten Dateien und Verzeichnisse anzeigen zu lassen.

Desktop

Klicken Sie auf dieses Symbol, um sich die auf dem Desktop befindlichen Dateien, Verzeichnisse, Verknüpfungen und sonstigen Elemente anzeigen zu lassen.

Arbeitsplatz

Klicken Sie auf dieses Symbol, um sich die Laufwerke und an den Computer angeschlossenen Geräte anzeigen zu lassen.

Netzwerkumgebung

Klicken Sie auf dieses Symbol, um sich die Verweise auf Websites, Netzwerkcomputer und FTP-Sites anzeigen zu lassen.


Option 'Lesezeichen speichern' (Allgemein)

Die Option 'Lesezeichen speichern' (Registerkarte 'Allgemein')

UltraEdit bietet die Möglichkeit, die Lesezeichen einer Datei mit aktiven Lesezeichen beim Schließen abzuspeichern. Diese standardmäßig nicht aktivierte Option Lesezeichen speichern kann auf der Registerkarte 'Optionen | Allgemein' im Bereich 'Allgemeine Programmeinstellungen' eingeschaltet werden.

Wenn diese Option deaktiviert wird, löscht UltraEdit beim Programmende sämtliche gespeicherten Lesezeichen.


Scripting

Skriptenverwaltung

Der Dialog Skriptenverwaltung, der aus dem Menü "Skripten" heraus geöffnet werden kann, zeigt eine Übersicht der Skripten an, die im Editor zur Verfügung stehen. Diese werden in einer entsprechenden Liste zusammengefaßt.

Einfaches Klicken auf die Schaltfläche Hinzufügen öffnet einen Dialog, indem eine beliebige JavaScript-Datei (mit Dateiendung *.js) zur Liste hinzugefügt werden kann. Außerdem kann ein kurzer Beschreibungstext eingegeben werden, der im Feld Skriptenbeschreibung des Dialogs angezeigt wird. Bei Skripten, die in der Liste bereits angezeigt werden, kann deren Beschreibung durch Doppelklicken aktiviert und somit nachträglich bearbeitet werden.

Ein Skript, das in der Liste angezeigt wird, kann durch Klicken auf die Schaltfläche Bearbeiten geändert werden, nachdem es ausgewählt wurde. Beim Klicken auf die Schaltfläche Entfernen wird ein ausgewähltes Skript zwar aus der Liste entfernt, aber nicht vom Dateisystem gelöscht. Der vollständige Pfad eines Skripts wird in einem Tipptextfeld angezeigt, nachdem der Mauszeiger einige Augenblicke über dem Namen des Skripts gehalten wird.

Tastenkürzel oder Akkorde für den schnellen Zugriff auf ein neues Skript können auf einfache Weise erstellt werden, indem man diese in das entsprechende Feld "Aktuelle Tastenzuordnung:" direkt eingibt.

Um allfällige Änderungen zu speichern, sollte man zum Schluß auf die OK-Schaltfläche klicken.

Für eine vollständige Liste aller Skriptbefehle, die in UltraEdit/UEStudio unterstützt werden, bitte hier klicken.

Ein Demo-Beispiel sowie einen kurzen Lehrgang zum Thema Skripten in UltraEdit/UEStudio finden Sie hier.


Bildlaufleisten

Die Bildlaufleisten

Die Bildlaufleisten werden an der rechten und der unteren Seite des Dateifensters angezeigt. Die Schieberegler innerhalb der Leisten zeigen die aktuelle vertikale und horizontale Position in der Datei an. Mit Hilfe der Maus können Sie sich zu anderen Abschnitten der Datei bewegen.

Die vertikale Bildlaufleiste wird zur Positionierung innerhalb der aktiven Datei verwendet. Die horizontale Bildlaufleiste wird verwendet, um den horizontalen Sichtbereich für die Datei zu ändern.

Die horizontale Bildlaufleiste wird nicht angezeigt, wenn der automatische Umbruch aktiviert ist.


Bildlauf (Scrolling)

Der Bildlauf (Scrolling)

UltraEdit unterstützt die nachfolgend aufgeführten Methoden zum Bildlauf (Scrolling).

Vertikaler Bildlauf

Der vertikale Bildlauf kann mit einer der folgenden Methoden durchgeführt werden:

  • Vertikale Bildlaufleiste
  • Unterstützung durch Mausräder (IntelliMouse)
  • Richtungstasten Strg+Pfeil-hoch/runter, um eine Zeile hoch bzw. runter zu scrollen

Horizontaler Bildlauf

  • Horizontale Bildlaufleiste


Markieren von Text

Das Markieren von Text

In UltraEdit gibt es verschiedene Methoden, um Text auszuwählen (zu markieren). Im Allgemeinen lässt sich Text ebenso durch die Verwendung der Cursor-Tasten bei gedrückter Umschalttaste (Shift) als auch durch eine Mauspositionierung bei gedrückter Umschalttaste markieren.

Zusätzlich gibt es einige weitere Verfahren, die das Markieren eines Textbereichs erleichtern.

Wenn eine der folgenden Funktionen bei gedrückter Umschalttaste ausgeführt wird, wird die aktuelle Auswahl (sofern vorhanden) bzw. eine neue Auswahl so erweitert, dass sie den Text bis zu der auf den Befehl folgenden Cursor-Position mit einbezieht:

  • Weitersuchen
  • Vorher suchen
  • Gehe zu Zeile/Seite
  • Nächstes Lesezeichen
  • Vorheriges Lesezeichen

Die Umschalttaste muss dazu bei der eigentlichen Durchführung der Aktion, und nicht beim Befehl, der den Dialog anzeigt, gedrückt gehalten werden. Beispielsweise muss die Umschalttaste beim Einsatz des Dialogs 'Gehe zu' erst beim Betätigen der Schaltfläche OK gedrückt werden und nicht schon beim Drücken von Strg+G bzw. bei der Auswahl des Menübefehls zum Anzeigen des Dialogs.


Befehl 'Spaltenmarke 1/2 ein/aus' (Ansicht)

Der Befehl 'Spaltenmarke 1/2 ein/aus' (Menü 'Ansicht')

Dieser Befehl blendet die jeweilige Spaltenmarke ein bzw. aus, die sich mit dem Befehl Spaltenmarke setzen konfigurieren lässt.


Silent Installation

Installation: Optionen

Die Installation von UltraEdit wird in der Regel durch Ausführen der Datei »ue_<Sprache>.msi« ohne zusätzliche Befehlszeilenparameter vollzogen. Der Anwender wird durch den anschließenden Installationsvorgang interaktiv geführt, um einen angemessenen Standort und alle gewünschten Optionen auszuwählen.

Manchmal ist es angebracht, eine Installation von UltraEdit im Hintergrund auszuführen, um den Vorgang ohne Anwesenheit eines Anwenders zu automatisieren. Dies wird möglich durch Eingabe der folgenden Parameter an der Befehlszeile:

msiexec /i ue_german.msi /qn

Ähnlich verhält es sich bei der Deinstallation von UltraEdit:

msiexec /x ue_german.msi /qn

Der aktuelle MSI-Installer bietet die folgenden Optionen:

Installationen:

</package | /i> <Produkt.msi> | Installiert oder konfiguriert ein Produkt
/a <Produkt.msi> | Administrator-Installation - installiert ein Produkt im Netzwerk
/j<u|m> <Produkt.msi> [/t <Transform List>] [/g <Sprachkennung>] | Bietet ein Produkt an - m an alle Benutzer, u an den aktuellen Benutzer
</uninstall | /x> <Produkt.msi | Produktcode> | Deinstalliert das Produkt

Anzeige-Optionen:

/quiet | Hintergrundmodus, ohne Anzeige
/passive | Passiver Modus - nur Statusanzeige
/q[n|b|r|f] | Einstellung der Stufe für Benutzer-Interaktivität (user interface = UI): n - keine UI b - grundlegende UI r - eingeschränkte UI f - volle UI (standard)
/help | Hilfe-Informationen

Neustart-Optionen:

/norestart | Der Computer wird nach der Installation nicht neu gestartet.
/promptrestart | Der Benutzer wird abgefragt, um nach Wunsch den Computer neu zu starten.
/forcerestart | Der Computer wird nach der Installation in jedem Fall neu gestartet.


Spell Checker

Spell Checker (Configuration - Editor)

The Spell Checker branch under Configuration - Editor allows selection of the main spelling dictionaries to be used:

Aspell is installed along with UltraEdit-32 and UEStudio '05. By default the executable for Aspell is located in the \Aspell\bin\ subdirectory below the installation directory. Periodically an updated version of Aspell is released. Users who wish to update their version before our shipping version is updated may do so by overwriting the executable in the \Aspell\bin\ subdirectory. Aspell may be downloaded from http://aspell.net/win32/ by clicking on the Full Installer link.

SPELL CHECKER IMAGE GOES HERE

Users may select any of the languages shown, or if preferred may select none of the languages in which case only the user-defined dictionary will be used.

Adding/Removing Dictionaries

There are many dictionaries available for download from http://aspell.net/win32/ . Click on the desired dictionary and install it to the installation directory. Please note that selecting the installation directory as the installation directory for the new dictionary will actually cause this to be installed to the \Aspell\dict subdirectory. Once a dictionary is installed it will be available for selection in the Dictionary pane.

Adding/Removing Words

Users may add/remove words as desired. A dictionary must first be selected in the Dictionary pane. If a word is typed into the Added Words field and the Add button is pressed the word will be added to the Added Words list. Words may be removed from the list by selecting them and pressing the Remove button. The Added Words list is maintained on a per language basis.

Options

Options are available to ignore case, accents, all-cap words, capitalized words, words with numbers, and words with mixed case. All of these option may be toggled using the appropriate checkbox.

Suggestion Mode

The suggestion mode may be set to "ultra", "fast", "normal", or "bad-spellers".

Ultra | This method will use the fastest method available to come up with suggestions. This currently means that it will look for homonyms within one edit distance apart without doing any typo-analysis or using replacement tables. In this mode Aspell gets about 87% of the words from the small test kernel of misspelled words. (Go to http://aspell.net/test for more info on the test kernel as well as comparisons of this version of Aspell with previous versions and other spell checkers.)
Fast | This method is like "ultra" except that it performs typo-analysis and uses replacement tables. The typo-analysis brings words which are likely to be due to typos to the beginning of the list. This mode should get around the same number of words that the ultra method does.
Normal | This method normally looks for homonyms within two edit distance apart and performs typo-analysis unless it is turned off. Is is much slower than "fast" mode but it returns better suggestions. In this mode Aspell detects approximately 93% of the misspelled words.
Bad-Spellers | This method also looks for homonyms within two edit distances apart but is tailored more for the bad speller, where as "fast" or "normal" are tailored more to strike a good balance between typos and true misspellings. This mode never performs typo-analysis and returns a huge number of words for the really bad spellers who can't seem to get the spelling anything close to what it should be. If the misspelled word looks anything like the correct spelling it is bound to be found somewhere on the list of 100 or more suggestions. In this mode Aspell detects approximately 98% of misspelled words.


SSH/Telnet-Zugangsverwaltung

Mit diesem Dialog können SSH- bzw. Telnet-Zugänge konfiguriert werden, um SSH/Telnet-Befehle auszuführen.

Jeder Zugang speichert den Server- und Benutzernamen sowie die Verifizierungsdaten, die bei der Herstellung einer Verbindung zum Server benötigt werden.

Die Schaltfläche Zugang hinzufügen erstellt einen Zugang mit einem neuen Namen. Man kann einen bestehenden Zugang aus der Liste der Zugänge auswählen und modifizieren. Änderungen am Zugang können gespeichert oder verworfen werden; eine Sicherheitsabfrage ermöglicht die entsprechende Wahl.

Die Schaltfläche Zugang entfernen löscht den ausgewählten Eintrag aus der Liste der Zugänge.

Die Schaltfläche Standardzugang setzen legt fest, daß der ausgewählte Zugang zum Standardzugang wird. Dies wird durch ein Sternchen "*" nach dem Zugangsnamen in der Liste gekennzeichnet.

Das Dialog SSH/Telnet-Zugangsverwaltung bietet Einstellungsoptionen, die unter fünf Reitern gruppiert werden: Allgemein, Weiterführend, Proxy, Authentisierung und Konsole.

Folgende Optionen befinden sich auf der Seite Allgemein:

Zugang

Hier steht der Name des aktuell zu konfigurierenden Zugangs. Nachdem die Änderungen gespeichert wurden, wird dieser Name in der Liste links von den Konfigurationsoptionen angezeigt.

Protokoll

Aus dieser aufklappbaren Liste kann entweder das SSH- oder Telnet-Protokoll für den aktuellen Zugang gewählt werden. Bei Auswahl von SSH wird UltraEdit bzw. UEStudio Verbindungen nur bei Verwendung von SECURE SHELL ( = sichere Transferumgebung) im Zusammenhang mit dem Protokoll unter dem Reiter Authentisierung erstellen. Alle Datentransfers werden verschlüsselt, und der Verschlüsselungsalgorithmus wird mit dem Server ausgehandelt. Um anzuzeigen, daß die Tranfers sicher sind, wird dann ein Schloßsymbol in den Transferdialogen angezeigt.

Server

Hier steht der Name des Servers mit dem die Verbindung hergestellt werden soll, z.B. "ultraedit.com". Alternativ kann auch dessen IP-Adresse im Format "xxxx.xxxx.xxxx.xxxx" eingegeben werden.

Port

Die Nummer des Ports für das SSH oder Telnet-Protokoll, der von UltraEdit bzw. UEStudio verwendet wird. Der Standardport für SSH ist 22; für Telnet ist 23 der Standardport. Diese können bei Bedarf geändert werden.

Benutzername

Dieser Name wird bei der Anmeldung an den Server gesendet.

Paßwort

Hier kann das Paßwort eingegeben werden, das zusammen mit dem Benutzernamen an den Server bei der Anmeldung gesendet werden. Das Paßwort wird von der Administration des Servers vorgegeben.

Paßwort speichern

Falls ein Häkchen bei dieser Option steht, wird UltraEdit bzw. UEStudio das Paßwort für spätere Verwendung speichern; andernfalls wird der Benutzer jedesmal bei Bedarf nach dem Paßwort abgefragt. Zur Beachtung: Wenn das Paßwort gespeichert wird, wird es im System verschlüsselt abgelegt. Allerdings ist der Verschlüsselungsmechanismus relativ einfach und bietet daher nicht die größtmögliche Sicherheit.

Unter dem Reiter Weiterführend befinden sich die folgenden Optionen:

Auffrischungsintervall

Nach der hier angegebenen Anzahl von Sekunden werden Testpakete an den Server gesendet, um die Verbindung aktiv zu halten.

Auto-Trennungsintervall

Nach der hier angegebenen Anzahl von Sekunden wird eine inaktive Verbindung von UltraEdit-32 bzw. UEStudio automatisch getrennt.

Remote-Befehl

Hier kann ein Befehl eingegeben werden, der nach erfolgreicher Verbindungsherstellung automatisch ausgeführt werden soll. Nach Ausführung des Befehls wird die Sitzung automatisch beendet.

Sitzungsprotokoll

Sitzungsprotokoll aktivieren

Bei Auswahl dieser Option werden alle Konsolenausgaben gespeichert und in die nachfolgend im Textfeld angegebene Datei geschrieben.

Protokolldatei

Der Pfad zur Datei, die die Ausgabezeilen von jeder Sitzung aufnehmen soll. Der Pfad mit Dateiname kann manuell eingegeben werden, oder es kann im Dateisystem nach einer Datei durchsucht werden.

Zeilen von neuen Sitzungen anfügen

Falls aktiviert, werden Ausgabezeilen aus neuen Sitzungen zu den alten Daten am Ende der Protokolldatei hinzugefügt. Andernfalls wird der vorherige Inhalt gelöscht bzw. von den neuen Zeilen überschrieben.

Unter dem Reiter Proxy befinden sich die folgenden Optionen:

Proxy verwenden

Aktiviert die Proxy-Einstellungen, die für den aktuellen Zugang verwendet werden. Bei Verbindungen direkt über das Internet sollten die Proxy-Einstellungen deaktiviert werden. Bei Verbindungen über ein Proxy im LAN muß der Proxy hier konfiguriert werden.

Proxy-Typ

Die Art von Proxy für den SSH- oder Telnet-Zugang kann unter den folgenden Typen ausgewählt werden:

HTTP - (CONNECT)

Relay

SOCKS4

SOCKS5

Windows - (Internet Explorer)

Proxy-Port

Die Nummer des Ports für das SSH/Telnet-Protokoll, der von UltraEdit bzw. UEStudio verwendet wird. Der Standardport für SSH ist 22; für Telnet ist 23 der Standardport. Diese können bei Bedarf geändert werden.

Proxy-Benutzername

Dieser Name wird bei der Anmeldung an den Proxy gesendet.

Proxy-Paßwort

Hier kann das Paßwort eingegeben werden, das zusammen mit dem Benutzernamen an den Proxy bei der Anmeldung gesendet werden. Das Paßwort wird von der Administration des Proxy-Servers vorgegeben.

Unter dem Reiter Authentisierung befinden sich die folgenden Optionen:

Authentisierung

Auswahl des Protokolls und des Typs von Authentisierung, die vom Server verwendet werden. Folgende Protokolle werden unterstützt:

Auto | Zunächst wird versucht, die Verbindung mittels SSH2 zu erstellen. Falls der Server SSH2 nicht unterstützt, wird SSH1 dann verwendet.
SSH1 | Bei Auswahl dieser Option wird ausschließlich SSH1 für die Verbindung zum Server verwendet.
SSH2 | Bei Auswahl dieser Option wird ausschließlich SSH2 für die Verbindung zum Server verwendet.

Die folgenden Authentifizierungstypen werden unterstützt:

Nur Paßwort | Nur der Benutzername und das Paßwort werden verlangt; Schlüsselpaare (öffentlich/privat) werden nicht verwendet.
Nur öffentlicher Schlüssel | Die Verwendung eines öffentlich/privaten Schlüsselpaares wird vorausgesetzt. Der Pfad zum privaten Schlüssel muß angegeben werden.
Paßwort und öffentlicher Schlüssel | Ein öffentlich/privates Schlüsselpaar und/oder ein Paßwort können angegeben werden.
Schlüssel mit Paßwort geschützt | Der private Schlüssel wird durch ein Paßwort geschützt. In diesem Fall wird der Benutzer einmal pro Sitzung oder nach Änderungen in den Zugangseinstellungen nach dem Paßwort gefragt.
Pfad zum privaten Schlüssel | Hier kann nach dem Pfad zum vorhandenen privaten Schlüssel durchsucht oder der Pfad auch manuell eingegeben werden. Die Authentifizierungsmethode muß vom Server unterstützt werden. Die Schlüssel sollten im OpenSSH-Format vorliegen; sie können vom Typ RSA oder DSA sein.

Der Reiter Konsole bietet die folgenden Einstellungsmöglichkeiten:

Konsolentyp

Diese Option (eine Umgebungsvariable) bestimmt den Typ von Konsole auf dem Server. Man kann sie auch leer lassen.

Emulation

Aus der aufklappbaren Liste kann den Emulationstyp für die Sitzung gewählt werden. Folgende Optionen stehen zur Verfügung:

VT100

Linux

keine

Vordergrundfarbe

Die Vordergrundfarbe für das Konsolenfenster kann durch Anklicken auf eines der farbigen Rechtecke gesetzt werden.

Hintergrundfarbe

Die Hintergrundfarbe für das Konsolenfenster kann durch Anklicken auf eines der farbigen Rechtecke gesetzt werden.

Schriftart

Diese Schaltfläche zeigt das bekannte Windows-Schriftendialog an, wo die zu verwendete Schriftart gewählt werden kann.

Verlaufszeilen

Bestimmt die Anzahl Zeilen im Verlauf, die mit dem Mausrad, den Scroll-Leisten oder den BildNachOben- bzw. BildNachUnten-Tasten (PageUp-/PageDn-Tasten) zurückgeholt werden können.

ANSI-Unterstützung

Nach Herstellung einer Verbindung mit dem Server können Formatierungszeichenfolgen ("Escape"-Sequenzen) gesendet werden, um Farben, Schriftart und andere Formatierungsinformationen zu spezifizeren. Diese Einstellung bestimmt darüber, welche Art von Formatierung im SSH/Telnet-Konsolenfenster erlaubt ist.

Volles ANSI | Der Client versucht, alles anzuzeigen.
ANSI ohne Farben | Der Client versucht, alles bis auf die Farben anzuzeigen.
kein ANSI | Der Client zeigt nur Text und Weißraum, der vom Server gesendet wird.


Statuszeile

Die Statuszeile

Die Statuszeile wird am unteren Rand des Anwendungsfensters von UltraEdit angezeigt. Verwenden Sie den Befehl Statuszeile im Menü 'Ansicht', um die Statuszeile ein- bzw. auszublenden.

Inhalt der Statuszeile (von links nach rechts):

Hilfehinweise

Der linke Bereich der Statuszeile beschreibt die Handlungen der Menüpunkte, wenn Sie die Pfeiltasten zum Navigieren durch die Menüs benutzen. Entsprechend erscheinen dort die Handlungsbeschreibungen der Schaltflächen in der Symbolleiste, wenn die Maus sich über ihnen befindet bzw. wenn sie gedrückt, aber noch nicht wieder losgelassen sind. Wenn der Befehl nach dem Lesen der Beschreibung doch nicht ausgeführt werden soll, dürfen Sie die Maustaste erst dann loslassen, wenn der Zeiger sich nicht mehr über der Schaltfläche befindet.

Falls ein Makro gerade aufgenommen wird, werden zusätzlich ein roter Punkt zusammen mit dem Wort "Makro" im Feld ganz rechts angezeigt.

Zeilen-/Spaltennummer & Zwischenablage

Die Zeilen- und die Spaltennummer der aktuellen Cursor-Position in der Datei werden zusammen mit der Nummer der aktiven Zwischenablage in einem Feld angezeigt.

Im HEX-Modus wird hier die Cursor-Position in HEX- und Dezimalwerten angezeigt.

Unmittelbar auf die Angabe der Zeilen-/Spaltennummer folgt durch ein Komma getrennt die Angabe der aktiven Zwischenablage. 'C0' steht für die standardmäßige Windows-Zwischenablage, 'C1'-'C9' steht für die jeweilige Benutzer-Zwischenablage (siehe Zwischenablagen).

Dateityp

Der Dateityp wird angezeigt, wenn es sich bei der Datei um eine DOS-, UNIX- oder MAC-Datei handelt.

  1. Ein 'U-' vor dem Dateityp (DOS/UNIX/MAC) zeigt an, dass die Datei im Unicode-Format vorliegt.
  2. Ein 'U8-' vor dem Dateityp (DOS/UNIX/MAC) zeigt an, dass die Datei im UTF-8-Format vorliegt.
  3. Ein 'UBE-' vor dem Dateityp (DOS/UNIX/MAC) zeigt an, dass die Datei im Unicode-Big-Endian-Format vorliegt.
  4. Ein 'UESC-' vor dem Dateityp (DOS/UNIX/MAC) zeigt an, dass die Datei im Unicode-Escaped-ASCII-Format vorliegt.

Schreibschutz-Status/Hervorhebungstyp

Falls die aktive Datei schreibgeschützt ist, wird »R/O« (read only) in diesem Feld angezeigt. Wenn die Dateinamenerweiterung der aktuellen Datei zu einer Erweiterung paßt, die in der Wortlistedatei enthalten ist, zeigt dieses Feld den entsprechenden Syntax-Hervorhebungstyp bzw. Programmiersprache an.

Datum/Uhrzeit

Hier werden das Datum und die Uhrzeit der letzten Speicherung der aktiven Datei angezeigt. Bei neuen Dateien werden Datum und Uhrzeit der Erstellung angezeigt. Das Datumsformat wird der Systemeinstellung für die Kurzdarstellung entnommen. Diese lässt sich in der Ländereinstellung der Systemsteuerung konfigurieren.

Dateigröße

Die Größe der aktiven Datei. Die Dateigröße wird aktualisiert, sobald UltraEdit die Änderungen speichert.

Tastaturstatus

Der rechte Bereich der Statuszeile zeigt an, welche der folgenden Tastaturmodi aktiviert sind:

Anzeige | Beschreibung
ÜBR | Der Überschreib-Modus ist ausgewählt.
EINF | Der Einfüge-Modus ist ausgewählt.
FEST | Die Feststelltaste (Großbuchstaben) ist aktiviert.


Dialog 'Zeichenketten'

Der Dialog 'Zeichenketten'

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.

Der Dialog 'Zeichenketten' ermöglicht Ihnen auf einfache Weise die Bearbeitung der Zeichenkettentabellen für das aktive Projekt. Wenn in der Baumansicht eine Ressource vom Typ Zeichenkettentabelle ausgewählt ist und Sie vom Kontextmenü aus den Befehl Öffnen aufrufen, dann wird dieser Dialog angezeigt.

Liste der Zeichenketten

In dieser Liste sind alle Zeichenketten der Ressource mit Ihrer ID und ihrem Text aufgeführt.

Schaltflächen

Der Dialog enthält folgende Schaltflächen:

  • OK

Speichert die Änderungen und beendet den Dialog.
  • Abbrechen

Beendet den Dialog, ohne etwaige Änderungen zu speichern.
  • Neue Zeichenkette

Zeigt den Dialog 'Zeichenketten-Eigenschaften' an, damit Sie eine neue Zeichenkette (ID und Text) definieren können.
  • Eigenschaften

Falls eine Zeichenkette ausgewählt ist, zeigt diese Schaltfläche den Dialog 'Zeichenketten-Eigenschaften' an.
  • Löschen

Löscht die ausgewählte Zeichenkette aus der Liste.

Hinweis: Diese Funktionalität steht nur in UEStudio zur Verfügung, nicht aber in UltraEdit-32.


Dialog 'Style-Builder'

Der Dialog 'Style-Builder'

Mit Hilfe dieses Dialogs lassen sich Stile für die Elemente einer Webseite generieren. Es lassen sich zwar nicht alle Optionen einstellen, die es in CSS2 gibt, aber die meisten der häufig verwendeten Optionen werden von diesem Dialog abgedeckt.

Allgemeine Bedienelemente

Hintergrund / Schriftart/Text / Abstand/Position

Betätigen Sie diese Schaltflächen um die jeweilige Dialogseite mit den entsprechenden Optionen angezeigt zu bekommen.

CSS2-Spez. (online)

Betätigen Sie diese Schaltfläche, um die vollständige CSS2-Spezifikation des World Wide Web Consortium (W3C) in Ihrem Standard-Browser zu öffnen. Auf der geöffneten Website finden Sie aktuelle Informationen und Dokumente zu CSS2.

Ausgabe

Mit diesem Listenfeld unterhalb der Schaltfläche CSS2-Spez. (online) können Sie angeben, ob die generierten Stile direkt in den 'Editor' oder in die 'Zwischenablage' geschreiben werden sollen.

Ausführlich

Aktivieren Sie diese Option, um alle Elemente in der ausführlichen Schreibweise auszugeben (z.B. MARGIN-TOP:A; MARGIN-LEFT:B; etc.). Bei deaktivierter Option wird die abkürzende Schreibweise (z.B. MARGIN: A B C D; etc.) verwendet, um Platz zu sparen.

Kleinbuchstaben

Aktivieren Sie diese Option, um alle Attribute in Kleinbuchstaben und nicht in Großbuchstaben einzufügen.

Anführungszeichen

Aktivieren Sie diese Option, um alle eingefügten Werte in doppelte Anführungszeichen einzuschließen.

Dialogseite 'Hintergrund'

Mit dieser Dialogseite lassen sich Einstellungen für folgende Eigenschaften des Hintergrunds erstellen:

    • background-color
    • background-image
    • background-repeat
    • background-attachment
    • background-position

Dialogseite 'Schriftart/Text'

Mit dieser Dialogseite lassen sich Einstellungen für folgende Eigenschaften der Schriftart und Textdarstellung erstellen:

    • font
    • font-stretch
    • text-align
    • text-decoration
    • text-indent
    • text-transform
    • color

Dialogseite 'Abstand/Position'

Mit dieser Dialogseite lassen sich Einstellungen für folgende Eigenschaften der Ränder, Abstände, Positionen und Seitenumbrüche erstellen:

    • margin-top
    • margin-right
    • margin-bottom
    • margin-left
    • padding-top
    • padding-right
    • padding-bottom
    • padding-left
    • position
    • z-index
    • top
    • left
    • height
    • width
    • page-break-before
    • page-break-inside
    • page-break-after

Weitere Informationen zu diesen Eigenschaften und den möglichen Einstellungen finden Sie unter http://www.w3.org/TR/REC-CSS2/propidx.html (Englisch).

Eine vollständige Auflistung der Stildeskriptoren finden Sie unter http://www.w3.org/TR/REC-CSS2/descidx.html . (Englisch).


Registerkarte 'Syntaxhervorhebung' (Extras | Optionen)

Die Registerkarte 'Syntaxhervorhebung' (Menü 'Extras | Optionen')

Hinter dem Begriff Syntaxhervorhebung bzw. Syntax-Highlighting verbirgt sich die Fähigkeit, vordefinierte Wörter zu erkennen und sie in unterschiedlichen Farben darzustellen. Dies ist insbesondere für Programmierer von großem Nutzen, kann sich aber auch für andere Benutzer als nützlich erweisen, wenn bestimmte Wörter in einer Datei in einer anderen Farbe erscheinen sollen.

UltraEdit unterstützt 20 Sprachen bzw. Wortsammlungen, die erkannt werden können. Jede Wortsammlung kann so konfiguriert werden, dass folgende Wortgruppen verschiedene Farben erhalten:

  • Normaler Text (Wörter, die nicht erkannt werden)
  • Wörter einer Kommentarzeile bzw. eines Blockkommentars
  • Eine alternative Gruppe von Blockkommentaren
  • Zeichenketten
  • Zahlenwerte (die mit einer Ziffer [0-9] beginnen müssen)
  • Bis zu acht Gruppen unterschiedlicher erkannter Wörter.

Auf dieser Registerkarte lassen sich die Farben für die verschiedenen Sprachen und Farbgruppen einstellen. Weiterhin können Sie hier den Speicherort für die zum Hervorheben der Syntax verwendete Wortlistendatei (standardmäßig WORDFILE.TXT) angeben.

Für jede Farbgruppe lässt sich die Vordergrund- bzw. Textfarbe und die Hintergrundfarbe einstellen. Standardmäßig wird als Hintergrundfarbe die Hintergrundfarbe für den normalen Text übernommen (die Option Automatische Hintergrundfarbe ist aktiviert). Um spezifische Hintergrundfarben zu ermöglichen, muss diese Option deaktiviert werden.

Jede Farbe lässt sich ändern, indem das farbige Rechteck neben der Textbeschreibung angeklickt wird. Nach dem Anklicken erscheint ein Dialog, in dem eine neue Farbe ausgewählt werden kann.

Zusätzlich lassen sich für jede Farbgruppe (außer für normalen Text) die Schriftstile fett, kursiv und unterstrichen aktivieren. Diese können für jede Farbgruppe getrennt eingestellt werden. Bei einigen Schriftarten kann es zu falschen Darstellungen beim Unterstreichen kommen; bei proportionalen Schriftarten können die Abstände zwischen den Buchstaben mit dem Schriftstil fett falsch dargestellt werden.

Mit der Option AutoKorrektur von Schlüsselwörtern lässt sich die AutoKorrektur aktivieren/deaktivieren.

Hinweis: Die Syntaxhervorhebung wird von der Dateiendung bestimmt (Einzelheiten hierzu folgen weiter unten). Die Dateiendung für zu bearbeitende Dateien muss in der Wortlistendatei für eine der Sprachen definiert sein.

Konfiguration der vordefinierten Wörter durch den Benutzer

UltraEdit liest die Einstellungen für die Syntaxhervorhebung aus einer Konfigurationsdatei ein (standardmäßig WORDFILE.TXT). Diese Datei wird bei jedem Programmstart des Editors eingelesen. Die Größe dieser Datei kann bis zu 128 KByte betragen. Die Syntax für diese Datei sieht folgendermaßen aus:

Sprachdefinition

Die Wortsammlung oder Sprache wird durch ein /Ln angegeben, wobei n ein Wert von 1 bis 20 ist. Dieser Eintrag muss am Zeilenanfang stehen. Eine Bezeichnung bzw. der Name der Sprache kann direkt auf das /Ln folgend in Anführungszeichen angegeben werden. Wenn eine Bezeichnung vorhanden ist, wird sie beim Einstellen der Farben für die Sprache angezeigt. Die Bezeichnung darf bis zu 18 Zeichen lang sein.

Zeilenkommentare

Die für Zeilenkommentare verwendeten Kommentarzeichen werden (ohne die Anführungszeichen) durch die Zeichenkette "Line Comment = " gefolgt von den Kommentarzeichen vorgegeben. Es sind bis zu fünf Zeichen erlaubt; bei weniger als fünf Zeichen muss auf das letzte Zeichen ein Leerzeichen folgen.

Durch die Zeichenkette "Line Comment Alt = " gefolgt von den Kommentarzeichen lässt sich eine zweite, alternative Gruppe von Zeilenkommentaren vorgeben. Es sind bis zu fünf Zeichen erlaubt; bei weniger als fünf Zeichen muss auf das letzte Zeichen ein Leerzeichen folgen.

Da manchmal auch ein Leerzeichen als Teil der Kennzeichnung eines Zeilenkommentars verlangt werden kann, gibt es ein alternatives Verfahren zur Beschreibung eines Zeilenkommentars. Dabei wird die Anzahl der verwendeten Zeichen mit folgender Syntax vom Benutzer angegeben:

"Line Comment Num = xCC "

Das x steht hierbei für die Anzahl der Zeichen (1 bis 5) und direkt dahinter folgen die Zeichen, die der Kennzeichnung eines Zeilenkommentars dienen. Im obigen Beispiel wäre x = 3 und der Zeilenkommentar würde durch 'CC ' eingeleitet werden (beachten Sie das Leerzeichen hinter 'CC').

Daneben gibt es Situationen, in denen Kennzeichnungen für Zeilenkommentare benötigt werden, die Kommentare nur dann gültig sein lassen, wenn sie ab bestimmten Spalten oder nach bestimmten Zeichen auftreten (zugegeben, häufiger sind sie nicht gültig, wenn sie auf bestimmte Zeichen folgen). Zu diesem Zweck werden zwei weitere Einstellungen für Zeilenkommentare unterstützt:

"Line Comment Preceding Chars = […]"

und

"Line Comment Valid Columns = [0-7,10]"

Standardmäßig sind für die Option "Line Comment Preceding Chars" alle Zeichen gültig. Daher müssen die unzulässigen Zeichen in dieser Option durch eine vorangestellte Tilde gekennzeichnet werden: z.B. '[~a-z]'. Dieses Beispiel führt dazu, dass ein Kommentar dann nicht gültig ist, wenn er direkt auf einen Buchstaben aus dem Bereich a bis z folgt. Zwischen den Klammern sind alle Zeichen zulässig.

Solange die Option "Line Comment Valid Columns" nicht definiert ist, sind Zeilenkommentare standardmäßig in allen Spalten zulässig. Andernfalls sind sie nur in den angegebenen Spalten gültig. Es können bis zu zehn durch Kommata voneinander getrennte Spaltenbereiche oder Spalten angegeben werden: z.B. '0-7,10'. Dieses Beispiel führt dazu, dass Kommentarzeichen dann gültig sind, wenn Sie in den Spalten 0 bis 7 oder in der Spalte 10 erscheinen.

Blockkommentare

Weiterhin lassen sich die Zeichen für Blockkommentare konfigurieren (z.B.: /* … */ für C). Diese erscheinen in der Form "Block Comment On = " und "Block Comment Off = " gefolgt von jeweils bis zu fünf Zeichen, mit denen die Kennzeichnungen für den Kommentar definiert werden. Aus Kompatibilitätsgründen zu früheren Versionen werden die Zeichenketten '/*' und '*/' für Datentypen mit einem '.C' als eine der Dateiendungen verwendet. Darüber können Sie sich aber hinwegsetzen. Das erste Zeichen eines Blockkommentars darf auch ein Leerzeichen sein.

Wenn zwar ein "Block Comment On", aber kein "Block Comment Off" definiert wurde, wird das Kommentarende am Zeilenende angenommen. Dadurch lassen sich Blockkommentare auch effektiv als Zeilenkommentar einsetzen.

Weiterhin kann eine zweite, alternative Gruppe von Blockkommentaren für Sprachen definiert werden, bei denen dies erforderlich ist. Dies erweist sich insbesondere im Zusammenhang mit ASP als nützlich, um in HTML-Kommentaren auch die Syntax von ASP-Blöcken hervorheben zu können.

Die zweite Gruppe von Blockkommentaren erscheint in der Form "Block Comment On Alt = " und "Block Comment Off Alt = " gefolgt von jeweils bis zu fünf Zeichen, mit denen die Kennzeichnungen für den Kommentar definiert werden. Das erste Zeichen eines Blockkommentars kann auch ein Leerzeichen sein.

Wenn zwar ein "Block Comment On Alt", aber kein "Block Comment Off Alt" definiert wurde, wird das Kommentarende am Zeilenende angenommen. Dadurch lassen sich Blockkommentare auch effektiv als Zeilenkommentar einsetzen.

Dateiendungen/-typen

Die Syntaxhervorhebung wird entweder durch den Dateinamen oder die Dateiendung bestimmt. Üblicherweise wird auf die Dateiendung zurückgegriffen; zum Angeben der Dateiendungen für die jeweilige Sprache muss die Zeichenkette "File Extensions = " verwendet werden, wobei jede Dateiendung durch ein Leerzeichen abgetrennt ist.

Wenn zur Ermittlung der Sprache auf Dateinamen zurückgegriffen werden soll, müssen diese durch die Zeichenkette "File Names = " angegeben werden, wobei jeder Name durch ein Leerzeichen abzutrennen ist.

Farbeinstellung

Farbcodes lassen sich durch Anfügen einer Zeile mit /Cn am Zeilenanfang festlegen, wobei n der Wert des Farbindexes von 1 bis 8 ist. Unmittelbar nach dem /Cn kann in Anführungszeichen eine Beschreibung bzw. Bezeichnung für den Abschnitt angegeben werden. Diese wird, sofern vorhanden, beim Einstellen der Farben für eine Sprache angezeigt. Die Beschreibung kann bis zu 18 Zeichen lang sein.

Alle Informationen bleiben wirksam, bis sie durch einen neuen Befehl überschrieben werden.

Das folgenden Beispiel deklariert die erste Sprache, die bei Dateien mit den Endungen 'C', 'CPP', 'H' oder 'HPP' verwendet werden soll. Die für die Wörter zu verwendende Farbe ist die erste auswählbare Farbe und die Kommentarzeichen sind //.

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ File Extensions = CPP C H HPP

/C1

auto

break

case char const continue chr$

default do double

Groß-/Kleinschreibung

Wenn die Sprache nicht zwischen Groß-/Kleinschreibung unterscheidet, kann das Schlüsselwort Nocase in die Befehlszeile eingefügt werden, beispielsweise:

/L1 Line Comment = // Nocase File Extensions = CPP C H HPP

Zeichenketten

Wenn viele Programmiersprachen verwendet werden, werden Zeichen in einfachen und doppelten Anführungszeichen als literale (buchstabengetreue) Zeichenketten behandelt, in denen die Erkennung von Wörtern und Kommentaren ignoriert werden soll. Dies ist die standardmäßige Vorgehensweise von UltraEdit. Es gibt einige Sprachen (z.B. HTML), bei denen dieses Verhalten unerwünscht ist. Um solche Sprachen zu unterstützen, kann das Schlüsselwort Noquote in der Befehlszeile eingefügt werden, mit dem sich das Standardverhalten umgehen lässt, beispielsweise:

/L1 Noquote File Extensions = HTM

UltraEdit unterstützt jetzt auch konfigurierbare Zeichen für die Anführungszeichen. Die standardmäßigen Zeichen zur Kennzeichnung von Zeichenketten sind einfache (') und doppelte Anführungszeichen ("). Diese lassen sich mit Hilfe der Schlüsselwörter "String Chars = " gefolgt von bis zu zwei Zeichen ändern. Das ist nur dann erforderlich, wenn Sie andere als die standardmäßigen Zeichen verwenden wollen. Wenn Sie beispielsweise nur die doppelten Anführungszeichen für Zeichenketten verwenden wollen, geben Sie eine Zeile ähnlich der folgenden an:

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ String Chars = " File Extensions = CPP C H HPP

Wenn weiterhin zwei Zeichen zur Kennzeichnung von Zeichenkette definiert sind (oder die Standardeinstellung verwendet wird) und unterschiedliche Farben für jede Zeichenkettenart gewünscht werden, kann das jeweilige Zeichen (z.B. doppeltes Anführungszeichen) in einer eigenen Zeile in eine der Farbgruppen einbezogen werden. Damit wird die konfigurierbare Farbe für diejenigen Zeichenketten ersetzt, die von diesem Zeichen umschlossen sind.

/L1"C/C++" Line Comment = // Block Comment On = /* Block Comment Off = */ String Chars = '" File Extensions = CPP C H HPP

/C1

auto

break

"

…

In diesem Beispiel werden alle Zeichenketten in doppelten Anführungszeichen (") in der Farbe der Farbgruppe C1 dargestellt, während für Zeichenketten in einfachen Anführungszeichen (') die Standardfarbe für Zeichenketten verwendet wird.

Escape-Zeichen

In vielen Sprachen gibt es ein besonderes, kennzeichnendes Zeichen, das so genannte Escape-Zeichen. Es wird verwendet, um normale Zeichen in Zeichenketten mittels so genannter Escape-Sequenzen zu überladen. Wenn beispielsweise eine Zeichenkette definiert wurde, die selber ein Anführungszeichen beinhaltet, das normalerweise zum Definieren der Zeichenkette verwendet wird, würde die Syntaxhervorhebung dieses Anführungszeichen als Ende der Zeichenkette interpretieren. Wenn dem Anführungszeichen jedoch ein Escape-Zeichen vorangeht, wird es entsprechend als Bestandteil der Zeichenkette und nicht als deren Ende behandelt.

Das Escape-Zeichen wird folgendermaßen definiert:

/L1"C/C++" Escape Char = \ …

In diesem Fall ist das Escape-Zeichen als rückwärtiger Schrägstrich (Backslash) definiert.

Schlüsselwörter

Zu beachten ist, dass alle Wörter mit demselben Anfangszeichen in einer Zeile stehen oder über mehrere Zeilen verteilt sein müssen, wobei im letzteren Fall alle Zeilen ohne etwaige Leerzeilen oder andere zwischen ihnen liegende Zeilen aufeinander folgen müssen.

Wenn die Sprache zwischen Groß-/Kleinschreibung unterscheidet, sind die Buchstaben 'A' und 'a' verschieden, sodass mit 'A' beginnende Wörter in einer anderen Zeile stehen müssen als die mit 'a' beginnenden. Wenn die Sprache nicht zwischen Groß-/Kleinschreibung unterscheidet, müssen mit 'A' oder 'a' beginnende Wörter in derselben Zeile stehen.

Mit einer Teilzeichenkette beginnende Schlüsselwörter

Bei einigen Programmiersprachen gibt es Situationen, in denen es wünschenswert ist, Schlüsselwörter hervorzuheben, die mit einer bestimmten Teilzeichenkette beginnen, wobei das Wort als Ganzes nicht bekannt ist. UltraEdit bietet die Möglichkeit, Teilzeichenketten (Sub-Strings) zu definieren, die bei der Ermittlung hervorzuhebender Wörter eingesetzt werden. Falls für eine bestimmte Sprache solche Teilzeichenketten unter einer Farbgruppe definiert wurden, überprüft UltraEdit, ob ein Wort mit einer dieser Teilzeichenketten beginnt. Ist dies der Fall, wird das Wort entsprechend hervorgehoben.

Die Teilzeichenketten müssen wie die anderen Sammlungen von Schlüsselwörtern definiert werden; allerdings beginnt eine Zeile, die Teilzeichenketten enthält, mit '** ' und müssen sämtliche Teilzeichenketten wie im folgenden Beispiel in derselben Zeile stehen:

** aaa bbb

Dieses Beispiel würde dafür sorgen, dass sämtliche mit 'aaa' oder 'bbb' beginnenden Wörter hervorgehoben würden.

Mit '/' beginnende Wörter

Da UltraEdit das Zeichen '/' als Befehlszeichen verwendet, bedürfen hervorzuhebende Wörter, die mit diesem Zeichen beginnen, einer besonderen Behandlung. Um mit '/' beginnende Wörter hervorzuheben, muss die Zeile wie im folgenden Beispiel mit '//' beginnen, worauf dann die Schlüsselwörter folgen:

// /meinschlüsselwort /nocheinwort

HTML-spezifisch

HTML unterscheidet sich erheblich von anderen Sprachen. Um UltraEdit besser für die Bearbeitung von HTML-Dateien zu rüsten, wurde das Programm um das Schlüsselwort HTML_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, können die Sonderzeichen '<' und '/' bei Bedarf vor jedes Schlüsselwort der Sprache gesetzt werden, ohne dass alle Schlüsselworte mit diesen Sonderzeichen in derselben Zeile stehen müssen (es sei denn, sie beginnen alle mit demselben Buchstaben).

Ein Beispiel für den Anfang einer Wortdatei für HTML:

/L3"HTML" Line Comment = // HTML_LANG Block Comment On = <!-- Block Comment Off = --> File Extensions = HTM HTML

/C1

<A </A> <ADDRESS> </ADDRESS> <APPLET </APPLET>

<B> </B> <BASE <BASEFONT <BGSOUND <BIG> </BIG> <BLINK> </BLINK> <BLOCKQUOTE> </BLOCKQUOTE>

<CAPTION> </CAPTION> <CENTER> </CENTER> <CITE> </CITE> <CODE> </CODE>

Die Spracherweiterungen von HTML werden weiterhin ergänzt werden.

FORTRAN-spezifisch

FORTRAN unterscheidet sich in Bezug auf die Kommentare ziemlich von anderen Sprachen. Um UltraEdit besser für die Bearbeitung von FORTRAN-Dateien zu rüsten, wurde Programm um das Schlüsselwort FORTRAN_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, behandelt UltraEdit ein 'C', 'c' oder '*' in der ersten Textspalte als Indikator für einen Zeilenkommentar und der Rest der Zeile wird hervorgehoben als ob er auskommentiert wäre.

Ein Beispiel für den Anfang einer Wortdatei für FORTRAN:

/L4"Fortran" FORTRAN_LANG File Extensions = FOR FTN

/C1

…

Hinweis: jedes der üblichen Kennzeichen für Kommentare kann ebenfalls verwendet werden (Zeilenkommentar, Blockkommentar).

TeX/LaTeX-spezifisch

TeX/LaTeX unterscheidet sich sehr von anderen Sprachen und jeder Befehl beginnt mit einem '\'. Um UltraEdit besser für die Bearbeitung von TeX/LaTeX-Dateien zu rüsten, wurde Programm um das Schlüsselwort LATEX_LANG erweitert. Wenn dieses Schlüsselwort vorhanden ist, greift UltraEdit auf eine besonderes Verfahren für die Syntaxhervorhebung zurück, damit die Wörter entsprechend behandelt und mit dem '\' und den aufeinander folgenden Wörtern hervorgehoben werden.

Damit ist es weiterhin möglich, die zu erkennenden Wörter in der Wortdatei unterzubringen, ohne dass sie alle in derselben Zeile stehen müssen. Wenn ein Wort mit '\' beginnt, dann bestimmt das zweite Zeichen die Zeile, in der das Wort stehen soll. Alle mit '\a' beginnenden Wörter sollten in derselben Zeile stehen wie die anderen mit '\a' oder 'a' beginnenden Wörter. Ebenso sollten alle mit '\b' beginnenden Wörter in derselben Zeile stehen wie die anderen mit '\b' oder 'b' beginnenden Wörter, aber in einer anderen Zeile als die mit '\a' beginnenden Wörter, etc.

Ein Beispiel für den Anfang einer Wortdatei für TeX/LaTeX:

/L4"TeX/LaTeX" LATEX_LANG File Extensions = TEX LATEX

/C1

…

Hinweis: jedes der üblichen Kennzeichen für Kommentare kann ebenfalls verwendet werden (Zeilenkommentar, Blockkommentar).

Trennzeichen/Begrenzungszeichen

UltraEdit verfügt über vorgegebene Trennzeichen, mit deren Hilfe ermittelt wird, wo ein neues Wort beginnt und wo ein Wort endet, damit es mit der Wortsammlung einer gegebenen Sprache verglichen werden kann. Mit Ausnahme der Zeichen '<' und '>' in HTML kann ein Zeichen, das gleichzeitig ein Trennzeichen ist, nicht Bestandteil eines Wortes sein. Beispielsweise ist es nicht möglich, das Zeichen '@' einerseits als Bestandteil eines Wortes und gleichzeitig als Trennzeichen zwischen Wörtern zu verwenden. (Zukünftige Erweiterungen werden dies möglicherweise erlauben.)

Seit der Version 4.1 lassen sich die Trennzeichen in UltraEdit vom Benutzer konfigurieren. Aus Kompatibilitätsgründen werden vorhandene Trennzeichen beibehalten, solange der Benutzer sie für eine gegebene Sprache nicht definiert. Jede Sprache kann über eine eigene Gruppe von Trennzeichen verfügen. Die Konfiguration der Trennzeichen ist nicht erforderlich, wenn die Vorgaben verwendet werden.

Zur Definition der Trennzeichen muss eine NEUE Zeile in die Wortdatei eingefügt werden, die folgendermaßen aussehen kann:

/Delimiters = ~!@$%^&*()_-+=|\/{}[]:;"'<> ,.?/

Dabei ist zu beachten, dass das Leerzeichen und das Tabulatorzeichen zu den Trennzeichen gehören müssen, wenn diese als Begrenzungen berücksichtigt werden sollen. Die Zeile muss mit "/Delimiters = " beginnen.

Es ist möglich, die Trennzeichen bestimmten Farbabschnitten zuzuordnen. Wenn Sie ein Zeichen wie beispielsweise das '+' haben, das zugleich ein Trennzeichen ist und in einer der Gruppenfarben dargestellt werden soll, dann können Sie dieses Zeichen in einer eigenen Zeile unterhalb des Farbabschnitts einfügen. Dadurch wird es weiterhin als Trennzeichen erkannt und in der entsprechenden Farbe hervorgehoben. Ein Trennzeichen darf am Anfang eines Schlüsselwortes stehen und entsprechend hervorgehoben werden, es darf sich aber nicht in der Mitte des Schlüsselwortes befinden. Wenn ein 'zusammengesetztes' Schlüsselwort benötigt wird bzw. eines, in dem sich ein Trennzeichen zwischen zwei Abschnitten befindet, muss entweder das Trennzeichen aus der Liste der Trennzeichen entfernt werden oder müssen die beiden Teile des Schlüsselwortes separat definiert werden, damit eine korrekte Hervorhebung gewährleistet ist.

Zeichenketten für Funktionsdefinitionen

UltraEdit ermöglicht es dem Benutzer, eine Liste der in einer aktiven Datei enthaltenen Funktionen anzuzeigen. Da die Definition einer Funktion in den verschiedenen Sprachen unterschiedlich erfolgen kann, ist es notwendig, dass deren Ermittlung in Abhängigkeit von der Sprache konfiguriert werden kann.

Dies wird durch eine Anpassung der Wortdatei und der Definition der Zeichenkette erreicht, auf die UltraEdit für jede Sprache zurückgreift. Die Zeichenkette wird von UltraEdit als Suchtext in Form eines regulären Ausdrucks zum Ausfindigmachen der Funktionen verwendet.

Hinweis: Die Zeichenkette mit dem regulären Ausdruck muss im UltraEdit-Stil angegeben werden. Damit wird sichergestellt, dass die Funktionsliste unabhängig von der aktuellen Einstellung für reguläre Ausdrücke immer funktioniert.

Pro Sprache können bis zu sechs Zeichenketten für Funktionsdefinitionen festgelegt werden, wodurch sich mehrere Formate für Funktionen bzw. Prozeduren definieren lassen.

Um die Zeichenkette für Funktionsdefinitionen anzugeben, fügen Sie eine Zeile ähnlich der folgenden zur entsprechende Sprache hinzu:

/Function String = "%[a-zA-Z]*)"

bzw.

/Function String 1 = "…"

bzw.

/Function String 2 = "…"

Dieser Suchtext muss in Anführungszeichen stehen. Bei Bedarf können Sie angeben, dass nur ein Teil der resultierenden Zeichenkette in der Funktionsliste angezeigt wird. Setzen Sie zu diesem Zweck zusammengesetzte Ausdrücke ein wie sie im Abschnitt reguläre Ausdrücke beschrieben sind und schließen Sie den darzustellenden Teil des Ausdrucks wie im folgenden Beispiel zwischen '^(' und '^)' ein:

/Function String = "%[a-zA-Z]+^(*^))"

Dieses Beispiel würde dazu führen, dass das erste Wort ignoriert und nur der Rest der Zeile angezeigt würde.

Einzug

UltraEdit ist dazu in der Lage, einen auf der jeweiligen Sprache basierenden automatische Einzug durchzuführen, um einen Programmblock ein- bzw. auszurücken.

Für das 'Einrücken' (Einzug) in einer bestimmten Sprache müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Indent Strings = "{"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (jedes Wort/jede Zeichenkette muss dabei in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um die letzten Nicht-Leerzeichen in der Zeile handeln. Der Einzug wird bis zum nächsten auf den Einzug der vorangegangenen Zeile folgenden Tabulatorstopp durchgeführt (als ob die Tabulatortaste gedrückt würde).

Für das 'Ausrücken' (negativer Einzug) in einer bestimmten Sprache müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Unindent Strings = "}"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (jedes Wort/jede Zeichenkette muss dabei in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um die ersten Nicht-Leerzeichen in der Zeile handeln. Falls die Zeile, in der diese Zeichenkette enthalten ist, über einen geringeren Einzug verfügt als die vorangegangene Zeile, wird kein Einzug durchgeführt. Andernfalls wird der Einzug für das gefundene Zeichen/Wort bis zum vorhergehenden Tabulatorstopp verringert und die neue Zeile wird mit demselben Einzug versehen.

Beim Neuformatieren der Einzüge einer Datei sollen bestimmte Zeilen bei Einzügen möglicherweise nicht berücksichtigt werden – beispielsweise auskommentierte Zeilen oder Compiler-Direktiven. Dies lässt sich vermeiden, indem Sie die Zeilen angeben, die nicht berücksichtigt werden sollen. Fügen Sie dazu eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts ein:

/Ignore Strings SOL = "#" "//"

Es kann eine beliebige Anzahl von Wörtern in Anführungszeichen angegeben werden (dabei muss jedes Wort bzw. jede Zeichenkette in eigenen Anführungszeichen stehen). Damit ein Wort als übereinstimmend erkannt wird, muss es sich um das erste bzw. die ersten Zeichen in der Zeile handeln. Wenn eine solche Zeile erkannt wird, wird kein Einzug vorgenommen – allerdings wird der Einzug für die nächste Zeile dann so ausgeführt, als ob diese Zeile gar nicht vorhanden wäre.

Markierungszeichen

Es gibt Situationen, in denen alle Zeichen zwischen zwei Zeichen hervorgehoben werden sollen. UltraEdit unterstützt zu diesem Zweck 'Markierungszeichen', die den ersten und letzten Teil einer Zeichenkette markieren, zwischen denen die Hervorhebung durchgeführt wird. Alle Zeichen zwischen diesen beiden Zeichen werden hervorgehoben.

Um Markierungszeichen für eine bestimmten Sprache zu definieren, müssen Sie eine Zeile wie die folgende unterhalb des entsprechenden Sprachabschnitts einfügen:

/Marker Characters = "ab"

Das a steht hierbei für das erste Zeichen, das b für das letzte Zeichen der hervorzuhebenden Zeichenkette. Dabei ist zu beachten, dass alle Zeichen einschließlich der Leerzeichen in der Zeile hervorgehoben werden. Falls es sich bei der Zeile um einen Kommentar oder eine Zeichenkette handelt, wird sie nicht berücksichtigt.

Außerdem lassen sich wie im folgenden Beispiel bis zu vier Paare von Zeichen definieren, zwischen denen eine Hervorhebung durchgeführt wird:

/Marker Characters = "abcdefgh"

Diese Definition legt fest, dass Zeichenketten, die mit 'a' beginnen und mit 'b' enden bzw. die mit 'c' beginnen und mit 'd' enden usw., hervorgehoben werden.

Die Farbe der hervorgehobenen Zeichenkette lässt sich festlegen, indem Sie für jeweils zwei Zeichen eine Zeile unterhalb des entsprechenden Farbabschnitts anfügen als ob sie ein Wort wie "ab", "cd" usw. wären.

Änderungen an Syntaxhervorhebung/Wortlistendateien:

UE verfügt standardmäßig für zahlreiche Sprachen über Zeichenketten-definitionen für öffnende und schließende Klammern. Falls in der Wortlistendatei keine entsprechenden Zeichenketten angegeben sind, werden die Standardeinstellungen verwendet. Andernfalls werden für die Suche nach Klammerpaaren die angegebenen Zeichenketten verwendet.

/Open Brace Strings = "("

/Close Brace Strings = ")"

UE verfügt standardmäßig für zahlreiche Sprachen über Zeichenketten-definitionen für öffnende und schließende Code-Elemente. Falls in der Wortlistendatei keine entsprechenden Zeichenketten angegeben sind, werden die Standardeinstellungen verwendet. Andernfalls werden für die Code-Faltung die angegebenen Zeichenketten verwendet.

/Open Fold Strings = "{"

/Close Fold Strings = "}"

Die Syntaxhervorhebung von UE wurde verbessert und unterstützt nun auch mehrere Sprachen in einer einzelnen Datei. Dies ist insbesondere für HTML-Dateien von Nutzen. Zur Vereinfachung haben wir neue Indikatoren für die Sprachen eingeführt, die in die Wortlistendatei übernommen werden müssen, um den Typ jeder Sprache anzuzeigen, die in einer anderen Sprache enthalten sein kann. Unsere standardmäßig ausgelieferten Wortlistendatei enthält diese Änderungen bereits.

Beispiel:

Falls eine HTML-Datei PHP beinhaltet, muss der Abschnitt für die Syntaxhervorhebung im Hauptteil der Wortlistendatei vorhanden sein und der PHP-Abschnitt muss den Indikator PHP_LANG in der Definitionszeile aufweisen.

Für folgende Sprachen wurden eindeutige Sprachmarkierungen in die Standard-Wortlistendatei eingeführt:

C_LANG // C/C++

COBOL_LANG // Cobol

FORTRAN_LANG // Fortran

PASCAL_LANG // Pascal

PERL_LANG // Perl

PLB_LANG // Plb

VB_LANG // Visual Basic

VBSCRIPT_LANG // Vb Script

ASP_LANG // ASP

CSHARP_LANG // C Sharp

CSS_LANG // CSS

LATEX_LANG // TeX / LaTeX

HTML_LANG // HTML

JAVA_LANG // Java

JSCRIPT_LANG // Javascript

ECMA_LANG // Ecma / Ecmascript

PHP_LANG // PHP

PYTHON_LANG // Python

XML_LANG // XML

MASM_LANG // Microsoft Assembler

AASM_LANG // AT&T Assembler

NASM_LANG // Netwide Assembler

Derzeit nutzt UE die hier aufgeführten Sprachindikatoren, um die gleichzeitige Syntaxhervorhebung für mehrere Sprachen in einer Einzeldatei korrekt durchzuführen. Zukünftig wird UE möglicherweise stärkeren Gebrauch von diesen Sprachmarkierungen in der Wortlistendatei machen.

HINWEIS: Wenn in Ihrer Wortlistendatei der Sprachindikator HTML_LANG mehrmals vorkommt, muss dies korrigiert werden, da einige Sprachen sonst möglicherweise nicht korrekt hervorgehoben werden. In einer Wortlistendatei darf jeder Sprachindikator (d.h. C_LANG, COBOL_LANG, HTML_LANG, etc.) nur einmal vorkommen.

Folgende Dateiendungen wurden in den Abschnitt HTML der standardmäßigen Wortlistendatei verschoben: php, asp und jsp. Dadurch ist die korrekte HTML-Syntaxhervorhebung nun auch auf der äußeren Sprachebene einer Datei möglich, wenn die Sprachenkennung '<HTML>' nicht vorhanden ist. Alle php-, asp- und jsp-Abschnitte einer Dateien werden anhand der Start- und Ende-Tags der Sprache (z.B. '<?' und '?>') korrekt hervorgehoben; bei Verwendung des Befehls 'Ansicht als' wird die Datei allerdings als HTML-Datei angezeigt.

Anmerkung: Diese Datei kann vom Benutzer angepasst werden.


Anpassen der Tag-Liste (Kontextmenü)

Das Anpassen der Tag-Liste (Kontextmenü der Tag-Liste)

Dieser Dialog ermöglicht das Anpassen der Tag-Liste .

Ein Tag ist einfach eine kurze Zeichenkette und die Bezeichnung 'Tag' wird verwendet, da diese Kennzeichnung üblicherweise für 'HTML-Tags' verwendet wird.

Der Zweck der Tag-Liste besteht darin, eine Methode zum einfachen Einfügen von häufig verwendeten Tags/Zeichenketten in eine Datei zur Verfügung zu stellen, ohne sie jedes Mal eintippen zu müssen.

Der Dateiname muss eingegeben werden. Hierbei handelt es sich um die Datei, in der die Tags gespeichert werden. Es kann eine Neue Datei erstellt oder eine vorhandene Datei mittels der Schaltfläche Durchsuchen ausgewählt werden.

Die Tags lassen sich zur leichteren Zuordnung in Gruppen einteilen. Es muss mindestens eine Gruppe vorhanden sein, um Tags hinzufügen zu können. Diese kann mittels der Schaltfläche Neue Gruppe definiert werden. Vorhandene Gruppen lassen sich mittels der Schaltfläche Gruppe entfernen löschen.

Jedes Tag kann aus einem Start-Tag und einem Ende-Tag bestehen. Die Tags können in den entsprechenden Feldern eingegeben werden und lassen sich mittels der Schaltfläche Hinzufügen in die Tag-Liste einfügen oder zum Ersetzen des im Listenfeld markierten Tags verwenden.

Das Anklicken eines in der Liste vorhandenen Tags füllt die Felder Start-Tag und Ende-Tag zur leichten Bearbeitung mit den entsprechenden Inhalten.

Wenn eine neue Gruppe hinzugefügt oder eine andere Gruppe ausgewählt wird, wird nachgefragt, ob vorgenommene Änderungen gespeichert werden sollen.


Titelleiste

Die Titelleiste

Die Titelleiste befindet sich an der oberen Kante eines Fensters. Sie enthält den Namen der Anwendung und der aktiven Datei:

"UltraEdit-32 - [Dateiname]"

Um ein Fenster zu verschieben, müssen Sie die Titelleiste bei gedrückter linker Maustaste bewegen.

Hinweis: Auf dieselbe Weise können Sie auch Dialogboxen verschieben.

Eine Titelleiste kann folgende Elemente aufweisen:

  • Schaltfläche für das Systemmenü der Anwendung
  • Schaltfläche für das Systemmenü der Datei
  • Schaltfläche Maximieren
  • Schaltfläche Minimieren
  • Name der Anwendung
  • Name der Datei
  • Schaltfläche Wiederherstellen


Vertikaler Bildlauf (Scrolling)

Der vertikale Bildlauf kann mit einer der folgenden Methoden durchgeführt werden:

  • Vertikale Bildlaufleiste
  • Unterstützung durch Mausräder (IntelliMouse)
  • Richtungstasten Strg+Pfeil hoch/runter, um eine Zeile hoch bzw. runter zu scrollen, wobei der Cursor in der aktuellen Zeile stehen bleibt